//===========================================================================================
//======= Public Enemy Team DM Gamemode For SAMP 0.3a ||| Based On Denver's Public Enemy ====
//=======  2007-2010  All rights Reserved to Public Enemy TDM. =============================
//======= GameMode: Public Enemy: LS-SF-LV  =================================================
//======= Creators: Relax ===================================================================
//======= Testers: AmAtOr, XpycT, Tigress, Rasum, Kosmos, Prime =============================
//======= Credits: Denver - Original PEN1:LS ================================================
//======= Credits: [X2G]Sneaky - PEN1:LV ====================================================
//======= Credits: FoxTrota - PEN1:SF =======================================================
//======= Credits: Prime, OKStyle, Kosmos - Dev help & Testing ==============================
//===========================================================================================
#include <a_samp>
#include <a_objects>
#include <a_players>
#include <a_vehicles>
#include <datagram>
#include <string>
#include <core>
#include <float>
#include <time>
#include <file>
#pragma tabsize 0
#define never 10000
#pragma compress 1
static gTeam[MAX_PLAYERS];

//#define ON_PLAYER_AMMO_CHANGE
//#define ON_PLAYER_WEAPON_CHANGE
//#define ON_PLAYER_HEALTH_CHANGE
//#define ON_PLAYER_ARMOUR_CHANGE
//#define ON_PLAYER_MONEY_CHANGE
//#define ON_PLAYER_WEAPON_SLOT_CHANGE

#define MAX_CHAT_LINES 3
#define MAX_STRING 255
#define MAX_DRIVEBY 4
#define CHECKPOINT_NONE 0
#define CHECKPOINT_PICKUP 1
#define CHECKPOINT_DROPOFF 2
#define CHECKPOINT_SR1START 3
#define CHECKPOINT_SRA 4
#define CHECKPOINT_SRB 5
#define CHECKPOINT_SRC 6
#define CHECKPOINT_SRD 7
#define CHECKPOINT_SRE 8
#define CHECKPOINT_SRF 9
#define CHECKPOINT_SRG 10
#define CHECKPOINT_CARDROP 11
#define CHECKPOINT_HOME 12
#define CHECKPOINT_DM 13
#define CHECKPOINT_BFDROPOFF 16
#define CHECKPOINT_BFPICKUP 15
#define CHECKPOINT_NEWS 17

#define BONUS_TAXI_COAST 1000
#define TAXI_COAST 10

#define COLOR_BLUE 0x0000FFFF
#define COLOR_LIGHTBLUE 0x33CCFFAA
#define COLOR_DGREEN 0x7CFC00AA
#define COLOR_GRAD1 0xB4B5B7AA
#define COLOR_GRAD2 0xBFC0C2AA
#define COLOR_GRAD3 0xCBCCCEAA
#define COLOR_GRAD4 0xD8D8D8AA
#define COLOR_GRAD5 0xE3E3E3AA
#define COLOR_GRAD6 0xF0F0F0AA
#define COLOR_GREY 0xAFAFAFAA
#define COLOR_GREEN 0x33AA33AA
#define COLOR_RED 0xAA3333AA
#define COLOR_YELLOW 0xFFFF00AA
#define COLOR_WHITE 0xFFFFFFAA
#define COLOR_FADE1 0xE6E6E6AA
#define COLOR_FADE2 0xC8C8C8AA
#define COLOR_FADE3 0xAAAAAAAA
#define COLOR_FADE4 0x8C8C8CAA
#define COLOR_FADE5 0x6E6E6EAA
#define COLOR_PURPLE 0xC2A2DAAA
#define COLOR_DBLUE 0x2641FEAA
#define COLOR_ALLDEPT 0xFF8282AA
#define COLOR_ADMIN 0x034E98FF //added by relax
#define COLOR_MILITARY 0x008040FF
#define COLOR_SANNEWS 0xEA9A06FF
#define COLOR_SFPD 0x0259EAFF//ptc
#define COLOR_SAPD 0x097DFFFF
#define COLOR_LVPD 0xCDC641FF
#define COLOR_LSPD 0x42ADFDFF
#define COLOR_TAXI 0xFDDC1EFF
#define COLOR_DTPD 0x2948DCFF
#define COLOR_FDSA 0xCE0000FF //end
#define TEAM_CYAN 1
#define TEAM_BLUE 2
#define TEAM_GREEN 3
#define TEAM_ORANGE 4
#define TEAM_BALLAS 5
#define TEAM_GROVE 6
#define TEAM_VAGOS 7
#define TEAM_AZTECAS 8
#define TEAM_NANG 9
#define TEAM_RIFA 78
#define TEAM_MAFIA 11
#define TEAM_RMAFIA 12
#define TEAM_TRIADS 13
#define TEAM_BIKERS 14
#define OBJECTIVE_COLOR 0x64000064
#define TEAM_GREEN_COLOR 0xFFFFFFAA
#define TEAM_BLUE_COLOR 0x8D8DFFAA
#define COLOR_ADD 0x63FF60AA
#define TEAM_CYAN_COLOR 0xFF8282AA
#define TEAM_ORANGE_COLOR 0xFF8300C8
#define TEAM_ORANGE1_COLOR 0xFF830099
#define TEAM_ORANGE2_COLOR 0xFF830088
#define TEAM_ORANGE3_COLOR 0xFF830077
#define TEAM_ORANGE4_COLOR 0xFF830066
#define TEAM_ORANGE5_COLOR 0xFF8300FF
#define TEAM_ORANGE6_COLOR 0xFF8300FF
#define TEAM_ORANGE7_COLOR 0xFF8300FF
#define TEAM_ORANGE8_COLOR 0xFF8300FF
#define TEAM_ORANGE9_COLOR 0xFF8300FF
#define TEAM_ORANGE10_COLOR 0xFF8300FF
#define TEAM_BALLAS_COLOR 0xD900D3C8
#define TEAM_BALLAS1_COLOR 0xD900D399
#define TEAM_BALLAS2_COLOR 0xD900D388
#define TEAM_BALLAS3_COLOR 0xD900D377
#define TEAM_BALLAS4_COLOR 0xD900D366
#define TEAM_BALLAS5_COLOR 0xD900D3FF
#define TEAM_BALLAS6_COLOR 0xD900D3FF
#define TEAM_BALLAS7_COLOR 0xD900D3FF
#define TEAM_BALLAS8_COLOR 0xD900D3FF
#define TEAM_BALLAS9_COLOR 0xD900D3FF
#define TEAM_BALLAS10_COLOR 0xD900D3FF
#define TEAM_GROVE_COLOR 0x00D900C8
#define TEAM_GROVE1_COLOR 0x00D90099
#define TEAM_GROVE2_COLOR 0x00D90088
#define TEAM_GROVE3_COLOR 0x00D90077
#define TEAM_GROVE4_COLOR 0x00D90066
#define TEAM_GROVE5_COLOR 0x00D900FF
#define TEAM_GROVE6_COLOR 0x00D900FF
#define TEAM_GROVE7_COLOR 0x00D900FF
#define TEAM_GROVE8_COLOR 0x00D900FF
#define TEAM_GROVE9_COLOR 0x00D900FF
#define TEAM_GROVE10_COLOR 0x00D900FF
#define TEAM_VAGOS_COLOR 0xFFC801C8
#define TEAM_VAGOS1_COLOR 0xFFC80199
#define TEAM_VAGOS2_COLOR 0xFFC80188
#define TEAM_VAGOS3_COLOR 0xFFC80177
#define TEAM_VAGOS4_COLOR 0xFFC80166
#define TEAM_VAGOS5_COLOR 0xFFC801FF
#define TEAM_VAGOS6_COLOR 0xFFC801FF
#define TEAM_VAGOS7_COLOR 0xFFC801FF
#define TEAM_VAGOS8_COLOR 0xFFC801FF
#define TEAM_VAGOS9_COLOR 0xFFC801FF
#define TEAM_VAGOS10_COLOR 0xFFC801FF
#define TEAM_AZTECAS_COLOR 0x01FCFFC8
#define TEAM_AZTECAS1_COLOR 0x01FCFF99
#define TEAM_AZTECAS2_COLOR 0x01FCFF88
#define TEAM_AZTECAS3_COLOR 0x01FCFF77
#define TEAM_AZTECAS4_COLOR 0x01FCFF66
#define TEAM_AZTECAS5_COLOR 0x01FCFFFF
#define TEAM_AZTECAS6_COLOR 0x01FCFFFF
#define TEAM_AZTECAS7_COLOR 0x01FCFFFF
#define TEAM_AZTECAS8_COLOR 0x01FCFFFF
#define TEAM_AZTECAS9_COLOR 0x01FCFFFF
#define TEAM_AZTECAS10_COLOR 0x01FCFFFF
#define TEAM_NANG_COLOR 0xBDCB92C8
#define TEAM_NANG1_COLOR 0xBDCB9299
#define TEAM_NANG2_COLOR 0xBDCB9288
#define TEAM_NANG3_COLOR 0xBDCB9277
#define TEAM_NANG4_COLOR 0xBDCB9266
#define TEAM_NANG5_COLOR 0xBDCB92FF
#define TEAM_NANG6_COLOR 0xBDCB92FF
#define TEAM_NANG7_COLOR 0xBDCB92FF
#define TEAM_NANG8_COLOR 0xBDCB92FF
#define TEAM_NANG9_COLOR 0xBDCB92FF
#define TEAM_NANG10_COLOR 0xBDCB92FF
#define TEAM_RIFA_COLOR 0x000000C8
#define TEAM_RIFA1_COLOR 0x00000099
#define TEAM_RIFA2_COLOR 0x00000088
#define TEAM_RIFA3_COLOR 0x00000077
#define TEAM_RIFA4_COLOR 0x00000066
#define TEAM_RIFA5_COLOR 0x000000FF
#define TEAM_RIFA6_COLOR 0x000000FF
#define TEAM_RIFA7_COLOR 0x000000FF
#define TEAM_RIFA8_COLOR 0x000000FF
#define TEAM_RIFA9_COLOR 0x000000FF
#define TEAM_RIFA10_COLOR 0x00000066
#define TEAM_MAFIA_COLOR 0x9A9999C8
#define TEAM_MAFIA1_COLOR 0x9A999999
#define TEAM_MAFIA2_COLOR 0x9A999988
#define TEAM_MAFIA3_COLOR 0x9A999977
#define TEAM_MAFIA4_COLOR 0x9A999966
#define TEAM_MAFIA5_COLOR 0x9A9999FF
#define TEAM_MAFIA6_COLOR 0x9A9999FF
#define TEAM_MAFIA7_COLOR 0x9A9999FF
#define TEAM_MAFIA8_COLOR 0x9A9999FF
#define TEAM_MAFIA9_COLOR 0x9A9999FF
#define TEAM_MAFIA10_COLOR 0x9A9999FF
#define TEAM_RMAFIA_COLOR 0x916600C8
#define TEAM_RMAFIA1_COLOR 0x91660099
#define TEAM_RMAFIA2_COLOR 0x91660088
#define TEAM_RMAFIA3_COLOR 0x91660077
#define TEAM_RMAFIA4_COLOR 0x91660066
#define TEAM_RMAFIA5_COLOR 0x916600FF
#define TEAM_RMAFIA6_COLOR 0x916600FF
#define TEAM_RMAFIA7_COLOR 0x916600FF
#define TEAM_RMAFIA8_COLOR 0x916600FF
#define TEAM_RMAFIA9_COLOR 0x916600FF
#define TEAM_RMAFIA10_COLOR 0x916600FF
#define TEAM_TRIADS_COLOR 0x587B95C8
#define TEAM_TRIADS1_COLOR 0x587B9599
#define TEAM_TRIADS2_COLOR 0x587B9588
#define TEAM_TRIADS3_COLOR 0x587B9577
#define TEAM_TRIADS4_COLOR 0x587B9566
#define TEAM_TRIADS5_COLOR 0x587B95FF
#define TEAM_TRIADS6_COLOR 0x587B95FF
#define TEAM_TRIADS7_COLOR 0x587B95FF
#define TEAM_TRIADS8_COLOR 0x587B95FF
#define TEAM_TRIADS9_COLOR 0x587B95FF
#define TEAM_TRIADS10_COLOR 0x587B95FF
#define TEAM_BIKERS_COLOR 0xA49A00C8
#define TEAM_BIKERS1_COLOR 0xA49A0099
#define TEAM_BIKERS2_COLOR 0xA49A0088
#define TEAM_BIKERS3_COLOR 0xA49A0077
#define TEAM_BIKERS4_COLOR 0xA49A0066
#define TEAM_BIKERS5_COLOR 0xA49A00FF
#define TEAM_BIKERS6_COLOR 0xA49A00FF
#define TEAM_BIKERS7_COLOR 0xA49A00FF
#define TEAM_BIKERS8_COLOR 0xA49A00FF
#define TEAM_BIKERS9_COLOR 0xA49A00FF
#define TEAM_BIKERS10_COLOR 0xA49A00FF
#define COLOR_INVIS 0xAFAFAFFF
#define COLOR_SPEC 0xBFC0C2FF
#define INACTIVE_PLAYER_ID 255
#define MAX_ALLOWED_CHARS 88
#define FIXCONSOLE(%1) for(new rSt;rSt<strlen(%1);rSt++) if(%1[rSt]>191 && %1[rSt]<240) %1[rSt]-=64; else if(%1[rSt]>239 && %1[rSt]<256) %1[rSt]-=16; else if (%1[rSt] == 168 ) %1[rSt]+=72; else if (%1[rSt] == 184) %1[rSt]+=57

#define SPEC_TYPE_NONE 0
#define SPEC_TYPE_PLAYER 1
#define SPEC_TYPE_VEHICLE 2

#define SOUND_CEILING_VENT_LAND 1002
#define SOUND_BONNET_DENT 1009
#define SOUND_WHEEL_OF_FORTUNE_CLACKER 1027
#define SOUND_SHUTTER_DOOR_START 1035
#define SOUND_SHUTTER_DOOR_STOP 1036
#define SOUND_PARACHUTE_OPEN 1039
#define SOUND_AMMUNATION_BUY_WEAPON 1052
#define SOUND_AMMUNATION_BUY_WEAPON_DENIED 1053
#define SOUND_SHOP_BUY 1054
#define SOUND_SHOP_BUY_DENIED 1055
#define SOUND_RACE_321 1056
#define SOUND_RACE_GO 1057
#define SOUND_PART_MISSION_COMPLETE 1058
#define SOUND_GOGO_TRACK_START 1062
#define SOUND_GOGO_TRACK_STOP 1063
#define SOUND_DUAL_TRACK_START 1068
#define SOUND_DUAL_TRACK_STOP 1069
#define SOUND_BEE_TRACK_START 1076
#define SOUND_BEE_TRACK_STOP 1077
#define SOUND_ROULETTE_ADD_CASH 1083
#define SOUND_ROULETTE_REMOVE_CASH 1084
#define SOUND_ROULETTE_NO_CASH 1085
#define SOUND_AWARD_TRACK_START 1097
#define SOUND_AWARD_TRACK_STOP 1098
#define SOUND_PUNCH_PED 1130
#define SOUND_AMMUNATION_GUN_COLLISION 1131
#define SOUND_CAMERA_SHOT 1132
#define SOUND_BUY_CAR_MOD 1133
#define SOUND_BUY_CAR_RESPRAY 1134
#define SOUND_BASEBALL_BAT_HIT_PED 1135
#define SOUND_STAMP_PED 1136
#define SOUND_CHECKPOINT_AMBER 1137
#define SOUND_CHECKPOINT_GREEN 1138
#define SOUND_CHECKPOINT_RED 1139
#define SOUND_CAR_SMASH_CAR 1140
#define SOUND_CAR_SMASH_GATE 1141
#define SOUND_OTB_TRACK_START 1142
#define SOUND_OTB_TRACK_STOP 1143
#define SOUND_PED_HIT_WATER_SPLASH 1144
#define SOUND_RESTAURANT_TRAY_COLLISION 1145
#define SOUND_SWEETS_HORN 1147
#define SOUND_MAGNET_VEHICLE_COLLISION 1148
#define SOUND_PROPERTY_PURCHASED 1149
#define SOUND_PICKUP_STANDARD 1150
#define SOUND_GARAGE_DOOR_START 1153
#define SOUND_GARAGE_DOOR_STOP 1154
#define SOUND_PED_COLLAPSE 1163
#define SOUND_SHUTTER_DOOR_SLOW_START 1165
#define SOUND_SHUTTER_DOOR_SLOW_STOP 1166
#define SOUND_RESTAURANT_CJ_PUKE 1169
#define SOUND_DRIVING_AWARD_TRACK_START 1183
#define SOUND_DRIVING_AWARD_TRACK_STOP 1184
#define SOUND_BIKE_AWARD_TRACK_START 1185
#define SOUND_BIKE_AWARD_TRACK_STOP 1186
#define SOUND_PILOT_AWARD_TRACK_START 1187
#define SOUND_PILOT_AWARD_TRACK_STOP 1188

forward ScrollScan();
forward BanLog(string[]);
forward ChatLog(string[]);
forward CmdLog(string[]);
forward ReportLog(string[]);
forward AdmLoginLog(string[]);
forward AstatLog(string[]);
//forward CheckWeapons();
forward Fuck(playerid);
forward WantedLevel();
//------------------------------------------------------------------------------
forward SetAllPlayerRaceCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi, num);
forward RaceCheckpointReset();
forward GameTicks (ticks);
forward ConvertTicks (ticks);
forward CopScanner ();
forward PayPlayerInArea (playerID, Float:x1, Float:y1,Float:z1, Float:x2, Float:y2,Float:z2, cash);
forward PirateShipScoreUpdate ();
forward Spectator ();
forward IsAPlane (carid);
forward IsACopCar (carid);
forward IsAnAmbulance (carid);
forward IsATruck (carid);
forward IsACar (carid);
forward IsABike (carid);
forward InBP1 (playerid);
forward InBP2 (playerid);
forward InBP3 (playerid);
forward InBP4 (playerid);
forward ClearCrime (playerid);
forward BetWinner (playerid,contest);
forward PayLog (string[]);
forward CmdLog (string[]);
forward ReportLog (string[]);
forward AdmLoginLog(string[]);
forward RaceDebug (playerid);
forward RaceEnd ();
forward DMDelay ();
forward DMDelayr ();
forward DMDelayg ();
forward DMDetect ();
forward DMEndCam (playerid,string[]);
forward DMScoreCalc ();
forward JobGive (playerid);
forward HireCost (carid);
forward CarCheck ();
forward CarInit ();
forward CarTow (carid);
forward CarRespawn (carid);
forward LockCar (carid);
forward UnLockCar (carid);
forward TeamCarLockInit ();
forward TeamLockReset (carid);
forward InitLockDoors (playerid);
forward TeamLockDoors (playerid);
forward SetVehicleLights(vehicleid, bool:status);
forward SetVehicleTyre(vehicleid, bool:status);
forward GetVehicleMaxSeats(vehicleid);
forward DebugPrint (string[],value1,value2,type);
forward CellPhoneTimer ();
forward SetPlayerFlash ();
forward SetPlayerFlashRev ();
forward RingToner ();
forward RingTonerRev ();
forward SetPlayerUnjail ();
forward VoteKickTimer ();
forward ClearVote (kickedid);
forward PrintSBizInfo (playerid,targetid);
forward PrintBizInfo (playerid,targetid);
forward PrintVehicleStats(playerid,targetid);
forward PrintKillStats(playerid,targetid);
forward PrintDeathStats(playerid,targetid);
forward SetPlayerToTeamColorFlash (playerid);
forward SaveRace (playerid,name[]);
forward BestTime (name[]);
forward LoadTmp ();
forward LoadRace (playerid,name[]);
forward LoadProperty ();
forward LoadSave ();
forward LoadDM (playerid,name[]);
forward SaveDM (playerid,name[]);
forward LoadRaceList (playerid,name[]);
forward SaveRaceList (playerid,name[]);
forward LoadBizz ();
forward LoadSBizz ();
forward SkyDive ();
forward Production ();
forward DateProp (playerid);
forward Checkprop ();
forward DelPrint (string1[]);
forward LoadPlayer (loaderid,const string[]);
forward SavePlayer (loaderid,const string[]);
forward CopCheck (playerid);
forward MedCheck (playerid);
forward OnPlayerRename (name[],string[],playerid);
forward OnPropUpdate ();
forward ABroadCast (color,const string[],level);
forward SendTeamBeepMessage (team, color, string[]);
forward SendEnemyMessage (color, string[]);
forward SendReportMessage (color, string[]);
forward SendPlayerCommandMessage (color, string[]);
forward PlayerFixRadio (playerid);
forward PlayerFixRadio2 (playerid);
forward StopJail ();
forward HouseLevel (playerid);
forward CHouseLevel (houseid);
forward CrimInRange (Float:radi, playerid,copid);
forward CrimProxDetector(Float:radi, playerid,col1,col2,col3,col4,col5,col6,col7,col8,col9,col10);
forward PlayerToPoint (Float:radi, playerid, Float:x, Float:y, Float:z);
forward PlayerToVehicle (Float:radi, playerid, vehicleid);
forward PlayerInArea ();
forward PlayerInArena ();
forward PenInArea ();
forward CustomPickups ();
forward IdleKick ();
forward AntiCamp ();
forward AntiTeleport ();
forward AntiImmortal ();
forward RaceSpec (playerid);
forward BestPlayer (playerid);
forward PenDelay (playerid);
forward SpeedDelay (playerid);
forward DMPlayer (playerid);
forward InHouse ();
forward IsStringAName (string[]);
forward GetPlayerID (string[]);
forward SetCamBack (playerid);
forward DollahScoreUpdate();
forward SetPlayerWeaponScore(playerid, killerid, reason);
forward SetPlayerRandomSpawn(playerid);
forward SetPlayerNewMission();
forward CheckpointReset();
forward GetPlayerTeamColor(playerid, teamcolor);
forward SetPlayerToTeamColor(playerid);
forward SetupPlayerForClassSelection(playerid);
forward SetPlayerTeamFromClass(playerid,classid);
forward GameModeExitFunc();
forward GameModeInitExitFunc();
forward PrePlayerNewMission();
forward SetPlayerNewMission();
forward RaceDelay();
forward RaceDelayr();
forward RaceDelayg();
forward OnPlayerDropBriefCase(playerid);
forward OnPlayerDropCashBox(playerid);
forward RewardCalc(playerid,min,max);
forward CheckpointReset();
forward SetAllPlayerCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi, num);
forward SetAllCopCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi);
forward OpenDoors();
forward SetPlayerCriminal(playerid,declare,reason[],pe,flash);
forward SetPlayerFree(playerid,declare,reason[],pe,flash);
forward OffTheHook();
forward SetPlayerWeapons(playerid);
forward PrintPlayerWeapons(playerid,targetid);
forward PrintSkillStats(playerid,targetid);
forward GameModeInitExitFunc();
forward LoadConfig();
forward GetVal(string[]);
forward SyncUp();
forward SyncTime();
forward PayDay();
forward strtik(const string[], &index);
forward split(const strsrc[], strdest[][], delimiter);
//====================[by Relax]===================
forward OnPlayerWeaponChange(playerid, oldweapon, newweapon);
forward OnPlayerAmmoChange(playerid, oldammo, newammo);
forward OnPlayerHealthChange(playerid, Float:oldhealth, Float:newhealth);
forward OnPlayerArmourChange(playerid, Float:oldarmour, Float:newarmour);
forward OnPlayerMoneyChange(playerid, oldmoney, newmoney);
forward OnPlayerWeaponSlotChange(playerid, slot, oldweapon, newweapon);
//==================================================
forward OnPlayerLogin(playerid,const string[]);
forward OnClientUpdate(playerid);
forward BroadCast(color,const string[]);
forward OOCOff(color,const string[]);
forward PlaySoundAll(playerid, soundid, Float:psx ,Float:psy ,Float:psz);
forward SendTeamMessage(team, color, string[]);
forward SendTeamMessageEng(team, color, string[]);
forward SendTeamBeepMessageEng(team, color, string[]);
forward SendAdminMessage(color, string[]);
forward SendClientMessageToAllOthers(playerid, color, const string[]);
forward AddCar(carcoords);
forward PlayerPlayMusic(playerid);
forward StopMusic();
forward Encript(string[]);
forward Decript(string[]);
forward ProxDetector(Float:radi, playerid, string[],col1,col2,col3,col4,col5);
forward ProxDetectorS(Float:radi, playerid, targetid);
forward FixHour(hour);
forward TestDistance(playerid,giveplayerid,Float:tarx,Float:tary,Float:tarz,Float:radi);
forward PlayJailSound(sound, stopsound, duration, Float: jailx,  Float: jaily,  Float: jailz);
forward LottoTime();
forward Endround();
forward cd_endround();
forward WarningCmdMsg(playerid);
forward VehStateCheck();
forward IsVehicleUsed (vehicleid);
forward SpreeDetector (playerid, killerid);
forward PingKick();
forward ResetPlayerMessage(playerid);
new signindial = 1;
new signupdial = 2;
new pingkick[MAX_PLAYERS];
//----------------------------------AFK-SYSTEM----------------------------------
new space;
new afkplayer[MAX_PLAYERS];
//----------------------------------LOTTO---------------------------------------
new gLotto;
new gLottoTime = 9;
new gLottoWinners = 0;
new gLottoPool = 1;
new gLottoTicket[MAX_PLAYERS];
new gLottoWinner[MAX_PLAYERS];
//----------------------------------TAXI----------------------------------------
new gTaxiPas[MAX_PLAYERS];
new gTaxiDriver[MAX_PLAYERS];
new gTaxiPrice[MAX_PLAYERS];
new gTaxiOwner[MAX_PLAYERS];
new gTaxiLoad[MAX_PLAYERS];
new gTaxiRefuse[MAX_PLAYERS];//timer
new gTaxiTravel[MAX_PLAYERS];
//-----------------------------ANTI-SCROLL--------------------------------------
new PrevWeapon[MAX_PLAYERS];
new OldWeapon[MAX_PLAYERS];
//------------------------------------------------------------------------------
new FakeSay[MAX_PLAYERS];
new gGivePermToChangeNick[MAX_PLAYERS];
new AddSec = 59;
new AllowSpecWeapon[MAX_PLAYERS];
new Score[MAX_PLAYERS];
new gFuel[MAX_PLAYERS];
new VehStats[MAX_PLAYERS];
new IsPlayerPassenger[MAX_PLAYERS];
new FuelUse[MAX_PLAYERS];
new gMap[MAX_PLAYERS];
new gOrbitPlayer[MAX_PLAYERS];
new gMaxFuel = 100;
new gNewsHide[MAX_PLAYERS];
new Text:gHelpText[20];
new Text:TextDrawFuel[MAX_PLAYERS];
new Text:gSanNews[5];
new Text:gAnn;
new chatstore[3][256];
new cdto = 0;
new cd_timer,cd_seconds,Countdown;
new gAAlert[MAX_PLAYERS];
new gMon[MAX_PLAYERS];
new gSnoop[MAX_PLAYERS];
new gDriveBy[MAX_PLAYERS];
new Float:Xlol, Float:Ylol, Float:Zlol;
new Float:Xlmao, Float:Ylmao, Float:Zlmao;
new gblocked = 0;
new glocked = 0;
new gHacked = 1;
new CDPlayer[MAX_PLAYERS];
new god[MAX_PLAYERS];
new msg[256];
new nick[MAX_PLAYER_NAME];
new gHealPlayer[MAX_PLAYERS];
new gSpectateID[MAX_PLAYERS];
new gSpectateType[MAX_PLAYERS];
new gPlayerCheckpointStatus[MAX_PLAYERS];
new gPlayerLapStatus[MAX_PLAYERS];
new gPlayerResponse[MAX_PLAYERS];
new gPlayerLogged[MAX_PLAYERS];
new gPlayerSpawned[MAX_PLAYERS];
new gActivePlayers[MAX_PLAYERS];
new gLastCar[MAX_VEHICLES];
new gSpree[MAX_PLAYERS];
new gSpreeStatus[MAX_PLAYERS];
new gDisTravel[MAX_PLAYERS];
new gBizTicket[MAX_PLAYERS];
new gOoc[MAX_PLAYERS];
new BigEar[MAX_PLAYERS];
new Spectate[MAX_PLAYERS];
new FlashTime[MAX_PLAYERS];
new CellTime[MAX_PLAYERS];
new JailTime[MAX_PLAYERS];
new StartTime[MAX_PLAYERS];
new RaceTime[MAX_PLAYERS];
new LapTime[MAX_PLAYERS];
new Contract[MAX_PLAYERS];
new KickVote[MAX_PLAYERS];
new VoteKick[MAX_PLAYERS];
new LastVote[MAX_PLAYERS];
new HireCar[MAX_PLAYERS];
new SafeTime[MAX_PLAYERS];
//new HidePM[MAX_PLAYERS];
new gDice[MAX_PLAYERS];
new gSkyDive[MAX_PLAYERS];
new gSpeedo[MAX_PLAYERS];
new gSpeedBoost[MAX_PLAYERS];
new gJumpBoost[MAX_PLAYERS];
new gSwimBoost[MAX_PLAYERS];
new gSpentCash[MAX_PLAYERS];
new FirstSpawn[MAX_PLAYERS];
new gPlayerFighter[MAX_PLAYERS];
new DmScore[MAX_PLAYERS];
new LapCount[MAX_PLAYERS];
new SwitchKey[MAX_PLAYERS];
new TVMode[MAX_PLAYERS];
new Fixr[MAX_PLAYERS];
new Hidden[MAX_PLAYERS];
new Locator[MAX_PLAYERS];
new PLicence[MAX_PLAYERS];
new DmHiScore;
new DmHiPlayer = INVALID_PLAYER_ID;
new Speeder;
new gFighters;
new pos1time;
new pos2time;
new pos3time;
new cmins,csecs,cmils;
new Mobile[MAX_PLAYERS];
new RingTone[MAX_PLAYERS];
new CallCost[MAX_PLAYERS];
new BlockCmd[MAX_PLAYERS];
new Mute[MAX_PLAYERS];
new Message[MAX_PLAYERS];
new gPlayerAccount[MAX_PLAYERS];
new gRaceGuy[MAX_PLAYERS];
new gPlayerMission[MAX_PLAYERS];
new gPhoneBook[MAX_PLAYERS];
new gLastDriver[MAX_VEHICLES];
new gTeamCarLock[MAX_VEHICLES];
new gCarLock[MAX_VEHICLES];
new gPublicEnemy = INVALID_PLAYER_ID;
new gSuperCop = INVALID_PLAYER_ID;
new gRaceLeader;
new gFightLeader;
new gRaceFin;
new gRaceMid;
new gRaceMid2;
new gRaceEnd;
new LevScoreOld;
new MissionActive;
new DropOff;
new BFDropOff;
new noooc;
new racelist = 1;
new dmlist = 1;
new automission = 1;
new adds = 1;
new addtimer = 60000;
new raceendtimer;
new newsendtimer;
new dmweapon;
new RetVal;
new specflick;
new gNewsSender;
new gNewsSuspect;
new admnewsend = 1;
new Float:rx, Float:ry, Float:rz;
new Float:cwx, Float:cwy, Float:cwz;
new Float: scx, Float: scy, Float: scz;
new Float:rsx, Float:rsy, Float:rsz;
new Float:rmx, Float:rmy, Float:rmz;
new Float:rm2x, Float:rm2y, Float:rm2z;
new Float:rex, Float:rey, Float:rez;
new Float: jailxt, Float: jailyt, Float: jailzt;
new stopsoundt;
new carselect[15];
new objstore[128];
new cbjstore[128];
new motd[256];
new CurrentRace[256];
new stealcar = 0;
new stealcardest = 0;
new rccounter = 0;
new racedelay = 60000;
//new RStart;
new RNext;
new RNext2;
new REnd;
new Float:radardist = 1000.0;
new radarfreq = 1000;
new ghour = 0;
new gminute = 0;
new gsecond = 0;
new reward = 0;
new mediccharge = 1000;
new preward = 0;
new numplayers = 0;
new dollah = 1000; // Amount player recieves on spawn.
new realtime = 1;
new wtime = 15;
new hotwire = 1;
new cashbox = 1;
new streetrace = 1;
new deathmatch = 1;
new briefcase = 1;
new Briefcasepickup;
new levelcost = 10000;
new deathcost = 500;
new paycheck = 10000;
new jobdelay = 20000;
new petime = 180000; //3 minuites
new jailtime = 20000; //20 seconds
new callcost = 10; //20 seconds
new forceteam = 0;
new realchat = 1;
new fow = 1;
new timeshift = 0;
new stats = 0;
new gdebug = 1;
new shifthour;
new synctimer;
new newmistimer;
new unjailtimer;
new playertimer;
new dmtimer;
new cartimer;
new lastkiller;
new celltimer;
new intrate = 1;
new teamcarlock = 0;
new levelexp = 2;
new nocasino = 0;
new idletime = 1800000; //30 mins
new dmtime = 240; //4 mins
new accountplay = 1;
new civnokill =1;
new basedcost = 1000;
new suecost = 1000;
new cchargetime = 10;
new txtcost = 1;
new offhook;
new pickups;
new randomrace = 0;
new nocarcash = 0;
new skydivecount = 60;
new senttime = 2;
new Gtickcount;
new gLaps;
new Float:PlayerPos[MAX_PLAYERS][6];
new Float:DmeCam[6];
new Float:TeleportDest[MAX_PLAYERS][3];
new Float:CarTracking[MAX_PLAYERS][4];
new Float:TelePos[MAX_PLAYERS][6];
new Float:PenPos[3];
new BetRace[MAX_PLAYERS][2];
new BetDm[MAX_PLAYERS][2];
new tmps1[256];
new advertimer;
new VehicleObjective[MAX_VEHICLES][2];
//---------------------------------FUEL-SYS-------------------------------------
new vFuel[MAX_VEHICLES];
new allowedchars[MAX_ALLOWED_CHARS][2] = {
	"a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z", //26
	"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z", //26
	"1","2","3","4","5","6","7","8","9","0", // 10
	"!","@","#","$","%","^","&","*","(",")","-",":",";",",",".","?"," ","[","]","{","}","~","_","/","\"","=" //26
};

new Menu:RentCarB, Menu:RentCarC;
new planes[] = { 592, 577, 511, 512, 593, 520, 553, 464, 476, 519, 460, 513, 539,
548, 425, 417, 487, 497, 563, 501, 465, 447, 469, 488};
new cars[] = { 445, 602, 416, 485, 568, 429, 433, 499, 424, 536, 496, 504, 422,
609, 498, 401, 575, 518, 402, 541, 482, 431, 438, 457, 527, 483, 524, 415, 542,
589, 437, 532, 480, 596, 599, 597, 598, 578, 486, 507, 562, 585, 427, 419, 587,
490, 528, 533, 544, 407, 565, 455, 530, 526, 466, 604, 492, 474, 588, 434, 502,
503, 494, 579, 545, 411, 546, 559, 508, 571, 400, 403, 517, 410, 551, 500, 418,
572, 423, 414, 516, 582, 467, 443, 470, 404, 514, 603, 600, 413, 426, 436, 547,
489, 441, 594, 564, 515, 479, 534, 432, 505, 442, 440, 475, 543, 605, 495, 567,
428, 405, 535, 458, 580, 439, 561, 409, 560, 550, 506, 601, 574, 566, 549, 420,
459, 576, 525, 531, 408, 583, 451, 558, 552, 540, 491, 412, 478, 421, 529, 555,
 456, 554, 477, 406, 573, 444, 556, 557, 539};

new months[12][10] = {
    {"January"}, {"February"}, {"March"}, {"April"}, {"May"}, {"June"},
    {"July"}, {"August"}, {"September"}, {"October"}, {"November"}, {"December"}
};
//----------------------------------------RACES------------------------------------[location]--[-]---
new Races[124][128] = {
{"Pricklepine"},//------------------------------------------------------------------[LV]-------[1]---
{"AirportLoop"},//------------------------------------------------------------------[SF]-------[2]---
{"LS2LV2LS"},//---------------------------------------------------------------------[LS]-------[3]---
{"Come-a-lot"},//-------------------------------------------------------------------[LV]-------[4]---
{"DowntownSF"},//-------------------------------------------------------------------[SF]-------[5]---
{"Downhill"},//---------------------------------------------------------------------[LS]-------[6]---
{"Yellowbell"},//-------------------------------------------------------------------[LV]-------[7]---
{"FosterValleyLoop"},//-------------------------------------------------------------[SF]-------[8]---
{"Docks"},//------------------------------------------------------------------------[LS]-------[9]---
{"TheVisage"},//--------------------------------------------------------------------[LV]-------[10]--
{"HighWayDrag"},//------------------------------------------------------------------[SF]-------[11]--
{"StormDrain"},//-------------------------------------------------------------------[LS]-------[12]--
{"Pinkswan"},//---------------------------------------------------------------------[LV]-------[13]--
{"NexusWeasels"},//-----------------------------------------------------------------[SF]-------[14]--
{"Rectang"},//----------------------------------------------------------------------[LS]-------[15]--
{"Caligula"},//---------------------------------------------------------------------[LV]-------[16]--
{"Portcircuit"},//------------------------------------------------------------------[SF]-------[17]--
{"RampTime"},//---------------------------------------------------------------------[LS]-------[18]--
{"Boatchallenge"},//----------------------------------------------------------------[LV]-------[19]--
{"SFJump"},//-----------------------------------------------------------------------[SF]-------[20]--
{"VineDrive"},//--------------------------------------------------------------------[LS]-------[21]--
{"Camel"},//------------------------------------------------------------------------[LV]-------[22]--
{"SFJumper"},//---------------------------------------------------------------------[SF]-------[23]--
{"RiverDieR"},//--------------------------------------------------------------------[LS]-------[24]--
{"SmallDragon"},//------------------------------------------------------------------[LV]-------[25]--
{"Tunnels"},//----------------------------------------------------------------------[SF]-------[26]--
{"aero"},//-------------------------------------------------------------------------[LS]-------[27]--
{"Pirates"},//----------------------------------------------------------------------[LV]-------[28]--
{"SF-TDM"},//-----------------------------------------------------------------------[SF]-------[29]--
{"AirportDrag"},//------------------------------------------------------------------[LS]-------[30]--
{"SteepHill"},//--------------------------------------------------------------------[LV]-------[31]--
{"SF-RampZone"},//------------------------------------------------------------------[SF]-------[32]--
{"AirportParking"},//---------------------------------------------------------------[LS]-------[33]--
{"LvPD"},//-------------------------------------------------------------------------[LV]-------[34]--
{"AirportRunway"},//----------------------------------------------------------------[LS]-------[35]--
{"Industrial"},//-------------------------------------------------------------------[LV]-------[36]--
{"AirportUnderground"},//-----------------------------------------------------------[LS]-------[37]--
{"DirtRace"},//---------------------------------------------------------------------[LV]-------[38]--
{"Square"},//-----------------------------------------------------------------------[LS]-------[39]--
{"TheVenom"},//---------------------------------------------------------------------[LV]-------[40]--
{"CrazyMtChillad"},//---------------------------------------------------------------[LS]-------[41]--
{"PaloMinoCreek"},//----------------------------------------------------------------[LV]-------[42]--
{"CupCakeCorner"},//----------------------------------------------------------------[LS]-------[43]--
{"RedCountry"},//-------------------------------------------------------------------[LV]-------[44]--
{"Drift"},//------------------------------------------------------------------------[LS]-------[45]--
{"DrownedCastle"},//----------------------------------------------------------------[LV]-------[46]--
{"grovesfjump"},//------------------------------------------------------------------[LS]-------[47]--
{"TrainStation"},//-----------------------------------------------------------------[LV]-------[48]--
{"HillRun"},//----------------------------------------------------------------------[LS]-------[49]--
{"LittleParkV2"},//-----------------------------------------------------------------[LV]-------[50]--
{"Insanity"},//---------------------------------------------------------------------[LS]-------[51]--
{"TheMall"},//----------------------------------------------------------------------[LV]-------[52]--
{"Jumper"},//-----------------------------------------------------------------------[LS]-------[53]--
{"Boatrace"},//---------------------------------------------------------------------[LV]-------[54]--
{"LSDual"},//-----------------------------------------------------------------------[LS]-------[55]--
{"LittlePark"},//-------------------------------------------------------------------[LV]-------[56]--
{"LSMainStreet"},//-----------------------------------------------------------------[LS]-------[57]--
{"The"},//--------------------------------------------------------------------------[LV]-------[58]--
{"LSOrbital"},//--------------------------------------------------------------------[LS]-------[59]--
{"TheLVmillitary"},//---------------------------------------------------------------[LV]-------[60]--
{"OverHill_4X4"},//-----------------------------------------------------------------[LS]-------[61]--
{"TheMillitary"},//-----------------------------------------------------------------[LV]-------[62]--
{"LAEastbound"},//------------------------------------------------------------------[LS]-------[63]--
{"JumpinJack"},//-------------------------------------------------------------------[LV]-------[64]--
{"StadiumLoop"},//------------------------------------------------------------------[LS]-------[65]--
{"0mg"},//--------------------------------------------------------------------------[LV]-------[66]--
{"TourDeSA"},//---------------------------------------------------------------------[LS]-------[67]--
{"DisneyLand"},//-------------------------------------------------------------------[LV]-------[68]--
{"Tracker"},//----------------------------------------------------------------------[LS]-------[69]--
{"LVAirport"},//--------------------------------------------------------------------[LV]-------[70]--
{"Vinal"},//------------------------------------------------------------------------[LS]-------[71]--
{"LVHighway"},//--------------------------------------------------------------------[LV]-------[72]--
{"4x4DirtLoop"},//------------------------------------------------------------------[LS]-------[73]--
{"LVPolice"},//---------------------------------------------------------------------[LV]-------[74]--
{"4x4OverTrack"},//-----------------------------------------------------------------[LS]-------[75]--
{"Pirate"},//-----------------------------------------------------------------------[LV]-------[76]--
{"4x4LSSouth"},//-------------------------------------------------------------------[LS]-------[77]--
{"BlackLVA"},//---------------------------------------------------------------------[LV]-------[78]--
{"4x4DirtLoop"},//------------------------------------------------------------------[LS]-------[79]--
{"ComeCamels"},//-------------------------------------------------------------------[LV]-------[80]--
{"HillRun"},//----------------------------------------------------------------------[LS]-------[81]--
{"DesertDiver"},//------------------------------------------------------------------[LV]-------[82]--
{"BigWater"},//---------------------------------------------------------------------[LS]-------[83]--
{"EastBeachPershingSq"},//----------------------------------------------------------[LV]-------[84]--
{"BlueFarm"},//---------------------------------------------------------------------[LS]-------[85]--
{"RocaStar"},//---------------------------------------------------------------------[LV]-------[86]--
{"BlueRed"},//----------------------------------------------------------------------[LS]-------[87]--
{"Royal"},//------------------------------------------------------------------------[LV]-------[88]--
{"Coastal"},//----------------------------------------------------------------------[LS]-------[89]--
{"RedSands"},//---------------------------------------------------------------------[LV]-------[90]--
{"Countryloop"},//------------------------------------------------------------------[LS]-------[91]--
{"RocaCreek"},//--------------------------------------------------------------------[LV]-------[92]--
{"DesertGas"},//--------------------------------------------------------------------[LS]-------[93]--
{"BurningDownTheStrip"},//----------------------------------------------------------[LV]-------[94]--
{"DesertRamp"},//-------------------------------------------------------------------[LS]-------[95]--
{"Come-A-Lot-2"},//-----------------------------------------------------------------[LV]-------[96]--
{"FarmersLoop"},//------------------------------------------------------------------[LS]-------[97]--
{"FourDragons"},//------------------------------------------------------------------[LV]-------[98]--
{"JimsRing"},//---------------------------------------------------------------------[LS]-------[99]--
{"HotPiramide"},//------------------------------------------------------------------[LV]-------[100]-
{"ScorpGo"},//----------------------------------------------------------------------[LS]-------[101]-
{"PilgrimRun"},//-------------------------------------------------------------------[LV]-------[102]-
{"RiverRun"},//---------------------------------------------------------------------[LS]-------[103]-
{"RoyalCasino"},//------------------------------------------------------------------[LV]-------[104]-
{"HarbourLoop"},//------------------------------------------------------------------[LS]-------[105]-
{"Dragrace"},//---------------------------------------------------------------------[LV]-------[106]-
{"MoonRaker"},//--------------------------------------------------------------------[LS]-------[107]-
{"CraterRace"},//-------------------------------------------------------------------[LV]-------[108]-
{"VineDrive"},//--------------------------------------------------------------------[LS]-------[109]-
{"RedSandSmall"},//-----------------------------------------------------------------[LV]-------[110]-
{"DesertDiver"},//------------------------------------------------------------------[LS]-------[111]-
{"Chaos"},//------------------------------------------------------------------------[LV]-------[112]-
{"DriftHell"},//--------------------------------------------------------------------[LS]-------[113]-
{"LastDime"},//---------------------------------------------------------------------[LV]-------[114]-
{"PierPressure"},//-----------------------------------------------------------------[LS]-------[115]-
{"RedCounty"},//--------------------------------------------------------------------[LV]-------[116]-
{"Mental"},//-----------------------------------------------------------------------[LS]-------[117]-
{"ParkingDeck"},//------------------------------------------------------------------[LV]-------[118]-
{"BeachTwist"},//-------------------------------------------------------------------[LS]-------[119]-
{"LS-Prewie"},//--------------------------------------------------------------------[LS]-------[120]-
{"LS-Groove"},//--------------------------------------------------------------------[LS]-------[121]-
{"LS-Vagos"},//---------------------------------------------------------------------[LS]-------[122]-
{"LS-Black"},//---------------------------------------------------------------------[LS]-------[123]-
{"LS-Prk"}//------------------------------------------------------------------------[LS]-------[124]-
};

new VehicleName[][] = {
   "Landstalker",
   "Bravura",
   "Buffalo",
   "Linerunner",
   "Pereniel",
   "Sentinel",
   "Dumper",
   "Firetruck",
   "Trashmaster",
   "Stretch",
   "Manana",
   "Infernus",
   "Voodoo",
   "Pony",
   "Mule",
   "Cheetah",
   "Ambulance",
   "Leviathan",
   "Moonbeam",
   "Esperanto",
   "Taxi",
   "Washington",
   "Bobcat",
   "Mr Whoopee",
   "BF Injection",
   "Hunter",
   "Premier",
   "Enforcer",
   "Securicar",
   "Banshee",
   "Predator",
   "Bus",
   "Rhino",
   "Barracks",
   "Hotknife",
   "Trailer",
   "Previon",
   "Coach",
   "Cabbie",
   "Stallion",
   "Rumpo",
   "RC Bandit",
   "Romero",
   "Packer",
   "Monster Truck",
   "Admiral",
   "Squalo",
   "Seasparrow",
   "Pizzaboy",
   "Tram",
   "Trailer",
   "Turismo",
   "Speeder",
   "Reefer",
   "Tropic",
   "Flatbed",
   "Yankee",
   "Caddy",
   "Solair",
   "Berkley's RC Van",
   "Skimmer",
   "PCJ-600",
   "Faggio",
   "Freeway",
   "RC Baron",
   "RC Raider",
   "Glendale",
   "Oceanic",
   "Sanchez",
   "Sparrow",
   "Patriot",
   "Quad",
   "Coastguard",
   "Dinghy",
   "Hermes",
   "Sabre",
   "Rustler",
   "ZR-350",
   "Walton",
   "Regina",
   "Comet",
   "BMX",
   "Burrito",
   "Camper",
   "Marquis",
   "Baggage",
   "Dozer",
   "Maverick",
   "News Chopper",
   "Rancher",
   "FBI Rancher",
   "Virgo",
   "Greenwood",
   "Jetmax",
   "Hotring",
   "Sandking",
   "Blista Compact",
   "Police Maverick",
   "Boxville",
   "Benson",
   "Mesa",
   "RC Goblin",
   "Hotring Racer",
   "Hotring Racer",
   "Bloodring Banger",
   "Rancher",
   "Super GT",
   "Elegant",
   "Journey",
   "Bike",
   "Mountain Bike",
   "Beagle",
   "Cropdust",
   "Stunt",
   "Tanker",
   "RoadTrain",
   "Nebula",
   "Majestic",
   "Buccaneer",
   "Shamal",
   "Hydra",
   "FCR-900",
   "NRG-500",
   "HPV1000",
   "Cement Truck",
   "Tow Truck",
   "Fortune",
   "Cadrona",
   "FBI Truck",
   "Willard",
   "Forklift",
   "Tractor",
   "Combine",
   "Feltzer",
   "Remington",
   "Slamvan",
   "Blade",
   "Freight",
   "Streak",
   "Vortex",
   "Vincent",
   "Bullet",
   "Clover",
   "Sadler",
   "Firetruck",
   "Hustler",
   "Intruder",
   "Primo",
   "Cargobob",
   "Tampa",
   "Sunrise",
   "Merit",
   "Utility",
   "Nevada",
   "Yosemite",
   "Windsor",
   "Monster Truck",
   "Monster Truck",
   "Uranus",
   "Jester",
   "Sultan",
   "Stratum",
   "Elegy",
   "Raindance",
   "RC Tiger",
   "Flash",
   "Tahoma",
   "Savanna",
   "Bandito",
   "Freight",
   "Trailer",
   "Kart",
   "Mower",
   "Duneride",
   "Sweeper",
   "Broadway",
   "Tornado",
   "AT-400",
   "DFT-30",
   "Huntley",
   "Stafford",
   "BF-400",
   "Newsvan",
   "Tug",
   "Trailer",
   "Emperor",
   "Wayfarer",
   "Euros",
   "Hotdog",
   "Club",
   "Trailer",
   "Trailer",
   "Andromada",
   "Dodo",
   "RC Cam",
   "Launch",
   "Police Car (LSPD)",
   "Police Car (SFPD)",
   "Police Car (LVPD)",
   "Police Ranger",
   "Picador",
   "S.W.A.T. Van",
   "Alpha",
   "Phoenix",
   "Glendale",
   "Sadler",
   "Luggage Trailer",
   "Luggage Trailer",
   "Stair Trailer",
   "Boxville",
   "Farm Plow",
   "Utility Trailer"
};

enum CPos
{
    Float:vsX,
    Float:vsY,
    Float:vsZ
}
new VehPos[MAX_PLAYERS][CPos];

new VehSeats[] = {
4,2,2,2,4,4,1,2,2,4,2,2,2,4,2,2,4,2,4,2,4,4,2,2,2,1,4,4,4,2,1,500,1,2,2,0,2,500,4,2,4,1,2,2,2,4,1,2,
1,0,0,2,1,1,1,2,2,2,4,4,2,2,2,2,1,1,4,4,2,2,4,2,1,1,2,2,1,2,2,4,2,1,4,3,1,1,1,4,2,2,4,2,4,1,2,2,2,4,
4,2,2,1,2,2,2,2,2,4,2,1,1,2,1,1,2,2,4,2,2,1,1,2,2,2,2,2,2,2,2,4,1,1,1,2,2,2,2,500,500,1,4,2,2,2,2,2,
4,4,2,2,4,4,2,1,2,2,2,2,2,2,4,4,2,2,1,2,4,4,1,0,0,1,1,2,1,2,2,1,2,4,4,2,4,1,0,4,2,2,2,2,0,0,500,2,2,
1,4,4,4,2,2,2,2,2,4,2,0,0,0,4,0,0};

new DmGun[12] = {31,30,32,26,28,24,27,25,29,22,23,0};
new bikes[] = { /*581, 523, 462, 521, 463, 522, 461, 448, 468, 586,*/ 509, 481, 510/*, 471, 539*/};
new music[MAX_PLAYERS];
new songs[7][1] = {
{1187},
{1185},
{1183},
{1097},
{1076},
{1068},
{1062}
};

new DeathMatches[36][128] = {
{"Area52"},
{"Atlantis"},
{"Baseball"},
{"Construction"},
{"Quarry"},
{"Refinery"},
{"RodsOffice"},
{"RodsCastle"},
{"Carrier"},
{"TheBoat"},
{"Ruins"},
{"RodsCampus"},
{"Ruins"},
{"Urban"},
{"Ruins"},
{"TheCage"},
{"TheFarm"},
{"WildWest"},
{"Suburb"},
{"TruckYard"},
{"OpenWarII"},
{"MastaTrailer"},
{"EstateOfHate"},
{"OpenWar"},
{"HellSite"},
{"BigEars"},
{"PirateView"},
{"CabinFever"},
{"BatesMotel"},
{"Woods"},
{"SleepyHallow"},
{"WangView"},
{"DeathWay"},
{"TrainHouse"},
{"Glen"},
{"Abandon"}
};

new Float:gRandomPlayerSpawns[4][3] = {
{2206.2302,-1076.5393,1050.4844}, // noob 1
{2207.9895,-1072.3363,1050.4766},// noob 2
{2204.5681,-1073.5601,1050.4844}, // noob 3
{2209.4885,-1075.8551,1050.4844} // noob 4
};

new Float:gSFPlayerSpawns[3][3] = {
{-2667.6,1393.3,912.4}, // SF1
{-2667.2,1428.9,906.4}, // SF2
{-2667.0,1425.0,912.4} // SF3
};

new Float:gLSPlayerSpawns[3][3] = {
{2227.2,-1150.6,1025.7}, // LS1
{2224.3,-1143.1,1025.7}, // LS2
{2223.1,-1154.3,1025.7}//LS3
};

new Float:gRandomDMSpawns[21][3] = {
{-2414.0,1551.8,2.1}, // 1
{-2406.9,1555.2,2.1}, // 2
{-2392.8,1550.4,2.1}, // 3
{-2406.6,1545.1,2.1}, // 4
{-2391.9,1539.2,2.1}, // 5
{-2379.7,1541.8,2.1}, // 6
{-2366.9,1539.6,2.1}, // 7
{-2426.6,1537.4,2.1}, // 8
{-2473.5,1550.1,33.2}, // 9
{-2474.2,1546.8,23.6}, // 10
{-2464.2,1530.9,17.3}, // 11
{-2437.5,1559.0,17.3}, // 12
{-2416.3,1554.3,26.0}, // 13
{-2424.7,1542.5,26.0}, // 14
{-2410.5,1532.4,26.0}, // 15
{-2403.5,1546.5,26.0}, // 16
{-2389.2,1550.7,26.0}, // 17
{-2368.0,1556.7,17.3}, // 18
{-2351.5,1551.1,23.1}, // 19
{-2313.7,1546.4,18.7}, // 20
{-2313.7,1546.4,18.7} // 21
};

new Float:gDMWbounds[4] = {0.0,0.0,0.0,0.0};

new Float:gCopPlayerSpawns[5][3] = {
{2296.3696,2451.7136,10.8203}, // cop spawn
{2295.7356,2468.9648,10.8203}, // cop spawn 2
{2257.4404,2448.4185,3.5313}, // cop spawn
{2291.4741,2448.1580,3.5313}, // cop spawn
{2291.6711,2467.3508,3.5313} // cop spawn
};

new Float:gMedPlayerSpawns[3][3] = {
{1876.2747,2236.6331,11.1250}, // medic spawn
{1858.0505,2236.4968,11.1250}, // medic spawn
{1894.6615,2236.7109,11.1250} // medic spawn
};

new Float:gRaceCheckpoints[5][3] = {
{144.869800 ,-1564.952000,10.716340},
{1370.314000,-939.442600,34.187500},
{2865.989000,-1657.180000,10.875000},
{2123.180000,-2665.730000,13.375000},
{1350.4,-1400.2,13.3}//ls
};

new Float:gBFdropoff[6][3] = {
{1720.7,1423.2,10.6},
{1378.7,1918.5,10.8},
{1334.0,2061.4,10.8},
{1500.9,2061.4,10.8},
{1635.0,2182.2,10.8},//LV END
{-2294.1,557.1,35.1}
};

new Float:gCBdropoff[93][3] = {
{2498.9,1152.0,25.3},
{2360.0,1681.2,14.2},
{2000.6,1521.9,17.0},
{2270.9,1388.7,42.8},
{2308.6,1303.6,68.4},
{2155.6,1285.7,7.5},
{1953.2,1343.0,15.3},
{2265.7,2034.4,14.2},
{2225.9,2354.5,14.9},
{2058.3,2183.5,13.5},
{1722.6,1816.0,10.8},
{1679.9,1760.7,10.8},
{1961.6,2324.1,16.3},
{1595.6,2312.4,18.8},
{1969.5,1343.0,20.6},
{2323.7,1283.3,97.5},
{2534.8,1386.1,10.8},
{2550.8,1045.4,13.8},
{2518.0,918.4,20.8},
{2220.4,1048.5,10.8},
{2217.2,-1179.7,29.7},
{1098.1,-1428.0,22.7},
{2484.2,-1961.8,16.7},
{733.2,-1357.9,23.5},
{1411.6,-1455.1,20.4},
{1080.6,-1605.0,20.4},
{382.0,-2058.7,10.7},
{656.1,-1646.6,15.4},
{816.2,-1380.5,23.5},
{853.3,-1388.2,-0.5},
{915.4,-1235.1,17.2},
{1153.7,-1180.4,32.8},
{1183.9,-1257.3,18.8},
{1441.3,-926.8,39.6},
{1527.5,-893.5,57.6},
{1342.1,-1624.3,17.7},
{1292.1,-770.7,95.9},
{1907.9,-1318.6,14.1},
{1971.7,-1284.5,28.4},
{2687.1,-1144.6,71.3},
{2654.1,-1317.5,58.9},
{2771.0,-1388.5,27.1},
{2793.3,-1945.0,17.3},
{197.9,-1206.0,78.3},
{2447.5,-2209.8,26.6},
{2512.4,-2072.9,26.5},
{2171.6,-1732.1,17.2},
{2175.4,-1836.1,16.1},
{2399.5,-1550.7,28.0},
{2109.2,-1010.2,63.8},
{1409.9,-1274.5,33.4},
{1279.8,-1439.0,20.4},
{2234.0,-2269.3,17.8},
{2025.8,-2133.1,19.8},
{811.2,-1098.2,25.9},
{818.2,-944.2,55.2},
{-1531.62,687.50,133.05},
{-2116.69,925.64,86.08},
{-2178.19,714.87,53.89},
{-2079.53,1066.02,65.57},
{-2708.04,378.05,11.98},
{-1474.37,152.15,18.77},
{-1320.62,485.88,11.19},
{-2659.46,1530.08,54.94},
{-2657.78,1414.17,27.97},
{-2807.55,1162.87,20.31},
{-2387.21,2215.94,4.98},
{-2119.53,224.59,35.10},
{-2027.70,-42.67,38.80},
{-1948.38,111.97,27.69},
{-1808.22,560.85,35.16},
{-1940.65,486.94,31.97},
{-1571.32,703.71,26.46},
{-1599.16,683.78,17.16},
{-1610.15,-493.28,22.09},
{-1429.51,-964.76,200.91},
{-1685.92,1034.85,56.91},
{-1643.64,1206.49,32.91},
{-1505.59,1374.12,3.83},
{-2187.07,607.10,35.16},
{-2222.01,615.84,44.24},
{-2435.86,544.59,28.36},
{-2525.08,310.48,35.12},
{-1812.34,1226.70,23.98},
{-1864.90,1281.93,62.48},
{-2483.35,164.50,32.06},
{-1650.97,1422.88,9.22},
{-2582.19,893.12,74.48},
{-2661.18,874.05,84.38},
{-1465.60,408.74,7.19},
{-2734.98,769.54,65.91},
{-2402.25,-597.65,132.65},
{-2432.76,-1620.05,526.86}
};

new Float:ChatPosition[3][2] = {
{152.000000, 390.000000},
{152.000000, 402.000000},
{152.000000, 414.000000}
};

enum fInfo
{
	Fuel
}
new FuelInfo[MAX_PLAYERS][fInfo];

enum pSpec
{
	Float:sPx,
	Float:sPy,
	Float:sPz,
	sPint,
	sLocal,
	sCam,
};

new Unspec[MAX_PLAYERS][pSpec];

enum eCars
{
	model_id,
	Float:pos_x,
	Float:pos_y,
	Float:pos_z,
	Float:z_angle,
	respawn_delay
};

enum pInfo
{
	pPassword[128],
	pIp[15],
	pCash,
	pAccount,
	pAdmin,
	pLevel,
	pExp,
	gPupgrade,
	pKills,
	pCB,
	pHW,
	pSR,
	pWA,
	pBF,
	pPEN,
	pGun1,
	pGun2,
	pGun3,
	pGun4,
	pGun5,
	pGun6,
	pAmmo1,
	pAmmo2,
	pAmmo3,
	pAmmo4,
	pAmmo5,
	pAmmo6,
	Float:pSHealth,
	Float:pSArmour,
	Float:pHealth,
	Float:pPos_x,
	Float:pPos_y,
	Float:pPos_z,
	pInt,
	pLocal,
	pTeam,
	pModel,
	pPnumber,
	pPhousekey,
	pPbiskey,
	pWarnL,
	pSaves,
	pLottoXP,
	pTmpRank,
 	pDildoK,
	pFlowerK,
	pCaneK,
	pGrenadeK,
	pGasK,
	pMolotovK,
	pColtK,
	pSPK,
	pDeagleK,
	pPShotK,
	pSawnK,
	pSpas12K,
	pUziK,
	pMP5K,
	pAK47K,
	pM4K,
	pTec9K,
	pRifleK,
	pSRifleK,
	pRPGK,
	pHSRLK,
	pFlameK,
	pMiniK,
	pSatchelK,
	pFireEK,
	pSprayK,
	pFistK,
	pBrassK,
	pGolfK,
	pNightSK,
	pBatK,
	pShovelK,
	pPoolCK,
	pKatanaK,
	pChainsawK,
	pIntimK,
	pKnifeK,
	pDildoD,
	pFlowerD,
	pCaneD,
	pGrenadeD,
	pGasD,
	pMolotovD,
	pColtD,
	pSPD,
	pDeagleD,
	pPShotD,
	pSawnD,
	pSpas12D,
	pUziD,
	pMP5D,
	pAK47D,
	pM4D,
	pTec9D,
	pRifleD,
	pSRifleD,
	pRPGD,
	pHSRLD,
	pFlameD,
	pMiniD,
	pSatchelD,
	pFireED,
	pSprayD,
	pFistD,
	pBrassD,
	pGolfD,
	pNightSD,
	pBatD,
	pShovelD,
	pPoolCD,
	pKatanaD,
	pChainsawD,
	pIntimD,
	pKnifeD,
	pPMs,
	pALicence,
	pBLicence,
	pCLicence,
	pDLicence,
	pELicence,
	pALicenceR,
	pBLicenceR,
	pCLicenceR,
	pDLicenceR,
	pELicenceR,
	pShooter,
	pDiller,
	pHealther,
    pRepairer,
    pThiefer,
    pTeacher,
    pDetective,
    pShooterR,
	pDillerR,
	pHealtherR,
    pRepairerR,
    pThieferR,
    pTeacherR,
    pDetectiveR,
    pWantedlevel,
	pJob,
	pMats,
};
new PlayerInfo[MAX_PLAYERS][pInfo];

enum plInfo
{
	plPassword[128],
	plIp[15],
	plCash,
	plAccount,
	plAdmin,
	plLevel,
	plExp,
	glPupgrade,
	plKills,
	plCB,
	plHW,
	plSR,
	plWA,
	plBF,
	plPEN,
	plGun1,
	plGun2,
	plGun3,
	plGun4,
	plGun5,
	plGun6,
	plAmmo1,
	plAmmo2,
	plAmmo3,
	plAmmo4,
	plAmmo5,
	plAmmo6,
	Float:plSHealth,
	Float:plSArmour,
	Float:plHealth,
	Float:plPos_x,
	Float:plPos_y,
	Float:plPos_z,
	plInt,
	plLocal,
	plTeam,
	plModel,
	plPnumber,
	plPhousekey,
	plPbiskey,
	plWarnL,
	plSaves,
	plLottoXP,
	plTmpRank,
 	plDildoK,
	plFlowerK,
	plCaneK,
	plGrenadeK,
	plGasK,
	plMolotovK,
	plColtK,
	plSPK,
	plDeagleK,
	plPShotK,
	plSawnK,
	plSpas12K,
	plUziK,
	plMP5K,
	plAK47K,
	plM4K,
	plTec9K,
	plRifleK,
	plSRifleK,
	plRPGK,
	plHSRLK,
	plFlameK,
	plMiniK,
	plSatchelK,
	plFireEK,
	plSprayK,
	plFistK,
	plBrassK,
	plGolfK,
	plNightSK,
	plBatK,
	plShovelK,
	plPoolCK,
	plKatanaK,
	plChainsawK,
	plIntimK,
	plKnifeK,
	plDildoD,
	plFlowerD,
	plCaneD,
	plGrenadeD,
	plGasD,
	plMolotovD,
	plColtD,
	plSPD,
	plDeagleD,
	plPShotD,
	plSawnD,
	plSpas12D,
	plUziD,
	plMP5D,
	plAK47D,
	plM4D,
	plTec9D,
	plRifleD,
	plSRifleD,
	plRPGD,
	plHSRLD,
	plFlameD,
	plMiniD,
	plSatchelD,
	plFireED,
	plSprayD,
	plFistD,
	plBrassD,
	plGolfD,
	plNightSD,
	plBatD,
	plShovelD,
	plPoolCD,
	plKatanaD,
	plChainsawD,
	plIntimD,
	plKnifeD,
	plPMs,
 	plALicence,
	plBLicence,
	plCLicence,
	plDLicence,
	plELicence,
	plALicenceR,
	plBLicenceR,
	plCLicenceR,
	plDLicenceR,
	plELicenceR,
	plShooter,
	plDiller,
	plHealther,
    plRepairer,
    plThiefer,
    plTeacher,
    plDetective,
    plShooterR,
	plDillerR,
	plHealtherR,
    plRepairerR,
    plThieferR,
    plTeacherR,
    plDetectiveR,
    plWantedlevel,
	plJob,
	plMats,
};
new PLlayerInfo[MAX_PLAYERS][plInfo];

enum hInfo
{
	Float:hEntrancex,
	Float:hEntrancey,
	Float:hEntrancez,
	Float:hExitx,
	Float:hExity,
	Float:hExitz,
	hHealthx,
	hHealthy,
	hHealthz,
	hArmourx,
	hArmoury,
	hArmourz,
	hOwner[MAX_PLAYER_NAME],
	hDiscription[MAX_PLAYER_NAME],
	hValue,
	hHel,
	hArm,
	hInt,
	hWorld,
	hLock,
	hOwned,
	hRooms,
	hRent,
	hRentabil,
	hTakings,
	hVec,
	hVcol1,
	hVcol2,
	hDate,
	hLevel,
};

new HouseInfo[102][hInfo];

enum bInfo
{
	Float:bEntrancex,
	Float:bEntrancey,
	Float:bEntrancez,
	Float:bExitx,
	Float:bExity,
	Float:bExitz,
	bHealthx,
	bHealthy,
	bHealthz,
	bArmourx,
	bArmoury,
	bArmourz,
	bOwner[MAX_PLAYER_NAME],
	bDiscription[64],
	bValue,
	bHel,
	bArm,
	bInt,
	bWorld,
	bLock,
	bOwned,
	bEntcost,
	bTakings,
	bDate,
	bLevel,
	bProd,
	bProdCap,
	bComp,
	bCompCap,
	bProdCost,
	bPayComp,
	bPriceMod,
};

new BizzInfo[42][bInfo];

enum sbInfo
{
	Float:sbEntrancex,
	Float:sbEntrancey,
	Float:sbEntrancez,
	sbOwner[MAX_PLAYER_NAME],
	sbDiscription[64],
	sbValue,
	sbHel,
	sbArm,
	sbInt,
	sbLock,
	sbOwned,
	sbEntcost,
	sbTakings,
	sbDate,
	sbLevel,
	sbProd,
	sbProdCap,
	sbComp,
	sbCompCap,
	sbProdCost,
	sbPayComp,
};

new SBizzInfo[57][sbInfo];

enum pHaul
{
	pCapasity,
	pLoad,
};

new PlayerHaul[MAX_VEHICLES][pHaul];

enum pCrime
{
	pBplayer[32],
	pAccusing[32],
	pAccusedof[32],
	pVictim[32],
};

new PlayerCrime[MAX_PLAYERS][pCrime];

enum pTele
{
	Float:pTmpposx,
	Float:pTmpposy,
	Float:pTmpposz,
	pTmpint,
};

new Teletmp[255][pTele];

enum rInfo
{
	Float:rStartx,
	Float:rStarty,
	Float:rStartz,
	Float:rMidx,
	Float:rMidy,
	Float:rMidz,
	Float:rMid2x,
	Float:rMid2y,
	Float:rMid2z,
	Float:rEndx,
	Float:rEndy,
	Float:rEndz,
	rName[MAX_PLAYER_NAME],
	rBest[MAX_PLAYER_NAME],
	rBestm,
	rBests,
	rBestms,
	rLaps,
};

new RaceInfo[rInfo];

enum sInfo
{
	Float:sEnterx,
	Float:sEntery,
	Float:sEnterz,
};

new SaveInfo[34][sInfo];

enum stInfo
{
	Float:stEnterx,
	Float:stEntery,
	Float:stEnterz,
	stOwner[MAX_PLAYER_NAME],
	stDiscription[64],
	stValue,
	stHel,
	stArm,
	stInt,
	stLock,
	stOwned,
	stEntcost,
	stTakings,
	stDate,
	stLevel,
	stProd,
	stProdCap,
	stComp,
	stCompCap,
	stProdCost,
	stPayComp,
};

new StationInfo[18][stInfo];

new RandCars[50][1] = {
{404},{405},{410},{413},{418},
{419},{421},{422},{426},{436},
{439},{445},{458},{466},{467},
{474},{475},{479},{482},{483},
{491},{492},{496},{500},{507},
{516},{517},{518},{526},{527},
{529},{533},{540},{542},{545},
{546},{547},{549},{550},{551},
{555},{566},{579},{580},{585},
{587},{589},{600},{602},{603}
};


new RandLCars[6][1] = {
{431},// bus
{433},// barracks
{437},// coach
{443},// packer
{455},// flatbed
{578}// dft30
};


new GunPrice[30][1] = {
{500}, //parachute
{400}, //golfclub
{300}, //nightstick
{200}, //knife
{700}, //baseballbat
{300}, //shovel
{100}, //poolcue
{400}, //purpledildo
{780}, //whitedildo
{560}, //longwhitedildo
{530}, //whitedildo2
{200}, //flowers
{600}, //cane
{500}, //sdpistol
{1000}, //colt45
{1500}, //deagle
{2000}, //Tec9
{3000}, //uzi
{2500}, //mp5
{100}, //shotgun
{2000}, //spas12
{4000}, //sawnoff
{2000}, //ak47
{2500}, //m4
{1000}, //rifle
{1}, //pistolammo
{10}, //shotgunammo
{2}, //smgammo
{20}, //assaultammo
{50} //rifleammo
};

new Peds[283][1] = {
{264},
{102},//TEAM_BALLAS
{103},
{104},
{105},//TEAM_GROVE
{106},
{107},
{269},
{270}, 
{271}, 
{108},//TEAM_VAGOS
{109},
{110},
{114},//TEAM_AZTECAS
{115},
{116},
{121},// TEAM_NANG
{122},
{123},
{124},//TEAM_MAFIA
{125},
{126},
{127},
{272},
{111},//TEAM_RMAFIA
{112},
{113},
{117},//TEAM_TRIADS
{118},
{120},
{247},//TEAM_BIKERS
{248},
{100},
{256},
{263},
{262},
{261},
{260},
{259},
{258},
{257},
{256},
{255},
{253},
{252},
{251},
{250},
{249},
{246},
{245},
{244},
{243},
{242},
{241},
{240},
{239},
{238},
{237},
{236},
{235},
{234},
{233},
{232},
{231},
{230},
{229},
{228},
{227},
{226},
{225},
{173},
{174},
{175},
{224},
{223},
{222},
{221},
{220},
{219},
{218},
{217},
{216},
{215},
{214},
{213},
{212},
{211},
{210},
{209},//	{208},
{207},
{206},
{205},
{204},
{203},
{202},
{201},
{200},
{199},
{198},
{197},
{196},
{195},
{194},
{193},
{192},
{191},
{190},
{189},
{188},
{187},
{186},
{185},
{184},
{183},
{182},
{181},
{180},
{179},
{178},
{177},
{176},
{172},
{171},
{170},
{169},
{168},
{167},//	{166},//	{165},//	{164},//	{163},
{162},
{161},
{160},
{159},
{158},
{157},
{156},
{155},
{154},
{153},
{152},
{151},
{150},//	{149},
{148},
{147},
{146},
{145},
{144},
{143},
{142},
{141},
{140},
{139},
{138},
{137},
{136},
{135},
{134},
{133},
{132},
{131},
{130},
{129},
{128},
{101},
{254},
{99},
{98},
{97},
{96},
{95},
{94},
{93},
{92},
{91},
{90},
{89},
{88},
{87},//	{86},
{85},
{84},
{83},
{82},
{81},
{80},
{79},
{78},
{77},
{76},
{75},//	{74},
{73},
{72},
{69},
{68},
{67},
{66},//	{65},
{64},
{63},
{62},
{61},
{60},
{59},
{58},
{57},
{56},
{55},
{54},
{53},
{52},
{51},
{50},
{49},
{48},
{47},
{46},
{45},
{44},
{43},//	{42},
{41},
{40},
{39},
{38},
{37},
{36},
{35},
{34},
{33},
{32},
{31},
{30},
{29},
{28},
{27},
{26},
{25},
{24},
{23},
{22},
{21},
{20},
{19},
{18},
{17},
{16},
{15},
{14},
{13},
{12},
{11},
{10},
{1},//TRUTH
{2},//MACCER
{290},//ROSE
{291},//PAUL
{292},//CESAR
{293},//OGLOC
{294},//WUZIMU
{187},
{296},//JIZZY
{297},//MADDOGG
{298},//CAT
{299},//ZERO
{71}, //=255 amb
{70},
{274},
{275},
{276}, //==259
{163}, //=260
{164},
{165},
{166},
{295},//TORINO
{246},
{186},
{147},
{288},
{286},
{285},
{284},
{283},
{282},
{281},
{280}, //276
{265}, //Tenpenny //255 //new
{266}, //Pulaski //256
{267} //Hernandez //257
};


new RandLow[7][1] = {
{536}, //Blade
{575}, //Broadway
{534}, //Remington
{567}, //Savanna
{535}, //Slamvan
{576}, //Tornado
{412}  //Voodoo
};

new RandBikes[12][1] = {
//{448},//Pizza Boy
{461},//PCJ-600
//{462},//Faggio
{463},//Freeway
{468},//Sanchez
{481},//BMX
{509},//Bike
{510},//Mountain Bike
{521},//FCR-900
{461},//NRG-500
{581},//BF-400
{586},//Wayfarer
{571},//kart
{471}//quad
};

new RandAngles[5][1] = {
{562},//Elegy
//{561},//Stratum
{565},//Flash
{559},//Jester
{558},//Uranus
{560}//Sultan
};

new Float:HouseCarSpawns[102][4] ={
{2342.5,-1039.8,52.5,180.1809},//flash //trailer 0
{2064.4,-1694.4,13.1,271.1561},//elergy 1
{2246.9573,-1909.0677,14.2518,177.5861},
{1109.8,-968.0,42.7,0.0},//house3
{2497.6274,-2025.6306,13.2521,355.4281}, // hosue 4
{2645.0,-1990.8,13.1,180.0},//balde hr - 5
{2503.5977,-1364.4044,28.2365,357.6592},//house 6
{1910.5149,-1120.5304,25.4493,177.8350},//house7
{828.8,-887.0,68.5,230.7095},//blistac 8
{2149.6,-1610.9,14.0,90.7904},//remington 9
{760.1,-1687.8,4.3,180.6},//10
{645.5,-1616.1,14.9,0.0},//supergt 11
{1830.7705,-1404.1754,13.1338,269.9360},//house 12
{1679.2,-1462.9,13.3,270.0},//comet 13
{959.5864,-901.0845,45.8584,177.3087},//newhouse cheeta	14
{2445.8,-1326.8,23.6,18.4},
{2845.9,-1286.8,18.9,90.0},//savanna 8 house 16
{2159.8,-1803.9,13.3,271.4}, //blank 17
{2485.1,-1653.4,13.1,90.7904},//bullit 10 house 18
{977.6,-829.0,95.6,0.0},//hotring 2 house 19
{1514.0,-694.6,94.5,90.0},//bullit 10 house 20
{1246.7,-1107.6,25.5,266.4},//rancher 5 house 21
{831.7,-857.5,69.9,180.0},//bucaner//hotrod 6 house 22
{1007.9,-659.4,121.1,130.6194},//cheetah 23
{1110.0,-726.4,100.1,90.0},//zr350 //house 24
{259.7,-1221.0,74.7,202.0011},//infernus house25
{1463.7,-901.7,55.8,359.0},//euros //house26
{1440.1,-890.6,51.2,0.0},//banshee //house 27
{1040.7,-1053.7,31.7,0.0},//banshee //house 19
{1146.2,-2046.5,69.0,301.3},
//{1880.2,-2022.3,13.3,180.0},//banshee //house 20 //move
{963.5,-1830.8,12.6,254.8},//banshee //house 21
{2088.6,-1140.6,25.5,90.8},//banshee //house 21
{904.5523,-1454.7026,12.9286,269.2811},
{1534.1,-841.5,65.0,93.2},//banshee //house 21 --END LS
{278.0,-55.8,1.4,180.0},//flash //trailer 0 d
{-2200.2986,-2502.7407,30.7103,321.0502},//house 1 d
{762.5,-508.7,17.0,180.0},//d
{-2795.9570,101.3395,7.2843,89.3898},//house3 d
{-2227.5791,102.0441,35.4133,88.4252}, // hosue 4 d
{-2718.5862,-124.3040,4.4283,269.8176},//balde hr - 5 d
{-2275.9343,907.2831,66.7379,359.1227},//house 6 d
{-2741.3259,767.3788,54.4718,88.9035},//house7 d
{-2724.2317,915.5233,67.6782,90.9239},//blistac 8 d
{-2426.2532,2345.3655,5.0731,191.1916},//remington 9 d
{-2487.8782,898.7682,64.2168,1.3827},//10 d
{-1974.7997,1188.2860,45.5382,89.5201},//supergt 11 d
{-2156.0278,835.2209,68.4106,269.5579},//house 12 d
{-2636.9980,164.2293,4.4216,89.7434},//comet 13 d
{-2615.3564,-109.7871,4.4289,225.9607},//newhouse cheeta	14 d
{-2694.7485,112.6164,4.4288,90.9767},
{-2048.4634,901.8010,51.7757,359.0649},//savanna 8 house 16 d
{-2569.1931,815.5813,50.0800,179.6458}, //blank 17 d
{-2635.7874,930.2011,71.6010,228.5905},//bullit 10 house 18
{-2437.2031,2447.7285,13.8814,178.4756},//hotring 2 house 19
{-2662.7969,991.1157,64.9829,352.0646},//bullit 10 house 20
{-2278.9688,1093.0332,80.1988,271.8419},//rancher 5 house 21
{-2660.7239,883.3536,79.8712,359.8697},//bucaner//hotrod 6 house 22
{-2696.0505,824.4062,48.5107,178.6384},//cheetah 23
{-2713.7483,872.2689,70.7031,93.8325},//zr350 //house 24
{-2536.7979,763.1629,38.3829,267.4845},//infernus house25
{-2840.5642,917.9500,44.1476,274.2529},//euros //house26
{-2721.0137,984.6269,54.4609,24.5002},//banshee //house 27
{-2398.0574,863.7018,43.2900,273.5835},//banshee //house 19
{-2625.6299,2273.8923,8.3787,268.2709},
//{1880.2,-2022.3,13.3,180.0},//banshee //house 20 //move
{-2377.3142,688.0111,35.2619,88.3543},//banshee //house 21
{-2486.9502,2510.0149,18.0625,359.0382},//banshee //house 21
{-2425.8875,2496.2031,13.5679,89.8136},
{-2894.5146,1053.8331,32.6685,269.2279},//banshee //house 21 ---- END SF HOUSE
{778.5112,1981.9683,5.0197,151.6314},//flash //trailer 0
{2095.8162,2162.2979,10.5250,1.474},//elergy 1
{2085.5364,2187.4646,10.5259,265.7559},
{1039.9480,2306.9836,10.8172,177.8910},//house3
{1667.1641,1983.4568,10.5266,179.2040}, // hosue 4
{1607.6807,2603.1626,10.5338,236.0245},//balde hr - 5
{2050.4094,659.7449,10.8943,357.0585},//house 6
{2265.5032,728.6786,11.1287,1.9008},//house7
{2162.1726,779.1111,10.8496,92.5891},//blistac 8
{2262.5720,2288.5522,10.3922,258.4693},//remington 9
{2369.1533,2362.0156,10.3913,88.6281},//10
{2231.5308,2526.2234,10.3911,179.8445},//supergt 11
{2631.2312,1166.0654,10.3748,90.5151},//house 12
{2592.2764,1263.8335,10.3762,271.6726},//comet 13
{1998.3496,2756.8579,10.3887,180.6024},//newhouse cheeta	14
{2028.8711,2732.3752,10.3866,272.5061},
{989.6016,1886.8806,11.4595,270.2484},//savanna 8 house 16
{1756.6714,2765.3049,10.4460,198.9350}, //blank 17
{1563.7407,2722.2583,10.3880,66.2062},//bullit 10 house 18
{1316.5719,1937.1439,10.9262,4.5909},//hotring 2 house 19
{922.5617,1920.2517,11.2850,89.7153},//bullit 10 house 20
{1498.8796,2021.1494,10.8986,181.3916},//rancher 5 house 21
{1632.6295,2110.2676,11.1759,88.7831},//bucaner//hotrod 6 house 22
{2630.1533,1701.9467,10.6545,88.0547},//cheetah 23
{1319.2466,2520.4170,10.9150,90.8665},//zr350 //house 24
{1599.2883,2655.4285,10.3915,88.0015},//infernus house25
{2056.5786,2753.5596,10.9130,256.5623},//euros //house26
{2468.3647,2335.1311,10.5055,91.6153},//banshee //house 27
{973.2,-916.1,45.6,90.4028},//banshee //house 19
{1853.7361,652.7165,11.2780,268.3501},
//{1880.2,-2022.3,13.3,180.0},//banshee //house 20 //move
{1234.9877,2591.5698,10.9135,0.6073},//banshee //house 21
{2068.6025,2178.0564,10.9135,336.0819},//banshee //house 21
{807.5716,1677.9303,4.9406,0.2110},
{2575.6003,1060.5210,10.9135,358.7126}//banshee //house 21 ----END LV HOUSE 34
/*{-1524.9,2697.3,55.4,180.0},//------STARTVILLAGE
{-901.8,2688.5,42.1,50.0},
{3.7,1083.7,19.6,90.0},
{1290.5,160.0,20.3,180.0},
{2256.8,72.4,26.3,270.0}*/
};


new CarSpawns[588][eCars] = {
	//start ls vehicles
 	{405,2205.2,-1177.0,25.7,270.8},//carid 90
	{554,2205.1,-1169.1,25.7,270.8},
	{426,2216.7,-1170.6,25.7,268.3},
	{445,2228.5,-1177.3,25.7,88.4},
	{492,2229.2,-1170.2,25.7,86.9},
	{507,2228.9,-1162.7,25.7,87.8},
	{545,2217.0,-1157.2,25.7,269.8},
	{540,169.1929,-1342.3611,69.7396,180.4404},
	{482,422.8060,-1263.5979,51.6681,21.4204},
	{547,405.9748,-1264.3921,50.1237,24.2110},
	{550,2242.3, -1235.4, 24.3,359.7513},
	{551,2223.9, -1237.3, 24.4,358.8547},
	{560,2106.4695,-1248.7920,24.0461,0.1524},
	{566,2196.2891,-1277.7905,24.2147,180.4522},
	{402,198.6057,-1437.2435,13.1844,318.3837},
	{405,216.5521,-1431.4004,13.0853,132.5749},
	{554,334.2231,-1343.7405,14.3828,209.9581},
	{426,481.0428,-1320.8564,15.4095,35.6808},
	{507,697.4343,-1230.9486,16.5063,298.7916},
	{545,723.9850,-1121.5535,18.1450,333.9010},
	{540,912.2176,-996.2035,38.1402,7.5764},
	{482,982.1829,-921.8636,41.8776,262.3163},
	{547,981.8715,-917.3546,41.5443,88.0589},
	{550,1188.4082,-925.1859,42.8590,277.5563},
	{400,1307.5226,-914.4717,39.0082,269.3765},
	{405,1450.2,-937.1,36.2,269.6909}, //116
	{492,2148.3257,-1175.2518,24.1959,269.6909},
	{507,2161.4871,-1163.1450,23.6760,269.1628},
	{545,2216.8965,-1165.9469,25.4697,89.8643},
	{540,2348.2910,-1167.9983,27.3637,323.1586},
	{482,2502.0388,-1134.9507,39.1953,150.9506},
	{547,2909.4895,-1180.3746,11.0176,222.1346},
	{550,2853.1858,-1326.8011,11.1511,278.9301},
	{551,2797.2690,-1549.3374,10.4935,93.0282},
	{533,2796.9031,-1567.2024,10.6386,272.4041},
	{482,2813.2175,-1673.0276,9.6638,2.3369},
	{547,2827.6736,-1703.9755,9.7308,77.2896},
	{550,2809.3872,-1837.2391,9.7398,268.9880},
	{551,2870.8789,-1943.2599,11.4834,359.2344},
	{566,2411.5386,-2134.7576,13.9352,0.7795},
	{554,1389.7467,-2695.9370,13.4164,121.1818},
	{405,783.1359,-1601.8208,13.2577,270.9069},
	{554,782.7205,-1619.3584,13.2653,93.0550},
	{426,923.0841,-1361.7990,13.0324,181.1371},
	{445,911.7986,-1352.7415,13.1543,359.3287},
	{492,1174.6599,-922.1939,43.1189,276.8927},
	{507,1363.0210,-1288.3124,13.2839,180.1453},
	{545,1363.2723,-1260.8229,13.0954,179.5841},
	{540,2383.5627,-1927.9207,13.2436,359.6281},
	{482,2377.0374,-1927.8434,13.1071,0.7843},
	{547,2391.7234,-1978.0658,13.1963,90.1736},
	{550,2396.6899,-1966.8123,13.2793,271.6838},
	{551,2391.1135,-1500.6554,23.6355,269.7709},
	{560,2390.7446,-1490.9093,23.5335,271.1926},
	{405,321.2212,-1809.3561,4.2627,179.7758},
	{554,334.3586,-1789.3143,4.6717,178.7722},
	{426,343.8039,-1808.9827,4.3090,181.8368},
	{445,499.4850,-1764.0182,5.3367,89.7930},
	{492,646.4998,-1771.6411,13.2905,348.7706},
	{507,740.4332,-1797.7659,13.9196,349.9927},//150
	{545,652.4496,-1656.7273,14.4585,91.3294},
	{540,546.0256,-1622.4747,16.4585,180.7857},
	{482,438.9431,-1625.4088,25.7951,0.1850},
	{547,453.3896,-1494.3240,30.7917,7.7513},
	{550,487.6469,-1516.2312,20.0235,185.5384},
	{551,300.5775,-1490.8882,24.3748,235.1359},
	{560,297.9918,-1535.9011,24.3758,231.2773},
	{566,524.0590,-1375.0093,15.8231,193.3626},
	{405,598.9131,-1519.1414,14.8214,180.4083},
	{554,593.2022,-1519.3578,14.9461,181.5466},
	{426,733.5679,-1438.4880,13.3203,266.7551},
	{445,770.4971,-1431.1127,13.3247,0.7436},
	{492,735.9440,-1346.2430,13.3003,88.3069},
	{507,736.8572,-1337.1550,13.3140,271.3832},
	{545,856.7003,-1363.1852,13.4093,179.8542},//165
	{482,888.1506,-1659.2727,13.3296,1.2414},
	{547,879.1024,-1669.2560,13.3305,180.5853},
	{550,888.0242,-1678.5981,13.3294,358.4990},
	{551,920.4441,-1823.0966,12.3452,84.1821},
	{560,986.5818,-1761.2992,13.4014,181.9385},
	{566,1062.6744,-1757.9412,13.1956,89.0572},
	{405,1084.3831,-1763.8369,13.1501,269.0443},
	{554,1081.8948,-1629.9564,13.4064,90.0880},
	{426,981.7941,-1523.5115,13.3379,267.2751},
	{445,1014.7464,-1434.4586,13.3292,266.3129},
	{492,2684.6,-1990.2,13.3,180.0931},
	{507,2684.6,-2019.0,13.3 ,0.8777},
	{545,1096.1,-1379.9,13.3,270.1909},//178
	{540,1151.6812,-1203.2323,20.2889,273.5155},//179
	{482,1182.2568,-1219.2407,18.4163,0.5578},
	{547,1260.9978,-1187.1921,23.3559,183.3606},
	{550,1331.9304,-1081.3899,24.9941,90.4092},
	{551,1284.8755,-1525.5013,13.3451,269.4388},
	{560,1279.1887,-1539.2032,13.3201,94.8070},
	{566,1275.9120,-1646.7448,13.3273,267.2669},
	{405,1318.2792,-1785.7821,13.2429,182.4215},
	{554,1253.9153,-1833.3832,13.1734,175.3692},
	{426,1279.2875,-1814.4156,13.1657,93.6385},
	{445,1198.5004,-1835.2216,13.1820,93.6780},
	{492,1479.9131,-1737.8813,13.2418,269.5805},
	{507,1508.1047,-1737.7089,13.2418,270.0250},
	{545,1618.0411,-1891.1044,13.3278,0.3364},
	{540,1623.7291,-1892.7234,13.3307,180.0126},
	{482,1742.8494,-1857.7446,13.1960,271.1740},
	{547,1743.5837,-1844.6041,13.3557,180.3384},
	{550,1838.1904,-1871.3842,13.1703,358.5452},
	{551,1841.4791,-1871.6549,13.1687,179.3825},
	{560,1777.1376,-1910.0310,13.1681,91.0725},
	{566,1803.1235,-1920.5144,13.1758,266.0453},
	{566,1981.0780,-1986.3513,13.3275,2.1479},
	{405,1987.6057,-1994.9520,13.3296,359.9128},
	{554,1978.0371,-2066.7500,13.1640,358.2871},
	{426,1984.7471,-2066.7776,13.1625,359.7226},
	{445,1938.0565,-2086.8459,13.3429,268.3414},
	{492,1947.1119,-2136.3887,13.3286,90.9804},
	{507,1932.1523,-2141.5220,13.3429,1.8383},
	{545,1793.9172,-2148.5300,13.3781,359.7861},
	{540,1748.0751,-2084.2090,13.3324,0.4337},
	{482,1560.5026,-2260.5457,13.3258,268.7398},
	{547,1461.6943,-1505.1688,13.2541,356.9007},
	{550,1426.4930,-1402.3170,13.1800,181.0290},
	{551,1435.0645,-1325.6835,13.2580,270.9400},
	{560,1513.9486,-1272.5691,14.2685,181.0697},
	{566,1583.7561,-1338.7435,16.1896,359.8619},
	{405,1573.8772,-1209.9202,17.1378,92.7502},
	{554,1476.2012,-1120.3083,23.5660,359.9746},
	{426,1430.2316,-1054.8555,22.8693,359.3625},
	{445,1574.1168,-1036.7643,23.6151,145.6786},
	{492,1617.6676,-1009.8663,23.6052,356.8697},
	{507,1645.3188,-1036.5238,23.6027,0.7258},
	{545,1735.2826,-1010.5402,23.6588,346.3133},
	{540,1770.4874,-1060.9886,23.6658,179.2750},
	{482,1739.9854,-1084.5490,23.6660,176.8026},
	{547,1653.1766,-1134.8994,23.6110,178.6835},
	{550,1617.3746,-1132.8293,23.6117,91.7300},
	{551,1790.0190,-1292.9065,13.2653,267.2964},
	{560,1754.3009,-1476.8170,13.2402,269.6320},
	{554,2003.3417,-1121.4993,26.3879,357.4926},
	{426,2084.2334,-1170.0986,24.2042,91.8975},
	{445,2229.1128,-1357.8774,23.6930,268.2194},
	{492,2229.2278,-1345.4033,23.6892,93.3009},
	{507,2332.5684,-1362.4845,23.7297,358.1198},
	{545,2384.1567,-1275.6326,23.9198,101.6528},
	{540,2432.3149,-1226.0785,24.9941,17.9805},
	{482,2426.9612,-1224.4158,25.0000,202.7159},
	{547,2438.4309,-1321.6925,24.1225,269.7535},
	{551,2612.9702,-1262.6970,48.2461,269.4752},
	{560,2659.4529,-1428.4343,30.1790,266.5051},
	{566,2659.7053,-1422.6743,30.1714,89.8159},
	{405,2485.5313,-1556.1823,23.7478,178.8338},
	{554,2478.7664,-1555.7006,23.7226,183.6043},
	{426,2605.3967,-1365.8829,34.6461,359.9891},
	{445,2754.7136,-1373.0253,40.1154,91.4169},
	{492,2717.3662,-1468.0308,30.0894,1.0298},
	{507,2816.7195,-1449.4285,15.9549,268.9106},
	{545,2816.9937,-1441.5880,15.9544,90.7779},
	{540,2681.9016,-1673.3879,9.1290,0.5605},
	{482,2442.5845,-1642.7507,13.1644,180.3454},
	{547,2361.3120,-1674.6146,13.2505,357.4959},
	{550,2298.3535,-1633.7542,14.3849,80.8107},
	{551,2297.9077,-1639.9464,14.4352,94.4292},
	{560,2255.4045,-1664.5736,15.1304,74.6898},
	{566,2234.1057,-1726.9386,13.1665,271.7536},
	{405,2319.3833,-1716.6823,13.2518,359.8540},
	{554,2474.5105,-1755.9194,13.2522,270.5967}, //= (165 ls cars)
	{426,2501.8213,-1754.2794,13.1208,176.4916}, //= 255
	{445,2489.1560,-1952.6886,13.1366,178.1629},
	{492,2495.4326,-1953.2922,13.1299,356.5514}, //randa counter 13, next = 0
	{507,2306.7168,-1989.6796,13.2639,184.8385},
	{482,2056.1807,-1904.7751,13.2502,2.2910},
	{550,2064.9871,-1919.1674,13.2504,180.8575},
	{551,1886.4812,-2022.9338,13.0964,179.4265},
	{560,1824.8976,-2019.8374,13.0875,272.5273},
	{566,1942.1669,-1862.6425,13.2679,264.5590},
	{405,1923.9409,-1795.5616,13.0877,90.0886},
	{554,1807.0905,-1571.7120,13.1659,125.1048},
	{426,1809.9016,-1676.0603,13.2422,180.7589},
	{445,1809.6266,-1653.3402,13.2365,180.6530},
	{492,1809.7056,-1660.3019,13.2380,180.6262},
	{507,1978.4003,-1675.0157,15.6741,269.7336},
	{545,1974.8230,-1693.5488,15.6741,92.1162},
	{540,1929.2253,-1584.6954,13.2700,185.5542}, //randa counter 13, next = 0
	/*{482,1731.9725,-1590.8959,13.1630,77.7249}, //= 256
	{547,1721.5776,-1589.2834,13.1526,80.9057},
	{550,1695.1428,-1519.2667,13.1671,0.7121},
	{551,1694.7080,-1501.7454,13.1675,357.8150}*/
	//end ls vehicles
    //start sf vehicles
 	{405,-2619.2,1377.9,7.1},//carid 90
	{554,-2618.6799,1354.3392,6.8373,270.8708},
	{426,-2646.6255,1377.4169,7.2672,359.4422},
	{445,-2646.3931,1332.8540,7.2816,358.7736},
	{492,-2646.2598,1350.4330,7.2758,267.9741},
	{507,-2631.5037,1378.8342,7.2575,181.1889},
	{545,-2622.8477,1337.6140,7.2987,316.5417},
	{540,-1887.2897,-769.0257,31.7874,89.4600},
	{482,-2175.7429,306.2949,34.7450,179.1501},
	{547,-2222.8445,306.2426,34.7384,179.6163},
	{550,-2201.3782,293.3218,34.7453,0.2534},
	{551,-2394.4966,-609.8448,132.2743,34.0125},
	{560,-2198.6421,-2351.3596,30.2520,231.8535},
	{566,-2109.6780,-2422.1514,30.2481,139.0628},
	{402,-2757.8911,-312.3266,7.1437,186.1606},
	{405,-2104.0894,-2421.4890,30.6250,292.2775},
	{554,-2153.3105,-2438.7710,30.2535,142.3130},
	{426,-2142.6797,-2446.9368,30.2586,142.3146},
	{507,-2093.2097,-2246.4563,30.3183,137.3789},
	{545,-2342.1008,-1587.0745,483.1974,242.4391},
	{540,-2251.1714,-1726.2953,479.6402,222.4934},
	{482,-1905.0978,-1671.2063,22.6481,270.5423},
	{547,-1857.4342,-1621.0774,21.5685,182.7465},
	{550,-1818.5417,-1619.9663,22.6527,181.1767},
	{400,-1030.5739,-653.6227,31.6315,270.1856},
	{405,-1006.7538,-625.7125,31.6443,270.4088}, //116
	{492,-982.6550,-679.2434,31.6447,85.9554},
	{507,-1931.1104,1337.9386,6.9130,359.3145},
	{545,-1412.4739,-299.6119,13.7706,224.4117},
	{540,-1917.7603,1340.6293,6.8964,0.8749},
	{482,-2002.3789,1339.9393,6.9116,178.6080},
	{547,-1992.3242,1340.2391,6.9099,177.5546},
	{550,-1876.6682,1136.2804,45.0951,178.7776},
	{551,-1949.1823,792.1185,55.3477,269.2535},
	{533,-1801.7239,951.5541,24.5622,180.8025},
	{482,-1822.7212,938.4982,25.7963,88.6442},
	{547,-1847.4434,1114.1853,45.0658,270.0493},
	{550,-1411.9128,456.0428,6.8919,89.1449},
	{551,-1440.0000,456.3805,6.9053,89.3045},
	{566,-1463.3411,456.6666,6.9086,89.3186},
	{554,-1578.6233,1058.2885,6.6652,359.7366},
	{405,-1808.9396,249.9903,14.7357,157.6021},
	{554,-1834.7416,114.0225,14.8446,266.1066},
	{426,-1579.4412,1167.9718,6.6659,4.3934},
	{445,-1827.2614,420.4467,16.8178,47.4988},
	{492,-2185.0369,1165.0491,55.3564,270.9099},
	{507,-2066.6636,558.6514,34.8453,90.7903},
	{545,-2016.7843,761.9774,45.0672,179.8661},
	{540,-2456.8696,1070.2971,55.5153,358.5935},
	{482,-1812.9871,-190.5459,13.8008,269.3492},
	{547,-2473.4392,1071.1536,55.4983,1.0893},
	{550,-2585.5688,1157.6729,55.0783,328.4306},
	{551,-2448.8735,-122.5677,25.4299,92.5909},
	{560,-2366.3752,1168.5133,40.6195,90.6569},
	{405,-2542.3271,599.1761,13.9936,89.9350},
	{554,-2543.4243,587.1970,14.0657,86.9525},
	{426,-2543.1626,610.7283,14.3281,88.4236},
	{445,-1760.2054,762.8785,25.0124,269.9135},
	{492,-1913.9000,791.7728,39.5503,269.9752},
	{507,-1809.1056,535.5177,34.9359,266.8667},//150
	{545,-1728.5143,1025.8417,44.8940,273.4900},
	{540,-1687.5502,983.1491,17.2423,89.3987},
	{482,-2174.1907,634.9171,49.5687,359.4943},
	{547,-2134.6780,376.2780,34.7829,359.3839},
	{550,-2889.5300,292.1919,3.9648,12.3508},
	{551,-1936.3577,273.4882,40.7557,185.3691},
	{598,-1929.0698,2364.5547,48.8665,291.6746},
	{566,-2102.3367,654.2971,52.1427,270.2816},
	{405,-2483.9358,418.7318,27.3684,134.2648},
	{554,-1706.5850,1373.0841,6.6999,45.9366},
	{426,-1689.9032,1338.0310,6.1758,46.2081},
	{445,-2069.0911,960.8536,60.3715,198.2042},
	{492,-2408.3298,974.3469,45.0525,178.0619},
	{507,-2069.0911,960.8536,60.3715,198.2042},
	{545,-2323.4355,-468.9953,80.1877,302.2128},//165
	{482,-1522.0845,935.3561,6.6783,359.6746},
	{547,-2460.6282,152.4777,34.6958,0.6854},
	{550,-1987.8806,111.1257,27.4383,359.6521},
	{551,-2398.3132,-187.1352,35.4332,321.7989},
	{560,-2396.5161,-57.9216,35.0234,96.5329},
	{566,-2753.2773,384.7231,3.9102,179.8601},
	{405,-2632.4431,213.1238,4.4423,270.7947},
	{554,-2566.9053,295.0119,15.4260,80.0919},
	{426,-2271.4888,533.8504,34.8168,271.1359},
	{445,-2668.3689,268.2515,3.9222,180.9499},
	{492,-2574.6282,105.2575,4.2710,359.0365},
	{507,-2674.6321,267.8804,4.0947,180.5064},
	{545,-2326.3479,-125.5784,34.9119,181.6565},//178
	{540,-2528.0505,-602.3646,132.2045,0.1908},//179
	{482,-2746.6709,-306.7387,6.6259,229.3295},
	{547,-2403.2100,-584.9926,132.3222,126.1051},
	{550,-2585.5208,328.9509,4.4839,270.3127},
	{551,-1971.4618,-973.4301,31.8561,85.9100},
	{560,-2422.8945,317.9433,34.5812,153.5196},
	{566,-1941.2579,1000.4224,34.9303,269.2519},
	{405,-2037.6155,132.7958,28.4967,1.1959},
	{554,-2058.0310,1116.5924,52.9259,358.3035},
	{426,-2222.9377,-318.7825,35.2293,271.3530},
	{445,-2265.7803,200.6325,34.8841,90.4599},
	{492,-2352.9697,983.2838,50.4104,187.9889},
	{507,-2663.3662,-285.7718,7.1277,45.4428},
	{545,-2344.8416,-124.8412,35.5475,177.8665},
	{540,-2422.1079,956.6570,45.0145,273.0062},
	{482,-2149.5471,-850.6599,31.8722,269.6975},
	{547,-2380.3682,904.6349,45.0093,182.7165},
	{550,-2133.5100,215.8516,34.9431,88.0051},
	{551,-2468.9939,741.5577,34.9424,0.2116},
	{560,-2443.0715,742.1548,34.9756,1.3260},
	{566,-2420.7593,742.0991,34.9467,1.5068},
	{566,-1979.7594,431.4321,24.9566,359.1189},
	{405,-2539.0818,1228.7523,37.3556,32.1050},
	{554,-2072.7380,-86.2725,34.7255,0.3699},
	{426,-2081.0969,-84.3474,34.7284,176.6517},
	{445,-2530.2026,1229.0217,37.3603,32.0471},
	{492,-2093.3647,-84.0303,34.7383,3.3251},
	{507,-2513.5530,1210.9374,37.9264,269.2218},
	{545,-2038.2688,-318.0672,34.8923,277.1726},
	{540,-1739.8186,1370.3749,7.1210,56.9776},
	{482,-1879.7233,-201.0086,16.5959,268.6204},
	{547,-1648.2128,1307.8180,6.9644,315.9977},
	{550,-1641.1713,1301.0726,6.9702,316.1382},
	{551,-1822.5028,-181.5963,8.9688,304.8850},
	{560,-1522.6522,914.2039,6.9755,0.7067},
	{566,-1885.9440,-177.1894,11.6343,273.1362},
	{405,-1754.4772,854.1481,25.2402,89.1936},
	{554,-1816.3250,1311.3502,59.6651,6.5129},
	{426,-2198.5967,-412.3290,34.8833,312.2229},
	{445,-1674.4451,438.3445,7.0973,225.9711},
	{492,-1686.7341,418.8446,7.1089,133.8689},
	{507,-1915.4990,-1231.0449,39.0442,177.2690},
	{545,-1593.0455,858.4213,7.2392,90.0331},
	{540,-1659.7131,823.7580,18.9724,355.2868},
	{482,-1430.8145,836.1859,6.9964,135.2504},
	{547,-1932.2721,584.9741,34.9016,180.6186},
	{550,-1938.3221,585.4367,34.9353,0.9912},
	{551,-1959.5010,586.0233,34.9127,359.3756},
	{560,-1810.7808,612.3569,34.7342,90.2361},
	{554,-1746.6874,158.2828,3.3600,176.9423},
	{426,-1737.7177,-1.9093,3.3411,1.9709},
	{445,-1997.6547,412.3148,34.7324,180.6070},
	{492,-1988.5487,274.3956,34.8867,89.2174},
	{507,-1989.0286,264.0512,34.8956,83.8542},
	{545,-1990.4890,253.5073,34.8963,84.3485},
	{540,-2683.9390,873.5533,77.7757,201.2579},
	{482,-2132.1487,-443.1496,35.0436,180.4687},
	{547,-2051.7166,1265.5660,8.2539,358.4029},
	{551,-2198.7354,-2444.9009,30.3221,52.1157},
	{560,-2062.9453,1350.4680,6.9064,180.8428},
	{566,-2234.0432,-2568.5571,31.6305,58.4111},
	{405,-2271.9019,2315.2549,4.6335,270.3059},
	{554,-1903.1940,1377.2800,7.0194,267.9030},
	{426,-1571.4741,-2732.4189,48.2918,323.8274},
	{445,-2486.2866,2363.5720,10.0979,206.8707},
	{492,-1603.7168,-2715.7810,48.3314,230.2204},
	{507,-1883.3522,1255.3145,26.1518,284.7032},
	{545,-1786.8409,1204.1288,24.9149,180.7327},
	{540,-1556.8092,1177.5500,6.9823,88.6408},
	{482,-1559.9998,-2739.9531,48.2650,326.3558},
	{547,-1521.6738,478.1654,7.0159,85.5420},
	{550,-1615.5740,-2696.5061,48.2561,145.0066},
	{551,-1714.9807,395.1194,6.9972,222.0763},
	{560,-1871.7748,-954.6565,31.8210,268.5667},
	{566,-1569.4583,98.6495,3.3661,317.4455},
	{405,-1887.1088,-900.2256,31.8234,270.4749},
	{554,-2802.6831,-1528.0753,139.0021,180.7956}, //= (165 sf cars)
	{426,-1673.1589,1074.0695,7.7626,3.3732}, //= 255
	{445,-2441.1729,133.1548,34.6221,90.5700},
	{492,-2279.9060,732.4872,49.2787,310.9523}, //= randa counter 13, next = 0
	{507,-2214.0183,614.2594,35.0018,180.2223},
	{482,-1978.9030,456.2121,28.2365,357.4657},
	{550,-2447.5134,-121.2782,25.9662,93.9408},
	{551,-1721.6322,-559.1102,13.9892,271.1190},
	{560,-2712.0464,-305.9818,6.9247,315.2878},
	{566,-1673.4308,-628.8376,13.9138,162.2298},
	{405,-1258.1068,40.4151,13.8796,135.0181},
	{554,-1442.8499,-187.2847,5.6902,269.3653},
	{426,-1370.8063,-220.2884,5.8234,269.5073},
	{445,-1336.8333,-137.5235,5.7420,90.3342},
	{492,-1433.7583,-247.1532,5.8115,302.2628},
	{507,-1224.0182,48.8356,13.9480,314.1260},
	{545,-1683.4752,-158.6743,14.2899,220.9296},
	{540,-1427.8677,-959.7118,200.6311,265.5663}, //randa counter 13, next = 0
	/*{482,-2240.3767,-1727.6427,480.2751,185.2589}, //= 256
	{547,-2336.7446,-1587.8500,483.4714,195.2475},
	{550,-1437.2271,-1538.1738,100.3117,87.3429},
	{551,-1800.5289,-1640.7754,24.0332,123.9021}*/ //end sf vehicles
 	{405,2199.8188,1821.6881,10.4435,0.6839},//carid 90 car 1
	{554,2192.4492,1821.5454,10.4458,358.0357}, //car 2
	{426,2190.9927,1811.1173,10.4439,358.1503},// car 3
	{445,2203.2722,1787.8651,10.4448,2.6728}, // car 4
	{492,2199.9495,1856.7454,10.4451,359.6850},// car 5
	{507,2192.3647,1856.8833,10.4458,359.3464},// car 6
	{545,2181.4966,1856.0519,10.4450,0.0505},// car 7
	{540,169.1929,-1342.3611,69.7396,180.4404},//car 8
	{482,2134.9678,2468.8030,10.5693,179.7972},
	{547,2042.4666,2469.0444,10.5679,179.8376},
	{550,1921.3414,2438.1169,10.5663,268.0613},
	{551,1908.4863,2290.5208,10.5662,270.8137},
	{560,1711.4113,2230.7573,10.5670,179.7938},
	{566,1593.7838,2257.8179,10.5647,359.3882},
	{402,1534.4240,2214.5149,10.5657,180.0247},
	{405,1537.8176,2214.6396,10.5680,178.7755},
	{554,1396.9033,2279.8755,10.5666,88.6522},
	{426,1465.7124,2351.8640,10.5673,1.6448},
	{507,1612.8698,2200.3550,10.5671,89.9193},
	{545,1572.8879,2097.7200,10.5664,181.3756},
	{540,1682.9235,2064.5168,11.1059,269.9239},
	{482,1310.5022,2020.6643,10.8161,90.5562},
	{547,1431.1732,1922.4161,10.5655,181.6566},
	{550,1683.3176,1746.1420,10.5717,268.9362},
	{400,1893.0172,2076.8428,10.5653,181.4440},
	{405,1892.9346,2089.0962,10.5668,179.1003}, //116
	{492,1940.8905,2054.1609,10.5669,179.2317},
	{507,2103.5842,2092.2537,10.5643,89.3319},
	{545,2102.7654,2056.3718,10.5685,270.4243},
	{540,1973.5039,1750.8230,18.6801,358.8934},
	{482,1959.9188,1728.2646,12.4884,181.0264},
	{547,1946.0923,1783.6451,12.4616,359.6155},
	{550,2119.7722,2162.5903,10.4163,179.2387},
	{551,2119.4500,1993.6127,10.4189,180.7126},
	{533,2119.6423,1947.4198,10.4376,179.3678},
	{482,2119.5967,1936.0681,10.4208,179.8156},
	{547,2119.9529,1908.0740,10.4140,181.9628},
	{550,1321.7314,1269.6473,10.5670,91.6534},
	{551,1692.6816,1504.0101,10.5043,144.9217},
	{566,1698.1693,1414.2526,10.4862,195.2302},
	{554,1932.3180,1461.0853,10.5659,270.1295},
	{405,1944.2502,1346.2928,8.8514,181.4880},
	{554,2039.6357,1327.4635,10.4119,359.8961},
	{426,2039.4634,1228.7347,10.4176,0.1715},
	{445,1843.9932,1235.3398,10.5729,268.6233},
	{492,1879.4860,1179.3490,10.5725,179.9387},
	{507,1311.5499,1065.5684,10.5676,271.4927},
	{545,1449.2249,905.7410,10.5661,269.3432},
	{540,1562.6343,1069.4321,10.4888,358.6337},
	{482,1677.6774,987.9957,10.5667,359.5359},
	{547,1655.3685,1039.7394,10.5664,179.2929},
	{550,1912.2566,962.4049,10.5647,357.0481},
	{551,2039.7960,1148.4392,10.4139,358.3899},
	{560,1685.7638,1306.5656,10.5679,177.6560},
	{405,1669.7875,1316.4938,10.5681,359.9698},
	{554,2019.8470,1545.1116,10.5719,270.3981},
	{426,2043.5527,1916.7238,11.8934,2.7216},
	{445,1879.3901,1966.6796,13.5310,179.3457},
	{492,1897.3031,1989.0190,7.3411,180.5068},
	{507,2282.2236,2388.0945,10.4469,182.8541},//150
	{545,2265.7932,2238.5259,10.4500,268.9238},
	{540,2422.0068,2254.5916,10.4504,1.2354},
	{482,2318.8171,2576.3875,10.5298,185.0612},
	{547,2469.6411,2555.9041,10.5266,346.5516},
	{550,2530.5444,2501.0981,10.5273,91.2699},
	{551,2506.4976,2494.2769,21.5840,269.2811},
	{560,2510.3718,2359.8574,10.5268,269.5014},
	{566,2513.7134,2372.9219,3.9181,270.2057},
	{405,2532.2383,2256.3513,10.4505,176.9699},
	{554,2594.2646,2250.5029,10.5275,178.7534},
	{426,2582.7612,2271.6167,10.5270,89.9007},
	{445,2633.7959,2205.8767,10.5275,179.6580},
	{492,2532.8550,2150.7603,10.4490,179.8825},
	{507,2438.9500,2155.3003,10.4505,81.5983},
	{545,2360.6086,2112.0669,10.3863,180.5529},//165
	{482,2339.9429,2184.7605,10.4125,357.6507},
	{547,2236.8774,2154.7798,10.4499,83.6190},
	{550,2155.0415,2105.2075,10.3789,178.7269},
	{551,2185.7593,1974.9370,10.5274,268.8799},
	{560,2171.7766,2000.5061,10.5297,89.9464},
	{566,2218.6797,2041.7950,10.5276,90.7233},
	{405,2296.3542,2046.3928,10.5255,270.1371},
	{554,2360.1897,1991.4888,10.3772,359.5359},
	{426,2340.1458,1923.0327,10.3782,178.3234},
	{445,2276.2625,1952.1338,9.5736,1.2989},
	{492,2272.6523,1938.3921,20.5292,181.5560},
	{507,2247.4121,1976.0880,31.4873,1.6217},
	{545,2398.4661,1968.5342,10.3734,269.0946},//178
	{540,2441.6743,2017.2483,10.4511,89.2703},//179
	{482,2476.6013,1991.8304,10.4497,180.1169},
	{547,2481.2141,2058.2444,10.3737,268.4083},
	{550,2589.1689,2071.0444,10.4432,90.0331},
	{551,2584.6218,1968.1610,10.4499,180.1004},
	{560,2564.8728,1884.0217,10.4548,269.8458},
	{566,12603.5591,1859.4280,10.4496,90.1344},
	{405,2602.8757,1795.7911,10.4502,271.7117},
	{554,2598.8494,1694.3210,10.4511,270.7834},
	{426,2489.9224,1707.6844,10.3735,90.4056},
	{445,2417.6665,1778.0958,10.3763,83.2406},
	{492,2308.5886,1794.0636,10.4493,178.5479},
	{507,2386.2307,1657.7505,10.4500,359.4477},
	{545,2452.2109,1630.0359,10.4509,179.8909},
	{540,2462.9897,1676.1079,10.4491,359.1625},
	{482,2074.4841,1675.3702,10.3018,180.0322},
	{547,2074.5540,1553.2490,10.3002,180.0304},
	{550,2218.9729,1510.6812,10.5623,269.9833},
	{551,2350.8535,1476.6458,10.4516,268.3069},
	{560,2349.9431,1465.7394,42.4461,266.8434},
	{566,2422.5591,1445.6123,10.4520,185.8979},
	{566,2503.2380,1426.0432,10.5294,271.0241},
	{405,2489.8191,1407.6272,10.5294,180.6496},
	{554,2568.6208,1323.1267,10.5294,112.1359},
	{426,2422.6494,1278.5186,10.4747,178.4359},
	{445,2454.7625,1198.3652,10.4522,270.6718},
	{492,2551.1475,1211.3081,10.5294,178.5994},
	{507,2602.1992,1101.1920,10.4523,179.8056},
	{545,2460.2952,1068.7473,10.4532,88.3511},
	{540,2442.9231,1123.6543,10.5294,89.6764},
	{482,2379.2676,1017.0648,10.5294,180.7520},
	{547,2484.9231,1017.8977,10.4755,271.0689},
	{550,2462.2610,921.8641,10.5294,89.1748},
	{551,2542.1858,973.2920,10.4568,354.9826},
	{560,2162.5696,1019.2393,10.5301,90.8502},
	{566,2122.6880,988.5558,10.5294,178.2591},
	{405,2148.2676,988.4872,10.5294,180.6103},
	{554,2151.3489,988.0692,10.5294,0.6249},
	{426,2118.3018,952.6940,10.5221,179.9039},
	{445,2040.1208,1012.9040,10.3810,179.3001},
	{492,2039.9844,1001.7302,10.3808,179.3002},
	{507,2075.3350,1167.0464,10.3828,0.5247},
	{545,2075.3108,1318.4946,10.3810,359.7965},
	{540,2098.6270,2479.8660,10.5622,358.6299},
	{482,2065.6958,2479.4575,10.5622,180.7113},
	{547,2074.7832,1502.6166,10.3810,1.3459},
	{550,2074.9492,1657.8693,10.3809,0.7393},
	{551,1158.8829,1401.9877,5.6145,359.8457},
	{560,1139.0408,1400.2723,5.6159,357.9417},
	{554,1122.7314,1398.1593,5.6158,357.2206},
	{426,1057.0297,1665.6057,5.6139,88.8195},
	{445,1028.2698,1757.0903,10.6166,259.2751},
	{492,1082.9310,1792.5331,10.6158,177.9193},
	{507,1100.2776,1794.5631,10.6157,180.2012},
	{545,1113.5413,1753.7654,10.6161,173.2030},
	{540,1012.0222,1853.2255,10.5639,358.7968},
	{482,992.1299,1938.7622,11.0589,268.2021},
	{547,1012.1111,2030.0334,10.5384,359.5988},
	{551,1023.1028,2020.3801,11.0401,89.8054},
	{560,993.4316,2168.5723,10.6165,95.2961},
	{566,978.6112,2179.0781,10.6132,180.5021},
	{405,971.6259,2111.3511,10.6158,92.4769},
	{554,949.8049,2187.7937,10.5366,89.9023},
	{426,902.8322,2250.3013,10.5373,358.0182},
	{445,912.2866,2365.4866,10.5370,2.1469},
	{492,1241.9801,2679.0857,10.5386,358.0385},
	{507,1335.8025,2717.3359,10.5319,268.7831},
	{545,1375.1298,2696.9692,10.6156,181.9057},
	{540,1352.7510,2694.7329,10.6148,183.7123},
	{482,1319.9166,2696.5105,10.6165,0.5087},
	{547,1260.8715,2696.0703,10.6159,178.3536},
	{550,1295.3828,2644.8579,10.6137,181.6878},
	{551,1340.8210,2645.5598,10.6159,2.1115},
	{560,1442.1326,2678.4004,10.5385,268.9727},
	{566,1579.9470,2837.7158,10.6191,178.0697},
	{405,1629.6582,2807.4807,10.6214,267.0328},
	{554,1744.8881,2708.2441,10.5348,271.9128}, //= (165 lv cars)
	{426,2179.4995,2788.4810,10.6157,358.9705}, //= 255
	{445,2142.6797,2813.9780,10.6156,266.5912},
	{492,2167.3289,2717.7839,10.6165,89.5804}, //randa counter 13, next = 0
	{507,2147.0811,2713.6855,10.6154,92.9733},
	{482,2232.6514,2740.3945,10.5416,179.0507},
	{550,2378.0066,2727.2434,10.6155,4.9093},
	{551,2460.8630,2496.6382,10.6168,176.9123},
	{560,12461.9778,2528.7322,10.6174,179.2844},
	{566,2211.5925,2327.2578,10.6159,89.3921},
	{405,2107.9998,2354.1238,10.5389,112.1968},
	{554,2145.2881,2356.8979,10.5380,72.9169},
	{426,2059.6494,2287.8093,10.5372,89.6995},
	{445,2014.3981,2299.0476,10.6159,180.4075},
	{492,2791.4861,1295.2096,10.4750,0.8281},
	{507,2831.0632,2026.6299,10.6314,0.0146},
	{545,1613.4324,2210.5403,10.3406,87.7663},
	{540,1682.0079,1758.8337,10.9092,267.9459}, //randa counter 13, next = 0
	/*{482,1802.1643,1718.8550,13.9848,274.0780}, //= 256
	{547,1928.0857,1701.9550,10.8930,272.1758},
	{550,1664.7760,2432.9568,8.8825,81.4301},
	{551,1452.8895,2603.9993,10.8338,91.5143}*/ // end lv vehicles
	//start dillimore vehicles
	{482, 667.741,-461.436,16.040,90.4},
	{560, 737.761,-581.889,16.341,90.0},
	{550, 689.458,-648.942,16.141,359.3},
	{507, 777.901,-583.841,16.210,297.2},
	{560, 816.169,-564.372,16.210,270.5},
	{566, 711.277,-449.352,16.210,91.5},
	{405, 750.398,-552.415,17.126,0.1},
	{554, 634.229,-515.515,16.210,0.1},
	{426, 686.892,-556.729,16.133,359.9},
	{445, 844.759,-600.049,18.296,1.5},
	{492, 667.609,-546.159,16.210,90.2},
	{507, 668.725,-621.088,16.210,268.6},
	{545, 786.200,-496.635,16.905,182.2},
	{540, 694.552,-467.057,15.907,271.0},
	//end dillimore vehicles
	//start fort carson veh
	{541,5.6890,1164.2317,19.2446,1.0086},
	{445, -37.7565,1166.3472,19.1069,180.1695},
	{426, -177.5562,1222.6641,19.3672,271.2243},
	{554, -176.4345,1047.4121,19.3673,93.2302},
	{541, -158.6587,1212.5620,19.3671,268.6995},
	{405, -162.9008,1030.0852,19.3652,181.9246},
	{541, -265.2990,1001.4042,19.3370,358.1356},
	{566, -78.6561,1111.7588,19.3749,88.5648},
	{482, -80.6565,1076.4191,19.3673,0.0692},
	{541, -100.6149,1193.1207,19.2867,269.8340},
	{560, -96.8417,975.9115,19.4308,271.7598},
	{482, -84.9676,1338.9089,10.4455,6.9722},
	{510, -94.6913,1338.5557,10.0390,183.7404},
	{510, -330.2344,1513.7374,74.9662,176.7938},
	//end fc veh
	//start blueberry veh
	{560, 218.4037,-173.2499,1.4531,89.7651},
	{426, 246.7326,-125.6707,2.0886,90.4656},
	{445, 248.5913,-14.3811,1.7496,89.1691},
	{405, 349.2880,-96.9750,1.2177,90.1906},
	{445, 179.7313,-7.3029,1.4531,180.7280},
	{445, 199.4507,-156.0726,1.4531,180.2228},
	{445, 146.3807,-171.8594,1.4531,92.0774},
	{445, 314.9558,-199.2865,1.4531,178.6901},
	{560, 258.2585, 7.1002, 2.3179, 98.7952},
	{426, 237.8444,-170.5289,1.3752,358.6814},
	{405, 319.0441,-125.4661,2.0637,269.4315},
	{560, -62.3767,-304.1184,5.3047,270.4169},
	{522, 258.1346,-300.1141,1.1507,135.9101},
	{522, 311.7858,47.4056,2.4591,206.8936}
	//end blueberry veh
    };

/*new Float:gJailPlayerSpawns[1][3] = {
{264.395200,77.564040,1001.039000}
};*/

//Round code stolen from mike's Manhunt :P
new gRoundTime = 4800000;                   // Round time - 1 hour 20 mins
//new gRoundTime = 3600000;                 // Round time - 1 hour
//new gRoundTime = 1200000;					// Round time - 20 mins
//new gRoundTime = 900000;					// Round time - 15 mins
//new gRoundTime = 600000;					// Round time - 10 mins
//new gRoundTime = 300000;					// Round time - 5 mins
//new gRoundTime = 120000;					// Round time - 2 mins
//new gRoundTime = 60000;					// Round time - 1 min



//------------------------------------------------------------------------------------------------------

main()
{
print(" ");
print(" ");
print("|-------Public Enemy No.1 LS-SF-LV---------|");
print("__________________________________________");
print("Remember: Original Script by Astro (Denver)");
print("__________________________________________");
print("Remember: Original Pen1 LS-SF-LV  By Relax");
print("|___________________________________________|");
print(" ");
printf("Number of vehicle count: %d", GetVehicleCount());
}

AntiDeAMX()
{
	new a[][] =
	{
		"Unarmed (Fist)",
		"Brass K"
	};
	#pragma unused a
}
//------------------------------------------------------------------------------------------------------

public DollahScoreUpdate()
{
	new LevScore;
	for(new i=0; i<MAX_PLAYERS; i++)
	{
		if (IsPlayerConnected(i))
		{
   			LevScore = PlayerInfo[i][pLevel];
			SetPlayerScore(i, LevScore);
			if (LevScore > LevScoreOld)
			{
				LevScoreOld = LevScore;
			}
		}
	}
	return 1;
}

public GameTicks()
{
	Gtickcount = Gtickcount+500;
}

public ConvertTicks(ticks)
{
	csecs = 0;
	cmils = 0;
	cmins = 0;
	new tempcsecs = ticks / 1000;//61.59
	cmins = ticks / 60000;//1.0265
	csecs = (ticks - cmins*60000)/1000;
	cmils = (ticks - tempcsecs*1000)/10;
}


public CopScanner()
{
	for(new i=0; i<MAX_PLAYERS; i++)
	{
		if (IsPlayerConnected(i) && gTeam[i] >= 4 && gPublicEnemy != i && gSuperCop != i && Hidden[i] !=1)
		{
			if(gTeam[i] == 4)
			{
				CrimProxDetector(radardist, i,TEAM_ORANGE1_COLOR,TEAM_ORANGE2_COLOR,TEAM_ORANGE3_COLOR,TEAM_ORANGE4_COLOR,TEAM_ORANGE5_COLOR,TEAM_ORANGE6_COLOR,TEAM_ORANGE7_COLOR,TEAM_ORANGE8_COLOR,TEAM_ORANGE9_COLOR,TEAM_ORANGE10_COLOR);
			}
			if(gTeam[i] == 5)
			{
				CrimProxDetector(radardist, i,TEAM_BALLAS1_COLOR,TEAM_BALLAS2_COLOR,TEAM_BALLAS3_COLOR,TEAM_BALLAS4_COLOR,TEAM_BALLAS5_COLOR,TEAM_BALLAS6_COLOR,TEAM_BALLAS7_COLOR,TEAM_BALLAS8_COLOR,TEAM_BALLAS9_COLOR,TEAM_BALLAS10_COLOR);
			}
			if(gTeam[i] == 6)
			{
				CrimProxDetector(radardist, i,TEAM_GROVE1_COLOR,TEAM_GROVE2_COLOR,TEAM_GROVE3_COLOR,TEAM_GROVE4_COLOR,TEAM_GROVE5_COLOR,TEAM_GROVE6_COLOR,TEAM_GROVE7_COLOR,TEAM_GROVE8_COLOR,TEAM_GROVE9_COLOR,TEAM_GROVE10_COLOR);
			}
			if(gTeam[i] == 7)
			{
				CrimProxDetector(radardist, i,TEAM_VAGOS1_COLOR,TEAM_VAGOS2_COLOR,TEAM_VAGOS3_COLOR,TEAM_VAGOS4_COLOR,TEAM_VAGOS5_COLOR,TEAM_VAGOS6_COLOR,TEAM_VAGOS7_COLOR,TEAM_VAGOS8_COLOR,TEAM_VAGOS9_COLOR,TEAM_VAGOS10_COLOR);
			}
			if(gTeam[i] == 8)
			{
				CrimProxDetector(radardist, i,TEAM_AZTECAS1_COLOR,TEAM_AZTECAS2_COLOR,TEAM_AZTECAS3_COLOR,TEAM_AZTECAS4_COLOR,TEAM_AZTECAS5_COLOR,TEAM_AZTECAS6_COLOR,TEAM_AZTECAS7_COLOR,TEAM_AZTECAS8_COLOR,TEAM_AZTECAS9_COLOR,TEAM_AZTECAS10_COLOR);
			}
			if(gTeam[i] == 9)
			{
				CrimProxDetector(radardist, i,TEAM_NANG1_COLOR,TEAM_NANG2_COLOR,TEAM_NANG3_COLOR,TEAM_NANG4_COLOR,TEAM_NANG5_COLOR,TEAM_NANG6_COLOR,TEAM_NANG7_COLOR,TEAM_NANG8_COLOR,TEAM_NANG9_COLOR,TEAM_NANG10_COLOR);
			}
			if(gTeam[i] == 78)
			{
				CrimProxDetector(radardist, i,TEAM_RIFA1_COLOR,TEAM_RIFA2_COLOR,TEAM_RIFA3_COLOR,TEAM_RIFA4_COLOR,TEAM_RIFA5_COLOR,TEAM_RIFA6_COLOR,TEAM_RIFA7_COLOR,TEAM_RIFA8_COLOR,TEAM_RIFA9_COLOR,TEAM_RIFA10_COLOR);
			}
			if(gTeam[i] == 11)
			{
				CrimProxDetector(radardist, i,TEAM_MAFIA1_COLOR,TEAM_MAFIA2_COLOR,TEAM_MAFIA3_COLOR,TEAM_MAFIA4_COLOR,TEAM_MAFIA5_COLOR,TEAM_MAFIA6_COLOR,TEAM_MAFIA7_COLOR,TEAM_MAFIA8_COLOR,TEAM_MAFIA9_COLOR,TEAM_MAFIA10_COLOR);
			}
			if(gTeam[i] == 12)
			{
				CrimProxDetector(radardist, i,TEAM_RMAFIA1_COLOR,TEAM_RMAFIA2_COLOR,TEAM_RMAFIA3_COLOR,TEAM_RMAFIA4_COLOR,TEAM_RMAFIA5_COLOR,TEAM_RMAFIA6_COLOR,TEAM_RMAFIA7_COLOR,TEAM_RMAFIA8_COLOR,TEAM_RMAFIA9_COLOR,TEAM_RMAFIA10_COLOR);
			}
			if(gTeam[i] == 13)
			{
				CrimProxDetector(radardist, i,TEAM_TRIADS1_COLOR,TEAM_TRIADS2_COLOR,TEAM_TRIADS3_COLOR,TEAM_TRIADS4_COLOR,TEAM_TRIADS5_COLOR,TEAM_TRIADS6_COLOR,TEAM_TRIADS7_COLOR,TEAM_TRIADS8_COLOR,TEAM_TRIADS9_COLOR,TEAM_TRIADS10_COLOR);
			}
			if(gTeam[i] == 14)
			{
				CrimProxDetector(radardist, i,TEAM_BIKERS1_COLOR,TEAM_BIKERS2_COLOR,TEAM_BIKERS3_COLOR,TEAM_BIKERS4_COLOR,TEAM_BIKERS5_COLOR,TEAM_BIKERS6_COLOR,TEAM_BIKERS7_COLOR,TEAM_BIKERS8_COLOR,TEAM_BIKERS9_COLOR,TEAM_BIKERS10_COLOR);
			}
		}
	}
}

public Spectator()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(TVMode[i] >= 1 && TVMode[i] <= 5)
			{
				Unspec[i][sCam] = 2;
				TVMode[i]++;
				BestPlayer(i);
			}
			if(TVMode[i] >= 6 && TVMode[i] <= 9)
			{
				Unspec[i][sCam] = 3;
				TVMode[i]++;
				BestPlayer(i);
			}
			if(TVMode[i] == 10)
			{
				TVMode[i] = 1;
				BestPlayer(i);
				Unspec[i][sCam] = random(4);
			}
			if(TVMode[i] >= 11 && TVMode[i] <= 15)
			{
				DMPlayer(i);
				Unspec[i][sCam] = 2;
				TVMode[i]++;
			}
			if(TVMode[i] >= 16 && TVMode[i] <= 19)
			{
				DMPlayer(i);
				Unspec[i][sCam] = 3;
				TVMode[i]++;
			}
			if(TVMode[i] == 20)
			{
				DMPlayer(i);
				TVMode[i] = 11;
				Unspec[i][sCam] = random(4);
			}
			if(TVMode[i] >= 21 && TVMode[i] <= 25)
			{
				RaceSpec(i);
				Unspec[i][sCam] = 2;
				TVMode[i]++;
			}
			if(TVMode[i] >= 26 && TVMode[i] <= 29)
			{
				RaceSpec(i);
				Unspec[i][sCam] = 3;
				TVMode[i]++;
			}
			if(TVMode[i] == 30)
			{
				RaceSpec(i);
				TVMode[i] = 21;
				Unspec[i][sCam] = random(4);
			}
			if(TVMode[i] >= 31 && TVMode[i] <= 35)
			{
				PenDelay(i);
				Unspec[i][sCam] = 2;
				TVMode[i]++;
			}
			if(TVMode[i] >= 36 && TVMode[i] <= 39)
			{
				PenDelay(i);
				Unspec[i][sCam] = 3;
				TVMode[i]++;
			}
			if(TVMode[i] == 40)
			{
				PenDelay(i);
				TVMode[i] = 31;
				Unspec[i][sCam] = random(4);
			}
			if(TVMode[i] >= 41 && TVMode[i] <= 45)
			{
				SpeedDelay(i);
				Unspec[i][sCam] = 2;
				TVMode[i]++;
			}
			if(TVMode[i] >= 46 && TVMode[i] <= 49)
			{
				SpeedDelay(i);
				Unspec[i][sCam] = 3;
				TVMode[i]++;
			}
			if(TVMode[i] == 50)
			{
				SpeedDelay(i);
				TVMode[i] = 41;
				Unspec[i][sCam] = random(4);
			}
			if(Spectate[i] < 253 && Spectate[i] != 255)
			{
				SetPlayerColor(i,COLOR_SPEC);
				TogglePlayerControllable(i, 0);
				new hight;
				new targetid = Spectate[i];
				new Float:px, Float:py, Float:pz, Float:pa;
				if(specflick == 1)
				{
					GetPlayerPos(targetid, CarTracking[i][0], CarTracking[i][1], CarTracking[i][2]);
				}
				px = CarTracking[i][0];py = CarTracking[i][1];pz = CarTracking[i][2];
				if(PlayerInfo[targetid][pInt] == 0)
				{
					SetPlayerInterior(i,0);
				}
				if(PlayerInfo[targetid][pInt] > 0)
				{
					SetPlayerInterior(i,PlayerInfo[targetid][pInt]);
				}
				if(pz > 530.0 && PlayerInfo[targetid][pInt] == 0) //the highest land point in sa = 526.8
				{
					SetPlayerInterior(i,1);
				}
				if(Unspec[i][sCam] <= 1 &&  Unspec[i][sCam] != 10)
				{
					if(GetPlayerState(targetid) != 1)
					{
						SetPlayerCameraPos(i,px,py,pz+40);
					}
					else
					{
						SetPlayerCameraPos(i,px,py,pz+10);
					}
					SetPlayerPos(i, px, py, pz+110);
				}
				else if(Unspec[i][sCam] >= 2 && Unspec[i][sCam] <= 3)
				{
					new dist;
					if(Unspec[i][sCam] == 2)
					{
						if(GetPlayerState(targetid) != 1)
						{
							dist = 6;
							hight = 2;
						}
						else
						{
							dist = 6;
							hight = 1;
						}
					}
					if(Unspec[i][sCam] == 3)
					{
						if(GetPlayerState(targetid) != 1)
						{
							dist = -50;
							hight = 4;
						}
						else
						{
							dist = -10;
							hight = 2;
						}
					}
					if(GetPlayerState(targetid) != 1)
					{
						if(specflick == 2)
						{
							new Float:px2, Float:py2, Float:pz2, Float:tpx,Float:tpy;
							GetPlayerPos(targetid, px2, py2, pz2);
							if(py2 > py && px2 > px)
							{
								tpx = px2-px;
								tpy = py2-py;
								if(tpy > tpx)
								{
									if(tpy-tpx > 10.0)
									{
										CarTracking[i][3] = 0.0;
									}
									else
									{
										CarTracking[i][3] = 315.0;
									}
								}
								if(tpy < tpx)
								{
									if(tpx-tpy > 10.0)
									{
										CarTracking[i][3] = 270.0;
									}
									else
									{
										CarTracking[i][3] = 315.0;
									}
								}
							}
							if(py2 < py && px2 > px)
							{
								tpx = px2-px;
								tpy = py-py2;
								if(tpy > tpx)
								{
									if(tpy-tpx > 10.0)
									{
										CarTracking[i][3] = 180.0;
									}
									else
									{
										CarTracking[i][3] = 225.0;
									}
								}
								if(tpy < tpx)
								{
									if(tpx-tpy > 10.0)
									{
										CarTracking[i][3] = 270.0;
									}
									else
									{
										CarTracking[i][3] = 225.0;
									}
								}
							}
							if(py2 < py && px2 < px)
							{
								tpx = px-px2;
								tpy = py-py2;
								if(tpy > tpx)
								{
									if(tpy-tpx > 10.0)
									{
										CarTracking[i][3] = 180.0;
									}
									else
									{
										CarTracking[i][3] = 135.0;
									}
								}
								if(tpy < tpx)
								{
									if(tpx-tpy > 10.0)
									{
										CarTracking[i][3] = 90.0;
									}
									else
									{
										CarTracking[i][3] = 135.0;
									}
								}
							}
							if(py2 > py && px2 < px)
							{
								tpx = px-px2;
								tpy = py2-py;
								if(tpy > tpx)
								{
									if(tpy-tpx > 10.0)
									{
										CarTracking[i][3] = 0.0;
									}
									else
									{
										CarTracking[i][3] = 45.0;
									}
								}
								if(tpy < tpx)
								{
									if(tpx-tpy > 10.0)
									{
										CarTracking[i][3] = 90.0;
									}
									else
									{
										CarTracking[i][3] = 45.0;
									}
								}
							}
							specflick = 0;
						}
						pa = CarTracking[i][3];
						//	new formated[256];
						//	format(formated, sizeof(formated), "Debug:CarAngle (%f)",CarTracking[i][3]);
						//	SendClientMessageToAll(COLOR_WHITE, formated);
					}
					else
					{
						GetPlayerFacingAngle(targetid,pa);
					}
					if(pa >= 0.0 && pa <= 22.5) //n1
					{
						SetPlayerCameraPos(i, px, py-(dist), pz+hight);
					}
					if(pa >= 332.5 && pa < 0.0) //n2
					{
						SetPlayerCameraPos(i, px, py-(dist), pz+hight);
					}
					if(pa >= 22.5 && pa <= 67.5) //nw
					{
						SetPlayerCameraPos(i, px+(dist/2), py-(dist/2), pz+hight);
					}
					if(pa >= 67.5 && pa <= 112.5) //w
					{
						SetPlayerCameraPos(i, px+(dist), py, pz+hight);
					}
					if(pa >= 112.5 && pa <= 157.5) //sw
					{
						SetPlayerCameraPos(i, px+(dist/2), py+(dist/2), pz+hight);
					}
					if(pa >= 157.5 && pa <= 202.5) //s
					{
						SetPlayerCameraPos(i, px, py+(dist), pz+hight);
					}
					if(pa >= 202.5 && pa <= 247.5)//se
					{
						SetPlayerCameraPos(i, px-(dist/2), py+(dist/2), pz+hight);
					}
					if(pa >= 247.5 && pa <= 292.5)//e
					{
						SetPlayerCameraPos(i, px-(dist), py, pz+hight);
					}
					if(pa >= 292.5 && pa <= 332.5)//e
					{
						SetPlayerCameraPos(i, px-(dist/2), py-(dist/2), pz+hight);
					}
					SetPlayerPos(i, px, py, pz+110);
				}
				else if(Unspec[i][sCam] == 5)
				{
					SetPlayerPos(i, px, py, pz+40);
				}
				else if(Unspec[i][sCam] == 6)
				{
					SetPlayerPos(i, rsx, rsy, rsz+100);
					SetPlayerCameraPos(i, rsx, rsy+4, rsz+2);
				}
				else if(Unspec[i][sCam] == 7)
				{
					SetPlayerPos(i, rmx, rmy, rmz+100);
					SetPlayerCameraPos(i, rmx, rmy+4, rmz+2);
				}
				else if(Unspec[i][sCam] == 8)
				{
					SetPlayerPos(i, rm2x, rm2y, rm2z+100);
					SetPlayerCameraPos(i, rm2x, rm2y+4, rm2z+2);
				}
				else if(Unspec[i][sCam] == 9)
				{
					SetPlayerPos(i, rex, rey, rez+100);
					SetPlayerCameraPos(i, rex, rey+4, rez+2);
				}
				else if(Unspec[i][sCam] == 10)
				{
					new house = Unspec[i][sLocal];
					SetPlayerPos(i,HouseInfo[house][hEntrancex], HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]+100);
					SetPlayerCameraPos(i, HouseInfo[house][hEntrancex], HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]+2.0);
					SetPlayerInterior(i,0);
					SetPlayerVirtualWorld(i,0);
				}
				SetPlayerCameraLookAt(i,px,py,pz);
			}
			if(Spectate[i] == 253)
			{
				TogglePlayerControllable(i, 1);
				SetPlayerInterior(i,Unspec[i][sPint]);
				PlayerInfo[i][pInt] = Unspec[i][sPint];
				PlayerInfo[i][pLocal] = Unspec[i][sLocal];
				Unspec[i][sLocal] = 255;
				SetSpawnInfo(i, 1, PlayerInfo[i][pModel], Unspec[i][sPx],  Unspec[i][sPy], Unspec[i][sPz]-1.0, 1.0, -1, -1, -1, -1, -1, -1);
				//SetPlayerPos(i, Unspec[i][sPx], Unspec[i][sPy], Unspec[i][sPz]);
				gTeam[i] = PlayerInfo[i][pTeam];
				SetPlayerToTeamColor(i);
				SpawnPlayer(i);
				Spectate[i] = 255;
				SetPlayerVirtualWorld(i,0);
			}
			if(Spectate[i] == 254)
			{
				TogglePlayerControllable(i, 1);
				SetPlayerInterior(i,Unspec[i][sPint]);
				PlayerInfo[i][pInt] = Unspec[i][sPint];
				PlayerInfo[i][pLocal] = Unspec[i][sLocal];
				SetPlayerPos(i, Unspec[i][sPx],  Unspec[i][sPy], Unspec[i][sPz]);
				Spectate[i] = 255;
			}
			if(Spectate[i] == 256)
			{
				SetPlayerToTeamColor(i);
				Spectate[i] = 255;
			}
			if(Spectate[i] == 257)
			{
				Spectate[i] = 254;
			}
		}
	}
	if(specflick < 2)
	{
		specflick++;
	}
	else
	{
		specflick = 0;
	}
}


//------------------------------------------------------------------------------------------------------
public OnPlayerEnterVehicle(playerid, vehicleid, ispassenger)
{
	if (gdebug >= 1){printf("DEBUG OnPlayerEnterVehicle(%d, %d, %d)", playerid, vehicleid, ispassenger);}
	if(gTeam[playerid] == TEAM_GREEN)
	{
		if (IsACopCar(vehicleid) && !ispassenger)
		{
			SetPlayerCriminal(playerid,255, "Stealing A Police Vehicle",0,0);
			if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
		}
		if (IsAnAmbulance(vehicleid) && !ispassenger)
		{
			SetPlayerCriminal(playerid,255, "Stealing An Ambulance",0,0);
			if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
		}
	}
	return 1;
}
public IsAPlane(carid)
{
	carid=GetVehicleModel(carid);
	for(new i=0;i<sizeof(planes);i++)
	{
		if(carid==planes[i])
		{
		   return 1;
		}
	}
	return 0;
}

public IsACopCar(carid)
{
	if((carid >= 103) && (carid <= 170))
	{
		return 1;
	}
	return 0;
}

public IsAnAmbulance(carid)
{
	if((carid >= 171) && (carid <= 179))
	{
		return 1;
	}
	return 0;
}

public IsATruck(carid)
{
	if(carid >= 232 && carid <= 243)
	{
		return 1;
	}
	return 0;
}

public IsAFireTruck(carid)
{
	if(carid >= 180 && carid <= 185)
	{
		return 1;
	}
	return 0;
}

public IsAFuelTruck(carid)
{
	if(carid >= 271 && carid <= 276)
	{
		return 1;
	}
	return 0;
}

public IsACar(carid)
{
	carid = GetVehicleModel(carid);
	for(new i=0;i<sizeof(cars);i++)
	{
		if(carid==cars[i]){return 1;}
	}
	return 0;
}

public IsABike(carid)
{
	carid = GetVehicleModel(carid);
	for(new i=0;i<sizeof(bikes);i++)
	{
		if(carid==bikes[i]){return 1;}
	}
	return 0;
}

public IsATrain(carid)
{
	new modelid = GetVehicleModel(carid);
	if (modelid == 449 || modelid == 537 || modelid == 538)
	{
	    return 1;
	}
	return 0;
}

public IsANewsTruck(carid)
{
	if(carid >= 254 && carid <= 256)
	{
		return 1;
	}
	return 0;
}

//------------------------------------------------------------------------------------------------------

public OnPlayerConnect(playerid)
{
    if (gdebug >= 1){printf("DEBUG OnPlayerConnect(%d)", playerid);}
	new thatname[MAX_PLAYER_NAME];
	GetPlayerName(playerid,thatname,sizeof(thatname));
	if(strfind(thatname, "%", true, 0) != -1)
	{
	    new string[256];
	    for(new i = 0; i <MAX_PLAYERS; i++)
		{
	        if(IsPlayerAdmin(i) || PlayerInfo[i][pAdmin] >= 103)
			{
	            format(string,sizeof(string),"Player %d detected with percent in their name.",playerid);
	        	SendClientMessage(i, COLOR_YELLOW, string);
	        }
	    }
	    //Ban(playerid);
		Kick(playerid);
	}//anti exploits
	GetPlayerName(playerid, thatname, sizeof(thatname));
	if(strfind(thatname, "[AFK]", true, 0) != -1)
	{
 		strdel(thatname, 0, 5);
		SetPlayerName(playerid, thatname);
 	}// anti afk fake
	if(IsNumeric(thatname[0]))
	{
		Kick(playerid);
	}// anti numeric names
	new joinintro[256];
	format(joinintro,sizeof(joinintro),"** Welcome %s to San Andreas Public Enemy **",thatname);
	SendClientMessage(playerid,COLOR_GRAD1,joinintro);
	//SendClientMessageToAll(COLOR_GRAD1,joinshit);
	if(glocked == 1)
    {
        SendClientMessage(playerid, COLOR_RED, "--------The Server is Closed to Incoming players-------.");
    	SendClientMessage(playerid, COLOR_GRAD1, "Please Contact the Server Administrator for assistance.");
    	SendClientMessage(playerid, COLOR_GRAD1, "Team DeathMatch Administration");
    	Kick(playerid);
    	return 1;
    }
	if(gblocked == 1)
    {
        SendClientMessage(playerid, COLOR_RED, "--------The Server is Closed to Incoming players-------.");
    	SendClientMessage(playerid, COLOR_GRAD1, "Please Contact the Server Administrator for assistance.");
    	SendClientMessage(playerid, COLOR_GRAD1, "Team DeathMatch Administration");
    	Ban(playerid);
    	return 1;
    }
   	for(new i = 0; i < MAX_CHAT_LINES; i++)
	{
	    TextDrawShowForPlayer(playerid, gSanNews[i]);
	}
	SetPlayerMapIcon(playerid, 0, 1481.0000,-1769.5000,18.7000, 52, 0);
	SetPlayerMapIcon(playerid, 1, -1494.4000,920.0999,7.0999, 52, 0);
	SetPlayerMapIcon(playerid, 2, 2127.5222, 2380.1147, 10.8203, 52, 0);
	new playerip[15];
	GetPlayerIp(playerid, playerip, sizeof(playerip));
    format(joinintro,sizeof(joinintro),"*** %s joined the server", thatname);
    SendClientMessageToAll(COLOR_GRAD1, joinintro);
    SendDeathMessage(INVALID_PLAYER_ID,playerid,200);
	gActivePlayers[playerid]++;
	numplayers++;
	new plname[MAX_PLAYER_NAME];
	new string[MAX_PLAYER_NAME];
	//TelePos[playerid][0] = 0;
	//TelePos[playerid][1] = 0;
	//TelePos[playerid][2] = 0;
	SafeTime[playerid] = 60;
	BetRace[playerid][0] = 255;
	BetRace[playerid][1] = 0;
	BetDm[playerid][0] = 255;
	BetDm[playerid][1] = 0;
	//HidePM[playerid] = 0;
	gTaxiPas[playerid] = 0;
	gTaxiDriver[playerid] = 0;
	gTaxiPrice[playerid] = 0;
	gTaxiOwner[playerid] = -1;
	gTaxiLoad[playerid] = 0;
	gTaxiRefuse[playerid] = -1;//timer
	gTaxiTravel[playerid] = 0;
	gNewsHide[playerid] = 0;
	gPlayerFighter[playerid] = 0;
	DmScore[playerid] = 0;
	Mobile[playerid] = 255;
	Spectate[playerid] = 255;
	Unspec[playerid][sLocal] = 255;
    gSkyDive[playerid] = 0;
	TVMode[playerid] = 0;
    gLastCar[playerid] = 0;
    FirstSpawn[playerid] = 0;
	gPlayerLapStatus[playerid] = 0;
	gOoc[playerid] = 0;
	BigEar[playerid] = 0;
	FlashTime[playerid] = 0;
	gBizTicket[playerid] = 255;
	gDice[playerid] = 0;
	gSpeedo[playerid] = 0;
	gSpeedBoost[playerid] = 0;
	gJumpBoost[playerid] = 0;
    gSwimBoost[playerid] = 0;
    gPlayerResponse[playerid] = 0;
	gPlayerLogged[playerid] = 0;
	gPlayerAccount[playerid] = 0;
	gPlayerSpawned[playerid] = 0;
	gSpreeStatus[playerid] = 0;
 	gSpree[playerid] = 0;
 	gMon[playerid] = 0;
 	gSnoop[playerid] = 1;
	LapCount[playerid] = 0;
	Mute[playerid] = 0;
	StartTime[playerid] = 0;
	LapTime[playerid] = 0;
	gRaceGuy[playerid] = 0;
	Contract[playerid] = 0;
	gPlayerMission[playerid] = 0;
	PlayerInfo[playerid][pCash] = dollah;
	KickVote[playerid] = 0;
	VoteKick[playerid] = 0;
	LastVote[playerid] = 255;
	HireCar[playerid] = -1;
	Hidden[playerid] = 0;
	Locator[playerid] = 0;
	PLicence[playerid] = 0;
	CDPlayer[playerid] = 0;
	gPhoneBook[playerid] = 0;
	gGivePermToChangeNick[playerid] = 0;
	afkplayer[playerid] = 0;
	gOrbitPlayer[playerid] = 0;
	gMap[playerid] = 0;
	IsPlayerPassenger[playerid] = 0;
	VehStats[playerid] = 0;
	gFuel[playerid] = 0;
	Score[playerid] = 0;
	gHealPlayer[playerid] = 0;
    FakeSay[playerid] = -1;
    gAAlert[playerid] = 1;
    PrevWeapon[playerid] = -1;
    OldWeapon[playerid] = GetPlayerWeapon(playerid);
	AllowSpecWeapon[playerid] = 0;
	//PlayerPos[playerid][3] = 1.0;
	//PlayerPos[playerid][4] = 1.0;
	//PlayerPos[playerid][5] = 1.0;
	PlayerInfo[playerid][pIp] = playerip;
	GiveMoney(playerid,PlayerInfo[playerid][pCash]);
	PlayerInfo[playerid][pAccount] = 0;
	PlayerInfo[playerid][pAdmin] = 0;
	PlayerInfo[playerid][pLevel] = 1;
	PlayerInfo[playerid][pExp] = 0;
	PlayerInfo[playerid][gPupgrade] = 0;
	PlayerInfo[playerid][pKills] = 0;
	PlayerInfo[playerid][pCB] = 0;
	PlayerInfo[playerid][pHW] = 0;
	PlayerInfo[playerid][pSR] = 0;
	PlayerInfo[playerid][pWA] = 0;
	PlayerInfo[playerid][pBF] = 0;
	PlayerInfo[playerid][pPEN] = 0;
	PlayerInfo[playerid][pGun1] = 0;
	PlayerInfo[playerid][pGun2] = 0;
	PlayerInfo[playerid][pGun3] = 0;
	PlayerInfo[playerid][pGun4] = 0;
	PlayerInfo[playerid][pGun5] = 0;
	PlayerInfo[playerid][pGun6] = 0;
	PlayerInfo[playerid][pLottoXP] = 0;
	PlayerInfo[playerid][pAmmo1] = 200;
	PlayerInfo[playerid][pAmmo2] = 8;
	PlayerInfo[playerid][pAmmo3] = 30;
	PlayerInfo[playerid][pAmmo4] = 30;
	PlayerInfo[playerid][pAmmo5] = 10;
	PlayerInfo[playerid][pAmmo6] = 10;
	PlayerInfo[playerid][pSHealth] = 0.0;
	PlayerInfo[playerid][pSArmour] = 0.0;
	PlayerInfo[playerid][pHealth] = 50.0;
	PlayerInfo[playerid][pPos_x] = 2246.6;
	PlayerInfo[playerid][pPos_y] = -1161.9;
	PlayerInfo[playerid][pPos_z] = 1029.7;
	PlayerInfo[playerid][pInt] = 15;
	PlayerInfo[playerid][pLocal] = 255;
	PlayerInfo[playerid][pTeam] = 1;
	PlayerInfo[playerid][pModel] = 264;
	new randphone = 1000 + random(8999);//minimum 1000  max 9999 //giving one at the start
	PlayerInfo[playerid][pPnumber] = randphone;
	PlayerInfo[playerid][pPhousekey] = 255;
	PlayerInfo[playerid][pPbiskey] = 255;
	PlayerInfo[playerid][pWarnL] = 0;
	PlayerInfo[playerid][pSaves] = 0;
	PlayerInfo[playerid][pTmpRank] = 0;
 	PlayerInfo[playerid][pDildoK] = 0;
	PlayerInfo[playerid][pFlowerK] = 0;
	PlayerInfo[playerid][pCaneK] = 0;
	PlayerInfo[playerid][pGrenadeK] = 0;
	PlayerInfo[playerid][pGasK] = 0;
	PlayerInfo[playerid][pMolotovK] = 0;
	PlayerInfo[playerid][pColtK] = 0;
	PlayerInfo[playerid][pSPK] = 0;
	PlayerInfo[playerid][pDeagleK] = 0;
	PlayerInfo[playerid][pPShotK] = 0;
	PlayerInfo[playerid][pSawnK] = 0;
	PlayerInfo[playerid][pSpas12K] = 0;
	PlayerInfo[playerid][pUziK] = 0;
	PlayerInfo[playerid][pMP5K] = 0;
	PlayerInfo[playerid][pAK47K] = 0;
	PlayerInfo[playerid][pM4K] = 0;
	PlayerInfo[playerid][pTec9K] = 0;
	PlayerInfo[playerid][pRifleK] = 0;
	PlayerInfo[playerid][pSRifleK] = 0;
	PlayerInfo[playerid][pRPGK] = 0;
	PlayerInfo[playerid][pHSRLK] = 0;
	PlayerInfo[playerid][pFlameK] = 0;
	PlayerInfo[playerid][pMiniK] = 0;
	PlayerInfo[playerid][pSatchelK] = 0;
	PlayerInfo[playerid][pFireEK] = 0;
	PlayerInfo[playerid][pSprayK] = 0;
	PlayerInfo[playerid][pFistK] = 0;
	PlayerInfo[playerid][pBrassK] = 0;
	PlayerInfo[playerid][pGolfK] = 0;
	PlayerInfo[playerid][pNightSK] = 0;
	PlayerInfo[playerid][pBatK] = 0;
	PlayerInfo[playerid][pShovelK] = 0;
	PlayerInfo[playerid][pPoolCK] = 0;
	PlayerInfo[playerid][pKatanaK] = 0;
	PlayerInfo[playerid][pChainsawK] = 0;
	PlayerInfo[playerid][pIntimK] = 0;
	PlayerInfo[playerid][pKnifeK] = 0;
	PlayerInfo[playerid][pDildoD] = 0;
	PlayerInfo[playerid][pFlowerD] = 0;
	PlayerInfo[playerid][pCaneD] = 0;
	PlayerInfo[playerid][pGrenadeD] = 0;
	PlayerInfo[playerid][pGasD] = 0;
	PlayerInfo[playerid][pMolotovD] = 0;
	PlayerInfo[playerid][pColtD] = 0;
	PlayerInfo[playerid][pSPD] = 0;
	PlayerInfo[playerid][pDeagleD] = 0;
	PlayerInfo[playerid][pPShotD] = 0;
	PlayerInfo[playerid][pSawnD] = 0;
	PlayerInfo[playerid][pSpas12D] = 0;
	PlayerInfo[playerid][pUziD] = 0;
	PlayerInfo[playerid][pMP5D] = 0;
	PlayerInfo[playerid][pAK47D] = 0;
	PlayerInfo[playerid][pM4D] = 0;
	PlayerInfo[playerid][pTec9D] = 0;
	PlayerInfo[playerid][pRifleD] = 0;
	PlayerInfo[playerid][pSRifleD] = 0;
	PlayerInfo[playerid][pRPGD] = 0;
	PlayerInfo[playerid][pHSRLD] = 0;
	PlayerInfo[playerid][pFlameD] = 0;
	PlayerInfo[playerid][pMiniD] = 0;
	PlayerInfo[playerid][pSatchelD] = 0;
	PlayerInfo[playerid][pFireED] = 0;
	PlayerInfo[playerid][pSprayD] = 0;
	PlayerInfo[playerid][pFistD] = 0;
	PlayerInfo[playerid][pBrassD] = 0;
	PlayerInfo[playerid][pGolfD] = 0;
	PlayerInfo[playerid][pNightSD] = 0;
	PlayerInfo[playerid][pBatD] = 0;
	PlayerInfo[playerid][pShovelD] = 0;
	PlayerInfo[playerid][pPoolCD] = 0;
	PlayerInfo[playerid][pKatanaD] = 0;
	PlayerInfo[playerid][pChainsawD] = 0;
	PlayerInfo[playerid][pIntimD] = 0;
	PlayerInfo[playerid][pKnifeD] = 0;
	PlayerInfo[playerid][pPMs] = 0;
 	PlayerInfo[playerid][pALicence] = 0;
	PlayerInfo[playerid][pBLicence] = 0;
	PlayerInfo[playerid][pCLicence] = 0;
	PlayerInfo[playerid][pDLicence] = 0;
	PlayerInfo[playerid][pELicence] = 0;
	PlayerInfo[playerid][pALicenceR] = 0;
	PlayerInfo[playerid][pBLicenceR] = 0;
	PlayerInfo[playerid][pCLicenceR] = 0;
	PlayerInfo[playerid][pDLicenceR] = 0;
	PlayerInfo[playerid][pELicenceR] = 0;
	PlayerInfo[playerid][pShooter] = 0;
	PlayerInfo[playerid][pDiller] = 0;
	PlayerInfo[playerid][pHealther] = 0;
	PlayerInfo[playerid][pRepairer] = 0;
	PlayerInfo[playerid][pThiefer] = 0;
	PlayerInfo[playerid][pTeacher] = 0;
	PlayerInfo[playerid][pDetective] = 0;
	PlayerInfo[playerid][pShooterR] = 0;
	PlayerInfo[playerid][pDillerR] = 0;
	PlayerInfo[playerid][pHealtherR] = 0;
	PlayerInfo[playerid][pRepairerR] = 0;
	PlayerInfo[playerid][pThieferR] = 0;
	PlayerInfo[playerid][pTeacherR] = 0;
	PlayerInfo[playerid][pDetectiveR] = 0;
	PlayerInfo[playerid][pWantedlevel] = 0;
	PlayerInfo[playerid][pJob] = 0;
	PlayerInfo[playerid][pMats] = 0;
	ClearCrime(playerid);
	printf("Player Connecting as (%d)", playerid);
	SetPlayerColor(playerid,COLOR_GRAD2);
	GetPlayerName(playerid, plname, sizeof(plname));
	//SetPlayerCameraPos(playerid,1460.0, -1324.0, 287.2);
	//SetPlayerCameraLookAt(playerid,1374.5, -1291.1, 239.0);
	format(string, sizeof(string), "accounts/%s.cer", plname);
	if(fexist(string))
	{
		gPlayerAccount[playerid] = 1;
		SendClientMessage(playerid, COLOR_GREEN, "SERVER: Welcome back!");
		SendClientMessage(playerid, COLOR_WHITE, "SERVER: That nick is registered, You have 60 seconds to login");
		//SendClientMessage(playerid, COLOR_WHITE, "HINT: You can now login by typing /login <password>");
		return 1;
	}
	else
	{
		gPlayerAccount[playerid] = 0;
		SendClientMessage(playerid, COLOR_GREEN, "SERVER: Welcome And Enjoy Youre Stay!");
		//SendClientMessage(playerid, COLOR_WHITE, "SERVER: Type /regnick <password> to create and account or /help for help");
		//return 1;
	}
	return 1;
}

public ClearCrime(playerid)
{
if (gdebug >= 1){printf("DEBUG ClearCrime(%d)", playerid);}
	new string[MAX_PLAYER_NAME];
	format(string, sizeof(string), "********");
	strmid(PlayerCrime[playerid][pBplayer], string, 0, strlen(string), 255);
	strmid(PlayerCrime[playerid][pVictim], string, 0, strlen(string), 255);
	strmid(PlayerCrime[playerid][pAccusing], string, 0, strlen(string), 255);
	strmid(PlayerCrime[playerid][pAccusedof], string, 0, strlen(string), 255);
	return 1;
}

public BetWinner(playerid,contest)
{
	new winname[MAX_PLAYER_NAME];
	new better[MAX_PLAYER_NAME];
	new string[256];
	new betsbiz[3] = {5,19,33};
 	new tmpbiz;
	GetPlayerName(playerid, winname, sizeof(winname));
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
		    new key = PlayerInfo[i][pPhousekey];
		  	if (key < 34) { tmpbiz = 5; }
			else if (key > 33 && key < 68) { tmpbiz = 19; }
			else if (key > 67 && key != 255) { tmpbiz = 33; }
			else
			{
				new randa = random(sizeof(betsbiz));
				tmpbiz = betsbiz[randa];
			}
			if(contest == 1)
			{
				if(BetRace[i][0] == playerid)
				{
					GiveMoney(i,BetRace[i][1]*2);
					BizzInfo[tmpbiz][bTakings] -= (BetRace[i][1]*2);
					format(string, sizeof(string), "______-= %s =-_______", BizzInfo[tmpbiz][bDiscription]);
					SendClientMessage(i, TEAM_VAGOS_COLOR,string);
				    format(string, sizeof(string), "   You have won $%d on %s in a streetrace", BetRace[i][1]*2, winname);
					SendClientMessage(i, COLOR_WHITE, string);
					SendClientMessage(i, TEAM_VAGOS_COLOR,"_______________________________________");
					PlayerPlaySound(i, 1052, 0.0, 0.0, 0.0);
					GetPlayerName(i, better, sizeof(better));
					format(string, sizeof(string), "%s won $%d on %s", better, BetRace[i][1]*2, winname);
					printf("%s", string);
					PayLog(string);
				}
				BetRace[i][0] = 255;
				BetRace[i][1] = 0;
			}
			if(contest == 2)
			{
				if(BetDm[i][0] == playerid)
				{
					GiveMoney(i,BetDm[i][1]*2);
					BizzInfo[tmpbiz][bTakings] -= (BetDm[i][1]*2);
					format(string, sizeof(string), "______-= %s =-_______", BizzInfo[tmpbiz][bDiscription]);
					SendClientMessage(i, TEAM_VAGOS_COLOR,string);
					format(string, sizeof(string), "   You have won $%d on %s in a deathmatch", BetDm[i][1]*2, winname);
					SendClientMessage(i, COLOR_WHITE, string);
					SendClientMessage(i, TEAM_VAGOS_COLOR,"_______________________________________");
					PlayerPlaySound(i, 1052, 0.0, 0.0, 0.0);
					GetPlayerName(i, better, sizeof(better));
					format(string, sizeof(string), "%s won $%d on %s", better, BetDm[i][1]*2, winname);
					printf("%s", string);
					PayLog(string);
				}
				BetDm[i][0] = 255;
				BetDm[i][1] = 0;
			}
		}
	}
	return 1;
}

//------------------------------------------------------------------------------------------------------
public OnPlayerDisconnect(playerid, reason)
{
	DistroyFuel(playerid);
	//if (gdebug >= 1){printf("DEBUG OnPlayerDisconnect(%d)", playerid);}
	new bitch[256];
	new thatname[MAX_PLAYER_NAME];
	GetPlayerName(playerid, thatname, sizeof(thatname));
	format(bitch,sizeof(bitch),"*** %s left the server", thatname);
    SendClientMessageToAll(COLOR_GRAD1,bitch);

	printf("DEBUG OnPlayerDisconnect(%d)1", playerid);
	gActivePlayers[playerid]--;
	numplayers--;
	if (DmHiPlayer == playerid)
	{
		DmHiPlayer = INVALID_PLAYER_ID;
		new tmp1;
		new tmp2;
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(DmScore[i] > tmp1 && IsPlayerConnected(i) == 1)
			{
				DmScore[i] = tmp1;
				i = tmp2;
			}
		}
		if(DmHiPlayer != INVALID_PLAYER_ID)
		{
			DmHiPlayer = tmp2;
			new dmname[MAX_PLAYER_NAME];
			new string[256];
			GetPlayerName(DmHiPlayer, dmname, sizeof(dmname));
			DmHiScore = DmScore[DmHiPlayer];
			format(string, sizeof(string), "DMNEWS: %s Is now in the lead with %d", dmname,DmHiScore);
			BroadCast(COLOR_WHITE, string);
		}
	}
	if (gPublicEnemy == playerid)
	{
		gPublicEnemy = INVALID_PLAYER_ID;
		GiveMoney(playerid, -reward);
		KillTimer(offhook);
	}
	OnClientUpdate(playerid);
	printf("DEBUG OnPlayerDisconnect(%d)2", playerid);
	printf("DEBUG OnPlayerDisconnect(%d)3", playerid);
	if(HireCar[playerid] != -1)
	{
		gLastDriver[HireCar[playerid]] = 300;
		gCarLock[HireCar[playerid]] = 0;
		UnLockCar(HireCar[playerid]);
	}
	if (gLastCar[playerid] > 0)
	{
		gLastDriver[gLastCar[playerid]] = 300;
		if(PlayerInfo[playerid][pPhousekey] != gLastCar[playerid]-1)
		{
			gCarLock[gLastCar[playerid]] = 0;
			UnLockCar(gLastCar[playerid]);
		}
	}
 	if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_BFDROPOFF)
	{
		if (gdebug){print("DEBUG test7");}
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
		new check;
		check = gPlayerCheckpointStatus[playerid];
		if (gdebug){printf("DEBUG check %d" ,check);}
		OnPlayerDropBriefCase(playerid);

	}
	printf("DEBUG OnPlayerDisconnect(%d)4", playerid);
	if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_DROPOFF)
	{
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
		MissionActive = 0;
		if (gdebug)
		{
		print("DEBUG MissionActive = 0;");
		}
	}
	if (gSuperCop == playerid)
	{
		gSuperCop = INVALID_PLAYER_ID;
	}
 	if 	(gTaxiDriver[playerid] == 1)
	{
		RefuseMiniJob(playerid);
	}
}
  
  
public SetPlayerRandomSpawn(playerid)
{
	new rand;
	new playername[32];
	new house = PlayerInfo[playerid][pPhousekey];
	GetPlayerName(playerid, playername, sizeof(playername));
	if(gPlayerFighter[playerid] == 1)
    {
		new string[256];
		gTeam[playerid] = 4;
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gRandomDMSpawns)-2)+1;
		SetPlayerPos(playerid, gRandomDMSpawns[rand][0], gRandomDMSpawns[rand][1], gRandomDMSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,0);
		SetPlayerVirtualWorld(playerid,1);
		PlayerInfo[playerid][pInt] = 0;
		format(string, sizeof(string), "  ~r~%d~w~|~g~%d",DmScore[playerid],DmHiScore);
		GameTextForPlayer(playerid, string, 5000, 6);
		if(gFightLeader < 1000)
		{
			TogglePlayerControllable(playerid, 0);
		}
		if (gdebug >=0){printf("DEBUG SPAWNED: Playerid:%d Team:%d DMPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
	if(house !=255)
	{
		/*
		if(gTeam[playerid] <= 2 && strcmp(playername, HouseInfo[house][hOwner], true) == 0 || gTeam[playerid] > 2)
		{
			*/
			SetPlayerToTeamColor(playerid);
			SetPlayerInterior(playerid,HouseInfo[house][hInt]);
			SetPlayerVirtualWorld(playerid,HouseInfo[house][hWorld]);
			SetPlayerPos(playerid, HouseInfo[house][hExitx], HouseInfo[house][hExity],HouseInfo[house][hExitz]); // Warp the player
			PlayerInfo[playerid][pLocal] = house;
			PlayerInfo[playerid][pInt] = HouseInfo[house][hInt];
			if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
			return 1;
		//}

	}
	if ((gTeam[playerid]) == 2)
	{
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gCopPlayerSpawns));
		SetPlayerPos(playerid, gCopPlayerSpawns[rand][0], gCopPlayerSpawns[rand][1], gCopPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,0);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
    }
    if ((gTeam[playerid]) == 1)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gMedPlayerSpawns));
		SetPlayerPos(playerid, gMedPlayerSpawns[rand][0], gMedPlayerSpawns[rand][1], gMedPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,0);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
    if ((gTeam[playerid]) == 5)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gLSPlayerSpawns));
		SetPlayerPos(playerid, gLSPlayerSpawns[rand][0], gLSPlayerSpawns[rand][1], gLSPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,15);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
    if ((gTeam[playerid]) == 6)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gLSPlayerSpawns));
		SetPlayerPos(playerid, gLSPlayerSpawns[rand][0], gLSPlayerSpawns[rand][1], gLSPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
        SetPlayerInterior(playerid,15);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
    if ((gTeam[playerid]) == 7)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gLSPlayerSpawns));
		SetPlayerPos(playerid, gLSPlayerSpawns[rand][0], gLSPlayerSpawns[rand][1], gLSPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,15);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
	if ((gTeam[playerid]) == 8)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 9)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 78)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 11)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 12)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 13)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
 	if ((gTeam[playerid]) == 14)
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gSFPlayerSpawns));
		SetPlayerPos(playerid, gSFPlayerSpawns[rand][0], gSFPlayerSpawns[rand][1], gSFPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,3);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
    else
    {
		SetPlayerToTeamColor(playerid);
		rand = random(sizeof(gRandomPlayerSpawns));
		SetPlayerPos(playerid, gRandomPlayerSpawns[rand][0], gRandomPlayerSpawns[rand][1], gRandomPlayerSpawns[rand][2]); // Warp the player
		SetPlayerFacingAngle(playerid, 270.0);
		SetPlayerInterior(playerid,1);
		PlayerInfo[playerid][pInt] = 0;
		SetPlayerVirtualWorld(playerid,0);
		if (gdebug >=1){printf("DEBUG SPAWNED: Playerid:%d Team:%d SpawnPoint:%d", playerid, gTeam[playerid], rand);}
		return 1;
	}
	//return 1;
}

//------------------------------------------------------------------------------------------------------

public OnPlayerDeath(playerid, killerid, reason)
{
    //SendDeathMessage(killerid, playerid, reason);
	if (gdebug >=0){printf("OnPlayerDeath Playerid:%d killerid:%d reason:%d", playerid, killerid, reason);}
	new name[MAX_PLAYER_NAME];
	new string[256];
	new dmessage[128];
	new deathreason[20];
	new playercash;
	new victimteam;
	new Float:px,Float:py,Float:pz;
	//new killerteam;
	victimteam = (gTeam[playerid]);
	//killerteam = (gTeam[killerid]);
	gPlayerSpawned[playerid] = 0;
	GetPlayerName(playerid, name, sizeof(name));
	PlayerInfo[playerid][pLocal] = 255;
	GetPlayerPos(playerid, px, py, pz);
   	if (EventsProxDetectorV(100.0, playerid, 254) || EventsProxDetectorV(100.0, playerid, 255) || EventsProxDetectorV(100.0, playerid, 256))
	{
		for (new i = 0; i < MAX_PLAYERS; i++)
		{
		    if(IsPlayerConnected(i) && (i != playerid))
			{
			    new tmpcar = GetPlayerVehicleID(i);
			    if (tmpcar >= 254 && tmpcar <= 256)
			    {
			        if (PlayerHaul[tmpcar][pLoad] > 0)
			        {
			            PlayerInfo[i][pWA]++;
	              		if(PlayerInfo[i][pWA] >= 20)
						{
							PlayerInfo[i][pExp]++;
							PlayerInfo[i][pWA] = 0;
							SendClientMessage(i, COLOR_YELLOW, "You are getting stronger Exp +1");
						}
						PlayerHaul[tmpcar][pLoad]--;
						GiveMoney(playerid, 5000);
			        }
			    }
			}
		}
		SendDeathMessage(killerid, playerid, reason);
	}
	if(killerid != INVALID_PLAYER_ID)
	{
        new oldlevel;
        new newlevel;
        //oldlevel = GetPlayerWantedLevel(killerid);
        oldlevel = PlayerInfo[killerid][pWantedlevel];
        newlevel = oldlevel + 1;
        SetPlayerWantedLevel(killerid, newlevel);
		ADBy(playerid, killerid, reason);
		Score[killerid]++;
	}
	if(gPlayerFighter[playerid] == 1)
	{
		DmScore[playerid]--;
		if(killerid != INVALID_PLAYER_ID)
		{
			DmScore[killerid]++;
			if(DmScore[killerid] > DmHiScore)
			{
				new dmname[MAX_PLAYER_NAME];
				GetPlayerName(killerid, dmname, sizeof(dmname));
				DmHiPlayer = killerid;
				DmHiScore = DmScore[killerid];
                format(string, sizeof(string), "DMNEWS: %s Is now in the lead with %d", dmname,DmHiScore);
				BroadCast(COLOR_WHITE, string);
				format(string, sizeof(string), "  ~g~%d~w~|~g~%d",DmScore[killerid],DmHiScore);
			}
			else
			{
				format(string, sizeof(string), "  ~r~%d~w~|~g~%d",DmScore[killerid],DmHiScore);
			}
			GameTextForPlayer(killerid, string, 5000, 6);
		}
	}
	GetWeaponName(reason, deathreason, 20);
	format(dmessage, sizeof(dmessage), "~r~You Are Dead");
	if (strlen(deathreason) == 0)
	{
		format(deathreason, sizeof(deathreason), "Fists");
	}
	if (reason == 41)
	{
		format(deathreason, sizeof(deathreason), "Pepper Spray");
	}
	if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_DROPOFF)
	{
		if (gdebug){print("DEBUG test6");}
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
		new check;
		check = gPlayerCheckpointStatus[playerid];
		if (gdebug){printf("DEBUG check %d" ,check);}
		OnPlayerDropCashBox(playerid);
	}
 	if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_BFDROPOFF)
	{
		if (gdebug){print("DEBUG test7");}
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
		new check;
		check = gPlayerCheckpointStatus[playerid];
		if (gdebug){printf("DEBUG check %d" ,check);}
		OnPlayerDropBriefCase(playerid);
	}
	if (gPlayerCheckpointStatus[playerid] > 4 && gPlayerCheckpointStatus[playerid] < 11)
	{
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
		LapCount[playerid] = 0;
	}
	/*
	if((PlayerInfo[playerid][pPhousekey]+1 != gLastCar[playerid] && gLastCar[playerid] != 0) || HireCar[playerid] != gLastCar[playerid] && gLastCar[playerid] != 0)
	{
		printf("DEBUG PlayerInfo[playerid][pPhousekey](%d) gLastCar[playerid]-1(%d) HireCar[playerid](%d)", PlayerInfo[playerid][pPhousekey],gLastCar[playerid]-1,HireCar[playerid]);
		UnLockCar(gLastCar[playerid]);
		gCarLock[gLastCar[playerid]] = 0;
		gLastDriver[gLastCar[playerid]] = 300;
		gLastCar[playerid] = 0;
	}
	*/
	new caller = Mobile[playerid];
	if(caller != 255)
	{
		if(caller < 255)
		{
			SendClientMessage(caller,  COLOR_GRAD2, "   The line just went dead....");
			CellTime[caller] = 0;
			CellTime[playerid] = 0;
			Mobile[caller] = 255;
		}
		Mobile[playerid] = 255;
		CellTime[playerid] = 0;
	}
	ClearCrime(playerid);
	if (killerid == INVALID_PLAYER_ID)
	{
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gTeam[i] != gTeam[playerid] && CrimInRange(20.0, playerid,i) && GetPlayerState(i) != 2)
			{
				killerid = i;
				format(deathreason, sizeof(deathreason), "Intimidation");
				PlayerInfo[playerid][pIntimD]++;
			}
		}
	}
	if (killerid == INVALID_PLAYER_ID)
	{
		if ((gTeam[playerid]) == 0)
		{
			return 1;
		}
		new slice = ((PlayerInfo[playerid][pLevel]*deathcost)+(basedcost)); //1k +your level
		GiveMoney(playerid, -slice);
		format(string, sizeof(string), "DOC: Your Medical Bill Comes To $%d, Have A Nice Day.", slice);
		SendClientMessage(playerid, TEAM_CYAN_COLOR, string);
		switch (reason)
		{
			case WEAPON_DROWN:
			{
				format(string, sizeof(string), ".: %s drowned :.", name);
				//BroadCast(COLOR_RED, string);
				GameTextForPlayer(playerid, dmessage, 5000, 2);
			}
			case WEAPON_COLLISION:
			{
				format(string, sizeof(string), ".: %s cratered :.", name);
				//BroadCast(COLOR_RED, string);
				GameTextForPlayer(playerid, dmessage, 5000, 2);
			}
			default:
			{
				/*
				if (strlen(deathreason) > 0)
				{
					format(string, sizeof(string), ".: %s died. (%s) :.", name, deathreason);
				}*/
			//	else
			//	{
					format(string, sizeof(string), ".: %s died :.", name);
			//	}

				//BroadCast(COLOR_RED, string);
				GameTextForPlayer(playerid, dmessage, 5000, 2);
			}
		}
		SendNewsMessageToAll(playerid, string);
		if (gTeam[playerid] == 4)
		{
			gTeam[playerid] = PlayerInfo[playerid][pTeam];
		}
		if (gPublicEnemy == playerid)
		{
			if(killerid == INVALID_PLAYER_ID)
			{
				gPublicEnemy = INVALID_PLAYER_ID;
				GiveMoney(playerid, -preward);
				format(string, sizeof(string), "SMS: %s, The Ambulance Driver Took Your Last Payment $%d, Sender: MOLE (555)",name,preward);
				RingTone[playerid] = 20;
				SendClientMessage(playerid, COLOR_YELLOW, string);
				KillTimer(offhook);
				new tmpmed;
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) == 1 && gTeam[i] == TEAM_CYAN)
					{
						tmpmed++;
					}
				}
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) == 1 && gTeam[i] == TEAM_CYAN)
					{
						GiveMoney(i, preward/tmpmed);
					}
				}
			}
		}
		return 1;
	}
	if (Contract[playerid] > 0)
	{
		new killer[MAX_PLAYER_NAME];
		GetPlayerName(killerid, killer, sizeof(killer));
		GiveMoney(killerid, Contract[playerid]);
		format(string,128,"<< %s has fulfilled the contract on %s and collected $%d >>",killer,name,Contract[playerid]);
		BroadCast(COLOR_YELLOW, string);
		PayLog(string);
		Contract[playerid] = 0;
	}
	if (victimteam >= 4)
	{
		new killer[MAX_PLAYER_NAME];
		GetPlayerName(killerid, killer, sizeof(killer));
		new slice = ((PlayerInfo[playerid][pLevel]*deathcost)+(basedcost)); //1k +your level
		playercash = GetPlayerMoney(playerid);
		if(SafeTime[playerid] <= 0 || gPlayerFighter[playerid] == 1)
		{
			if(gTeam[killerid] != gTeam[playerid])
			{
				if(GetPlayerState(killerid) == 1)
				{
					PlayerInfo[killerid][pKills] = PlayerInfo[killerid][pKills]+2;
				}
				else
				{
					PlayerInfo[killerid][pKills]++;
				}
				PlayerInfo[playerid][pKills]--;
				if(PlayerInfo[killerid][pKills] >= 30)
				{
					PlayerInfo[killerid][pExp]++;
					PlayerInfo[killerid][pKills] = 0;
					SendClientMessage(killerid, COLOR_YELLOW, "You are getting stronger Exp +1");
	            }
			}
		}
		if (strlen(deathreason) > 0)// patch
		{
			if (((gTeam[killerid]) == 1) || ((gTeam[killerid]) == 3 && civnokill) || gTeam[killerid] == gTeam[playerid])//med kill criminal
			{
				format(string, sizeof(string), ".: %s murdered %s. (%s) :.", killer, name, deathreason);
			}
			else
			{
				format(string, sizeof(string), ".: %s murdered %s. (%s) for $%d :.", killer, name, deathreason, slice);
			}
			if (gdebug){print("DEBUG Deathtest3");}

		}
		else
		{
			if (gdebug){print("DEBUG Deathtest4");}
			if (((gTeam[killerid]) == 1) || ((gTeam[killerid]) == 3 && civnokill || gTeam[killerid] == gTeam[playerid]))
			{
				format(string, sizeof(string), ".: %s murdered %s :.", killer, name);
			}
			else
			{
				format(string, sizeof(string), ".: %s murdered %s for $%d :.", killer, name, slice);
			}
		}
		if ((gTeam[killerid]) == 2)//cops kill criminal
		{
			format(string, sizeof(string), ".: %s was arrested by Officer %s (%s) and fined $%d :.", name, killer, deathreason, slice);
			format(dmessage, sizeof(dmessage), "~b~You Got Busted");
			if(IsACopCar(gLastCar[killerid]))
			{
				GiveMoney(killerid, 2000);
				SendClientMessage(killerid, TEAM_BLUE_COLOR, "Vehicle Bonus $2000");
			}
		}
		if (((gTeam[killerid]) == 1) || ((gTeam[killerid]) == 3 && civnokill) || (gTeam[killerid] == gTeam[playerid] && gTeam[playerid] != 4))
		{
			slice = 0;
		}
		if (((gTeam[killerid]) != 4) && ((gTeam[killerid]) == gTeam[playerid]))//no team kill
		{
			slice = 0;
		}
		if (playercash > 0)
		{
			if (gdebug){print("DEBUG Deathtest1");}
			GiveMoney(playerid, -slice);
		}
		else
		{
			if (gdebug){print("DEBUG Deathtest2");}
			slice = slice+500;
		}
		GiveMoney(killerid, slice);
		GameTextForPlayer(playerid, dmessage, 5000, 2);
		PlayerPlaySound(killerid, 1083, 0.0, 0.0, 0.0);
		if (((gTeam[killerid]) == 3) && reason != 49)
		{
			SetPlayerCriminal(killerid,255, "First Degree Murder",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
		else if (((gTeam[killerid]) == 3) && reason == 49)
		{
			SetPlayerCriminal(killerid,255, "Hit And Run",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
		if (gPublicEnemy == playerid)
		{
			//SendClientMessage(killerid, TEAM_BLUE_COLOR, "HQ: You Have Arrested Public Enemy No.1, $5000 Bonus PayCheck");
			GiveMoney(killerid, preward);
			GiveMoney(playerid, -preward);
			KillTimer(offhook);
			format(string, sizeof(string), "SMS: %s, %s Stole Your Last Payment $%d, Sender: MOLE (555)", name, killer,preward);
			SendClientMessage(playerid, COLOR_YELLOW, string);
			RingTone[playerid] = 20;
			format(string, sizeof(string), ".:Public Enemy No.1 %s was killed by %s (%s) and lost $%d :.", name, killer,  deathreason, slice);
			PlayerInfo[killerid][pPEN]++;
			if(PlayerInfo[killerid][pPEN] >= 4)
			{
				PlayerInfo[killerid][pExp]++;
				PlayerInfo[killerid][pPEN] = 0;
				SendClientMessage(killerid, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
			PlayerPlayMusic(killerid);
		}
		//BroadCast(COLOR_RED, string);
		SendNewsMessageToAll(playerid, string);
		if (gPublicEnemy != playerid)
		{
			if(gPlayerFighter[killerid] != 1)
			{
				format(string, sizeof(string), "~g~$%d", slice);
				GameTextForPlayer(killerid, string, 5000, 1);
			}
		}
		else
		{
			format(string, sizeof(string), "~p~P.E.No.1 ~w~Killed~n~You Take The ~g~$%d", preward);
			GameTextForPlayer(killerid, string, 5000, 1);
			gPublicEnemy = INVALID_PLAYER_ID;
		}
	}
	else if (victimteam == 2)
	{
		new killer[MAX_PLAYER_NAME];
		GetPlayerName(killerid, killer, sizeof(killer));
		// Cop kill
		if (gdebug){print("DEBUG test5");}
		PlayerInfo[playerid][pKills]--;
		if (gTeam[killerid] == 2)//cops kill cop
		{
			format(string,128,".: Officer %s murdered Officer %s (%s) and was sued for $%d :.",killer,name,deathreason,suecost);
			PlayerPlaySound(killerid, 1084, 0.0, 0.0, 0.0);
			GiveMoney(killerid, -suecost);
			GiveMoney(playerid, suecost+100);//+100pays hospital bill
		}
		else
		{
			format(string,128,".: %s murdered Officer %s (%s) :.",killer,name,deathreason);
	    }
		if (gTeam[killerid] == 3)
		{
			if(reason != 49)
			{
				SetPlayerCriminal(killerid,255, "First Degree Murder",0,0);
			}
			else if (reason == 49)
			{
				SetPlayerCriminal(killerid,255, "Hit And Run",0,0);
			}
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
		if(gTeam[killerid] >= 5 && SafeTime[playerid] <= 0)
		{
			if(GetPlayerState(killerid) == 1)
			{
				PlayerInfo[killerid][pKills] = PlayerInfo[killerid][pKills]+2;
			}
			else
			{
				PlayerInfo[killerid][pKills]++;
			}
			if(PlayerInfo[killerid][pKills] >= 30)
			{
				PlayerInfo[killerid][pExp]++;
				PlayerInfo[killerid][pKills] = 0;
				SendClientMessage(killerid, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
		}
		//BroadCast(COLOR_RED, string);
		SendTextDrawMessageToAll(string);
	}
	else if (victimteam == 3)
	{
		if (gdebug){print("DEBUG test6");}
		new killer[MAX_PLAYER_NAME];
		GetPlayerName(killerid, killer, sizeof(killer));
		// Civ kill
		if ((gTeam[killerid]) == 2)//cops kill civ
		{
			format(string,128,".: Officer %s murdered %s (%s) and was sued for $%d :.",killer,name,deathreason,suecost);
			PlayerPlaySound(killerid, 1084, 0.0, 0.0, 0.0);
			GiveMoney(killerid, -suecost);
			GiveMoney(playerid, suecost+100);//+100pays hospital bill
			SendTextDrawMessageToAll(string);
		}
		else
		{
			format(string,128,".: %s murdered %s (%s) :.",killer,name,deathreason);
			SendNewsMessageToAll(playerid, string);
	    }
		if (((gTeam[killerid]) == 3 || (gTeam[killerid]) == 1) && reason != 49)
		{
			SetPlayerCriminal(killerid,255, "First Degree Murder",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
		else if (((gTeam[killerid]) == 3 || (gTeam[killerid]) == 1) && reason == 49)
		{
			SetPlayerCriminal(killerid,255, "Hit And Run",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
	    //BroadCast(COLOR_RED, string);
	}
	else if (victimteam == 1)
	{
		if (gdebug){print("DEBUG test6");}
		new killer[MAX_PLAYER_NAME];
		GetPlayerName(killerid, killer, sizeof(killer));
		// Civ kill
		if ((gTeam[killerid]) == 2)//cops kill civ
		{
			format(string,128,".: Officer %s murdered Paramedic %s (%s) and was sued for $%d :.",killer,name,deathreason,suecost);
			PlayerPlaySound(killerid, 1084, 0.0, 0.0, 0.0);
			GiveMoney(killerid, -suecost);
			GiveMoney(playerid, suecost+100);//+100pays hospital bill
            SendTextDrawMessageToAll(string);
		}
		else if ((gTeam[killerid]) == 1)//med kill civ
		{
			format(string,128,".: Paramedic %s murdered %s (%s) and was sued for $%d :.",killer,name,deathreason,suecost);
			PlayerPlaySound(killerid, 1084, 0.0, 0.0, 0.0);
			GiveMoney(killerid, -suecost);
			GiveMoney(playerid, suecost+100);//+100pays hospital bill
			SendTextDrawMessageToAll(string);
		}
		else
		{
			format(string,128,".: %s murdered %s (%s) :.",killer,name,deathreason);
			SendNewsMessageToAll(playerid, string);
	    }
		if (((gTeam[killerid]) == 4) && reason != 49)
		{
			SetPlayerCriminal(killerid,255, "First Degree Murder",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
		else if (((gTeam[killerid]) == 3) && reason == 49)
		{
			SetPlayerCriminal(killerid,255, "Hit And Run",0,0);
			if(FlashTime[killerid] == 0){FlashTime[killerid] = 10;}
		}
	    //BroadCast(COLOR_RED, string);
	}
	if (gSuperCop == playerid)
	{
		gSuperCop = INVALID_PLAYER_ID;
	}
	if(GetPlayerState(killerid) == 1)
	{
		lastkiller = killerid;
	}
	SetPlayerWeaponScore(playerid, killerid, reason);
	SpreeDetector(playerid, killerid);
	killerid = INVALID_PLAYER_ID;
	SetPlayerColor(playerid,COLOR_GRAD2);
	return 1;
}

public SetPlayerWeaponScore(playerid, killerid, reason)
{
	switch (reason)
	{
		case 0:
		{
			PlayerInfo[killerid][pFistK]++;
			PlayerInfo[playerid][pFistD]++;
		}
		case 1:
		{
			PlayerInfo[killerid][pBrassK]++;
			PlayerInfo[playerid][pBrassD]++;
		}
		case 2:
		{
			PlayerInfo[killerid][pGolfK]++;
			PlayerInfo[playerid][pGolfD]++;
		}
		case 3:
	 	{
			PlayerInfo[killerid][pNightSK]++;
			PlayerInfo[playerid][pNightSD]++;
		}
	    case 4:
		{
			PlayerInfo[killerid][pKnifeK]++;
			PlayerInfo[playerid][pKnifeD]++;
	 	}
		case 5:
		{
		    PlayerInfo[killerid][pBatK]++;
			PlayerInfo[playerid][pBatD]++;
		}
		case 6:
		{
		    PlayerInfo[killerid][pShovelK]++;
			PlayerInfo[playerid][pShovelD]++;
		}
		case 7:
		{
		    PlayerInfo[killerid][pPoolCK]++;
			PlayerInfo[playerid][pPoolCD]++;
		}
		case 8:
		{
		    PlayerInfo[killerid][pKatanaK]++;
			PlayerInfo[playerid][pKatanaD]++;
		}
		case 9:
		{
		    PlayerInfo[killerid][pChainsawK]++;
			PlayerInfo[playerid][pChainsawD]++;
		}
		case 10:
		{
			PlayerInfo[killerid][pDildoK]++;
			PlayerInfo[playerid][pDildoD]++;
		}
		case 14:
		{
			PlayerInfo[killerid][pFlowerK]++;
			PlayerInfo[playerid][pFlowerD]++;
		}
		case 15:
		{
			PlayerInfo[killerid][pCaneK]++;
			PlayerInfo[playerid][pCaneD]++;
		}
		case 16:
		{
			PlayerInfo[killerid][pGrenadeK]++;
			PlayerInfo[playerid][pGrenadeD]++;
		}
		case 17:
		{
			PlayerInfo[killerid][pGasK]++;
			PlayerInfo[playerid][pGasD]++;
		}
		case 18:
		{
			PlayerInfo[killerid][pMolotovK]++;
			PlayerInfo[playerid][pMolotovD]++;
		}
		case 22:
		{
			PlayerInfo[killerid][pColtK]++;
			PlayerInfo[playerid][pColtD]++;
		}
		case 23:
		{
			PlayerInfo[killerid][pSPK]++;
			PlayerInfo[playerid][pSPD]++;
		}
		case 24:
		{
		    PlayerInfo[killerid][pDeagleK]++;
			PlayerInfo[playerid][pDeagleD]++;
		}
		case 25:
		{
			PlayerInfo[killerid][pPShotK]++;
			PlayerInfo[playerid][pPShotD]++;
		}
		case 26:
		{
			PlayerInfo[killerid][pSawnK]++;
			PlayerInfo[playerid][pSawnD]++;
		}
		case 27:
		{
			PlayerInfo[killerid][pSpas12K]++;
			PlayerInfo[playerid][pSpas12D]++;
		}
		case 28:
		{
			PlayerInfo[killerid][pUziK]++;
			PlayerInfo[playerid][pUziD]++;
		}
		case 29:
		{
			PlayerInfo[killerid][pMP5K]++;
			PlayerInfo[playerid][pMP5D]++;
		}
		case 30:
		{
			PlayerInfo[killerid][pAK47K]++;
			PlayerInfo[playerid][pAK47D]++;
		}
		case 31:
		{
			PlayerInfo[killerid][pM4K]++;
			PlayerInfo[playerid][pM4D]++;
		}
		case 32:
		{
			PlayerInfo[killerid][pTec9K]++;
			PlayerInfo[playerid][pTec9D]++;
		}
		case 33:
		{
			PlayerInfo[killerid][pRifleK]++;
			PlayerInfo[playerid][pRifleD]++;
		}
		case 34:
		{
			PlayerInfo[killerid][pSRifleK]++;
			PlayerInfo[playerid][pSRifleD]++;
		}
		case 35:
		{
			PlayerInfo[killerid][pRPGK]++;
			PlayerInfo[playerid][pRPGD]++;
		}
		case 36:
		{
			PlayerInfo[killerid][pHSRLK]++;
			PlayerInfo[playerid][pHSRLD]++;
		}
		case 37:
		{
			PlayerInfo[killerid][pFlameK]++;
			PlayerInfo[playerid][pFlameD]++;
		}
		case 38:
		{
		    if (ProxDetectorS(75.5, killerid, playerid))
			{
				new kstring[128];
				new banname[MAX_PLAYER_NAME];
				GetPlayerName(killerid, banname, sizeof(banname));
				format(kstring, sizeof(kstring), "AdminSweep: Player [%d]%s Has Been Banned, Cheat Detected",playerid,banname);
				printf("%s", kstring);
				SendClientMessageToAll(COLOR_RED, kstring);
		  	    PlayerInfo[killerid][pMiniK]++;
			    PlayerInfo[playerid][pMiniD]++;
				Ban(killerid);
			}
			else
			{
				new bstring[256];
				new kickname[MAX_PLAYER_NAME];
				GetPlayerName(killerid, kickname, sizeof(kickname));
				format(bstring, sizeof(bstring), "AdminSweep: Player [%d]%s Has Been Kicked, Cheat Detected",playerid,kickname);
				printf("%s", bstring);
				SendClientMessageToAll(COLOR_RED, bstring);
		    	PlayerInfo[killerid][pMiniK]++;
			    PlayerInfo[playerid][pMiniD]++;
				Kick(killerid);
			}
		}
		case 39:
		{
		    PlayerInfo[killerid][pSatchelK]++;
		    PlayerInfo[playerid][pSatchelD]++;
		}
		case 41:
		{
		    PlayerInfo[killerid][pSprayK]++;
		    PlayerInfo[playerid][pSprayD]++;
		}
		case 42:
		{
	     	PlayerInfo[killerid][pFireEK]++;
		    PlayerInfo[playerid][pFireED]++;
		}
    }
    return 1;
}

public OnPlayerSpawn(playerid)
{
    if (gdebug >=1){printf("OnPlayerSpawn Playerid:%d", playerid);}
    //gPlayerSpawned[playerid] = 0;
    gHealPlayer[playerid] = 0;
	if (teamcarlock)
	{
		TeamLockDoors(playerid);
	}
	InitLockDoors(playerid);
	if(accountplay)
	{
		if (gdebug >=1){printf("accountplay");}
		if (gPlayerAccount[playerid] == 0)
		{
			gTeam[playerid] = 0;
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You do not have an account, type /regnick <password>");
		 	GameTextForPlayer(playerid, "~w~Welcome.~n~In order to play you need to create an account, type ~n~~r~/regnick (password)~w~ to register", 20000, 3);
			//SetPlayerInterior(playerid,0);
			SetPlayerInterior(playerid,3);
			PlayerInfo[playerid][pInt] = 3;
			SetPlayerPos(playerid,198.5,162.5,1003.0);
			// airport
			PlayJailSound(1153 , 1154, 2000,264.395200, 77.564040, 1001.039000);
			gPlayerSpawned[playerid] = 1;
    		return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
			gTeam[playerid] = 0;
			GameTextForPlayer(playerid, "~w~In order to play you need to log in to your account, type ~n~~g~/login (password)~w~ to log in", 20000, 3);
			//SetPlayerInterior(playerid,0);
			SetPlayerInterior(playerid,3);
			PlayerInfo[playerid][pInt] = 3;
			SetPlayerPos(playerid,198.5,162.5,1003.0);
			// airport
			PlayJailSound(1153 , 1154, 2000,264.395200, 77.564040, 1001.039000);
			gPlayerSpawned[playerid] = 1;
    		return 1;
		}
	}
	if (gPlayerSpawned[playerid] != 0)
	{
	    new house = PlayerInfo[playerid][pLocal];
     	if(gPlayerFighter[playerid] == 1)
		{
			SetPlayerVirtualWorld(playerid,1);
		}
		else if (house < 102)
		{
		    SetPlayerInterior(playerid, HouseInfo[house][hInt]);
		    SetPlayerVirtualWorld(playerid, HouseInfo[house][hWorld]);
		}
	 	else if (house >= 102 && house != 255)
		{
		    SetPlayerInterior(playerid, HouseInfo[house][hInt]);
		    SetPlayerVirtualWorld(playerid, HouseInfo[house][hWorld]);
		}
		else if (gPlayerFighter[playerid] != 1 && house == 255)
		{
		    //SetPlayerInterior(playerid, PlayerInfo[playerid][pInt]);
		    SetPlayerVirtualWorld(playerid,0);
		}
	}
	if (gPlayerSpawned[playerid] == 0)
	{
	    gPlayerResponse[playerid] = 1;
		gTeam[playerid] = PlayerInfo[playerid][pTeam];
		if (gTeam[playerid] == 2 && forceteam && CopCheck(playerid))
		{
			gTeam[playerid] = 3;
			PlayerInfo[playerid][pTeam] = 3;
			SetPlayerRandomSpawn(playerid);
			SendClientMessage(playerid, COLOR_YELLOW, "SERVER: Your are not allowed to be a cop.");
		}
		/*
		if(gTeam[playerid] == 2 && PlayerInfo[playerid][pLevel] < 3)
		{
			gTeam[playerid] = 3;
			PlayerInfo[playerid][pTeam] = 3;
			SetPlayerRandomSpawn(playerid);
			SendClientMessage(playerid, COLOR_YELLOW, "SERVER: You must be level 3 to join the cops.");
		}
		*/
		if (gTeam[playerid] == 1 && forceteam && MedCheck(playerid))
		{
			gTeam[playerid] = 3;
			PlayerInfo[playerid][pTeam] = 3;
			SetPlayerRandomSpawn(playerid);
			SendClientMessage(playerid, COLOR_YELLOW, "SERVER: Your are not allowed to be a paramedic.");
		}
		if (gTeam[playerid] == 4) //medic / criminal reset team
		{
			gTeam[playerid] = PlayerInfo[playerid][pTeam];
		}
		/*
		if (FirstSpawn[playerid] == 0)
		{
			SetPlayerToTeamColor(playerid);
			SetPlayerInterior(playerid,PlayerInfo[playerid][pInt]);
			printf("PlayerInfo[playerid][pInt]= %d",PlayerInfo[playerid][pInt]);
			SetPlayerHealth(playerid, PlayerInfo[playerid][pHealth]);
			gPlayerSpawned[playerid] = 1;
			FirstSpawn[playerid] = 1;
			print("insidespawn or firstsawpn");
			return 1;
		}
		*/
		SetPlayerRandomSpawn(playerid);
		if (gdebug){printf("DEBUG id = %d gTeam = %d",playerid,gTeam[playerid]);}
		//SetPlayerPos(playerid, 1360.0217,2565.6328,10.8265);///badspawn
		//SetPlayerWorldBounds(playerid,3500.00,66.67,-653.33,-2806.67);
		/*
		switch (MissionActive)
		{
			case 1://Cashbox not picked up
			{
				if ((gTeam[playerid]) == 1)
				{
					SendClientMessage(playerid, COLOR_YELLOW, objstore);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_PICKUP;
				}
				else if (gTeam[playerid] == 2)
				{
					SendClientMessage(playerid, TEAM_BLUE_COLOR, cbjstore);
				}
				SetPlayerCheckpoint(playerid,cwx, cwy, cwz, 1.0);
			}
			case 2://Cashbox picked up firsttime
			{
				if ((gTeam[playerid]) == 1)
				{
					SendClientMessage(playerid, COLOR_YELLOW, objstore);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
				}
				else if (gTeam[playerid] == 2)
				{
					SendClientMessage(playerid, TEAM_BLUE_COLOR, cbjstore);
				}
				SetPlayerCheckpoint(playerid,cwx, cwy, cwz, 1.0);
			}
			case 3://Cashbox was dropped
			{

				SetPlayerCheckpoint(playerid,cwx,cwy,cwz, 1.0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_PICKUP;
				return 1;
			}
			case 5://racewait
			{
				if (gdebug){print("DEBUG Checkp5");}
				if ((gTeam[playerid]) == 1)
				{
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SR1START;
				}
					SetPlayerCheckpoint(playerid,cwx,cwy,cwz, 8.0);
				return 1;
			}
			case 6://racewait
			{
				if (gdebug){print("DEBUG Checkp5");}
				if ((gTeam[playerid]) == 1 || (gTeam[playerid]) == 3)
				{
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
				}
					SetPlayerCheckpoint(playerid,cwx,cwy,cwz, 8.0);
				return 1;
			}
			case 7://progress
			{
				if (gdebug){print("DEBUG Checkp5");}
				if ((gTeam[playerid]) == 1)
				{
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
					SetPlayerCheckpoint(playerid,cwx,cwy,cwz, 8.0);
				}
				if ((gTeam[playerid]) == 2 )
				{
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SR1START;
					SetPlayerCheckpoint(playerid,scx,scy,scz, 8.0);
				}
				return 1;
			}
			case 9://Car is waiting first occupent
			{
				if (gTeam[playerid] == 1)
				{
					SendClientMessage(playerid, COLOR_YELLOW, objstore);
					SetVehicleParamsForPlayerEx(stealcar,playerid,1,0);
				}
				else if (gTeam[playerid] == 2)
				{
				SendClientMessage(playerid, TEAM_BLUE_COLOR, cbjstore);
				SetVehicleParamsForPlayerEx(stealcar,playerid,1,1);
				}
			}
			case 10://Car has been takin by Criminal
			{
				if (gTeam[playerid] == 1)
				{
					SendClientMessage(playerid, COLOR_YELLOW, objstore);
				}
				else if (gTeam[playerid] == 2)
				{
					SendClientMessage(playerid, TEAM_BLUE_COLOR, cbjstore);
				}
				SetPlayerCheckpoint(playerid, cwx, cwy, cwz, 16.0);
				SetVehicleParamsForPlayerEx(stealcar,playerid,1,0);
			}
			case 101://Car is empty but was takin
			{
				SetVehicleParamsForPlayerEx(stealcar,playerid,1,0);
			}
			default:
			{

			}
		}
		*/

	}
	gPlayerSpawned[playerid] = 1; //add for 0.3a
	return 1;
}
//---------------------------------------CHECKPOINT----------------------------------------------------
public PayLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/pay.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public BanLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/ban.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public CmdLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/cmd.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public AstatLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/astat.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public ChatLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/chat.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public ReportLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/reports.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}

public AdmLoginLog(string[])
{
	new entry[256];
	format(entry, sizeof(entry), "%s\n",string);
	new File:hFile;
	hFile = fopen("logs/admwarn.log", io_append);
	fwrite(hFile, entry);
	fclose(hFile);
}


public PrePlayerNewMission()
{
if (gdebug >=1){printf("PrePlayerNewMission");}
	CheckpointReset();
	if (MissionActive == 16)
	{
		gFighters=0;
		gFightLeader=0;
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				DmScore[i] = 0;
				if(gPlayerFighter[i] == 1)
				{
					gPlayerFighter[i] = 0;
					TogglePlayerControllable(i, 1);
					SetPlayerRandomSpawn(i);
				}
			}
		}
	}
 if (MissionActive > 8 && MissionActive < 12)
	{
		if(MissionActive != 0)
		{
			printf("DEBUG: Bad Hotwire: stealcar = %d, stealcardest = %d",stealcar,stealcardest);
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					if(stealcar != -1)
					{
						SetVehicleParamsForPlayerEx(stealcar,i,0,0);
						SetVehicleToRespawn(stealcar);
						stealcar = -1;
					}
				}
			}
		}
	}
	if (MissionActive > 4 && MissionActive <= 7 )
	{
		CheckpointReset();
		RaceCheckpointReset();
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				LapCount[i] = 0;
				StartTime[i] = 0;
				LapTime[i] = 0;
			}
		}
		gRaceFin = 0;
		gRaceMid = 0;
		gRaceMid2 = 0;
		gRaceEnd = 0;
		gLaps = 0;
		//BroadCast(COLOR_WHITE, "RACENEWS: ::: Race Over :::");
		SendTextDrawMessageToAll("RACENEWS: ::: Race Over :::");
	}
	if (cashbox == 0 && hotwire == 0 && streetrace == 0 && briefcase == 0 && deathmatch == 0)
	{
		MissionActive = 255;
		if (gdebug){print("DEBUG MissionActive = 255");}
		return 1;
	}
	if (cashbox == 0 && hotwire == 0 && streetrace == 1 && briefcase == 0 && deathmatch == 0)
	{
		MissionActive = 4;
		if (gdebug){print("DEBUG MissionActive = 4");}
		SetPlayerNewMission();
		return 1;
	}
  	if (cashbox == 0 && hotwire == 0 && streetrace == 0 && briefcase == 1 && deathmatch == 0)
	{
		MissionActive = 13;
		if (gdebug){print("DEBUG MissionActive = 13");}
		SetPlayerNewMission();
		return 1;
	}
	if (cashbox == 0 && hotwire == 0 && streetrace == 0 && briefcase == 0 && deathmatch == 1)
	{
		MissionActive = 16;
		if (gdebug){print("DEBUG MissionActive = 16");}
		SetPlayerNewMission();
		return 1;
	}
	if (MissionActive == 0)
	{
		if (cashbox == 0)
		{
			MissionActive = 4;
			if (gdebug){print("DEBUG MissionActive = 4");}
		}
		else
		{
			MissionActive = 0;
			if (gdebug){print("DEBUG MissionActive = 0");}
		}
		SetPlayerNewMission();
		return 1;
	}
	if (MissionActive > 0 && MissionActive <= 4)
	{
		if (streetrace == 0)
		{
			MissionActive = 8;
			if (gdebug){print("DEBUG MissionActive = 8");}
		}
		else
		{
			MissionActive = 4;
			if (gdebug){print("DEBUG MissionActive = 4");}
		}
		SetPlayerNewMission();
		return 1;
	}
	if (MissionActive > 4 && MissionActive <= 8 )
	{
		if (hotwire == 0)
		{
			MissionActive = 12;
			if (gdebug){print("DEBUG MissionActive = 12");}
		}
		else
		{
			MissionActive = 8;
			if (gdebug){print("DEBUG MissionActive = 8");}
		}
		SetPlayerNewMission();
		return 1;
	}
	if (MissionActive > 8 && MissionActive <= 12)
	{
		if (briefcase == 0)
		{
			MissionActive = 16;
			if (gdebug){print("DEBUG MissionActive = 16");}
		}
		else
		{
			MissionActive = 12;
			if (gdebug){print("DEBUG MissionActive = 12");}
		}
		SetPlayerNewMission();
		return 1;
	}
	if (MissionActive > 12 && MissionActive <= 16)
	{
		if (deathmatch == 0)
		{
			MissionActive = 0;
			if (gdebug){print("DEBUG MissionActive = 0");}
		}
		else
		{
			MissionActive = 16;
			if (gdebug){print("DEBUG MissionActive = 16");}
		}
		SetPlayerNewMission();
		return 1;
	}
 	if (MissionActive == 17)
	{
		if (cashbox == 0)
		{
			MissionActive = 4;
			if (gdebug){print("DEBUG MissionActive = 4");}
		}
		else
		{
			MissionActive = 0;
			if (gdebug){print("DEBUG MissionActive = 0");}
		}
		SetPlayerNewMission();
		return 1;
	}
	return 1;
}

public SetPlayerNewMission()
{
	if (gdebug >=1){printf("SetPlayerNewMission");}
	if(Briefcasepickup)
	{
		DestroyPickup(Briefcasepickup);
	}
	switch (MissionActive)
	{
		case 0:
		{
			new rando = random(23);
			if (rando == 1)//LV
			{
				cwx = 2080.4;
				cwy = 2120.6;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: Its Payday At Gay Gordo's Boutique, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 Gay Gordo's Boutique");
			}
      		else if (rando == 2)//SF
			{
				cwx = -2418.83;
				cwy = 969.51;
				cwz = 45.30;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Gas Station In Juniper Hill , Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-14 Juniper Hill Gas Station.");
			}
      		else if (rando == 3)//LS
			{
				cwx = 997.7;
				cwy = -921.1;
				cwz = 42.1;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At North Side Gas Station, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-14 North Side Gas Station.");
			}
			else if(rando == 4)//LV
			{
				cwx = 2083.5;
				cwy = 2222.4;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At The Well Stacked Pizza Co., Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-10 At The Well Stacked Pizza Co..");
			}
      		else if(rando == 5)//SF
			{
				cwx = -1498.02;
				cwy = 925.16;
				cwz = 7.19;
				format(objstore, sizeof(objstore), "SMS: It's Payday at the San Andreas Bank in Downtown, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-10 at The San Andreas Bank.");
			}
   			else if(rando == 6)//LS
			{
				cwx = 2421.5;
				cwy = -1221.7;
				cwz = 25.3;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At The Pig Pen, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-10 At The Pig Pen.");
			}
			else if(rando == 7)//LV
			{
				cwx = 1517.3;
				cwy = 1066.9;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Big Banana's, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-32 At Big Banana's.");
			}
   			else if(rando == 8)//SF
			{
				cwx = -2444.78;
				cwy = 753.17;
				cwz = 35.17;
				format(objstore, sizeof(objstore), "SMS: It's Payday at the Supa Save in Juniper Hill, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-32 at Supa Save.");
			}
   			else if(rando == 9)//LS
			{
				cwx = 2069.7;
				cwy = -1780.1;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At East Side Tattoo, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-32 At East Side Tatoo.");
			}
			else if(rando == 10)//LV
			{
				cwx = 2156.4;
				cwy = 943.2;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At SouthSide Ammunation, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At SouthSide Ammunation.");
			}
   			else if(rando == 11)//SF
			{
				cwx = -2453.94;
				cwy = 504.07;
				cwz = 30.08;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At San Andras Fedral Mint, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At San Andras Fedral Mint.");
			}
   			else if(rando == 12)//LS
			{
				cwx = 1352.4;
				cwy = -1756.7;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Roboi's Food Mart, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At Robbi's Food Mart.");
			}
			else if(rando == 13)//LV
			{
				cwx = 2470.9;
				cwy = 2034.9;
				cwz = 11.0;
				format(objstore, sizeof(objstore), "SMS: Its Payday At Northside Cluckin' Bell, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At Northside Cluckin' Bell.");
			}
   			else if(rando == 14)//SF
			{
				cwx = -2494.48;
				cwy = -29.11;
				cwz = 25.77;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Sub Urbin In Hashbury, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-94 At Hashbury Sub Urbin.");
			}
   			else if(rando == 15)//LS
			{
				cwx = 1831.1;
				cwy = -1842.8;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At The 69 Cent Store, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-94 At The 69 Cent Store.");
			}
			else if(rando == 16)//LV
			{
				cwx = 1674.7;
				cwy = 1448.0;
				cwz = 10.7;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At The Airport, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-10 At The Airport.");
			}
   			else if(rando == 17)//SF
			{
				cwx = -2625.85;
				cwy = 209.14;
				cwz = 4.62;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At AMMU-NAION In Ocean Flats, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-94 At Ammu-Naion");
			}
			else if(rando == 18)//LV
			{
				cwx = 2193.4;
				cwy = 1676.4;
				cwz = 12.3;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Caligula's Palace, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-32 At Caligula's Palace.");
			}
   			else if(rando == 19)//SF
			{
				cwx = -1689.99;
				cwy = 432.77;
				cwz = 7.19;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Eastern Basin Gas Staion, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-94 At Bay Gas Staion.");
			}
			else if(rando == 20)//LV
			{
				cwx = 2637.4;
				cwy = 1127.2;
				cwz = 11.1;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Eastside Gas Station, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At Eastside Gas Station.");
			}
   			else if(rando == 21)//SF
			{
				cwx = -1406.7;
				cwy = -304.4;
				cwz = 14.1;
				format(objstore, sizeof(objstore), "SMS: It's Pay Day At Eastern Bay Airport, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-94 At Eastern Bay Airport.");
			}
			else if(rando == 22)//LV
			{
				cwx = 2415.5;
				cwy = 1124.0;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: Its Payday At The City Planning Departement, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At The City Planning Departement.");
			}
			else if(rando == 23)//LV
			{
				cwx = 1458.2;
				cwy = 2773.5;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: Its Payday At The Golf Club, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "HQ: 911 10-17 At The Golf Club.");
			}
			rx = cwx;//storing the store
			ry = cwy;
			rz = cwz;
			MissionActive = 1;
			if (gdebug){print("DEBUG MissionActive = 1;");}
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
					if (gTeam[i] >= 3)
					{
						if (automission)
						{
							JobGive(i);
						}
						else if (PlayerInfo[i][pPnumber] !=0)
						{
		    				SendClientMessage(i, COLOR_YELLOW, "SMS: I Got A Job For You, Text Yes To 555 For More Info, Sender: MOLE (555)");
							SendClientMessage(i, COLOR_WHITE, "HINT: Type (/sms 555 yes) to get the waypoint from mole");
							RingTone[i] =20;
						}
					}
					else if (gPlayerSpawned[i] == 1 && (gTeam[i]) == 2)
					{
					    SendClientMessage(i, COLOR_DBLUE, cbjstore);
				 		GameTextForPlayer(i, "~w~Waypoint set ~n~~r~CashBox", 5000, 1);
						SetPlayerCheckpoint(i,cwx, cwy, cwz, 1.4);
					}
				}
			}
			return 1;
		}
/*
		case 2:
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if (IsPlayerConnected(i) && i != gSuperCop && i != gPublicEnemy )
				{
						SetPlayerCheckpoint(i,cwx,cwy,cwz, 1.0);
						gPlayerCheckpointStatus[i] = CHECKPOINT_NONE;
						if (gdebug){print("DEBUG CHECKPOINT_NONE1");}
				}
			}
			return 1;
		}
		case 3:
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if (IsPlayerConnected(i))
				{
						SetPlayerCheckpoint(i,cwx,cwy,cwz, 1.0);
						gPlayerCheckpointStatus[i] = CHECKPOINT_PICKUP;
				}
			}
			return 1;
		}*/
		case 4:
		{
			/*
			if (gdebug){print("DEBUG Checkp2");}
			RStart = random(sizeof(gRaceCheckpoints));
			RNext = random(sizeof(gRaceCheckpoints));
			while (RNext == RStart)
			{
				RNext = random(sizeof(gRaceCheckpoints));
			}
			REnd = random(sizeof(gRaceCheckpoints));
			while (RNext == REnd)
			{
				REnd = random(sizeof(gRaceCheckpoints));
			}
			cwx = gRaceCheckpoints[RStart][0];
			cwy = gRaceCheckpoints[RStart][1];
			cwz = gRaceCheckpoints[RStart][2];
			scx = gRaceCheckpoints[RNext][0];
			scy = gRaceCheckpoints[RNext][1];
			scz = gRaceCheckpoints[RNext][2];
			rx = gRaceCheckpoints[REnd][0];
			ry = gRaceCheckpoints[REnd][1];
			rz = gRaceCheckpoints[REnd][2];
			*/
			gRaceFin = 0;
			gRaceMid = 0;
			gRaceMid2 = 0;
			if(randomrace)
			{
				RNext = random(sizeof(gRaceCheckpoints)-1);
				RNext2 = random(sizeof(gRaceCheckpoints));
				REnd = random(sizeof(gRaceCheckpoints));
				while (RNext == REnd)
				{
					REnd = random(sizeof(gRaceCheckpoints));
				}
				while (RNext2 == RNext)
				{
					RNext2 = random(sizeof(gRaceCheckpoints));
				}
				rsx = gRaceCheckpoints[4][0];
				rsy = gRaceCheckpoints[4][1];
				rsz = gRaceCheckpoints[4][2];
				rmx = gRaceCheckpoints[RNext][0];
				rmy = gRaceCheckpoints[RNext][1];
				rmz = gRaceCheckpoints[RNext][2];
				rm2x = gRaceCheckpoints[RNext2][0];
				rm2y = gRaceCheckpoints[RNext2][1];
				rm2z = gRaceCheckpoints[RNext2][2];
				rex = gRaceCheckpoints[REnd][0];
				rey = gRaceCheckpoints[REnd][1];
				rez = gRaceCheckpoints[REnd][2];
			}
			//printf("racelist1 = %d",racelist);
			/*
			if(racelist > 0)
			{
				if(racelist > 8)
				{
					racelist = 1;
					//printf("racelist2 = %d",racelist);
				}
				new nextrace = racelist-1;
				LoadRace(255,Races[nextrace]);
				racelist++;
				//printf("racelist3 = %d",racelist);
			}
			*/
			if(racelist > 0)
			{
				new randa = random(sizeof(Races));
				LoadRace(255,Races[randa]);
			}
			MissionActive = 5;
			if (gdebug){print("DEBUG MissionActive = 5");}
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && (gPlayerSpawned[i] == 1))
				{
					if (gdebug){print("DEBUG Checkp4");}
					if (gTeam[i] >= 3)
					{
						if (automission)
						{
							JobGive(i);
						}
						else if (PlayerInfo[i][pPnumber] !=0)
						{
							SendClientMessage(i, COLOR_YELLOW, "SMS: I Got A Job For You, Text Yes To 555 For More Info, Sender: MOLE (555)");
							SendClientMessage(i, COLOR_WHITE, "HINT: Type (/sms 555 yes) to get the waypoint from mole");
							RingTone[i] =20;
						}
					}
					else if((gTeam[i]) == 2 && RaceInfo[rLaps] == 0)
					{
						if (gdebug){print("DEBUG Checkp6");}
                        format(cbjstore, sizeof(cbjstore), "HQ: 911 10-14 Set Up A RoadBlock At The Red Marker.");
						GameTextForPlayer(i, "~w~Waypoint set ~n~~r~RoadBlock", 5000, 1);
						SendClientMessage(i, COLOR_DBLUE, cbjstore);
						RingTone[i] = 20;
                        SetPlayerRaceCheckpoint(i, 0, rm2x,rm2y,rm2z,rex,rey,rez, 8.0);
					}
				}
			}
			return 1;
		}
		case 8:
		{
			if (gdebug){print("DEBUG test1");}
            stealcar = random(565)+288;
			GetVehiclePos(stealcar, scx, scy, scz);
			format(objstore, sizeof(objstore), "SMS: A Buyer Is Interested In The Car Marked On Your GPS, Sender: MOLE (555)");
			format(cbjstore, sizeof(cbjstore), "HQ: 911 10-64 Suspect Vehicle Spotted.");
			rx = scx;//storing the car pos
			ry = scy;
			rz = scz;
			if (gdebug){print("DEBUG TEST2");}
            stealcardest = random(565)+288;
			while (stealcardest == stealcar)
			{
				stealcardest = random(565)+288;
			}
			MissionActive = 9;
			if (gdebug){print("DEBUG MissionActive = 9;");}
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && (gPlayerSpawned[i] == 1))
				{
					if (gdebug){print("DEBUG test2");}
					if (gTeam[i] >= 3)
					{
						if (automission)
						{
							JobGive(i);
						}
						else if (PlayerInfo[i][pPnumber] !=0)
						{
                            SendClientMessage(i, COLOR_YELLOW, "SMS: I Got A Job For You, Text Yes To 555 For More Info, Sender: MOLE (555)");
							SendClientMessage(i, COLOR_WHITE, "HINT: Type (/sms 555 yes) to get the waypoint from mole");
							RingTone[i] =20;
						}
					}
					else
					{
						if (gdebug){print("DEBUG test4");}
						SendClientMessage(i, COLOR_DBLUE, cbjstore);
						GameTextForPlayer(i, "~w~Waypoint set ~n~~y~Suspect Vehicle", 5000, 1);
						SetVehicleParamsForPlayerEx(stealcar,i,1,1);
					}
				}
			}
			if (gdebug){printf("DEBUG HOTWIRE mission started: TargetCar:%d",stealcar);}
			return 1;
		}
		case 12:
		{
			new rando = random(18);
			if (rando == 1)
			{
				cwx = 1723.3;
				cwy = -1721.2;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer in Square Little Mexico, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-14 Little Mexico.");
			}
			else if(rando == 2)
			{
				cwx = 2069.5;
				cwy = -1767.7;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at East Side Tattoo, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-10 at East Side Tattoo.");
			}
			else if(rando == 3)
			{
				cwx = 2166.5;
				cwy = -1155.7;
				cwz = 24.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at Jaferson Street, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-32 at Jaferson Street.");
			}
			else if(rando == 4)
			{
				cwx = 1710.6;
				cwy = -1604.9;
				cwz = 13.5;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer in Square Little Mexico, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-17 Square Little Mexico.");
			}
			else if(rando == 5)
			{
				cwx = 637.9;
				cwy = -1227.5;
				cwz = 18.1;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at Richman Square, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at Richman Square.");
			}
			else if(rando == 6)
			{
				cwx = 355.3;
				cwy = -1365.2;
				cwz = 14.4;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer in Rodeo Street, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 in Rodeo Street");
			}
			else if(rando == 7)
			{
				cwx = 2278.4;
				cwy = 2524.9;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The Well Stacked Pizza Co., Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The Well Stacked Pizza Co.");
			}
			else if(rando == 8)
			{
				cwx = 2086.8;
				cwy = 1507.0;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The Royal Casino, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The Royal Casino");
			}
   			else if(rando == 9)
			{
				cwx = 2793.8;
				cwy = 1987.8;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The General Store, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The General Store");
			}
			else if(rando == 10)
			{
				cwx = 1626.3;
				cwy = 1815.2;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at Las Venturas Hospital, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at Las Venturas Hospital.");
			}
   			else if(rando == 11)
			{
				cwx = 1022.3;
				cwy = 1718.3;
				cwz = 10.8;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The Track Stadion, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The Track Stadion");
			}
      		else if(rando == 12)
			{
				cwx = 1438.7;
				cwy = 2616.2;
				cwz = 11.3;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at Las Venturas Railroad Station, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at Las Venturas Railroad Station");
			}
      		else if(rando == 13)
			{
				cwx = -1967.2;
				cwy = 162.1;
				cwz = 27.6;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at San Fiero Railroad Station, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at San Fiero Railroad Station.");
			}
         	else if(rando == 14)
			{
				cwx = -1697.1;
				cwy = 1334.8;
				cwz = 7.1;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at San Fiero South Explanade, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at San Fiero South Explanade.");
			}
            else if(rando == 15)
			{
				cwx = -2420.7;
				cwy = 294.0;
				cwz = 35.1;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at San Fiero Hotel, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at San Fiero Hotel.");
			}
            else if(rando == 16)
			{
				cwx = -2594.2;
				cwy = 618.0;
				cwz = 14.4;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at San Fiero Hospital, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at San Fiero Hospital.");
			}
            else if(rando == 17)
			{
				cwx = -1798.3;
				cwy = 1199.9;
				cwz = 25.1;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The Michelle's Garage, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The Michelle's Garage.");
			}
            else if(rando == 18)
			{
				cwx = -2197.1;
				cwy = 2411.7;
				cwz = 4.9;
				format(objstore, sizeof(objstore), "SMS: For work you can have informer at The Martin's Pilots School, Sender: MOLE (555)");
				format(cbjstore, sizeof(cbjstore), "Police HQ: 911 10-94 at The Martin's Pilots School.");
			}
			rx = cwx;//storing the store
			ry = cwy;
			rz = cwz;
			MissionActive = 13;
			if (gdebug){print("DEBUG MissionActive = 13;");}
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
					if (gTeam[i] >= 3)
					{
						if (automission)
						{
							JobGive(i);
						}
						else if (PlayerInfo[i][pPnumber] !=0)
						{
		    				SendClientMessage(i, COLOR_YELLOW, "SMS: I Got A Job For You, Text Yes To 555 For More Info, Sender: MOLE (555)");
							SendClientMessage(i, COLOR_WHITE, "HINT: Type (/sms 555 yes) to get the waypoint from mole");
							RingTone[i] =20;
						}
					}
					else if (gPlayerSpawned[i] == 1 && (gTeam[i]) == 2)
					{
					    SendClientMessage(i, COLOR_DBLUE, cbjstore);
						GameTextForPlayer(i, "~w~Waypoint set ~n~~r~Briefcase", 5000, 1);
						SetPlayerCheckpoint(i,cwx, cwy, cwz, 1.4);
					}
				}
			}
			return 1;
		}
  		case 16:
		{
			new rand = random(sizeof(DmGun));
			dmweapon = DmGun[rand];
			if(dmlist > 35)
			{
				dmlist = 1;
				//printf("racelist2 = %d",racelist);
			}
			new nextdm = random(sizeof(DeathMatches));
			LoadDM(255,DeathMatches[nextdm]);
			new sgun1[20];
			new winfo[256];
			if(DmGun[rand] > 0)
			{
				GetWeaponName(DmGun[rand], sgun1, 20);
				format(winfo, sizeof(winfo), "DM Weapon: %s",sgun1);
			}
			else
			{
				format(winfo, sizeof(winfo), "DM Weapon: Bring Your Own");
			}
			SendClientMessageToAll(COLOR_GREEN, winfo);
			//dmlist++;
			//printf("racelist3 = %d",racelist);
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
                    SendClientMessage(i, COLOR_YELLOW, "SMS: DeathMatch Starting Soon At The Red Marker Outside Ammunation, Sender: MOLE (555)");
                    SendClientMessage(i, COLOR_WHITE, "HINT: Go To The Red Marker And Wait For The DeathMatch To Start.");
					GameTextForPlayer(i, "~w~Waypoint set ~n~~r~DeathMatch", 5000, 1);
					SetPlayerCheckpoint(i,gRandomDMSpawns[0][0],gRandomDMSpawns[0][1],gRandomDMSpawns[0][2], 4.0);
					gPlayerCheckpointStatus[i] = CHECKPOINT_DM;
				}
			}
			MissionActive = 17;
			return 1;
		}
/*
		case 10:
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					if (!IsPlayerInVehicle(i, stealcar))
					{
						SetAllPlayerCheckpoint(cwx, cwy, cwz, 16.0, 255);
						SetVehicleParamsForPlayerEx(stealcar,i,1,0);
					}
				}
			}
			return 1;
		}
		case 101:
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					if (!IsPlayerInVehicle(i, stealcar))
					{
						SetAllPlayerCheckpoint(scx, scx, scx, 16.0, 255);
						SetVehicleParamsForPlayerEx(stealcar,i,1,0);
					}
					//SetAllPlayerCheckpoint(scx, scy, scz, 16.0, 255);
				}
			}
			return 1;
		}
		case 102:
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					if (!IsPlayerInVehicle(i, stealcar))
					{
						SetVehicleParamsForPlayerEx(stealcar,i,1,0);
					}
				}
			}
			return 1;
		}	*/
		default:
		{
			return 1;
		}
	}
	return 1;
}

public OnPlayerEnterCheckpoint(playerid)
{
	if (gdebug >=1){printf("OnPlayerEnterCheckpoint %d",playerid);}
	new string[128];
	new name[MAX_PLAYER_NAME];
	switch (gPlayerCheckpointStatus[playerid])
	{
		case CHECKPOINT_PICKUP:
		{
				if(GetPlayerState(playerid) != 1)
				{
					GameTextForPlayer(playerid, "~w~You must be~n~~r~on foot", 1000, 1);
				  	return 1;
				}
				if (gdebug){print("DEBUG CHECKPOINT_PICKUP");}
		  	    GetPlayerName(playerid, name, sizeof(name));
		  	    if (MissionActive == 1)
		  	    {
					RewardCalc(playerid,1000,10000);
					DropOff = random(sizeof(gCBdropoff));
				}
				if (gTeam[playerid] >= 3)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					CheckpointReset();
					RaceCheckpointReset();
                    GameTextForPlayer(playerid, "~w~Now get to the~n~~r~Safehouse", 5000, 1);
					cwx = gCBdropoff[DropOff][0];
					cwy = gCBdropoff[DropOff][1];
					cwz = gCBdropoff[DropOff][2];
					SetAllPlayerCheckpoint(cwx, cwy, cwz, 1.4, 0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_DROPOFF;
					if (gdebug){printf("DEBUG gpcs %d",gPlayerCheckpointStatus[playerid]);}
					format(string, sizeof(string), "%s Has Picked Up The CashBox Containing $%d.", name ,reward);
					BroadCast(COLOR_YELLOW, string);
					gSuperCop = playerid;
					SetPlayerCriminal(playerid,255, "Stealing The Cashbox",0,0);
					MissionActive = 2;
					if (gdebug){print("DEBUG MissionActive = 2;");}
				}
				else if ((gTeam[playerid]) == 2)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					CheckpointReset();
					RaceCheckpointReset();
                    GameTextForPlayer(playerid, "~w~Return the CashBox~n~to the ~r~Store", 5000, 1);
					cwx = rx;//retrieving the store
					cwy = ry;
					cwz = rz;
					SetAllPlayerCheckpoint(cwx, cwy, cwz, 1.4, 0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_DROPOFF;
					format(string, sizeof(string), "Officer %s Has Picked Up The CashBox Containing $%d.", name ,reward);
					BroadCast(COLOR_YELLOW, string);
	            	gSuperCop = playerid;
	            	MissionActive = 2;
	            	if (gdebug){print("DEBUG MissionActive = 2;");}
				}
		}
		case CHECKPOINT_DROPOFF:
		{
				if (gdebug){print("DEBUG CHECKPOINT_DROPOFF");}
				GetPlayerName(playerid, name, sizeof(name));
				GiveMoney(playerid, reward);
				preward = reward;
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				if ((gTeam[playerid]) >= 4)
				{
					format(string, sizeof(string), "~g~JOB COMPLETE~n~~w~Your cut was~n~~g~$%d", reward);
					GameTextForPlayer(playerid, string, 5000, 6);
					format(string, sizeof(string), "%s Just Cracked The CashBox For $%d.", name,reward);
					gSuperCop = INVALID_PLAYER_ID;
					SetPlayerCriminal(playerid,255, "Stealing The Cashbox",1,1);
					gPlayerMission[playerid] = 1;
				}
				else
				{
					format(string, sizeof(string), "~b~Cashbox RETURNED~n~~w~Bonus Paycheck~n~~g~$%d", reward);
					GameTextForPlayer(playerid, string, 5000, 6);
					format(string, sizeof(string), "%s Just Returned The Cashbox! Reward: For $%d.", name,reward);
					SetPlayerToTeamColor(playerid);
					gSuperCop = INVALID_PLAYER_ID;
					if(PlayerInfo[playerid][pCB] >= 4)
					{
						PlayerInfo[playerid][pExp]++;
						PlayerInfo[playerid][pCB] = 0;
						SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
					}
				}
				PlayerPlayMusic(playerid);
				BroadCast(COLOR_YELLOW, string);
				CheckpointReset();
				RaceCheckpointReset();
				MissionActive = 4;//srace
				if (gdebug){print("DEBUG MissionActive = 4;");}
	 	}
		case CHECKPOINT_CARDROP:
		{
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				GameTextForPlayer(playerid, "~w~Get out of the ~n~~y~Car", 5000, 1);
				MissionActive = 11;
				if (gdebug){print("DEBUG MissionActive = 11");}
		}
		case CHECKPOINT_HOME:
		{
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				DisablePlayerCheckpoint(playerid);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
                GameTextForPlayer(playerid, "~w~You are~n~~y~Home", 5000, 1);
		}
		case CHECKPOINT_DM:
		{
				gFightLeader++;
				gFighters++;
				gPlayerFighter[playerid] = 1;
				DisablePlayerCheckpoint(playerid);
				gTeam[playerid] = 4;
				SetPlayerToTeamColor(playerid);
				SetSpawnInfo(playerid, 1, PlayerInfo[playerid][pModel], gRandomDMSpawns[1][0], gRandomDMSpawns[1][1], gRandomDMSpawns[1][2], 1.0, -1, -1, -1, -1, -1, -1);
				if(gFighters >= 21)
				{
					gFighters = 2;
				}
				else
				{
					SetPlayerPos(playerid, gRandomDMSpawns[gFighters][0], gRandomDMSpawns[gFighters][1], gRandomDMSpawns[gFighters][2]); // Warp the player
				}
				if(dmweapon > 0)
				{
					ResetPlayerWeapons(playerid);
					GivePlayerWeapon(playerid, dmweapon, 999);
				}
				//SetPlayerWorldBounds(playerid,gDMWbounds[0],gDMWbounds[1],gDMWbounds[2],gDMWbounds[3]);
				SetPlayerFacingAngle(playerid, 270.0);
				SetPlayerInterior(playerid,0);
				PlayerInfo[playerid][pInt] = 0;
				TogglePlayerControllable(playerid, 0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
                format(string, sizeof(string), "~r~DeathMatch~n~~w~Waiting for more players");
				GameTextForPlayer(playerid, string, 5000, 3);
				MissionActive = 16;
				if (gFightLeader == 2)
				{
					SetTimer("DMDelay", racedelay, 0);
					format(string, sizeof(string), "SMS: %d Seconds To DeathMatch Start, Sender: MOLE (555)",racedelay/1000);
					RingTone[playerid] = 20;
					BroadCast(COLOR_YELLOW, string);
				}
				SetPlayerVirtualWorld(playerid,1);
		    }
       		case CHECKPOINT_BFPICKUP:
		    {
				if(GetPlayerState(playerid) != 1)
				{
					GameTextForPlayer(playerid, "~w~You must be~n~~r~on foot", 1000, 1);
					return 1;
				}
				if (gdebug){print("DEBUG CHECKPOINT_BFPICKUP");}
		  	    GetPlayerName(playerid, name, sizeof(name));
		  	    if (MissionActive == 13)
		  	    {
					RewardCalc(playerid,1000,10000);
					BFDropOff = random(sizeof(gBFdropoff));
				}
				if (gTeam[playerid] >= 3)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					CheckpointReset();
					PlayerFixRadio(playerid);
					TogglePlayerControllable(playerid, 0);
					SendClientMessage(playerid, COLOR_YELLOW, "INFORMER: The businessman left his case left at the bus stop");
					GameTextForPlayer(playerid, "~w~Now get to the~n~~r~Safehouse", 5000, 1);
					cwx = gBFdropoff[BFDropOff][0];
					cwy = gBFdropoff[BFDropOff][1];
					cwz = gBFdropoff[BFDropOff][2];
					SetAllPlayerCheckpoint(cwx, cwy, cwz, 1.0, 0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_BFDROPOFF;
					if (gdebug){printf("DEBUG gpcs %d",gPlayerCheckpointStatus[playerid]);}
					format(string, sizeof(string), "%s Has received the assignment of informator $%d.", name ,reward);
					BroadCast(COLOR_YELLOW, string);
					gSuperCop = playerid;
					SetPlayerCriminal(playerid,255, "Armed Robbery",0,0);
					Briefcasepickup=CreatePickup(1210,3,cwx,cwy,cwz);
					TogglePlayerControllable(playerid, 1);
					MissionActive = 14;
					if (gdebug){print("DEBUG MissionActive = 14;");}
				}
				else if ((gTeam[playerid]) == 2)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					CheckpointReset();
					PlayerFixRadio(playerid);
					TogglePlayerControllable(playerid, 0);
					SendClientMessage(playerid, COLOR_YELLOW, "Informer: The businessman left his case left at the bus stop");
					GameTextForPlayer(playerid, "~w~Take the Briefcase~n~at the ~r~Bus Stop", 5000, 1);
					cwx = rx;//retrieving the store
					cwy = ry;
					cwz = rz;
					SetAllPlayerCheckpoint(cwx, cwy, cwz, 1.0, 0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_BFDROPOFF;
					format(string, sizeof(string), "Officer %s Has Picked up the Briefcase Containing $%d.", name ,reward);
					BroadCast(COLOR_LIGHTBLUE, string);
	            	gSuperCop = playerid;
	            	Briefcasepickup=CreatePickup(1210,3,cwx,cwy,cwz);
	            	TogglePlayerControllable(playerid, 1);
	            	MissionActive = 14;
	            	if (gdebug){print("DEBUG MissionActive = 14;");}
				}
			}
      		case CHECKPOINT_BFDROPOFF:
		    {
				if (gdebug){print("DEBUG CHECKPOINT_BFDROPOFF");}
				GetPlayerName(playerid, name, sizeof(name));
				GiveMoney(playerid, reward);
				preward = reward;
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				if ((gTeam[playerid]) >= 4)
				{
					format(string, sizeof(string), "~g~JOB COMPLETE~n~~w~Your cut was~n~~g~$%d", reward);
					GameTextForPlayer(playerid, string, 5000, 6);
					format(string, sizeof(string), "%s Just Cracked The Briefcase for $%d.", name,reward);
					gSuperCop = INVALID_PLAYER_ID;
					SetPlayerCriminal(playerid,255, "Armed Robbery",1,1);
					gPlayerMission[playerid] = 5;
				}
				else
				{
					format(string, sizeof(string), "~b~BRIEFCASE RETURNED~n~~w~Bonus Paycheck~n~~g~$%d", reward);
					GameTextForPlayer(playerid, string, 5000, 4);
					format(string, sizeof(string), "%s Just Returned the Briefcase for $%d.", name,reward);
					SetPlayerToTeamColor(playerid);
					gSuperCop = INVALID_PLAYER_ID;
					if(PlayerInfo[playerid][pBF] >= 4)
					{
						PlayerInfo[playerid][pExp]++;
						PlayerInfo[playerid][pBF] = 0;
						SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
					}
				}
				PlayerPlayMusic(playerid);
				BroadCast(COLOR_YELLOW, string);
				CheckpointReset();
				MissionActive = 15;
				if (gdebug){print("DEBUG MissionActive = 15;");}
		    }
		case CHECKPOINT_NEWS:
		{
		    if (gdebug){print("DEBUG CHECKPOINT_NEWS");}
      		PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
			DisablePlayerCheckpoint(playerid);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
           	GameTextForPlayer(playerid, "~w~You are on the~n~~r~hot spot events.", 5000, 1);
		}
  		default:
	        {
				if ((gTeam[playerid]) != 2)
				{
					PlayerPlaySound(playerid, 1085, 0.0, 0.0, 0.0);
					format(string, sizeof(string), "~w~Defend This ~n~Position");
					GameTextForPlayer(playerid, string, 5000, 1);
					if (gdebug){print("DEBUG crims protect");}
			    }
				if ((gTeam[playerid]) == 2)
				{
					PlayerPlaySound(playerid, 1085, 0.0, 0.0, 0.0);
					format(string, sizeof(string), "~w~Patrol This Area~n~ For Suspects");
					GameTextForPlayer(playerid, string, 5000, 1);
					if (gdebug){print("DEBUG cops protect");}
			    }
	        }
	}
	return 1;
}

public RaceDebug(playerid)
{
	new string[256];
	format(string, sizeof(string), "gRaceFin(%d) gRaceMid(%d) gRaceMid2(%d) gRaceEnd(%d) gLaps(%d) RaceInfo[rLaps](%d) LapCount[playerid](%d)",gRaceFin,gRaceMid,gRaceMid2,gRaceEnd,gLaps,RaceInfo[rLaps],LapCount[playerid]);
	BroadCast(COLOR_WHITE, string);
}

public RaceEnd()
{
	CheckpointReset();
	RaceCheckpointReset();
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			StartTime[i] = 0;
			LapCount[i] = 0;
			LapTime[i] = 0;
		}
	}
	gRaceFin = 0;
	gRaceMid = 0;
	gRaceMid2 = 0;
	gRaceEnd = 0;
	gLaps = 0;
	BroadCast(COLOR_WHITE, "RACENEWS: ::: Race Over :::");
	MissionActive = 8;
	if (gdebug){print("DEBUG MissionActive = 8");}
}

public RaceDelay()
{
	if (gdebug >=1){printf("RaceDelay ");}
	new string[32];
	format(string, sizeof(string), "~r~Ready");
	new gdelay=1000;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if ((gPlayerCheckpointStatus[i] == CHECKPOINT_SRA) && gTeam[i] >= 3)
			{
				GameTextForPlayer(i, string, gdelay, 6);
				PlayerPlaySound(i, 1056, 0.0, 0.0, 0.0);
			}
		}
	}

		SetTimer("RaceDelayr", gdelay, 0);
		return 1;
}

public RaceDelayr()
{
if (gdebug >=1){printf("RaceDelayr");}
	new string[32];
	format(string, sizeof(string), "~y~Set");
	new hdelay=1000;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if ((gPlayerCheckpointStatus[i] == CHECKPOINT_SRA) && (gTeam[i] >= 3))
			{
				GameTextForPlayer(i, string, hdelay, 6);
				PlayerPlaySound(i, 1056, 0.0, 0.0, 0.0);
			}
		}
	}
		SetTimer("RaceDelayg", hdelay, 0);
		return 1;
}
public RaceDelayg()
{
if (gdebug >=1){printf("RaceDelayg");}
	new rdelay=1000;
	new string[32];
	format(string, sizeof(string), "~g~GO");
	gLaps = 0;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if (gTeam[i] >= 3)
			{
				if (gPlayerCheckpointStatus[i] == CHECKPOINT_SRA)
				{
					GameTextForPlayer(i, string, rdelay, 6);
					PlayerPlaySound(i, 1057, 0.0, 0.0, 0.0);
					SetPlayerRaceCheckpoint(i,0,rsx,rsy,rsz,rmx,rmy,rmz, 8.0);
					gPlayerCheckpointStatus[i] = CHECKPOINT_SRA;
				}
				else
				{
					DisablePlayerRaceCheckpoint(i);
					gPlayerCheckpointStatus[i] = CHECKPOINT_NONE;
				}
			}
		}
	}
		SetAllCopCheckpoint(rm2x,rm2y,rm2z, 8.0);
		MissionActive = 7;
		if (gdebug){print("DEBUG MissionActive = 7");}
		return 1;
}

public DMDelay()
{
	if (gdebug >=1){printf("DMDelay ");}
	new string[32];
	gFightLeader = 1000;
	format(string, sizeof(string), "~r~Ready");
	new gdelay=1000;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		DisablePlayerCheckpoint(i);
		if(IsPlayerConnected(i))
		{
			if (gPlayerFighter[i] == 1)
			{
				GameTextForPlayer(i, string, gdelay, 6);
				PlayerPlaySound(i, 1056, 0.0, 0.0, 0.0);
			}
		}
	}
		SetTimer("DMDelayr", gdelay, 0);
		return 1;
}
public DMDelayr()
{
if (gdebug >=1){printf("DMDelayr");}
	new string[32];
	format(string, sizeof(string), "~y~Set");
	new hdelay=1000;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if (gPlayerFighter[i] == 1)
			{
				GameTextForPlayer(i, string, hdelay, 6);
				PlayerPlaySound(i, 1056, 0.0, 0.0, 0.0);
			}
		}
	}
		SetTimer("DMDelayg", hdelay, 0);
		return 1;
}
public DMDelayg()
{
if (gdebug >=1){printf("DMDelayg");}
	new rdelay=1000;
	new string[32];
	format(string, sizeof(string), "~g~FIGHT");
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if (gPlayerFighter[i] == 1)
			{
				GameTextForPlayer(i, string, rdelay, 6);
				PlayerPlaySound(i, 1057, 0.0, 0.0, 0.0);
				TogglePlayerControllable(i, 1);
			}
		}
	}
	MissionActive = 17;
	if (gdebug){print("DEBUG MissionActive = 17");}
	return 1;
}

public DMDetect()
{
	if(gFightLeader == 1000)
	{
		dmtimer++;
		PlayerInArena();
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1 && gPlayerFighter[i] == 1)
			{
				if(dmtime-dmtimer == 60)
				{
					GameTextForPlayer(i, "~r~DM: One Minuite Remaining", 5000, 1);
				}
			}
		}
		if(dmtimer == dmtime)
		{
			new ename[MAX_PLAYER_NAME];
			new string[256];
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1 && gPlayerFighter[i] == 1 || IsPlayerConnected(i) == 1 && TVMode[i]>11 && TVMode[i]<20)
				{
					if(TVMode[i]>11 && TVMode[i]<20)
					{
						TVMode[i] = 0;
						Spectate[i] = 300;
					}
					TogglePlayerControllable(i, 0);
					if(IsPlayerConnected(DmHiPlayer) == 1)
					{
						GetPlayerPos(DmHiPlayer, DmeCam[0], DmeCam[1], DmeCam[2]);
						DmeCam[3] = DmeCam[0];
						DmeCam[4] = DmeCam[1]+2;
						DmeCam[5] = DmeCam[2]+0.2;
						DmeCam[2] = DmeCam[2]+0.6;
						SetPlayerFacingAngle(DmHiPlayer, 0.0);
						RewardCalc(DmHiPlayer,1000,10000);
						GetPlayerName(DmHiPlayer, ename, sizeof(ename));
						format(string, sizeof(string), "~r~DeathMatch Over~n~~b~Winner~n~~w~%s~n~kills:%d~n~~g~Prize:$%d", ename,DmHiScore, reward);
					}
					else
					{
						format(string, sizeof(string), "~r~DeathMatch Over~n~~b~No Winner");
						DmeCam[0] = gRandomDMSpawns[1][0];
						DmeCam[1] = gRandomDMSpawns[1][1];
						DmeCam[2] = gRandomDMSpawns[1][2];
						DmeCam[3] = DmeCam[0];
						DmeCam[4] = DmeCam[1];
						DmeCam[5] =DmeCam[2]+30;
					}
					DMEndCam(i,string);
				}
			}
		}
		if(dmtimer == dmtime+10)
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					if(Spectate[i] == 300)
					{
						Spectate[i] = 253;
					}
					if(gPlayerFighter[i] == 1)
					{
						if(PlayerInfo[i][pTeam] != 3)
						{
							gTeam[i] = PlayerInfo[i][pTeam];
							SetPlayerToTeamColor(i);
						}
						gPlayerFighter[i] = 0;
						DmScore[i] = 0;
						TogglePlayerControllable(i, 1);
						SpawnPlayer(i);
						SetPlayerRandomSpawn(i);
					}
				}
			}
		}
		if(dmtimer == dmtime+11)
		{
			if(IsPlayerConnected(DmHiPlayer) == 1)
			{
				new ename[MAX_PLAYER_NAME];
				new string[256];
				PlayerPlaySound(DmHiPlayer, 1058, 0.0, 0.0, 0.0);
				GetPlayerName(DmHiPlayer, ename, sizeof(ename));
				GiveMoney(DmHiPlayer, reward);
				format(string, sizeof(string), "~g~JOB COMPLETE~n~~w~Your cut was~n~~g~$%d", reward);
				PlayerPlayMusic(DmHiPlayer);
				GameTextForPlayer(DmHiPlayer, string, 5000, 6);
				format(string, sizeof(string), "%s Won A Deathmatch With A Total Of %d Kills For $%d", ename,DmHiScore, reward);
				BroadCast(COLOR_YELLOW, string);
				PlayerInfo[DmHiPlayer][pTmpRank] = PlayerInfo[DmHiPlayer][pTmpRank]+750;
				//SetPlayerPos(DmHiPlayer,gRandomDMSpawns[0][0],gRandomDMSpawns[0][1],gRandomDMSpawns[0][2]);
				if(PlayerInfo[DmHiPlayer][pTeam] != 1 && PlayerInfo[DmHiPlayer][pTeam] != 2)
				{
					SetPlayerCriminal(DmHiPlayer,255, "Mass Murder",1,1);
					gPlayerMission[DmHiPlayer] = 4;
				}
				else
				{
					PlayerInfo[DmHiPlayer][pWA] = PlayerInfo[DmHiPlayer][pWA]+5;
					if(PlayerInfo[DmHiPlayer][pWA] >= 20)
					{
						PlayerInfo[DmHiPlayer][pExp]++;
						PlayerInfo[DmHiPlayer][pWA] = PlayerInfo[DmHiPlayer][pWA]-20;
						SendClientMessage(DmHiPlayer, COLOR_YELLOW, "You are getting stronger Exp +1");
					}
				}
				BetWinner(DmHiPlayer,2);
			}
			gFighters = 0;
			gFightLeader = 0;
			MissionActive = 0;
			if (gdebug){print("DEBUG MissionActive = 0");}
			DmHiScore = 0;
			DmHiPlayer = INVALID_PLAYER_ID;
			dmtimer = 0;
		}
	}
}

public DMEndCam(playerid,string[])
{
	GameTextForPlayer(playerid, string, 5000, 6);
	SetPlayerCameraPos(playerid,DmeCam[3], DmeCam[4], DmeCam[5]);
	SetPlayerCameraLookAt(playerid,DmeCam[0], DmeCam[1], DmeCam[2]);
}

public DMScoreCalc()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && gPlayerFighter[i] == 1)
		{
			if(gPlayerFighter[i] == 1)
			{
				new tmp1 = DmScore[i];
				if(tmp1 > DmHiScore)
				{
					DmHiScore = tmp1;
					DmHiPlayer = i;
				}
			}
		}
	}
	return 1;
}


public OnPlayerDropCashBox(playerid)
{
if (gdebug >=1){printf("OnPlayerDropCashBox %d",playerid);}
	new string[128];
	new dname[MAX_PLAYER_NAME];
	GetPlayerName(playerid, dname, sizeof(dname));
	format(string, sizeof(string), ".: %s Dropped The Cashbox! :.", dname);
	BroadCast(COLOR_RED, string);
	GetPlayerPos(playerid, cwx, cwy, cwz);
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if (IsPlayerConnected(i))
		{
				SetPlayerCheckpoint(i,cwx,cwy,cwz, 1.0);
				gPlayerCheckpointStatus[i] = CHECKPOINT_PICKUP;
		}
	}
	MissionActive = 3;
	if (gdebug){print("DEBUG MissionActive = 3;");}
	return 1;
}

public RewardCalc(playerid,min,max)
{
	reward = (min + (random(max-min)) + ((numplayers + PlayerInfo[playerid][pLevel]) *1000)); //minimum 1000 max 10000 + activeplayers x 1000
	printf("DEBUG RewardCalc = (Random(min=%d)(max=%d))(numplayers=%d)(PlayerInfo[playerid][pLevel]=%d) Total =%d",min,max,numplayers,PlayerInfo[playerid][pLevel],reward);
}

public CheckpointReset()
{
	if (gdebug >= 1){printf("DEBUG CheckpointReset()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			DisablePlayerCheckpoint(i);
			gPlayerLapStatus[i] = 0;
			gPlayerCheckpointStatus[i] = CHECKPOINT_NONE;
		}
	}

}

public JobGive(playerid)
{
	if (gdebug >= 1){printf("DEBUG JobGive (%d)",playerid);}
	if(MissionActive == 1)
	{
		SendClientMessage(playerid, COLOR_YELLOW, objstore);
		SetPlayerCheckpoint(playerid,cwx, cwy, cwz, 1.4);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_PICKUP;
		RingTone[playerid] = 20;
		SendClientMessage(playerid, COLOR_WHITE, "HINT: Go To The Red Marker And Steal The CashBox.");
		GameTextForPlayer(playerid, "~w~Waypoint set ~n~~r~CashBox", 5000, 1);
		return 1;
	}
	if(MissionActive == 5)
	{
		format(objstore, sizeof(objstore), "SMS: StreetRace Starting Soon At The Red Marker, Sender: MOLE (555)");
		SendClientMessage(playerid, COLOR_YELLOW, objstore);
		RingTone[playerid] = 20;
		SetPlayerRaceCheckpoint(playerid,0,rsx,rsy,rsz, rmx,rmy,rmz, 8.0);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_SR1START;
		SendClientMessage(playerid, COLOR_WHITE, "HINT: Go To The Red Marker And Wait For The Race To Start.");
		GameTextForPlayer(playerid, "~w~Waypoint set ~n~~r~StreetRace", 5000, 1);
		return 1;
	}
	if(MissionActive == 9)
	{
	    SendClientMessage(playerid, COLOR_YELLOW, objstore);
		RingTone[playerid] = 20;
		SetVehicleParamsForPlayerEx(stealcar,playerid,1,0);
		SendClientMessage(playerid, COLOR_WHITE, "HINT: Go To The Yellow Marker And Steal The Car.");
		GameTextForPlayer(playerid, "~w~Waypoint set ~n~~y~The Car", 5000, 1);
		return 1;
	}
 	if(MissionActive == 13)
	{
	    SendClientMessage(playerid, COLOR_YELLOW, objstore);
	    RingTone[playerid] = 20;
		SetPlayerCheckpoint(playerid,cwx, cwy, cwz, 1.0);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_BFPICKUP;
		RingTone[playerid] = 20;
		SendClientMessage(playerid, COLOR_WHITE, "HINT: Go steal the Briefcase at the red mark.");
	 	GameTextForPlayer(playerid, "~w~Steal the~n~~r~Briefcase", 5000, 1);
		return 1;
	}
	else
	{
		SendClientMessage(playerid, COLOR_YELLOW, "SMS: I Got Nothing Right Now, Sender: MOLE (555)");
		RingTone[playerid] = 20;
	}
	return 1;
}


public SetAllPlayerCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi, num)
{
	if (gdebug >= 1){printf("DEBUG SetAllPlayerCheckpoint()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			SetPlayerCheckpoint(i,allx,ally,allz, radi);
			if (num != 255)
			{
				gPlayerCheckpointStatus[i] = num;
			}
		}
	}

}

public SetAllCopCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi)
{
	if (gdebug >= 1){printf("DEBUG SetAllCopCheckpoint()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(gTeam[i] == 2)
			{
				SetPlayerCheckpoint(i,allx,ally,allz, radi);
			}
		}
	}
	return 1;
}

public OnPlayerStateChange(playerid, newstate, oldstate)
{
if (gdebug >=1){printf("OnPlayerStateChange %d %d %d",playerid, newstate, oldstate);}
	if((newstate == 2 || newstate == 3) && nocarcash)
	{
		if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_DROPOFF)
		{
			if (gdebug){print("DEBUG test6");}
			DisablePlayerCheckpoint(playerid);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			new check = gPlayerCheckpointStatus[playerid];
			if (gdebug){printf("DEBUG check %d" ,check);}
			OnPlayerDropCashBox(playerid);
		}
	}
	if(newstate == PLAYER_STATE_ONFOOT)
	{
        if(IsPlayerPassenger[playerid] == 1)
	    {
	    	IsPlayerPassenger[playerid] = 0;
        }
        else
        {
        DistroyFuel(playerid);
        }
		TelePos[playerid][0] = 0.0;
		TelePos[playerid][1] = 0.0;
		if(gTeam[playerid] >= 4 && LapCount[playerid] > 0)
		{
			new count;
			new string[256];
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gTeam[i] == 2 && CrimInRange(50.0, playerid,i))
				{
					count = 1;
					format(string, sizeof(string), "~p~Racer ~w~Jailed~n~Bonus Paycheck ~n~~g~$%d", 10000);
					GameTextForPlayer(i, string, 5000, 1);
					GiveMoney(i, 10000);
					PlayerPlaySound(i, 1058, 0.0, 0.0, 0.0);
					PlayerInfo[i][pWA] = PlayerInfo[i][pWA]+2;
					if(PlayerInfo[i][pWA] >= 20)
					{
						PlayerInfo[i][pExp]++;
						PlayerInfo[i][pWA] = 0;
						SendClientMessage(i, COLOR_YELLOW, "You are getting stronger Exp +1");
					}
				}
			}
			if(count == 1)
			{
				new name [MAX_PLAYER_NAME];
				GetPlayerName(playerid, name, sizeof(name));
				format(string, sizeof(string), "RACENEWS: %s Has Been Busted By The Cops.", name);
				BroadCast(COLOR_WHITE, string);
				SetPlayerInterior(playerid,6);
				LapCount[playerid] = 0;
				PlayerInfo[playerid][pInt] = 6;
				SetPlayerPos(playerid,264.395200,77.564040,1001.039000);
				SendClientMessage(playerid, COLOR_GRAD1,"   You have been jailed for street racing (type /time).");
				PlayJailSound(1153 , 1154, 2000,264.395200, 77.564040, 1001.039000);
				JailTime[playerid] = 60;
			}
		}
  	    if (gTaxiDriver[playerid] == 1)
		{
		    GameTextForPlayer(playerid,"~w~You have ~r~10 sec ~n~~w~ to enter a ~r~TAXI",3000,4);
		    gTaxiRefuse[playerid] = SetTimerEx("RefuseMiniJob",10000,0,"%d",playerid);
		}
		if (gTaxiPas[playerid] != 0)
		{
		    new string[256];
			new name[MAX_PLAYER_NAME];
			new taxista = gTaxiOwner[playerid];
			new payment = gTaxiPrice[playerid];
			GetPlayerName(taxista, name, sizeof(name));
			format(string, sizeof(string),"~w~You pay to ~g~%s ~n~~r~$%d~w~ for the ~r~taxi ~w~ride", name,payment);
			GameTextForPlayer(playerid, string, 3000, 4);
			format(string, sizeof(string),"~w~You get ~r~$%d~w~ ~n~for the ~r~taxi~w~ ride", payment);
			GameTextForPlayer(taxista, string, 3000, 4);
			GiveMoney(playerid,-payment);
			GiveMoney(taxista, payment);
			gTaxiPas[playerid] = 0;
			gTaxiLoad[playerid]--;
			gTaxiOwner[playerid] = -1;
			gTaxiTravel[playerid] = 0;
		}
	}
 	if (newstate == PLAYER_STATE_PASSENGER)
	{
        new nstring[256];
		new newcar = GetPlayerVehicleID(playerid);
		IsPlayerPassenger[playerid] = 1;
		if (newcar >= 244 && newcar <= 253)
		{
			for (new i = 0; i < MAX_PLAYERS; i++)
			{
				if ((gTaxiDriver[i] == 1) && (GetPlayerState(i) == PLAYER_STATE_DRIVER))
				{
					if 	(GetPlayerVehicleID(i) == GetPlayerVehicleID(playerid))
					{
		    				new name[MAX_PLAYER_NAME];
							GetPlayerName(i, name, sizeof(name));
							format(nstring, sizeof(nstring),"~w~You have gotten into ~n~~g~%s's ~r~TAXI~w~",name);
							GameTextForPlayer(playerid, nstring, 3000, 4);
							format(nstring, sizeof(nstring),"~w~You got a new~n~~r~passenger");
							GameTextForPlayer(i, nstring, 3000, 4);
							gTaxiPrice[playerid] = BONUS_TAXI_COAST;
							gTaxiOwner[playerid] = i;
							gTaxiLoad[i]++;
							gTaxiTravel[playerid] = 0;
							gTaxiPas[playerid] = 1;
							i = MAX_PLAYERS;
					}
				}
			}
		}
	}
 	if (newstate == PLAYER_STATE_DRIVER) //buggy dont finnish
	{
        new nstring[256];
		new newcar = GetPlayerVehicleID(playerid);
		new oldcar = gLastCar[playerid];
		new housecar = PlayerInfo[playerid][pPhousekey]+1;
        format(nstring, sizeof(nstring), "%s",VehicleName[GetVehicleModel(newcar)-400]);
	    GameTextForPlayer(playerid,nstring,2500,1);
		TelePos[playerid][0] = 0.0;
		TelePos[playerid][1] = 0.0;
		if (gdebug >=1){printf("oldcar %d, newcar %d",oldcar,newcar);}
      	if(IsAFuelTruck(newcar))
 		{
			new string[256];
   			format(string, sizeof(string), "Fuel Components: %d/%d", PlayerHaul[newcar][pLoad],PlayerHaul[newcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
			SendClientMessage(playerid, COLOR_WHITE, "INFO: You can deliver components to business");
			SendClientMessage(playerid, COLOR_WHITE, "INFO: Commands are /load /buycomp /sellcomp /bestsale");
		}
		if(IsATruck(newcar))
		{
			new string[256];
   			format(string, sizeof(string), "Components: %d/%d", PlayerHaul[newcar][pLoad],PlayerHaul[newcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
			SendClientMessage(playerid, COLOR_WHITE, "INFO: You can deliver components to business");
			SendClientMessage(playerid, COLOR_WHITE, "INFO: Commands are /load /buycomp /sellcomp /bestsale");
		}
  		if(IsANewsTruck(newcar))
		{
			new string[256];
   			format(string, sizeof(string), "Videotapes: %d/%d", PlayerHaul[newcar][pLoad],PlayerHaul[newcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
			SendClientMessage(playerid, COLOR_WHITE, "INFO: You can record events and incident");
			SendClientMessage(playerid, COLOR_WHITE, "INFO: Commands are /remain /buytape /tv incedent /hotspot");
			SendClientMessage(playerid, COLOR_WHITE, "INFO: If you're in the area of the incident, the record will be automatically");
		}
		if(newcar >= 192 && newcar <= 209)
		{
			if (HireCar[playerid] != newcar)
			{
				new string[128];
				if (GetPlayerVehicleID(playerid) >= 192 && GetPlayerVehicleID(playerid) <= 194)
				{
					if(PlayerInfo[playerid][pPbiskey] == 9)
					{
	                    ShowMenuForPlayer(RentCarC, playerid);
					}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[9][bEntcost]);
				}
				if (GetPlayerVehicleID(playerid) >= 195 && GetPlayerVehicleID(playerid) <= 197)
				{
					if(PlayerInfo[playerid][pPbiskey] == 8)
					{
	                    ShowMenuForPlayer(RentCarC, playerid);
					}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[8][bEntcost]);
				}
				if(GetPlayerVehicleID(playerid) >= 198 && GetPlayerVehicleID(playerid) <= 200)
				{
					if(PlayerInfo[playerid][pPbiskey] == 22)
					{
                    	ShowMenuForPlayer(RentCarC, playerid);
		        	}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[22][bEntcost]);
                }
				if(GetPlayerVehicleID(playerid) >= 201 && GetPlayerVehicleID(playerid) <= 203)
				{
					if(PlayerInfo[playerid][pPbiskey] == 23)
					{
                    	ShowMenuForPlayer(RentCarC, playerid);
		        	}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[23][bEntcost]);
                }
                if(GetPlayerVehicleID(playerid) >= 204 && GetPlayerVehicleID(playerid) <= 206)
				{
					if(PlayerInfo[playerid][pPbiskey] == 37)
					{
                    	ShowMenuForPlayer(RentCarC, playerid);
		        	}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[37][bEntcost]);
                }
             	if(GetPlayerVehicleID(playerid) >= 207 && GetPlayerVehicleID(playerid) <= 209)
				{
					if(PlayerInfo[playerid][pPbiskey] == 36)
					{
                    	ShowMenuForPlayer(RentCarC, playerid);
		        	}
					else
					{
						ShowMenuForPlayer(RentCarB, playerid);
					}
					format(string, sizeof(string), "~w~You can Rent this car~n~Cost:~g~$%d",BizzInfo[36][bEntcost]);
                }
				TogglePlayerControllable(playerid,0);
				GameTextForPlayer(playerid, string, 5000, 3);
			}

		}
  	    if (newcar >= 244 && newcar <= 253)
	    {
	        if 	(gTaxiRefuse[playerid] == -1)
	        {
				GameTextForPlayer(playerid,"~w~Press ~b~~k~~TOGGLE_SUBMISSIONS~~n~~w~to start a~n~~r~taxi ~w~driver",3000,5);
			}
			else
			{
			    KillTimer(gTaxiRefuse[playerid]);
			    gTaxiRefuse[playerid] = -1;
			}
		}
  		if((newstate == 2 || newstate == 3) && (MissionActive >= 13)  && nocarcash)
	     {
		   if (gPlayerCheckpointStatus[playerid] == CHECKPOINT_BFDROPOFF)
		    {
			if (gdebug){print("DEBUG test7");}
			DisablePlayerCheckpoint(playerid);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			new check = gPlayerCheckpointStatus[playerid];
			if (gdebug){printf("DEBUG check %d" ,check);}
			OnPlayerDropBriefCase(playerid);
			}
		}
		if(oldcar != 301)
		{
			if((housecar != oldcar && oldcar != 0) && (HireCar[playerid] != oldcar && newcar != housecar))
			{
				if(gLastDriver[oldcar] == playerid && oldcar != newcar)
				{
					gLastDriver[oldcar] = 300;
					gCarLock[oldcar] = 0;
					UnLockCar(oldcar);
				}
			}
		}
		if(gTeamCarLock[newcar] == 1)
		{
			gTeamCarLock[newcar] = 0;
			UnLockCar(newcar);
		}
		gLastCar[playerid] = newcar;
		if (gdebug >=1){printf("gLastCar[playerid](%d)",gLastCar[playerid]);}
		gLastDriver[newcar] = playerid;
		if ((newcar == stealcar) && (MissionActive == 9))
		{
			RewardCalc(playerid,1000,10000);
		}
		if((newcar == stealcar) && (MissionActive >= 9))
		{
			if (gdebug){print("DEBUG TEST3");}
			if (gTeam[playerid] >= 3 && MissionActive >= 9)
			{
				if (gdebug){print("DEBUG TEST4");}
				new name[MAX_PLAYER_NAME];
				new string[256];
				GetPlayerName(playerid, name, sizeof(name));
				GetVehiclePos(stealcardest, cwx, cwy, cwz);
				GameTextForPlayer(playerid, "~w~Now get the ~y~Car~n~~w~to the ~r~Buyer", 5000, 1);
				format(string, sizeof(string), "%s Has Stolen A Car Worth $%d", name,reward);
				BroadCast(COLOR_YELLOW, string);
				SetAllPlayerCheckpoint(cwx, cwy, cwz, 16.0, 0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_CARDROP;
				MissionActive = 10;
				if (gdebug){print("DEBUG MissionActive = 10;");}
				if (gTeam[playerid] == 3)
				{
					SetPlayerCriminal(playerid,255, "Grand Theft Auto",0,0);
				}
				gSuperCop = playerid;
				OpenDoors();
			}
			if (gTeam[playerid] == 2 && MissionActive >= 10)
			{
				if (gdebug){print("DEBUG TEST6");}
				new name[MAX_PLAYER_NAME];
				new string[256];
				GetPlayerName(playerid, name, sizeof(name));
				cwx = 1539.1;
				cwy = -1668.0;
				cwz = 5.8;
				GameTextForPlayer(playerid, "~w~Return the ~y~car ~n~~w~to the ~r~Pound", 5000, 1);
				format(string, sizeof(string), "Officer %s Has Seized A Stolen Car Worth $%d", name,reward);
				BroadCast(COLOR_YELLOW, string);
				SetAllPlayerCheckpoint(cwx, cwy, cwz, 16.0, 0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_CARDROP;
				gSuperCop = playerid;
				MissionActive = 10;
				if (gdebug){print("DEBUG MissionActive = 10;");}
			}
		}
	}
	if(newstate == PLAYER_STATE_SPAWNED)
	{
		new Float: lwx, Float:lwy, Float:lwz;
		GetPlayerPos(playerid, lwx, lwy, lwz);
		if (gdebug >=1){printf("z =%f int =%d",lwz,PlayerInfo[playerid][pInt]);}
		if((lwz > 530.0 && PlayerInfo[playerid][pInt] == 0) || PlayerToPoint(1000.0, playerid, -1041.9,-1868.4,79.1)) //the highest land point in sa = 526.8
		{
			SetPlayerRandomSpawn(playerid);
			print("overhight or ob");
		}
		//SetPlayerInterior(playerid,0);
		if(dmweapon > 0 && gPlayerFighter[playerid] != 0)
		{
			GivePlayerWeapon(playerid, dmweapon, 999);
			if(PlayerInfo[playerid][pSHealth] < 50.0)
			{
				SetPlayerHealth(playerid, 100.0);
			}
			else
			{
				SetPlayerHealth(playerid, 50.0+PlayerInfo[playerid][pSHealth]);
			}
		}
		else
		{
			SetPlayerWeapons(playerid);
			SetPlayerHealth(playerid, 50.0+PlayerInfo[playerid][pSHealth]);
			SetPlayerArmour(playerid, PlayerInfo[playerid][pSArmour]);
		}
		TelePos[playerid][0] = 0.0;
		TelePos[playerid][1] = 0.0;
		//gPlayerSpawned[playerid] = 1;
		SafeTime[playerid] = 60;
		//OnClientUpdate(playerid); //spawnsave
	}
	return 1;
}

public HireCost(carid)
{
	switch (carid)
	{
		case 192:
		{
			return 100000;
		}
  		case 193:
		{
			return 100000;
		}
  		case 194:
		{
			return 100000;
		}
  		case 195:
		{
			return 100000;
		}
  		case 196:
		{
			return 100000;
		}
  		case 197:
		{
			return 100000;
		}
		case 198:
		{
			return 100000;
		}
 		case 199:
		{
			return 100000;
		}
		case 200:
		{
			return 100000;
		}
		case 201:
		{
			return 100000;
		}
		case 202:
		{
			return 100000;
		}
   		case 203:
		{
			return 100000;
		}
		case 204:
		{
			return 100000;
		}
		case 205:
		{
			return 100000;
		}
		case 206:
		{
			return 100000;
		}
		case 207:
		{
			return 100000;
		}
		case 208:
		{
			return 100000;
		}
  		case 209:
		{
			return 100000;
		}
	}
	return 0;
}

public CarCheck()
{
	if (gdebug >= 3){printf("DEBUG CarCheck()");}
	//new foundowner = -1;
	//for(new c = 1; c < 254; c++)
	for(new c = 1; c < MAX_VEHICLES; c++)
	{
		/*
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				if(HireCar[i] == c && foundowner == -1)
				{
					foundowner = i;
				}
			}
		}
		if(foundowner == -1 && c > 34 && gCarLock[c] == 1)
		{
			gCarLock[c] = 0;
			UnLockCar(c);
		}
		*/
   		new modelid = GetVehicleModel(c);
		if (modelid > 399 &&  modelid < 612)
		{
			if (gLastDriver[c] == 301)
			{
				CarRespawn(c);
			}
			if (gLastDriver[c] >= 300)
			{
				gLastDriver[c]++;
			}
		}
		//foundowner = -1;
	}
	return 1;
}

public CarInit()
{
	if (gdebug >= 3){printf("DEBUG CarCheck()");}
	//for(new c = 1; c < 254; c++)
	new count = 0;
	for(new c = 1; c < MAX_VEHICLES; c++)
	{
   		new modelid = GetVehicleModel(c);
		if (modelid > 399 &&  modelid < 612)
		{
	 		gLastDriver[c] = 299;
			gTeamCarLock[c] = 0;
			//gCarLock[c] = 0;
			count++;
		}
	}
	gLastDriver[count+1] = 255;
	return 1;
}

public CarTow(carid)
{
	if (gdebug >= 1){printf("DEBUG CarRespawn(%d)",carid);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(IsPlayerInVehicle(i, carid) || HireCar[i] == carid)
			{
				gLastDriver[carid] = 255;
				return 0;
			}
		}
	}
	// 		CreateVehicle(HouseInfo[h][hVec], HouseCarSpawns[h][0], HouseCarSpawns[h][1], HouseCarSpawns[h][2], HouseCarSpawns[h][3], HouseInfo[h][hVcol1], HouseInfo[h][hVcol2], -1);
	// 				SetVehiclePos(plo,plocx,plocy+4, plocz);
	SetVehiclePos(carid,HouseCarSpawns[carid-1][0], HouseCarSpawns[carid-1][1], HouseCarSpawns[carid-1][2]);
	SetVehicleZAngle(carid, HouseCarSpawns[carid-1][3]);
	return 1;
}

public CarRespawn(carid)
{
	if (gdebug >= 1){printf("DEBUG CarRespawn(%d)",carid);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(IsPlayerInVehicle(i, carid) || HireCar[i] == carid)
			{
				gLastDriver[carid] = 255;
				return 0;
			}
		}
	}
	SetVehicleToRespawn(carid);
	gLastDriver[carid] = 299;
	TeamLockReset(carid);
	return 1;
}

public LockCar(carid)
{
	if (gdebug >= 1){printf("DEBUG LockCar(%d)",carid);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(stealcar == carid)
			{
				SetVehicleParamsForPlayerEx(carid,i,1,1);
			}
			else
			{
				SetVehicleParamsForPlayerEx(carid,i,0,1);
			}
		}
	}
}

public UnLockCar(carid)
{
	if (gdebug >= 1){printf("DEBUG UnLockCar(%d)",carid);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(stealcar == carid)
			{
				SetVehicleParamsForPlayerEx(carid,i,1,0);
			}
			else
			{
				if(!IsAPlane(carid))
				{
					SetVehicleParamsForPlayerEx(carid,i,0,0);
				}
			}
		}
	}
}

public OpenDoors()
{
	if (gdebug >= 1){printf("DEBUG OpenDoors()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			SetVehicleParamsForPlayerEx(stealcar,i,1,0);
		}
	}
}

public TeamCarLockInit()
{
	if (gdebug >= 1){printf("DEBUG TeamCarLockInit()");}
	for(new c = 0; c <= 200; c++)
	{
		if ((c >= 23) && (c <= 48))
		{
			gTeamCarLock[c] = 2;
		}
		if ((c >= 49) && (c <= 51))
		{
			gTeamCarLock[c] = 4;
		}
		if ((c >= 52) && (c <= 200))
		{
			gTeamCarLock[c] = 1;
		}
			gCarLock[c] = 0;
	}
	return 1;
}

public TeamLockReset(carid)
{
	if (gdebug >= 3){printf("DEBUG TeamLockReset(carid)",carid);}
	if (!teamcarlock)
	{
		return 0;
	}
	//DebugPrint("TeamLockReset()",0,0,1);
	if ((carid >= 23) && (carid <= 48))
	{
		gTeamCarLock[carid] = 2;
	}
	if ((carid >= 49) && (carid <= 51))
	{
		gTeamCarLock[carid] = 4;
	}
	if ((carid >= 52) && (carid <= 200))
	{
		gTeamCarLock[carid] = 1;
	}
	gCarLock[carid] = 0;
	return 1;
}

public InitLockDoors(playerid)
{
	if (gdebug >= 1){printf("DEBUG1 InitLockDoors(%d)",playerid);}
	new c;
	while (c < MAX_VEHICLES)
	{
		c++;
  		new modelid = GetVehicleModel(c);
		if (modelid > 399 &&  modelid < 612)
		{
			if (gCarLock[c] == 1)
			{
				if (gdebug >= 1){printf("DEBUG3 InitLockDoors(%d)car(%d)",playerid,c);}
				SetVehicleParamsForPlayerEx(c,playerid,0,1);
			}
		}
	}
	if(PLicence[playerid] != 1)
	{
		SetVehicleParamsForPlayerEx(186,playerid,0,1);
		SetVehicleParamsForPlayerEx(187,playerid,0,1);
		SetVehicleParamsForPlayerEx(188,playerid,0,1);
		SetVehicleParamsForPlayerEx(189,playerid,0,1);
		SetVehicleParamsForPlayerEx(190,playerid,0,1);
		SetVehicleParamsForPlayerEx(191,playerid,0,1);
	}
	return 1;
}

public TeamLockDoors(playerid)
{
	if (gdebug >= 1){printf("DEBUG TeamLockDoors(%d)",playerid);}
	new c = 0;
	while (c <= 200)
	{
		c++;
		if (gCarLock[c] == 1)
		{
			SetVehicleParamsForPlayerEx(c,playerid,0,1);
		}
		if (gTeamCarLock[c] == 1)
		{
			if(gTeam[playerid] != 1 && gTeam[playerid] != 3)
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,1);
			}
			else
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,0);
			}
		}
		if (gTeamCarLock[c] == 2)
		{
			if(gTeam[playerid] != 2)
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,1);
			}
			else
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,0);
			}
		}
		if (gTeamCarLock[c] == 4)
		{
			if(gTeam[playerid] != 4)
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,1);
			}
			else
			{
				SetVehicleParamsForPlayerEx(c,playerid,0,0);
			}
		}
		if (gTeamCarLock[c] == 0)
		{
				SetVehicleParamsForPlayerEx(c,playerid,0,0);
		}
	}
	return 1;
}

public DebugPrint(string[],value1,value2,type)
{
	new formated[256];
	if (gdebug >= 2 && type == 1)
	{
		format(formated, sizeof(formated), "Debug:(%d) %s: %d",value1,string,value2);
		printf("%s",formated);
		SendClientMessageToAll(COLOR_WHITE, formated);
	}
	return 1;
}


public OnPlayerExitVehicle(playerid, vehicleid)
{
	if (gdebug >= 1){printf("DEBUG OnPlayerExitVehicle(%d, %d)", playerid, vehicleid);}
	if (GetPlayerState(playerid) == 1)
	{
		return 1;
	}
	new string[256];
	new ename[MAX_PLAYER_NAME];
	if (vehicleid == stealcar && (MissionActive == 10 || MissionActive == 101))
	{
		GameTextForPlayer(playerid, "~w~Get back in the ~n~~r~Car", 5000, 1);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				SetVehicleParamsForPlayerEx(stealcar,i,1,0);
			}
		}
		if (playerid == gSuperCop)
		{
			gSuperCop = 255;
		}
		CheckpointReset();
		MissionActive = 101;
		if (gdebug){print("DEBUG MissionActive = 101");}
	}
	else if (gTeam[playerid] >= 4 && vehicleid == stealcar && MissionActive == 11 && gSuperCop == playerid)
	{
		if (gdebug){print("DEBUG CHECKPOINT_CARDROP");}
		PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
		GetPlayerName(playerid, ename, sizeof(ename));
		GiveMoney(playerid, reward);
		preward = reward;
		format(string, sizeof(string), "~g~CAR DELIVERED~n~~w~Your were paid ~n~~g~$%d", reward);
		PlayerPlayMusic(playerid);
		GameTextForPlayer(playerid, string, 5000, 6);
		format(string, sizeof(string), "%s Just Sold A Hot Car For $%d.", ename,reward);
		BroadCast(COLOR_YELLOW, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				SetVehicleParamsForPlayerEx(stealcar,i,0,0);
			}
		}
		if (playerid != gPublicEnemy)
		{
			gPlayerMission[playerid] = 3;
			SetPlayerCriminal(playerid,255, "Grand Theft Auto",1,1);
		}
		CheckpointReset();
		SetVehicleToRespawn(stealcar);
		stealcar = -1;
		MissionActive = 12;
		if (gdebug){print("DEBUG MissionActive = 12");}
	}
	else if (gTeam[playerid] == 2 && vehicleid == stealcar && MissionActive == 11 && gSuperCop == playerid)
	{
		if (gdebug){print("DEBUG CHECKPOINT_CARDROP");}
		PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
		GetPlayerName(playerid, ename, sizeof(ename));
		GiveMoney(playerid, reward);
		PlayerInfo[playerid][pHW]++;
		if(PlayerInfo[playerid][pHW] >= 3)
		{
			PlayerInfo[playerid][pExp]++;
			PlayerInfo[playerid][pHW] = 0;
			SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
		}
		format(string, sizeof(string), "~g~CAR RETURNED~n~~w~Bonus Paycheck ~n~~g~$%d", reward);
		PlayerPlayMusic(playerid);
		GameTextForPlayer(playerid, string, 5000, 6);
		format(string, sizeof(string), "Officer %s Just Returned A Stolen Car For $%d.", ename,reward);
		BroadCast(COLOR_YELLOW, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i))
			{
				SetVehicleParamsForPlayerEx(stealcar,i,0,0);
			}
		}
		CheckpointReset();
		SetVehicleToRespawn(stealcar);
		stealcar = -1;
		MissionActive = 12;
		if (gdebug){print("DEBUG MissionActive = 12");}
	}
	return 1;
}

public OnPlayerRequestClass(playerid, classid)
{
	new string[128];
	/*
	if (gPlayerAccount[playerid] == 0)
	{
		GameTextForPlayer(playerid, "~w~Welcome.~n~In order to play you need to create an account, type ~n~~r~/regnick (password)~w~ to register", 20000, 3);
		SetPlayerCameraPos(playerid,1460.0, -1324.0, 287.2);
		SetPlayerCameraLookAt(playerid,1374.5, -1291.1, 239.0);
		return 1;
	}
	*/
	if (gPlayerLogged[playerid] == 0 && gPlayerResponse[playerid] == 0)
	{
     	new plname[MAX_PLAYER_NAME];
		new joinintro[256];
		GetPlayerName(playerid, plname, sizeof(plname));
		if(gPlayerAccount[playerid] == 1)
		{
			format(joinintro,sizeof(joinintro),"Welcome again, %s!\n\nContiune to login!", plname);
	        ShowPlayerDialog(playerid,signindial,DIALOG_STYLE_INPUT,"Login Plase!",joinintro,"Login","Cancel");
		}
		else
		{
	        format(joinintro,sizeof(joinintro),"Welcome %s!\n\nContiune to register!", plname);
	        ShowPlayerDialog(playerid,signupdial,DIALOG_STYLE_INPUT,"Register Plase!",joinintro,"Register","Cancel");
		}
	}
	PlayerInfo[playerid][pModel] = Peds[classid][0];
	//printf("pppm = %d classid == %d Peds[classid][0]= %d",PlayerInfo[playerid][pModel],classid,Peds[classid][0]);
	if(classid >= 264)
	{
		format(string, sizeof(string), "~b~SAPD~n~ ~r~Objective~w~: Retain Law");
		GameTextForPlayer(playerid,string,3500,6);
		DisablePlayerCheckpoint(playerid);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
	}
	else if (classid >= 259 && classid <= 263)
	{
			format(string, sizeof(string), "~g~PARAMEDIC~n~~r~Objective~w~: Save Life");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 1 && classid <= 3)
	{
			format(string, sizeof(string), "~p~BALLAS~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 4 && classid <= 9)
	{
			format(string, sizeof(string), "~p~GROVE~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 10 && classid <= 12)
	{
			format(string, sizeof(string), "~p~VAGOS~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 13 && classid <= 15)
	{
			format(string, sizeof(string), "~p~AZTECAS~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 16 && classid <= 18)
	{
			format(string, sizeof(string), "~p~NANG~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
 	else if (classid >= 19 && classid <= 24)
	{
			format(string, sizeof(string), "~p~MAFIA~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 25 && classid <= 27)
	{
			format(string, sizeof(string), "~p~RUSSIAN MAFIA~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 28 && classid <= 30)
	{
			format(string, sizeof(string), "~p~TRIADS~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else if (classid >= 31 && classid <= 33)
	{
			format(string, sizeof(string), "~p~BIKERS~n~~r~Objective~w~: Chaos");
			GameTextForPlayer(playerid,string,3500,6);
	}
	else
	{
		format(string, sizeof(string), "~g~CIVILIAN~n~~r~Objective~w~: Live Life");
		GameTextForPlayer(playerid,string,3500,6);
	}
	SetPlayerTeamFromClass(playerid,classid);
	SetupPlayerForClassSelection(playerid);
	return 1;
}

public SetupPlayerForClassSelection(playerid)
{
	switch (gTeam[playerid])
	{
		case TEAM_BLUE:
		{
			SetPlayerInterior(playerid,5);
			SetPlayerPos(playerid,323.4,305.6,999.1);
			SetPlayerFacingAngle(playerid, 90.0);
			SetPlayerCameraPos(playerid,323.4-1.5,305.6,999.1+0.7);
			SetPlayerCameraLookAt(playerid,323.4,305.6,999.1+0.7);

		}
		case TEAM_CYAN:
		{
			SetPlayerInterior(playerid,0);
			SetPlayerPos(playerid,1187.0,-1295.8,13.5);
			SetPlayerFacingAngle(playerid, 270.0);
			SetPlayerCameraPos(playerid,1187.0+1.5,-1295.8,13.5+0.7);
			SetPlayerCameraLookAt(playerid,1187.0,-1295.8,13.5+0.7);
		}
		case TEAM_GREEN:
		{
			SetPlayerInterior(playerid,3);
			SetPlayerPos(playerid,-2654.4,1424.2,912.4);
			SetPlayerFacingAngle(playerid, 90.0);
			SetPlayerCameraPos(playerid,-2654.4-1.5,1424.2,912.4+0.7);
			SetPlayerCameraLookAt(playerid,-2654.4,1424.2,912.4+0.7);
		}
		default:
		{
			/*
			SetPlayerInterior(playerid,2);
			SetPlayerPos(playerid,1216.699000,-6.416779,1001.328000);
			SetPlayerFacingAngle(playerid, 90.0);
			SetPlayerCameraPos(playerid,1216.699000-1.5,-6.416779,1001.328000+0.7);
			SetPlayerCameraLookAt(playerid,1216.699000,-6.416779,1001.328000+0.7);
			*/
			SetPlayerInterior(playerid,3);
			SetPlayerPos(playerid,-2654.4,1424.2,912.4);
			SetPlayerFacingAngle(playerid, 90.0);
			SetPlayerCameraPos(playerid,-2654.4-1.5,1424.2,912.4+0.7);
			SetPlayerCameraLookAt(playerid,-2654.4,1424.2,912.4+0.7);
		}
	}
}
//---------------------------------------------------------

public SetPlayerTeamFromClass(playerid,classid)
{
	if (gdebug >= 2){printf("DEBUG SetPlayerTeamFromClass(%d, %d)", playerid, classid);}
	if(classid >= 264)
	{
		gTeam[playerid] = TEAM_BLUE;
		PlayerInfo[playerid][pTeam] = 2;
	}
    else if (classid >= 259 && classid <= 263)
	{
		gTeam[playerid] = TEAM_CYAN;
		PlayerInfo[playerid][pTeam] = 1;
	}
	else if (classid >= 1 && classid <= 3)
	{
		gTeam[playerid] = TEAM_BALLAS;
		PlayerInfo[playerid][pTeam] = 5;
	}
	else if (classid >= 4 && classid <= 9)
	{
		gTeam[playerid] = TEAM_GROVE;
		PlayerInfo[playerid][pTeam] = 6;
	}
	else if (classid >= 10 && classid <= 12)
	{
		gTeam[playerid] = TEAM_VAGOS;
		PlayerInfo[playerid][pTeam] = 7;
	}
	else if (classid >= 13 && classid <= 15)
	{
		gTeam[playerid] = TEAM_AZTECAS;
		PlayerInfo[playerid][pTeam] = 8;
	}
	else if (classid >= 16 && classid <= 18)
	{
		gTeam[playerid] = TEAM_NANG;
		PlayerInfo[playerid][pTeam] = 9;
	}
 	else if (classid >= 19 && classid <= 24)
	{
		gTeam[playerid] = TEAM_MAFIA;
		PlayerInfo[playerid][pTeam] = 11;
	}
	else if (classid >= 25 && classid <= 27)
	{
		gTeam[playerid] = TEAM_RMAFIA;
		PlayerInfo[playerid][pTeam] = 12;
	}
	else if (classid >= 27 && classid <= 29)
	{
		gTeam[playerid] = TEAM_TRIADS;
		PlayerInfo[playerid][pTeam] = 13;
	}
	else if (classid >= 31 && classid <= 33)
	{
		gTeam[playerid] = TEAM_BIKERS;
		PlayerInfo[playerid][pTeam] = 14;
	}
	else
	{
	    gTeam[playerid] = TEAM_GREEN;
	    PlayerInfo[playerid][pTeam] = 3;
	}
}

//---------------------------------------------------------

public SetPlayerCriminal(playerid,declare,reason[],pe,flash)
{
if (gdebug >= 1){printf("DEBUG SetPlayerCriminal(%d, %d ,%s ,%d ,%d)", playerid,declare,reason,pe,flash);}
	new turned[MAX_PLAYER_NAME];
	new turner[MAX_PLAYER_NAME];
	new turnmes[128];
	//new tmpstring[32];
	//format(tmpstring, sizeof(tmpstring), reason);
	strmid(PlayerCrime[playerid][pAccusedof], reason, 0, strlen(reason), 255);
	GetPlayerName(playerid, turned, sizeof(turned));
	if (declare == 255)
	{
		//print("DEBUG: 4");
		format(turner, sizeof(turner), "Unknown");
		strmid(PlayerCrime[playerid][pVictim], turner, 0, strlen(turner), 255);
	}
	else
	{
		//print("DEBUG: 5");
		GetPlayerName(declare, turner, sizeof(turner));
		strmid(PlayerCrime[playerid][pVictim], turner, 0, strlen(turner), 255);
		strmid(PlayerCrime[declare][pBplayer], turned, 0, strlen(turned), 255);
		strmid(PlayerCrime[declare][pAccusing], reason, 0, strlen(reason), 255);
	}
	if (pe == 1)
	{
		if (gPublicEnemy != INVALID_PLAYER_ID && gPublicEnemy != playerid)
		{
            OffTheHook();
			KillTimer(offhook);
	    }
		gPublicEnemy = playerid;
        new oldlevel;
        new newlevel;
        //oldlevel = GetPlayerWantedLevel(playerid);
        oldlevel = PlayerInfo[playerid][pWantedlevel];
        newlevel = oldlevel + 2;
        SetPlayerWantedLevel(playerid, newlevel);
		format(turnmes, sizeof(turnmes), "SMS: %s, You Are Now Public Enemy No.1 For %s. Evade Death For %d Minuites, Sender: MOLE (555)",turned,reason,petime/60000);
		RingTone[playerid] = 20;
		SendClientMessage(playerid, COLOR_YELLOW, turnmes);
		format(cbjstore, sizeof(cbjstore), "HQ: All Units Be On The Lookout For Public Enemy %s",turned);
		SendTeamBeepMessage(2, COLOR_DBLUE, cbjstore);
		format(turnmes, sizeof(turnmes), "HQ: Wanted In Connection With %s, You have %d Minuites.",reason,petime/60000);
		format(objstore, sizeof(objstore), "SMS: Kill That Sucker %s, And Take His Last Payment, Sender: MOLE (555)",turned);
		SendTeamMessage(2, COLOR_DBLUE, turnmes);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gPublicEnemy != i && gTeam[i] >= 3)
			{
				SendClientMessage(i, COLOR_YELLOW, objstore);
				RingTone[i] = 20;
			}
		}
		SendTeamMessage(2, COLOR_WHITE, "HINT: Hunt Down And Eliminate The Flashing Icon For A Big Reward.");
		offhook = SetTimer("OffTheHook", petime, 0);

	}
    else
    {
		if ((gTeam[playerid]) == 1)//med kill criminal
		{
			format(turnmes, sizeof(turnmes), "WARNING: %s, The Cops Are After You For %s Paramedic Privs Removed Reporter: %s",turned,reason,turner);
		}
		else
		{
			format(turnmes, sizeof(turnmes), "WARNING: %s, The Cops Are After You For %s. Reporter: %s",turned,reason,turner);
		}
		gTeam[playerid] = 4;//lawbreaker
		if (flash)
		{
			FlashTime[playerid] = 10;
		}
		else
		{
			SetPlayerToTeamColor(playerid);
		}
		SendClientMessage(playerid, COLOR_RED, turnmes);
	}
			print("DEBUG: 5");
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) && (gTeam[i]) == 2 && gPublicEnemy != playerid)
		{
			format(cbjstore, sizeof(turnmes), "HQ: All Units APB: Reporter: %s",turner);
			SendClientMessage(i, TEAM_BLUE_COLOR, cbjstore);
			format(cbjstore, sizeof(turnmes), "HQ: Crime: %s, Suspect: %s",reason,turned);
			SendClientMessage(i, TEAM_BLUE_COLOR, cbjstore);
		}
	}
}
//---------------------------------------------------------

public SetPlayerFree(playerid,declare,reason[],pe,flash)
{
if (gdebug >= 1){printf("DEBUG SetPlayerFree(%d, %d ,%d ,%d)", playerid,declare,pe,flash);}
	ClearCrime(playerid);
	new turned[MAX_PLAYER_NAME];
	new turner[MAX_PLAYER_NAME];
	new turnmes[128];
	new crbjstore[128];
	if (declare == 255)
	{
		format(turner, sizeof(turner), "911");
	}
	else
	{
		GetPlayerName(declare, turner, sizeof(turner));
	}
	GetPlayerName(playerid, turned, sizeof(turned));
	if (PlayerInfo[playerid][pTeam] == 1)
	{
		gTeam[playerid] = 1;
	}
	else
	{
		gTeam[playerid] = 3;
	}
	if (flash)
	{
		FlashTime[playerid] = 10;
	}
	else
	{
		SetPlayerToTeamColor(playerid);
	}
	format(turnmes, sizeof(turnmes), "SMS: %s, Because You %s, You Are No Longer A Criminal, Sender: MOLE (555)",turned,reason);
	RingTone[playerid] = 20;
	SendClientMessage(playerid, COLOR_YELLOW, turnmes);
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) && (gTeam[i]) == 2)
		{
			format(crbjstore, sizeof(crbjstore), "HQ: All Units Officer %s Has Completed Assignment",turner);
			SendClientMessage(i, COLOR_DBLUE, crbjstore);
			format(crbjstore, sizeof(crbjstore), "HQ: %s Has Been Processed, %s",turned,reason);
			SendClientMessage(i, COLOR_DBLUE, crbjstore);
		}
	}
}
public OffTheHook()
{
if (gdebug >= 1){printf("DEBUG OffTheHook()");}
	new hookoff[128];
	new offhookn[MAX_PLAYER_NAME];
	new mission = gPlayerMission[gPublicEnemy];
	if(mission == 4)
	{
		mission = random(3)+1;
	}
	switch (mission)
	{
		case 1:
		{
			PlayerInfo[gPublicEnemy][pCB]++;
			PlayerInfo[gPublicEnemy][pTmpRank] = PlayerInfo[gPublicEnemy][pTmpRank]+750;
			if(PlayerInfo[gPublicEnemy][pCB] >= 4)
			{
				PlayerInfo[gPublicEnemy][pExp]++;
				PlayerInfo[gPublicEnemy][pCB] = 0;
				SendClientMessage(gPublicEnemy, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
		}
		case 2:
		{
			PlayerInfo[gPublicEnemy][pSR]++;
			PlayerInfo[gPublicEnemy][pTmpRank] = PlayerInfo[gPublicEnemy][pTmpRank]+500;
			if(PlayerInfo[gPublicEnemy][pSR] >= 4)
			{
				PlayerInfo[gPublicEnemy][pExp]++;
				PlayerInfo[gPublicEnemy][pSR] = 0;
				SendClientMessage(gPublicEnemy, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
		}
		case 3:
		{
			PlayerInfo[gPublicEnemy][pHW]++;
			PlayerInfo[gPublicEnemy][pTmpRank] = PlayerInfo[gPublicEnemy][pTmpRank]+500;
			if(PlayerInfo[gPublicEnemy][pHW] >= 4)
			{
				PlayerInfo[gPublicEnemy][pExp]++;
				PlayerInfo[gPublicEnemy][pHW] = 0;
				SendClientMessage(gPublicEnemy, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
		}
  		case 5:
		{
			PlayerInfo[gPublicEnemy][pBF]++;
			PlayerInfo[gPublicEnemy][pTmpRank] = PlayerInfo[gPublicEnemy][pTmpRank]+500;
			if(PlayerInfo[gPublicEnemy][pBF] >= 4)
			{
				PlayerInfo[gPublicEnemy][pExp]++;
				PlayerInfo[gPublicEnemy][pBF] = 0;
				SendClientMessage(gPublicEnemy, COLOR_YELLOW, "You are getting stronger Exp +1");
			}
		}
		default:
		{
		}
	}
	SetPlayerToTeamColor(gPublicEnemy);
	GetPlayerName(gPublicEnemy, offhookn, sizeof(offhookn));
	format(hookoff, sizeof(hookoff), "NEWSFLASH: %s Has Evaded The Police And Is No Longer Public Enemy No.1",offhookn);
	RingTone[gPublicEnemy] = 20;
	new newlevel;
    newlevel = 0;
    SetPlayerWantedLevel(gPublicEnemy, newlevel);
    PlayerInfo[gPublicEnemy][pWantedlevel] = newlevel;
	SendClientMessageToAll(COLOR_PURPLE, hookoff);
	gPublicEnemy = INVALID_PLAYER_ID;
	return 1;
}

public CellPhoneTimer()
{
if (gdebug >= 3){printf("DEBUG CellPhoneTimer()");}
	new string[64];
	new randabiz[3] = {10, 24, 38};
	new tmpbiz;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(CellTime[i] > 0)
			{
				if (CellTime[i] == cchargetime)
				{
					CellTime[i] = 1;
					if(Mobile[Mobile[i]] == i)
					{
						CallCost[i] = CallCost[i]+callcost;
					}
				}
				//printf("CellTime %d %d",i,CellTime[i]);
				CellTime[i] = CellTime[i] +1;
				//printf("callers line %d called %d caller %d",Mobile[Mobile[i]],Mobile[i],i);
				if (Mobile[Mobile[i]] == 255 && CellTime[i] == 5)
				{
					new called[MAX_PLAYER_NAME];
					GetPlayerName(Mobile[i], called, sizeof(called));
					format(string, sizeof(string), "* %s's phone rings.", called);
					RingTone[Mobile[i]] = 10;
					ProxDetector(30.0, Mobile[i], string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
				}
			}
			if(CellTime[i] == 0 && CallCost[i] > 0)
			{
				format(string, sizeof(string), "~w~The call cost~n~~r~$%d",CallCost[i]);
				GiveMoney(i, -CallCost[i]);
	  		    new key = PlayerInfo[i][pPhousekey];
			  	if (key < 34) { tmpbiz = 10; }
				else if (key > 33 && key < 68) { tmpbiz = 24; }
				else if (key > 67 && key != 255) { tmpbiz = 38; }
				else
				{
					new randa = random(sizeof(randabiz));
					tmpbiz = randabiz[randa];
				}
				BizzInfo[tmpbiz][bTakings] += CallCost[i];
				GameTextForPlayer(i, string, 5000, 1);
				CallCost[i] = 0;
			}

		}
	}
}

public SetPlayerFlash()
{
//if (gdebug >= 2){printf("DEBUG SetPlayerFlash()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if (gPublicEnemy == i || gSuperCop == i)
		{
			FlashTime[i] = 3;
		}
		if(IsPlayerConnected(i) == 1 && FlashTime[i] > 0)
		{
			//printf("flashtime %d %d",i,FlashTime[i]);
			FlashTime[i]--;
			SetPlayerToTeamColorFlash(i);
		}
	}
	SetTimer("SetPlayerFlashRev", 1000, 0);
	return 1;
}

public SetPlayerFlashRev()
{
//if (gdebug >= 2){printf("DEBUG SetPlayerFlashRev()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && FlashTime[i] > 1)
		{
			FlashTime[i]--;
			//printf("flashtime %d %d",i,FlashTime[i]);
			SetPlayerColor(i,COLOR_INVIS); // invisibil
		}
	}
	SetTimer("SetPlayerFlash", 1000, 0);
	return 1;
}


public RingToner()
{
//if (gdebug >= 2){printf("DEBUG RingToner()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && RingTone[i] != 6 && RingTone[i] != 0 && RingTone[i] < 11)
		{
			//printf("RingTone %d %d",i,RingTone[i]);
			RingTone[i] = RingTone[i] -1;
			PlayerPlaySound(i, 1138, 0.0, 0.0, 0.0);
		}
		if(IsPlayerConnected(i) == 1 && RingTone[i] == 6)
		{
			RingTone[i] = RingTone[i] -1;
		}
		if(IsPlayerConnected(i) == 1 && RingTone[i] == 20)
		{
			//printf("RingTone %d %d",i,RingTone[i]);
			RingTone[i] = RingTone[i] -1;
			PlayerPlaySound(i, 1139, 0.0, 0.0, 0.0);
		}
	}
	//RingTonerRev();
	SetTimer("RingTonerRev", 200, 0);
	return 1;
}

public RingTonerRev()
{
//if (gdebug >= 2){printf("DEBUG SetPlayerFlashRev()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1  && RingTone[i] != 5 && RingTone[i] != 0 && RingTone[i] < 10)
		{
			RingTone[i] = RingTone[i] -1;
			PlayerPlaySound(i, 1137, 0.0, 0.0, 0.0);
		}
		if(IsPlayerConnected(i) == 1 && RingTone[i] == 5)
		{
			RingTone[i] = RingTone[i] -1;
		}
		if(IsPlayerConnected(i) == 1 && RingTone[i] == 19)
		{
			//printf("RingTone %d %d",i,RingTone[i]);
			PlayerPlaySound(i, 1139, 0.0, 0.0, 0.0);
			RingTone[i] = 0;
		}
	}
	SetTimer("RingToner", 500, 0);
	return 1;
}

public SetPlayerUnjail()
{
if (gdebug >= 3){printf("DEBUG SetPlayerUnjail()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && JailTime[i] < 0)
		{
			JailTime[i]++;
			//printf("JailTime %d %d",i,JailTime[i]);
		}
		if(IsPlayerConnected(i) == 1 && JailTime[i] > 0)
		{
			JailTime[i]--;
			//printf("JailTime %d %d",i,JailTime[i]);
		}
		if(IsPlayerConnected(i) == 1 && JailTime[i] == 10)
		{
			new string[128];
			//printf("JailTime %d %d",i,JailTime[i]);
			FlashTime[i] = 0;
			SetPlayerPos(i,268.3,77.4,1001.0);
			SendClientMessage(i, COLOR_GRAD1,"   You have paid your debt to society.");
			format(string, sizeof(string), "~g~Freedom~n~~w~Try to be a better citizen");
			GameTextForPlayer(i, string, 5000, 1);
			PlayJailSound(1165 , 1166, 1000,264.395200, 77.564040, 1001.039000);
		}
	}
}

public VoteKickTimer()
{
if (gdebug >= 3){printf("DEBUG VoteKickTimer()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && VoteKick[i] > 0)
		{
			VoteKick[i]++;
			//printf("VoteKick %d VoteKick[%d] KickVote[%d]",i,VoteKick[i],KickVote[i]);
			if(IsPlayerConnected(i) == 1 && VoteKick[i] == 20)
			{
				if(KickVote[i] >= numplayers/4)
				{
					new string[128];
					new accused[MAX_PLAYER_NAME];
					GetPlayerName(i, accused, sizeof(accused));
					format(string, sizeof(string), "VOTE SUCCESS: %s has been voted out of the server",accused);
					BroadCast(COLOR_RED,string);
					ClearVote(i);
					Kick(i);
				}
				else
				{
					new string[128];
					new accused[MAX_PLAYER_NAME];
					GetPlayerName(i, accused, sizeof(accused));
					format(string, sizeof(string), "VOTE FAILED: %s will not be kicked",accused);
					BroadCast(COLOR_RED,string);
					ClearVote(i);
				}
			}
		}
	}
}

public ClearVote(kickedid)
{
	KickVote[kickedid] = 0;
	VoteKick[kickedid] = 0;
	for(new j = 0; j <= MAX_PLAYERS; j++)
	{
		if(IsPlayerConnected(j) == 1 && LastVote[j] == kickedid)
		{
			LastVote[j] = 255;
		}
	}
}


public SetPlayerWeapons(playerid)
{
	if (gdebug >= 1){printf("DEBUG SetPlayerWeapons(%d)",playerid);}
	//ResetPlayerWeapons(playerid);
	if(PlayerInfo[playerid][pGun1] == 0)
	{
    PlayerInfo[playerid][pGun1] = 24;
    }
	if (PlayerInfo[playerid][pGun1] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun1], PlayerInfo[playerid][pAmmo1]);
	}
	if(gTeam[playerid] == 1)
	{
		GivePlayerWeapon(playerid, 4, 0);
	}
	if(gTeam[playerid] == 2)
	{
		GivePlayerWeapon(playerid, 3, 0);
		//GivePlayerWeapon(playerid, 41, 500); //spray
	}
	if(gTeam[playerid] >= 3)
	{
		GivePlayerWeapon(playerid, 32, 100);
	}
	if (PlayerInfo[playerid][pGun2] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun2], PlayerInfo[playerid][pAmmo2]);
	}
	if (PlayerInfo[playerid][pGun3] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun3], PlayerInfo[playerid][pAmmo3]);
	}
	if (PlayerInfo[playerid][pGun4] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun4], PlayerInfo[playerid][pAmmo4]);
	}
	if (PlayerInfo[playerid][pGun5] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun5], PlayerInfo[playerid][pAmmo5]);
	}
	if (PlayerInfo[playerid][pGun6] > 0)
	{
		GivePlayerWeapon(playerid, PlayerInfo[playerid][pGun6], PlayerInfo[playerid][pAmmo6]);
	}
}

public PrintStationInfo(playerid,targetid)
{
	new coordsstring[256];
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
	format(coordsstring, sizeof(coordsstring),"*** %s ***",StationInfo[targetid][stDiscription]);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Locked: %d EntryFee: $%d Till: $%d", StationInfo[targetid][stLock], StationInfo[targetid][stEntcost], StationInfo[targetid][stTakings]);
	SendClientMessage(playerid, COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product: %d/%d Components: %d/%d", StationInfo[targetid][stProd],StationInfo[targetid][stProdCap],StationInfo[targetid][stComp],StationInfo[targetid][stCompCap]);
	SendClientMessage(playerid, COLOR_GRAD2,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Products Per Component: %d Paying $%d",StationInfo[targetid][stProdCost],StationInfo[targetid][stPayComp]);
	SendClientMessage(playerid, COLOR_GRAD3,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product Cost $%d",(StationInfo[targetid][stPayComp]/StationInfo[targetid][stProdCost]));
	SendClientMessage(playerid, COLOR_GRAD4,coordsstring);
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
}

public PrintSBizInfo(playerid,targetid)
{
	new coordsstring[256];
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
	format(coordsstring, sizeof(coordsstring),"*** %s ***",SBizzInfo[targetid][sbDiscription]);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Locked: %d EntryFee: $%d Till: $%d", SBizzInfo[targetid][sbLock], SBizzInfo[targetid][sbEntcost], SBizzInfo[targetid][sbTakings]);
	SendClientMessage(playerid, COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product: %d/%d Components: %d/%d", SBizzInfo[targetid][sbProd],SBizzInfo[targetid][sbProdCap],SBizzInfo[targetid][sbComp],SBizzInfo[targetid][sbCompCap]);
	SendClientMessage(playerid, COLOR_GRAD2,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Products Per Component: %d Paying $%d",SBizzInfo[targetid][sbProdCost],SBizzInfo[targetid][sbPayComp]);
	SendClientMessage(playerid, COLOR_GRAD3,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product Cost $%d",(SBizzInfo[targetid][sbPayComp]/SBizzInfo[targetid][sbProdCost]));
	SendClientMessage(playerid, COLOR_GRAD4,coordsstring);
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
}

public PrintBizInfo(playerid,targetid)
{
	new coordsstring[256];
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
	format(coordsstring, sizeof(coordsstring),"*** %s ***",BizzInfo[targetid][bDiscription]);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Locked: %d EntryFee: $%d Till: $%d", BizzInfo[targetid][bLock], BizzInfo[targetid][bEntcost], BizzInfo[targetid][bTakings]);
	SendClientMessage(playerid, COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product: %d/%d Components: %d/%d", BizzInfo[targetid][bProd],BizzInfo[targetid][bProdCap],BizzInfo[targetid][bComp],BizzInfo[targetid][bCompCap]);
	SendClientMessage(playerid, COLOR_GRAD2,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Products Per Component: %d Paying $%d",BizzInfo[targetid][bProdCost],BizzInfo[targetid][bPayComp]);
	SendClientMessage(playerid, COLOR_GRAD3,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Product Cost $%d PriceMod %d%",(BizzInfo[targetid][bPayComp]/BizzInfo[targetid][bProdCost]), BizzInfo[targetid][bPriceMod]);
	SendClientMessage(playerid, COLOR_GRAD4,coordsstring);
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
}

public PrintKillStats(playerid,targetid)
{
	new pdildo = PlayerInfo[targetid][pDildoK];
	new pflower = PlayerInfo[targetid][pFlowerK];
	new pcane = PlayerInfo[targetid][pCaneK];
	new pgrenade = PlayerInfo[targetid][pGrenadeK];
	//new pgas = PlayerInfo[targetid][pGasK];
	new pmolotov = PlayerInfo[targetid][pMolotovK];
	new pcolt = PlayerInfo[targetid][pColtK];
	new psp = PlayerInfo[targetid][pSPK];
	new pdeagle = PlayerInfo[targetid][pDeagleK];
	new ppshot = PlayerInfo[targetid][pPShotK];
	new psawn = PlayerInfo[targetid][pSawnK];
	new pspas = PlayerInfo[targetid][pSpas12K];
	new puzi = PlayerInfo[targetid][pUziK];
	new pmp5 = PlayerInfo[targetid][pMP5K];
	new pak47 = PlayerInfo[targetid][pAK47K];
	new pm4 = PlayerInfo[targetid][pM4K];
	new ptec9 = PlayerInfo[targetid][pTec9K];
	new prifle = PlayerInfo[targetid][pRifleK];
	new prpg = PlayerInfo[targetid][pRPGK];
	//new phsrl = PlayerInfo[targetid][pHSRLK];
	new pflame = PlayerInfo[targetid][pFlameK];
	new pmini = PlayerInfo[targetid][pMiniK];
	//new psatchel = PlayerInfo[targetid][pSatchelK];
	new pspray = PlayerInfo[targetid][pSprayK];
	new pfist = PlayerInfo[targetid][pFistK];
	//new pbrass = PlayerInfo[targetid][pBrassK];
	new pgolf = PlayerInfo[targetid][pGolfK];
	new pnights = PlayerInfo[targetid][pNightSK];
	new pbat = PlayerInfo[targetid][pBatK];
	new pshovel = PlayerInfo[targetid][pShovelK];
	new ppoolc = PlayerInfo[targetid][pPoolCK];
	new pkatana = PlayerInfo[targetid][pKatanaK];
	new pchainsaw = PlayerInfo[targetid][pChainsawK];
	new pintim = PlayerInfo[targetid][pIntimK];
	new pknife = PlayerInfo[targetid][pKnifeK];
	new pfire = PlayerInfo[targetid][pFireEK];
	new name[MAX_PLAYER_NAME];
	GetPlayerName(targetid, name, sizeof(name));
	new coordsstring[256];
 	format(coordsstring, sizeof(coordsstring),"*** Killing Statistics For %s",name);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Intimidation:[%d] Fist:[%d] Golf-Club:[%d] Night-Stick:[%d] Knife:[%d] Bat:[%d] Shovel:[%d] Pool-Cue:[%d].",pintim,pfist,pgolf,pnights,pknife,pbat,pshovel,ppoolc);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Katana:[%d] Chainsaw:[%d] Dildo:[%d] Flowers:[%d] Cane:[%d] Colt45:[%d] Silencer: [%d] Deagle:[%d].",pkatana,pchainsaw,pdildo,pflower,pcane,pcolt,psp,pdeagle);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Pump-Shotty:[%d] Sawn-Off:[%d] Spas12:[%d] Mac10:[%d] Mp5:[%d] Tec9:[%d] AK-47:[%d] M4:[%d] Rifle:[%d].",ppshot,psawn,pspas,puzi,pmp5,ptec9,pak47,pm4,prifle);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Flame-Thrower:[%d] Minigun:[%d] Pepper-Spray:[%d] Fire-Ex:[%d] Grenade:[%d] Molotov:[%d] Rpg:[%d]",pflame,pmini,pspray,pfire,pgrenade,pmolotov,prpg);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	}

public PrintDeathStats(playerid,targetid)
{
	new pdildo = PlayerInfo[targetid][pDildoD];
	new pflower = PlayerInfo[targetid][pFlowerD];
	new pcane = PlayerInfo[targetid][pCaneD];
	new pgrenade = PlayerInfo[targetid][pGrenadeD];
	new pmolotov = PlayerInfo[targetid][pMolotovD];
	new pcolt = PlayerInfo[targetid][pColtD];
	new psp = PlayerInfo[targetid][pSPD];
	new pdeagle = PlayerInfo[targetid][pDeagleD];
	new ppshot = PlayerInfo[targetid][pPShotD];
	new psawn = PlayerInfo[targetid][pSawnD];
	new pspas = PlayerInfo[targetid][pSpas12D];
	new puzi = PlayerInfo[targetid][pUziD];
	new pmp5 = PlayerInfo[targetid][pMP5D];
	new pak47 = PlayerInfo[targetid][pAK47D];
	new pm4 = PlayerInfo[targetid][pM4D];
	new ptec9 = PlayerInfo[targetid][pTec9D];
	new prifle = PlayerInfo[targetid][pRifleD];
	//new psrifle = PlayerInfo[targetid][pSrifleD];
	new prpg = PlayerInfo[targetid][pRPGD];
	//new phsrl = PlayerInfo[targetid][pHSRLD];
	new pflame = PlayerInfo[targetid][pFlameD];
	new pmini = PlayerInfo[targetid][pMiniD];
	//new psatchel = PlayerInfo[targetid][pSatchelD];
	new pspray = PlayerInfo[targetid][pSprayD];
	new pfist = PlayerInfo[targetid][pFistD];
	//new pbrass = PlayerInfo[targetid][pBrassD];
	new pgolf = PlayerInfo[targetid][pGolfD];
	new pnights = PlayerInfo[targetid][pNightSD];
	new pbat = PlayerInfo[targetid][pBatD];
	new pshovel = PlayerInfo[targetid][pShovelD];
	new ppoolc = PlayerInfo[targetid][pPoolCD];
	new pkatana = PlayerInfo[targetid][pKatanaD];
	new pchainsaw = PlayerInfo[targetid][pChainsawD];
	new pintim = PlayerInfo[targetid][pIntimD];
	new pknife = PlayerInfo[targetid][pKnifeD];
	new pfire = PlayerInfo[targetid][pFireED];
	new name[MAX_PLAYER_NAME];
	GetPlayerName(targetid, name, sizeof(name));
	new coordsstring[256];
 	format(coordsstring, sizeof(coordsstring),"*** Death Statistics For %s",name);
	SendClientMessage(playerid, COLOR_GRAD1, coordsstring);
	format(coordsstring, sizeof(coordsstring),"Intimidation:[%d] Fist:[%d] Golf-Club:[%d] Night-Stick:[%d] Knife:[%d] Bat:[%d] Shovel:[%d] Pool-Cue:[%d].",pintim,pfist,pgolf,pnights,pknife,pbat,pshovel,ppoolc);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Katana:[%d] Chainsaw:[%d] Dildo:[%d] Flowers:[%d] Cane:[%d] Colt45:[%d] Silencer:[%d] Deagle:[%d].",pkatana,pchainsaw,pdildo,pflower,pcane,pcolt,psp,pdeagle);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Pump-Shotty:[%d] Sawn-Off:[%d] Spas12:[%d] Mac10:[%d] Mp5:[%d] Tec9:[%d] AK-47:[%d] M4:[%d] Rifle:[%d].",ppshot,psawn,pspas,puzi,pmp5,ptec9,pak47,pm4,prifle);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Flame-Thrower:[%d] Minigun:[%d] Pepper-Spray:[%d] Fire-Ex:[%d] Grenade:[%d] Molotov:[%d] Rpg:[%d]",pflame,pmini,pspray,pfire,pgrenade,pmolotov,prpg);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	}

public PrintSkillStats(playerid,targetid)
{
	new paerolic = PlayerInfo[targetid][pALicence];
	new pbikelic = PlayerInfo[targetid][pBLicence];
	new pcarlic = PlayerInfo[targetid][pCLicence];
	new pbigcarlic = PlayerInfo[targetid][pDLicence];
	new pboatlic = PlayerInfo[targetid][pELicence];
	new paerorank = PlayerInfo[targetid][pALicenceR];
	new pbikerank = PlayerInfo[targetid][pBLicenceR];
	new pcarrank = PlayerInfo[targetid][pCLicenceR];
	new pbigcarrank = PlayerInfo[targetid][pDLicenceR];
	new pboatrank = PlayerInfo[targetid][pELicenceR];
	new pshooter = PlayerInfo[targetid][pShooter];
	new pdiller = PlayerInfo[targetid][pDiller];
	new phealther = PlayerInfo[targetid][pHealther];
	new prepairer = PlayerInfo[targetid][pRepairer];
	new pthiefer = PlayerInfo[targetid][pThiefer];
	new pteacher = PlayerInfo[targetid][pTeacher];
	new pdetective = PlayerInfo[targetid][pDetective];
 	new pshootere = PlayerInfo[targetid][pShooterR];
	new pdillere = PlayerInfo[targetid][pDillerR];
	new phealthere = PlayerInfo[targetid][pHealtherR];
	new prepairere = PlayerInfo[targetid][pRepairerR];
	new pthiefere = PlayerInfo[targetid][pThieferR];
	new pteachere = PlayerInfo[targetid][pTeacherR];
	new pdetectiver = PlayerInfo[targetid][pDetectiveR];
	new name[MAX_PLAYER_NAME];
	GetPlayerName(targetid, name, sizeof(name));
	new coordsstring[256];
 	format(coordsstring, sizeof(coordsstring),"*** Skill Statistics For %s",name);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Flying Rank:[%d] Exp:[%d] MotoSport Rank:[%d] Exp:[%d] Driving Rank:[%d] Exp:[%d].",paerolic,paerorank,pbikelic,pbikerank,pcarlic,pcarrank);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring),"Truck Driver Rank:[%d] Exp:[%d] Boat Swimming Rank:[%d] Exp:[%d] Shooter Rank[%d] Exp:[%d].",pbigcarlic,pbigcarrank,pboatlic,pboatrank,pshooter,pshootere);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
 	format(coordsstring, sizeof(coordsstring),"Diller Rank:[%d] Exp:[%d] Healther Rank:[%d] Exp:[%d] Mechanic Rank:[%d] Exp:[%d].",pdiller,pdillere,phealther,phealthere,prepairer,prepairere);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
  	format(coordsstring, sizeof(coordsstring),"Thiefer Rank[%d] Exp:[%d] Teacher Rank:[%d] Exp:[%d] Detective Rank:[%d] Exp:[%d].",pthiefer,pthiefere,pteacher,pteachere,pdetective,pdetectiver);
	SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
}

public PrintPlayerWeapons(playerid,targetid)
{
	if (gdebug >= 1){printf("DEBUG PrintPlayerWeapons(%d %d)",playerid,targetid);}
	new cash =  GetPlayerMoney(targetid);
	//new admin = PlayerInfo[targetid][pAdmin];
	new rank = PlayerInfo[targetid][pTmpRank];
	new level = PlayerInfo[targetid][pLevel];
	new exp = PlayerInfo[targetid][pExp];
	new gun1 = PlayerInfo[targetid][pGun1];
	new gun2 = PlayerInfo[targetid][pGun2];
	new gun3 = PlayerInfo[targetid][pGun3];
	new gun4 = PlayerInfo[targetid][pGun4];
	new gun5 = PlayerInfo[targetid][pGun5];
	new gun6 = PlayerInfo[targetid][pGun6];
	new ammo1 = PlayerInfo[targetid][pAmmo1];
	new ammo2 = PlayerInfo[targetid][pAmmo2];
	new ammo3 = PlayerInfo[targetid][pAmmo3];
	new ammo4 = PlayerInfo[targetid][pAmmo4];
	new ammo5 = PlayerInfo[targetid][pAmmo5];
	new ammo6 = PlayerInfo[targetid][pAmmo6];
	new kills = PlayerInfo[targetid][pKills];
	new pcb = PlayerInfo[targetid][pCB];
	new phw = PlayerInfo[targetid][pHW];
	new psr = PlayerInfo[targetid][pSR];
	new pwa = PlayerInfo[targetid][pWA] ;
	new pbf = PlayerInfo[targetid][pBF];
	new ppen = PlayerInfo[targetid][pPEN];
	new pnumber = PlayerInfo[targetid][pPnumber];
	new account = PlayerInfo[targetid][pAccount];
	new nxtlevel = PlayerInfo[targetid][pLevel]+1;
	new expamount = nxtlevel*levelexp;
	new costlevel = nxtlevel*levelcost;//10k for testing purposes
	new housekey = PlayerInfo[targetid][pPhousekey];
	new bizkey = PlayerInfo[targetid][pPbiskey];
	new pwarnl = PlayerInfo[targetid][pWarnL]; // changed from player to target
	new intir = PlayerInfo[playerid][pInt];
	new local = PlayerInfo[playerid][pLocal];
	new Float:shealth = PlayerInfo[targetid][pSHealth];
	new Float:sarmour = PlayerInfo[targetid][pSArmour];
	new Float:health;
	new name[MAX_PLAYER_NAME];
	new sgun1[20];
	new sgun2[20];
	new sgun3[20];
	new sgun4[20];
	new sgun5[20];
	new sgun6[20];
	GetWeaponName(gun1, sgun1, 20);
	GetWeaponName(gun2, sgun2, 20);
	GetWeaponName(gun3, sgun3, 20);
	GetWeaponName(gun4, sgun4, 20);
	GetWeaponName(gun5, sgun5, 20);
	GetWeaponName(gun6, sgun6, 20);
	GetPlayerName(targetid, name, sizeof(name));
	GetPlayerHealth(targetid,health);
	new Float:px,Float:py,Float:pz;
	GetPlayerPos(targetid, px, py, pz);
	new coordsstring[256];
	//format(coordsstring, sizeof(coordsstring), "%s,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%.1f,%.1f,%.1f,%.1f,%.1f", PlayerInfo[playerid][pPassword], cash, admin, level,gun1,gun2,gun3,gun4,gun5,gun6,ammo1,ammo2,ammo3,ammo4,ammo5,ammo6,shealth,health, px, py, pz);
	//SendClientMessage(playerid, TEAM_BLUE_COLOR, coordsstring);
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
	format(coordsstring, sizeof(coordsstring),"*** %s ***",name);
	SendClientMessage(playerid, COLOR_WHITE,coordsstring);
	format(coordsstring, sizeof(coordsstring), "PlayerLevel: [%d] SpawnHealth: %.1f SpawnArmour: %.1f Cash: [$%d] Bank: [$%d] Ph: [%d]", level, shealth+50, sarmour, cash, account, pnumber);
	SendClientMessage(playerid, COLOR_GRAD1,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Weapons: %s %s %s %s %s %s", sgun1,sgun2,sgun3,sgun4,sgun5,sgun6);
	SendClientMessage(playerid, COLOR_GRAD2,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Ammo1: [%d] Ammo2: [%d] Ammo3: [%d] Ammo4: [%d] Ammo5: [%d] Ammo6: [%d]", ammo1,ammo2,ammo3,ammo4,ammo5,ammo6);
	SendClientMessage(playerid, COLOR_GRAD3,coordsstring);
	format(coordsstring, sizeof(coordsstring), "Warns: [%d/5]",pwarnl);
	SendClientMessage(playerid, COLOR_GRAD3,coordsstring);
	if (stats)
	{
		format(coordsstring, sizeof(coordsstring), "Cashbox: [%d/4] Hotwire: [%d/4] StreetRace: [%d/4] Service: [%d/20] Briefcase: [%d/4]",pcb,phw,psr,pwa,pbf);
		SendClientMessage(playerid, COLOR_GRAD4,coordsstring);
		format(coordsstring, sizeof(coordsstring), "Kills: [%d/30] PENo.1 Kills: [%d/4]  NextLevel: [$%d] Exp: [%d/%d] Rank:[%d]",kills,ppen,costlevel,exp,expamount,rank);
		SendClientMessage(playerid, COLOR_GRAD5,coordsstring);
		/*
		if(expamount <= exp)
		{
			SendClientMessage(playerid, COLOR_RED,coordsstring);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD5,coordsstring);
		}
		*/
	}
	if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 101)
	{
		format(coordsstring, sizeof(coordsstring), "House key [%d] Business key [%d] HireKey [%d] int:[%d] local[%d]", housekey,bizkey,HireCar[targetid],intir,local);
		SendClientMessage(playerid, COLOR_GRAD6,coordsstring);
	}
	//SendClientMessage(playerid, COLOR_GRAD6,"Hint: use /level <playerid> to see another players stats");
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
}

public PrintVehicleStats(playerid,targetid)
{
    new coordsstring[256];
    new vehicleid = GetPlayerVehicleID(targetid);
    new Float:vehx;
    new Float:vehy;
    new Float:vehz;
    new Float:vehzangle;
    new Float:health;
    GetVehiclePos(vehicleid, vehx, vehy, vehz);
    GetVehicleZAngle(vehicleid, vehzangle);
    GetVehicleHealth(vehicleid, health);
    SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
    format(coordsstring,sizeof(coordsstring),"Current Health: [%.0f]", health);
    SendClientMessage(playerid,COLOR_GRAD1,coordsstring);
    format(coordsstring,sizeof(coordsstring),"Vehicle ID: [%d]", vehicleid);
    SendClientMessage(playerid,COLOR_GRAD2,coordsstring);
    format(coordsstring,sizeof(coordsstring),"Model ID: [%d]", GetVehicleModel(vehicleid));
    SendClientMessage(playerid,COLOR_GRAD3,coordsstring);
    format(coordsstring,sizeof(coordsstring),"Vehicle Name: [%s]", VehicleName[GetVehicleModel(vehicleid)-400]);
    SendClientMessage(playerid,COLOR_GRAD4,coordsstring);
    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 101)
	{
		format(coordsstring, sizeof(coordsstring), "Coords: [X%.2f] [Y%.2f] [Z%.2f]", vehx, vehy, vehz);
		SendClientMessage(playerid, COLOR_GRAD5,coordsstring);
  		format(coordsstring, sizeof(coordsstring), "Angle: [Z%.2f]", vehzangle);
		SendClientMessage(playerid, COLOR_GRAD5,coordsstring);
	}
	SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
}
//---------------------------------------------------------

public SetPlayerToTeamColor(playerid)
{
	if(gTeam[playerid] == TEAM_GREEN)
	{
		SetPlayerColor(playerid,TEAM_GREEN_COLOR); // red
	}
	else if(gTeam[playerid] == TEAM_BLUE)
	{
	    SetPlayerColor(playerid,TEAM_BLUE_COLOR); // blue
	}
	else if(gTeam[playerid] == TEAM_ORANGE)
	{
	    SetPlayerColor(playerid,TEAM_ORANGE10_COLOR); // blue
	}
	else if(gTeam[playerid] == TEAM_BALLAS)
	{
	    SetPlayerColor(playerid,TEAM_BALLAS10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_GROVE)
	{
	    SetPlayerColor(playerid,TEAM_GROVE10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_VAGOS)
	{
	    SetPlayerColor(playerid,TEAM_VAGOS10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_AZTECAS)
	{
	    SetPlayerColor(playerid,TEAM_AZTECAS10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_NANG)
	{
	    SetPlayerColor(playerid,TEAM_NANG10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_RIFA)
	{
	    SetPlayerColor(playerid,TEAM_RIFA10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_MAFIA)
	{
	    SetPlayerColor(playerid,TEAM_MAFIA10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_RMAFIA)
	{
	    SetPlayerColor(playerid,TEAM_RMAFIA10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_TRIADS)
	{
	    SetPlayerColor(playerid,TEAM_TRIADS10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_BIKERS)
	{
	    SetPlayerColor(playerid,TEAM_BIKERS10_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_CYAN)
	{
	    SetPlayerColor(playerid,TEAM_CYAN_COLOR); // blue
	}
}

public SetPlayerToTeamColorFlash(playerid)
{
	if(gTeam[playerid] == TEAM_GREEN)
	{
		SetPlayerColor(playerid,TEAM_GREEN_COLOR); // red
	}
	else if(gTeam[playerid] == TEAM_BLUE)
	{
	    SetPlayerColor(playerid,TEAM_BLUE_COLOR); // blue
	}
	else if(gTeam[playerid] == TEAM_ORANGE)
	{
	    SetPlayerColor(playerid,TEAM_ORANGE_COLOR); // blue
	}
	else if(gTeam[playerid] == TEAM_BALLAS)
	{
	    SetPlayerColor(playerid,TEAM_BALLAS_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_GROVE)
	{
	    SetPlayerColor(playerid,TEAM_GROVE_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_VAGOS)
	{
	    SetPlayerColor(playerid,TEAM_VAGOS_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_AZTECAS)
	{
	    SetPlayerColor(playerid,TEAM_AZTECAS_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_NANG)
	{
	    SetPlayerColor(playerid,TEAM_NANG_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_RIFA)
	{
	    SetPlayerColor(playerid,TEAM_RIFA_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_MAFIA)
	{
	    SetPlayerColor(playerid,TEAM_MAFIA_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_RMAFIA)
	{
	    SetPlayerColor(playerid,TEAM_RMAFIA_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_TRIADS)
	{
	    SetPlayerColor(playerid,TEAM_TRIADS_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_BIKERS)
	{
	    SetPlayerColor(playerid,TEAM_BIKERS_COLOR); // purple
	}
	else if(gTeam[playerid] == TEAM_CYAN)
	{
	    SetPlayerColor(playerid,TEAM_CYAN_COLOR); // blue
	}
}


public GetPlayerTeamColor(playerid, teamcolor)
{
	if(gTeam[playerid] == TEAM_GREEN)
	{
		teamcolor = TEAM_GREEN_COLOR; // red
	}
	else if(gTeam[playerid] == TEAM_BLUE)
	{
	    teamcolor = TEAM_BLUE_COLOR; // blue
	}
	else if(gTeam[playerid] == TEAM_ORANGE)
	{
	    teamcolor = TEAM_ORANGE_COLOR; // blue
	}
	else if(gTeam[playerid] == TEAM_BALLAS)
	{
	    teamcolor = TEAM_BALLAS_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_GROVE)
	{
	    teamcolor = TEAM_GROVE_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_VAGOS)
	{
	    teamcolor = TEAM_VAGOS10_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_AZTECAS)
	{
	    teamcolor = TEAM_AZTECAS10_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_NANG)
	{
	    teamcolor = TEAM_NANG_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_RIFA)
	{
	    teamcolor = TEAM_RIFA_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_MAFIA)
	{
	    teamcolor = TEAM_MAFIA_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_RMAFIA)
	{
	    teamcolor = TEAM_RMAFIA_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_TRIADS)
	{
	    teamcolor = TEAM_TRIADS_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_BIKERS)
	{
	    teamcolor = TEAM_BIKERS_COLOR; // purple
	}
	else if(gTeam[playerid] == TEAM_CYAN)
	{
	    teamcolor = TEAM_CYAN_COLOR; // blue
	}
	return teamcolor;
}
//---------------------------------------------------------

public GameModeInitExitFunc()
{
	if (gdebug >= 1){printf("DEBUG GameModeInitExitFunc()");}
	new string[128];
	format(string, sizeof(string), "server restarting...");
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			DisablePlayerCheckpoint(i);
			gPlayerCheckpointStatus[i] = CHECKPOINT_NONE;
			if (gdebug){print("DEBUG CHECKPOINT_NONE3");}
			GameTextForPlayer(i, string, 4000, 5);
			if (gdebug){printf("DEBUG %s", string);}
			SetPlayerCameraPos(i,1460.0, -1324.0, 287.2);
			SetPlayerCameraLookAt(i,1374.5, -1291.1, 239.0);
			OnClientUpdate(i);
			gPlayerLogged[i] = 0;
		}
	}
	SetTimer("GameModeExitFunc", 4000, 0);
	return 1;
}

public GameModeExitFunc()
{
	KillTimer(synctimer);
	KillTimer(newmistimer);
	KillTimer(unjailtimer);
	KillTimer(playertimer);
	KillTimer(cartimer);
	KillTimer(celltimer);
	GameModeExit();
}

//--------------------------------Config--------------------------------------------------------------
public LoadConfig()
{
	print(" ");
	print("Loading Config......");
	if (gdebug){print("DEBUG is on");}
	new valtmp[128];
	new File: file = fopen("pen01.cfg", io_read);
	fread(file, valtmp);strmid(motd, valtmp, 0, strlen(valtmp)-1, 255);
	fread(file, valtmp);GetVal(valtmp);fow = RetVal;
	fread(file, valtmp);GetVal(valtmp);radardist = RetVal;
	fread(file, valtmp);GetVal(valtmp);radarfreq = RetVal;
	fread(file, valtmp);GetVal(valtmp);addtimer = RetVal*1000;
	fread(file, valtmp);GetVal(valtmp);stats = RetVal;
	fread(file, valtmp);GetVal(valtmp);dollah = RetVal;
	fread(file, valtmp);GetVal(valtmp);realtime = RetVal;
	fread(file, valtmp);GetVal(valtmp);timeshift = RetVal;
	fread(file, valtmp);GetVal(valtmp);wtime = RetVal;
	fread(file, valtmp);GetVal(valtmp);gRoundTime = RetVal*60000;
	fread(file, valtmp);GetVal(valtmp);cashbox = RetVal;
	fread(file, valtmp);GetVal(valtmp);streetrace = RetVal;
	fread(file, valtmp);GetVal(valtmp);hotwire = RetVal;
	fread(file, valtmp);GetVal(valtmp);briefcase = RetVal;
	fread(file, valtmp);GetVal(valtmp);levelcost = RetVal;
	fread(file, valtmp);GetVal(valtmp);basedcost = RetVal;
	fread(file, valtmp);GetVal(valtmp);deathcost = RetVal;
	fread(file, valtmp);GetVal(valtmp);suecost = RetVal;
	fread(file, valtmp);GetVal(valtmp);paycheck = RetVal;
	fread(file, valtmp);GetVal(valtmp);jobdelay = RetVal;
	fread(file, valtmp);GetVal(valtmp);petime = RetVal*60000;
	fread(file, valtmp);GetVal(valtmp);realchat = RetVal;
	fread(file, valtmp);GetVal(valtmp);forceteam = RetVal;
	fread(file, valtmp);GetVal(valtmp);cchargetime = RetVal;
	fread(file, valtmp);GetVal(valtmp);callcost = RetVal;
	fread(file, valtmp);GetVal(valtmp);txtcost = RetVal;
	fread(file, valtmp);GetVal(valtmp);jailtime = RetVal;
	fread(file, valtmp);GetVal(valtmp);intrate = RetVal;
	fread(file, valtmp);GetVal(valtmp);teamcarlock = RetVal;
	fread(file, valtmp);GetVal(valtmp);levelexp = RetVal;
	fread(file, valtmp);GetVal(valtmp);nocasino = RetVal;
	fread(file, valtmp);GetVal(valtmp);automission = RetVal;
	fread(file, valtmp);GetVal(valtmp);civnokill = RetVal;
	fread(file, valtmp);GetVal(valtmp);accountplay = RetVal;
	fread(file, valtmp);GetVal(valtmp);mediccharge = RetVal;
	fclose(file);
	print(".....Config Settings Loaded");
	printf("%s %d %d %d %d %d %d %d %d %d %d %d %d %d %d %d",motd,dollah,realtime,timeshift,wtime,gRoundTime,cashbox,streetrace,hotwire,briefcase,levelcost,deathcost,paycheck,jobdelay,petime,realchat,forceteam);
}
//------------------------------------------------------------------------------------------------------
public GetVal(string[])
{
	new tmp[32];
	new idx;
	tmp = strtok(string, idx);
	tmp = strtok(string, idx);
	RetVal = strval(tmp);
	strmid(string, string, 0, strlen(string)-1, 255);
	printf("%s",string);
}

public SaveRace(playerid,name[])
{
		new coordsstring[256];
		new racename[64];
		new makername[MAX_PLAYER_NAME];
		GetPlayerName(playerid, makername, sizeof(makername));
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%s,%s,%d,%d",
		RaceInfo[rStartx],
		RaceInfo[rStarty],
		RaceInfo[rStartz],
		RaceInfo[rMidx],
		RaceInfo[rMidy],
		RaceInfo[rMidz],
		RaceInfo[rMid2x],
		RaceInfo[rMid2y],
		RaceInfo[rMid2z],
		RaceInfo[rEndx],
		RaceInfo[rEndy],
		RaceInfo[rEndz],
		makername,
		"none",
		0,
		RaceInfo[rLaps]);
		format(racename, sizeof(racename), "races/%s.race",name);
		new File: file2 = fopen(racename, io_write);
		fwrite(file2, coordsstring);
		fclose(file2);
		format(coordsstring, sizeof(coordsstring), "%s Race Saved",name);
		SendClientMessage(playerid, COLOR_GREEN,coordsstring);
		return 1;
}

public BestTime(name[])
{
	print("BestTime");
		new coordsstring[256];
		new racename[64];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%s,%s,%d,%d",
		RaceInfo[rStartx],
		RaceInfo[rStarty],
		RaceInfo[rStartz],
		RaceInfo[rMidx],
		RaceInfo[rMidy],
		RaceInfo[rMidz],
		RaceInfo[rMid2x],
		RaceInfo[rMid2y],
		RaceInfo[rMid2z],
		RaceInfo[rEndx],
		RaceInfo[rEndy],
		RaceInfo[rEndz],
		RaceInfo[rName],
		RaceInfo[rBest],
		RaceInfo[rBestms],
		RaceInfo[rLaps]);
		format(racename, sizeof(racename), "races/%s.race",name);
		new File: file2 = fopen(racename, io_write);
		fwrite(file2, coordsstring);
		fclose(file2);
		return 1;
}

public EditRace(playerid, name[])
{
		print("EditRace");
		new coordsstring[256];
		new racename[128];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%f,%s,%s,%d,%d",
		RaceInfo[rStartx],
		RaceInfo[rStarty],
		RaceInfo[rStartz],
		RaceInfo[rMidx],
		RaceInfo[rMidy],
		RaceInfo[rMidz],
		RaceInfo[rMid2x],
		RaceInfo[rMid2y],
		RaceInfo[rMid2z],
		RaceInfo[rEndx],
		RaceInfo[rEndy],
		RaceInfo[rEndz],
		RaceInfo[rName],
		RaceInfo[rBest],
		RaceInfo[rBestms],
		RaceInfo[rLaps]);
		format(racename, sizeof(racename), "races/%s.race",name);
		new File: file2 = fopen(racename, io_write);
		fwrite(file2, coordsstring);
		fclose(file2);
  		format(racename, sizeof(racename), "%s Race Edited",name);
		ConvertTicks(RaceInfo[rBestms]);
		SendClientMessage(playerid, COLOR_GREEN, racename);
		if(RaceInfo[rLaps] > 0)
		{
			format(racename, sizeof(racename), "Next Race: %s, By : %s | BestTime: %s : %d:%d:%d Laps: %d",name,RaceInfo[rName],RaceInfo[rBest],cmins,csecs,cmils,RaceInfo[rLaps]);
		}
		else
		{
			format(racename, sizeof(racename), "Next Race: %s, By : %s | BestTime: %s : %d:%d:%d",name,RaceInfo[rName],RaceInfo[rBest],cmins,csecs,cmils);
		}
		SendEnemyMessage(COLOR_GREEN, racename);
		return 1;
}

public LoadSave()
{
	new arrCoords[3][64];
	new strFromFile2[64];
	new File: file = fopen("save.cfg", io_read);
	if (file)
	{
		new sidx;
		while (sidx < sizeof(SaveInfo))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			SaveInfo[sidx][sEnterx] = floatstr(arrCoords[0]);
			SaveInfo[sidx][sEntery] = floatstr(arrCoords[1]);
			SaveInfo[sidx][sEnterz] = floatstr(arrCoords[2]);
			sidx++;
		}
	}
	fclose(file);
	return 1;
}

public LoadStation()
{
	new arrCoords[21][64];
	new strFromFile2[256];
	new File: file = fopen("fuelst.cfg", io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(StationInfo))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			StationInfo[idx][stEnterx] = floatstr(arrCoords[0]);
			StationInfo[idx][stEntery] = floatstr(arrCoords[1]);
			StationInfo[idx][stEnterz] = floatstr(arrCoords[2]);
			//printf("HouseInfo hEntrancez %f",HouseInfo[idx][hEntrancez]);
			strmid(StationInfo[idx][stOwner], arrCoords[3], 0, strlen(arrCoords[3]), 255);
			strmid(StationInfo[idx][stDiscription], arrCoords[4], 0, strlen(arrCoords[4]), 255);
			StationInfo[idx][stValue] = strval(arrCoords[5]);
			StationInfo[idx][stHel] = strval(arrCoords[6]);
			StationInfo[idx][stArm] = strval(arrCoords[7]);
			StationInfo[idx][stInt] = strval(arrCoords[8]);
			StationInfo[idx][stLock] = strval(arrCoords[9]);
			StationInfo[idx][stOwned] = strval(arrCoords[10]);
			StationInfo[idx][stEntcost] = strval(arrCoords[11]);
			StationInfo[idx][stTakings] = strval(arrCoords[12]);
			StationInfo[idx][stDate] = strval(arrCoords[13]);
			StationInfo[idx][stLevel] = strval(arrCoords[14]);
			StationInfo[idx][stProd] = strval(arrCoords[15]);
			StationInfo[idx][stProdCap] = strval(arrCoords[16]);
			StationInfo[idx][stComp] = strval(arrCoords[17]);
			StationInfo[idx][stCompCap] = strval(arrCoords[18]);
			StationInfo[idx][stProdCost] = strval(arrCoords[19]);
			StationInfo[idx][stPayComp] = strval(arrCoords[20]);
			/*printf("FuelInfo:%d [%s] Owner:%s Entfee:%d Takings:%d Products:%d/%d Components: %d/%d",
			idx,
			StationInfo[idx][stDiscription],
			StationInfo[idx][stOwner],
			StationInfo[idx][stEntcost],
			StationInfo[idx][stTakings],
			StationInfo[idx][stProd],
			StationInfo[idx][stProdCap],
			StationInfo[idx][stComp],
			StationInfo[idx][stCompCap]);*/
			idx++;
		}
	}
	fclose(file);
	return 1;
}

public LoadTmp()
{
	new arrCoords[4][64];
	new strFromFile2[64];
	new File: file = fopen("tmppos.cfg", io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(Teletmp))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			Teletmp[idx][pTmpposx] = floatstr(arrCoords[0]);
			Teletmp[idx][pTmpposy] = floatstr(arrCoords[1]);
			Teletmp[idx][pTmpposz] = floatstr(arrCoords[2]);
			Teletmp[idx][pTmpint] = strval(arrCoords[3]);
			idx++;
		}
	}
	fclose(file);
	return 1;
}


public LoadRace(playerid,name[])
{
	if (gdebug >= 1){printf("DEBUG Loadrace(%d,%s)",playerid,name);}
	new arrCoords[16][64];
	new strFromFile2[256];
	new racename[64];
	strmid(CurrentRace, name, 0, strlen(name), 255);
	format(racename, sizeof(racename), "races/%s.race",name);
	new File: file = fopen(racename, io_read);
	if (file)
	{
		fread(file, strFromFile2);
		split(strFromFile2, arrCoords, ',');
		RaceInfo[rStartx] = floatstr(arrCoords[0]);
		RaceInfo[rStarty] = floatstr(arrCoords[1]);
		RaceInfo[rStartz] = floatstr(arrCoords[2]);
		RaceInfo[rMidx] = floatstr(arrCoords[3]);
		RaceInfo[rMidy] = floatstr(arrCoords[4]);
		RaceInfo[rMidz] = floatstr(arrCoords[5]);
		RaceInfo[rMid2x] = floatstr(arrCoords[6]);
		RaceInfo[rMid2y] = floatstr(arrCoords[7]);
		RaceInfo[rMid2z] = floatstr(arrCoords[8]);
		RaceInfo[rEndx] = floatstr(arrCoords[9]);
		RaceInfo[rEndy] = floatstr(arrCoords[10]);
		RaceInfo[rEndz] = floatstr(arrCoords[11]);
		strmid(RaceInfo[rName], arrCoords[12], 0, strlen(arrCoords[12]), 255);
		strmid(RaceInfo[rBest], arrCoords[13], 0, strlen(arrCoords[13]), 255);
		RaceInfo[rBestms] = strval(arrCoords[14]);
		RaceInfo[rLaps] = strval(arrCoords[15]);
		rsx = RaceInfo[rStartx];rsy = RaceInfo[rStarty];rsz =RaceInfo[rStartz];
		rmx = RaceInfo[rMidx];rmy = RaceInfo[rMidy];rmz = RaceInfo[rMidz];
		rm2x = RaceInfo[rMid2x];rm2y = RaceInfo[rMid2y];rm2z = RaceInfo[rMid2z];
		rex = RaceInfo[rEndx];rey = RaceInfo[rEndy];rez = RaceInfo[rEndz];
		fclose(file);
		format(strFromFile2, sizeof(strFromFile2), "%s Race Loaded",name);
		ConvertTicks(RaceInfo[rBestms]);
		SendClientMessage(playerid, COLOR_GREEN,strFromFile2);
		if(RaceInfo[rLaps] > 0)
		{
			format(strFromFile2, sizeof(strFromFile2), "Next Race: %s, By : %s | BestTime: %s : %d:%d:%d Laps: %d",name,RaceInfo[rName],RaceInfo[rBest],cmins,csecs,cmils,RaceInfo[rLaps]);
		}
		else
		{
			format(strFromFile2, sizeof(strFromFile2), "Next Race: %s, By : %s | BestTime: %s : %d:%d:%d",name,RaceInfo[rName],RaceInfo[rBest],cmins,csecs,cmils);
		}
		SendEnemyMessage(COLOR_GREEN, strFromFile2);
		randomrace = 0;
	}
	else
	{
		if(playerid != 255)
		{
			SendClientMessage(playerid, COLOR_GREEN,"File not found");
		}
	}
	return 1;
}

public LoadProperty()
{
	new arrCoords[30][64];
	new strFromFile2[256];
	new File: file = fopen("property.cfg", io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(HouseInfo))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			HouseInfo[idx][hEntrancex] = floatstr(arrCoords[0]);
			HouseInfo[idx][hEntrancey] = floatstr(arrCoords[1]);
			HouseInfo[idx][hEntrancez] = floatstr(arrCoords[2]);
			HouseInfo[idx][hExitx] = floatstr(arrCoords[3]);
			HouseInfo[idx][hExity] = floatstr(arrCoords[4]);
			HouseInfo[idx][hExitz] = floatstr(arrCoords[5]);
			HouseInfo[idx][hHealthx] = strval(arrCoords[6]);
			HouseInfo[idx][hHealthy] = strval(arrCoords[7]);
			HouseInfo[idx][hHealthz] = strval(arrCoords[8]);
			HouseInfo[idx][hArmourx] = strval(arrCoords[9]);
			HouseInfo[idx][hArmoury] = strval(arrCoords[10]);
			HouseInfo[idx][hArmourz] = strval(arrCoords[11]);
			//printf("HouseInfo hEntrancez %f",HouseInfo[idx][hEntrancez]);
			strmid(HouseInfo[idx][hOwner], arrCoords[12], 0, strlen(arrCoords[12]), 255);
			strmid(HouseInfo[idx][hDiscription], arrCoords[13], 0, strlen(arrCoords[13]), 255);
			HouseInfo[idx][hValue] = strval(arrCoords[14]);
			HouseInfo[idx][hHel] = strval(arrCoords[15]);
			HouseInfo[idx][hArm] = strval(arrCoords[16]);
			HouseInfo[idx][hInt] = strval(arrCoords[17]);
			HouseInfo[idx][hWorld] = strval(arrCoords[18]);
			HouseInfo[idx][hLock] = strval(arrCoords[19]);
			HouseInfo[idx][hOwned] = strval(arrCoords[20]);
			HouseInfo[idx][hRooms] = strval(arrCoords[22]);
			HouseInfo[idx][hRent] = strval(arrCoords[22]);
			HouseInfo[idx][hRentabil] = strval(arrCoords[23]);
			HouseInfo[idx][hTakings] = strval(arrCoords[24]);
			HouseInfo[idx][hVec] = strval(arrCoords[25]);
  	        if(HouseInfo[idx][hVec] == 457)
			{
				HouseInfo[idx][hVec] = 411;
			}
			HouseInfo[idx][hVcol1] = strval(arrCoords[26]);
			HouseInfo[idx][hVcol2] = strval(arrCoords[27]);
			HouseInfo[idx][hDate] = strval(arrCoords[28]);
			HouseInfo[idx][hLevel] = strval(arrCoords[29]);
			//printf("HouseInfo:%d Owner:%s hTakings %d hVec %d",idx,HouseInfo[idx][hOwner],HouseInfo[idx][hTakings],HouseInfo[idx][hVec]);
			idx++;
		}
	}
	fclose(file);
	return 1;
}

public LoadDM(playerid,name[])
{
	new arrCoords[4][64];
	new strFromFile2[256];
	new dmname[64];
	format(dmname, sizeof(dmname), "dm/%s.dm",name);
	new File: file = fopen(dmname, io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(gRandomDMSpawns))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			gRandomDMSpawns[idx][0] = floatstr(arrCoords[0]);
			gRandomDMSpawns[idx][1] = floatstr(arrCoords[1]);
			gRandomDMSpawns[idx][2] = floatstr(arrCoords[2]);
			idx++;
		}
		fread(file, strFromFile2);
		split(strFromFile2, arrCoords, ',');
		gDMWbounds[0] = floatstr(arrCoords[0]);
		gDMWbounds[1] = floatstr(arrCoords[1]);
		gDMWbounds[2] = floatstr(arrCoords[2]);
		gDMWbounds[3] = floatstr(arrCoords[3]);
		fclose(file);
		format(strFromFile2, sizeof(strFromFile2), "Next DM: %s",name);
		SendClientMessageToAll(COLOR_GREEN, strFromFile2);
	}
	else
	{
		if(playerid != 255)
		{
			SendClientMessage(playerid, COLOR_GREEN,"File not found");
		}
	}
	return 1;
}

public SaveDM(playerid,name[])
{
		new coordsstring[256];
		new racename[64];
		format(racename, sizeof(racename), "dm/%s.dm",name);
		new File: file2 = fopen(racename, io_write);
		new idx;
		while (idx < sizeof(gRandomDMSpawns))
		{
			format(coordsstring, sizeof(coordsstring), "%f,%f,%f\n",gRandomDMSpawns[idx][0],gRandomDMSpawns[idx][1],gRandomDMSpawns[idx][2]);
			fwrite(file2, coordsstring);
			idx++;
		}
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f\n",gDMWbounds[0],gDMWbounds[1],gDMWbounds[2],gDMWbounds[3]);
		fwrite(file2, coordsstring);
		fclose(file2);
		format(coordsstring, sizeof(coordsstring), "%s DM Saved",name);
		SendClientMessage(playerid, COLOR_GREEN,coordsstring);
		return 1;
}

public LoadRaceList(playerid,name[])
{
	new arrCoords[4][64];
	new strFromFile2[256];
	new dmname[64];
	format(dmname, sizeof(dmname), "dm/%s.dm",name);
	new File: file = fopen(dmname, io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(gRandomDMSpawns))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			gRandomDMSpawns[idx][0] = floatstr(arrCoords[0]);
			gRandomDMSpawns[idx][1] = floatstr(arrCoords[1]);
			gRandomDMSpawns[idx][2] = floatstr(arrCoords[2]);
			idx++;
		}
		fread(file, strFromFile2);
		split(strFromFile2, arrCoords, ',');
		gDMWbounds[0] = floatstr(arrCoords[0]);
		gDMWbounds[1] = floatstr(arrCoords[1]);
		gDMWbounds[2] = floatstr(arrCoords[2]);
		gDMWbounds[3] = floatstr(arrCoords[3]);
		fclose(file);
		format(strFromFile2, sizeof(strFromFile2), "Next DM: %s",name);
		SendClientMessageToAll(COLOR_GREEN, strFromFile2);
	}
	else
	{
		if(playerid != 255)
		{
			SendClientMessage(playerid, COLOR_GREEN,"File not found");
		}
	}
	return 1;
}

public SaveRaceList(playerid,name[])
{
		new coordsstring[256];
		new racename[64];
		format(racename, sizeof(racename), "dm/%s.dm",name);
		new File: file2 = fopen(racename, io_write);
		new idx;
		while (idx < sizeof(gRandomDMSpawns))
		{
			format(coordsstring, sizeof(coordsstring), "%f,%f,%f\n",gRandomDMSpawns[idx][0],gRandomDMSpawns[idx][1],gRandomDMSpawns[idx][2]);
			fwrite(file2, coordsstring);
			idx++;
		}
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f\n",gDMWbounds[0],gDMWbounds[1],gDMWbounds[2],gDMWbounds[3]);
		fwrite(file2, coordsstring);
		fclose(file2);
		format(coordsstring, sizeof(coordsstring), "%s DM Saved",name);
		SendClientMessage(playerid, COLOR_GREEN,coordsstring);
		return 1;
}


public LoadBizz()
{
	new arrCoords[32][64];
	new strFromFile2[256];
	new File: file = fopen("bizz.cfg", io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(BizzInfo))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			BizzInfo[idx][bEntrancex] = floatstr(arrCoords[0]);
			BizzInfo[idx][bEntrancey] = floatstr(arrCoords[1]);
			BizzInfo[idx][bEntrancez] = floatstr(arrCoords[2]);
			BizzInfo[idx][bExitx] = floatstr(arrCoords[3]);
			BizzInfo[idx][bExity] = floatstr(arrCoords[4]);
			BizzInfo[idx][bExitz] = floatstr(arrCoords[5]);
			BizzInfo[idx][bHealthx] = strval(arrCoords[6]);
			BizzInfo[idx][bHealthy] = strval(arrCoords[7]);
			BizzInfo[idx][bHealthz] = strval(arrCoords[8]);
			BizzInfo[idx][bArmourx] = strval(arrCoords[9]);
			BizzInfo[idx][bArmoury] = strval(arrCoords[10]);
			BizzInfo[idx][bArmourz] = strval(arrCoords[11]);
			strmid(BizzInfo[idx][bOwner], arrCoords[12], 0, strlen(arrCoords[12]), 255);
			strmid(BizzInfo[idx][bDiscription], arrCoords[13], 0, strlen(arrCoords[13]), 255);
			BizzInfo[idx][bValue] = strval(arrCoords[14]);
			BizzInfo[idx][bHel] = strval(arrCoords[15]);
			BizzInfo[idx][bArm] = strval(arrCoords[16]);
			BizzInfo[idx][bInt] = strval(arrCoords[17]);
			BizzInfo[idx][bWorld] = strval(arrCoords[18]);
			BizzInfo[idx][bLock] = strval(arrCoords[19]);
			BizzInfo[idx][bOwned] = strval(arrCoords[20]);
			BizzInfo[idx][bEntcost] = strval(arrCoords[21]);
			BizzInfo[idx][bTakings] = strval(arrCoords[22]);
			BizzInfo[idx][bDate] = strval(arrCoords[23]);
			BizzInfo[idx][bLevel] = strval(arrCoords[24]);
			BizzInfo[idx][bProd] = strval(arrCoords[25]);
			BizzInfo[idx][bProdCap] = strval(arrCoords[26]);
			BizzInfo[idx][bComp] = strval(arrCoords[27]);
			BizzInfo[idx][bCompCap] = strval(arrCoords[28]);
			BizzInfo[idx][bProdCost] = strval(arrCoords[29]);
			BizzInfo[idx][bPayComp] = strval(arrCoords[30]);
			BizzInfo[idx][bPriceMod] = strval(arrCoords[31]);

			/*printf("BizzInfo:%d [%s] Owner:%s Entfee:%d Takings:%d Products:%d/%d Components: %d/%d",
			idx,
			BizzInfo[idx][bDiscription],
			BizzInfo[idx][bOwner],
			BizzInfo[idx][bEntcost],
			BizzInfo[idx][bTakings],
			BizzInfo[idx][bProd],
			BizzInfo[idx][bProdCap],
			BizzInfo[idx][bComp],
			BizzInfo[idx][bCompCap]);*/
			idx++;
		}
	}
	fclose(file);
	return 1;
}


public LoadSBizz()
{
	new arrCoords[21][64];
	new strFromFile2[256];
	new File: file = fopen("sbizz.cfg", io_read);
	if (file)
	{
		new idx;
		while (idx < sizeof(SBizzInfo))
		{
			fread(file, strFromFile2);
			split(strFromFile2, arrCoords, ',');
			SBizzInfo[idx][sbEntrancex] = floatstr(arrCoords[0]);
			SBizzInfo[idx][sbEntrancey] = floatstr(arrCoords[1]);
			SBizzInfo[idx][sbEntrancez] = floatstr(arrCoords[2]);
			//printf("HouseInfo hEntrancez %f",HouseInfo[idx][hEntrancez]);
			strmid(SBizzInfo[idx][sbOwner], arrCoords[3], 0, strlen(arrCoords[3]), 255);
			strmid(SBizzInfo[idx][sbDiscription], arrCoords[4], 0, strlen(arrCoords[4]), 255);
			SBizzInfo[idx][sbValue] = strval(arrCoords[5]);
			SBizzInfo[idx][sbHel] = strval(arrCoords[6]);
			SBizzInfo[idx][sbArm] = strval(arrCoords[7]);
			SBizzInfo[idx][sbInt] = strval(arrCoords[8]);
			SBizzInfo[idx][sbLock] = strval(arrCoords[9]);
			SBizzInfo[idx][sbOwned] = strval(arrCoords[10]);
			SBizzInfo[idx][sbEntcost] = strval(arrCoords[11]);
			SBizzInfo[idx][sbTakings] = strval(arrCoords[12]);
			SBizzInfo[idx][sbDate] = strval(arrCoords[13]);
			SBizzInfo[idx][sbLevel] = strval(arrCoords[14]);
			SBizzInfo[idx][sbProd] = strval(arrCoords[15]);
			SBizzInfo[idx][sbProdCap] = strval(arrCoords[16]);
			SBizzInfo[idx][sbComp] = strval(arrCoords[17]);
			SBizzInfo[idx][sbCompCap] = strval(arrCoords[18]);
			SBizzInfo[idx][sbProdCost] = strval(arrCoords[19]);
			SBizzInfo[idx][sbPayComp] = strval(arrCoords[20]);
			/*printf("SmallBizzInfo:%d [%s] Owner:%s Entfee:%d Takings:%d Products:%d/%d Components: %d/%d",
			idx,
			SBizzInfo[idx][sbDiscription],
			SBizzInfo[idx][sbOwner],
			SBizzInfo[idx][sbEntcost],
			SBizzInfo[idx][sbTakings],
			SBizzInfo[idx][sbProd],
			SBizzInfo[idx][sbProdCap],
			SBizzInfo[idx][sbComp],
			SBizzInfo[idx][sbCompCap]);*/
			idx++;
		}
	}
	fclose(file);
	return 1;
}

//------------------------------------------------------------------------------------------------------
public OnGameModeInit()
{
    for(new v = 0; v < MAX_VEHICLES; v++)
	{
		vFuel[v] = 100;
	}
	AntiDeAMX();
    UsePlayerPedAnims();
	LoadConfig();
	LoadTmp();
	LoadProperty();
	LoadSave();
	LoadStation();
	LoadBizz();
	LoadSBizz();
	SetGameModeText("Public Enemy: LS-SF-LV");
	format(objstore, sizeof(objstore), "MOLE: I Got Nothin, Check Back With Me Later.");
	format(cbjstore, sizeof(cbjstore), "HQ: There is Nothing in Your Vicinity, Out.");
	gettime(ghour, gminute, gsecond);
	FixHour(ghour);
	ghour = shifthour;
	if(!realtime)
	{
		SetWorldTime(wtime);
	}
	ShowPlayerMarkers(1);
	ShowNameTags(1);
	
  	//Menu's 
	RentCarB = CreateMenu("Rent Cars",2,5,240,85,100);//rentcar
	SetMenuColumnHeader(RentCarB, 0, "~b~Did you like the car?");
	AddMenuItem(RentCarB, 0, "Rent Car"); //0
	AddMenuItem(RentCarB, 0, "Exit"); //1
	
	RentCarC = CreateMenu("Rent Cars",2,5,240,85,100);//rent owner
	SetMenuColumnHeader(RentCarC, 0, "~b~Hello Boss!");
	AddMenuItem(RentCarC, 0, "Take car"); //0
	AddMenuItem(RentCarC, 0, "Exit"); //1
	SendRconCommand("unbanip 77.120.193.142");
	// Player Class's
	for(new i = 0; i <= sizeof(Peds)-1; i++)
	{
		AddPlayerClass(Peds[i][0],1958.3783,1343.1572,1100.3746,269.1425,-1,-1,-1,-1,-1,-1);
		//if (gdebug){printf("DEBUG ped (%d) added", i);}
	}
	// Car Spawns
	//cops cars
//------------------------------------------------------------------------------
	//SetTimer("FillFuel",20000,1);
	SetTimer("CurrentFuel",10000,1);
//------------------------------------------------------------------------------
	for(new h = 0; h < sizeof(HouseInfo); h++)
	{
		//if (gdebug >= 1){printf("HouseInfo[%d][hVec] %d",h,HouseInfo[h][hVec]);}
		CreateVehicle(HouseInfo[h][hVec], HouseCarSpawns[h][0], HouseCarSpawns[h][1], HouseCarSpawns[h][2], HouseCarSpawns[h][3], HouseInfo[h][hVcol1], HouseInfo[h][hVcol2], -1);
		gCarLock[h+1] = 1;
	}//102
	/**
	POLICE - 103-170
	AMBU 171-179
	FIRETRUCK 180-185
	PLANES 186-191
	RENT CARS 192-209
	BOATS 210-231
	COMPONENT-SYSTEM 232-243
	TAXI-SYSTEM 244-253
	SAN NEWS 254-256
	OTHER 257-270
	FUEL TRUCK 271-276
	TRAM 283
	TRAIN-284-287*/
 	//--------------------------------[POLICE]------------------------------------------------------|
  	CreateVehicle(601,1530.7530,-1683.4500,6.274824,270.0, -1, -1, -1);//--------Los-Santos--S.W.A.T.-------------[
	CreateVehicle(528,1558.3920,-1710.8590,5.466783,1.0, -1, -1, -1);//----------Los-Santos--FBI Truck------------[
	CreateVehicle(596,1569.6390,-1710.8590,5.466783,1.0, -1, -1, -1);//----------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1249.4,-2042.1,59.7,268.8, -1, -1, -1); //-----------------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1589.6390,-1710.8590,5.466783,1.0, -1, -1, -1);//----------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1601.3080,-1628.7100,13.056540,90.0, -1, -1, -1);//--------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1601.3080,-1621.9160,13.056540,90.0, -1, -1, -1);//--------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1535.8275,-1678.0283,13.1680,359.9876, -1, -1, -1);//------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1561.8600,-1694.9050,6.139762,222.0,-1, -1, -1);//---------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(596,1601.6600,-1696.5290,6.139762,89.0,-1, -1, -1);//----------Los-Santos--Police Car (LSPD)----[
	CreateVehicle(497,1116.5,-2053.9,74.4,358.5, -1, -1, -1); //-----------------Los-Santos--Police Maverick------[
	CreateVehicle(497,1116.0,-2017.9,74.4,0.7, -1, -1, -1);//--------------------Los-Santos--Police Maverick------[
	CreateVehicle(599,614.8,-588.5,17.4,240.0, -1, -1, -1); //-------------------Dillimore---Police Ranger--------[
	CreateVehicle(599,635.1,-561.5,16.5,180.0, -1, -1, -1); //-------------------Dillimore---Police Ranger--------[
	CreateVehicle(599,1247.9,-2031.2,59.7,270.1, -1, -1, -1);//------------------Los-Santos--Police Ranger--------[
	CreateVehicle(427,1539.39200,-1646.26200,6.274928,180.0, -1, -1, -1);//------Los-Santos--Enforcer-------------[
	CreateVehicle(427,1531.2540,-1647.4310,6.274976,200.0, -1, -1, -1);//--------Los-Santos--Enforcer-------------[
	CreateVehicle(490,1546.3240,-1658.4020,6.274824,180.0, -1, -1, -1);//--------Los-Santos--FBI Rancher----------[
	CreateVehicle(490,1546.3240,-1672.1560,6.274824,180.0, -1, -1, -1);//--------Los-Santos--FBI Rancher----------[
	CreateVehicle(490,1535.8459,-1668.7560,13.2653,359.7447,-1, -1, -1);//-------Los-Santos--FBI Rancher----------[
	CreateVehicle(523,612.6,-597.3,16.7,270.0, -1, -1, -1); //-------------------Dillimore---HPV1000--------------[
	CreateVehicle(523,1249.2,-2022.0,59.7,267.3, -1, -1, -1); //-----------------Los-Santos--HPV1000--------------[
	CreateVehicle(523,1528.1152,-1679.0033,5.4564,241.9187, -1, -1, -1);//-------Los-Santos--HPV1000--------------[
	CreateVehicle(523,1530.1611,-1676.0326,5.4563,231.7766, -1, -1, -1);//-------Los-Santos--HPV1000--------------[
	CreateVehicle(523,1568.483000,-1694.808000,6.138681,222.0,-1, -1, -1);//-----Los-Santos--HPV1000--------------[
	CreateVehicle(497, 1517.8,-1656.1,13.7,0.0, -1, -1, -1);//-------------------Los-Santos--Police Maverick------[

	CreateVehicle(601,-1622.7893,653.8341,-5.4834,91.0745, -1, -1, -1);//--------San-Fierro--S.W.A.T.-------------[
	CreateVehicle(528,-1638.4191,653.6282,-5.1974,269.6727, -1, -1, -1);//-------San-Fierro--FBI Truck------------[
	CreateVehicle(596,-1639.2601,678.3010,-5.3960,269.0965, -1, -1, -1);//-------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1639.3563,686.1972,-5.3958,270.3766, -1, -1, -1);//-------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1634.9626,651.4766,7.3194,1.0296, -1, -1, -1);//----------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1624.6259,693.3117,-5.3960,178.8613, -1, -1, -1);//-------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1616.7002,693.6585,-5.4002,179.8244, -1, -1, -1);//-------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1600.0574,676.7403,-5.3957,1.4501,-1, -1, -1);//----------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(596,-1573.3075,706.0972,-5.3963,92.7585,-1, -1, -1);//---------San-Fierro--Police Car (SFPD)----[
	CreateVehicle(427,-1638.6740,670.1819,-5.1103,270.2397, -1, -1, -1);//-------San-Fierro--Enforcer-------------[
	CreateVehicle(427,-1638.7599,662.1468,-5.1106,270.2397, -1, -1, -1);//-------San-Fierro--Enforcer-------------[
	CreateVehicle(490,-1573.3196,730.8412,-5.2081,88.4511, -1, -1, -1);//--------San-Fierro--FBI Rancher----------[
	CreateVehicle(490,-1573.5485,722.3735,-5.2063,88.4511, -1, -1, -1);//--------San-Fierro--FBI Rancher----------[
	CreateVehicle(490,-1622.7827,651.3409,7.2215,1.2276,-1, -1, -1);//-----------San-Fierro--FBI Rancher----------[
	CreateVehicle(523,-1588.4595,716.6198,-5.6755,171.2218, -1, -1, -1); //------San-Fierro--HPV1000--------------[
	CreateVehicle(523,-1594.1179,695.2687,-5.2642,269.9188, -1, -1, -1);//-------San-Fierro--HPV1000--------------[
	CreateVehicle(523,-1584.3682,725.7618,-5.2081,359.2224, -1, -1, -1);//-------San-Fierro--HPV1000--------------[
	CreateVehicle(523,-1605.9210,678.6404,-5.6752,359.5359,-1, -1, -1);//--------San-Fierro--HPV1000--------------[
	CreateVehicle(497,-1678.8632,705.5103,30.7783,90.4279, -1, -1, -1);//--------San-Fierro--Police Maverick------[
	
	CreateVehicle(601,2313.4370,2485.0166,3.0322,87.7557, -1, -1, -1);//---------Las-Venturas--S.W.A.T.-----------[
	CreateVehicle(528,2268.8286,2458.6050,10.8640,356.1884, -1, -1, -1);//-------Las-Venturas--FBI Truck----------[
	CreateVehicle(596,2251.8318,2475.7520,10.5417,179.2059, -1, -1, -1);//-------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(523,613.0657,-602.1416,16.7949,266.0379, -1, -1, -1); //-------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2256.1785,2443.8081,10.5408,358.9946, -1, -1, -1);//-------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2260.5520,2458.9680,10.5416,1.8096, -1, -1, -1);//---------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2260.5588,2475.9441,10.5420,180.1383, -1, -1, -1);//-------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2251.6841,2461.3625,10.5419,0.8813, -1, -1, -1);//---------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2282.4656,2443.2124,10.5415,358.9470,-1, -1, -1);//--------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(598,2273.3015,2476.9172,10.5406,179.1031,-1, -1, -1);//--------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(497,2269.6042,1669.5837,95.1469,256.6602, -1, -1, -1);//-------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(497,659.2249,-587.3371,16.5120,126.5454, -1, -1, -1);//--------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(599,2273.3137,2443.7949,10.9489,1.1853, -1, -1, -1);//---------Las-Venturas--Police Car (LVPD)--[
	CreateVehicle(427,2242.2402,2442.5227,10.9522,0.5058, -1, -1, -1);//---------Las-Venturas--Enforcer-----------[
	CreateVehicle(427,2298.1360,2451.6074,3.4053,269.0293, -1, -1, -1);//--------Las-Venturas--Enforcer-----------[
	CreateVehicle(490,2282.0513,2458.9575,10.9476,358.7094, -1, -1, -1);//-------Las-Venturas--FBI Rancher--------[
	CreateVehicle(490,2275.1733,2426.1062,10.9477,180.5187, -1, -1, -1);//-------Las-Venturas--FBI Rancher--------[
	CreateVehicle(490,2297.5110,2464.2839,3.4020,87.7928,-1, -1, -1);//----------Las-Venturas--FBI Rancher--------[
	CreateVehicle(523,2290.8987,2476.2268,10.3850,179.5163, -1, -1, -1); //------Las-Venturas--HPV1000------------[
	CreateVehicle(523,2295.6301,2443.0259,10.3919,7.7537, -1, -1, -1);//---------Las-Venturas--HPV1000------------[
	CreateVehicle(523,2298.3230,2427.6807,10.3907,203.2077, -1, -1, -1);//-------Las-Venturas--HPV1000------------[
	CreateVehicle(523,1680.6570,1465.2107,10.3213,246.2188,-1, -1, -1);//--------Las-Venturas--HPV1000------------[
	CreateVehicle(497, 2311.1982,2451.6423,10.9980,226.4835, -1, -1, -1);//------Las-Venturas--Police Maverick----[
	
	//----------------------------------[AMBULANCE]--------------------------------------------------
	CreateVehicle(416,1181.463501,-1308.673706,13.939081,270.0,-1,-1,-1);//------Los-Santos--Ambulance------------[
	CreateVehicle(416, 1181.7,-1339.2,13.8,270.0, -1, -1, -1);//-----------------Los-Santos--Ambulance------------[
	CreateVehicle(416, 1183.0,-1329.7,13.7,1.0, -1, -1, -1);//-------------------Los-Santos--Ambulance------------[
	CreateVehicle(416,-2705.0908,590.6293,14.6025,269.0996, -1, -1, -1);//-------San-Fierro--Ambulance------------[
	CreateVehicle(416,-2705.7268,605.4840,14.6022,267.9313, -1, -1, -1);//-------San-Fierro--Ambulance------------[
	CreateVehicle(416,-2704.4333,623.6321,14.6027,268.9781, -1, -1, -1);//-------San-Fierro--Ambulance------------[
	CreateVehicle(416,1890.2686,2242.4983,10.5665,1.5830, -1, -1, -1);//---------Las-Venturas--Ambulance----------[
	CreateVehicle(416, 1866.6422,2243.3459,10.5654,0.0196, -1, -1, -1);//--------Las-Venturas--Ambulance----------[
	CreateVehicle(416, 1851.4684,2242.8567,10.5672,359.8215, -1, -1, -1);//------Las-Venturas--Ambulance----------[

	//----------------------------------[FIRETRUCK]--------------------------------------------------
	CreateVehicle(407,1172.5,-1795.5,13.1,0.0, -1, -1, -1);//--------------------Los-Santos--Firetruck------------[
	CreateVehicle(407,1182.1,-1795.9,13.1,0.0, -1, -1, -1);//--------------------Los-Santos--Firetruck------------[
	CreateVehicle(407,-2022.1149,74.8335,28.3593,273.6936, -1, -1, -1);//--------San-Fierro--Firetruck------------[
	CreateVehicle(407,-2021.0100,92.2096,28.2162,270.7992, -1, -1, -1);//--------San-Fierro--Firetruck------------[
	CreateVehicle(544,1770.7130,2071.3196,11.0561,181.1125, -1, -1, -1);//-------Las-Venturas--Firetruck----------[
	CreateVehicle(407,1750.9141,2076.2368,11.0556,179.0669, -1, -1, -1);//-------Las-Venturas--Firetruck----------[
	
	//----------------------------------[PLANES]-----------------------------------------------------
	CreateVehicle(476,1935.763794,-2416.733887,13.846451,89.0,-1, -1, -1);//-----Los-Santos--Rustler--------------[
	CreateVehicle(511,1848.121704,-2435.860352,13.754265,89.0,-1, -1, -1);//-----Los-Santos--Beagle---------------[
	CreateVehicle(476,-1297.811279,-457.169250,14.448013,89.0,-1, -1, -1);//-----San-Fierro--Rustler--------------[
	CreateVehicle(511,-1286.913696,-394.913086,14.448013,89.0,-1, -1, -1);//-----San-Fierro--Beagle---------------[
	CreateVehicle(476,1281.8965,1323.8574,11.5453,268.5989,-1, -1, -1);//--------Las-Venturas--Rustler------------[
	CreateVehicle(476,1633.2922,1542.1531,12.1737,12.3044,-1, -1, -1);//---------Las-Venturas--Rustler------------[

	//----------------------------------[RENT CARS]--------------------------------------------------
	CreateVehicle(541,551.7929,-1285.5260,16.9303,0.4147,-1, -1, -1);//----------Los-Santos--Bullet---------------[
	CreateVehicle(429,536.9888,-1286.5275,16.9993,359.1704,-1, -1, -1); //-------Los-Santos--Banshee--------------[
	CreateVehicle(451,544.1793,-1286.1422,16.9492,7.3116,-1, -1, -1);//----------Los-Santos--Turismo--------------[
	CreateVehicle(429,2128.2063,-1141.5492,24.8090,42.9799,-1, -1, -1); //-------Los-Santos--Banshee--------------[
	CreateVehicle(415,2131.3589,-1138.5345,25.1992,40.9620,-1, -1, -1); //-------Los-Santos--Cheetah--------------[
	CreateVehicle(480,2134.7695,-1134.7576,25.4289,46.3918,-1, -1, -1); //-------Los-Santos--Comet----------------[
	CreateVehicle(541,-1958.8317,258.7843,35.1486,88.4536,-1, -1, -1);//---------San-Fierro--Bullet---------------[
	CreateVehicle(429,-1958.1268,284.8932,35.1485,88.4536,-1, -1, -1); //--------San-Fierro--Banshee--------------[
	CreateVehicle(451,-1957.6605,302.1757,35.1484,88.4536,-1, -1, -1);//---------San-Fierro--Turismo--------------[
	CreateVehicle(429,-1659.3331,1212.8494,6.8750,293.1686,-1, -1, -1); //-------San-Fierro--Banshee--------------[
	CreateVehicle(415,-1658.8856,1212.3367,13.3000,241.9084,-1, -1, -1); //------San-Fierro--Cheetah--------------[
	CreateVehicle(480,-1650.8331,1208.1707,13.3135,241.9083,-1, -1, -1); //------San-Fierro--Comet----------------[
	CreateVehicle(541,1671.4500,1841.4108,10.4786,180.8015,-1, -1, -1);//--------Las-Venturas--Bullet-------------[
	CreateVehicle(451,1671.6040,1835.3981,10.4785,178.7754,-1, -1, -1);//--------Las-Venturas--Turismo------------[
	CreateVehicle(411,1671.7932,1829.4354,10.4803,178.0365,-1, -1, -1);//--------Las-Venturas--Infernus-----------[
	CreateVehicle(411,2145.6362,1397.7627,10.4922,178.7406,-1, -1, -1);//--------Las-Venturas--Infernus-----------[
	CreateVehicle(415,2142.2827,1397.7147,10.5391,181.1405,-1, -1, -1);//--------Las-Venturas--Cheetah------------[
	CreateVehicle(480,2148.7527,1397.0067,10.5415,179.6145,-1, -1, -1);//--------Las-Venturas--Comet--------------[
	
	//----------------------------------[BOATS]------------------------------------------------------
 	CreateVehicle(493, 720.1,-1694.0,-0.4,179.4,-1,-1,-1);//---------------------Los-Santos--Jetmax---------------[
	CreateVehicle(493, 721.2,-1629.4,-0.4,180.9,-1,-1,-1);//---------------------Los-Santos--Jetmax---------------[
	CreateVehicle(493, 739.5,-1670.5,-0.6,177.5,-1,-1,-1);//---------------------Los-Santos--Jetmax---------------[
	CreateVehicle(493, 737.7,-1639.9,-0.6,178.1,-1,-1,-1);//---------------------Los-Santos--Jetmax---------------[
	CreateVehicle(493, 714.3,-1672.0,-0.5,182.2,-1,-1,-1);//---------------------Los-Santos--Jetmax---------------[
	
 	CreateVehicle(493,-2580.5334,1422.7592,-0.1630,1.9087,-1,-1,-1);//-----------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1803.4594,1424.1892,-0.0036,359.7756,-1,-1,-1);//---------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1469.9752,1090.6681,-0.0263,274.1201,-1,-1,-1);//---------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1440.2629,509.1788,-0.1332,92.5681,-1,-1,-1);//-----------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1447.1804,494.0102,-0.2327,87.0404,-1,-1,-1);//-----------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1161.2593,381.5369,-0.1863,307.3457,-1,-1,-1);//----------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1361.4926,427.6994,-0.2684,267.7429,-1,-1,-1);//----------San-Fierro--Jetmax---------------[
	CreateVehicle(493,-1535.2273,166.0796,-0.2575,313.3478,-1,-1,-1);//----------San-Fierro--Jetmax---------------[

	CreateVehicle(493, 2377.2180,536.4272,0.0495,268.9151,-1,-1,-1);//-----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2377.0496,525.2457,0.0347,269.1666,-1,-1,-1);//-----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2307.9734,531.1036,-0.2986,269.9216,-1,-1,-1);//----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2298.5461,515.8239,-0.1853,184.5128,-1,-1,-1);//----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2368.6687,515.9425,0.3326,181.4155, -1,-1,-1);//----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2353.1218,515.5671,0.5751,181.4149,-1,-1,-1);//-----------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2341.3792,537.7582,0.1086,93.2614,-1,-1,-1);//------------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2341.8953,528.6644,0.0510,93.2633,-1,-1,-1);//------------Las-Venturas--Jetmax-------------[
	CreateVehicle(493, 2290.3667,515.1719,-0.2152,185.1875,-1,-1,-1);//----------Las-Venturas--Jetmax-------------[

	//---------------------------[COMPONENT-SYSTEM]--------------------------------------------------------------[-]
	CreateVehicle(456, 2795.2,-2417.8,13.4,90.8,-1,-1,-1); //--------------------Los-Santos--Yankee--------------[
    CreateVehicle(456, 2783.9,-2417.9,13.4,90.8,-1,-1,-1); //--------------------Los-Santos--Yankee--------------[
    CreateVehicle(440, 2794.1,-2455.9,13.4,90.8,-1,-1,-1); //--------------------Los-Santos--Rumpo---------------[
    CreateVehicle(440, 2782.9,-2455.6,13.4,90.8,-1,-1,-1); //--------------------Los-Santos--Rumpo---------------[
    CreateVehicle(456, -1734.1,45.8,3.7,270.8,-1,-1,-1); //----------------------San-Fierro--Yankee--------------[
    CreateVehicle(456, -1734.4,54.5,3.7,270.8,-1,-1,-1); //----------------------San-Fierro--Yankee--------------[
    CreateVehicle(440, -1736.6,19.5,3.4,270.8,-1,-1,-1); //----------------------San-Fierro--Rumpo---------------[
    CreateVehicle(440, -1736.6,12.4,3.4,270.8,-1,-1,-1); //----------------------San-Fierro--Rumpo---------------[
    CreateVehicle(456, 2804.1,967.2,10.5,90.8,-1,-1,-1); //----------------------Las-Venturas--Yankee------------[
    CreateVehicle(456, 2825.1,966.7,10.5,90.8,-1,-1,-1); //----------------------Las-Venturas--Yankee------------[
    CreateVehicle(440, 2844.2,996.7,10.8,90.8,-1,-1,-1); //----------------------Las-Venturas--Rumpo-------------[
    CreateVehicle(440, 2842.0,955.3,10.8,90.8,-1,-1,-1); //----------------------Las-Venturas--Rumpo-------------[

	//----------------------------[TAXI-SYSTEM]----------------------------------------------------------------------------------[-]
	CreateVehicle(420, 1648.8,-1111.0,23.6,90.0,-1,-1,-1);//--------------------Los-Santos--Taxi-Service-------[
	CreateVehicle(420, 1648.6,-1106.5,23.6,90.0,-1,-1,-1);//--------------------Los-Santos--Taxi-Service-------[
	CreateVehicle(420, 1648.5,-1102.8,23.6,90.0,-1,-1,-1);//--------------------Los-Santos--Taxi-Service-------[
	CreateVehicle(420, -2672.8,-35.7,4.1,180.0,-1,-1,-1);//---------------------San-Fiero--Taxi-Service--------[
	CreateVehicle(420, -2669.6,-35.7,4.1,180.0,-1,-1,-1);//---------------------San-Fiero--Taxi-Service--------[
	CreateVehicle(420, -2666.5,-35.7,4.1,180.0,-1,-1,-1);//---------------------San-Fiero--Taxi-Service--------[
	CreateVehicle(420, 2199.9236,1292.0842,10.6207,87.4896,-1,-1,-1);//---------Las-Venturas--Piramide-Taxi----[
	CreateVehicle(420, 2199.2490,1285.6807,10.6210,92.7646,-1,-1,-1);//---------Las-Venturas--Piramide-Taxi----[
 	CreateVehicle(420, 2199.5361,1278.6904,10.6210,90.8413,-1,-1,-1);//---------Las-Venturas--Piramide-Taxi----[
	CreateVehicle(420, 2214.9963,1284.9537,10.6209,270.2379,-1,-1,-1);//--------Las-Venturas--Piramide-Taxi----[

	//--------------------------------[SAN NEWS]-----------------------------------------------------
 	CreateVehicle(582,641.3928,-1340.1484,13.2578,0.8613,-1,-1,-1); //-----------Los-Santos----Newsvan--------------[
	CreateVehicle(582,2461.7080,1017.9288,10.6163,270.0864,-1,-1,-1);//----------Las-Venturas--Newsvan--------------[
	CreateVehicle(582,-1736.3322,856.2283,24.6094,90.3762,-1,-1,-1); //----------San-Fierro----Newsvan--------------[
	
	//----------------------------------[OTHER]------------------------------------------------------
	CreateVehicle(470, 1105.7,-2070.5,69.0,185.7,-1, -1, -1);//------------------Los-Santos--Patriot--------------[
	CreateVehicle(481, 1885.2,-1360.1,18.6,90.0,0, 1, -1);//---------------------Los-Santos--BMX------------------[
	CreateVehicle(481, 1886.0,-1363.1,18.6,90.0,1, 0, -1);//---------------------Los-Santos--BMX------------------[
	CreateVehicle(481, 1886.0,-1365.1,18.6,90.0,-1, -1, -1);//-------------------Los-Santos--BMX------------------[
	CreateVehicle(510, 697.761,-522.766,15.907,182.3,-1,-1,-1);//----------------Dillimore---BMX------------------[
	CreateVehicle(468, 976.3570,-814.0229,97.8475, 29.2329,0,16,16); //----------Los-Santos--Sanchez--------------[
	CreateVehicle(468, 1424.7,-880.6,49.8,0.0,0,-1,-1);//------------------------Los-Santos--Sanchez--------------[
	CreateVehicle(463, 1513.4,-690.7,94.5,91.3,86,-1,-1); //---------------------Los-Santos--Freeway--------------[
	CreateVehicle(560, 249.9507,-1229.3521,74.5567,1.1,-1,-1,-1);//--------------Los-Santos--Sultan---------------[

	CreateVehicle(470,-1697.9257,697.9699,24.8818,91.3201,-1, -1, -1);//---------San-Fierro--Patriot--------------[
	CreateVehicle(481,-2292.7292,-1637.3317,483.2101,297.1172,0, 1, -1);//-------San-Fierro--BMX------------------[
	CreateVehicle(481,-2237.9141,-1712.6495,480.3843,96.3798,1, 0, -1);//--------San-Fierro--BMX------------------[
	CreateVehicle(481,-2237.6160,-1741.9160,480.3469,54.6870,-1, -1, -1);//------San-Fierro--BMX------------------[
	CreateVehicle(572,-2286.6892,167.1281,34.8924,330.9221,0,16,16); //----------San-Fierro--Mower----------------[
	
	//--------------------------------[FUEL TRUCK]---------------------------------------------------
    CreateVehicle(514, 653.042,1245.256,12.131,300.0,-1,-1,-1);//------Las-Venturas--------Tank
    CreateVehicle(514, 644.670,1258.548,12.133,299.3,-1,-1,-1);//------Las-Venturas--------Tank
    CreateVehicle(514, -55.300,-1134.300,1.600,70.0,-1,-1,-1);//-------Los-Santos----------Tank
    CreateVehicle(514, -57.100,-1140.600,1.600,70.0,-1,-1,-1);//-------Los-Santos----------Tank
    CreateVehicle(514, -1822.2,-83.3,15.7,358.5464,-1,-1,-1);//--------San-Fierro----------Tank
	CreateVehicle(514, -1829.202,-83.218,15.679,0.6,-1,-1,-1);//-------San-Fierro----------Tank
	new FuelTrailer[6];
    FuelTrailer[0] = CreateVehicle(584, 644.054,1240.099,12.774,299.7,-1,-1,-1);//LVTrailer 644.7,1240.0,12.2
    FuelTrailer[1] = CreateVehicle(584, 635.614,1253.517,12.750,298.8,-1,-1,-1);//lv2
    FuelTrailer[2] = CreateVehicle(584, -45.8,-1137.7,1.6,70.0,-1,-1,-1);//LSTrailer 644.7,1240.0,12.2
	FuelTrailer[3] = CreateVehicle(584, -47.073,-1143.442,2.262,73.07,-1,-1,-1);//LSTrailer 644.7,1240.0,12.2
	FuelTrailer[4] = CreateVehicle(584, -1822.4,-93.9,15.6,358.5464,-1,-1,-1);//SFTrailer 644.7,1240.0,12.2
	FuelTrailer[5] = CreateVehicle(584, -1829.191,-93.583,16.197,359.7,-1,-1,-1);//sf
	for (new s = 0; s < 6; s++)
	{
		AttachTrailerToVehicle(FuelTrailer[s], 271+s);
	}
	
 	//--------------------------------[TRAINS]-------------------------------------------------------
    CreateVehicle(449,-1711.6061,706.1787,25.1223,0.0860,1,74,-1);//------------------San-Fiero-----------Tram-------[
	AddStaticVehicleEx(538,-1943.3127,158.0254,27.0006,357.3614,121,50,99999);//------San-Fiero-----------Train------[

	//--------------------------------[NEW CARS]--------------------------------------------------
    //CreateVehicle(448, 2076.6938,2226.7898,10.4200,181.4814,-1,-1,-1); //PizzaBoy
    //CreateVehicle(448, 2369.5559,2549.0408,10.4196,181.7005,-1,-1,-1); //PizzaBoy
    //CreateVehicle(448, 2631.5305,1839.1879,10.4191,95.0879,-1,-1,-1); //PizzaBoy
    //CreateVehicle(437, 1725.0590,1934.9597,10.9200,90.9246,-1,-1,-1); // BusStop
    //CreateVehicle(428, 1279.3856,-1308.4938,13.4789,90.3620,-1,-1,-1); // Car 18 BANK
	
	//-------------[Deliveri Truck]-----------------------
	PlayerHaul[232][pCapasity] = 10;
	PlayerHaul[233][pCapasity] = 10;
	PlayerHaul[234][pCapasity] = 5;
	PlayerHaul[235][pCapasity] = 5;
	PlayerHaul[236][pCapasity] = 10;
	PlayerHaul[237][pCapasity] = 10;
	PlayerHaul[238][pCapasity] = 5;
	PlayerHaul[239][pCapasity] = 5;
 	PlayerHaul[240][pCapasity] = 10;
	PlayerHaul[241][pCapasity] = 10;
	PlayerHaul[242][pCapasity] = 5;
	PlayerHaul[243][pCapasity] = 5;
	//------------[Fuel Truck]-----------------------------
	PlayerHaul[271][pCapasity] = 10000;
	PlayerHaul[272][pCapasity] = 10000;
	PlayerHaul[273][pCapasity] = 10000;
	PlayerHaul[274][pCapasity] = 10000;
	PlayerHaul[275][pCapasity] = 10000;
	PlayerHaul[276][pCapasity] = 10000;
	//-------------[San News Van]------------------------
	PlayerHaul[254][pCapasity] = 20;
	PlayerHaul[255][pCapasity] = 20;
	PlayerHaul[256][pCapasity] = 20;
 	for(new s = 0; s < sizeof(SaveInfo); s++)
	{
 			AddStaticPickup(1277, 2, SaveInfo[s][sEnterx], SaveInfo[s][sEntery], SaveInfo[s][sEnterz], -1);
			pickups++;
	}
  	for(new s = 0; s < sizeof(StationInfo); s++)
	{
 		if(StationInfo[s][stOwned] == 0)
		{
			AddStaticPickup(1272, 2, StationInfo[s][stEnterx], StationInfo[s][stEntery], StationInfo[s][stEnterz], 0);
			pickups++;
		}
		if(StationInfo[s][stOwned] == 1)
		{
 			AddStaticPickup(1239, 2, StationInfo[s][stEnterx], StationInfo[s][stEntery], StationInfo[s][stEnterz], 0);
			pickups++;
		}
	}
	for(new h = 0; h < sizeof(HouseInfo); h++)
	{
		/*
		if(HouseInfo[h][hHel] == 1)
		{
			AddStaticPickup(1240, 2, HouseInfo[h][hHealthx], HouseInfo[h][hHealthy], HouseInfo[h][hHealthz]);
			pickups++;
		}
		if(HouseInfo[h][hArm] == 1)
		{
			AddStaticPickup(1242, 2, HouseInfo[h][hArmourx], HouseInfo[h][hArmoury], HouseInfo[h][hArmourz]);
			pickups++;
		}
		*/
		if(HouseInfo[h][hOwned] == 0)
		{
			AddStaticPickup(1273, 2, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez], 0);
            pickups++;
		}
		if(HouseInfo[h][hOwned] == 1)
		{
			AddStaticPickup(1239, 2, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez], 0);
			pickups++;
		}
	}
	for(new h = 0; h < sizeof(BizzInfo); h++)
	{
		/*
		if(BizzInfo[h][bHel] == 1)
		{
			AddStaticPickup(1240, 2, BizzInfo[h][bHealthx], BizzInfo[h][bHealthy], BizzInfo[h][bHealthz]);
			pickups++;
		}
		if(BizzInfo[h][bArm] == 1)
		{
			AddStaticPickup(1242, 2, BizzInfo[h][bArmourx], BizzInfo[h][bArmoury], BizzInfo[h][bArmourz]);
			pickups++;
		}
		*/
		if(BizzInfo[h][bOwned] == 0)
		{
			AddStaticPickup(1272, 2, BizzInfo[h][bEntrancex], BizzInfo[h][bEntrancey], BizzInfo[h][bEntrancez], 0);
			pickups++;
		}
		if(BizzInfo[h][bOwned] == 1)
		{
			AddStaticPickup(1239, 2, BizzInfo[h][bEntrancex], BizzInfo[h][bEntrancey], BizzInfo[h][bEntrancez], 0);
			pickups++;
		}
	}
	for(new h = 0; h < sizeof(SBizzInfo); h++)
	{
		/*
		if(BizzInfo[h][bHel] == 1)
		{
			AddStaticPickup(1240, 2, BizzInfo[h][bHealthx], BizzInfo[h][bHealthy], BizzInfo[h][bHealthz]);
			pickups++;
		}
		if(BizzInfo[h][bArm] == 1)
		{
			AddStaticPickup(1242, 2, BizzInfo[h][bArmourx], BizzInfo[h][bArmoury], BizzInfo[h][bArmourz]);
			pickups++;
		}
		*/
		if(SBizzInfo[h][sbOwned] == 0)
		{
			AddStaticPickup(1272, 2, SBizzInfo[h][sbEntrancex], SBizzInfo[h][sbEntrancey], SBizzInfo[h][sbEntrancez], 0);
			pickups++;
		}
		if(SBizzInfo[h][sbOwned] == 1)
		{
			AddStaticPickup(1239, 2, SBizzInfo[h][sbEntrancex], SBizzInfo[h][sbEntrancey], SBizzInfo[h][sbEntrancez], 0);
			pickups++;
		}
	}
	AddStaticPickup(1274, 2, BizzInfo[4][bEntrancex], BizzInfo[4][bEntrancey], BizzInfo[4][bEntrancez], 0);pickups++; //thebank
	AddStaticPickup(1274, 2, BizzInfo[18][bEntrancex], BizzInfo[18][bEntrancey], BizzInfo[18][bEntrancez], 0);pickups++; //thebank
	AddStaticPickup(1274, 2, BizzInfo[32][bEntrancex], BizzInfo[32][bEntrancey], BizzInfo[32][bEntrancez], 0);pickups++; //thebank
	
	AddStaticPickup(371, 2, 1536.0, -1360.0, 1150.0, 0);
	AddStaticPickup(3013, 2, 2080.4,2120.6,10.8, 0); // at gordo's
	AddStaticPickup(3013, 2, 2083.5,2222.4,10.8, 0); // at wel stacked pizza
	AddStaticPickup(3013, 2, 1517.3,1066.9,10.8, 0); // At Big Banana's
	AddStaticPickup(3013, 2, 2156.4,943.2,10.8, 0); //  At SouthSide Ammunation
	AddStaticPickup(3013, 2, 2470.9,2034.9,11.0, 0); // At Northside Cluckin' Bell
	AddStaticPickup(3013, 2, 1674.7,1448.0,10.7, 0); // At The Airport
	AddStaticPickup(3013, 2, 2193.4,1676.4,12.3, 0); // at Caligula's Palace
	AddStaticPickup(3013, 2, 2637.4,1127.2,11.1, 0); //At Eastside Gas Station
	AddStaticPickup(3013, 2, 2415.5,1124.0,10.8, 0); //At The City Planning Departement
	AddStaticPickup(3013, 2, 1458.2,2773.5,10.8, 0); // At The Golf Club
	//--------------------------------LS-PICKUP-------------------------------------------------------------------[-]
	AddStaticPickup(3013, 2, 997.7,-921.1,42.1, 0);//--------------------------------cashbox-------START-LS-PICKUP---[1]
	AddStaticPickup(3013, 2, 2421.5, -1221.7, 25.3, 0);//----------------------------
	AddStaticPickup(3013, 2, 2069.7,-1780.1,13.5, 0);//------------------------------
	AddStaticPickup(3013, 2, 1352.4,-1756.7,13.5, 0);//------------------------------
	AddStaticPickup(3013, 2, 1831.1,-1842.8,13.5, 0);//------------------------------
	AddStaticPickup(371, 2, 1544.2,-1353.4,329.4, 0); //-----------------------------ls towertop---END-LS-PICKUP-----[ ]
	//-------------------------------SF-PICKUP--------------------------------------------------------------------[-]
	AddStaticPickup(371, 2, -1753.6,885.2,295.8, 0);// sf towertop
	AddStaticPickup(3013, 2, -2418.83,969.51,45.30, 0);//cashbox0
	AddStaticPickup(3013, 2, -1498.02,925.16,7.19, 0);
	AddStaticPickup(3013, 2, -2444.78,753.17,35.17, 0);
	AddStaticPickup(3013, 2, -2453.94,504.07,30.08, 0);
	AddStaticPickup(3013, 2, -2625.85,209.14,4.62, 0);
	AddStaticPickup(3013, 2, -1689.99,432.77,7.19, 0);
	AddStaticPickup(3013, 2, -1406.7,-304.4,14.1, 0);
	//-------------------------------BINCO-AMOR-------------------------------------------------------------------[-]
	AddStaticPickup(1242, 2, 1527.5,-12.1,1002.0, 0); //binco armor
	pickups=pickups+26;

	printf("Pickups Max = 2048, Current Pickups = %d",pickups);
	new randa = random(sizeof(RandCars));
	randa = random(sizeof(RandCars));carselect[0] = RandCars[randa][0];
	randa = random(sizeof(RandCars));carselect[1] = RandCars[randa][0];
	randa = random(sizeof(RandCars));carselect[2] = RandCars[randa][0];
	randa = random(sizeof(RandLow));carselect[3] = RandLow[randa][0];
	randa = random(sizeof(RandCars));carselect[4] = RandCars[randa][0];
	randa = random(sizeof(RandAngles));carselect[5] = RandAngles[randa][0];
	randa = random(sizeof(RandCars));carselect[6] = RandCars[randa][0];
	randa = random(sizeof(RandLow));carselect[7] = RandLow[randa][0];
	randa = random(sizeof(RandCars));carselect[8] = RandCars[randa][0];
	randa = random(sizeof(RandAngles));carselect[9] = RandAngles[randa][0];
	randa = random(sizeof(RandCars));carselect[10] = RandCars[randa][0];
	randa = random(sizeof(RandCars));carselect[11] = RandCars[randa][0];
	randa = random(sizeof(RandBikes));carselect[12] = RandBikes[randa][0];
	randa = random(sizeof(RandBikes));carselect[13] = RandBikes[randa][0];
	randa = random(sizeof(RandLCars));carselect[14] = RandLCars[randa][0];
	CreateVehicle(carselect[14], 2128.0869,1752.9479,11.2570,92.8204,-1, -1, -1);//long lv
	CreateVehicle(carselect[14],-2038.4915,484.3313,35.2692,359.0161,-1, -1, -1);//long sf
	CreateVehicle(carselect[14], 1279.4,-1337.0, 13.5, 1.0,-1, -1, -1);//long ls
	//------------------------------Briefcase--Phone----------------------------------------------------------------[-]
	CreateObject(1216, 2087.58, 1507.12, 10.4422,0.0,0,270.0);//--------Las-Venturas-Casino-Royal-------[1]
	CreateObject(1216, 2794.6, 1987.92, 10.43,0.0,0,270.0);//-----------Las-Venturas-General-Store------[2]
	CreateObject(1216, 1438.7, 2616.85, 11.08,0.0,0,0.0);//-------------Las-Venturas-RailWays-Station---[3]
	CreateObject(1216, 1626.5, 1814.33, 10.519,0.0,0,180.0);//----------Las-Venturas-Hospital-----------[4]
	CreateObject(1216, 1021.878, 1718.33, 10.5,0.0,0,90.0);//-----------Las-Venturas-Track-Stadion------[5]
	CreateObject(1216, -2594.87, 617.953, 14.149,0.0,0,90.0);//---------San-Fiero-Hospital--------------[6]
	CreateObject(1216, -1798.4, 1200.7, 24.81,0.0,0,0.0);//-------------San-Fiero-Michelle's------------[7]
	CreateObject(1216, -2421.28, 293.69, 34.86,0.0,0,125.0);//----------San-Fiero-Hotel-----------------[8]
	CreateObject(1216, -2197.69, 2412.23, 4.66,0.0,0,405.0);//----------San-Fiero-Martin's-Pilot-School-[9]
	//--------------------------------------------------------------------------------------------------------------[-]
	//printf("DEBUG: Rando Cars %d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,",carselect[0],carselect[1],carselect[2],carselect[3],carselect[4],carselect[5],carselect[6],carselect[7],carselect[8],carselect[9],carselect[10],carselect[11],carselect[12],carselect[13],carselect[14]);
	gAnn = TextDrawCreate(150.0, 120.0, " ");
	for(new i; i < MAX_CHAT_LINES; i++)
	{
    	format(chatstore[i], 256, " ");
    	gSanNews[i] = TextDrawCreate(ChatPosition[i][0], ChatPosition[i][1], chatstore[i]);
    	//TextDrawAlignment(gSanNews[i], 1);
		TextDrawBackgroundColor(gSanNews[i],0x000000FF);
		TextDrawLetterSize(gSanNews[i],0.290000,1.200000);
		TextDrawSetProportional(gSanNews[i],1);
	 	TextDrawSetOutline(gSanNews[i], 1);
	 	//TextDrawShowForAll(gSanNews[i]);
	}
	//===================================================================================================
	if (gRoundTime > 0)
	{
		SetTimer("GameModeInitExitFunc", gRoundTime, 0);
	}
	if (realtime)
	{
		new tmphour;
		new tmpminute;
		new tmpsecond;
		gettime(tmphour, tmpminute, tmpsecond);
		FixHour(tmphour);
		tmphour = shifthour;
		SetWorldTime(tmphour);
	}
	if (fow)
	{
		SetTimer("CopScanner", radarfreq, 1);
	}
	synctimer = SetTimer("SyncUp", 60000, 1);
	newmistimer = SetTimer("PrePlayerNewMission", jobdelay, 1);
	unjailtimer = SetTimer("SetPlayerUnjail", 1000, 1);
	if (nocasino)
	{
		playertimer = SetTimer("PlayerInArea", 1000, 1);
	}
	cartimer = SetTimer("CarCheck", 30000, 1);
	celltimer = SetTimer("CellPhoneTimer", 1000, 1);
	SetTimer("RingToner", 500, 0);
	SetTimer("SetPlayerFlash", 1000, 0);
	SetTimer("CustomPickups", 1000, 1);
	SetTimer("InHouse", 1000, 1);
	SetTimer("GameTicks", 500, 1);
	SetTimer("VoteKickTimer", 1000, 1);
	SetTimer("DMDetect", 1000, 1);
	SetTimer("Spectator", 2000, 1);
	SetTimer("PenInArea", 2000, 1);
	SetTimer("IdleKick", idletime, 1);
	SetTimer("AntiTeleport", 1000, 1);
	SetTimer("AntiImmortal", 1000, 1);
	SetTimer("AntiCamp", 1000, 1);
	SetTimer("SkyDive", 1000, 1);
	SetTimer("Production", 300000, 1); //5 mins
	SetTimer("LottoTime",60000,1);
	SetTimer("PingKick",1000,1);
	//SetTimer("VehStateCheck",300,1);
	SetTimer("WantedLevel", 300000, 1);
	//SetTimer("CheckWeapons",1000,1);
	SetTimer("CashCheck",5000,1);
	//SetTimer("ScrollScan",200,1);
	//for(new i = 0; i < sizeof(CarSpawns); i++)
	for(new i = 0; i < 588; i++)
	{
    	AddCar(i);
		//if (gdebug){printf("DEBUG car (%d) spawned", i);}
	}
	CarInit();
	TeamCarLockInit();
	//EnableTirePopping(1); not work in 0.3a
	return 1;
}

public SyncUp()
{
if (gdebug >= 3){printf("DEBUG SyncUp()");}
	SyncTime();
	DollahScoreUpdate();
}

public SyncTime()
{
if (gdebug >= 3){printf("DEBUG SyncTime()");}
	new string[64];
	new tmphour;
	new tmpminute;
	new tmpsecond;
	gettime(tmphour, tmpminute, tmpsecond);
	FixHour(tmphour);
	tmphour = shifthour;
	if ((tmphour > ghour) || (tmphour == 0 && ghour == 23))
	{
		format(string, sizeof(string), "SERVER: The Time Is Now %d:00 Hours",tmphour);
		BroadCast(COLOR_WHITE,string);
		if (numplayers == 0)
		{
			GameModeInitExitFunc();
		}
		if (gdebug){printf("DEBUG tmphour=%d ghour=%d",tmphour,ghour);}
		ghour = tmphour;
		PayDay();
		if (realtime)
		{
			SetWorldTime(tmphour);
		}
	}
}

public SkyDive()
{
	skydivecount--;
	new string[256];
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && gSkyDive[i] == 1)
		{
			if(skydivecount > 10)
			{
				format(string, sizeof(string), "~W~%d",skydivecount);
			}
			else
			{
				format(string, sizeof(string), "~r~%d",skydivecount);
			}
			GameTextForPlayer(i, string, 2000, 6);
			if(skydivecount == 0)
			{
				GivePlayerWeapon(i, 46, 0);
				SetPlayerPos(i,SBizzInfo[0][sbEntrancex]+i, SBizzInfo[0][sbEntrancey], 1350.0);
				SetPlayerInterior(i,0);
				PlayerInfo[i][pInt] = 0;
				SendClientMessage(i, TEAM_GROVE_COLOR, "GREENLIGHT: GO!! GO!! GO!!");
				gSkyDive[i] = 0;
			}
		}
  		if(IsPlayerConnected(i) == 1 && gSkyDive[i] == 2)
		{
			if(skydivecount > 10)
			{
				format(string, sizeof(string), "~W~%d",skydivecount);
			}
			else
			{
				format(string, sizeof(string), "~r~%d",skydivecount);
			}
			GameTextForPlayer(i, string, 2000, 6);
			if(skydivecount == 0)
			{
				GivePlayerWeapon(i, 46, 0);
				SetPlayerPos(i,SBizzInfo[16][sbEntrancex]+i, SBizzInfo[16][sbEntrancey], 1350.0);
				SetPlayerInterior(i,0);
				PlayerInfo[i][pInt] = 0;
				SendClientMessage(i, TEAM_GROVE_COLOR, "GREENLIGHT: GO!! GO!! GO!!");
				gSkyDive[i] = 0;
			}
		}
    	if(IsPlayerConnected(i) == 1 && gSkyDive[i] == 3)
		{
			if(skydivecount > 10)
			{
				format(string, sizeof(string), "~W~%d",skydivecount);
			}
			else
			{
				format(string, sizeof(string), "~r~%d",skydivecount);
			}
			GameTextForPlayer(i, string, 2000, 6);
			if(skydivecount == 0)
			{
				GivePlayerWeapon(i, 46, 0);
				SetPlayerPos(i,SBizzInfo[32][sbEntrancex]+i, SBizzInfo[32][sbEntrancey], 1350.0);
				SetPlayerInterior(i,0);
				PlayerInfo[i][pInt] = 0;
				SendClientMessage(i, TEAM_GROVE_COLOR, "GREENLIGHT: GO!! GO!! GO!!");
				gSkyDive[i] = 0;
			}
		}
	}
	if(skydivecount == 0)
	{
		skydivecount = 60;
	}
}

public Production()
{
	for(new i = 0; i < sizeof(BizzInfo); i++)
	{
		if(BizzInfo[i][bComp] > 0)
		{
			//printf("BizzInfo[i][bComp] %d BizzInfo[i][bProdCost] %d",BizzInfo[i][bComp],BizzInfo[i][bProdCost])
			if(BizzInfo[i][bProd] < BizzInfo[i][bProdCap])
			{
				//printf("BizzInfo[i][bProd] %d BizzInfo[i][bProdCap] %d",BizzInfo[i][bProd],BizzInfo[i][bProdCap])
				BizzInfo[i][bProd] = BizzInfo[i][bProd]+BizzInfo[i][bProdCost];
				BizzInfo[i][bComp]--;
			}
		}
	}
	for(new i = 0; i < sizeof(SBizzInfo); i++)
	{
		if(SBizzInfo[i][sbComp] > 0)
		{
			if(SBizzInfo[i][sbProd] < SBizzInfo[i][sbProdCap])
			{
				SBizzInfo[i][sbProd] = SBizzInfo[i][sbProd]+SBizzInfo[i][sbProdCost];
				SBizzInfo[i][sbComp]--;
			}
		}
	}
 	for(new i = 0; i < sizeof(StationInfo); i++)
	{
		if(StationInfo[i][stComp] > 0)
		{
			if(StationInfo[i][stProd] < StationInfo[i][stProdCap])
			{
				StationInfo[i][stProd] = StationInfo[i][stProd]+StationInfo[i][stProdCost];
				//StationInfo[i][stComp]--;
				StationInfo[i][stComp] = StationInfo[i][stComp]-1000;
			}
		}
	}
}

public DateProp(playerid)
{
	new playername[MAX_PLAYER_NAME];
	GetPlayerName(playerid, playername, sizeof(playername));
	new curdate = getdate();
	for(new h = 0; h < sizeof(HouseInfo); h++)
	{
		if (strcmp(playername, HouseInfo[h][hOwner], true) == 0)
		{
			HouseInfo[h][hDate] = curdate;
			OnPropUpdate();
		}
	}
	for(new b = 0; b < sizeof(BizzInfo); b++)
	{
		if (strcmp(playername, BizzInfo[b][bOwner], true) == 0)
		{
			BizzInfo[b][bDate] = curdate;
			OnPropUpdate();
		}
	}
	for(new c = 0; c < sizeof(SBizzInfo); c++)
	{
		if (strcmp(playername, SBizzInfo[c][sbOwner], true) == 0)
		{
			SBizzInfo[c][sbDate] = curdate;
			OnPropUpdate();
		}
	}
 	for(new s = 0; s < sizeof(StationInfo); s++)
	{
		if (strcmp(playername, StationInfo[s][stOwner], true) == 0)
		{
			StationInfo[s][stDate] = curdate;
			OnPropUpdate();
		}
	}
	return 1;
}

public Checkprop()
{
	new olddate;
	new string[256];
	new curdate = getdate();
	for(new h = 0; h < sizeof(HouseInfo); h++)
	{
		if(HouseInfo[h][hOwned] == 1 && HouseInfo[h][hDate] > 9)
		{
			olddate = HouseInfo[h][hDate];
			if(curdate-olddate >= 3)
			{
				HouseInfo[h][hHel] = 0;
				HouseInfo[h][hArm] = 0;
				HouseInfo[h][hHealthx] = 0;
				HouseInfo[h][hHealthy] = 0;
				HouseInfo[h][hHealthz] = 0;
				HouseInfo[h][hArmourx] = 0;
				HouseInfo[h][hArmoury] = 0;
				HouseInfo[h][hArmourz] = 0;
				HouseInfo[h][hLock] = 1;
				HouseInfo[h][hOwned] = 0;
				HouseInfo[h][hVec] = 418;
				HouseInfo[h][hVcol1] = -1;
				HouseInfo[h][hVcol2] = -1;
				strmid(HouseInfo[h][hOwner], "The State", 0, strlen("The State"), 255);
				format(string, sizeof(string), "REAL ESTATE: A House is available at a value of $%d",HouseInfo[h][hValue]);
				SendClientMessageToAll(TEAM_BALLAS_COLOR, string);
				OnPropUpdate();
			}
		}
	}
	for(new b = 0; b < sizeof(BizzInfo); b++)
	{
		if(BizzInfo[b][bOwned] == 1 && BizzInfo[b][bDate] > 9)
		{
			olddate = BizzInfo[b][bDate];
			if(curdate-olddate >= 3)
			{
				BizzInfo[b][bHel] = 0;
				BizzInfo[b][bArm] = 0;
				BizzInfo[b][bLock] = 1;
				BizzInfo[b][bOwned] = 0;
				strmid(BizzInfo[b][bOwner], "The State", 0, strlen("The State"), 255);
				format(string, sizeof(string), "REAL ESTATE: A Business is available at a value of $%d",BizzInfo[b][bValue]);
				SendClientMessageToAll(TEAM_BALLAS_COLOR, string);
				OnPropUpdate();
			}
		}
	}
	for(new c = 0; c < sizeof(SBizzInfo); c++)
	{
		if(SBizzInfo[c][sbOwned] == 1 && SBizzInfo[c][sbDate] > 9)
		{
			olddate = SBizzInfo[c][sbDate];
			if(curdate-olddate >= 3)
			{
				SBizzInfo[c][sbHel] = 0;
				SBizzInfo[c][sbArm] = 0;
				SBizzInfo[c][sbLock] = 1;
				SBizzInfo[c][sbOwned] = 0;
				strmid(SBizzInfo[c][sbOwner], "The State", 0, strlen("The State"), 255);
				format(string, sizeof(string), "REAL ESTATE: A Small Business is available at a value of $%d",SBizzInfo[c][sbValue]);
				SendClientMessageToAll(TEAM_BALLAS_COLOR, string);
				OnPropUpdate();
			}
		}
	}
 	for(new s = 0; s < sizeof(StationInfo); s++)
	{
		if(StationInfo[s][stOwned] == 1 && StationInfo[s][stDate] > 9)
		{
			olddate = StationInfo[s][stDate];
			if(curdate-olddate >= 3)
			{
				StationInfo[s][stHel] = 0;
				StationInfo[s][stArm] = 0;
				StationInfo[s][stLock] = 1;
				StationInfo[s][stOwned] = 0;
				strmid(StationInfo[s][stOwner], "The State", 0, strlen("The State"), 255);
				format(string, sizeof(string), "REAL ESTATE: A Small Business is available at a value of $%d",StationInfo[s][stValue]);
				SendClientMessageToAll(TEAM_BALLAS_COLOR, string);
				OnPropUpdate();
			}
		}
	}
	return 1;
}

public PayDay()
{
if (gdebug >= 1){printf("DEBUG PayDay()");}
	new string[128];
	new pay,account,interest;
	new rent = 0;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && PlayerInfo[i][pLevel] > 0)
		{
			new playername2[MAX_PLAYER_NAME];
			GetPlayerName(i, playername2, sizeof(playername2));
            if(strfind(playername2, "[AFK]", true, 0) != -1)
            {
            	strdel(playername2, 0, 5);
            }
			account = PlayerInfo[i][pAccount];
			new key = PlayerInfo[i][pPhousekey];
			if(key != 255)
			{
				rent = HouseInfo[key][hRent];
				if(strcmp(playername2, HouseInfo[key][hOwner], true) == 0)
				{
					rent = 0;
				}
				else if(rent > GetPlayerMoney(i))
				{
					PlayerInfo[i][pPhousekey] = 255;
					SendClientMessage(i, COLOR_WHITE, "You have been evicted");
					rent = 0;
				}
				HouseInfo[key][hTakings] = HouseInfo[key][hTakings]+rent;
			}
			new tmpintrate;
			if (key != 255 && strcmp(playername2, HouseInfo[key][hOwner], true) == 0)
			{
				tmpintrate = intrate+HouseInfo[key][hLevel];
			}
			else
			{
				tmpintrate = 1;
			}
			new tmpbiz;
			if (key < 34) { tmpbiz = 4; }
			else if (key > 33 && key < 68) { tmpbiz = 18; }
			else if (key > 67 && key != 255) { tmpbiz = 32; }
			else
			{
				new bankbiz[3] = {4, 18, 32};
				new randa = random(sizeof(bankbiz));
				tmpbiz = bankbiz[randa];
			}
			interest = (PlayerInfo[i][pAccount]/1000)*(tmpintrate);
			pay = PlayerInfo[i][pLevel]*paycheck;
			PlayerInfo[i][pExp]++;
			PlayerPlayMusic(i);
			GiveMoney(i,pay-rent);
			PlayerInfo[i][pAccount] = account+interest;
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+((PlayerInfo[i][pAccount]/1000)+intrate);
			SendClientMessage(i, COLOR_PURPLE, "|___ BANK STATEMENT ___|");
			format(string, sizeof(string), "  Balance: $%d", account);
			SendClientMessage(i, COLOR_GREEN, string);
			format(string, sizeof(string), "  Interest Rate: 0.%d percent",tmpintrate);
			SendClientMessage(i, COLOR_GREEN, string);
			format(string, sizeof(string), "  Interest Gained $%d", interest);
			SendClientMessage(i, COLOR_GREEN, string);
			SendClientMessage(i, COLOR_PURPLE, "|--------------------------------------|");
			format(string, sizeof(string), "  New Balance: $%d", PlayerInfo[i][pAccount]);
			SendClientMessage(i, COLOR_GREEN, string);
			format(string, sizeof(string), "  Rent: -$%d", rent);
			SendClientMessage(i, COLOR_RED, string);
			format(string, sizeof(string), "~y~PayDay~n~~w~Paycheck ~n~~g~$%d", pay);
			GameTextForPlayer(i, string, 5000, 1);
			rent = 0;
		}
	}
	Checkprop();
	return 1;
}

strtok(const string[], &index)
{
	new length = strlen(string);
	while ((index < length) && (string[index] <= ' '))
	{
		index++;
	}

	new offset = index;
	new result[20];
	while ((index < length) && (string[index] > ' ') && ((index - offset) < (sizeof(result) - 1)))
	{
		result[index - offset] = string[index];
		index++;
	}
	result[index - offset] = EOS;
	return result;
}

public strtik(const string[], &index)
{
	new length = strlen(string);
	while ((index < length) && (string[index] <= ','))
	{
		index++;
	}

	new offset = index;
	new result[20];
	while ((index < length) && (string[index] > ',') && ((index - offset) < (sizeof(result) - 1)))
	{
		result[index - offset] = string[index];
		index++;
	}
	result[index - offset] = EOS;
	return 1/*result*/;
}

public split(const strsrc[], strdest[][], delimiter)
{
	new i, li;
	new aNum;
	new len;

	while(i <= strlen(strsrc)){
	    if(strsrc[i]==delimiter || i==strlen(strsrc)){
	        len = strmid(strdest[aNum], strsrc, li, i, 128);
	        strdest[aNum][len] = 0;
	        li = i+1;
	        aNum++;
		}
		i++;
	}

	return 1;
}

public DelPrint(string1[])
{
	strmid(string1, string1, 0, strlen(string1)-1, 255);
	printf("%s", string1);
}

public LoadPlayer(loaderid,const string[])
{
	new string2[64];
	new loaded = loaderid;
	new valtmp[128];
	format(string2, sizeof(string2), "accounts/%s.cer", string);
	new File: file = fopen(string2, io_read);
	if (file)
	{
			fread(file, valtmp);strmid(PLlayerInfo[loaded][plPassword], valtmp, 0, strlen(valtmp)-1, 255);
			fread(file, valtmp);strmid(PLlayerInfo[loaded][plIp], valtmp, 0, strlen(valtmp)-1, 255);
			fread(file, valtmp);PLlayerInfo[loaded][plCash] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAccount] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAdmin] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plLevel] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plExp] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][glPupgrade] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plKills] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plCB] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plHW] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSR] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plWA] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plBF] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPEN] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun1] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun2] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun3] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun4] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun5] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGun6] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo1] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo2] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo3] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo4] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo5] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAmmo6] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSHealth] = floatstr(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PLlayerInfo[loaded][plSArmour] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plHealth] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPos_x] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPos_y] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPos_z] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plInt] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plLocal] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plTeam] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plModel] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPnumber] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPhousekey] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPbiskey] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plWarnL] = strval(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PLlayerInfo[loaded][plTmpRank] = strval(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PLlayerInfo[loaded][plDildoK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFlowerK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plCaneK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGrenadeK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGasK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMolotovK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plColtK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSPK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plDeagleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPShotK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSawnK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSpas12K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plUziK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMP5K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAK47K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plM4K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plTec9K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plRifleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSRifleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plRPGK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plHSRLK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFlameK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMiniK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSatchelK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFireEK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSprayK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFistK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plBrassK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGolfK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plNightSK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plBatK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plShovelK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPoolCK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plKatanaK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plChainsawK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plIntimK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plKnifeK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plDildoD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFlowerD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plCaneD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGrenadeD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGasD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMolotovD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plColtD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSPD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plDeagleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPShotD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSawnD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSpas12D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plUziD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMP5D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plAK47D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plM4D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plTec9D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plRifleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSRifleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plRPGD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plHSRLD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFlameD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMiniD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSatchelD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFireED] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plSprayD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plFistD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plBrassD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plGolfD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plNightSD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plBatD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plShovelD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPoolCD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plKatanaD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plChainsawD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plIntimD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plKnifeD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plPMs] = strval(valtmp);//DelPrint(valtmp);
   	        fread(file, valtmp);PLlayerInfo[loaded][plALicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plBLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plCLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plELicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plALicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plBLicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plCLicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDLicenceR] = strval(valtmp);//DelPrint(valtmp);
        	fread(file, valtmp);PLlayerInfo[loaded][plELicenceR] = strval(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PLlayerInfo[loaded][plShooter] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDiller] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plHealther] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plRepairer] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plThiefer] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plTeacher] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDetective] = strval(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PLlayerInfo[loaded][plShooterR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDillerR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plHealtherR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plRepairerR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plThieferR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plTeacherR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plDetectiveR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PLlayerInfo[loaded][plWantedlevel] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plJob] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PLlayerInfo[loaded][plMats] = strval(valtmp);//DelPrint(valtmp);
			SendClientMessage(loaderid, COLOR_WHITE, "SERVER: Account Loaded");
	}
	else
	{
		SendClientMessage(loaderid, COLOR_WHITE, "SERVER: No account found by that name");
		return 0;
	}
	return 1;
}


public SavePlayer(loaderid,const string[])
{
	new string3[32];
	new saved = loaderid;
	format(string3, sizeof(string3), "accounts/%s.cer", string);
	new File: pFile = fopen(string3, io_write);
	if (pFile)
	{
		new var[32];
		format(var, 32, "%s\n", PLlayerInfo[saved][plPassword]);fwrite(pFile, var);
		fclose(pFile);
		new File: hFile = fopen(string3, io_append);
		format(var, 32, "%s\n",PLlayerInfo[saved][plIp]);fwrite(hFile, var);
		format(var, 32, "%d pCash\n",PLlayerInfo[saved][plCash]);fwrite(hFile, var);
		format(var, 32, "%d pAccount\n",PLlayerInfo[saved][plAccount]);fwrite(hFile, var);
		format(var, 32, "%d pAdmin\n",PLlayerInfo[saved][plAdmin]);fwrite(hFile, var);
		format(var, 32, "%d pLevel\n",PLlayerInfo[saved][plLevel]);fwrite(hFile, var);
		format(var, 32, "%d pExp\n",PLlayerInfo[saved][plExp]);fwrite(hFile, var);
		format(var, 32, "%d gPupgrade\n",PLlayerInfo[saved][glPupgrade]);fwrite(hFile, var);
		format(var, 32, "%d pKills\n",PLlayerInfo[saved][plKills]);fwrite(hFile, var);
		format(var, 32, "%d pCB\n",PLlayerInfo[saved][plCB]);fwrite(hFile, var);
		format(var, 32, "%d pHW\n",PLlayerInfo[saved][plHW]);fwrite(hFile, var);
		format(var, 32, "%d pSR\n",PLlayerInfo[saved][plSR]);fwrite(hFile, var);
		format(var, 32, "%d pWA\n",PLlayerInfo[saved][plWA]);fwrite(hFile, var);
		format(var, 32, "%d pBF\n",PLlayerInfo[saved][plBF]);fwrite(hFile, var);
		format(var, 32, "%d pPEN\n",PLlayerInfo[saved][plPEN]);fwrite(hFile, var);
		format(var, 32, "%d pGun1\n",PLlayerInfo[saved][plGun1]);fwrite(hFile, var);
		format(var, 32, "%d pGun2\n",PLlayerInfo[saved][plGun2]);fwrite(hFile, var);
		format(var, 32, "%d pGun3\n",PLlayerInfo[saved][plGun3]);fwrite(hFile, var);
		format(var, 32, "%d pGun4\n",PLlayerInfo[saved][plGun4]);fwrite(hFile, var);
		format(var, 32, "%d pGun5\n",PLlayerInfo[saved][plGun5]);fwrite(hFile, var);
		format(var, 32, "%d pGun6\n",PLlayerInfo[saved][plGun6]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo1\n",PLlayerInfo[saved][plAmmo1]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo2\n",PLlayerInfo[saved][plAmmo2]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo3\n",PLlayerInfo[saved][plAmmo3]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo4\n",PLlayerInfo[saved][plAmmo4]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo5\n",PLlayerInfo[saved][plAmmo5]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo6\n",PLlayerInfo[saved][plAmmo6]);fwrite(hFile, var);
		format(var, 32, "%.1f pSHealth\n", PLlayerInfo[saved][plSHealth]);fwrite(hFile, var);
		format(var, 32, "%.1f pSArmour\n", PLlayerInfo[saved][plSArmour]);fwrite(hFile, var);
		format(var, 32, "%.1f pHealth\n", PLlayerInfo[saved][plHealth]);fwrite(hFile, var);
		format(var, 32, "%.1f pPos_x\n", PLlayerInfo[saved][plPos_x]);fwrite(hFile, var);
		format(var, 32, "%.1f pPos_y\n", PLlayerInfo[saved][plPos_y]);fwrite(hFile, var);
		format(var, 32, "%.1f pPos_z\n", PLlayerInfo[saved][plPos_z]);fwrite(hFile, var);
		format(var, 32, "%d pInt\n",PLlayerInfo[saved][plInt]);fwrite(hFile, var);
		format(var, 32, "%d pLocal\n",PLlayerInfo[saved][plLocal]);fwrite(hFile, var);
		format(var, 32, "%d pTeam\n",PLlayerInfo[saved][plTeam]);fwrite(hFile, var);
		format(var, 32, "%d pModel\n",PLlayerInfo[saved][plModel]);fwrite(hFile, var);
		format(var, 32, "%d pPnumber\n",PLlayerInfo[saved][plPnumber]);fwrite(hFile, var);
		format(var, 32, "%d pPhousekey\n",PLlayerInfo[saved][plPhousekey]);fwrite(hFile, var);
		format(var, 32, "%d pPbiskey\n",PLlayerInfo[saved][plPbiskey]);fwrite(hFile, var);
		format(var, 32, "%d pWarnL\n",PLlayerInfo[saved][plWarnL]);fwrite(hFile, var);
		format(var, 32, "%d pSaves\n",PLlayerInfo[saved][plSaves]);fwrite(hFile, var);
		format(var, 32, "%d pLottoXP\n",PLlayerInfo[saved][plLottoXP]);fwrite(hFile,var);
		format(var, 32, "%d pTmpRank\n",PLlayerInfo[saved][plTmpRank]);fwrite(hFile, var);
  		format(var, 32, "%d pDildoK\n",PLlayerInfo[saved][plDildoK]);fwrite(hFile, var);
		format(var, 32, "%d pFlowerK\n",PLlayerInfo[saved][plFlowerK]);fwrite(hFile, var);
		format(var, 32, "%d pCaneK\n",PLlayerInfo[saved][plCaneK]);fwrite(hFile, var);
		format(var, 32, "%d pGrenadeK\n",PLlayerInfo[saved][plGrenadeK]);fwrite(hFile, var);
		format(var, 32, "%d pGasK\n",PLlayerInfo[saved][plGasK]);fwrite(hFile, var);
		format(var, 32, "%d pMolotovK\n",PLlayerInfo[saved][plMolotovK]);fwrite(hFile, var);
		format(var, 32, "%d pColtK\n",PLlayerInfo[saved][plColtK]);fwrite(hFile, var);
		format(var, 32, "%d pSPK\n",PLlayerInfo[saved][plSPK]);fwrite(hFile, var);
		format(var, 32, "%d pDeagleK\n",PLlayerInfo[saved][plDeagleK]);fwrite(hFile, var);
		format(var, 32, "%d pPShotK\n",PLlayerInfo[saved][plPShotK]);fwrite(hFile, var);
		format(var, 32, "%d pSawnK\n",PLlayerInfo[saved][plSawnK]);fwrite(hFile, var);
		format(var, 32, "%d pSpas12K\n",PLlayerInfo[saved][plSpas12K]);fwrite(hFile, var);
		format(var, 32, "%d pUziK\n",PLlayerInfo[saved][plUziK]);fwrite(hFile, var);
		format(var, 32, "%d pMP5K\n",PLlayerInfo[saved][plMP5K]);fwrite(hFile, var);
		format(var, 32, "%d pAK47K\n",PLlayerInfo[saved][plAK47K]);fwrite(hFile, var);
		format(var, 32, "%d pM4K\n",PLlayerInfo[saved][plM4K]);fwrite(hFile, var);
		format(var, 32, "%d pTec9K\n",PLlayerInfo[saved][plTec9K]);fwrite(hFile, var);
		format(var, 32, "%d pRifleK\n",PLlayerInfo[saved][plRifleK]);fwrite(hFile, var);
		format(var, 32, "%d pSRifleK\n",PLlayerInfo[saved][plSRifleK]);fwrite(hFile, var);
		format(var, 32, "%d pRPGK\n",PLlayerInfo[saved][plRPGK]);fwrite(hFile, var);
		format(var, 32, "%d pHSRLK\n",PLlayerInfo[saved][plHSRLK]);fwrite(hFile, var);
		format(var, 32, "%d pFlameK\n",PLlayerInfo[saved][plFlameK]);fwrite(hFile, var);
		format(var, 32, "%d pMiniK\n",PLlayerInfo[saved][plMiniK]);fwrite(hFile, var);
		format(var, 32, "%d pSachelK\n",PLlayerInfo[saved][plSatchelK]);fwrite(hFile, var);
		format(var, 32, "%d pFireEK\n",PLlayerInfo[saved][plFireEK]);fwrite(hFile, var);
		format(var, 32, "%d pSprayK\n",PLlayerInfo[saved][plSprayK]);fwrite(hFile, var);
		format(var, 32, "%d pFistK\n",PLlayerInfo[saved][plFistK]);fwrite(hFile, var);
		format(var, 32, "%d pBrassK\n",PLlayerInfo[saved][plBrassK]);fwrite(hFile, var);
		format(var, 32, "%d pGolfK\n",PLlayerInfo[saved][plGolfK]);fwrite(hFile, var);
		format(var, 32, "%d pNightSK\n",PLlayerInfo[saved][plNightSK]);fwrite(hFile, var);
		format(var, 32, "%d pBatK\n",PLlayerInfo[saved][plBatK]);fwrite(hFile, var);
		format(var, 32, "%d pShovelK\n",PLlayerInfo[saved][plShovelK]);fwrite(hFile, var);
		format(var, 32, "%d pPoolCK\n",PLlayerInfo[saved][plPoolCK]);fwrite(hFile, var);
		format(var, 32, "%d pKatanaK\n",PLlayerInfo[saved][plKatanaK]);fwrite(hFile, var);
		format(var, 32, "%d pChainsawK\n",PLlayerInfo[saved][plChainsawK]);fwrite(hFile, var);
		format(var, 32, "%d pIntimK\n",PLlayerInfo[saved][plIntimK]);fwrite(hFile, var);
		format(var, 32, "%d pKnifeK\n",PLlayerInfo[saved][plKnifeK]);fwrite(hFile, var);
		format(var, 32, "%d pDildoD\n",PLlayerInfo[saved][plDildoD]);fwrite(hFile, var);
		format(var, 32, "%d pFlowerD\n",PLlayerInfo[saved][plFlowerD]);fwrite(hFile, var);
		format(var, 32, "%d pCaneD\n",PLlayerInfo[saved][plCaneD]);fwrite(hFile, var);
		format(var, 32, "%d pGrenadeD\n",PLlayerInfo[saved][plGrenadeD]);fwrite(hFile, var);
		format(var, 32, "%d pGasD\n",PLlayerInfo[saved][plGasD]);fwrite(hFile, var);
		format(var, 32, "%d pMolotovD\n",PLlayerInfo[saved][plMolotovD]);fwrite(hFile, var);
		format(var, 32, "%d pColtD\n",PLlayerInfo[saved][plColtD]);fwrite(hFile, var);
		format(var, 32, "%d pSPD\n",PLlayerInfo[saved][plSPD]);fwrite(hFile, var);
		format(var, 32, "%d pDeagleD\n",PLlayerInfo[saved][plDeagleD]);fwrite(hFile, var);
		format(var, 32, "%d pPShotD\n",PLlayerInfo[saved][plPShotD]);fwrite(hFile, var);
		format(var, 32, "%d pSawnD\n",PLlayerInfo[saved][plSawnD]);fwrite(hFile, var);
		format(var, 32, "%d pSpas12D\n",PLlayerInfo[saved][plSpas12D]);fwrite(hFile, var);
		format(var, 32, "%d pUziD\n",PLlayerInfo[saved][plUziD]);fwrite(hFile, var);
		format(var, 32, "%d pMP5D\n",PLlayerInfo[saved][plMP5D]);fwrite(hFile, var);
		format(var, 32, "%d pAK47D\n",PLlayerInfo[saved][plAK47D]);fwrite(hFile, var);
		format(var, 32, "%d pM4D\n",PLlayerInfo[saved][plM4D]);fwrite(hFile, var);
		format(var, 32, "%d pTec9D\n",PLlayerInfo[saved][plTec9D]);fwrite(hFile, var);
		format(var, 32, "%d pRifleD\n",PLlayerInfo[saved][plRifleD]);fwrite(hFile, var);
		format(var, 32, "%d pSRifleD\n",PLlayerInfo[saved][plSRifleD]);fwrite(hFile, var);
		format(var, 32, "%d pRPGD\n",PLlayerInfo[saved][plRPGD]);fwrite(hFile, var);
		format(var, 32, "%d pHSRLD\n",PLlayerInfo[saved][plHSRLD]);fwrite(hFile, var);
		format(var, 32, "%d pFlameD\n",PLlayerInfo[saved][plFlameD]);fwrite(hFile, var);
		format(var, 32, "%d pMiniD\n",PLlayerInfo[saved][plMiniD]);fwrite(hFile, var);
		format(var, 32, "%d pSachelD\n",PLlayerInfo[saved][plSatchelD]);fwrite(hFile, var);
		format(var, 32, "%d pFireED\n",PLlayerInfo[saved][plFireED]);fwrite(hFile, var);
		format(var, 32, "%d pSprayD\n",PLlayerInfo[saved][plSprayD]);fwrite(hFile, var);
		format(var, 32, "%d pFistD\n",PLlayerInfo[saved][plFistD]);fwrite(hFile, var);
		format(var, 32, "%d pBrassD\n",PLlayerInfo[saved][plBrassD]);fwrite(hFile, var);
		format(var, 32, "%d pGolfD\n",PLlayerInfo[saved][plGolfD]);fwrite(hFile, var);
		format(var, 32, "%d pNightSD\n",PLlayerInfo[saved][plNightSD]);fwrite(hFile, var);
		format(var, 32, "%d pBatD\n",PLlayerInfo[saved][plBatD]);fwrite(hFile, var);
		format(var, 32, "%d pShovelD\n",PLlayerInfo[saved][plShovelD]);fwrite(hFile, var);
		format(var, 32, "%d pPoolCD\n",PLlayerInfo[saved][plPoolCD]);fwrite(hFile, var);
		format(var, 32, "%d pKatanaD\n",PLlayerInfo[saved][plKatanaD]);fwrite(hFile, var);
		format(var, 32, "%d pChainsawD\n",PLlayerInfo[saved][plChainsawD]);fwrite(hFile, var);
		format(var, 32, "%d pIntimD\n",PLlayerInfo[saved][plIntimD]);fwrite(hFile, var);
		format(var, 32, "%d pKnifeD\n",PLlayerInfo[saved][plKnifeD]);fwrite(hFile, var);
		format(var, 32, "%d pPMs\n",PLlayerInfo[saved][plPMs]);fwrite(hFile, var);
		format(var, 32, "%d	pALicence\n",PLlayerInfo[saved][plALicence]);fwrite(hFile, var);
	    format(var, 32, "%d pBLicence\n",PLlayerInfo[saved][plBLicence]);fwrite(hFile, var);
        format(var, 32, "%d	pCLicence\n",PLlayerInfo[saved][plCLicence]);fwrite(hFile, var);
        format(var, 32, "%d	pDLicence\n",PLlayerInfo[saved][plDLicence]);fwrite(hFile, var);
        format(var, 32, "%d	pELicence\n",PLlayerInfo[saved][plELicence]);fwrite(hFile, var);
        format(var, 32, "%d	pALicenceR\n",PLlayerInfo[saved][plALicenceR]);fwrite(hFile, var);
        format(var, 32, "%d	pBLicenceR\n",PLlayerInfo[saved][plBLicenceR]);fwrite(hFile, var);
        format(var, 32, "%d	pCLicenceR\n",PLlayerInfo[saved][plCLicenceR]);fwrite(hFile, var);
        format(var, 32, "%d	pDLicenceR\n",PLlayerInfo[saved][plDLicenceR]);fwrite(hFile, var);
        format(var, 32, "%d	pELicenceR\n",PLlayerInfo[saved][plELicenceR]);fwrite(hFile, var);
        format(var, 32, "%d	pShooter\n",PLlayerInfo[saved][plShooter]);fwrite(hFile, var);
	    format(var, 32, "%d	pDiller\n",PLlayerInfo[saved][plDiller]);fwrite(hFile, var);
	    format(var, 32, "%d	pHealther\n",PLlayerInfo[saved][plHealther]);fwrite(hFile, var);
        format(var, 32, "%d	pRepairer\n",PLlayerInfo[saved][plRepairer]);fwrite(hFile, var);
        format(var, 32, "%d	pThiefer\n",PLlayerInfo[saved][plThiefer]);fwrite(hFile, var);
        format(var, 32, "%d	pTeacher\n",PLlayerInfo[saved][plTeacher]);fwrite(hFile, var);
        format(var, 32, "%d	pDetective\n",PLlayerInfo[saved][plDetective]);fwrite(hFile, var);
        format(var, 32, "%d	pShooterR\n",PLlayerInfo[saved][plShooterR]);fwrite(hFile, var);
	    format(var, 32, "%d	pDillerR\n",PLlayerInfo[saved][plDillerR]);fwrite(hFile, var);
	    format(var, 32, "%d	pHealtherR\n",PLlayerInfo[saved][plHealtherR]);fwrite(hFile, var);
        format(var, 32, "%d	pRepairerR\n",PLlayerInfo[saved][plRepairerR]);fwrite(hFile, var);
        format(var, 32, "%d	pThieferR\n",PLlayerInfo[saved][plThieferR]);fwrite(hFile, var);
        format(var, 32, "%d	pTeacherR\n",PLlayerInfo[saved][plTeacherR]);fwrite(hFile, var);
        format(var, 32, "%d	pDetectiveR\n",PLlayerInfo[saved][plDetectiveR]);fwrite(hFile, var);
        format(var, 32, "%d pWantedlevel\n",PLlayerInfo[saved][plWantedlevel]);fwrite(hFile, var);
		format(var, 32, "%d pJob\n",PLlayerInfo[saved][plJob]);fwrite(hFile, var);
		format(var, 32, "%d pMats\n",PLlayerInfo[saved][plMats]);fwrite(hFile, var);
		fclose(hFile);
	}
	return 1;
}


public OnPlayerLogin(playerid,const string[])
{
	if (gdebug >= 1){printf("DEBUG OnPlayerLogin(%d) (%s)", playerid,string);}
	new string2[64];
	new playername2[MAX_PLAYER_NAME];
	new playerip[15];
	//new password[64];
	new tmp2[256];
	/*
	if (gPlayerSpawned[playerid] == 1)
	{
		SetPlayerHealth(playerid,0.0);
	}
	*/
	GetPlayerName(playerid, playername2, sizeof(playername2));
	format(string2, sizeof(string2), "accounts/%s.cer", playername2);
	new File: file = fopen(string2, io_read);
	if (file)
	{
		new valtmp[128];
		fread(file, valtmp);strmid(PlayerInfo[playerid][pPassword], valtmp, 0, strlen(valtmp)-1, 255);
		if (gdebug){printf("DEBUG password from file= (%s) pass enterd =  (%s)",PlayerInfo[playerid][pPassword] ,string );}
		//fread(file, valtmp);strmid(password, valtmp, 0, strlen(string), 255);
		if ((strcmp(PlayerInfo[playerid][pPassword], string, true, strlen(valtmp)-1) == 0))// && (strlen(string) == strlen(password)))
		{
		    fread(file, valtmp);strmid(PlayerInfo[playerid][pIp], valtmp, 0, strlen(valtmp)-1, 255);
			fread(file, valtmp);PlayerInfo[playerid][pCash] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAccount] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAdmin] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pLevel] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pExp] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][gPupgrade] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pKills] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pCB] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pHW] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSR] = strval(valtmp);//DelPrint(valtmp);
			if(PlayerInfo[playerid][pKills] < 0){PlayerInfo[playerid][pKills] = 0;}//patch
			if(PlayerInfo[playerid][pCB] < 0){PlayerInfo[playerid][pCB] = 0;}//patch
			if(PlayerInfo[playerid][pHW] < 0){PlayerInfo[playerid][pHW] = 0;}//patch
			if(PlayerInfo[playerid][pSR] < 0){PlayerInfo[playerid][pSR] = 0;}//patch
			if(PlayerInfo[playerid][pBF] < 0){PlayerInfo[playerid][pBF] = 0;}//patch
			fread(file, valtmp);PlayerInfo[playerid][pWA] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pBF] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPEN] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun1] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun2] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun3] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun4] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun5] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGun6] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo1] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo2] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo3] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo4] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo5] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAmmo6] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSHealth] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSArmour] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pHealth] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPos_x] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPos_y] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPos_z] = floatstr(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pInt] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pLocal] = strval(valtmp);//DelPrint(valtmp);
			if(PlayerInfo[playerid][pModel] == 264){fread(file, valtmp);PlayerInfo[playerid][pTeam] = strval(valtmp);/*DelPrint(valtmp);*/}else{fread(file, valtmp);}
			if(PlayerInfo[playerid][pModel] == 264){fread(file, valtmp);PlayerInfo[playerid][pModel] = strval(valtmp);/*DelPrint(valtmp);*/}else{fread(file, valtmp);}
			fread(file, valtmp);PlayerInfo[playerid][pPnumber] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPhousekey] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPbiskey] = strval(valtmp);//DelPrint(valtmp);
   			fread(file, valtmp);PlayerInfo[playerid][pWarnL] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSaves] = strval(valtmp);//DelPrint(valtmp);
			fread(file,valtmp);PlayerInfo[playerid][pLottoXP]=strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pTmpRank] = strval(valtmp);//DelPrint(valtmp);
   			fread(file, valtmp);PlayerInfo[playerid][pDildoK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFlowerK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pCaneK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGrenadeK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGasK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMolotovK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pColtK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSPK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pDeagleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPShotK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSawnK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSpas12K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pUziK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMP5K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAK47K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pM4K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pTec9K] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pRifleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSRifleK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pRPGK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pHSRLK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFlameK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMiniK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSatchelK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFireEK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSprayK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFistK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pBrassK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGolfK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pNightSK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pBatK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pShovelK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPoolCK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pKatanaK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pChainsawK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pIntimK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pKnifeK] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pDildoD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFlowerD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pCaneD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGrenadeD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGasD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMolotovD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pColtD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSPD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pDeagleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPShotD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSawnD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSpas12D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pUziD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMP5D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pAK47D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pM4D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pTec9D] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pRifleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSRifleD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pRPGD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pHSRLD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFlameD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMiniD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSatchelD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFireED] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pSprayD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pFistD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pBrassD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pGolfD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pNightSD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pBatD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pShovelD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPoolCD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pKatanaD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pChainsawD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pIntimD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pKnifeD] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pPMs] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pALicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pBLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pCLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDLicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pELicence] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pALicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pBLicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pCLicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDLicenceR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pELicenceR] = strval(valtmp);//DelPrint(valtmp);
         	fread(file, valtmp);PlayerInfo[playerid][pShooter] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDiller] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pHealther] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pRepairer] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pThiefer] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pTeacher] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDetective] = strval(valtmp);//DelPrint(valtmp);
         	fread(file, valtmp);PlayerInfo[playerid][pShooterR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDillerR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pHealtherR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pRepairerR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pThieferR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pTeacherR] = strval(valtmp);//DelPrint(valtmp);
	        fread(file, valtmp);PlayerInfo[playerid][pDetectiveR] = strval(valtmp);//DelPrint(valtmp);
            fread(file, valtmp);PlayerInfo[playerid][pWantedlevel] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pJob] = strval(valtmp);//DelPrint(valtmp);
			fread(file, valtmp);PlayerInfo[playerid][pMats] = strval(valtmp);//DelPrint(valtmp);
			fclose(file);
			ResetPlayerMoney(playerid);
			GiveMoney(playerid,PlayerInfo[playerid][pCash]);
			//if (gdebug){printf("DEBUG phonenumber = %d",pnumber);}
			if(PlayerInfo[playerid][pAdmin] >= 1)
            {
				GetPlayerIp(playerid, playerip, sizeof(playerip));
				strmid(string2, playerip, 0, strlen(playerip)-1, 255);
				if (strcmp(PlayerInfo[playerid][pIp], string2, false) == 0)
				{
					new stringpl[256];
					format(stringpl, sizeof(stringpl),"Login for Nick: %s IP: [%s] Admin: %d",playername2, playerip, PlayerInfo[playerid][pAdmin]);
					AdmLoginLog(stringpl);
				}
			}
			if(PlayerInfo[playerid][pWarnL] >= 5)//5 warnings = autoban
			{
                PlayerInfo[playerid][pWarnL] = 0;
				Ban(playerid);
			}
			if(PlayerInfo[playerid][pAdmin] >= 107)
			{
			    if(gHacked == 1)
				{
	                PlayerInfo[playerid][pAdmin] = 0;
					Ban(playerid);
			 	}
			}
			if(PlayerInfo[playerid][pLevel] == -999) //autoban
			{
				Ban(playerid);
			}
			format(string2, sizeof(string2), "SERVER: Welcome %s",playername2);
			SendClientMessage(playerid, COLOR_WHITE,string2);
			SetPlayerWeapons(playerid);
			printf("%s has logged in",playername2);
			if (PlayerInfo[playerid][pAdmin] > 0)
			{
				format(string2, sizeof(string2), "SERVER: You are logged in as a level %d admin",PlayerInfo[playerid][pAdmin]);
				SendClientMessage(playerid, COLOR_WHITE,string2);
			}
			SetSpawnInfo(playerid, 1, PlayerInfo[playerid][pModel], PlayerInfo[playerid][pPos_x], PlayerInfo[playerid][pPos_y], PlayerInfo[playerid][pPos_z], 1.0, -1, -1, -1, -1, -1, -1);
			if(gTeam[playerid] == 0)
			{
				gTeam[playerid] = 3;
			}
			else
			{
				gTeam[playerid] = PlayerInfo[playerid][pTeam];
			}
			gPlayerLogged[playerid] = 1;
			if(accountplay)
			{
				gPlayerSpawned[playerid] = 0;
			}
			if (GetPlayerState(playerid) != PLAYER_STATE_DRIVER)
			{
				SpawnPlayer(playerid);
			}
			GetPlayerName(playerid, playername2, sizeof(playername2));
            format(tmp2, sizeof(tmp2), "~w~Welcome ~n~~y~   %s", playername2);
			DateProp(playerid);
			GameTextForPlayer(playerid, tmp2, 5000, 4);
			SendClientMessage(playerid, COLOR_YELLOW, motd);
			return 1;
		}
		else
		{
        	format(tmp2,sizeof(tmp2),"Password does not match your name!\n\nPut correctly password");
        	ShowPlayerDialog(playerid,signindial,DIALOG_STYLE_INPUT,"Login Plase!",tmp2,"Login","Cancel");
			//SendClientMessage(playerid, COLOR_WHITE, "SERVER: Password does not match your name");
			printf("%s is hacking a password",playername2);
			fclose(file);
			return 1;
		}
		//return 1;
	}
	else
	{
		SendClientMessage(playerid, COLOR_WHITE, "SERVER: You do not have an account, type /regnick <password>");
	}
	return 1;
}

public CopCheck(playerid)
{
	if (gdebug >= 1){printf("DEBUG CopCheck(%d) (%s)", playerid);}
	new playername2[MAX_PLAYER_NAME];
	new storedcopname[64];
	GetPlayerName(playerid, playername2, sizeof(playername2));
	new File: file = fopen("cops.cfg", io_read);
	if (file)
	{
		new valtmp[MAX_PLAYER_NAME];
		while (fread(file, valtmp) > 0)
		{
			//printf("%s",valtmp);
			strmid(storedcopname, valtmp, 0, strlen(playername2), 255);
			if ((strcmp(storedcopname, playername2, true, strlen(playername2)) == 0) && (strlen(playername2) == strlen(storedcopname)))
			{
				fclose(file);
				return 1;
			}
		}
	}
	fclose(file);
	return 0;
}
public MedCheck(playerid)
{
	if (gdebug >= 1){printf("DEBUG MedCheck(%d) (%s)", playerid);}
	new playername2[MAX_PLAYER_NAME];
	new storedcopname[64];
	GetPlayerName(playerid, playername2, sizeof(playername2));
	new File: file = fopen("meds.cfg", io_read);
	if (file)
	{
		new valtmp[MAX_PLAYER_NAME];
		while (fread(file, valtmp) > 0)
		{
			//printf("%s",valtmp);
			strmid(storedcopname, valtmp, 0, strlen(playername2), 255);
			if ((strcmp(storedcopname, playername2, true, strlen(playername2)) == 0) && (strlen(playername2) == strlen(storedcopname)))
			{
				fclose(file);
				return 1;
			}
		}
	}
	fclose(file);
	return 0;
}
public OnClientUpdate(playerid)
{
	if (gdebug >= 1){printf("DEBUG OnClientUpdate(%d)", playerid);}
	if (gPlayerLogged[playerid] != 0)
	{
		new string3[32];
		new playername3[MAX_PLAYER_NAME];
		GetPlayerName(playerid, playername3, sizeof(playername3));
  		if(strfind(playername3, "[AFK]", true, 0) != -1)
	    {
	    	strdel(playername3, 0, 5);
	    }
		format(string3, sizeof(string3), "accounts/%s.cer", playername3);
		new File: pFile = fopen(string3, io_write);
		if (gdebug){printf("DEBUG OnClientUpdate(%d)8.5", playerid);}
		if (pFile)
		{
			new var[32];
			format(var, 32, "%s\n", PlayerInfo[playerid][pPassword]);fwrite(pFile, var);
			fclose(pFile);
			new File: hFile = fopen(string3, io_append);
			format(var, 32, "%s\n",PlayerInfo[playerid][pIp]);fwrite(hFile, var);
			PlayerInfo[playerid][pCash] = GetPlayerMoney(playerid);
			format(var, 32, "%d pCash\n",PlayerInfo[playerid][pCash]);fwrite(hFile, var);
			format(var, 32, "%d pAccount\n",PlayerInfo[playerid][pAccount]);fwrite(hFile, var);
			format(var, 32, "%d pAdmin\n",PlayerInfo[playerid][pAdmin]);fwrite(hFile, var);
			format(var, 32, "%d pLevel\n",PlayerInfo[playerid][pLevel]);fwrite(hFile, var);
			format(var, 32, "%d pExp\n",PlayerInfo[playerid][pExp]);fwrite(hFile, var);
			format(var, 32, "%d gPupgrade\n",PlayerInfo[playerid][gPupgrade]);fwrite(hFile, var);
			format(var, 32, "%d pKills\n",PlayerInfo[playerid][pKills]);fwrite(hFile, var);
			format(var, 32, "%d pCB\n",PlayerInfo[playerid][pCB]);fwrite(hFile, var);
			format(var, 32, "%d pHW\n",PlayerInfo[playerid][pHW]);fwrite(hFile, var);
			format(var, 32, "%d pSR\n",PlayerInfo[playerid][pSR]);fwrite(hFile, var);
			format(var, 32, "%d pWA\n",PlayerInfo[playerid][pWA]);fwrite(hFile, var);
			format(var, 32, "%d pBF\n",PlayerInfo[playerid][pBF]);fwrite(hFile, var);
			format(var, 32, "%d pPEN\n",PlayerInfo[playerid][pPEN]);fwrite(hFile, var);
			format(var, 32, "%d pGun1\n",PlayerInfo[playerid][pGun1]);fwrite(hFile, var);
			format(var, 32, "%d pGun2\n",PlayerInfo[playerid][pGun2]);fwrite(hFile, var);
			format(var, 32, "%d pGun3\n",PlayerInfo[playerid][pGun3]);fwrite(hFile, var);
			format(var, 32, "%d pGun4\n",PlayerInfo[playerid][pGun4]);fwrite(hFile, var);
			format(var, 32, "%d pGun5\n",PlayerInfo[playerid][pGun5]);fwrite(hFile, var);
			format(var, 32, "%d pGun6\n",PlayerInfo[playerid][pGun6]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo1\n",PlayerInfo[playerid][pAmmo1]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo2\n",PlayerInfo[playerid][pAmmo2]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo3\n",PlayerInfo[playerid][pAmmo3]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo4\n",PlayerInfo[playerid][pAmmo4]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo5\n",PlayerInfo[playerid][pAmmo5]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo6\n",PlayerInfo[playerid][pAmmo6]);fwrite(hFile, var);
			format(var, 32, "%.1f pSHealth\n", PlayerInfo[playerid][pSHealth]);fwrite(hFile, var);
			format(var, 32, "%.1f pSArmour\n", PlayerInfo[playerid][pSArmour]);fwrite(hFile, var);
			GetPlayerHealth(playerid,PlayerInfo[playerid][pHealth]);
			format(var, 32, "%.1f pHealth\n", PlayerInfo[playerid][pHealth]);fwrite(hFile, var);
			GetPlayerPos(playerid, PlayerInfo[playerid][pPos_x], PlayerInfo[playerid][pPos_y], PlayerInfo[playerid][pPos_z]);
			if ((PlayerInfo[playerid][pPos_x]==0.0 && PlayerInfo[playerid][pPos_y]==0.0 && PlayerInfo[playerid][pPos_z]==0.0) || (gPlayerFighter[playerid] != 0))
			{
				PlayerInfo[playerid][pPos_x] = 1684.9;
				PlayerInfo[playerid][pPos_y] = -2244.5;
				PlayerInfo[playerid][pPos_z] = 13.5;
			}
			if(Spectate[playerid] != 255)
			{
				PlayerInfo[playerid][pPos_x] = Unspec[playerid][sPx];
				PlayerInfo[playerid][pPos_y] = Unspec[playerid][sPy];
				PlayerInfo[playerid][pPos_z] = Unspec[playerid][sPz];
				PlayerInfo[playerid][pInt] = Unspec[playerid][sPint];
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
			}
			format(var, 32, "%.1f pPos_x\n", PlayerInfo[playerid][pPos_x]);fwrite(hFile, var);
			format(var, 32, "%.1f pPos_y\n", PlayerInfo[playerid][pPos_y]);fwrite(hFile, var);
			format(var, 32, "%.1f pPos_z\n", PlayerInfo[playerid][pPos_z]);fwrite(hFile, var);
			format(var, 32, "%d pInt\n",PlayerInfo[playerid][pInt]);fwrite(hFile, var);
			format(var, 32, "%d pLocal\n",PlayerInfo[playerid][pLocal]);fwrite(hFile, var);
			format(var, 32, "%d pTeam\n",PlayerInfo[playerid][pTeam]);fwrite(hFile, var);
			format(var, 32, "%d pModel\n",PlayerInfo[playerid][pModel]);fwrite(hFile, var);
			format(var, 32, "%d pPnumber\n",PlayerInfo[playerid][pPnumber]);fwrite(hFile, var);
			format(var, 32, "%d pPhousekey\n",PlayerInfo[playerid][pPhousekey]);fwrite(hFile, var);
			format(var, 32, "%d pPbiskey\n",PlayerInfo[playerid][pPbiskey]);fwrite(hFile, var);
   			format(var, 32, "%d pWarnL\n",PlayerInfo[playerid][pWarnL]);fwrite(hFile, var);
            format(var, 32, "%d pSaves\n",PlayerInfo[playerid][pSaves]);fwrite(hFile, var);
            format(var, 32, "%d pLottoXP\n",PlayerInfo[playerid][pLottoXP]);fwrite(hFile,var);
            format(var, 32, "%d pTmpRank\n",PlayerInfo[playerid][pTmpRank]);fwrite(hFile, var);
            format(var, 32, "%d pDildoK\n",PlayerInfo[playerid][pDildoK]);fwrite(hFile, var);
			format(var, 32, "%d pFlowerK\n",PlayerInfo[playerid][pFlowerK]);fwrite(hFile, var);
			format(var, 32, "%d pCaneK\n",PlayerInfo[playerid][pCaneK]);fwrite(hFile, var);
			format(var, 32, "%d pGrenadeK\n",PlayerInfo[playerid][pGrenadeK]);fwrite(hFile, var);
			format(var, 32, "%d pGasK\n",PlayerInfo[playerid][pGasK]);fwrite(hFile, var);
			format(var, 32, "%d pMolotovK\n",PlayerInfo[playerid][pMolotovK]);fwrite(hFile, var);
			format(var, 32, "%d pColtK\n",PlayerInfo[playerid][pColtK]);fwrite(hFile, var);
			format(var, 32, "%d pSPK\n",PlayerInfo[playerid][pSPK]);fwrite(hFile, var);
			format(var, 32, "%d pDeagleK\n",PlayerInfo[playerid][pDeagleK]);fwrite(hFile, var);
			format(var, 32, "%d pPShotK\n",PlayerInfo[playerid][pPShotK]);fwrite(hFile, var);
			format(var, 32, "%d pSawnK\n",PlayerInfo[playerid][pSawnK]);fwrite(hFile, var);
			format(var, 32, "%d pSpas12K\n",PlayerInfo[playerid][pSpas12K]);fwrite(hFile, var);
			format(var, 32, "%d pUziK\n",PlayerInfo[playerid][pUziK]);fwrite(hFile, var);
			format(var, 32, "%d pMP5K\n",PlayerInfo[playerid][pMP5K]);fwrite(hFile, var);
			format(var, 32, "%d pAK47K\n",PlayerInfo[playerid][pAK47K]);fwrite(hFile, var);
			format(var, 32, "%d pM4K\n",PlayerInfo[playerid][pM4K]);fwrite(hFile, var);
			format(var, 32, "%d pTec9K\n",PlayerInfo[playerid][pTec9K]);fwrite(hFile, var);
			format(var, 32, "%d pRifleK\n",PlayerInfo[playerid][pRifleK]);fwrite(hFile, var);
			format(var, 32, "%d pSRifleK\n",PlayerInfo[playerid][pSRifleK]);fwrite(hFile, var);
			format(var, 32, "%d pRPGK\n",PlayerInfo[playerid][pRPGK]);fwrite(hFile, var);
			format(var, 32, "%d pHSRLK\n",PlayerInfo[playerid][pHSRLK]);fwrite(hFile, var);
			format(var, 32, "%d pFlameK\n",PlayerInfo[playerid][pFlameK]);fwrite(hFile, var);
			format(var, 32, "%d pMiniK\n",PlayerInfo[playerid][pMiniK]);fwrite(hFile, var);
			format(var, 32, "%d pSachelK\n",PlayerInfo[playerid][pSatchelK]);fwrite(hFile, var);
			format(var, 32, "%d pFireEK\n",PlayerInfo[playerid][pFireEK]);fwrite(hFile, var);
			format(var, 32, "%d pSprayK\n",PlayerInfo[playerid][pSprayK]);fwrite(hFile, var);
			format(var, 32, "%d pFistK\n",PlayerInfo[playerid][pFistK]);fwrite(hFile, var);
			format(var, 32, "%d pBrassK\n",PlayerInfo[playerid][pBrassK]);fwrite(hFile, var);
			format(var, 32, "%d pGolfK\n",PlayerInfo[playerid][pGolfK]);fwrite(hFile, var);
			format(var, 32, "%d pNightSK\n",PlayerInfo[playerid][pNightSK]);fwrite(hFile, var);
			format(var, 32, "%d pBatK\n",PlayerInfo[playerid][pBatK]);fwrite(hFile, var);
			format(var, 32, "%d pShovelK\n",PlayerInfo[playerid][pShovelK]);fwrite(hFile, var);
			format(var, 32, "%d pPoolCK\n",PlayerInfo[playerid][pPoolCK]);fwrite(hFile, var);
			format(var, 32, "%d pKatanaK\n",PlayerInfo[playerid][pKatanaK]);fwrite(hFile, var);
			format(var, 32, "%d pChainsawK\n",PlayerInfo[playerid][pChainsawK]);fwrite(hFile, var);
			format(var, 32, "%d pIntimK\n",PlayerInfo[playerid][pIntimK]);fwrite(hFile, var);
			format(var, 32, "%d pKnifeK\n",PlayerInfo[playerid][pKnifeK]);fwrite(hFile, var);
			format(var, 32, "%d pDildoD\n",PlayerInfo[playerid][pDildoD]);fwrite(hFile, var);
			format(var, 32, "%d pFlowerD\n",PlayerInfo[playerid][pFlowerD]);fwrite(hFile, var);
			format(var, 32, "%d pCaneD\n",PlayerInfo[playerid][pCaneD]);fwrite(hFile, var);
			format(var, 32, "%d pGrenadeD\n",PlayerInfo[playerid][pGrenadeD]);fwrite(hFile, var);
			format(var, 32, "%d pGasD\n",PlayerInfo[playerid][pGasD]);fwrite(hFile, var);
			format(var, 32, "%d pMolotovD\n",PlayerInfo[playerid][pMolotovD]);fwrite(hFile, var);
			format(var, 32, "%d pColtD\n",PlayerInfo[playerid][pColtD]);fwrite(hFile, var);
			format(var, 32, "%d pSPD\n",PlayerInfo[playerid][pSPD]);fwrite(hFile, var);
			format(var, 32, "%d pDeagleD\n",PlayerInfo[playerid][pDeagleD]);fwrite(hFile, var);
			format(var, 32, "%d pPShotD\n",PlayerInfo[playerid][pPShotD]);fwrite(hFile, var);
			format(var, 32, "%d pSawnD\n",PlayerInfo[playerid][pSawnD]);fwrite(hFile, var);
			format(var, 32, "%d pSpas12D\n",PlayerInfo[playerid][pSpas12D]);fwrite(hFile, var);
			format(var, 32, "%d pUziD\n",PlayerInfo[playerid][pUziD]);fwrite(hFile, var);
			format(var, 32, "%d pMP5D\n",PlayerInfo[playerid][pMP5D]);fwrite(hFile, var);
			format(var, 32, "%d pAK47D\n",PlayerInfo[playerid][pAK47D]);fwrite(hFile, var);
			format(var, 32, "%d pM4D\n",PlayerInfo[playerid][pM4D]);fwrite(hFile, var);
			format(var, 32, "%d pTec9D\n",PlayerInfo[playerid][pTec9D]);fwrite(hFile, var);
			format(var, 32, "%d pRifleD\n",PlayerInfo[playerid][pRifleD]);fwrite(hFile, var);
			format(var, 32, "%d pSRifleD\n",PlayerInfo[playerid][pSRifleD]);fwrite(hFile, var);
			format(var, 32, "%d pRPGD\n",PlayerInfo[playerid][pRPGD]);fwrite(hFile, var);
			format(var, 32, "%d pHSRLD\n",PlayerInfo[playerid][pHSRLD]);fwrite(hFile, var);
			format(var, 32, "%d pFlameD\n",PlayerInfo[playerid][pFlameD]);fwrite(hFile, var);
			format(var, 32, "%d pMiniD\n",PlayerInfo[playerid][pMiniD]);fwrite(hFile, var);
			format(var, 32, "%d pSachelD\n",PlayerInfo[playerid][pSatchelD]);fwrite(hFile, var);
			format(var, 32, "%d pFireED\n",PlayerInfo[playerid][pFireED]);fwrite(hFile, var);
			format(var, 32, "%d pSprayD\n",PlayerInfo[playerid][pSprayD]);fwrite(hFile, var);
			format(var, 32, "%d pFistD\n",PlayerInfo[playerid][pFistD]);fwrite(hFile, var);
			format(var, 32, "%d pBrassD\n",PlayerInfo[playerid][pBrassD]);fwrite(hFile, var);
			format(var, 32, "%d pGolfD\n",PlayerInfo[playerid][pGolfD]);fwrite(hFile, var);
			format(var, 32, "%d pNightSD\n",PlayerInfo[playerid][pNightSD]);fwrite(hFile, var);
			format(var, 32, "%d pBatD\n",PlayerInfo[playerid][pBatD]);fwrite(hFile, var);
			format(var, 32, "%d pShovelD\n",PlayerInfo[playerid][pShovelD]);fwrite(hFile, var);
			format(var, 32, "%d pPoolCD\n",PlayerInfo[playerid][pPoolCD]);fwrite(hFile, var);
			format(var, 32, "%d pKatanaD\n",PlayerInfo[playerid][pKatanaD]);fwrite(hFile, var);
			format(var, 32, "%d pChainsawD\n",PlayerInfo[playerid][pChainsawD]);fwrite(hFile, var);
			format(var, 32, "%d pIntimD\n",PlayerInfo[playerid][pIntimD]);fwrite(hFile, var);
			format(var, 32, "%d pKnifeD\n",PlayerInfo[playerid][pKnifeD]);fwrite(hFile, var);
			format(var, 32, "%d pPM\n",PlayerInfo[playerid][pPMs]);fwrite(hFile, var);
			format(var, 32, "%d pALicence\n",PlayerInfo[playerid][pALicence]);fwrite(hFile, var);
	        format(var, 32, "%d pBLicence\n",PlayerInfo[playerid][pBLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pCLicence\n",PlayerInfo[playerid][pCLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pDLicence\n",PlayerInfo[playerid][pDLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pELicence\n",PlayerInfo[playerid][pELicence]);fwrite(hFile, var);
	        format(var, 32, "%d pALicenceR\n",PlayerInfo[playerid][pALicenceR]);fwrite(hFile, var);
        	format(var, 32, "%d pBLicenceR\n",PlayerInfo[playerid][pBLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pCLicenceR\n",PlayerInfo[playerid][pCLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pDLicenceR\n",PlayerInfo[playerid][pDLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pELicenceR\n",PlayerInfo[playerid][pELicenceR]);fwrite(hFile, var);
         	format(var, 32, "%d pShooter\n",PlayerInfo[playerid][pShooter]);fwrite(hFile, var);
	        format(var, 32, "%d pDiller\n",PlayerInfo[playerid][pDiller]);fwrite(hFile, var);
	        format(var, 32, "%d pHealther\n",PlayerInfo[playerid][pHealther]);fwrite(hFile, var);
	        format(var, 32, "%d pRepairer\n",PlayerInfo[playerid][pRepairer]);fwrite(hFile, var);
	        format(var, 32, "%d pThiefer\n",PlayerInfo[playerid][pThiefer]);fwrite(hFile, var);
	        format(var, 32, "%d pTeacher\n",PlayerInfo[playerid][pTeacher]);fwrite(hFile, var);
	        format(var, 32, "%d pDetective\n",PlayerInfo[playerid][pDetective]);fwrite(hFile, var);
         	format(var, 32, "%d pShooterR\n",PlayerInfo[playerid][pShooterR]);fwrite(hFile, var);
	        format(var, 32, "%d pDillerR\n",PlayerInfo[playerid][pDillerR]);fwrite(hFile, var);
	        format(var, 32, "%d pHealtherR\n",PlayerInfo[playerid][pHealtherR]);fwrite(hFile, var);
	        format(var, 32, "%d pRepairerR\n",PlayerInfo[playerid][pRepairerR]);fwrite(hFile, var);
	        format(var, 32, "%d pThieferR\n",PlayerInfo[playerid][pThieferR]);fwrite(hFile, var);
	        format(var, 32, "%d pTeacherR\n",PlayerInfo[playerid][pTeacherR]);fwrite(hFile, var);
	        format(var, 32, "%d pDetectiveR\n",PlayerInfo[playerid][pDetectiveR]);fwrite(hFile, var);
	        format(var, 32, "%d pWantedlevel\n",PlayerInfo[playerid][pWantedlevel]);fwrite(hFile, var);
			format(var, 32, "%d pJob\n",PlayerInfo[playerid][pJob]);fwrite(hFile, var);
			format(var, 32, "%d pMats\n",PlayerInfo[playerid][pMats]);fwrite(hFile, var);
			fclose(hFile);
		}
	}
	else
	{
		SendClientMessage(playerid, COLOR_YELLOW, "You do not have an account, type /regnick <password>");
	}
	if (gdebug){printf("DEBUG OnClientUpdate(%d)End", playerid);}
	return 1;
}

public OnPlayerRename(name[],string[],playerid)
{
	if (gdebug >= 1){printf("DEBUG OnPlayerRename(%d)", playerid);}
	if (gPlayerLogged[playerid] != 0)
	{
	    PlayerInfo[playerid][pCash] = GetPlayerMoney(playerid);
		new File: pFile = fopen(string, io_write);
		if (gdebug){printf("DEBUG OnClientUpdate(%d)8.5", playerid);}
		if (pFile)
		{
			new var[32];
			format(var, 32, "%s\n", PlayerInfo[playerid][pPassword]);fwrite(pFile, var);
			fclose(pFile);
			new File: hFile = fopen(string, io_append);
			format(var, 32, "%s\n", PlayerInfo[playerid][pIp]);fwrite(hFile, var);
			format(var, 32, "%d pCash\n",PlayerInfo[playerid][pCash]);fwrite(hFile, var);
			format(var, 32, "%d pAccount\n",PlayerInfo[playerid][pAccount]);fwrite(hFile, var);
			format(var, 32, "%d pAdmin\n",PlayerInfo[playerid][pAdmin]);fwrite(hFile, var);
			format(var, 32, "%d pLevel\n",PlayerInfo[playerid][pLevel]);fwrite(hFile, var);
			format(var, 32, "%d pExp\n",PlayerInfo[playerid][pExp]);fwrite(hFile, var);
			format(var, 32, "%d gPupgrade\n",PlayerInfo[playerid][gPupgrade]);fwrite(hFile, var);
			format(var, 32, "%d pKills\n",PlayerInfo[playerid][pKills]);fwrite(hFile, var);
			format(var, 32, "%d pCB\n",PlayerInfo[playerid][pCB]);fwrite(hFile, var);
			format(var, 32, "%d pHW\n",PlayerInfo[playerid][pHW]);fwrite(hFile, var);
			format(var, 32, "%d pSR\n",PlayerInfo[playerid][pSR]);fwrite(hFile, var);
			format(var, 32, "%d pWA\n",PlayerInfo[playerid][pWA]);fwrite(hFile, var);
			format(var, 32, "%d pBF\n",PlayerInfo[playerid][pBF]);fwrite(hFile, var);
			format(var, 32, "%d pPEN\n",PlayerInfo[playerid][pPEN]);fwrite(hFile, var);
			format(var, 32, "%d pGun1\n",PlayerInfo[playerid][pGun1]);fwrite(hFile, var);
			format(var, 32, "%d pGun2\n",PlayerInfo[playerid][pGun2]);fwrite(hFile, var);
			format(var, 32, "%d pGun3\n",PlayerInfo[playerid][pGun3]);fwrite(hFile, var);
			format(var, 32, "%d pGun4\n",PlayerInfo[playerid][pGun4]);fwrite(hFile, var);
			format(var, 32, "%d pGun5\n",PlayerInfo[playerid][pGun5]);fwrite(hFile, var);
			format(var, 32, "%d pGun6\n",PlayerInfo[playerid][pGun6]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo1\n",PlayerInfo[playerid][pAmmo1]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo2\n",PlayerInfo[playerid][pAmmo2]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo3\n",PlayerInfo[playerid][pAmmo3]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo4\n",PlayerInfo[playerid][pAmmo4]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo5\n",PlayerInfo[playerid][pAmmo5]);fwrite(hFile, var);
			format(var, 32, "%d pAmmo6\n",PlayerInfo[playerid][pAmmo6]);fwrite(hFile, var);
			format(var, 32, "%.1f pSHealth\n", PlayerInfo[playerid][pSHealth]);fwrite(hFile, var);
			format(var, 32, "%.1f pSArmour\n", PlayerInfo[playerid][pSArmour]);fwrite(hFile, var);
			GetPlayerHealth(playerid,PlayerInfo[playerid][pHealth]);
			format(var, 32, "%.1f pHealth\n", PlayerInfo[playerid][pHealth]);fwrite(hFile, var);
			GetPlayerPos(playerid, PlayerInfo[playerid][pPos_x], PlayerInfo[playerid][pPos_y], PlayerInfo[playerid][pPos_z]);
			if ((PlayerInfo[playerid][pPos_x]==0.0 && PlayerInfo[playerid][pPos_y]==0.0 && PlayerInfo[playerid][pPos_z]==0.0) || (gPlayerFighter[playerid] != 0))
			{
				PlayerInfo[playerid][pPos_x] = 1684.9;
				PlayerInfo[playerid][pPos_y] = -2244.5;
				PlayerInfo[playerid][pPos_z] = 13.5;
			}
			if(Spectate[playerid] != 255)
			{
				PlayerInfo[playerid][pPos_x] = Unspec[playerid][sPx];
				PlayerInfo[playerid][pPos_y] = Unspec[playerid][sPy];
				PlayerInfo[playerid][pPos_z] = Unspec[playerid][sPz];
				PlayerInfo[playerid][pInt] = Unspec[playerid][sPint];
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
			}
			format(var, 32, "%.1f pPos_x\n", PlayerInfo[playerid][pPos_x]);fwrite(hFile, var);
			format(var, 32, "%.1f pPos_y\n", PlayerInfo[playerid][pPos_y]);fwrite(hFile, var);
			format(var, 32, "%.1f pPos_z\n", PlayerInfo[playerid][pPos_z]);fwrite(hFile, var);
			format(var, 32, "%d pInt\n",PlayerInfo[playerid][pInt]);fwrite(hFile, var);
			format(var, 32, "%d pLocal\n",PlayerInfo[playerid][pLocal]);fwrite(hFile, var);
			format(var, 32, "%d pTeam\n",PlayerInfo[playerid][pTeam]);fwrite(hFile, var);
			format(var, 32, "%d pModel\n",PlayerInfo[playerid][pModel]);fwrite(hFile, var);
			format(var, 32, "%d pPnumber\n",PlayerInfo[playerid][pPnumber]);fwrite(hFile, var);
			format(var, 32, "%d pPhousekey\n",PlayerInfo[playerid][pPhousekey]);fwrite(hFile, var);
			format(var, 32, "%d pPbiskey\n",PlayerInfo[playerid][pPbiskey]);fwrite(hFile, var);
   			format(var, 32, "%d pWarnL\n",PlayerInfo[playerid][pWarnL]);fwrite(hFile, var);
			format(var, 32, "%d pSaves\n",PlayerInfo[playerid][pSaves]);fwrite(hFile, var);
			format(var, 32, "%d pLottoXP\n",PlayerInfo[playerid][pLottoXP]);fwrite(hFile,var);
			format(var, 32, "%d pTmpRank\n",PlayerInfo[playerid][pTmpRank]);fwrite(hFile, var);
   			format(var, 32, "%d pDildoK\n",PlayerInfo[playerid][pDildoK]);fwrite(hFile, var);
			format(var, 32, "%d pFlowerK\n",PlayerInfo[playerid][pFlowerK]);fwrite(hFile, var);
			format(var, 32, "%d pCaneK\n",PlayerInfo[playerid][pCaneK]);fwrite(hFile, var);
			format(var, 32, "%d pGrenadeK\n",PlayerInfo[playerid][pGrenadeK]);fwrite(hFile, var);
			format(var, 32, "%d pGasK\n",PlayerInfo[playerid][pGasK]);fwrite(hFile, var);
			format(var, 32, "%d pMolotovK\n",PlayerInfo[playerid][pMolotovK]);fwrite(hFile, var);
			format(var, 32, "%d pColtK\n",PlayerInfo[playerid][pColtK]);fwrite(hFile, var);
			format(var, 32, "%d pSPK\n",PlayerInfo[playerid][pSPK]);fwrite(hFile, var);
			format(var, 32, "%d pDeagleK\n",PlayerInfo[playerid][pDeagleK]);fwrite(hFile, var);
			format(var, 32, "%d pPShotK\n",PlayerInfo[playerid][pPShotK]);fwrite(hFile, var);
			format(var, 32, "%d pSawnK\n",PlayerInfo[playerid][pSawnK]);fwrite(hFile, var);
			format(var, 32, "%d pSpas12K\n",PlayerInfo[playerid][pSpas12K]);fwrite(hFile, var);
			format(var, 32, "%d pUziK\n",PlayerInfo[playerid][pUziK]);fwrite(hFile, var);
			format(var, 32, "%d pMP5K\n",PlayerInfo[playerid][pMP5K]);fwrite(hFile, var);
			format(var, 32, "%d pAK47K\n",PlayerInfo[playerid][pAK47K]);fwrite(hFile, var);
			format(var, 32, "%d pM4K\n",PlayerInfo[playerid][pM4K]);fwrite(hFile, var);
			format(var, 32, "%d pTec9K\n",PlayerInfo[playerid][pTec9K]);fwrite(hFile, var);
			format(var, 32, "%d pRifleK\n",PlayerInfo[playerid][pRifleK]);fwrite(hFile, var);
			format(var, 32, "%d pSRifleK\n",PlayerInfo[playerid][pSRifleK]);fwrite(hFile, var);
			format(var, 32, "%d pRPGK\n",PlayerInfo[playerid][pRPGK]);fwrite(hFile, var);
			format(var, 32, "%d pHSRLK\n",PlayerInfo[playerid][pHSRLK]);fwrite(hFile, var);
			format(var, 32, "%d pFlameK\n",PlayerInfo[playerid][pFlameK]);fwrite(hFile, var);
			format(var, 32, "%d pMiniK\n",PlayerInfo[playerid][pMiniK]);fwrite(hFile, var);
			format(var, 32, "%d pSachelK\n",PlayerInfo[playerid][pSatchelK]);fwrite(hFile, var);
			format(var, 32, "%d pFireEK\n",PlayerInfo[playerid][pFireEK]);fwrite(hFile, var);
			format(var, 32, "%d pSprayK\n",PlayerInfo[playerid][pSprayK]);fwrite(hFile, var);
			format(var, 32, "%d pFistK\n",PlayerInfo[playerid][pFistK]);fwrite(hFile, var);
			format(var, 32, "%d pBrassK\n",PlayerInfo[playerid][pBrassK]);fwrite(hFile, var);
			format(var, 32, "%d pGolfK\n",PlayerInfo[playerid][pGolfK]);fwrite(hFile, var);
			format(var, 32, "%d pNightSK\n",PlayerInfo[playerid][pNightSK]);fwrite(hFile, var);
			format(var, 32, "%d pBatK\n",PlayerInfo[playerid][pBatK]);fwrite(hFile, var);
			format(var, 32, "%d pShovelK\n",PlayerInfo[playerid][pShovelK]);fwrite(hFile, var);
			format(var, 32, "%d pPoolCK\n",PlayerInfo[playerid][pPoolCK]);fwrite(hFile, var);
			format(var, 32, "%d pKatanaK\n",PlayerInfo[playerid][pKatanaK]);fwrite(hFile, var);
			format(var, 32, "%d pChainsawK\n",PlayerInfo[playerid][pChainsawK]);fwrite(hFile, var);
			format(var, 32, "%d pIntimK\n",PlayerInfo[playerid][pIntimK]);fwrite(hFile, var);
			format(var, 32, "%d pKnifeK\n",PlayerInfo[playerid][pKnifeK]);fwrite(hFile, var);
			format(var, 32, "%d pDildoD\n",PlayerInfo[playerid][pDildoD]);fwrite(hFile, var);
			format(var, 32, "%d pFlowerD\n",PlayerInfo[playerid][pFlowerD]);fwrite(hFile, var);
			format(var, 32, "%d pCaneD\n",PlayerInfo[playerid][pCaneD]);fwrite(hFile, var);
			format(var, 32, "%d pGrenadeD\n",PlayerInfo[playerid][pGrenadeD]);fwrite(hFile, var);
			format(var, 32, "%d pGasD\n",PlayerInfo[playerid][pGasD]);fwrite(hFile, var);
			format(var, 32, "%d pMolotovD\n",PlayerInfo[playerid][pMolotovD]);fwrite(hFile, var);
			format(var, 32, "%d pColtD\n",PlayerInfo[playerid][pColtD]);fwrite(hFile, var);
			format(var, 32, "%d pSPD\n",PlayerInfo[playerid][pSPD]);fwrite(hFile, var);
			format(var, 32, "%d pDeagleD\n",PlayerInfo[playerid][pDeagleD]);fwrite(hFile, var);
			format(var, 32, "%d pPShotD\n",PlayerInfo[playerid][pPShotD]);fwrite(hFile, var);
			format(var, 32, "%d pSawnD\n",PlayerInfo[playerid][pSawnD]);fwrite(hFile, var);
			format(var, 32, "%d pSpas12D\n",PlayerInfo[playerid][pSpas12D]);fwrite(hFile, var);
			format(var, 32, "%d pUziD\n",PlayerInfo[playerid][pUziD]);fwrite(hFile, var);
			format(var, 32, "%d pMP5D\n",PlayerInfo[playerid][pMP5D]);fwrite(hFile, var);
			format(var, 32, "%d pAK47D\n",PlayerInfo[playerid][pAK47D]);fwrite(hFile, var);
			format(var, 32, "%d pM4D\n",PlayerInfo[playerid][pM4D]);fwrite(hFile, var);
			format(var, 32, "%d pTec9D\n",PlayerInfo[playerid][pTec9D]);fwrite(hFile, var);
			format(var, 32, "%d pRifleD\n",PlayerInfo[playerid][pRifleD]);fwrite(hFile, var);
			format(var, 32, "%d pSRifleD\n",PlayerInfo[playerid][pSRifleD]);fwrite(hFile, var);
			format(var, 32, "%d pRPGD\n",PlayerInfo[playerid][pRPGD]);fwrite(hFile, var);
			format(var, 32, "%d pHSRLD\n",PlayerInfo[playerid][pHSRLD]);fwrite(hFile, var);
			format(var, 32, "%d pFlameD\n",PlayerInfo[playerid][pFlameD]);fwrite(hFile, var);
			format(var, 32, "%d pMiniD\n",PlayerInfo[playerid][pMiniD]);fwrite(hFile, var);
			format(var, 32, "%d pSachelD\n",PlayerInfo[playerid][pSatchelD]);fwrite(hFile, var);
			format(var, 32, "%d pFireED\n",PlayerInfo[playerid][pFireED]);fwrite(hFile, var);
			format(var, 32, "%d pSprayD\n",PlayerInfo[playerid][pSprayD]);fwrite(hFile, var);
			format(var, 32, "%d pFistD\n",PlayerInfo[playerid][pFistD]);fwrite(hFile, var);
			format(var, 32, "%d pBrassD\n",PlayerInfo[playerid][pBrassD]);fwrite(hFile, var);
			format(var, 32, "%d pGolfD\n",PlayerInfo[playerid][pGolfD]);fwrite(hFile, var);
			format(var, 32, "%d pNightSD\n",PlayerInfo[playerid][pNightSD]);fwrite(hFile, var);
			format(var, 32, "%d pBatD\n",PlayerInfo[playerid][pBatD]);fwrite(hFile, var);
			format(var, 32, "%d pShovelD\n",PlayerInfo[playerid][pShovelD]);fwrite(hFile, var);
			format(var, 32, "%d pPoolCD\n",PlayerInfo[playerid][pPoolCD]);fwrite(hFile, var);
			format(var, 32, "%d pKatanaD\n",PlayerInfo[playerid][pKatanaD]);fwrite(hFile, var);
			format(var, 32, "%d pChainsawD\n",PlayerInfo[playerid][pChainsawD]);fwrite(hFile, var);
			format(var, 32, "%d pIntimD\n",PlayerInfo[playerid][pIntimD]);fwrite(hFile, var);
			format(var, 32, "%d pKnifeD\n",PlayerInfo[playerid][pKnifeD]);fwrite(hFile, var);
			format(var, 32, "%d pPMs\n",PlayerInfo[playerid][pPMs]);fwrite(hFile, var);
   			format(var, 32, "%d pALicence\n",PlayerInfo[playerid][pALicence]);fwrite(hFile, var);
	        format(var, 32, "%d pBLicence\n",PlayerInfo[playerid][pBLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pCLicence\n",PlayerInfo[playerid][pCLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pDLicence\n",PlayerInfo[playerid][pDLicence]);fwrite(hFile, var);
	        format(var, 32, "%d pELicence\n",PlayerInfo[playerid][pELicence]);fwrite(hFile, var);
	        format(var, 32, "%d pALicenceR\n",PlayerInfo[playerid][pALicenceR]);fwrite(hFile, var);
        	format(var, 32, "%d pBLicenceR\n",PlayerInfo[playerid][pBLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pCLicenceR\n",PlayerInfo[playerid][pCLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pDLicenceR\n",PlayerInfo[playerid][pDLicenceR]);fwrite(hFile, var);
	        format(var, 32, "%d pELicenceR\n",PlayerInfo[playerid][pELicenceR]);fwrite(hFile, var);
            format(var, 32, "%d pShooter\n",PlayerInfo[playerid][pShooter]);fwrite(hFile, var);
	        format(var, 32, "%d pDiller\n",PlayerInfo[playerid][pDiller]);fwrite(hFile, var);
	        format(var, 32, "%d pHealther\n",PlayerInfo[playerid][pHealther]);fwrite(hFile, var);
	        format(var, 32, "%d pRepairer\n",PlayerInfo[playerid][pRepairer]);fwrite(hFile, var);
	        format(var, 32, "%d pThiefer\n",PlayerInfo[playerid][pThiefer]);fwrite(hFile, var);
	        format(var, 32, "%d pTeacher\n",PlayerInfo[playerid][pTeacher]);fwrite(hFile, var);
	        format(var, 32, "%d pDetective\n",PlayerInfo[playerid][pDetective]);fwrite(hFile, var);
         	format(var, 32, "%d pShooterR\n",PlayerInfo[playerid][pShooterR]);fwrite(hFile, var);
	        format(var, 32, "%d pDillerR\n",PlayerInfo[playerid][pDillerR]);fwrite(hFile, var);
	        format(var, 32, "%d pHealtherR\n",PlayerInfo[playerid][pHealtherR]);fwrite(hFile, var);
	        format(var, 32, "%d pRepairerR\n",PlayerInfo[playerid][pRepairerR]);fwrite(hFile, var);
	        format(var, 32, "%d pThieferR\n",PlayerInfo[playerid][pThieferR]);fwrite(hFile, var);
	        format(var, 32, "%d pTeacherR\n",PlayerInfo[playerid][pTeacherR]);fwrite(hFile, var);
	        format(var, 32, "%d pDetectiveR\n",PlayerInfo[playerid][pDetectiveR]);fwrite(hFile, var);
	        format(var, 32, "%d pWantedlevel\n",PlayerInfo[playerid][pWantedlevel]);fwrite(hFile, var);
			format(var, 32, "%d pJob\n",PlayerInfo[playerid][pJob]);fwrite(hFile, var);
			format(var, 32, "%d pMats\n",PlayerInfo[playerid][pMats]);fwrite(hFile, var);
			fclose(hFile);
		}
		new bkey = PlayerInfo[playerid][pPbiskey];
		new hkey = PlayerInfo[playerid][pPhousekey];
		new playername[32];
		if(bkey != 255)
		{
			if(bkey >= 100)
			{
				strmid(SBizzInfo[bkey-100][sbOwner], name, 0, strlen(name), 255);
			}
			else
			{
				strmid(BizzInfo[bkey][bOwner], name, 0, strlen(name), 255);
			}
		}
		GetPlayerName(playerid, playername, sizeof(playername));
		if (hkey != 255 && strcmp(playername, HouseInfo[hkey][hOwner], true) == 0)
		{
			strmid(HouseInfo[hkey][hOwner], name, 0, strlen(name), 255);
		}
		OnPropUpdate();
	}
	else
	{
		SendClientMessage(playerid, COLOR_YELLOW, "You do not have an account, type /regnick <password>");
	}
	if (gdebug){printf("DEBUG OnClientUpdate(%d)End", playerid);}
	return 1;
}

public OnPropUpdate()
{
	if (gdebug >= 1){printf("DEBUG OnPropUpdate()");}
	new idx;
	new File: file2;
	while (idx < sizeof(HouseInfo))
	{
		new coordsstring[256];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f,%f,%f,%d,%d,%d,%d,%d,%d,%s,%s,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d\n",
		HouseInfo[idx][hEntrancex],
		HouseInfo[idx][hEntrancey],
		HouseInfo[idx][hEntrancez],
		HouseInfo[idx][hExitx],
		HouseInfo[idx][hExity],
		HouseInfo[idx][hExitz],
		HouseInfo[idx][hHealthx],
		HouseInfo[idx][hHealthy],
		HouseInfo[idx][hHealthz],
		HouseInfo[idx][hArmourx],
		HouseInfo[idx][hArmoury],
		HouseInfo[idx][hArmourz],
		HouseInfo[idx][hOwner],
		HouseInfo[idx][hDiscription],
		HouseInfo[idx][hValue],
		HouseInfo[idx][hHel],
		HouseInfo[idx][hArm],
		HouseInfo[idx][hInt],
		HouseInfo[idx][hWorld],
		HouseInfo[idx][hLock],
		HouseInfo[idx][hOwned],
		HouseInfo[idx][hRooms],
		HouseInfo[idx][hRent],
		HouseInfo[idx][hRentabil],
		HouseInfo[idx][hTakings],
		HouseInfo[idx][hVec],
		HouseInfo[idx][hVcol1],
		HouseInfo[idx][hVcol2],
		HouseInfo[idx][hDate],
		HouseInfo[idx][hLevel]);
		if(idx == 0)
		{
			file2 = fopen("property.cfg", io_write);
		}
		else
		{
			file2 = fopen("property.cfg", io_append);
		}
		fwrite(file2, coordsstring);
		idx++;
		fclose(file2);
	}
	idx = 0;
	while (idx < sizeof(BizzInfo))
	{
		new coordsstring[256];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%f,%f,%f,%d,%d,%d,%d,%d,%d,%s,%s,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d\n",
		BizzInfo[idx][bEntrancex],
		BizzInfo[idx][bEntrancey],
		BizzInfo[idx][bEntrancez],
		BizzInfo[idx][bExitx],
		BizzInfo[idx][bExity],
		BizzInfo[idx][bExitz],
		BizzInfo[idx][bHealthx],
		BizzInfo[idx][bHealthy],
		BizzInfo[idx][bHealthz],
		BizzInfo[idx][bArmourx],
		BizzInfo[idx][bArmoury],
		BizzInfo[idx][bArmourz],
		BizzInfo[idx][bOwner],
		BizzInfo[idx][bDiscription],
		BizzInfo[idx][bValue],
		BizzInfo[idx][bHel],
		BizzInfo[idx][bArm],
		BizzInfo[idx][bInt],
		BizzInfo[idx][bWorld],
		BizzInfo[idx][bLock],
		BizzInfo[idx][bOwned],
		BizzInfo[idx][bEntcost],
		BizzInfo[idx][bTakings],
		BizzInfo[idx][bDate],
		BizzInfo[idx][bLevel],
		BizzInfo[idx][bProd],
		BizzInfo[idx][bProdCap],
		BizzInfo[idx][bComp],
		BizzInfo[idx][bCompCap],
		BizzInfo[idx][bProdCost],
		BizzInfo[idx][bPayComp],
		BizzInfo[idx][bPriceMod]);
		if(idx == 0)
		{
			file2 = fopen("bizz.cfg", io_write);
		}
		else
		{
			file2 = fopen("bizz.cfg", io_append);
		}
		fwrite(file2, coordsstring);
		idx++;
		fclose(file2);
	}
	idx = 0;
	while (idx < sizeof(SBizzInfo))
	{
		new coordsstring[256];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%s,%s,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d\n",
		SBizzInfo[idx][sbEntrancex],
		SBizzInfo[idx][sbEntrancey],
		SBizzInfo[idx][sbEntrancez],
		SBizzInfo[idx][sbOwner],
		SBizzInfo[idx][sbDiscription],
		SBizzInfo[idx][sbValue],
		SBizzInfo[idx][sbHel],
		SBizzInfo[idx][sbArm],
		SBizzInfo[idx][sbInt],
		SBizzInfo[idx][sbLock],
		SBizzInfo[idx][sbOwned],
		SBizzInfo[idx][sbEntcost],
		SBizzInfo[idx][sbTakings],
		SBizzInfo[idx][sbDate],
		SBizzInfo[idx][sbLevel],
		SBizzInfo[idx][sbProd],
		SBizzInfo[idx][sbProdCap],
		SBizzInfo[idx][sbComp],
		SBizzInfo[idx][sbCompCap],
		SBizzInfo[idx][sbProdCost],
		SBizzInfo[idx][sbPayComp]);
		if(idx == 0)
		{
			file2 = fopen("sbizz.cfg", io_write);
		}
		else
		{
			file2 = fopen("sbizz.cfg", io_append);
		}
		fwrite(file2, coordsstring);
		idx++;
		fclose(file2);
	}
 	idx = 0;
	while (idx < sizeof(StationInfo))
	{
		new coordsstring[256];
		format(coordsstring, sizeof(coordsstring), "%f,%f,%f,%s,%s,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d,%d\n",
		StationInfo[idx][stEnterx],
		StationInfo[idx][stEntery],
		StationInfo[idx][stEnterz],
		StationInfo[idx][stOwner],
		StationInfo[idx][stDiscription],
		StationInfo[idx][stValue],
		StationInfo[idx][stHel],
		StationInfo[idx][stArm],
		StationInfo[idx][stInt],
		StationInfo[idx][stLock],
		StationInfo[idx][stOwned],
		StationInfo[idx][stEntcost],
		StationInfo[idx][stTakings],
		StationInfo[idx][stDate],
		StationInfo[idx][stLevel],
		StationInfo[idx][stProd],
		StationInfo[idx][stProdCap],
		StationInfo[idx][stComp],
		StationInfo[idx][stCompCap],
		StationInfo[idx][stProdCost],
		StationInfo[idx][stPayComp]);
		if(idx == 0)
		{
			file2 = fopen("fuelst.cfg", io_write);
		}
		else
		{
			file2 = fopen("fuelst.cfg", io_append);
		}
		fwrite(file2, coordsstring);
		idx++;
		fclose(file2);
	}
	return 1;
}

public BroadCast(color,const string[])
{
	printf("%s", string);
	SendClientMessageToAll(color, string);
	return 1;
}

public ABroadCast(color,const string[],level)
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if ((IsPlayerAdmin(i)) || PlayerInfo[i][pAdmin] >= level)
			{
				SendClientMessage(i, color, string);
				printf("%s", string);
			}
		}
	}
	return 1;
}

public OOCOff(color,const string[])
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && !gOoc[i])
		{
			SendClientMessage(i, color, string);
		}
	}
}

public PlaySoundAll(playerid, soundid, Float:psx ,Float:psy ,Float:psz)
{
	if (gdebug >= 1){printf("DEBUG PlaySoundAll(%d)", playerid);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			PlayerPlaySound(i, soundid, psx, psy, psz);
		}
	}
}

public SendTeamMessage(team, color, string[])
{
if (gdebug >= 1){printf("DEBUG SendTeamMessage(%d)", team);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && gTeam[i] == team)
		{
			SendClientMessage(i, color, string);
		}
	}
}

public SendTeamBeepMessage(team, color, string[])
{
if (gdebug >= 1){printf("DEBUG SendTeamMessage(%d)", team);}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && gTeam[i] == team)
		{
			SendClientMessage(i, color, string);
			RingTone[i] = 20;
		}
	}
}

public SendEnemyMessage(color, string[])
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && gTeam[i] >= 3)
		{
			SendClientMessage(i, color, string);
		}
	}
}


public SendAdminMessage(color, string[])
{
if (gdebug >= 1){printf("DEBUG SendAdminMessage()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && PlayerInfo[i][pAdmin] > 1)
		{
			SendClientMessage(i, color, string);
		}
	}
}

public SendClientMessageToAllOthers(playerid, color, const string[])
{
    for (new i = 0, j = GetMaxPlayers(); i < j; i++)
    {
        if ((IsPlayerConnected(i)) && (i != playerid))
        {
            SendClientMessage(i, color, string);
        }
    }
}

stock SendHelpMessage(playerid, helpid)
{
	new items, idx;
    new Float:toolx = 137.500000;
	switch (helpid)
	{
	    case 0:
	    {
			items = 9; idx = 0;
		 	gHelpText[idx] = TextDrawCreate(110.000000, 124.000000, "~g~COMMAND HELP"); idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx, " ~y~1 ~w~- Account Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~2 ~w~- General Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~3 ~w~- Chat Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~4 ~w~- Bank Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~5 ~w~- House Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~6 ~w~- Business Commands");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~7 ~w~- Cellphone Commands");idx++;
			gHelpText[idx] = TextDrawCreate(110.000000, toolx+14*(idx-1), " ~n~~w~Press ~y~F6(T) ~w~And Select A Number~n~");

	    }
	    case 1:
	    {
			items = 9; idx = 0;
		 	gHelpText[idx] = TextDrawCreate(110.000000, 124.000000, "~g~ACCOUNT"); idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx, " ~y~/regnick ~w~- Register your account");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/login ~w~- Sign in to your account");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/level ~w~- View personal stats");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/buylevel ~w~- Buy new level for exp");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/upgrade ~w~- Upgrade your armory");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/changenick ~w~- Change nickname");idx++;
			gHelpText[idx] = TextDrawCreate(9.000000, toolx+14*(idx-1), " ~y~/changepass ~w~- Change password");idx++;
			gHelpText[idx] = TextDrawCreate(110.000000, toolx+14*(idx-1), " ~n~~w~Press ~y~~k~~PED_FIREWEAPON~ ~w~To Close This Box~n~");
	    
	    }
	    default:
	    {
	        SendClientMessage(playerid, COLOR_GRAD1, "Invalid Item ID.");
	        return 1;
	    }
	}
 	for (new i = 0; i < items; i++)
	{
		if (i == 0)
		{
			TextDrawAlignment(gHelpText[i], 2);
			TextDrawBackgroundColor(gHelpText[i], 255);
			TextDrawFont(gHelpText[i], 3);
			TextDrawLetterSize(gHelpText[i], 0.400000, 1.000000);
			TextDrawColor(gHelpText[i], 174328575);
			TextDrawSetOutline(gHelpText[i], 1);
			TextDrawUseBox(gHelpText[i], 1);
			TextDrawBoxColor(gHelpText[i], 16843108);
			TextDrawTextSize(gHelpText[i], 193.000000, -212.000000);
		}
		else if (i == items-1)
		{
			TextDrawAlignment(gHelpText[i], 2);
			TextDrawBackgroundColor(gHelpText[i], 255);
			TextDrawFont(gHelpText[i], 1);
			TextDrawLetterSize(gHelpText[i], 0.300000, 1.099999);
			TextDrawColor(gHelpText[i], -1);
			TextDrawSetOutline(gHelpText[i], 1);
			TextDrawSetProportional(gHelpText[i], 1);
			TextDrawUseBox(gHelpText[i], 1);
			TextDrawBoxColor(gHelpText[i], 16843108);
			TextDrawTextSize(gHelpText[i], 244.000000, 202.000000);
		}
		else
		{
			TextDrawBackgroundColor(gHelpText[i], 255);
			TextDrawFont(gHelpText[i], 1);
			TextDrawLetterSize(gHelpText[i], 0.270000, 1.000000);
			TextDrawColor(gHelpText[i], -1);
			TextDrawSetOutline(gHelpText[i], 1);
			TextDrawSetProportional(gHelpText[i], 1);
			TextDrawUseBox(gHelpText[i], 1);
			TextDrawBoxColor(gHelpText[i], 16843108);
			TextDrawTextSize(gHelpText[i], 211.000000, 0.000000);
		}
		TextDrawShowForPlayer(playerid,gHelpText[i]);
	}
	return 1;
}

stock SendAdvertiseMessageToAll(playerid)
{
	new string[256];
	new bizowner = PlayerInfo[playerid][pPbiskey];
	new phone = PlayerInfo[playerid][pPnumber];
	new descr[64];
	if (bizowner < 100)
	{
		format(descr, sizeof(descr),"%s", BizzInfo[bizowner][bDiscription]);
	}
	else if(bizowner >= 100)
	{
	    format(descr, sizeof(descr),"%s", SBizzInfo[bizowner-100][sbDiscription]);
	}
	switch (bizowner)
	{
	    case 0:
	    {
	        format(string, sizeof(string),"~g~ADVERTISE:~w~(LS) Weapons for real men only here! ~y~Sender: MOLE (%d)", phone);
	    }
	    case 1:
	    {
	        format(string, sizeof(string),"~g~ADVERTISE:~w~(LS) Come to ~y~Donut Place ~w~and we feed you to the dump! ~y~Sender: MOLE (%d)", phone);
	    }
	    default:
	    {
	        //format(string, sizeof(string),"~g~ADVERTISE: ~w~Visit my business and you will be satisfied! Sender: MOLE (%d)", phone);
   			format(string, sizeof(string),"~g~ADVERTISE: ~w~Visit %s ~w~and you will be satisfied! ~y~Ph: (%d)", descr, phone);
		}
	}
    SendTextDrawMessageToAll(string);
}

stock SendNewsMessageToAll(suspectid, string[])
{
	if (EventsProxDetectorV(100.0, suspectid, 254) || EventsProxDetectorV(100.0, suspectid, 255) || EventsProxDetectorV(100.0, suspectid, 256))
	{
		SendTextDrawMessageToAll(string);
	}
}

stock SendTextDrawMessage(playerid, string[])
{

	for(new i = 0; i < MAX_CHAT_LINES; i++)
	{
    	TextDrawHideForAll(gSanNews[i]);
    	if(i < 2)
		{
		    chatstore[i] = chatstore[i+1];
    		TextDrawSetString(gSanNews[i], chatstore[i]);
 		}
	}
	format(chatstore[2], 256, "%s", string);
	TextDrawSetString(gSanNews[2], chatstore[2]);
	/*if (gNewsLine > 2)
	{
	    TextDrawSetString(gSanNews[0], chatstore[1]);
	    chatstore[0] = chatstore[1];
	    TextDrawSetString(gSanNews[1], chatstore[2]);
	    chatstore[1] = chatstore[2];
	}
	if ((gNewsLine >= 0) && (gNewsLine < 3))
	{
	    format(chatstore[gNewsLine], 61, "%s", string);
    	gSanNews[gNewsLine] = TextDrawCreate(ChatPosition[gNewsLine][0], ChatPosition[gNewsLine][1], string);
    	gNewsLine++;
	}
	else if (gNewsLine == 3)
	{
		format(chatstore[2], 61, "%s", string);
		TextDrawSetString(gSanNews[2], chatstore[2]);
	}*/
	for (new i = 0; i < MAX_CHAT_LINES; i++)
	{
     	TextDrawAlignment(gSanNews[i], 1);
		TextDrawBackgroundColor(gSanNews[i],0x000000FF);
		TextDrawLetterSize(gSanNews[i],0.290000,1.200000);
		TextDrawSetProportional(gSanNews[i],1);
	 	TextDrawSetOutline(gSanNews[i], 1);
	 	//TextDrawShowForAll(gSanNews[i]);
		 if (IsPlayerConnected(playerid) && gNewsHide[playerid] != 1)
	 	{
		 	TextDrawShowForPlayer(playerid, gSanNews[i]);
		}
	}
}

stock SendTextDrawMessageToAll(string[])
{

	for(new i = 0; i < MAX_CHAT_LINES; i++)
	{
    	TextDrawHideForAll(gSanNews[i]);
    	if(i < 2)
		{
		    chatstore[i] = chatstore[i+1];
    		TextDrawSetString(gSanNews[i], chatstore[i]);
 		}
	}
	format(chatstore[2], 256, "%s", string);
	TextDrawSetString(gSanNews[2], chatstore[2]);
	for (new i = 0; i < MAX_CHAT_LINES; i++)
	{
     	TextDrawAlignment(gSanNews[i], 1);
		TextDrawBackgroundColor(gSanNews[i],0x000000FF);
		TextDrawLetterSize(gSanNews[i],0.290000,1.200000);
		TextDrawSetProportional(gSanNews[i],1);
	 	TextDrawSetOutline(gSanNews[i], 1);
	 	TextDrawShowForAll(gSanNews[i]);
	 	/*for (new j = 0; j < MAX_PLAYERS; j++)
	 	{
		 	if ((gNewsHide[j] == 1) && i < 2)
		 	{
			 	TextDrawShowForPlayer(j, gSanNews[i]);
			}
			TextDrawShowForAll(gSanNews[2]);
		}*/
	}
	//TextDrawShowForAll(gSanNews[2]);
}

stock HideTextDrawChat(playerid, bool:status)
{
	for (new i = 0; i < MAX_CHAT_LINES; i++)
	{
	    if (status == true)
	    {
			TextDrawHideForPlayer(playerid, gSanNews[i]);
		}
		else if (status == false)
		{
		    TextDrawShowForPlayer(playerid, gSanNews[i]);
		}
	}
}

stock GameTextDrawForAll(string[], timer, aligment)
{
	if (admnewsend == 0)
	{
	    KillTimer(newsendtimer);
		DelTextDrawMessage();
	}
	gAnn = TextDrawCreate(150.0, 120.0, string);
    TextDrawAlignment(gAnn, aligment);
	TextDrawBackgroundColor(gAnn,0x000000FF);
	TextDrawLetterSize(gAnn,0.290000,1.200000);
	TextDrawSetProportional(gAnn,1);
	TextDrawSetOutline(gAnn, 1);
	TextDrawShowForAll(gAnn);
	newsendtimer = SetTimer("DelTextDrawMessage", timer, 0);
	admnewsend = 0;
}

public DelTextDrawMessage()
{
    TextDrawHideForAll(gAnn);
    TextDrawDestroy(gAnn);
    admnewsend = 1;
}


public AddCar(carcoords)
{
	new randcol = random(126);
	new randcol2 = 1;
	if (rccounter == 14)
	{
		rccounter = 0;
	}
	CreateVehicle(carselect[rccounter], CarSpawns[carcoords][pos_x], CarSpawns[carcoords][pos_y], CarSpawns[carcoords][pos_z], CarSpawns[carcoords][z_angle], randcol, randcol2, -1);
	//AddStaticVehicle(carselect[rccounter], CarSpawns[carindex][pos_x], CarSpawns[carindex][pos_y], CarSpawns[carindex][pos_z], CarSpawns[carindex][z_angle],randcol,randcol2); // nm
	rccounter++;
	return 1;
}

public PlayerPlayMusic(playerid)
{
if (gdebug >= 1){printf("DEBUG PlayerPlayMusic(%d)",playerid);}
	SetTimer("StopMusic", 5000, 0);
	PlayerPlaySound(playerid, 1068, 0.0, 0.0, 0.0);
}

public StopMusic()
{
if (gdebug >= 1){printf("DEBUG StopMusic()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			PlayerPlaySound(i, 1069, 0.0, 0.0, 0.0);
		}
	}
}

public PlayerFixRadio(playerid)
{
if (gdebug >= 1){printf("DEBUG PlayerPlayMusic(%d)",playerid);}
	SetTimer("PlayerFixRadio2", 50, 0);
	PlayerPlaySound(playerid, 1068, 0.0, 0.0, 0.0);
	Fixr[playerid] = 1;
}

public PlayerFixRadio2()
{
if (gdebug >= 1){printf("DEBUG StopMusic()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(Fixr[i])
			{
				PlayerPlaySound(i, 1069, 0.0, 0.0, 0.0);
				Fixr[i] = 0;
			}
		}
	}
}

public PlayJailSound(sound , stopsound, duration, Float:jailx, Float:jaily, Float:jailz)
{
if (gdebug >= 1){printf("DEBUG PlayJailSound()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			PlayerPlaySound(i, sound, jailx, jaily, jailz);
			//printf("startjail %d",i);
			stopsoundt = stopsound;
			jailxt = jailx;
			jailyt = jaily;
			jailzt = jailz;
		}
	}
	SetTimer("StopJail", duration, 0);
}

public StopJail()
{
if (gdebug >= 1){printf("DEBUG StopJail()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			PlayerPlaySound(i, stopsoundt, jailxt, jailyt, jailzt);
			//printf("stopjail %d",i);
		}
	}
}

//---------------------------<[ OnPlayerCommandText ]>--------------------------------------------------------

public OnPlayerCommandText(playerid, cmdtext[])
{
if (gdebug >= 1){printf("DEBUG OnPlayerCommandText(%d)",playerid);}
	new string[256];
	new playermoney;
	new sendername[MAX_PLAYER_NAME];
	new giveplayer[MAX_PLAYER_NAME];
	new playername[MAX_PLAYER_NAME];
	new specplayerid, specvehicleid;
	new cmd[256];
	new tmp[256];
	new giveplayerid, moneys, idx;
	cmd = strtok(cmdtext, idx);
	
	if(IsPlayerConnected(playerid) == 0)
	{
	   return 1;
 	}
 	if((cmdtext[0] == '/') && strlen(cmdtext) > 1)
	{
	    new character[256];
	    new i, j;
	    new found = 0;
	    new foundchar[256];
		for(i = 1; i < (strlen(cmdtext)); i++)
		{
		    strmid(character, cmdtext, i, i+1, 2);
  		    for(j = 0; j < MAX_ALLOWED_CHARS; j++)
		    {
		       tmps1 = allowedchars[j];
		       if(strcmp(hash(character), hash(tmps1), false) == 0)
			   {
          	      found = 1;
          	      foundchar = tmps1;
           	   }
 		    }
	        if(found == 1)
		    {
		       found = 0;
	        }
	    else return SendClientMessage(playerid, COLOR_GRAD1,"Illegal character(s) used. Use [0-1], [a-z], [A-Z] or [!@#$%^&*()-[];:,.<>?/]");
		}
	}
	if(BlockCmd[playerid] == 1)
	{
	   SendClientMessage(playerid, COLOR_RED,"You are not authorized to use any command!");
	   return 1;
	}
//----------------------------------[ADMIN CHAT]------------------------------------------------------------------
	if(strcmp(cmd, "/admin", true) == 0 || strcmp(cmd, "/a", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/a)dmin [admin chat]");
			return 1;
		}
		format(string, sizeof(string), "*Admin %s: %s", sendername, result);
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
			SendAdminMessage(COLOR_YELLOW, string);
		}
		printf("Admin %s: %s", sendername, result);
		return 1;
	}
//-------------------------------------Rcon Snoop----------------------------------------------------|
	new pname[256], cmdstring[256];
	GetPlayerName(playerid, pname, sizeof(pname));
	format(cmdstring, sizeof(cmdstring), "*** %s [%d]: %s",pname,playerid, cmdtext);
	for(new j = 0; j < MAX_PLAYERS; j++)
	{
		if ((IsPlayerAdmin(j) && gSnoop[j]==1) || (PlayerInfo[j][pAdmin]>=103 && gSnoop[j]==1))
		{
			SendClientMessage(j, 0xFF9900, cmdstring);
	  	}
	}
    CmdLog(cmdstring);
	if(strcmp(cmd, "/snoop", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] == 106)
	    {
			if(gSnoop[playerid] == 0)
			{
				gSnoop[playerid] = 1;
				SendClientMessage(playerid, COLOR_YELLOW, "Snooping activated.");
			}
			else if(gSnoop[playerid] == 1)
			{
				gSnoop[playerid] = 0;
				SendClientMessage(playerid, COLOR_YELLOW, "Snooping deactivated.");
			}
		}
		return 1;
	}
//--------------------------------------------------------------------------------------------------|
	if(strfind(cmdtext, "%", true, 0) != -1)
	{
	    new str[256],player[24];
	    GetPlayerName(playerid,player,24);
		SendClientMessage(playerid,COLOR_GREY,"Trying to exploit a bug is against the rules.");
		format(str,sizeof(str),"Anti-Exploit: %s tried to use the /me exploit.",player);
		for(new i = 0; i < 100; i++)
		{
			if(IsPlayerConnected(i) && (IsPlayerAdmin(i) || PlayerInfo[i][pAdmin] >= 103))
			{
				SendClientMessage(i,COLOR_YELLOW,str);
			}
		}
		return 1;
	}
	//else{SendClientMessage(playerid,0xFFFFFFFF,"Else of percent s");return 1;}
	if(strcmp(cmd, "/chkpercent", true) == 0)
	{
	    new thatname[24], passed;
	    for(new i = 0; i < MAX_PLAYERS; i++)
		{
		    GetPlayerName(i,thatname,sizeof(thatname));
		    if(strfind(thatname,"%",true,0) != -1)
			{
		       passed = 1;
		    }
	    }
	    if(passed == 1)
		{
		    SendClientMessage(playerid,COLOR_YELLOW,"Percents detected");
		}
	    else
	    {
	        SendClientMessage(playerid,COLOR_YELLOW,"None detected");
	    }
	    return 1;
	}
	
//--------------------------------------------------------------------------
	if(strcmp(cmd, "/iamtaxi", true) == 0)
	{
   		new tname[256];
   		GetPlayerName(playerid, tname, 256);
   		format(string, sizeof(string), "(( %s Is now a taxidriver if you need a taxi type /needtaxi(/nt) [location] ))", tname);
   		SendClientMessageToAll(COLOR_YELLOW,string);
   		return 1;
	}
//-----------------------
	if (strcmp(cmd, "/afk", true) == 0)
	{
		if (gPlayerLogged[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You Are Not Logged In");
			return 1;
		}
		if (gPlayerFighter[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You Are DM Player");
			return 1;
		}
		if (playerid == gPublicEnemy)
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Public Enemy can't be afk");
		    return 1;
		}
		if(afkplayer[playerid] != 0)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You already afk!");
		    return 1;
		}
		/*if (TogglePlayerControllable(playerid, 0)) && afkplayer[playerid]==0)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You Are Freeze");
			return 1;
		}*/
  		if(IsPlayerInAnyVehicle(playerid))
        {
  		   new Float:health;
		   GetVehicleHealth(GetPlayerVehicleID(playerid), health);
		   if (health < 250)
		   {
			  SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You cannot be afk! Boom!");
			  return 1;
		   }
		}
		space = strfind(cmd, "", true, 0);
		GetPlayerName(playerid, nick, sizeof(nick));
		strmid(msg, cmd, space+1, strlen(cmd), sizeof(msg));
		format(string, sizeof(string), " *** %s away(afk).", nick, msg);
		SendClientMessageToAll(COLOR_LIGHTBLUE, string);
		SendClientMessage(playerid, COLOR_YELLOW, " * What would be back type /back");
		format(string,sizeof(string),"~n~~n~~n~~n~~n~~n~~n~~n~~n~~n~~n~~r~%s ~w~is afk.", nick, msg);
		GameTextForAll(string,3000,3);
		strins(nick,"[AFK]",0);
		SetPlayerName(playerid, nick);
		afkplayer[playerid] = 1;
		TogglePlayerControllable(playerid, 0);
		return 1;
	}
	
	if(strcmp(cmd,"/back",true) == 0)
	{
		if(afkplayer[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not afk");
		    return 1;
		}
		space = strfind(cmd, "", true, 0);
		IsPlayerConnected(playerid);
		GetPlayerName(playerid, nick, sizeof(nick));
		strdel(nick, 0, 5);
		SetPlayerName(playerid, nick);
		strmid(msg, cmd, space+1, strlen(cmd), sizeof(msg));
		format(string, sizeof(string), " *** %s back.", nick, msg);
		SendClientMessageToAll(COLOR_LIGHTBLUE, string);
		format(string,sizeof(string),"~n~~n~~n~~n~~n~~n~~n~~n~~n~~n~~n~~r~%s ~w~is back.", nick, msg);
		GameTextForAll(string,3000,3);
		afkplayer[playerid] = 0;
		TogglePlayerControllable(playerid, 1);
		return 1;
	}
	
    if(strcmp(cmd,"/afklist", true) == 0)
    {
  		SendClientMessage(playerid, COLOR_GRAD1, "Players Afk:");
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1 && afkplayer[i] == 1)
			{
				GetPlayerName(i, sendername, sizeof(sendername));
				format(string, 256, "%s", sendername);
				SendClientMessage(playerid, COLOR_GRAD2, string);
			}
		}
        return 1;
    }
//-----------------------------------------[Pay]----------------------------------------------------|
	if(strcmp(cmd, "/pay", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /pay [playerid/PartOfName] [amount]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if(PlayerInfo[giveplayerid][pLocal] == 106)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "Command not allowed in this location");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /pay [playerid/PartOfName] [amount]");
			return 1;
		}
		moneys = strval(tmp);
		if(moneys > 10000 && PlayerInfo[playerid][pLevel] < 3)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "You must be level 3 to pay over 1000");
			return 1;
		}
		//if (gdebug){printf("DEBUG givecash_command: %d %d",giveplayerid,moneys);}
		if (IsPlayerConnected(giveplayerid))
		{
			if (ProxDetectorS(5.0, playerid, giveplayerid))
			{
				GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
				GetPlayerName(playerid, sendername, sizeof(sendername));
				playermoney = GetPlayerMoney(playerid);
				if (moneys > 0 && playermoney >= moneys)
				{
					GiveMoney(playerid, (0 - moneys));
					GiveMoney(giveplayerid, moneys);
					format(string, sizeof(string), "   You have sent %s(player: %d), $%d.", giveplayer,giveplayerid, moneys);
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD1, string);
					format(string, sizeof(string), "   You have recieved $%d from %s(player: %d).", moneys, sendername, playerid);
					SendClientMessage(giveplayerid, COLOR_GRAD1, string);
					format(string, sizeof(string), "%s has paid $%d to %s", sendername, moneys, giveplayer);
					PayLog(string);
					if(moneys >= 1000000)
					{
						ABroadCast(COLOR_YELLOW,string,1);
					}
					PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
					format(string, sizeof(string), "* %s takes out some cash, and hands it to %s.", sendername ,giveplayer);
					ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD1, "   Invalid transaction amount.");
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Your too far away.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/charity", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /charity [amount]");
			return 1;
		}
		if(PlayerInfo[giveplayerid][pLocal] == 106)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "Command not allowed in this location");
			return 1;
		}
		moneys = strval(tmp);
		if(moneys < 0)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "That is not enough.");
			return 1;
		}
		GiveMoney(playerid, (-moneys));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		format(string, sizeof(string), "%s Thank you for you donation of, $%d.",sendername, moneys);
		printf("%s", string);
		PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
		SendClientMessage(playerid, COLOR_GRAD1, string);
		PayLog(string);
		return 1;
	}
	
//-------------------------------[Register]--------------------------------------------------------------------------
	if (strcmp(cmd, "/regnick", true) == 0 || strcmp(cmd, "/register", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /regnick [password]");
			return 1;
		}
        else if(strlen(tmp) > 12)
        {
        	SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Password must be less than 12 characters");
			return 1;
		}
		if (gPlayerAccount[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   That name is registered");
			return 1;
		}
		gPlayerAccount[playerid] = 1;
		/*
			SetPlayerInterior(playerid,2);
			SetPlayerPos(playerid,1216.699000,-6.416779,1001.328000);
			SetPlayerFacingAngle(playerid, 90.0);
			SetPlayerCameraPos(playerid,1216.699000-1.5,-6.416779,1001.328000+0.7);
			SetPlayerCameraLookAt(playerid,1216.699000,-6.416779,1001.328000+0.7);
			GameTextForPlayer(playerid, "~w~Now Select a character and type /login <your password>", 10000, 3);*/
		strmid(PlayerInfo[playerid][pPassword], tmp, 0, strlen(cmdtext), 255);
		Encript(PlayerInfo[playerid][pPassword]);
		GetPlayerName(playerid, playername, sizeof(playername));
		format(string, sizeof(string), "accounts/%s.cer", playername);
		PlayerInfo[playerid][pCash] = GetPlayerMoney(playerid);
		new File: file = fopen(string, io_read);
		if (file)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   That nick is registered");
			fclose(file);
			return 1;
		}
	//	new Float:px, Float:py, Float:pz;//
	//	new Float:health;//
		//new randphone = 1000 + random(8999);//minimum 1000  max 9999 //giving one at the start
		//PlayerInfo[playerid][pPnumber] = randphone;
		printf("%s has created an account.", playername);
		new File:hFile;
		hFile = fopen(string, io_append);
		new var[32];//
		format(var, 32, "%s\n", PlayerInfo[playerid][pPassword]);fwrite(hFile, var);
		format(var, 32, "%s\n", PlayerInfo[playerid][pIp]);fwrite(hFile, var);
		format(var, 32, "%d pCash\n", PlayerInfo[playerid][pCash]);fwrite(hFile, var);
		format(var, 32, "%d pAccount\n", PlayerInfo[playerid][pAccount]);fwrite(hFile, var);
		format(var, 32, "%d pAdmin\n", PlayerInfo[playerid][pAdmin]);fwrite(hFile, var);
		format(var, 32, "%d pLevel\n", PlayerInfo[playerid][pLevel]);fwrite(hFile, var);
		format(var, 32, "%d pExp\n", PlayerInfo[playerid][pExp]);fwrite(hFile, var);
		format(var, 32, "%d gPupgrade\n", PlayerInfo[playerid][gPupgrade]);fwrite(hFile, var);
		format(var, 32, "%d pKills\n", PlayerInfo[playerid][pKills]);fwrite(hFile, var);
		format(var, 32, "%d pCB\n", PlayerInfo[playerid][pCB]);fwrite(hFile, var);
		format(var, 32, "%d pHW\n", PlayerInfo[playerid][pHW]);fwrite(hFile, var);
		format(var, 32, "%d pSR\n", PlayerInfo[playerid][pSR]);fwrite(hFile, var);
		format(var, 32, "%d pWA\n", PlayerInfo[playerid][pWA]);fwrite(hFile, var);
		format(var, 32, "%d pBF\n", PlayerInfo[playerid][pBF]);fwrite(hFile, var);
		format(var, 32, "%d pPEN\n", PlayerInfo[playerid][pPEN]);fwrite(hFile, var);
		format(var, 32, "%d pGun1\n", PlayerInfo[playerid][pGun1]);fwrite(hFile, var);
		format(var, 32, "%d pGun2\n", PlayerInfo[playerid][pGun2]);fwrite(hFile, var);
		format(var, 32, "%d pGun3\n", PlayerInfo[playerid][pGun3]);fwrite(hFile, var);
		format(var, 32, "%d pGun4\n", PlayerInfo[playerid][pGun4]);fwrite(hFile, var);
		format(var, 32, "%d pGun5\n", PlayerInfo[playerid][pGun5]);fwrite(hFile, var);
		format(var, 32, "%d pGun6\n", PlayerInfo[playerid][pGun6]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo1\n", PlayerInfo[playerid][pAmmo1]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo2\n", PlayerInfo[playerid][pAmmo2]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo3\n", PlayerInfo[playerid][pAmmo3]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo4\n", PlayerInfo[playerid][pAmmo4]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo5\n", PlayerInfo[playerid][pAmmo5]);fwrite(hFile, var);
		format(var, 32, "%d pAmmo6\n", PlayerInfo[playerid][pAmmo6]);fwrite(hFile, var);
		format(var, 32, "%f pSHealth\n", PlayerInfo[playerid][pSHealth]);fwrite(hFile, var);
		format(var, 32, "%f pSArmour\n", PlayerInfo[playerid][pSArmour]);fwrite(hFile, var);
		format(var, 32, "%f pHealth\n", PlayerInfo[playerid][pHealth]);fwrite(hFile, var);
		format(var, 32, "%f pPos_x\n", PlayerInfo[playerid][pPos_x]);fwrite(hFile, var);
		format(var, 32, "%f pPos_y\n", PlayerInfo[playerid][pPos_y]);fwrite(hFile, var);
		format(var, 32, "%f pPos_z\n", PlayerInfo[playerid][pPos_z]);fwrite(hFile, var);
		if(accountplay)
		{
			PlayerInfo[playerid][pInt] = 0;
		}
		format(var, 32, "%d pInt\n", PlayerInfo[playerid][pInt]);fwrite(hFile, var);
		format(var, 32, "%d pLocal\n", PlayerInfo[playerid][pLocal]);fwrite(hFile, var);
		format(var, 32, "%d pTeam\n", PlayerInfo[playerid][pTeam]);fwrite(hFile, var);
		format(var, 32, "%d pModel\n", PlayerInfo[playerid][pModel]);fwrite(hFile, var);
		format(var, 32, "%d pPnumber\n", PlayerInfo[playerid][pPnumber]);fwrite(hFile, var);
		format(var, 32, "%d pPhousekey\n", PlayerInfo[playerid][pPhousekey]);fwrite(hFile, var);
		format(var, 32, "%d pPbiskey\n", PlayerInfo[playerid][pPbiskey]);fwrite(hFile, var);
		format(var, 32, "%d pWarnL\n",PlayerInfo[playerid][pWarnL]);fwrite(hFile, var);
		format(var, 32, "%d pSaves\n",PlayerInfo[playerid][pSaves]);fwrite(hFile, var);
		format(var, 32, "%d pLottoXP\n",PlayerInfo[playerid][pLottoXP]);fwrite(hFile,var);
 		format(var, 32, "%d pTmpRank\n",PlayerInfo[playerid][pTmpRank]);fwrite(hFile, var);
   		format(var, 32, "%d pDildoK\n",PlayerInfo[playerid][pDildoK]);fwrite(hFile, var);
		format(var, 32, "%d pFlowerK\n",PlayerInfo[playerid][pFlowerK]);fwrite(hFile, var);
		format(var, 32, "%d pCaneK\n",PlayerInfo[playerid][pCaneK]);fwrite(hFile, var);
		format(var, 32, "%d pGrenadeK\n",PlayerInfo[playerid][pGrenadeK]);fwrite(hFile, var);
		format(var, 32, "%d pGasK\n",PlayerInfo[playerid][pGasK]);fwrite(hFile, var);
		format(var, 32, "%d pMolotovK\n",PlayerInfo[playerid][pMolotovK]);fwrite(hFile, var);
		format(var, 32, "%d pColtK\n",PlayerInfo[playerid][pColtK]);fwrite(hFile, var);
		format(var, 32, "%d pSPK\n",PlayerInfo[playerid][pSPK]);fwrite(hFile, var);
		format(var, 32, "%d pDeagleK\n",PlayerInfo[playerid][pDeagleK]);fwrite(hFile, var);
		format(var, 32, "%d pPShotK\n",PlayerInfo[playerid][pPShotK]);fwrite(hFile, var);
		format(var, 32, "%d pSawnK\n",PlayerInfo[playerid][pSawnK]);fwrite(hFile, var);
		format(var, 32, "%d pSpas12K\n",PlayerInfo[playerid][pSpas12K]);fwrite(hFile, var);
		format(var, 32, "%d pUziK\n",PlayerInfo[playerid][pUziK]);fwrite(hFile, var);
		format(var, 32, "%d pMP5K\n",PlayerInfo[playerid][pMP5K]);fwrite(hFile, var);
		format(var, 32, "%d pAK47K\n",PlayerInfo[playerid][pAK47K]);fwrite(hFile, var);
		format(var, 32, "%d pM4K\n",PlayerInfo[playerid][pM4K]);fwrite(hFile, var);
		format(var, 32, "%d pTec9K\n",PlayerInfo[playerid][pTec9K]);fwrite(hFile, var);
		format(var, 32, "%d pRifleK\n",PlayerInfo[playerid][pRifleK]);fwrite(hFile, var);
		format(var, 32, "%d pSRifleK\n",PlayerInfo[playerid][pSRifleK]);fwrite(hFile, var);
		format(var, 32, "%d pRPGK\n",PlayerInfo[playerid][pRPGK]);fwrite(hFile, var);
		format(var, 32, "%d pHSRLK\n",PlayerInfo[playerid][pHSRLK]);fwrite(hFile, var);
		format(var, 32, "%d pFlameK\n",PlayerInfo[playerid][pFlameK]);fwrite(hFile, var);
		format(var, 32, "%d pMiniK\n",PlayerInfo[playerid][pMiniK]);fwrite(hFile, var);
		format(var, 32, "%d pSachelK\n",PlayerInfo[playerid][pSatchelK]);fwrite(hFile, var);
		format(var, 32, "%d pFireEK\n",PlayerInfo[playerid][pFireEK]);fwrite(hFile, var);
		format(var, 32, "%d pSprayK\n",PlayerInfo[playerid][pSprayK]);fwrite(hFile, var);
		format(var, 32, "%d pFistK\n",PlayerInfo[playerid][pFistK]);fwrite(hFile, var);
		format(var, 32, "%d pBrassK\n",PlayerInfo[playerid][pBrassK]);fwrite(hFile, var);
		format(var, 32, "%d pGolfK\n",PlayerInfo[playerid][pGolfK]);fwrite(hFile, var);
		format(var, 32, "%d pNightSK\n",PlayerInfo[playerid][pNightSK]);fwrite(hFile, var);
		format(var, 32, "%d pBatK\n",PlayerInfo[playerid][pBatK]);fwrite(hFile, var);
		format(var, 32, "%d pShovelK\n",PlayerInfo[playerid][pShovelK]);fwrite(hFile, var);
		format(var, 32, "%d pPoolCK\n",PlayerInfo[playerid][pPoolCK]);fwrite(hFile, var);
		format(var, 32, "%d pKatanaK\n",PlayerInfo[playerid][pKatanaK]);fwrite(hFile, var);
		format(var, 32, "%d pChainsawK\n",PlayerInfo[playerid][pChainsawK]);fwrite(hFile, var);
		format(var, 32, "%d pIntimK\n",PlayerInfo[playerid][pIntimK]);fwrite(hFile, var);
		format(var, 32, "%d pKnifeK\n",PlayerInfo[playerid][pKnifeK]);fwrite(hFile, var);
		format(var, 32, "%d pDildoD\n",PlayerInfo[playerid][pDildoD]);fwrite(hFile, var);
		format(var, 32, "%d pFlowerD\n",PlayerInfo[playerid][pFlowerD]);fwrite(hFile, var);
		format(var, 32, "%d pCaneD\n",PlayerInfo[playerid][pCaneD]);fwrite(hFile, var);
		format(var, 32, "%d pGrenadeD\n",PlayerInfo[playerid][pGrenadeD]);fwrite(hFile, var);
		format(var, 32, "%d pGasD\n",PlayerInfo[playerid][pGasD]);fwrite(hFile, var);
		format(var, 32, "%d pMolotovD\n",PlayerInfo[playerid][pMolotovD]);fwrite(hFile, var);
		format(var, 32, "%d pColtD\n",PlayerInfo[playerid][pColtD]);fwrite(hFile, var);
		format(var, 32, "%d pSPD\n",PlayerInfo[playerid][pSPD]);fwrite(hFile, var);
		format(var, 32, "%d pDeagleD\n",PlayerInfo[playerid][pDeagleD]);fwrite(hFile, var);
		format(var, 32, "%d pPShotD\n",PlayerInfo[playerid][pPShotD]);fwrite(hFile, var);
		format(var, 32, "%d pSawnD\n",PlayerInfo[playerid][pSawnD]);fwrite(hFile, var);
		format(var, 32, "%d pSpas12D\n",PlayerInfo[playerid][pSpas12D]);fwrite(hFile, var);
		format(var, 32, "%d pUziD\n",PlayerInfo[playerid][pUziD]);fwrite(hFile, var);
		format(var, 32, "%d pMP5D\n",PlayerInfo[playerid][pMP5D]);fwrite(hFile, var);
		format(var, 32, "%d pAK47D\n",PlayerInfo[playerid][pAK47D]);fwrite(hFile, var);
		format(var, 32, "%d pM4D\n",PlayerInfo[playerid][pM4D]);fwrite(hFile, var);
		format(var, 32, "%d pTec9D\n",PlayerInfo[playerid][pTec9D]);fwrite(hFile, var);
		format(var, 32, "%d pRifleD\n",PlayerInfo[playerid][pRifleD]);fwrite(hFile, var);
		format(var, 32, "%d pSRifleD\n",PlayerInfo[playerid][pSRifleD]);fwrite(hFile, var);
		format(var, 32, "%d pRPGD\n",PlayerInfo[playerid][pRPGD]);fwrite(hFile, var);
		format(var, 32, "%d pHSRLD\n",PlayerInfo[playerid][pHSRLD]);fwrite(hFile, var);
		format(var, 32, "%d pFlameD\n",PlayerInfo[playerid][pFlameD]);fwrite(hFile, var);
		format(var, 32, "%d pMiniD\n",PlayerInfo[playerid][pMiniD]);fwrite(hFile, var);
		format(var, 32, "%d pSachelD\n",PlayerInfo[playerid][pSatchelD]);fwrite(hFile, var);
		format(var, 32, "%d pFireED\n",PlayerInfo[playerid][pFireED]);fwrite(hFile, var);
		format(var, 32, "%d pSprayD\n",PlayerInfo[playerid][pSprayD]);fwrite(hFile, var);
		format(var, 32, "%d pFistD\n",PlayerInfo[playerid][pFistD]);fwrite(hFile, var);
		format(var, 32, "%d pBrassD\n",PlayerInfo[playerid][pBrassD]);fwrite(hFile, var);
		format(var, 32, "%d pGolfD\n",PlayerInfo[playerid][pGolfD]);fwrite(hFile, var);
		format(var, 32, "%d pNightSD\n",PlayerInfo[playerid][pNightSD]);fwrite(hFile, var);
		format(var, 32, "%d pBatD\n",PlayerInfo[playerid][pBatD]);fwrite(hFile, var);
		format(var, 32, "%d pShovelD\n",PlayerInfo[playerid][pShovelD]);fwrite(hFile, var);
		format(var, 32, "%d pPoolCD\n",PlayerInfo[playerid][pPoolCD]);fwrite(hFile, var);
		format(var, 32, "%d pKatanaD\n",PlayerInfo[playerid][pKatanaD]);fwrite(hFile, var);
		format(var, 32, "%d pChainsawD\n",PlayerInfo[playerid][pChainsawD]);fwrite(hFile, var);
		format(var, 32, "%d pIntimD\n",PlayerInfo[playerid][pIntimD]);fwrite(hFile, var);
		format(var, 32, "%d pKnifeD\n",PlayerInfo[playerid][pKnifeD]);fwrite(hFile, var);
		format(var, 32, "%d pPMs\n",PlayerInfo[playerid][pPMs]);fwrite(hFile, var);
		format(var, 32, "%d pALicence\n",PlayerInfo[playerid][pALicence]);fwrite(hFile, var);
	    format(var, 32, "%d pBLicence\n",PlayerInfo[playerid][pBLicence]);fwrite(hFile, var);
	    format(var, 32, "%d pCLicence\n",PlayerInfo[playerid][pCLicence]);fwrite(hFile, var);
	    format(var, 32, "%d pDLicence\n",PlayerInfo[playerid][pDLicence]);fwrite(hFile, var);
        format(var, 32, "%d pELicence\n",PlayerInfo[playerid][pELicence]);fwrite(hFile, var);
	    format(var, 32, "%d pALicenceR\n",PlayerInfo[playerid][pALicenceR]);fwrite(hFile, var);
        format(var, 32, "%d pBLicenceR\n",PlayerInfo[playerid][pBLicenceR]);fwrite(hFile, var);
	    format(var, 32, "%d pCLicenceR\n",PlayerInfo[playerid][pCLicenceR]);fwrite(hFile, var);
	    format(var, 32, "%d pDLicenceR\n",PlayerInfo[playerid][pDLicenceR]);fwrite(hFile, var);
	    format(var, 32, "%d pELicenceR\n",PlayerInfo[playerid][pELicenceR]);fwrite(hFile, var);
        format(var, 32, "%d pShooter\n",PlayerInfo[playerid][pShooter]);fwrite(hFile, var);
	    format(var, 32, "%d pDiller\n",PlayerInfo[playerid][pDiller]);fwrite(hFile, var);
	    format(var, 32, "%d pHealther\n",PlayerInfo[playerid][pHealther]);fwrite(hFile, var);
	    format(var, 32, "%d pRepairer\n",PlayerInfo[playerid][pRepairer]);fwrite(hFile, var);
	    format(var, 32, "%d pThiefer\n",PlayerInfo[playerid][pThiefer]);fwrite(hFile, var);
	    format(var, 32, "%d pTeacher\n",PlayerInfo[playerid][pTeacher]);fwrite(hFile, var);
	    format(var, 32, "%d pDetective\n",PlayerInfo[playerid][pDetective]);fwrite(hFile, var);
        format(var, 32, "%d pShooterR\n",PlayerInfo[playerid][pShooterR]);fwrite(hFile, var);
	    format(var, 32, "%d pDillerR\n",PlayerInfo[playerid][pDillerR]);fwrite(hFile, var);
	    format(var, 32, "%d pHealtherR\n",PlayerInfo[playerid][pHealtherR]);fwrite(hFile, var);
	    format(var, 32, "%d pRepairerR\n",PlayerInfo[playerid][pRepairerR]);fwrite(hFile, var);
	    format(var, 32, "%d pThieferR\n",PlayerInfo[playerid][pThieferR]);fwrite(hFile, var);
	    format(var, 32, "%d pTeacherR\n",PlayerInfo[playerid][pTeacherR]);fwrite(hFile, var);
	    format(var, 32, "%d pDetectiveR\n",PlayerInfo[playerid][pDetectiveR]);fwrite(hFile, var);
	    format(var, 32, "%d pWantedlevel\n",PlayerInfo[playerid][pWantedlevel]);fwrite(hFile, var);
		format(var, 32, "%d pJob\n", PlayerInfo[playerid][pJob]);fwrite(hFile, var);
		format(var, 32, "%d pMats\n",PlayerInfo[playerid][pMats]);fwrite(hFile, var);
		fclose(hFile);
		SendClientMessage(playerid, COLOR_WHITE, "SERVER: Next time you connect, type (/login <password>) to log in.");
		OnPlayerLogin(playerid,PlayerInfo[playerid][pPassword]);
        return 1;
	}
//-------------------------------[Register]--------------------------------------------------------------------------
/*	if (strcmp(cmd, "/setpass", true) ==0)
	{
		tmp = strtok(cmdtext, idx);
  		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setpass [playerid/PartOfName] [password]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if (gPlayerLogged[playa] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   Player Are Not Logged In");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
    	if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setpass [playerid/PartOfName] [password]");
			return 1;
		}
		new pass = strval(tmp);
        if(pass > 12)
        {
        	SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Password must be less than 12 characters");
			return 1;
		}
		strmid(PlayerInfo[playa][pPassword], tmp, 0, strlen(pass), 255);
		format(string, sizeof(string), "New Playa password is %s don't forget it", PlayerInfo[playa][pPassword]);
		SendClientMessage(playerid, COLOR_YELLOW, string);
		Encript(PlayerInfo[playa][pPassword]);
		OnClientUpdate(playa);
		return 1;
	}*/
	
	if (strcmp(cmd, "/changepass", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if (gPlayerLogged[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
			return 1;
		}
  		/*if (gGivePermToChangeNick[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Haven't Permission For This");
			return 1;
		}*/
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /changepass [password]");
			return 1;
		}
        else if(strlen(tmp) > 12)
        {
        	SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Password must be less than 12 characters");
			return 1;
		}
		strmid(PlayerInfo[playerid][pPassword], tmp, 0, strlen(cmdtext), 255);
		format(string, sizeof(string), "Your new password is %s don't forget it", PlayerInfo[playerid][pPassword]);
		SendClientMessage(playerid, COLOR_YELLOW, string);
		Encript(PlayerInfo[playerid][pPassword]);
		OnClientUpdate(playerid);
		GetPlayerName(playerid, playername, sizeof(playername));
		printf("%s has changed there password.", playername);
		return 1;
	}
	
	if (strcmp(cmd, "/changenick", true) == 0)
	{
		new nicktmp[MAX_PLAYER_NAME];
		format(nicktmp, sizeof(nicktmp), "%s", strtok(cmdtext, idx));
		new string2[256];
  		if (gGivePermToChangeNick[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Haven't Permission For This");
			return 1;
		}
		if (gPlayerLogged[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
			return 1;
		}
		if(!strlen(nicktmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /changenick [newname]");
			return 1;
		}
		if(strlen(nicktmp) < 3 || strlen(nicktmp) > 15)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Name should be not less than 3 and not more than 15 characters");
			return 1;
		}
		if (!IsValidChars(nicktmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "  You used invalid characters. Use A-Z a-z 0-9 [ ] _");
			return 1;
		}
		format(string, sizeof(string), "accounts/%s.cer", nicktmp);
		if(fexist(string))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   That nick is registered");
			return 1;
		}
      	if(afkplayer[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "  You can not change the name when you're AFK");
			return 1;
		}
	  	if(strfind(nicktmp, "[AFK]", true, 0) != -1)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You can't use tag [AFK]");
			return 1;
	 	}
      	OnPlayerRename(nicktmp,string,playerid);
      	format(string, sizeof(string), "Now your nickname: %s", nicktmp);
      	SendClientMessage(playerid, COLOR_YELLOW, string);
      	GetPlayerName(playerid, playername, sizeof(playername));
      	format(string2, sizeof(string2), "accounts/%s.cer", playername);
      	fremove(string2);
      	SetPlayerName(playerid, nicktmp);
 	    /*OnPlayerRename(nicktmp,string,playerid);
      	format(string, sizeof(string), "You may now reconnect with the name: %s", nicktmp);
      	SendClientMessage(playerid, COLOR_YELLOW, string);
      	GetPlayerName(playerid, playername, sizeof(playername));
      	format(string2, sizeof(string2), "accounts/%s.cer", playername);
      	printf("%s has changed there name to %s.", playername,nicktmp);
      	gPlayerLogged[playerid] = 0;
      	fremove(string2);*/
      	gGivePermToChangeNick[playerid] = 0;
      	return 1;
	}
	
 	if(strcmp(cmd, "/setname", true) == 0)
	{
		if(!IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] < 106)
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setname [playerid] [new name]");
			return 1;
		}
        new playa = strval(tmp);
        GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new newname[19];
		while ((idx < length) && ((idx - offset) < (sizeof(newname) - 1)))
		{
			newname[idx - offset] = cmdtext[idx];
			idx++;
		}
		newname[idx - offset] = EOS;
		if(!strlen(newname))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setname [playerid] [new name]");
			return 1;
		}
		if(IsPlayerConnected(playa))
		{
		    gPlayerLogged[playa] = 0;
		    gPlayerAccount[playa] = 0;
		    SetPlayerName(playa, newname);
		    format(string, sizeof(string), "AdmCmd: %s change your name to %s", sendername, newname);
		    SendClientMessage(playa, COLOR_GRAD2, string);
		    format(string, sizeof(string), "AdmCmd: %s nick was changed to %s by %s", giveplayer, newname, sendername);
		    SendClientMessageToAll(COLOR_RED, string);
		    printf(string);
		}
		else
		{
            SendClientMessage(playerid, COLOR_GRAD2, "  No Such Player.");
        }
		return 1;
	}

	if(strcmp(cmd, "/giveperm", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /giveperm [playerid/PartOfName]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			format(string, sizeof(string), "AdmCmd: %s was given permission to change his nick by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
  			gGivePermToChangeNick[playa] = 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
		}
//-------------------------------[Stats]--------------------------------------------------------------------------
	if(strcmp(cmd, "/killstats", true) == 0 || strcmp(cmd, "/kstats", true) == 0)
	{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				//SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /pstats [playerid/PartOfName]");
				PrintKillStats(playerid,playerid);
				return 1;
			}
			if(IsStringAName(tmp))
			{
				giveplayerid = GetPlayerID(tmp);
			}
			else
			{
				giveplayerid = strval(tmp);
			}
			if(IsPlayerConnected(giveplayerid))
			{
				PrintKillStats(playerid,giveplayerid);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player.");
			}
		}
		//else
		//{
			//SendClientMessage(playerid, COLOR_GRAD1, "   You must be level 2 or higher to view other players stats.");
		//}
	//}
	if(strcmp(cmd, "/deathstats", true) == 0 || strcmp(cmd, "/dstats", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /pstats [playerid/PartOfName]");
			PrintDeathStats(playerid,playerid);
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if(IsPlayerConnected(giveplayerid))
		{
			PrintDeathStats(playerid,giveplayerid);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player.");
		}
	}
		//else
		//{
			//SendClientMessage(playerid, COLOR_GRAD1, "   You must be level 2 or higher to view other players stats.");
		//}
	//}
	
 	if(strcmp(cmd, "/vehiclestats", true) == 0 || strcmp(cmd, "/vstats", true) == 0)
	{
		if (gPlayerLogged[playerid] != 0)
		{
			//new vehicleid = GetPlayerVehicleID(playerid);
			PrintVehicleStats(playerid,playerid);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
		}
		return 1;
	}
	
  	if(strcmp(cmd, "/avehstats", true) == 0 || strcmp(cmd, "/avstats", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /avstats [playerid/PartOfName]");
				return 1;
			}
			if(IsStringAName(tmp))
			{
				giveplayerid = GetPlayerID(tmp);
			}
			else
			{
				giveplayerid = strval(tmp);
			}
			if(IsPlayerConnected(giveplayerid))
			{
				//new vehicleid = GetPlayerVehicleID(giveplayerid);
			    PrintVehicleStats(playerid,giveplayerid);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You are not an admin");
		}
	}
//-------------------------------[Level]--------------------------------------------------------------------------
	if (strcmp(cmd, "/level", true) == 0)
	{
		if (gPlayerLogged[playerid] != 0)
		{
			PrintPlayerWeapons(playerid,playerid);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
		}
		return 1;
	}
 	if (strcmp(cmd, "/skillinfo", true) == 0)
	{
		if (gPlayerLogged[playerid] != 0)
		{
			PrintSkillStats(playerid,playerid);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
		}
		return 1;
	}
	
  	if (strcmp(cmd, "/jumpboost", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] > 104)
	    {
   			if (gJumpBoost[playerid] == 0)
			{
				gJumpBoost[playerid] = 1;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Jump boost mode activated");
			}
			else if (gJumpBoost[playerid] == 1)
			{
				gJumpBoost[playerid] = 0;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Jump boost mode deactivated");
			}
            PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
	    }
	    else
	    {
	        SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
	    }
	    return 1;
	}
	
   	if (strcmp(cmd, "/swimboost", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] > 104)
	    {
   			if (gSwimBoost[playerid] == 0)
			{
				gSwimBoost[playerid] = 1;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Swim boost mode activated");
			}
			else if (gSwimBoost[playerid] == 1)
			{
				gSwimBoost[playerid] = 0;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Swim boost mode deactivated");
			}
            PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
	    }
	    else
	    {
	        SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
	    }
	    return 1;
	}
	
	if(strcmp(cmd, "/dn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			new Float:slx, Float:sly, Float:slz;
			GetPlayerPos(playerid, slx, sly, slz);
			SetPlayerPos(playerid, slx, sly, slz-2);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not An Admin");
		}
		return 1;
	}
	if(strcmp(cmd, "/up", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			new Float:slx, Float:sly, Float:slz;
			GetPlayerPos(playerid, slx, sly, slz);
			SetPlayerPos(playerid, slx, sly, slz+2);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not An Admin");
		}
		return 1;
	}
	if (strcmp(cmd, "/fly", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			new Float:px, Float:py, Float:pz, Float:pa;
			GetPlayerFacingAngle(playerid,pa);
			if(pa >= 0.0 && pa <= 22.5) //n1
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px, py+30, pz+5);
			}
			if(pa >= 332.5 && pa < 0.0) //n2
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px, py+30, pz+5);
			}
			if(pa >= 22.5 && pa <= 67.5) //nw
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px-15, py+15, pz+5);
			}
			if(pa >= 67.5 && pa <= 112.5) //w
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px-30, py, pz+5);
			}
			if(pa >= 112.5 && pa <= 157.5) //sw
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px-15, py-15, pz+5);
			}
			if(pa >= 157.5 && pa <= 202.5) //s
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px, py-30, pz+5);
			}
			if(pa >= 202.5 && pa <= 247.5)//se
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px+15, py-15, pz+5);
			}
			if(pa >= 247.5 && pa <= 292.5)//e
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px+30, py, pz+5);
			}
			if(pa >= 292.5 && pa <= 332.5)//e
			{
				GetPlayerPos(playerid, px, py, pz);
				SetPlayerPos(playerid, px+15, py+15, pz+5);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not An Admin");
		}
		return 1;
	}
	if(strcmp(cmd, "/lt", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			new Float:slx, Float:sly, Float:slz;
			GetPlayerPos(playerid, slx, sly, slz);
			SetPlayerPos(playerid, slx, sly+2, slz);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not An Admin");
		}
		return 1;
	}
	if(strcmp(cmd, "/rt", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			new Float:slx, Float:sly, Float:slz;
			GetPlayerPos(playerid, slx, sly, slz);
			SetPlayerPos(playerid, slx, sly-2, slz-2);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not An Admin");
		}
		return 1;
	}
//-------------------------------[Stats]--------------------------------------------------------------------------
	if (strcmp(cmd, "/stats", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /stats [playerid/PartOfName]");
				return 1;
			}
			if(IsStringAName(tmp))
			{
				giveplayerid = GetPlayerID(tmp);
			}
			else
			{
				giveplayerid = strval(tmp);
			}
			if(IsPlayerConnected(giveplayerid))
			{
				PrintPlayerWeapons(playerid,giveplayerid);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You are not an admin");
		}
	}
	if (strcmp(cmd, "/number", true) == 0)
	{
		if (gPhoneBook[playerid] == 1)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /number [playerid/PartOfName]");
				return 1;
			}
			if(IsStringAName(tmp))
			{
				giveplayerid = GetPlayerID(tmp);
			}
			else
			{
				giveplayerid = strval(tmp);
			}
			if(IsPlayerConnected(giveplayerid))
			{
				GetPlayerName(giveplayerid, sendername, sizeof(sendername));
				format(string, 256, "Name: %s, Ph: %d",sendername,PlayerInfo[giveplayerid][pPnumber]);
				SendClientMessage(playerid, COLOR_GRAD1, string);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Do Not Have A PhoneBook");
		}
 }
	if(strcmp(cmd, "/savesp", true) == 0 || strcmp(cmd, "/ssp", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				//OnClientUpdate(playerid);
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /savesp [playerid/PartOfName]");
				return 1;
			}
			if(IsStringAName(tmp))
			{
				giveplayerid = GetPlayerID(tmp);
			}
			else
			{
				giveplayerid = strval(tmp);
			}
			if(IsPlayerConnected(giveplayerid))
			{
				OnClientUpdate(giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, "   Player Data Saved.");
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player.");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You are not authorized to use that command!");
		}
	}
	
	if(strcmp(cmd, "/savestats", true) == 0 || strcmp(cmd, "/ssave", true) == 0)
	{
		OnClientUpdate(playerid);
		SendClientMessage(playerid, COLOR_GRAD1, "   Progress saved successfully!");
		PlayerInfo[playerid][pSaves] = PlayerInfo[playerid][pSaves]+1;
		return 1;
	}
	
 	if(strcmp(cmd, "/saveallstats", true) == 0 || strcmp(cmd, "/sas", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pLevel] >= 105)
		{
            for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				OnClientUpdate(i);
				SendClientMessageToAll(COLOR_GRAD1, "Emergency Command: All Server progress saved saved by admin");
				return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You are not authorized to use that command!");
		}
	}
	
 	if(strcmp(cmd, "/spec", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101) {
		tmp = strtok(cmdtext, idx);

		if(!strlen(tmp)) {
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /spec [playerid]");
			return 1;
		}
		specplayerid = strval(tmp);

		if(!IsPlayerConnected(specplayerid)) {
		    SendClientMessage(playerid, COLOR_GRAD1, "	That player isn't active.");
			return 1;
		}

		TogglePlayerSpectating(playerid, 1);
		PlayerSpectatePlayer(playerid, specplayerid);
		SetPlayerInterior(playerid,GetPlayerInterior(specplayerid));
		gSpectateID[playerid] = specplayerid;
		gSpectateType[playerid] = SPEC_TYPE_PLAYER;

 		return 1;
	}


 	if(strcmp(cmd, "/specvec", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101) {
		tmp = strtok(cmdtext, idx);

		if(!strlen(tmp)) {
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /specvec [vehicleid]");
			return 1;
		}
		specvehicleid = strval(tmp);

		if(specvehicleid < MAX_VEHICLES) {
			TogglePlayerSpectating(playerid, 1);
			PlayerSpectateVehicle(playerid, specvehicleid);
			gSpectateID[playerid] = specvehicleid;
			gSpectateType[playerid] = SPEC_TYPE_VEHICLE;
		}
 		return 1;
	}


 	if(strcmp(cmd, "/specoff", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
	{
		TogglePlayerSpectating(playerid, 0);
		gSpectateID[playerid] = INVALID_PLAYER_ID;
		gSpectateType[playerid] = SPEC_TYPE_NONE;
		return 1;
	}
	
	if (strcmp(cmdtext, "/flip", true) == 0)
	{
		if(!IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] < 103)
		{
			SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You are not authorized to use that command!");
			return 1;
  		}
        if(IsPlayerInAnyVehicle(playerid))
        {
            new flipid, Float:vehx, Float:vehy, Float:vehz;
 		    GetPlayerPos(playerid, vehx, vehy, vehz);
            flipid = GetPlayerVehicleID(playerid);
            SetVehiclePos(flipid, vehx, vehy, vehz);
  		    SetVehicleZAngle(flipid, 0);
  		    SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You placed your vehicle on the wheels");
        }
        else
        {
            SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You must be in vehicle");
        }
    	return 1;
	}
	
 	if (strcmp(cmdtext, "/turn", true) == 0)
	{
		if(!IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] < 103)
		{
			SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You are not authorized to use that command!");
			return 1;
  		}
        if(IsPlayerInAnyVehicle(playerid))
        {
            new Float:vehz;
	    	GetVehicleZAngle(GetPlayerVehicleID(playerid),vehz);
	    	SetVehicleZAngle(GetPlayerVehicleID(playerid),vehz+180);
  		    SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You turned your vehicle!");
        }
        else
        {
            SendClientMessage(playerid,COLOR_GRAD1,"ADMCENTER: You must be in vehicle");
        }
    	return 1;
	}
 	if(strcmp(cmd, "/lights", true) == 0)
	{
     	tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /lights [status]");
			return 1;
		}
		if (IsPlayerInAnyVehicle(playerid) && IsPlayerConnected(playerid))
		{
		    new vehicleid = GetPlayerVehicleID(playerid);
			if(strcmp("on", tmp, true, strlen(tmp)) == 0)
			{
				SetVehicleLights(vehicleid, true);
				GameTextForPlayer(playerid, "~y~Lights ~g~ON", 5000, 6);
			}
			else if (strcmp("off", tmp, true, strlen(tmp)) == 0)
			{
				SetVehicleLights(vehicleid, false);
				GameTextForPlayer(playerid, "~y~Lights ~r~OFF", 5000, 6);
			}
			else
			{
			    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Unknow status!");
			    return 1;
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You must be in vehicle!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/tyres", true) == 0)
	{
     	tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /tyres [status]");
			return 1;
		}
		if (PlayerInfo[playerid][pAdmin] < 101)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			return 1;
		}
		if (IsPlayerInAnyVehicle(playerid) && IsPlayerConnected(playerid))
		{
		    new vehicleid = GetPlayerVehicleID(playerid);
			if(strcmp("on", tmp, true, strlen(tmp)) == 0)
			{
				SetVehicleTyre(vehicleid, true);
				GameTextForPlayer(playerid, "~y~Tyres ~g~ON", 5000, 6);
			}
			else if (strcmp("off", tmp, true, strlen(tmp)) == 0)
			{
				SetVehicleTyre(vehicleid, false);
				GameTextForPlayer(playerid, "~y~Tyres ~r~OFF", 5000, 6);
			}
			else
			{
			    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Unknow status!");
			    return 1;
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You must be in vehicle!");
		}
		return 1;
	}

	if (strcmp(cmd, "/bigbang", true) == 0)
	{
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 104)
		{
	        for (new i = 0; i < MAX_PLAYERS; i++)
	        {
				if (IsPlayerConnected(i))
				{
					new Float:bangx, Float:bangy, Float:bangz;
					GetPlayerPos(i,bangx, bangy, bangz);
					CreateExplosion(bangx, bangy, bangz + 3, 7, 9999999);
					CreateExplosion(bangx, bangy, bangz + 3, 7, 9999999);
					CreateExplosion(bangx, bangy, bangz + 3, 7, 9999999);
				}
			}
			GetPlayerName(playerid, sendername, sizeof(sendername));
			format(string, sizeof(string), "AdmCmd: %s re-created the big bang",sendername);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s recreated the big bang",sendername);
			SendClientMessageToAll(COLOR_RED, string);
	        GameTextForAll("~r~THE BIG BANG", 5000, 1);
        }
        else
        {
            SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
        }
        return 1;
	}

	if (strcmp(cmd, "/explode", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /explode [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new Float:boomx, Float:boomy, Float:boomz;
			GetPlayerPos(playa,boomx, boomy, boomz);
			CreateExplosion(boomx, boomy , boomz + 3, 7, 10);
			CreateExplosion(boomx, boomy , boomz + 3, 7, 10);
			CreateExplosion(boomx, boomy , boomz + 3, 7, 10);
			format(string, sizeof(string), "AdmCmd: %s got bombed by %s",giveplayer, sendername);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s got bombed by %s",giveplayer, sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if (strcmp(cmd, "/napalm", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /napalm [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new Float:napalmx, Float:napalmy, Float:napalmz;
			GetPlayerPos(playa,napalmx, napalmy, napalmz);
			CreateExplosion(napalmx, napalmy , napalmz + 3, 1, 10);
			CreateExplosion(napalmx, napalmy , napalmz + 3, 1, 10);
			CreateExplosion(napalmx, napalmy , napalmz + 3, 1, 10);
			format(string, sizeof(string), "AdmCmd: %s got napalm bombed by %s",giveplayer, sendername);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s got napalm bombed by %s",giveplayer, sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if (strcmp(cmd, "/destroycar", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /destroycar [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetVehicleHealth(GetPlayerVehicleID(playa), 100);
			format(string, sizeof(string), "AdmCmd: %s destroyed %s vehicle",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s destroyed %s vehicle",sendername,  giveplayer);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
		}

	if (strcmp(cmdtext, "/skydiveall", true) == 0)
	{
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 106)
		{
	        new Float:slx, Float:sly, Float:slz;
			for (new i = 0; i < MAX_PLAYERS; i++)
			{
				if (IsPlayerConnected(i))
				{
					GetPlayerPos(i, slx, sly, slz);
					SetPlayerPos(i, slx, sly, slz+500);
					GivePlayerWeapon(i, 46, 1);//parachute
				}
			}
			GetPlayerName(playerid, sendername, sizeof(sendername));
	    	format(string, sizeof(string), "Admcmd: Everyone has been skydived by Admin %s.", sendername);
	  		SendClientMessageToAll(COLOR_RED,string);
  		}
  		else
  		{
  		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
  		}
		return 1;
	}
		
	if (strcmp(cmd, "/screw", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /screw [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
		    //x_max, x_min, y_max, y_min
			GetPlayerPos(playa, Xlol, Ylol, Zlol);
			GetPlayerPos(playa, Xlmao, Ylmao, Zlmao);
			SetPlayerWorldBounds(playa, Xlol+15, Xlmao-15, Ylol+15, Ylmao-15);
			//PlayerInfo[playerid][aScrews] = PlayerInfo[playerid][aScrews]+1;
			//PlayerInfo[playa][pScrews] = PlayerInfo[playa][pScrews]+1;
			format(string, sizeof(string), "AdmCmd: %s SCREWED by %s",sendername,  giveplayer);
			printf("%s",string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/unscrew", true) == 0){
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /unscrew [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerWorldBounds(playa,20000.0000,-20000.0000,20000.0000,-20000.0000);
			format(string, sizeof(string), "AdmCmd: %s UN-SCREWED by %s",sendername,  giveplayer);
			printf("%s",string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	
//-------------------------------[BuyLevel]--------------------------------------------------------------------------
	if (strcmp(cmd, "/buylevel", true) == 0)
	{
		if (gPlayerLogged[playerid] != 0)
		{
			PlayerInfo[playerid][pCash] = GetPlayerMoney(playerid);//
			if (gdebug){printf("DEBUG buylev cash = %d", PlayerInfo[playerid][pCash]);}
			if(PlayerInfo[playerid][pLevel] >= 0)
			{
				new nxtlevel = PlayerInfo[playerid][pLevel]+1;
				new costlevel = nxtlevel*levelcost;//10k for testing purposes
				new expamount = nxtlevel*levelexp;
				new infostring[256];
				if (PlayerInfo[playerid][pCash] < costlevel)
				{
					format(infostring, 256, "   You do Not Have Enough Cash ($%d)",costlevel);
					SendClientMessage(playerid, COLOR_GRAD1, infostring);
				}
				if (PlayerInfo[playerid][pExp] < expamount)
				{
					format(infostring, 256, "   You Need %d Experiance Points, You Curently Have [%d]",expamount,PlayerInfo[playerid][pExp]);
					SendClientMessage(playerid, COLOR_GRAD1, infostring);
				}
				else
				{
					format(string, sizeof(string), "~g~LEVEL UP~n~~w~You Are Now Level %d", nxtlevel);
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					PlayerPlayMusic(playerid);
					GiveMoney(playerid, (-costlevel));
					PlayerInfo[playerid][pLevel]++;
					PlayerInfo[playerid][pExp] = 0;
					PlayerInfo[playerid][gPupgrade] = PlayerInfo[playerid][gPupgrade]+2;
					GameTextForPlayer(playerid, string, 5000, 1);
					format(infostring, 256, "   You Bought Level %d For ($%d) Type /upgrade", nxtlevel, costlevel);
					SendClientMessage(playerid, COLOR_GRAD1, infostring);
					format(infostring, 256, "   You Have %d Unspent Upgrade Points",PlayerInfo[playerid][gPupgrade]);
					SendClientMessage(playerid, COLOR_GRAD2, infostring);
				}
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
		}
	}
//-------------------------------[UPGRADE]--------------------------------------------------------------------------
	if (strcmp(cmd, "/carcolor", true) == 0)
	{
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
        if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 16;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 34;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 67)
		{
			sbiz = 52;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD3,"($5000) USAGE: /carcolor [color 1 - 2] [color number]");
				return 1;
			}
			new colornum = strval(tmp);
			if(colornum > 2 || colornum < 1)
			{
				SendClientMessage(playerid, COLOR_GRAD3,"Choices are 1 or 2");
				return 1;
			}
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD3,"($5000) USAGE: /carcolor [color 1 - 2] [color number]");
			}
			new color = strval(tmp);
			if(color > 126)
			{
				SendClientMessage(playerid, COLOR_GRAD3,"Maximum is 126");
				return 1;
			}
			if (GetPlayerMoney(playerid) < 5000)
			{
				SendClientMessage(playerid, COLOR_GRAD3,"You can't afford that ($5000)");
			}
			if(colornum == 1)
			{
				HouseInfo[house][hVcol1] = color;
				format(string, sizeof(string), "Car color 1 set to %d -$5000",color);
				SendClientMessage(playerid, COLOR_GRAD3,string);
			}
			else
			{
				HouseInfo[house][hVcol2] = color;
				format(string, sizeof(string), "Car color 2 set to %d -$5000",color);
				SendClientMessage(playerid, COLOR_GRAD3,string);
			}
			SendClientMessage(playerid, COLOR_GRAD6, "Your new paintjob will be complete within 24 hours");
			GiveMoney(playerid,-5000);
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+5000;
			PlayerPlaySound(giveplayerid, 1134, 0.0, 0.0, 0.0);
			OnPropUpdate();
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
		return 1;
	}
	if (strcmp(cmd, "/carupgrade", true) == 0 || strcmp(cmd, "/cu", true) == 0)
	{
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
        if (house < 34)
		{
			sbiz = 6;
		}
		else if (house > 34 && house < 68)
		{
			sbiz = 24;
		}
  		else if (house > 67 && house != 255)
		{
			sbiz = 42;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			new gunid[16];
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				format(string, sizeof(string), "USAGE: /carupgrade [carname]");
				SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
				SendClientMessage(playerid, COLOR_WHITE,"*** CAR UPGRADES Cost $100000 ***");
				SendClientMessage(playerid, COLOR_GRAD2,string);
				if(PlayerInfo[playerid][pLevel] == 3)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 3 Cars: faggio caddy freeway feltzer saber blade vortex quad buffalo");
				}
				else if(PlayerInfo[playerid][pLevel] == 4)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 4 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo");
					SendClientMessage(playerid, COLOR_GRAD3, "Level 4 Cars: buffalo vortex quad");
				}
				else if(PlayerInfo[playerid][pLevel] == 5)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 5 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo");
					SendClientMessage(playerid, COLOR_GRAD3, "Level 5 Cars: buccaneer vortex quad buffalo");
				}
				else if(PlayerInfo[playerid][pLevel] == 6)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 6 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 6 Cars: slamvan buccaneer vortex quad sanchez stallion premier sentinel");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 6 Cars: admiral buffalo mesa huntley journey burrito");
				}
				else if(PlayerInfo[playerid][pLevel] == 7)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 7 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 7 Cars: slamvan flash stratum uranus sultan jester elergy vortex quad sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 7 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
				}
				else if(PlayerInfo[playerid][pLevel] == 8)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 8 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer slamvan");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 8 Cars: flash stratum uranus sultan jester elergy supergt blistac vortex quad sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 8 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
				}
				else if(PlayerInfo[playerid][pLevel] == 9)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 9 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer sandking slamvan");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 9 Cars: flash stratum uranus sultan jester elergy supergt blistac zr350 vortex quad sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 9 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
				}
				else if(PlayerInfo[playerid][pLevel] == 10)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 10 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 10 Cars: slamvan sandking quad sanchez supergt blistac zr350 cheetah vortex duneride");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 10 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 10 Cars: stratum uranus sultan jester elergy flash");
				}
				else if(PlayerInfo[playerid][pLevel] == 11)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 11 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 11 Cars: slamvan buccaneer flash stratum uranus sultan jester elergy supergt blistac");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 11 Cars: zr350 cheetah banshee fcr900 comet vortex quad duneride sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 11 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
				}
				else if(PlayerInfo[playerid][pLevel] == 12)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 12 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer flash sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 12 Cars: slamvan stratum uranus sultan jester elergy supergt blistac zr350 cheetah");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 12 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 12 Cars: banshee fcr900 comet hotring vortex quad duneride sanchez");
				}
				else if(PlayerInfo[playerid][pLevel] == 13)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 13 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer flash sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 13 Cars: slamvan stratum uranus sultan jester elergy supergt blistac zr350 cheetah");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 13 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 13 Cars: banshee fcr900 comet hotring turismo bullet vortex quad duneride sanchez");
				}
				else if(PlayerInfo[playerid][pLevel] == 14)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 14 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer flash sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 14 Cars: slamvan stratum uranus sultan jester elergy supergt blistac zr350 cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 14 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 14 Cars: banshee fcr900 comet hotring turismo bullet infernus vortex quad duneride");
				}
				else if(PlayerInfo[playerid][pLevel] == 15)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 15 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer flash sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 15 Cars: slamvan stratum uranus sultan jester elergy supergt blistac zr350 cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 15 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 15 Cars: banshee fcr900 comet hotring turismo bullet infernus monster monstera");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 15 Cars: monsterb vortex quad duneride bfinject stretch");
				}
    			else if(PlayerInfo[playerid][pLevel] == 16)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 16 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer flash sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 16 Cars: slamvan stratum uranus sultan jester elergy supergt blistac zr350 cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 16 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 16 Cars: banshee fcr900 comet hotring turismo bullet infernus monster monstera");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 16 Cars: monsterb vortex quad duneride bfinject stretch tampa");
				}
        		else if(PlayerInfo[playerid][pLevel] == 17)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 17 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo voodoo buccaneer sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 17 Cars: slamvan flash stratum uranus sultan jester elergy supergt blistac zr350 cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 17 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 17 Cars: banshee fcr900 comet hotring turismo bullet infernus monster monstera");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 17 Cars: monsterb vortex quad duneride bfinject stretch tampa pcj600");
				}
            	else if(PlayerInfo[playerid][pLevel] == 18)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 18 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 18 Cars: slamvan flash stratum uranus sultan jester elergy supergt blistac cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 18 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 18 Cars: zr350 banshee fcr900 comet hotring turismo bullet infernus monster monstera");
	                SendClientMessage(playerid, COLOR_GRAD1, "Level 18 Cars: monsterb vortex quad duneride bfinject stretch tampa pcj600 nrg500");
				}
   				else if(PlayerInfo[playerid][pLevel] >= 19)
				{
					SendClientMessage(playerid, COLOR_GRAD3, "Level 19 Cars: faggio caddy freeway feltzer saber blade savanna remington voodoo buccaneer sandking");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 19 Cars: slamvan flash stratum uranus sultan jester elergy supergt blistac cheetah sanchez");
					SendClientMessage(playerid, COLOR_GRAD2, "Level 19 Cars: stallion premier sentinel admiral buffalo mesa huntley journey burrito bandito");
					SendClientMessage(playerid, COLOR_GRAD1, "Level 19 Cars: zr350 banshee fcr900 comet hotring turismo bullet infernus monster monstera");
	                SendClientMessage(playerid, COLOR_GRAD1, "Level 19 Cars: monsterb windsor vortex quad duneride bfinject stretch tampa pcj600 nrg500");
				}
				SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
				return 1;
			}
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			strmid(gunid, tmp, 0, strlen(cmdtext), 255);
			if (GetPlayerMoney(playerid) > 100000)
			{
                if (PlayerInfo[playerid][pLevel] >= 19 && (strcmp(gunid, "windsor", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Bike Is Now An windsor");
					HouseInfo[house][hVec] = 555;
				}
   				else if (PlayerInfo[playerid][pLevel] >= 19 && (strcmp(gunid, "bandito", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Bike Is Now An bandito");
					HouseInfo[house][hVec] = 568;
				}
				else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "nrg500", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Bike Is Now An Nrg-500");
					HouseInfo[house][hVec] = 522;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "fbitruck", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An fbitruck");
					HouseInfo[house][hVec] = 528;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "copbike", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An copbike");
					HouseInfo[house][hVec] = 523;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "copcarla", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An copcarla");
					HouseInfo[house][hVec] = 596;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "copcarsf", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An copcarsf");
					HouseInfo[house][hVec] = 597;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "copcarvg", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An copcarvg");
					HouseInfo[house][hVec] = 598;
				}
                else if (PlayerInfo[playerid][pLevel] >= 18 && (strcmp(gunid, "copcarru", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An copcarru");
					HouseInfo[house][hVec] = 599;
				}
                else if (PlayerInfo[playerid][pLevel] >= 17 && (strcmp(gunid, "pcj600", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An pcj600");
					HouseInfo[house][hVec] = 461;
				}
        		else if (PlayerInfo[playerid][pLevel] >= 16 && (strcmp(gunid, "tampa", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An tampa");
					HouseInfo[house][hVec] = 549;
				}
				else if (PlayerInfo[playerid][pLevel] >= 15 && (strcmp(gunid, "monster", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An monster");
					HouseInfo[house][hVec] = 444;
				}
				else if (PlayerInfo[playerid][pLevel] >= 15 && (strcmp(gunid, "stretch", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A stretch");
					HouseInfo[house][hVec] = 409;
				}
				else if (PlayerInfo[playerid][pLevel] >= 15 && (strcmp(gunid, "monstera", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An monstera");
					HouseInfo[house][hVec] = 556;
				}
				else if (PlayerInfo[playerid][pLevel] >= 15 && (strcmp(gunid, "monsterb", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An monsterb");
					HouseInfo[house][hVec] = 557;
				}

				else if (PlayerInfo[playerid][pLevel] >= 14 && (strcmp(gunid, "infernus", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An infernus");
					HouseInfo[house][hVec] = 411;
				}

				else if (PlayerInfo[playerid][pLevel] >= 13 && (strcmp(gunid, "bullet", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A bullet");
					HouseInfo[house][hVec] = 541;
				}
				else if (PlayerInfo[playerid][pLevel] >= 13 && (strcmp(gunid, "turismo", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A turismo");
					HouseInfo[house][hVec] = 451;
				}
				else if (PlayerInfo[playerid][pLevel] >= 12 && (strcmp(gunid, "hotring", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A hotring");
					HouseInfo[house][hVec] = 502;
				}
				else if (PlayerInfo[playerid][pLevel] >= 11 && (strcmp(gunid, "banshee", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A banshee");
					HouseInfo[house][hVec] = 429;
				}
				else if (PlayerInfo[playerid][pLevel] >= 11 && (strcmp(gunid, "fbiranch", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A fbiranch");
					HouseInfo[house][hVec] = 490;
				}
				else if (PlayerInfo[playerid][pLevel] >= 11 && (strcmp(gunid, "comet", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A comet");
					HouseInfo[house][hVec] = 480;
				}
				else if (PlayerInfo[playerid][pLevel] >= 11 && (strcmp(gunid, "fcr900", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Bike Is Now A fcr900");
					HouseInfo[house][hVec] = 521;
				}
				else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "cheetah", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A cheetah");
					HouseInfo[house][hVec] = 415;
				}
				else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "hotknife", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A hotknife");
					HouseInfo[house][hVec] = 434;
				}
				else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "enforcer", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A enforcer");
					HouseInfo[house][hVec] = 427;
				}
				else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "duneride", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A duneride");
					HouseInfo[house][hVec] = 573;
				}
				else if (PlayerInfo[playerid][pLevel] >= 9 && (strcmp(gunid, "zr350", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A zr350");
					HouseInfo[house][hVec] = 477;
				}
				else if (PlayerInfo[playerid][pLevel] >= 9 && (strcmp(gunid, "sandking", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A sandking");
					HouseInfo[house][hVec] = 495;
				}
				else if (PlayerInfo[playerid][pLevel] >= 8 && (strcmp(gunid, "blistac", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A blistac");
					HouseInfo[house][hVec] = 496;
				}
				else if (PlayerInfo[playerid][pLevel] >= 8 && (strcmp(gunid, "supergt", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A supergt");
					HouseInfo[house][hVec] = 506;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "flash", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A flash");
					HouseInfo[house][hVec] = 565;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "elergy", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A elergy");
					HouseInfo[house][hVec] = 562;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "stratum", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A stratum");
					HouseInfo[house][hVec] = 561;
				}
				else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "sultan", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A sultan");
					HouseInfo[house][hVec] = 560;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "jester", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A jester");
					HouseInfo[house][hVec] = 559;
				}
				else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "sanchez", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A sanchez");
					HouseInfo[house][hVec] = 468;
				}
        		else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "burrito", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A burrito");
					HouseInfo[house][hVec] = 482;
				}
            	else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "journey", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A journey");
					HouseInfo[house][hVec] = 508;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "mesa", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A mesa");
					HouseInfo[house][hVec] = 500;
				}
				else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "huntley", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A huntley");
					HouseInfo[house][hVec] = 579;
				}
        		else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "admiral", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A admiral");
					HouseInfo[house][hVec] = 445;
				}
            	else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "premier", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A premier");
					HouseInfo[house][hVec] = 426;
				}
        		else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "sentinel", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A sentinel");
					HouseInfo[house][hVec] = 405;
				}
				else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "stallion", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A stallion");
					HouseInfo[house][hVec] = 439;
				}
				else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "slamvan", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A slamvan");
					HouseInfo[house][hVec] = 535;
				}
				else if (PlayerInfo[playerid][pLevel] >= 5 && (strcmp(gunid, "buccaneer", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A buccaneer");
					HouseInfo[house][hVec] = 518;
				}
    			else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "voodoo", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A voodoo");
					HouseInfo[house][hVec] = 412;
				}
				else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "savanna", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A savanna");
					HouseInfo[house][hVec] = 567;
				}
				else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "remington", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A remington");
					HouseInfo[house][hVec] = 534;
				}
				else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "journey", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A journey");
					HouseInfo[house][hVec] = 508;
				}
				else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "rancher", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A rancher");
					HouseInfo[house][hVec] = 489;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "huntly", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A huntly");
					HouseInfo[house][hVec] = 579;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "copcar", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A copcar");
					HouseInfo[house][hVec] = 596;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "blade", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A blade");
					HouseInfo[house][hVec] = 536;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "buffalo", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A buffalo");
					HouseInfo[house][hVec] = 402;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "saber", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A saber");
					HouseInfo[house][hVec] = 475;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "feltzer", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A feltzer");
					HouseInfo[house][hVec] = 533;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "freeway", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A freeway");
					HouseInfo[house][hVec] = 463;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "vortex", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A vortex");
					HouseInfo[house][hVec] = 539;
				}
				else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "quad", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now A quad");
					HouseInfo[house][hVec] = 471;
				}
        		else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "faggio", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An faggio");
					HouseInfo[house][hVec] = 462;
				}
            	else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "caddy", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: Your House Car Is Now An caddy");
					HouseInfo[house][hVec] = 457;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD6, "   Unrecognized Car");
					return 1;
				}
				SendClientMessage(playerid, COLOR_GRAD6, "Your new car will be delivered within 24 hours -$100000");
				OnPropUpdate();
				GiveMoney(playerid,-100000);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+100000;
				SBizzInfo[sbiz][sbProd]--;
				PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You can't afford that ($100000)");
				return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
	}
	if (strcmp(cmd, "/resetupgrades", true) == 0)
	{
		if (gPlayerLogged[playerid] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You Are Not Logged In");
			return 1;
		}
		if (GetPlayerMoney(playerid) < 100000)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   Cost is $100000");
			return 1;
		}
		if (PlayerInfo[playerid][pLevel] < 2)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You need to be at least level 2");
			return 1;
		}
		PlayerInfo[playerid][gPupgrade] = (PlayerInfo[playerid][pLevel]-1)*2;
		PlayerInfo[playerid][pGun1] = 0;
		PlayerInfo[playerid][pGun2] = 0;
		PlayerInfo[playerid][pGun3] = 0;
		PlayerInfo[playerid][pGun4] = 0;
		PlayerInfo[playerid][pGun5] = 0;
		PlayerInfo[playerid][pGun6] = 0;
		PlayerInfo[playerid][pAmmo1] = 200;
		PlayerInfo[playerid][pAmmo2] = 8;
		PlayerInfo[playerid][pAmmo3] = 30;
		PlayerInfo[playerid][pAmmo4] = 30;
		PlayerInfo[playerid][pAmmo5] = 10;
		PlayerInfo[playerid][pAmmo6] = 10;
		PlayerInfo[playerid][pSHealth] = 0.0;
		PlayerInfo[playerid][pSArmour] = 0.0;
		GiveMoney(playerid,-100000);
		//SBizzInfo[6][sbTakings] = SBizzInfo[6][sbTakings]+100000;
		PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
		format(string, 256, "   You Have %d Unspent Upgrade Points",PlayerInfo[playerid][gPupgrade]);
		SendClientMessage(playerid, COLOR_GRAD2, string);
	}
	if(strcmp(cmd, "/bestbuy", true) == 0)
	{
		new tmpprice;
		new store;
		if(Locator[playerid] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "you do not have this device");
			return 1;
		}
		new townbiz, bmin, bmin2;
		if (Locator[playerid] == 1)
		{
		    townbiz = 14;
		    bmin = 0;
		    bmin2 = 0;
		}
		else if (Locator[playerid] == 2)
		{
		    townbiz = 28;
		    bmin = 14;
		    bmin2 = 14;
		}
		else if (Locator[playerid] == 3)
		{
		    townbiz = 42;
		    bmin = 28;
		    bmin2 = 28;
		}
		for(new i = bmin; i < townbiz; i++)
		{
			if(BizzInfo[i][bPriceMod] < tmpprice && BizzInfo[i][bEntcost] == 0 && BizzInfo[i][bProd] > 0)
			{
				tmpprice = BizzInfo[i][bPriceMod];
				store = i;
			}
			for(new j = bmin2; j < townbiz; j++)
			{
			 	if(BizzInfo[j][bPriceMod] < tmpprice && BizzInfo[j][bEntcost] == 0 && BizzInfo[j][bProd] > 0)
			 	{
			 		tmpprice = BizzInfo[j][bPriceMod];
			 		store = j;
				}
			}
		}
		SetPlayerCheckpoint(playerid,BizzInfo[store][bEntrancex], BizzInfo[store][bEntrancey], BizzInfo[store][bEntrancez], 4.0);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_HOME;
		GameTextForPlayer(playerid, "~w~Waypoint set ~r~Best Buy", 5000, 1);
		return 1;
	}
	if(strcmp(cmd, "/bestsale", true) == 0)
	{
		new tmpprice = 0;
		new store = 255;
		if(Locator[playerid] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "you do not have this device");
			return 1;
		}
		new townbiz, bmin, bmin2;
		if (Locator[playerid] == 1)
		{
		    townbiz = 14;
		    bmin = 0;
		    bmin2 = 0;
		}
		else if (Locator[playerid] == 2)
		{
		    townbiz = 28;
		    bmin = 14;
		    bmin2 = 14;
		}
		else if (Locator[playerid] == 3)
		{
		    townbiz = 42;
		    bmin = 28;
		    bmin2 = 28;
		}
		for(new i = bmin; i < townbiz; i++)
		{
			if(BizzInfo[i][bPayComp] > tmpprice && BizzInfo[i][bCompCap] > BizzInfo[i][bComp] && BizzInfo[i][bTakings] > BizzInfo[i][bPayComp])
			{
				tmpprice = BizzInfo[i][bPayComp];
				store = i;
			}
			for(new j = bmin2; j < townbiz; j++)
			{
			 	if(store != 255 && BizzInfo[j][bPayComp] > tmpprice && BizzInfo[j][bCompCap] > BizzInfo[j][bComp] && BizzInfo[j][bTakings] > BizzInfo[j][bPayComp])
			 	{
			 		tmpprice = BizzInfo[j][bPayComp];
			 		store = j;
				}
			}
		}
		if(store == 255)
		{
			GameTextForPlayer(playerid, "~w~There are no sales to be made for now.", 5000, 1);
			return 1;
		}
		SetPlayerCheckpoint(playerid,BizzInfo[store][bEntrancex], BizzInfo[store][bEntrancey], BizzInfo[store][bEntrancez], 4.0);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_HOME;
		GameTextForPlayer(playerid, "~w~Waypoint set ~r~Best Sale", 5000, 1);
		return 1;
	}
	if (strcmp(cmd, "/buygun", true) == 0)
	{
		new gun;
		new gunid[16];
		new gunstring1[256];
		new gunstring2[256];
		new gunstring3[256];
		new gunstring4[256];
		new gunstring5[256];
		new infostring[256];
		new guncharge;
		new ammocharge;
		new location = PlayerInfo[playerid][pLocal];
		if(location < 102 || location == 255)
		{
			SendClientMessage(playerid, COLOR_WHITE,"You are not in a store");
			return 1;
		}
		new mod = (BizzInfo[location-102][bPriceMod]);
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			format(string, sizeof(string), "USAGE: /buygun [gunname] [ammoamount]");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			SendClientMessage(playerid, COLOR_WHITE,"*** Guns & Ammo ***");
			SendClientMessage(playerid, COLOR_GRAD2,string);
			format(gunstring1, 256, "Weapons: parachute ($%d) golfclub ($%d) nightstick ($%d) knife ($%d) baseballbat ($%d) shovel ($%d) poolcue ($%d)",
			GunPrice[0][0]/100*mod,GunPrice[1][0]/100*mod,GunPrice[2][0]/100*mod,GunPrice[3][0]/100*mod,GunPrice[4][0]/100*mod,GunPrice[5][0]/100*mod,GunPrice[6][0]/100*mod);
			SendClientMessage(playerid, COLOR_GRAD3, gunstring1);
			format(gunstring2, 256, "Weapons: purpledildo ($%d) whitedildo ($%d) longwhitedildo ($%d) whitedildo2 ($%d) flowers ($%d) cane",
			GunPrice[7][0]/100*mod,GunPrice[8][0]/100*mod,GunPrice[9][0]/100*mod,GunPrice[10][0]/100*mod,GunPrice[11][0]/100*mod,GunPrice[12][0]/100*mod);
			SendClientMessage(playerid, COLOR_GRAD3, gunstring2);
			format(gunstring3, 256, "Weapons: sdpistol ($%d) colt45 ($%d) deagle ($%d) tec9 ($%d)  uzi ($%d) mp5 ($%d)",
			GunPrice[13][0]/100*mod,GunPrice[14][0]/100*mod,GunPrice[15][0]/100*mod,GunPrice[16][0]/100*mod,GunPrice[17][0]/100*mod,GunPrice[18][0]/100*mod);
			SendClientMessage(playerid, COLOR_GRAD3, gunstring3);
			format(gunstring4, 256, "Weapons: shotgun ($%d) spas12 ($%d)sawnoff ($%d) ak47 ($%d) m4 ($%d) rifle ($%d)",
			GunPrice[19][0]/100*mod,GunPrice[20][0]/100*mod,GunPrice[21][0]/100*mod,GunPrice[22][0]/100*mod,GunPrice[23][0]/100*mod,GunPrice[24][0]/100*mod);
			SendClientMessage(playerid, COLOR_GRAD3, gunstring4);
			format(gunstring5, 256, "Weapons: pistolammo ($%d) shotgunammo ($%d) smgammo ($%d) assaultammo ($%d) rifleammo ($%d)",
			GunPrice[25][0],GunPrice[26][0],GunPrice[27][0],GunPrice[28][0],GunPrice[29][0]);
			SendClientMessage(playerid, COLOR_GRAD3, gunstring5);
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			return 1;
		}
		strmid(gunid, tmp, 0, strlen(cmdtext), 255);
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			format(string, sizeof(string), "USAGE: /buygun [gunname] [ammoamount]");
			return 1;
		}
		new ammo = strval(tmp);
  		/*if(ammo > 9999 || ammo < 0)
		{
			SendClientMessage(playerid, COLOR_GRAD3, "ShopKeeper says: A maximum quantity of cartridges is equal to 9999 and min is 0");
			return 1;
		}*/
		/*
		if (PlayerInfo[playerid][pLevel] >= 13 && (strcmp(gunid, "minigun", true, strlen(gunid)) == 0))
		{
			SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A minigun");
			PlayerInfo[playerid][pGun6] = 38;
			ResetPlayerWeapons(playerid);
			SetPlayerWeapons(playerid);
			PlayerInfo[playerid][gPupgrade]--;
		}

		if (PlayerInfo[playerid][pLevel] >= 12 && (strcmp(gunid, "flamethrower", true, strlen(gunid)) == 0))
		{
			SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A flamethrower");
			PlayerInfo[playerid][pGun6] = 37;
		}
		*/
		if (strcmp(gunid, "parachute", true, strlen(gunid)) == 0)
		{
			gun = 46;
			guncharge = GunPrice[0][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "golfclub", true, strlen(gunid)) == 0)
		{
			gun = 2;
			guncharge = GunPrice[1][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "nightstick", true, strlen(gunid)) == 0)
		{
			gun = 3;
			guncharge = GunPrice[2][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "knife", true, strlen(gunid)) == 0)
		{
			gun = 4;
			guncharge = GunPrice[3][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "baseballbat", true, strlen(gunid)) == 0)
		{
			gun = 5;
			guncharge = GunPrice[4][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "shovel", true, strlen(gunid)) == 0)
		{
			gun = 6;
			guncharge = GunPrice[5][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "poolcue", true, strlen(gunid)) == 0)
		{
			gun = 7;
			guncharge = GunPrice[6][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "purpledildo", true, strlen(gunid)) == 0)
		{
			gun = 10;
			guncharge = GunPrice[7][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "whitedildo", true, strlen(gunid)) == 0)
		{
			gun = 11;
			guncharge = GunPrice[8][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "longwhitedildo", true, strlen(gunid)) == 0)
		{
			gun = 12;
			guncharge = GunPrice[9][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "whitedildo2", true, strlen(gunid)) == 0)
		{
			gun = 13;
			guncharge = GunPrice[10][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "flowers", true, strlen(gunid)) == 0)
		{
			gun = 14;
			guncharge = GunPrice[11][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "cane", true, strlen(gunid)) == 0)
		{
			gun = 15;
			guncharge = GunPrice[12][0]/100*mod;
			ammocharge = 0;
		}
		else if (strcmp(gunid, "sdpistol", true, strlen(gunid)) == 0)
		{
			gun = 23;
			guncharge = GunPrice[13][0]/100*mod;
			ammocharge = GunPrice[25][0]*ammo;
		}
		else if (strcmp(gunid, "colt45", true, strlen(gunid)) == 0)
		{
			gun = 22;
			guncharge = GunPrice[14][0]/100*mod;
			ammocharge = GunPrice[25][0]*ammo;
		}
		else if (strcmp(gunid, "deagle", true, strlen(gunid)) == 0)
		{
			gun = 24;
			guncharge = GunPrice[15][0]/100*mod;
			ammocharge = GunPrice[25][0]*ammo;
		}
		else if (strcmp(gunid, "Tec9", true, strlen(gunid)) == 0)
		{
			gun = 32;
			guncharge = GunPrice[16][0]/100*mod;
			ammocharge = GunPrice[27][0]*ammo;
		}
		else if (strcmp(gunid, "uzi", true, strlen(gunid)) == 0)
		{
			gun = 28;
			guncharge = GunPrice[17][0]/100*mod;
			ammocharge = GunPrice[27][0]*ammo;
		}
		else if (strcmp(gunid, "mp5", true, strlen(gunid)) == 0)
		{
			gun = 29;
			guncharge = GunPrice[18][0]/100*mod;
			ammocharge = GunPrice[27][0]*ammo;
		}
		else if (strcmp(gunid, "shotgun", true, strlen(gunid)) == 0)
		{
			gun = 25;
			guncharge = GunPrice[19][0]/100*mod;
			ammocharge = GunPrice[26][0]*ammo;
		}
		else if (strcmp(gunid, "spas12", true, strlen(gunid)) == 0)
		{
			gun = 27;
			guncharge = GunPrice[20][0]/100*mod;
			ammocharge = GunPrice[26][0]*ammo;
		}
		else if (strcmp(gunid, "sawnoff", true, strlen(gunid)) == 0)
		{
			gun = 26;
			guncharge = GunPrice[21][0]/100*mod;
			ammocharge = GunPrice[26][0]*ammo;
		}
		else if (strcmp(gunid, "ak47", true, strlen(gunid)) == 0)
		{
			gun = 30;
			guncharge = GunPrice[22][0]/100*mod;
			ammocharge = GunPrice[28][0]*ammo;
		}
		else if (strcmp(gunid, "m4", true, strlen(gunid)) == 0)
		{
			gun = 31;
			guncharge = GunPrice[23][0]/100*mod;
			ammocharge = GunPrice[28][0]*ammo;
		}
		else if (strcmp(gunid, "rifle", true, strlen(gunid)) == 0)
		{
			gun = 33;
			guncharge = GunPrice[24][0]/100*mod;
			ammocharge = GunPrice[29][0]*ammo;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD6, "ShopKeeper says: I have never heard of that weapon.");
			return 1;
		}
		if((guncharge+ammocharge) > GetPlayerMoney(playerid))
		{
			format(infostring, 256, "You Dont Have $%d",guncharge+ammocharge);
			SendClientMessage(playerid, COLOR_GRAD3, infostring);
			return 1;
		}
		if((guncharge+ammocharge) < 0 || (ammo > 9999) || (ammo < 0))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "ShopKeeper: You indicated not a correct quantity. A quantity can be from 0 to 9999");
		    return 1;
		}
		format(infostring, 256, "You have purchased %s with %d ammo for $%d",gunid,ammo,guncharge+ammocharge);
		SendClientMessage(playerid, COLOR_GRAD3, infostring);
		GiveMoney(playerid,-(guncharge+ammocharge));
		BizzInfo[location-102][bTakings] = BizzInfo[location-102][bTakings]+(guncharge+ammocharge);
		BizzInfo[location-102][bProd]--;
		PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
		GivePlayerWeapon(playerid, gun, ammo);
		GetPlayerName(playerid, sendername, sizeof(sendername));
		format(string, sizeof(string), "%s bought weapons for $%d at biz %d", sendername, (guncharge+ammocharge), location-102);
		printf("%s", string);
		PayLog(string);
		return 1;
	}
	
	if (strcmp(cmd, "/upgrade", true) == 0)
	{
		new gunid[16];
		new infostring[256];
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			format(string, sizeof(string), "USAGE: /upgrade [upgradename] (You Have %d Upgrade points)",PlayerInfo[playerid][gPupgrade]);
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			SendClientMessage(playerid, COLOR_WHITE,"*** UPGRADES ***");
			SendClientMessage(playerid, COLOR_GRAD2,string);
			if(PlayerInfo[playerid][pLevel] == 2)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 2 Weapons: sdpistol colt45");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 3)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 3 Weapons: sdpistol colt45 mp5");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 4)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 4 Weapons: sdpistol colt45 mp5 shotgun");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 5)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 5 Weapons: sdpistol colt45 mp5 shotgun spas12");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 6)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 6 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 7)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 7 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 8)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 8 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 9)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 9 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff tec9 ak47");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo assaultammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 10)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 10 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff tec9 ak47 m4");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo assaultammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 11)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 11 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff tec9 ak47 m4 rifle");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo assaultammo rifleammo");
			}
			else if(PlayerInfo[playerid][pLevel] == 12)
			{
				SendClientMessage(playerid, COLOR_GRAD3, "Level 12 Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff tec9 ak47 m4 rifle flamethrower");
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo assaultammo rifleammo heavyammo");
			}
			else if(PlayerInfo[playerid][pLevel] >= 13)
			{
				format(infostring, 256, "Level %d Weapons: sdpistol colt45 mp5 shotgun spas12 deagle uzi sawnoff tec9 ak47 m4 rifle",PlayerInfo[playerid][pLevel]);
				SendClientMessage(playerid, COLOR_GRAD4, "Extra Ammo: pistolammo shotgunammo smgammo assaultammo rifleammo heavyammo");
				SendClientMessage(playerid, COLOR_GRAD3, infostring);
			}
			SendClientMessage(playerid, COLOR_GRAD5, "Extra Health: health");
			SendClientMessage(playerid, COLOR_GRAD5, "Extra Armour: armour");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			return 1;
		}
		strmid(gunid, tmp, 0, strlen(cmdtext), 255);
		if (PlayerInfo[playerid][gPupgrade] > 0)
		{
			/*
			if (PlayerInfo[playerid][pLevel] >= 13 && (strcmp(gunid, "minigun", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A minigun");
				PlayerInfo[playerid][pGun6] = 38;
				ResetPlayerWeapons(playerid);
				SetPlayerWeapons(playerid);
				PlayerInfo[playerid][gPupgrade]--;
			}

			if (PlayerInfo[playerid][pLevel] >= 12 && (strcmp(gunid, "flamethrower", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A flamethrower");
				PlayerInfo[playerid][pGun6] = 37;
			}
			*/
			if (PlayerInfo[playerid][pLevel] >= 5 && (strcmp(gunid, "parachute", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A parachute");
				PlayerInfo[playerid][pGun5] = 46;
			}
			else if (PlayerInfo[playerid][pLevel] >= 11 && (strcmp(gunid, "rifle", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A rifle");
				PlayerInfo[playerid][pGun5] = 33;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "m4", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With An m4");
				PlayerInfo[playerid][pGun4] = 31;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "golfclub", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A golfclub");
				PlayerInfo[playerid][pGun6] = 2;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "nightstick", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A nightstick");
				PlayerInfo[playerid][pGun6] = 3;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "knife", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A knife");
				PlayerInfo[playerid][pGun6] = 4;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "baseballbat", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A baseballbat");
				PlayerInfo[playerid][pGun6] = 5;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "shovel", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A shovel");
				PlayerInfo[playerid][pGun6] = 6;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "poolcue", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A poolcue");
				PlayerInfo[playerid][pGun6] = 7;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "purpledildo", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A purpledildo");
				PlayerInfo[playerid][pGun6] = 10;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "whitedildo", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A whitedildo");
				PlayerInfo[playerid][pGun6] = 11;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "longwhitedildo", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A longwhitedildo");
				PlayerInfo[playerid][pGun6] = 12;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "whitedildo2", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A whitedildo2");
				PlayerInfo[playerid][pGun6] = 13;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "flowers", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With flowers");
				PlayerInfo[playerid][pGun6] = 14;
			}
			else if (PlayerInfo[playerid][pLevel] >= 10 && (strcmp(gunid, "cane", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A cane");
				PlayerInfo[playerid][pGun6] = 15;
			}
			else if (PlayerInfo[playerid][pLevel] >= 9 && (strcmp(gunid, "ak47", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With An ak47");
				PlayerInfo[playerid][pGun4] = 30;
			}
			else if (PlayerInfo[playerid][pLevel] >= 9 && (strcmp(gunid, "Tec9", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A Tec9");
				PlayerInfo[playerid][pGun3] = 32;
			}
			else if (PlayerInfo[playerid][pLevel] >= 8 && (strcmp(gunid, "sawnoff", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A sawnoff");
				PlayerInfo[playerid][pGun2] = 26;
			}
			else if (PlayerInfo[playerid][pLevel] >= 7 && (strcmp(gunid, "uzi", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "SNew Upgrade: You Will Now Spawn With An uzi");
				PlayerInfo[playerid][pGun3] = 28;
			}
			else if (PlayerInfo[playerid][pLevel] >= 6 && (strcmp(gunid, "deagle", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A deagle");
				PlayerInfo[playerid][pGun1] = 24;
			}
			else if (PlayerInfo[playerid][pLevel] >= 5 && (strcmp(gunid, "spas12", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A spas12");
				PlayerInfo[playerid][pGun2] = 27;
			}
			else if (PlayerInfo[playerid][pLevel] >= 4 && (strcmp(gunid, "shotgun", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A shotgun");
				PlayerInfo[playerid][pGun2] = 25;
			}
			else if (PlayerInfo[playerid][pLevel] >= 3 && (strcmp(gunid, "mp5", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With An mp5");
				PlayerInfo[playerid][pGun3] = 29;
			}
			else if (PlayerInfo[playerid][pLevel] >= 2 && (strcmp(gunid, "colt45", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A colt45");
				PlayerInfo[playerid][pGun1] = 22;
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "sdpistol", true, strlen(gunid)) == 0))
			{
				SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With An sdpistol");
				PlayerInfo[playerid][pGun1] = 23;
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "pistolammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo1] = PlayerInfo[playerid][pAmmo1]+50;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d Pistol Ammo (+50)",PlayerInfo[playerid][pAmmo1]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "shotgunammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo2] = PlayerInfo[playerid][pAmmo2]+50;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d Shotgun Ammo (+50)",PlayerInfo[playerid][pAmmo2]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "smgammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo3] = PlayerInfo[playerid][pAmmo3]+100;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d SMG Ammo (+100)",PlayerInfo[playerid][pAmmo3]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "assaultammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo4] = PlayerInfo[playerid][pAmmo4]+50;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d Assault Ammo (+50)",PlayerInfo[playerid][pAmmo4]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "rifleammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo5] = PlayerInfo[playerid][pAmmo5]+10;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d Rifleammo Ammo (+10)",PlayerInfo[playerid][pAmmo5]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "heavyammo", true, strlen(gunid)) == 0))
			{
				PlayerInfo[playerid][pAmmo6] = PlayerInfo[playerid][pAmmo6]+10;
				format(infostring, 256, "New Upgrade: You Will Now Spawn With %d Heavyammo Ammo (+50)",PlayerInfo[playerid][pAmmo6]);
				SendClientMessage(playerid, COLOR_GRAD6, infostring);
			}
            else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "armour", true, strlen(gunid)) == 0))
			{
				if (PlayerInfo[playerid][pSArmour] < 100)
				{
					PlayerInfo[playerid][pSArmour] = PlayerInfo[playerid][pSArmour]+5.0;
					format(infostring, 256, "New Upgrade: You Will Now Spawn With %.2f Armour (+5)",PlayerInfo[playerid][pSArmour]);
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD6, "   You Have Maximum Spawn Health");
					return 1;
				}
			}
			else if (PlayerInfo[playerid][pLevel] >= 1 && (strcmp(gunid, "health", true, strlen(gunid)) == 0))
			{
				if (PlayerInfo[playerid][pSHealth] < 100)
				{
					PlayerInfo[playerid][pSHealth] = PlayerInfo[playerid][pSHealth]+5.0;
					format(infostring, 256, "New Upgrade: You Will Now Spawn With %.2f Health (+5)",PlayerInfo[playerid][pSHealth]+50);
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD6, "   You Have Maximum Spawn Health");
					return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD6, "   Unrecognized Upgrade");
				return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD6, "   You Have 0 Upgrade Points");
			return 1;
		}
		SetPlayerWeapons(playerid);
		PlayerInfo[playerid][gPupgrade]--;
		return 1;
	}
	
	if (strcmp(cmd, "/upgradep", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /upgradep [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
 		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
			PlayerInfo[playa][gPupgrade] = PlayerInfo[playa][gPupgrade]+1;
			printf("AdmCmd: %s made %s TDM",sendername,  giveplayer);
			format(string, sizeof(string), "AdmCmd: %s has given 2 upgrade points to %s", sendername,giveplayer);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
//-------------------------------[Login]--------------------------------------------------------------------------
	/*if (strcmp(cmd, "/login", true) == 0)
	{
		new tmppass[64];
		if (gPlayerLogged[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_WHITE, "SERVER: You are already logged in.");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /login [password]");
			return 1;
		}
		strmid(tmppass, tmp, 0, strlen(cmdtext), 255);
		Encript(tmppass);
		if (gdebug){printf("DEBUG enterd %s", tmppass);}
		OnPlayerLogin(playerid,tmppass);
		return 1;
	}*/
	
 	if (strcmp(cmd, "/login", true) == 0)
	{
		if (gPlayerLogged[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_WHITE, "SERVER: You are already logged in.");
			return 1;
		}
		format(string,sizeof(string),"\nContiune to login!");
	    ShowPlayerDialog(playerid,signindial,DIALOG_STYLE_INPUT,"Login Plase!",string,"Login","Cancel");
		return 1;
	}
//[TEST]______________________________________________________________________________

//----------------------------------[ooc]-----------------------------------------------
	if(strcmp(cmd, "/ooc", true) == 0 || strcmp(cmd, "/o", true) == 0)
	{
		if ((noooc) && PlayerInfo[playerid][pAdmin] < 101)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   the ooc chanel has been disabled by admin");
			return 1;
		}
		if(Mute[playerid] == 1)
		{
			SendClientMessage(playerid, TEAM_CYAN_COLOR, "You cannot speak, you have been silenced");
			return 0;
		}
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/o)oc [ooc chat]");
			return 1;
		}
		format(string, sizeof(string), "(( %s: %s ))", sendername, result);
		OOCOff(TEAM_ORANGE_COLOR,string);
		printf("%s", string);
		return 1;
	}
	if(strcmp(cmd, "/noooc", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 103 && (!noooc))
		{
			noooc = 1;
			if(stats)
			{
				realchat = 1;
			}
			BroadCast(COLOR_GRAD2, "   ooc chat channel disabled by admin");
		}
		else if (PlayerInfo[playerid][pAdmin] >= 103 && (noooc))
		{
			noooc = 0;
			if(stats)
			{
				realchat = 0;
			}
			BroadCast(COLOR_GRAD2, "   ooc chat channel enabled by admin");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/speedo", true) == 0)
	{
		if (gSpeedo[playerid] == 1)
		{
			gSpeedo[playerid] = 2;
			GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~g~on", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
		}
		else if (gSpeedo[playerid] == 2)
		{
			gSpeedo[playerid] = 1;
			GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~r~off", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "you dont have a speedometer");
		}
		return 1;
	}
	
 	if (strcmp(cmd, "/speedboost", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] > 104)
	    {
   			if (gSpeedBoost[playerid] == 0)
			{
				gSpeedBoost[playerid] = 1;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Speed boost mode activated");
			}
			else if (gSpeedBoost[playerid] == 1)
			{
				gSpeedBoost[playerid] = 0;
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: Speed boost mode deactivated");
			}
            PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
	    }
	    else
	    {
	        SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
	    }
	    return 1;
	}
	
 	if(strcmp(cmdtext, "/vehstat", true) == 0)
	{
	    if (VehStats[playerid] == 1)
		{
			VehStats[playerid] = 2;
			GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~g~on", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
		}
	    else if (VehStats[playerid] == 2)
	    {
			VehStats[playerid] = 1;
   			GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~r~off", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "you dont have vehicle display");
		}
		return 1;
	}
	if(strcmp(cmdtext, "/sfuel", true) == 0)
	{
	    if (gFuel[playerid] == 0)
		{
			gFuel[playerid] = 1;
      		GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~r~off", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
		}
	    else
	    {
			gFuel[playerid] = 0;
			GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~g~on", 5000, 5);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
		}
		return 1;
	}
//----------------------------------[ADMIN CHAT]----------------------------------------------|
	if(strcmp(cmd, "/amess", true) == 0 || strcmp(cmd, "/am", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/adminMessage [message]");
			return 1;
		}
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            format(string, sizeof(string), "** Admin: %s: %s **", sendername, result);
			SendClientMessageToAll(COLOR_LIGHTBLUE, string);
			printf("** Admin: %s: %s **", sendername, result);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "	You are Not Authorized to use that command.");
			return 1;
		}
	}
//----------------------------------[advertise]-----------------------------------------------
	if(strcmp(cmd, "/advertise", true) == 0 || strcmp(cmd, "/ad", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/ad)vertise [advert text]");
			return 1;
		}
		if ((noooc) && (PlayerInfo[playerid][pAdmin] < 101))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   the advertisment chanel has been disabled by admin");
			return 1;
		}
		if ((!adds) && (PlayerInfo[playerid][pAdmin] < 101))
		{
			format(string, sizeof(string), "   Please try again later %d seconds between adverts",  (addtimer/1000));
			SendClientMessage(playerid, COLOR_GRAD2, string);
			return 1;

		}
		format(string, sizeof(string), "Advertisement: %s, Contact: %s Ph: %d",  result, sendername,PlayerInfo[playerid][pPnumber]);
		OOCOff(TEAM_GROVE_COLOR,string);
		if (PlayerInfo[playerid][pAdmin] < 101){SetTimer("AddsOn", addtimer, 0);adds = 0;}
		printf("%s", string);
		return 1;
	}
	
   	if(strcmp(cmd, "/advert", true) == 0)
	{
        new sbiz;
		if (PlayerToPoint(3, playerid,SBizzInfo[17][sbEntrancex], SBizzInfo[17][sbEntrancey], SBizzInfo[17][sbEntrancez]))
		{
			sbiz = 17;
		}
		else if (PlayerToPoint(3, playerid,SBizzInfo[35][sbEntrancex], SBizzInfo[35][sbEntrancey], SBizzInfo[35][sbEntrancez]))
		{
			sbiz = 35;
		}
  		else if (PlayerToPoint(3, playerid,SBizzInfo[53][sbEntrancex], SBizzInfo[53][sbEntrancey], SBizzInfo[53][sbEntrancez]))
		{
			sbiz = 53;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You are not close to a San News Co.");
			return 1;
		}
		if(GetPlayerMoney(playerid) < SBizzInfo[sbiz][sbEntcost] || PlayerInfo[playerid][pLevel] < 3)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cant afford this");
			return 1;
		}
		if(SBizzInfo[sbiz][sbLock] == 1)
		{
			GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
			return 1;
		}
		if(SBizzInfo[sbiz][sbProd] == 0)
		{
			GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
			return 1;
		}
 		if (!adds)
		{
			format(string, sizeof(string), "   Please try again later %d seconds between adverts",  (addtimer/1000));
			SendClientMessage(playerid, COLOR_GRAD2, string);
			return 1;

		}
		if (PlayerInfo[playerid][pPbiskey] != 255)
		{
			gNewsSender = playerid;
			SendAdvertiseMessageToAll(playerid);
			SetTimer("AddsOn", addtimer, 0);
			adds = 0;
			GetPlayerName(playerid, sendername, sizeof(sendername));
   			format(string, sizeof(string), "%s, You sent an advertisement to News Line", sendername);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
			SBizzInfo[sbiz][sbProd]--;
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];
			new dood[MAX_PLAYER_NAME];
			GetPlayerName(playerid, dood, sizeof(dood));
			format(string, sizeof(string), "%s payed $%d to enter sbiz %d", dood, SBizzInfo[sbiz][sbEntcost], sbiz);
			printf("%s", string);
			PayLog(string);
			OnPropUpdate();
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You have not bussines!");
		}
		return 1;
	}
//----------------------------------[togooc]-----------------------------------------------

	if(strcmp(cmd, "/togooc", true) == 0)
	{
		if (!gOoc[playerid])
		{
			gOoc[playerid] = 1;
			SendClientMessage(playerid, COLOR_GRAD2, "   ooc chat channel disabled");
		}
		else if (gOoc[playerid])
		{
			(gOoc[playerid] = 0);
			SendClientMessage(playerid, COLOR_GRAD2, "   ooc chat channel enabled");
		}
		return 1;
	}
//----------------------------------[Emote]-----------------------------------------------
	if(strcmp(cmd, "/me", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /me [action]");
			return 1;
		}
		format(string, sizeof(string), "* %s %s", sendername, result);
		ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
		printf("%s", string);
		return 1;
	}
//----------------------------------[Local]-----------------------------------------------
	if(strcmp(cmd, "/local", true) == 0 || strcmp(cmd, "/l", true) == 0 || strcmp(cmd, "/say", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/l)ocal [local chat]");
			return 1;
		}
		format(string, sizeof(string), "%s Says %s", sendername, result);
		ProxDetector(20.0, playerid, string,COLOR_FADE1,COLOR_FADE2,COLOR_FADE3,COLOR_FADE4,COLOR_FADE5);
		printf("%s", string);
		return 1;
	}
//----------------------------------[Shout]-----------------------------------------------
	if(strcmp(cmd, "/shout", true) == 0 || strcmp(cmd, "/s", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/s)hout [local chat]");
			return 1;
		}
		format(string, sizeof(string), "%s Shouts %s!!", sendername, result);
		ProxDetector(30.0, playerid, string,COLOR_WHITE,COLOR_WHITE,COLOR_WHITE,COLOR_FADE1,COLOR_FADE2);
		ApplyAnimation(playerid,"ON_LOOKERS", "shout_in",5.0,0,0,0,0,-1);
		printf("%s", string);
		return 1;
	}
//----------------------------------[Shout]-----------------------------------------------
	if(strcmp(cmd, "/megaphone", true) == 0 || strcmp(cmd, "/m", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/m)egaphone [megaphone chat]");
			return 1;
		}
		if (gTeam[playerid] != 2)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not part of a team");
			return 1;
		}
		if(!IsACopCar(tmpcar))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not in a police vehicle");
			return 1;
		}
		format(string, sizeof(string), "[Officer %s:o< %s]", sendername, result);
		ProxDetector(60.0, playerid, string,COLOR_YELLOW,COLOR_YELLOW,COLOR_YELLOW,COLOR_YELLOW,COLOR_YELLOW);
		printf("%s", string);
		return 1;
	}
//----------------------------------[Team]-----------------------------------------------
	if(strcmp(cmd, "/radio", true) == 0 || strcmp(cmd, "/r", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/r)adio [radio chat]");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
			if(PlayerInfo[playerid][pAdmin] == -2)
			{
				format(string, sizeof(string), "** Chief %s: %s, over. **", sendername, result);
			}
			else
			{
				format(string, sizeof(string), "** Officer %s: %s, over. **", sendername, result);
			}
			SendTeamMessage(2, TEAM_BLUE_COLOR, string);
			printf("%s", string);
			return 1;
		}
		if (gTeam[playerid] == 1)
		{
			if(PlayerInfo[playerid][pAdmin] == -1)
			{
				format(string, sizeof(string), "** Chief %s: %s, over. **", sendername, result);
			}
			else
			{
				format(string, sizeof(string), "** Paramedic %s: %s, over. **", sendername, result);
			}
			SendTeamMessage(1, TEAM_CYAN_COLOR, string);
			printf("%s", string);
			return 1;
		}
		if (gTeam[playerid] >= 5)
		{
			if(PlayerInfo[playerid][pAdmin] <= -5)
			{
				format(string, sizeof(string), "** Boss %s: %s, over. **", sendername, result);
			}
			else
			{
				format(string, sizeof(string), "** %s: %s, over. **", sendername, result);
			}
			SendTeamMessage(gTeam[playerid], TEAM_AZTECAS_COLOR, string);
			printf("%s", string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not part of a team");
			//return 1;
		}
		return 1;
	}
//----------------------------------[offduty]-----------------------------------------------
	if(strcmp(cmd, "/duty", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if(forceteam && CopCheck(playerid))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not a cop.");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
			if (PlayerToPoint(3, playerid,255.3,77.4,1003.6) || PlayerInfo[playerid][pLocal] != 255)
			{
				gTeam[playerid] = 3;
				SetPlayerToTeamColor(playerid);
				format(string, sizeof(string), "* %s Puts a gun and a badge in a locker", sendername);
				SetPlayerWeapons(playerid);
				ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
				printf("%s", string);
				return 1;
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   you are not in a locker room");
				return 1;
			}
		}
		if (gTeam[playerid] == 3)
		{
			if (PlayerToPoint(3, playerid,255.3,77.4,1003.6) || PlayerInfo[playerid][pLocal] != 255)
			{
				gTeam[playerid] = 2;
				SetPlayerToTeamColor(playerid);
				if(PlayerInfo[playerid][pAdmin] == -2)
				{
					format(string, sizeof(string), "* Chief %s Takes a gun and a badge from a locker", sendername);
				}
				else
				{
					format(string, sizeof(string), "* Officer %s Takes a gun and a badge from a locker", sendername);
				}
				SetPlayerWeapons(playerid);
				ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
				printf("%s", string);
				return 1;
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   you are not in a locker room");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not part of a team");
			return 1;
		}
		return 1;
	}
//----------------------------------[departments]-----------------------------------------------
	if(strcmp(cmd, "/departments", true) == 0 || strcmp(cmd, "/d", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/d)epartments [department chat]");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
			if(PlayerInfo[playerid][pAdmin] == -2)
			{
				format(string, sizeof(string), "** SAPD Chief %s: %s, over. **", sendername, result);
			}
			else
			{
				format(string, sizeof(string), "** Officer %s: %s, over. **", sendername, result);
			}
			SendTeamMessage(2, COLOR_ALLDEPT, string);
			SendTeamMessage(4, COLOR_ALLDEPT, string);
			printf("%s", string);
			return 1;
		}
		if (gTeam[playerid] == 1)
		{
			if(PlayerInfo[playerid][pAdmin] == -3)
			{
				format(string, sizeof(string), "** SAMD Chief %s: %s, over. **", sendername, result);
			}
			else
			{
				format(string, sizeof(string), "** Paramedic %s: %s, over. **", sendername, result);
			}
			SendTeamMessage(2, COLOR_ALLDEPT, string);
			SendTeamMessage(1, COLOR_ALLDEPT, string);
			printf("%s", string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not part of a team");
			//return 1;
		}
		return 1;
	}
//----------------------------------[mdc]-----------------------------------------------
	if(strcmp(cmd, "/mdc", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /mdc [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		GetPlayerName(giveplayerid, sendername, sizeof(sendername));
		if(!IsACopCar(tmpcar))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not in a police vehicle");
			return 1;
		}
		SendClientMessage(playerid, TEAM_BLUE_COLOR,"______-=MOBILE DATA COMPUTER=-_______");
		format(string, sizeof(string), "Name : %s", sendername);
		SendClientMessage(playerid, COLOR_WHITE,string);
		format(string, sizeof(string), "Crime : %s", PlayerCrime[giveplayerid][pAccusedof]);
		SendClientMessage(playerid, COLOR_GRAD2,string);
		format(string, sizeof(string), "Claimant : %s", PlayerCrime[giveplayerid][pVictim]);
		SendClientMessage(playerid, COLOR_GRAD3,string);
		format(string, sizeof(string), "Reported : %s", PlayerCrime[giveplayerid][pAccusing]);
		SendClientMessage(playerid, COLOR_GRAD4,string);
		format(string, sizeof(string), "Accused : %s", PlayerCrime[giveplayerid][pBplayer]);
		SendClientMessage(playerid, COLOR_GRAD5,string);
		SendClientMessage(playerid, TEAM_BLUE_COLOR,"_______________________________________");
		printf("%s", string);
		return 1;
	}
//----------------------------------[SetCrim]-----------------------------------------------
	if(strcmp(cmd, "/suspect", true) == 0 || strcmp(cmd, "/su", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/su)spect [playerid/PartOfName] [crime discription]");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if(JailTime[giveplayerid] != 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   That person can't be suspected right now.");
			printf("JailTime[giveplayerid](%d) gTeam[giveplayerid](%d)",JailTime[giveplayerid],gTeam[giveplayerid]);
			return 1;
		}
			if (IsPlayerConnected(giveplayerid))
			{
				if (gTeam[giveplayerid] != 2)
				{
					if (gTeam[giveplayerid] >= 4)
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   that person is already a suspect");
						return 1;
					}
					GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
					GetPlayerName(playerid, sendername, sizeof(sendername));
					new length = strlen(cmdtext);
					while ((idx < length) && (cmdtext[idx] <= ' '))
					{
						idx++;
					}
					new offset = idx;
					new result[64];
					while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
					{
						result[idx - offset] = cmdtext[idx];
						idx++;
					}
					result[idx - offset] = EOS;
					if(!strlen(result))
					{
						SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/su)spect [playerid/PartOfName] [crime text]");
						return 1;
					}
					if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
					if(FlashTime[giveplayerid] == 0){FlashTime[giveplayerid] = 10;}
					SetPlayerCriminal(giveplayerid,playerid, result,0,0);
					JailTime[giveplayerid] = -60;
					//printf("%s: %s", giveplayer, result);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   you cannot suspect a cop");
				}
			}
			else
			{
					format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
					SendClientMessage(playerid, COLOR_GRAD1, string);
					return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not a cop");
		}
	}
//----------------------------------[SetFree]-----------------------------------------------
	if(strcmp(cmd, "/free", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /free [playerid/PartOfName]");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
			if (IsPlayerConnected(giveplayerid))
			{
				if (gTeam[giveplayerid] == 4)
				{
					GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
					GetPlayerName(playerid, sendername, sizeof(sendername));
					new length = strlen(cmdtext);
					while ((idx < length) && (cmdtext[idx] <= ' '))
					{
						idx++;
					}
					new offset = idx;
					new result[64];
					while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
					{
						result[idx - offset] = cmdtext[idx];
						idx++;
					}
					result[idx - offset] = EOS;
					if(!strlen(result))
					{
						SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /free [playerid/PartOfName] [reason text]");
						return 1;
					}
					if (gPublicEnemy == giveplayerid)
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You do not have the power to do that");
						return 1;
					}
					SetPlayerFree(giveplayerid,playerid, result,0,0);
					//printf("%s: %s", giveplayer, result);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   This person is free");
				}
			}
			else
			{
					format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
					SendClientMessage(playerid, COLOR_GRAD1, string);
					return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   you are not a cop");
		}
	}
 	if(strcmp(cmd, "/release", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /release [playerid/PartOfName]");
			return 1;
		}
		if (gTeam[playerid] == 2)
		{
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if (IsPlayerConnected(giveplayerid))
			{
				if (gTeam[giveplayerid] == 4)
				{
					GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
					GetPlayerName(playerid, sendername, sizeof(sendername));
					new length = strlen(cmdtext);
					while ((idx < length) && (cmdtext[idx] <= ' '))
					{
						idx++;
					}
					new offset = idx;
					new result[64];
					while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
					{
						result[idx - offset] = cmdtext[idx];
						idx++;
					}
					result[idx - offset] = EOS;
					if(!strlen(result))
					{
						SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /release [playerid/PartOfName] [reason text]");
						return 1;
					}
					if (gPublicEnemy == giveplayerid)
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You do not have the power to do that");
						return 1;
					}
					SetPlayerFree(giveplayerid,playerid, result,0,0);
					//printf("%s: %s", giveplayer, result);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD2, "-< This person is free >-");
				}
			}
			else
			{
					format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
					SendClientMessage(playerid, COLOR_GRAD1, string);
					return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "SERVER: You are not a cop");
		}
	}
//----------------------------------[LOCK]-----------------------------------------------
	if(strcmp(cmd, "/lock", true) == 0)
	{
		new carid;
		if (gTeam[playerid] == 2 || gTeam[playerid] == 1)
		{
			if(gLastCar[playerid] == 0 && PlayerInfo[playerid][pPhousekey] == 255)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle.");
				return 1;
			}
			else if(gLastCar[playerid] != 0 && gLastCar[playerid] != PlayerInfo[playerid][pPhousekey]+1)
			{
				if (HireCar[playerid] != gLastCar[playerid] && HireCar[playerid] != -1)
				{
					gLastDriver[HireCar[playerid]] = 300;
					gCarLock[HireCar[playerid]] = 0;
					UnLockCar(HireCar[playerid]);
				}
				HireCar[playerid] = gLastCar[playerid];
			}
		}
		if (PlayerInfo[playerid][pPhousekey] == 255 && PlayerInfo[playerid][pPbiskey] == 255)
		{
			if(HireCar[playerid] == -1)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle.");
				return 1;
			}
		}
		carid = PlayerInfo[playerid][pPhousekey]+1;
		if(HireCar[playerid] != -1 && !SwitchKey[playerid])
		{
			carid = HireCar[playerid];
		}
		//new driver = gLastDriver[carid];
		new lockstatus = gCarLock[carid];
		new Float:cx,Float:cy,Float:cz;
		GetVehiclePos(carid, cx, cy, cz);
		for(new i = 0; i < sizeof(HouseInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]) || PlayerToPoint(3, playerid,HouseInfo[i][hExitx], HouseInfo[i][hExity], HouseInfo[i][hExitz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pPhousekey] == i)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(HouseInfo[i][hLock] == 1)
					{
						HouseInfo[i][hLock] = 0;
						GameTextForPlayer(playerid, "~w~Door ~g~Unlocked", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(HouseInfo[i][hLock] == 0)
					{
						HouseInfo[i][hLock] = 1;
						GameTextForPlayer(playerid, "~w~Door ~r~Locked", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]) || PlayerToPoint(3, playerid,BizzInfo[i][bExitx], BizzInfo[i][bExity], BizzInfo[i][bExitz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pPbiskey] == i)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(BizzInfo[i][bLock] == 1)
					{
						BizzInfo[i][bLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(BizzInfo[i][bLock] == 0)
					{
						BizzInfo[i][bLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pPbiskey] == i+100)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(SBizzInfo[i][sbLock] == 1)
					{
						SBizzInfo[i][sbLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(SBizzInfo[i][sbLock] == 0)
					{
						SBizzInfo[i][sbLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
    	for(new i = 0; i < sizeof(StationInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pPbiskey] == i+200)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(StationInfo[i][stLock] == 1)
					{
						StationInfo[i][stLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(StationInfo[i][stLock] == 0)
					{
						StationInfo[i][stLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
		switch (lockstatus)
		{
			case 0:
			{
				/*
				if (gTeam[playerid] == 2 || gTeam[playerid] == 1)
				{
					if(driver != playerid)
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle.");
						return 1;
					}
					GameTextForPlayer(playerid, "~w~Vehicle ~r~Locked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 1;
					LockCar(carid);
					return 1;
				}
				*/
				if(HireCar[playerid] == -1 && PlayerInfo[playerid][pPhousekey] == 255)
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle");
					return 1;
				}
				if(HireCar[playerid] == carid && !SwitchKey[playerid])
				{
					GameTextForPlayer(playerid, "~w~Hire Vehicle ~r~Locked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 1;
					LockCar(carid);
				}
				else if (PlayerInfo[playerid][pPhousekey] == carid-1)
				{
					GameTextForPlayer(playerid, "~w~House Vehicle ~r~Locked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 1;
					LockCar(carid);
					return 1;
				}
			}
			case 1:
			{
				/*
				if (gTeam[playerid] == 2 || gTeam[playerid] == 1)
				{
					if(driver != playerid)
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle");
						return 1;
					}
					GameTextForPlayer(playerid, "~w~Vehicle ~g~Unlocked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 0;
					UnLockCar(carid);
					return 1;
				}
				*/
				if(HireCar[playerid] == -1 && PlayerInfo[playerid][pPhousekey] == 255)
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle");
					return 1;
				}
				if(HireCar[playerid] == carid && !SwitchKey[playerid])
				{
					GameTextForPlayer(playerid, "~w~Hire Vehicle ~g~Unlocked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 0;
					UnLockCar(carid);
				}
				if (PlayerInfo[playerid][pPhousekey] == carid-1)
				{
					GameTextForPlayer(playerid, "~w~House Vehicle ~g~Unlocked", 5000, 6);
					PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
					gCarLock[carid] = 0;
					UnLockCar(carid);
					return 1;
				}
			}
			default:
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   Error");
			}
		}
		if(carid == 256)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You dont have a Vehicle");
		}
		return 1;
	}
//----------------------------------[Wisper]-----------------------------------------------
	if(strcmp(cmd, "/wisper", true) == 0 || strcmp(cmd, "/w", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/w)isper [playerid/PartOfName] [whisper text]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if (IsPlayerConnected(giveplayerid))
		{
			if (ProxDetectorS(5.0, playerid, giveplayerid))
			{
				GetPlayerName(playerid, sendername, sizeof(sendername));
				if(giveplayerid == playerid)
				{
					format(string, sizeof(string), "* %s mutters somthing.", sendername);
					ProxDetector(5.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
				}
				new length = strlen(cmdtext);
				while ((idx < length) && (cmdtext[idx] <= ' '))
				{
					idx++;
				}
				new offset = idx;
				new result[64];
				while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
				{
					result[idx - offset] = cmdtext[idx];
					idx++;
				}
				result[idx - offset] = EOS;
				if(!strlen(result))
				{
					SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/w)isper [playerid/PartOfName] [whisper text]");
					return 1;
				}
				format(string, sizeof(string), "%s whispers %s", sendername, result);
				SendClientMessage(playerid,  COLOR_YELLOW, string);
				SendClientMessage(giveplayerid, COLOR_YELLOW, string);
				printf("%s: %s", sendername, result);
				return 1;
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Your too far away.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
//----------------------------------[Phone]-----------------------------------------------
	if (strcmp(cmd, "/bank", true) == 0 || strcmp(cmd, "/deposit", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bank [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		new cashdeposit = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bank [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		if (cashdeposit > GetPlayerMoney(playerid) || cashdeposit < 1)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
			return 1;
		}
		if (PlayerToPoint(100, playerid,-30.875, -88.9609, 1004.53) || PlayerToPoint(100, playerid,246.3,109.2,1003.2) || PlayerToPoint(100, playerid,832.899291,7.376200,1004.179687))
		{
			GiveMoney(playerid,-cashdeposit);
			new curfunds = PlayerInfo[playerid][pAccount];
			PlayerInfo[playerid][pAccount]=cashdeposit+PlayerInfo[playerid][pAccount];
			SendClientMessage(playerid, COLOR_PURPLE, "|___ BANK STATMENT ___|");
			format(string, sizeof(string), "  Old Balance: $%d", curfunds);
			SendClientMessage(playerid, COLOR_GREEN, string);
			format(string, sizeof(string), "  Deposit: $%d",cashdeposit);
			SendClientMessage(playerid, COLOR_GREEN, string);
			SendClientMessage(playerid, COLOR_PURPLE, "|-----------------------------------------|");
			format(string, sizeof(string), "  New Balance: $%d", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GREEN, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a 24-7 ATM or a Bank");
			return 1;
		}
	}
	
	if (strcmp(cmd, "/loan", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if (gPlayerLogged[playerid] != 1)
		{
			SendClientMessage(playerid, COLOR_WHITE, "SERVER: You must be logged in.");
			return 1;
		}
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /loan [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		new cashdeposit = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /loan [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		if (PlayerInfo[playerid][pAccount] - cashdeposit < -50000)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You have exceeded the loan limit ($50000)");
			return 1;
		}
		if (PlayerInfo[playerid][pAccount] - cashdeposit > -1)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   We give loans we dont take them");
			return 1;
		}
		if (PlayerToPoint(100, playerid,-30.875, -88.9609, 1004.53) || PlayerToPoint(100, playerid,246.3,109.2,1003.2) || PlayerToPoint(100, playerid,832.899291,7.376200,1004.179687))
		{
			GiveMoney(playerid,cashdeposit);
			new curfunds = PlayerInfo[playerid][pAccount];
			PlayerInfo[playerid][pAccount]=PlayerInfo[playerid][pAccount]-cashdeposit;
			SendClientMessage(playerid, COLOR_PURPLE, "|___ BANK STATMENT ___|");
			format(string, sizeof(string), "  Old Balance: $%d", curfunds);
			SendClientMessage(playerid, COLOR_GREEN, string);
			format(string, sizeof(string), "  Deposit: $%d",cashdeposit);
			SendClientMessage(playerid, COLOR_GREEN, string);
			SendClientMessage(playerid, COLOR_PURPLE, "|-----------------------------------------|");
			format(string, sizeof(string), "  New Balance: $%d", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GREEN, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a 24-7 ATM or a Bank");
			return 1;
		}
	}
	if(strcmp(cmd, "/withdraw", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /withdraw [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		new cashdeposit = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /withdraw [amount]");
			format(string, sizeof(string), "  You Have $%d in your account.", PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		if (cashdeposit > PlayerInfo[playerid][pAccount] || cashdeposit < 1)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
			return 1;
		}
		if (PlayerToPoint(100, playerid,-30.875, -88.9609, 1004.53) || PlayerToPoint(100, playerid,246.3,109.2,1003.2) || PlayerToPoint(100, playerid,832.899291,7.376200,1004.179687))
		{
			GiveMoney(playerid,cashdeposit);
			PlayerInfo[playerid][pAccount]=PlayerInfo[playerid][pAccount]-cashdeposit;
			format(string, sizeof(string), "  You Have Withdrawn $%d from your account Total: $%d ", cashdeposit,PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_YELLOW, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a 24-7 ATM or a Bank");
			return 1;
		}
	}
	if(strcmp(cmd, "/balance", true) == 0)
	{
		if (PlayerToPoint(100, playerid,-30.875, -88.9609, 1004.53) || PlayerToPoint(100, playerid,246.3,109.2,1003.2) || PlayerToPoint(100, playerid,832.899291,7.376200,1004.179687))
		{
			format(string, sizeof(string), "  You Have $%d in your account.",PlayerInfo[playerid][pAccount]);
			SendClientMessage(playerid, COLOR_YELLOW, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a 24-7 ATM or a Bank");
			return 1;
		}
	}
	if(strcmp(cmd, "/dice", true) == 0)
	{
		new dice = random(6)+1;
		if (gDice[playerid] == 1)
		{
			GetPlayerName(playerid, sendername, sizeof(sendername));
			format(string, sizeof(string), "* %s Throws A Dice That lands on %d", sendername,dice);
			ProxDetector(5.0, playerid, string, TEAM_GREEN_COLOR,TEAM_GREEN_COLOR,TEAM_GREEN_COLOR,TEAM_GREEN_COLOR,TEAM_GREEN_COLOR);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You Don't Have A Dice");
			return 1;
		}
	}
	if(strcmp(cmd, "/betdm", true) == 0) //BizzInfo[5][bDiscription]
	{
		if (MissionActive == 17)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   A deathmatch is in progress");
			return 1;
		}
		/*
		if (PlayerInfo[playerid][pLocal] != 104)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a Betting shop");
			return 1;
		}
		*/
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /betdm [playerid/PartOfName] [amount]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /betdm [playerid/PartOfName] [amount]");
			return 1;
		}
		moneys = strval(tmp);
		if (moneys > 1000000)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   Sorry house limit is $1000000");
			return 1;
		}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			playermoney = GetPlayerMoney(playerid);
			if (moneys > 0 && playermoney >= moneys)
			{
				new betsbiz[3] = {5,19,33};
			 	new tmpbiz;
			    new key = PlayerInfo[playerid][pPhousekey];
			  	if (key < 34) { tmpbiz = 5; }
				else if (key > 33 && key < 68) { tmpbiz = 19; }
				else if (key > 67 && key != 255) { tmpbiz = 33; }
				else
				{
					new randa = random(sizeof(betsbiz));
					tmpbiz = betsbiz[randa];
				}
				GiveMoney(playerid,-moneys);
				BizzInfo[tmpbiz][bTakings] += moneys;
				BetDm[playerid][0] = giveplayerid;
				BetDm[playerid][1] = moneys;
				format(string, sizeof(string), "______-= %s =-_______", BizzInfo[tmpbiz][bDiscription]);
				SendClientMessage(playerid, TEAM_VAGOS_COLOR,string);
				format(string, sizeof(string), "   You have bet $%d on %s to win the next deathmatch", moneys, giveplayer);
				SendClientMessage(playerid, COLOR_WHITE, string);
				SendClientMessage(playerid, TEAM_VAGOS_COLOR,"_______________________________________");
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SendClientMessage(playerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "  $%d has been bet on you by %s to win the next deathmatch", moneys, sendername);
				SendClientMessage(giveplayerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "%s bet $%d on %s", sendername, moneys, giveplayer);
				printf("%s", string);
				PayLog(string);
				PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Invalid transaction amount.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
	return 1;
	}
	if(strcmp(cmd, "/betrace", true) == 0)
	{
		if (MissionActive >= 7 && MissionActive <= 8 )
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   A race is in progress");
			return 1;
		}
		/*
		if (PlayerInfo[playerid][pLocal] != 104)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a Betting shop");
			return 1;
		}
		*/
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /betrace [playerid/PartOfName] [amount]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /betrace [playerid/PartOfName] [amount]");
			return 1;
		}
		moneys = strval(tmp);
		if (moneys > 1000000)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   Sorry house limit is $1000000");
			return 1;
		}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			playermoney = GetPlayerMoney(playerid);
			if (moneys > 0 && playermoney >= moneys)
			{
				new betsbiz[3] = {5,19,33};
			 	new tmpbiz;
			    new key = PlayerInfo[playerid][pPhousekey];
			  	if (key < 34) { tmpbiz = 5; }
				else if (key > 33 && key < 68) { tmpbiz = 19; }
				else if (key > 67 && key != 255) { tmpbiz = 33; }
				else
				{
					new randa = random(sizeof(betsbiz));
					tmpbiz = betsbiz[randa];
				}
				GiveMoney(playerid,-moneys);
				BizzInfo[tmpbiz][bTakings] += moneys;
				BetRace[playerid][0] = giveplayerid;
				BetRace[playerid][1] = moneys;
				format(string, sizeof(string), "______-= %s =-_______", BizzInfo[tmpbiz][bDiscription]);
				SendClientMessage(playerid, TEAM_VAGOS_COLOR,string);
				format(string, sizeof(string), "You have bet $%d on %s to win the next race", moneys, giveplayer);
				SendClientMessage(playerid, COLOR_WHITE, string);
				SendClientMessage(playerid, TEAM_VAGOS_COLOR,"_______________________________________");
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				format(string, sizeof(string), "  $%d has been bet on you by %s to win the next race", moneys, sendername);
				SendClientMessage(giveplayerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "%s bet $%d on %s", sendername, moneys, giveplayer);
				printf("%s", string);
				PayLog(string);
				PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Invalid transaction amount.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
	return 1;
	}
	if(strcmp(cmd, "/bets", true) == 0)
	{
		format(string, sizeof(string), "______-= %s =-_______", BizzInfo[5][bDiscription]);
		SendClientMessage(playerid, TEAM_VAGOS_COLOR,string);
		if(BetRace[playerid][0] == 255)
		{
			format(giveplayer, sizeof(giveplayer), "No one");
		}
		else
		{
			GetPlayerName(BetRace[playerid][0], giveplayer, sizeof(giveplayer));
		}
		format(string, sizeof(string), "Race: %s for $%d",giveplayer, BetRace[playerid][1]);
		SendClientMessage(playerid, COLOR_WHITE,string);
		if(BetDm[playerid][0] == 255)
		{
			format(giveplayer, sizeof(giveplayer), "No one");
		}
		else
		{
			GetPlayerName(BetDm[playerid][0], giveplayer, sizeof(giveplayer));
		}
		format(string, sizeof(string), "Deathmatch: %s for $%d",giveplayer, BetDm[playerid][1]);
		SendClientMessage(playerid, COLOR_GRAD2,string);
		SendClientMessage(playerid, TEAM_VAGOS_COLOR,"_______________________________________");
	}
	if(strcmp(cmd, "/transfer", true) == 0 || strcmp(cmd, "/wiretransfer", true) == 0)
	{
		if(PlayerInfo[playerid][pLevel] < 3)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "You must be level 3");
			return 1;
		}
		if (!PlayerToPoint(100, playerid,246.3,109.2,1003.2))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from a Bank");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /transfer [playerid/PartOfName] [amount]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /transfer [playerid/PartOfName] [amount]");
			return 1;
		}
		moneys = strval(tmp);
		//if (gdebug){printf("DEBUG givecash_command: %d %d",giveplayerid,moneys);}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			playermoney = PlayerInfo[playerid][pAccount] ;
			if (moneys > 0 && playermoney >= moneys)
			{
				PlayerInfo[playerid][pAccount] -= moneys;
				PlayerInfo[giveplayerid][pAccount] += moneys;
				format(string, sizeof(string), "   You have transferd $%d to %s's account", moneys, giveplayer,giveplayerid);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SendClientMessage(playerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "   You have recieved $%d to into your account from %s", moneys, sendername, playerid);
				SendClientMessage(giveplayerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "%s transferd $%d to %s", sendername, moneys, giveplayer);
				printf("%s", string);
				PayLog(string);
				PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Invalid transaction amount.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/buy", true) == 0)
	{
		if (!PlayerToPoint(100, playerid,-30.875, -88.9609, 1004.53))//centerpoint 24-7
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are not in a 24-7");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /buy [item number]");
			SendClientMessage(playerid, COLOR_GREEN, "|_______ 24-7 _______|");
			SendClientMessage(playerid, COLOR_GRAD1, "| 1: Cell Phone $500");
			SendClientMessage(playerid, COLOR_GRAD2, "| 2: Scratch Card $1000");
			SendClientMessage(playerid, COLOR_GRAD3, "| 3: Phone Book $500");
			SendClientMessage(playerid, COLOR_GRAD4, "| 4: Dice $500");
			SendClientMessage(playerid, COLOR_GRAD5, "| 5: Vehicle Key $5000");
			SendClientMessage(playerid, COLOR_GRAD5, "| 6: Vehicle Lock $10000");
			SendClientMessage(playerid, COLOR_GRAD6, "| 7: Speedometer $5000");
			SendClientMessage(playerid, COLOR_GREEN, "|----------------------------------|");
			return 1;
		}
		new item = strval(tmp);
		new tmpbiz = gBizTicket[playerid];
		if ((tmpbiz != 6) && (tmpbiz != 20) && (tmpbiz != 34))
		{
		    new shopbiz[3] = {6,20,34};
		    new randa = random(sizeof(shopbiz));
		    tmpbiz = shopbiz[randa];
		}
		if(BizzInfo[tmpbiz][bProd] == 0)
		{
			GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
			return 1;
		}
		if (item == 1 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			new randphone = 1000 + random(8999);//minimum 1000  max 9999
			PlayerInfo[playerid][pPnumber] = randphone;
			format(string, sizeof(string), "Mobile Phone Purchased Your New Number Is %d", randphone);
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_GRAD5, "You Can Check This Anytime By Typing /level");
			SendClientMessage(playerid, COLOR_WHITE, "HINT: You can now type /help to see your cell phone commands.");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 2 && GetPlayerMoney(playerid) > 1000)
		{
			GiveMoney(playerid,-1000);
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+1000;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			new prize;
			new symb1[32];
			new symb2[32];
			new symb3[32];
			new randcard1 = random(10);//minimum 1000  max 9999
			new randcard2 = random(10);//minimum 1000  max 9999
			new randcard3 = random(10);//minimum 1000  max 9999
			format(string, sizeof(string), "~r~-$%d", 1000);
			GameTextForPlayer(playerid, string, 5000, 1);
			if (gdebug >= 1){printf("randcard1 = %d,randcard2 = %d,randcard3 = %d",randcard1,randcard2,randcard3);}
			if(randcard1 >= 5)
			{
				format(symb1, sizeof(symb1), "~b~]");
				randcard1 = 1;
			}
			else if(randcard1 <= 4 && randcard1 >= 2)
			{
				format(symb1, sizeof(symb1), "~g~]");
				randcard1 = 2;
			}
			else if(randcard1 < 2)
			{
				format(symb1, sizeof(symb1), "~y~]");
				randcard1 = 3;
			}
			if(randcard2 >= 5)
			{
				format(symb2, sizeof(symb2), "~b~]");
				randcard2 = 1;
			}
			else if(randcard2 <= 4 && randcard2 >= 2)
			{
				format(symb2, sizeof(symb2), "~g~]");
				randcard2 = 2;
			}
			else if(randcard2 < 2)
			{
				format(symb2, sizeof(symb2), "~y~]");
				randcard2 = 3;
			}
			if(randcard3 >= 5)
			{
				format(symb3, sizeof(symb3), "~b~]");
				randcard3 = 1;
			}
			else if(randcard3 <= 4 && randcard3 >= 2)
			{
				format(symb3, sizeof(symb3), "~g~]");
				randcard3 = 2;
			}
			else if(randcard3 < 2)
			{
				format(symb3, sizeof(symb3), "~y~]");
				randcard3 = 3;
			}
			if (gdebug >= 1){printf("randcard1 = %d,randcard2 = %d,randcard3 = %d",randcard1,randcard2,randcard3);}
			if(randcard1 == randcard2 && randcard1 == randcard3)
			{
				if(randcard1 > 5)
				{
					prize = 100000;
				}
				if(randcard1 <= 4 && randcard1 >= 2)
				{
					prize = 10000;
				}
				if(randcard1 < 2)
				{
					prize = 2000;
				}
				GiveMoney(playerid,prize);
				BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]-prize;
				format(string, sizeof(string), "%s %s %s ~n~~n~~w~~g~$%d",symb1,symb2,symb3, prize);
			}
			else
			{
				format(string, sizeof(string), "%s %s %s ~n~~n~~w~~r~$0",symb1,symb2,symb3);
			}
			GameTextForPlayer(playerid, string, 3000, 3);
			return 1;
		}
		if (item == 3 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			gPhoneBook[playerid] = 1;
			format(string, sizeof(string), "Phone Book Purchased You Can Look Up Any Players Number");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /number <id/name>.");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 4 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			gDice[playerid] = 1;
			format(string, sizeof(string), "Dice Purchased You Can Throw Your Dice.");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /dice ");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 5 && GetPlayerMoney(playerid) > 5000)
		{
			if (gLastCar[playerid] != 0)
			{
				if(HireCar[playerid] != -1)
				{
					gCarLock[HireCar[playerid]] = 0;
					UnLockCar(HireCar[playerid]);
					HireCar[playerid] = -1;
				}
				GiveMoney(playerid,-5000);
				BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+5000;
				BizzInfo[tmpbiz][bProd]--;
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				HireCar[playerid] = gLastCar[playerid];
				format(string, sizeof(string), "Key Purchased You Can Lock Your Last Vehicle.");
				SendClientMessage(playerid, COLOR_GRAD4, string);
				SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /lock ");
				format(string, sizeof(string), "~r~-$%d", 5000);
				GameTextForPlayer(playerid, string, 5000, 1);
			}
			else
			{
				SendClientMessage(playerid, COLOR_WHITE, "You Don't Have A Vehicle To Fit It To");
			}
			return 1;
		}
		if (item == 6 && GetPlayerMoney(playerid) > 5000)
		{
			if(PlayerInfo[playerid][pPhousekey] != 255)
			{
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) == 1 && HireCar[PlayerInfo[playerid][pPhousekey]+1])
					{
						HireCar[i] = -1;
					}
				}
				GiveMoney(playerid,-10000);
				BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+10000;
				BizzInfo[tmpbiz][bProd]--;
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				format(string, sizeof(string), "New Lock's Purchased.");
				SendClientMessage(playerid, COLOR_GRAD4, string);
				SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /lock ");
				format(string, sizeof(string), "~r~-$%d", 10000);
				GameTextForPlayer(playerid, string, 5000, 1);
			}
			else
			{
				SendClientMessage(playerid, COLOR_WHITE, "You Don't Have A Vehicle To Fit It To");
			}
			return 1;
		}
		if (item == 7 && GetPlayerMoney(playerid) > 5000)
		{
			gSpeedo[playerid] = 1;
			GiveMoney(playerid,-5000);
			BizzInfo[tmpbiz][bTakings] = BizzInfo[tmpbiz][bTakings]+5000;
			BizzInfo[tmpbiz][bProd]--;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "Speedometer Purchased.");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /speedo ");
			format(string, sizeof(string), "~r~-$%d", 5000);
			GameTextForPlayer(playerid, string, 5000, 1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
		}
		return 1;
	}
	
//----------------------------------------[HOUSE]------------------------------------------------------
	if (strcmp(cmd, "/clearh", true) == 0)
    {
		if (gPlayerLogged[playerid] == 0)
        {
            SendClientMessage(playerid, COLOR_GRAD1, "  You are not logged in");
        }
        else
        {
            PlayerInfo[playerid][pPhousekey] = 255;
            SendClientMessage(playerid, COLOR_GRAD1, "  You've cleared in your account data about the house");
        }
        return 1;
    }

	if(strcmp(cmd, "/buyhouse", true) == 0)
	{
		new Float:oldposx, Float:oldposy, Float:oldposz;
		GetPlayerName(playerid, playername, sizeof(playername));
		GetPlayerPos(playerid, oldposx, oldposy, oldposz);
		for(new h = 0; h < sizeof(HouseInfo); h++)
		{
			if(PlayerToPoint(2.0, playerid, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez]) && HouseInfo[h][hOwned] == 0)
			{
				if(PlayerInfo[playerid][pLevel] < HouseInfo[h][hLevel])
				{
					format(string, sizeof(string), "You Must Be Level %d To Purchase This", HouseInfo[h][hLevel]);
					SendClientMessage(playerid, COLOR_GRAD5, string);
					return 1;
				}
				if(PlayerInfo[playerid][pPhousekey] != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
				{
					SendClientMessage(playerid, COLOR_WHITE, "   You already own a house, type /sellhouse if you want to buy this one.");
					return 1;
				}
				if(GetPlayerMoney(playerid) >= HouseInfo[h][hValue])
				{
					PlayerInfo[playerid][pPhousekey] = h;
					HouseInfo[h][hOwned] = 1;
					GetPlayerName(playerid, sendername, sizeof(sendername));
					strmid(HouseInfo[h][hOwner], sendername, 0, strlen(sendername), 255);
					GiveMoney(playerid,-HouseInfo[h][hValue]);
					PlayerPlayMusic(playerid);
					SetPlayerInterior(playerid,HouseInfo[h][hInt]);
					SetPlayerVirtualWorld(playerid,HouseInfo[h][hWorld]);
					SetPlayerPos(playerid,HouseInfo[h][hExitx],HouseInfo[h][hExity],HouseInfo[h][hExitz]);
					GameTextForPlayer(playerid, "~w~Welcome Home~n~You can exit at any time by moving to this door and typing /exit", 5000, 3);
					PlayerInfo[playerid][pInt] = HouseInfo[h][hInt];
					PlayerInfo[playerid][pLocal] = h;
					SendClientMessage(playerid, COLOR_WHITE, "Congratulations, On Your New Purchase.");
					SendClientMessage(playerid, COLOR_WHITE, "Type /help to review the new property help section.");
					DateProp(playerid);
					OnPropUpdate();
					OnClientUpdate(playerid);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
					return 1;
				}
			}
		}
	}
	
	if(strcmp(cmd, "/rentroom", true) == 0)
	{
		new Float:oldposx, Float:oldposy, Float:oldposz;
		GetPlayerName(playerid, playername, sizeof(playername));
		GetPlayerPos(playerid, oldposx, oldposy, oldposz);
		for(new h = 0; h < sizeof(HouseInfo); h++)
		{
			if(PlayerToPoint(2.0, playerid, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez]) && HouseInfo[h][hOwned] == 1 &&  HouseInfo[h][hRentabil] == 1)
			{
				if(PlayerInfo[playerid][pPhousekey] != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
				{
					SendClientMessage(playerid, COLOR_WHITE, "   You already own a house, type /sellhouse if you want to rent this one.");
					return 1;
				}
				if(GetPlayerMoney(playerid) > HouseInfo[h][hRent])
				{
					PlayerInfo[playerid][pPhousekey] = h;
					GiveMoney(playerid,-HouseInfo[h][hRent]);
					HouseInfo[h][hTakings] = HouseInfo[h][hTakings]+HouseInfo[h][hRent];
					PlayerPlayMusic(playerid);
					SetPlayerInterior(playerid,HouseInfo[h][hInt]);
					SetPlayerVirtualWorld(playerid,HouseInfo[h][hWorld]);
					SetPlayerPos(playerid,HouseInfo[h][hExitx],HouseInfo[h][hExity],HouseInfo[h][hExitz]);
					GameTextForPlayer(playerid, "~w~Welcome Home~n~You can exit at any time by moving to this door and typing /exit", 5000, 3);
					PlayerInfo[playerid][pInt] = HouseInfo[h][hInt];
					PlayerInfo[playerid][pLocal] = h;
					SendClientMessage(playerid, COLOR_WHITE, "Congratulations, You Now Rent Here.");
					SendClientMessage(playerid, COLOR_WHITE, "Type /help to review the new property help section.");
					OnClientUpdate(playerid);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
					return 1;
				}
			}
		}
		return 1;
	}
	/*if(strcmp(cmd, "/rentcar", true) == 0)
	{
		if(GetPlayerVehicleID(playerid) >= 139 && GetPlayerVehicleID(playerid) <= 145)
		{
			new hirefee = HireCost(GetPlayerVehicleID(playerid));
			if(GetPlayerVehicleID(playerid) >= 139 && GetPlayerVehicleID(playerid) <= 142)
			{
				if(BizzInfo[9][bProd] == 0)
				{
					GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
					return 1;
				}
				if(PlayerInfo[playerid][pPbiskey] == 9)
				{
					GameTextForPlayer(playerid, "~w~No charge for the boss", 5000, 3);
					TogglePlayerControllable(playerid, 1);
					return 1;
				}
				if (GetPlayerMoney(playerid) <  BizzInfo[9][bEntcost])
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
					return 1;
				}
				GiveMoney(playerid,-BizzInfo[9][bEntcost]);
				BizzInfo[9][bTakings] = BizzInfo[9][bTakings]+BizzInfo[9][bEntcost];
				BizzInfo[9][bProd]--;
			}
			if(GetPlayerVehicleID(playerid) >= 93 && GetPlayerVehicleID(playerid) <= 95)
			{
				if(BizzInfo[8][bProd] == 0)
				{
					GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
					return 1;
				}
				if(PlayerInfo[playerid][pPbiskey] == 8)
				{
					GameTextForPlayer(playerid, "~w~No charge for the boss", 5000, 3);
					TogglePlayerControllable(playerid, 1);
					return 1;
				}
				if (GetPlayerMoney(playerid) <  BizzInfo[8][bEntcost])
				{
					SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
					return 1;
				}
				GiveMoney(playerid,-BizzInfo[8][bEntcost]);
				BizzInfo[8][bTakings] = BizzInfo[8][bTakings]+BizzInfo[8][bEntcost];
				BizzInfo[8][bProd]--;
			}
			if(HireCar[playerid] != -1)
			{
				gCarLock[HireCar[playerid]] = 0;
				UnLockCar(HireCar[playerid]);
			}
			HireCar[playerid] = GetPlayerVehicleID(playerid);
			OnPropUpdate();
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~We hope you enjoy ~n~the use of this car~n~To lock or unlock your car~n~type ~g~/lock~n~~w~please drive safely",hirefee);
			TogglePlayerControllable(playerid, 1);
			GameTextForPlayer(playerid, string, 5000, 3);
		}
		return 1;
	}*/
	if(strcmp(cmd, "/hirecar", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /hirecar [key id]");
				return 1;
			}
			new car = strval(tmp);
			/*
			if(HireCar[playerid] != -1)
			{
				gCarLock[HireCar[playerid]] = 0;
				UnLockCar(HireCar[playerid]);
				HireCar[playerid] = -1;
			}
			*/
			HireCar[playerid] = car;
			format(string, sizeof(string), "Key Fashioned You Can Lock Car %d.",car);
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /lock ");
			return 1;
		}
	}
	if(strcmp(cmd, "/switchkey", true) == 0)
	{
		if(!SwitchKey[playerid])
		{
			if(HireCar[playerid] != -1)
			{
				SwitchKey[playerid] = 1;
				GameTextForPlayer(playerid, "~w~You control now your house car", 5000, 6);
			}
			else
			{
				GameTextForPlayer(playerid, "~w~You do not hire a car", 5000, 6);
			}
			return 1;
		}
		else
		{
			SwitchKey[playerid] = 0;
			GameTextForPlayer(playerid, "~w~You control now your hire car", 5000, 6);
		}
		return 1;
	}
	if(strcmp(cmd, "/givekey", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		new car;
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /givekey [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if(HireCar[playerid] == -1 && PlayerInfo[playerid][pPhousekey] == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "  You dont have a key to give");
			return 1;
		}
		else
		{
			if(HireCar[playerid] != -1 && SwitchKey[playerid] == 0)
			{
				car = HireCar[playerid];
				gCarLock[car] = 0;
				UnLockCar(car);
				HireCar[playerid] = -1;
			}
			else
			{
				car = PlayerInfo[playerid][pPhousekey]+1;
			}
		}
		if (IsPlayerConnected(giveplayerid))
		{
			if (ProxDetectorS(5.0, playerid, giveplayerid))
			{
				if(HireCar[giveplayerid] != -1)
				{
					gCarLock[HireCar[giveplayerid]] = 0;
					UnLockCar(HireCar[giveplayerid]);
				}
				HireCar[giveplayerid] = car;
				GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
				GetPlayerName(playerid, sendername, sizeof(sendername));
				format(string, sizeof(string), "   You have given %s the key to your vehicle", giveplayer);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SendClientMessage(playerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "   You have recieved the key to a vehicle from %s", sendername);
				SendClientMessage(giveplayerid, COLOR_GRAD1, string);
				format(string, sizeof(string), "* %s takes out a set of keys, and tosses them to %s.", sendername ,giveplayer);
				ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
			}
		}
		return 1;
	}
	if(strcmp(cmd, "/unrentcar", true) == 0)
	{
		if(HireCar[playerid] != -1)
		{
			gCarLock[HireCar[playerid]] = 0;
			UnLockCar(HireCar[playerid]);
			HireCar[playerid] = -1;
			GameTextForPlayer(playerid, "~w~You no longer rent a car", 5000, 3);
		}
		return 1;
	}
	
	if(strcmp(cmd, "/unrent", true) == 0)
	{
		GetPlayerName(playerid, playername, sizeof(playername));
		if(PlayerInfo[playerid][pPhousekey] != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			SendClientMessage(playerid, COLOR_WHITE, "   You own this house");
			return 1;
		}
		PlayerInfo[playerid][pPhousekey] = 255;
		SendClientMessage(playerid, COLOR_WHITE, "You are now homeless");
		return 1;
	}
	if(strcmp(cmd, "/housewithdraw", true) == 0)
	{
		GetPlayerName(playerid, playername, sizeof(playername));
		new bouse = PlayerInfo[playerid][pPhousekey];
		if(PlayerInfo[playerid][pPhousekey] != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /housewithdraw [amount]");
				format(string, sizeof(string), "  You Have $%d in your cashbox.", HouseInfo[bouse][hTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
				return 1;
			}
			new cashdeposit = strval(tmp);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /housewithdraw [amount]");
				format(string, sizeof(string), "  You Have $%d in your cashbox.", HouseInfo[bouse][hTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
				return 1;
			}
			if (cashdeposit >  HouseInfo[bouse][hTakings] || cashdeposit < 1)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
				return 1;
			}
			if (!PlayerToPoint(100, playerid,HouseInfo[bouse][hExitx],HouseInfo[bouse][hExity],HouseInfo[bouse][hExitz]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your house");
				return 1;
			}
			else
			{
				GiveMoney(playerid,cashdeposit);
				HouseInfo[bouse][hTakings]=HouseInfo[bouse][hTakings]-cashdeposit;
				format(string, sizeof(string), "  You Have Withdrawn $%d from your cashbox Total: $%d ", cashdeposit,BizzInfo[bouse][bTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a house.");
		}
		return 1;

	}
	if(strcmp(cmd, "/asellhouse", true) == 0)
	{
		GetPlayerName(playerid, playername, sizeof(playername));
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /asellhouse [houseid]");
			return 1;
		}
		new house = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			HouseInfo[house][hHel] = 0;
			HouseInfo[house][hArm] = 0;
			HouseInfo[house][hHealthx] = 0;
			HouseInfo[house][hHealthy] = 0;
			HouseInfo[house][hHealthz] = 0;
			HouseInfo[house][hArmourx] = 0;
			HouseInfo[house][hArmoury] = 0;
			HouseInfo[house][hArmourz] = 0;
			HouseInfo[house][hLock] = 1;
			HouseInfo[house][hOwned] = 0;
			HouseInfo[house][hVec] = 418;
			HouseInfo[house][hVcol1] = -1;
			HouseInfo[house][hVcol2] = -1;
			strmid(HouseInfo[house][hOwner], "The State", 0, strlen("The State"), 255);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~You have sold this property", HouseInfo[house][hValue]);
			GameTextForPlayer(playerid, string, 10000, 3);
			OnPropUpdate();
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You are not an admin.");
		}
		return 1;
	}
	if(strcmp(cmd, "/sellhouse", true) == 0)
	{
		GetPlayerName(playerid, playername, sizeof(playername));
		if(PlayerInfo[playerid][pPhousekey] == 255)
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a house.");
			return 1;
		}
		if(PlayerInfo[playerid][pPhousekey] != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			new house = PlayerInfo[playerid][pPhousekey];
			HouseInfo[house][hHel] = 0;
			HouseInfo[house][hArm] = 0;
			HouseInfo[house][hHealthx] = 0;
			HouseInfo[house][hHealthy] = 0;
			HouseInfo[house][hHealthz] = 0;
			HouseInfo[house][hArmourx] = 0;
			HouseInfo[house][hArmoury] = 0;
			HouseInfo[house][hArmourz] = 0;
			HouseInfo[house][hLock] = 1;
			HouseInfo[house][hOwned] = 0;
			HouseInfo[house][hVec] = 418;
			HouseInfo[house][hVcol1] = -1;
			HouseInfo[house][hVcol2] = -1;
			GetPlayerName(playerid, sendername, sizeof(sendername));
			strmid(HouseInfo[house][hOwner], "The State", 0, strlen("The State"), 255);
			GiveMoney(playerid,HouseInfo[house][hValue]);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~Congratulations~n~ You have sold your property for ~n~~g~$%d", HouseInfo[house][hValue]);
			GameTextForPlayer(playerid, string, 10000, 3);
			PlayerInfo[playerid][pPhousekey] = 255;
			if(PlayerInfo[playerid][pLocal] == house)
			{
				SetPlayerInterior(playerid,0);
				SetPlayerPos(playerid,HouseInfo[house][hEntrancex],HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]);
				PlayerInfo[playerid][pInt] = 0;
			}
			OnPropUpdate();
			OnClientUpdate(playerid);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a house.");
		}
		return 1;
	}
	if(strcmp(cmd, "/houseupgrade", true) == 0 || strcmp(cmd, "/hu", true) == 0)
	{
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz, biz;
        if (house < 34)
		{
			sbiz = 5;
			biz = 10;
		}
		else if (house > 34 && house < 68)
		{
			sbiz = 23;
			biz = 24;
		}
  		else if (house > 67 && house != 255)
		{
			sbiz = 41;
			biz = 38;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_WHITE, "USAGE: /houseupgrade [item number]");
				SendClientMessage(playerid, COLOR_GRAD1, "|_______ Home Supplys _______|");
				SendClientMessage(playerid, COLOR_GRAD2, "| 1: Health Upgrade $50000");
				SendClientMessage(playerid, COLOR_GRAD3, "| 2: Armour Upgrade $100000");
				SendClientMessage(playerid, COLOR_GRAD5, "| 3: TV $500");
				SendClientMessage(playerid, COLOR_WHITE, "| 4: TV Door Cam $1000");
				SendClientMessage(playerid, COLOR_GRAD5, "| 5: Subscribe DM TV $10000");
				SendClientMessage(playerid, COLOR_GRAD3, "| 6: Subscribe SR TV $10000");
				SendClientMessage(playerid, COLOR_GRAD2, "| 7: Subscribe PEN TV $20000");
				SendClientMessage(playerid, COLOR_GRAD1, "| 8: UAV Surveillance System $100000");
				return 1;
			}
			new item = strval(tmp);
			switch (item)
			{
				case 1:
				{
					if(SBizzInfo[sbiz][sbProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if(PlayerInfo[playerid][pLevel] < 5)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 5 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 50000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}
					HouseInfo[house][hHel] = 1;
					GiveMoney(playerid,-50000);
					SBizzInfo[sbiz][sbTakings] += 50000;//heal buisness
					SBizzInfo[sbiz][sbProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You Can Now Heal Yourself At Home, Type /heal.");
				}
				case 2:
				{
					if(SBizzInfo[sbiz][sbProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 7)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 7 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 100000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}
					HouseInfo[house][hArm] = 1;
					GiveMoney(playerid,-100000);
					SBizzInfo[sbiz][sbTakings] += 100000;//heal buisness
					SBizzInfo[sbiz][sbProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You Can Now Get Armour At Home, Type /heal.");
				}
				case 3:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 500)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hHealthx] = 1;
					GiveMoney(playerid,-500);
					BizzInfo[biz][bTakings] += 500;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You use your TV set, type /tv.");
				}
				case 4:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 10000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hHealthy] = 1;
					GiveMoney(playerid,-10000);
					BizzInfo[biz][bTakings] += 10000;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You can now watch your front door, type /tv door.");
				}
				case 5:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 10000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hHealthz] = 1;
					GiveMoney(playerid,-10000);
					BizzInfo[biz][bTakings] += 10000;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You watch DM TV, type /tv dm.");
				}
				case 6:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 10000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hArmourx] = 1;
					GiveMoney(playerid,-10000);
					BizzInfo[biz][bTakings] += 10000;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You can now watch SR TV, type /tv race.");
				}
				case 7:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 20000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hArmoury] = 1;
					GiveMoney(playerid,-20000);
					BizzInfo[biz][bTakings] += 20000;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You can now watch PEN TV, type /tv pen.");
				}
				case 8:
				{
					if(BizzInfo[biz][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						return 1;
					}
					if (PlayerInfo[playerid][pLevel] < 3)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 3 To Purchase This");
						return 1;
					}
					if(GetPlayerMoney(playerid) < 20000)
					{
						SendClientMessage(playerid, COLOR_GRAD5, "You Don't Have The Cash To Purchase This");
						return 1;
					}

					HouseInfo[house][hArmourz] = 1;
					GiveMoney(playerid,-100000);
					BizzInfo[biz][bTakings] += 100000;
					BizzInfo[biz][bProd]--;
					PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
					SendClientMessage(playerid, COLOR_GRAD5, "You can now watch Recon TV, type /tv <id>.");
				}
			}
			OnPropUpdate();
			OnClientUpdate(playerid);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			//return 1;
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/forsale", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 103)
		{
		    for(new i = 0; i < sizeof(HouseInfo); i++)
		    {
		        if(strcmp(HouseInfo[i][hOwner],"The State", true) == 0)
				{
					format(string,sizeof(string),"House %d level %d sell price %d",i,HouseInfo[i][hLevel],HouseInfo[i][hValue]);
					SendClientMessage(playerid,COLOR_BLUE,string);
				}
		    }
		    return 1;
		}
	}
	
	if(strcmp(cmd, "/setrent", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		if (bouse != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_WHITE, "USAGE: /setrent [RentFee]");
				return 1;
			}
			if(strval(tmp) < 1)
			{
				SendClientMessage(playerid, COLOR_WHITE, "Minimum rent is $1");
				return 1;
			}
			HouseInfo[bouse][hRent] = strval(tmp);
			OnPropUpdate();
			format(string, sizeof(string), "House rent set to $%d", HouseInfo[bouse][hRent]);
			SendClientMessage(playerid, COLOR_WHITE, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
	}
	if(strcmp(cmd, "/evictall", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		if (bouse != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1 && i != playerid)
				{

					if (PlayerInfo[i][pPhousekey] == PlayerInfo[playerid][pPhousekey] )
					{
						SendClientMessage(i, COLOR_WHITE, "You have been evicted");
						SendClientMessage(playerid, COLOR_WHITE, "Tenent has been evicted");
						PlayerInfo[i][pPhousekey] = 255;
						return 1;
					}

				}
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
	}
	if(strcmp(cmd, "/evict", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		if (bouse != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_WHITE, "USAGE: /evict [playerid/PartOfName]");
			}
			new target = strval(tmp);
			if (target == playerid)
			{
				SendClientMessage(target, COLOR_WHITE, "You cant evict yourself");
				return 1;
			}
			if (PlayerInfo[target][pPhousekey] == PlayerInfo[playerid][pPhousekey] && (IsPlayerConnected(target)) == 1)
			{
				SendClientMessage(target, COLOR_WHITE, "You have been evicted");
				SendClientMessage(playerid, COLOR_WHITE, "Tenent has been evicted");
				PlayerInfo[target][pPhousekey] = 255;
				return 1;
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
	}
	if(strcmp(cmd, "/setrentable", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		if (bouse != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_WHITE, "USAGE: /setrentable [0/1]");
			}
			HouseInfo[bouse][hRentabil] = strval(tmp);
			OnPropUpdate();
			format(string, sizeof(string), "House rentable set to %d", HouseInfo[bouse][hRentabil]);
			SendClientMessage(playerid, COLOR_WHITE, string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a house");
			return 1;
		}
	}
	if(strcmp(cmd, "/call", true) == 0 || strcmp(cmd, "/c", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/c)all [phonenumber]");
			return 1;
		}
		if(PlayerInfo[playerid][pPnumber] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "  ..You dont't have a cell phone");
			return 1;
		}
		GetPlayerName(playerid, sendername, sizeof(sendername));
		SetPlayerSpecialAction(playerid,SPECIAL_ACTION_USECELLPHONE);
		format(string, sizeof(string), "* %s takes out a cellphone.", sendername);
		ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
		new phonenumb = strval(tmp);
		if(phonenumb == 911)
		{
			SendClientMessage(playerid, COLOR_WHITE, "HINT: You now use T to talk on your cellphone, type /hangup to hang up");
			SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: Which Service Do You Require, Police or Paramedic?");
			Mobile[playerid] = 911;
			return 1;
		}
		if(phonenumb == PlayerInfo[playerid][pPnumber])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "  ..You just get a busy tone");
			return 1;
		}
		if(Mobile[playerid] != 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "  ..You are already on a call");
			return 1;
		}
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1)
			{
				if(PlayerInfo[i][pPnumber] == phonenumb && phonenumb != 0)
				{
					giveplayerid = i;
					Mobile[playerid] = giveplayerid; //caller connecting
					if (Mobile[giveplayerid] == 255)
					{
						format(string, sizeof(string), "Your Mobile Is Ringing Type (/Pickup) CallerID: %s", sendername);
						SendClientMessage(giveplayerid, COLOR_YELLOW, string);
						GetPlayerName(giveplayerid, sendername, sizeof(sendername));
						RingTone[giveplayerid] = 10;
						format(string, sizeof(string), "* %s's phone begins to ring.", sendername);
						SendClientMessage(playerid, COLOR_WHITE, "HINT: You now use T to talk on your cellphone, type /hangup to hang up");
						ProxDetector(30.0, i, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
						CellTime[playerid] = 1;
						return 1;
					}
				}
			}
		}
		SendClientMessage(playerid, COLOR_GRAD2, "  ..You just get a Busy tone");
		return 1;
	}
	if(strcmp(cmd, "/txt", true) == 0 || strcmp(cmd, "/t", true) == 0 || strcmp(cmd, "/sms", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/t)ext [phonenumber] [text chat]");
			return 1;
		}
		if(PlayerInfo[playerid][pPnumber] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "  ..You dont't have a cell phone");
			return 1;
		}
		GetPlayerName(playerid, sendername, sizeof(sendername));
		format(string, sizeof(string), "* %s takes out a cellphone.", sendername);
		ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
		new phonenumb = strval(tmp);
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/t)ext [phonenumber] [text chat]");
			return 1;
		}
		if(phonenumb == 555)
		{
			if ((strcmp("yes", result, true, strlen(result)) == 0) && (strlen(result) == strlen("yes")))
			{
				SendClientMessage(playerid, COLOR_WHITE, "Text Message Delivered");
				if (gTeam[playerid] == 2 || gTeam[playerid] == 1)
				{
					SendClientMessage(playerid, COLOR_YELLOW, "SMS: I Have No Idea What Your Talking About, Sender: MOLE (555)");
					RingTone[playerid] = 20;
					return 1;
				}
				JobGive(playerid);
				return 1;
			}
			else
			{
				SendClientMessage(playerid, COLOR_YELLOW, "SMS: A Simple Yes Will Do, Sender: MOLE (555)");
				RingTone[playerid] = 20;
				return 1;
			}
		}
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1)
			{
				if(PlayerInfo[i][pPnumber] == phonenumb && phonenumb != 0)
				{
    				new armorybiz[3] = {10,24,38};
			 		new tmpbiz;
			    	new key = PlayerInfo[playerid][pPhousekey];
			  		if (key < 34) { tmpbiz = 10; }
					else if (key > 33 && key < 68) { tmpbiz = 24; }
					else if (key > 67 && key != 255) { tmpbiz = 38; }
					else
					{
						new randa = random(sizeof(armorybiz));
						tmpbiz = armorybiz[randa];
					}
					giveplayerid = i;
					Mobile[playerid] = giveplayerid; //caller connecting
					format(string, sizeof(string), "SMS: %s, Sender: %s (%d)", result,sendername,PlayerInfo[playerid][pPnumber]);
					GetPlayerName(giveplayerid, sendername, sizeof(sendername));
					//format(string, sizeof(string), "* %s's phone beeps.", sendername);
					RingTone[giveplayerid] =20;
					SendClientMessage(playerid, COLOR_WHITE, "Text Message Delivered");
					SendClientMessage(giveplayerid, COLOR_YELLOW, string);
					SendClientMessage(playerid,  COLOR_YELLOW, string);
					format(string, sizeof(string), "~r~$-%d", txtcost);
					GameTextForPlayer(playerid, string, 5000, 1);
					GiveMoney(playerid,-txtcost);
					BizzInfo[tmpbiz][bTakings] += txtcost;
		           	PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
		           	Mobile[playerid] = 255;
					return 1;
				}
			}
		}
		SendClientMessage(playerid, COLOR_GRAD2, "  ..Message Delivery Failed");
		return 1;
	}
//----------------------------------[pickup]-----------------------------------------------

	if(strcmp(cmd, "/pickup", true) == 0 || strcmp(cmd, "/p", true) == 0)
	{
		if(Mobile[playerid] != 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "  ..You are already on a call");
			return 1;
		}
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1)
			{
				if(Mobile[i] == playerid)
				{
					Mobile[playerid] = i; //caller connecting
					SendClientMessage(i,  COLOR_GRAD2, "   They Picked Up The Call.");
					GetPlayerName(playerid, sendername, sizeof(sendername));
					SetPlayerSpecialAction(playerid,SPECIAL_ACTION_USECELLPHONE);
					format(string, sizeof(string), "* %s answers their cellphone.", sendername);
					ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
					RingTone[playerid] = 0;
				}

			}
		}
		return 1;
	}
	if(strcmp(cmd, "/hangup", true) == 0 || strcmp(cmd, "/h", true) == 0)
	{
		new caller = Mobile[playerid];
		if(caller != 255)
		{
			if(caller < 255)
			{
				SendClientMessage(caller,  COLOR_GRAD2, "   They Hung Up.");
				CellTime[caller] = 0;
				CellTime[playerid] = 0;
				SendClientMessage(playerid,  COLOR_GRAD2, "   You Hung Up.");
				Mobile[caller] = 255;
			}
			Mobile[playerid] = 255;
			CellTime[playerid] = 0;
			GetPlayerName(playerid, sendername, sizeof(sendername));
			SetPlayerSpecialAction(playerid,SPECIAL_ACTION_STOPUSECELLPHONE);
			format(string, sizeof(string), "* %s pockets their cellphone.", sendername);
			ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
			RingTone[playerid] = 0;
			return 1;
		}
		    SetPlayerSpecialAction(playerid,SPECIAL_ACTION_STOPUSECELLPHONE);
			SendClientMessage(playerid,  COLOR_GRAD2, "   Your phone is in your pocket.");
		return 1;
	}
//----------------------------------[ACTIONS]-----------------------------------|
	if(strcmp(cmd, "/sex", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sex [playerid/PartOfName]");
			return 1;
		}
		if(GetPlayerState(playerid) == PLAYER_STATE_ONFOOT)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You have to be a passenger of a car");
			return 1;
		}
		new target = strval(tmp);
		if (target == playerid)
		{
			SendClientMessage(target, COLOR_GRAD1, "	You cant have sex with yourself");
			return 1;
		}
		new playa;
		new Float:shealth;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if(GetPlayerState(playerid) == PLAYER_STATE_PASSENGER)
		{
			GetPlayerHealth(playa, shealth);
			SetPlayerHealth(playa, shealth+5);
			GiveMoney(playa, -500); // take money from
			GiveMoney(playerid, 500); // take money from hooker
			SendClientMessage(playa, COLOR_GRAD1, "	She's giving you much pleasure health +5");
			SendClientMessage(playerid, COLOR_GRAD1, "	His penis feels good...");
	    	format(string, sizeof(string), "%s is having hot sex with %s", giveplayer, sendername);
			ProxDetector(20.0, playerid, string,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
		}
		return 1;
	}
//----------------------------------[TIME]-----------------------------------------------
    if(strcmp(cmd, "/fixr", true) == 0)
    {
		PlayerFixRadio(playerid);
		return 1;
	}
	if(strcmp(cmd, "/time", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new hour,minuite,second;
		gettime(hour,minuite,second);
		FixHour(hour);
		hour = shifthour;
		if (minuite < 10)
		{
			if (JailTime[playerid] > 0)
			{
				format(string, sizeof(string), "~g~|~w~%d:0%d~g~|~n~~w~Jail Time Left: %d sec", hour, minuite, JailTime[playerid]-10);
			}
			else
			{
				format(string, sizeof(string), "~g~|~w~%d:0%d~g~|", hour, minuite);
			}
		}
		else
		{
			if (JailTime[playerid] > 0)
			{
				format(string, sizeof(string), "~g~|~w~%d:%d~g~|~n~~w~Jail Time Left: %d sec", hour, minuite, JailTime[playerid]-10);
			}
			else
			{
				format(string, sizeof(string), "~g~|~w~%d:%d~g~|", hour, minuite);
			}
		}
		GameTextForPlayer(playerid, string, 5000, 1);
		format(string, sizeof(string), "* %s checks the time.", sendername);
		ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
		return 1;
	}
	if(strcmp(cmd, "/date", true) == 0)
	{
        GetPlayerName(playerid, sendername, sizeof(sendername));
 	    //new string[16];
        new year,month,day;
	    getdate(year,month,day);
	    format(string,sizeof(string),"%02d %s %d", day, months[month -1], year);// 10 July 1994
        GameTextForPlayer(playerid, string, 5000, 1);
       	format(string, sizeof(string), "* %s checks the date.", sendername);
		ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
        return 1;
    }
//----------------------{HOUSES}-------------------
	if(strcmp(cmd, "/house", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /house [housenumber]");
			return 1;
		}
		new housenum = strval(tmp);
		SetPlayerInterior(playerid,HouseInfo[housenum][hInt]);
		SetPlayerVirtualWorld(playerid,HouseInfo[housenum][hWorld]);
		SetPlayerPos(playerid,HouseInfo[housenum][hExitx],HouseInfo[housenum][hExity],HouseInfo[housenum][hExitz]);
		GameTextForPlayer(playerid, "~w~Teleporting", 5000, 1);
		PlayerInfo[playerid][pInt] = HouseInfo[housenum][hInt];
		PlayerInfo[playerid][pLocal] = housenum;
		return 1;
	}
	
 	if(strcmp(cmd, "/fuelst", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fuelst [housenumber]");
			return 1;
		}
		new s = strval(tmp);
		SetPlayerInterior(playerid,StationInfo[s][stInt]);
		SetPlayerPos(playerid,StationInfo[s][stEnterx],StationInfo[s][stEntery],StationInfo[s][stEnterz]);
		GameTextForPlayer(playerid, "~w~Teleporting", 5000, 1);
		return 1;
	}
	if(strcmp(cmd, "/biz", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /biz [housenumber]");
			return 1;
		}
		new housenum = strval(tmp);
		SetPlayerInterior(playerid,BizzInfo[housenum][bInt]);
		SetPlayerVirtualWorld(playerid,BizzInfo[housenum][bWorld]);
		SetPlayerPos(playerid,BizzInfo[housenum][bExitx],BizzInfo[housenum][bExity],BizzInfo[housenum][bExitz]);
		GameTextForPlayer(playerid, "~w~Teleporting", 5000, 1);
		PlayerInfo[playerid][pInt] = BizzInfo[housenum][bInt];
		PlayerInfo[playerid][pLocal] = housenum+102;
		return 1;
	}
	if(strcmp(cmd, "/sbiz", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sbiz [biznumber]");
			return 1;
		}
		new housenum = strval(tmp);
		SetPlayerInterior(playerid,SBizzInfo[housenum][sbInt]);
		SetPlayerPos(playerid,SBizzInfo[housenum][sbEntrancex],SBizzInfo[housenum][sbEntrancey],SBizzInfo[housenum][sbEntrancez]);
		GameTextForPlayer(playerid, "~w~Teleporting", 5000, 1);
		return 1;
	}
	if(strcmp(cmd, "/edithousecar", true) == 0)
	{
		if(PlayerInfo[playerid][pAdmin] < 104)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "not admin");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /edithousecar [vecid]");
			return 1;
		}
		new proplev = strval(tmp);
		for(new i = 0; i < sizeof(HouseInfo); i++)
		{
			if (PlayerToPoint(3, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]))
			{
				HouseInfo[i][hVec] = proplev;
				format(string, sizeof(string), "House Car: %d is now %d", i,HouseInfo[i][hVec]);
				SendClientMessage(playerid, COLOR_GRAD2, string);
			}
		}
		OnPropUpdate();
		return 1;
	}
	if(strcmp(cmd, "/editlevel", true) == 0)
	{
		if(PlayerInfo[playerid][pAdmin] < 104)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "not admin");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /editlevel [level]");
			return 1;
		}
		new proplev = strval(tmp);
		for(new i = 0; i < sizeof(HouseInfo); i++)
		{
			if (PlayerToPoint(3, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]))
			{
				format(string, sizeof(string), "House: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					HouseInfo[i][hLevel] = proplev;
				}
			}
		}
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]))
			{
				format(string, sizeof(string), "Biz: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					BizzInfo[i][bLevel] = proplev;
				}
			}
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				format(string, sizeof(string), "SBiz: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					SBizzInfo[i][sbLevel] = proplev;
				}
			}
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
			if (PlayerToPoint(3, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
				format(string, sizeof(string), "SBiz: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					StationInfo[i][stLevel] = proplev;
				}
			}
		}
		OnPropUpdate();
		return 1;
	}
	if(strcmp(cmd, "/editprod", true) == 0)
	{
		if(PlayerInfo[playerid][pAdmin] < 104)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "not admin");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /editprop [level]");
			return 1;
		}
		new proplev = strval(tmp);
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]))
			{
				format(string, sizeof(string), "Biz: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					BizzInfo[i][bProdCost] = proplev;
				}
			}
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				format(string, sizeof(string), "SBiz: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					SBizzInfo[i][sbProdCost] = proplev;
				}
			}
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
			if (PlayerToPoint(3, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
				format(string, sizeof(string), "FuelStation: %d", i);
				SendClientMessage(playerid, COLOR_GRAD2, string);
				if(proplev > 0)
				{
					StationInfo[i][stProdCost] = proplev;
				}
			}
		}
		OnPropUpdate();
		return 1;
	}
	
	if(strcmp(cmd, "/load", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		if(!IsATruck(tmpcar) && !IsAFuelTruck(tmpcar))
		{
			GameTextForPlayer(playerid, "~r~You are not in a delivery truck", 5000, 1);
			return 1;
		}
		if(IsATruck(tmpcar))
		{
			format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
			return 1;
		}
		if(IsAFuelTruck(tmpcar))
		{
			if(!IsTrailerAttachedToVehicle(tmpcar))
			{
				SendClientMessage(playerid, TEAM_GROVE_COLOR, "You must have a fuel trailer");
				return 1;
			}
			format(string, sizeof(string), "Fuel Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
		}
		return 1;
	}
	
	if(strcmp(cmd, "/buycomp", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new compcost = 9000;
		if(PlayerToPoint(80.0, playerid, 2814.8,972.6,10.7) || PlayerToPoint(80.0, playerid, -1742.899902,36.499950,3.500000) || PlayerToPoint(80.0, playerid, 2769.199951,-2409.699951,13.600000))
		{
			if(IsATruck(tmpcar))
			{
				if(PlayerHaul[tmpcar][pLoad] < PlayerHaul[tmpcar][pCapasity])
				{
					new amount = PlayerHaul[tmpcar][pCapasity]-PlayerHaul[tmpcar][pLoad];
					new cost = amount*compcost;
					if(GetPlayerMoney(playerid) >= cost)
					{
						PlayerHaul[tmpcar][pLoad] = PlayerHaul[tmpcar][pCapasity];
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "You Bought %d Components For $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						GiveMoney(playerid,-cost);
      					if(tmpcar >= 232 && tmpcar <= 235)
						{
							SBizzInfo[9][sbTakings] = SBizzInfo[9][sbTakings]+cost;
						}
						else if(tmpcar >= 236 && tmpcar <= 239)
						{
						    SBizzInfo[27][sbTakings] = SBizzInfo[27][sbTakings]+cost;
						}
      					else if(tmpcar >= 240 && tmpcar <= 243)
						{
							SBizzInfo[45][sbTakings] = SBizzInfo[45][sbTakings]+cost;
						}
					    OnPropUpdate();
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						return 1;
					}
					else
					{
						format(string, sizeof(string), "You cant afford %d Components at $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
				}
				else
				{
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, TEAM_GROVE_COLOR, "This Vehicle Does Not Deliver Components");
				return 1;
			}
		}
		new fuelcompcost = 9;
  		if(PlayerToPoint(80.0, playerid, 652.6,1245.0,12.1) || PlayerToPoint(80.0, playerid, -57.5,-1137.1,1.0) || PlayerToPoint(80.0, playerid, -1822.1907,-82.0772,15.6935))
		{
			if(IsAFuelTruck(tmpcar))
			{
                if(!IsTrailerAttachedToVehicle(tmpcar))
		        {
			      SendClientMessage(playerid, TEAM_GROVE_COLOR, "You must have a fuel trailer");
			      return 1;
		        }
				if(PlayerHaul[tmpcar][pLoad] < PlayerHaul[tmpcar][pCapasity])
				{
					new amount = PlayerHaul[tmpcar][pCapasity]-PlayerHaul[tmpcar][pLoad];
					new cost = amount*fuelcompcost;
					if(GetPlayerMoney(playerid) >= cost)
					{
						PlayerHaul[tmpcar][pLoad] = PlayerHaul[tmpcar][pCapasity];
						format(string, sizeof(string), "Fuel Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "You Bought %d Components For $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						GiveMoney(playerid,-cost);
      					if(tmpcar >= 271 && tmpcar <= 272)
						{
							SBizzInfo[54][sbTakings] = SBizzInfo[54][sbTakings]+cost;
						}
						else if(tmpcar >= 273 && tmpcar <= 274)
						{
						    SBizzInfo[55][sbTakings] = SBizzInfo[55][sbTakings]+cost;
						}
      					else if(tmpcar >= 275 && tmpcar <= 276)
						{
							SBizzInfo[56][sbTakings] = SBizzInfo[56][sbTakings]+cost;
						}
					    OnPropUpdate();
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						return 1;
					}
					else
					{
						format(string, sizeof(string), "You cant afford %d Components at $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
				}
				else
				{
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, TEAM_GROVE_COLOR, "This Vehicle Does Not Deliver Components");
				return 1;
			}
		}
	}
	
	if(strcmp(cmd, "/sellcomp", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new cashmade;
		/*if(!IsATruck(tmpcar))
		{
			GameTextForPlayer(playerid, "~r~You are not in a delivery truck", 5000, 1);
			return 1;
		}*/
		if(PlayerHaul[tmpcar][pLoad] == 0)
		{
			GameTextForPlayer(playerid, "~r~Truck is empty, return to the stock house", 5000, 1);
			format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
			SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
			return 1;
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
		if(IsAFuelTruck(tmpcar))
		{
			if (PlayerToPoint(10, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
					if(!IsTrailerAttachedToVehicle(tmpcar))
			        {
				       SendClientMessage(playerid, TEAM_GROVE_COLOR, "You must have a fuel trailer");
					   return 1;
				    }
				//printf("Found House :%d",i);
				for(new l = PlayerHaul[tmpcar][pLoad]; l > 0; l--)
				{
					if(StationInfo[i][stCompCap] == StationInfo[i][stComp])
					{
						GameTextForPlayer(playerid, "~r~Our stores are full", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, StationInfo[i][stDiscription]);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
					if(StationInfo[i][stPayComp] > StationInfo[i][stTakings])
					{
						GameTextForPlayer(playerid, "~r~We Cant Afford The Deal", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, StationInfo[i][stDiscription]);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
					PlayerHaul[tmpcar][pLoad]-=1000;
					StationInfo[i][stComp]+=1000;
					cashmade = cashmade+StationInfo[i][stPayComp];
					GiveMoney(playerid,StationInfo[i][stPayComp]);
					StationInfo[i][stTakings] = StationInfo[i][stTakings]-StationInfo[i][stPayComp];
					if(PlayerHaul[tmpcar][pLoad] == 0 || PlayerHaul[tmpcar][pLoad] == 5000)
					{
						PlayerInfo[playerid][pWA]++;
						if(PlayerInfo[playerid][pWA] >= 20)
						{
							PlayerInfo[playerid][pExp]++;
							PlayerInfo[playerid][pWA] = 0;
							SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
						}
					}
					if(PlayerHaul[tmpcar][pLoad] == 0)
					{
						GameTextForPlayer(playerid, "~r~Truck is empty, return to the stock house", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, BizzInfo[i][bDiscription]);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
				  }
				OnPropUpdate();
				return 1;
			}
		  }
		  else
		    {
		  	GameTextForPlayer(playerid, "~r~You are not in a delivery truck", 5000, 1);
		    }
		}
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
		if(IsATruck(tmpcar))
		{
			if (PlayerToPoint(10, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]))
			{
				//printf("Found House :%d",i);
				for(new l = PlayerHaul[tmpcar][pLoad]; l > 0; l--)
				{
					if(BizzInfo[i][bCompCap] == BizzInfo[i][bComp])
					{
						GameTextForPlayer(playerid, "~r~Our stores are full", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, BizzInfo[i][bDiscription]);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
					if(BizzInfo[i][bPayComp] > BizzInfo[i][bTakings])
					{
						GameTextForPlayer(playerid, "~r~We Cant Afford The Deal", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, BizzInfo[i][bDiscription]);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
					PlayerHaul[tmpcar][pLoad]--;
					BizzInfo[i][bComp]++;
					cashmade = cashmade+BizzInfo[i][bPayComp];
					GiveMoney(playerid,BizzInfo[i][bPayComp]);
					BizzInfo[i][bTakings] = BizzInfo[i][bTakings]-BizzInfo[i][bPayComp];
					if(PlayerHaul[tmpcar][pLoad] == 0 || PlayerHaul[tmpcar][pLoad] == 5)
					{
						PlayerInfo[playerid][pWA]++;
						if(PlayerInfo[playerid][pWA] >= 20)
						{
							PlayerInfo[playerid][pExp]++;
							PlayerInfo[playerid][pWA] = 0;
							SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
						}
					}
					if(PlayerHaul[tmpcar][pLoad] == 0)
					{
						GameTextForPlayer(playerid, "~r~Truck is empty, return to the stock house", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, BizzInfo[i][bDiscription]);
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						printf("%s", string);
						PayLog(string);
						return 1;
					}
				}
				OnPropUpdate();
				return 1;
			}
		}
		else
		{
		  	GameTextForPlayer(playerid, "~r~You are not in a delivery truck", 5000, 1);
		    }
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
		if(IsATruck(tmpcar))
		{
			if (PlayerToPoint(10, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				//printf("Found House :%d",i);
				for(new l = PlayerHaul[tmpcar][pLoad]; l > 0; l--)
				{
					if(SBizzInfo[i][sbCompCap] == SBizzInfo[i][sbComp])
					{
						GameTextForPlayer(playerid, "~r~Our stores are full", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
					if(SBizzInfo[i][sbPayComp] > SBizzInfo[i][sbTakings])
					{
						GameTextForPlayer(playerid, "~r~We Cant Afford The Deal", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
					PlayerHaul[tmpcar][pLoad]--;
					SBizzInfo[i][sbComp]++;
					cashmade = cashmade+SBizzInfo[i][sbPayComp];
					GiveMoney(playerid,SBizzInfo[i][sbPayComp]);
					format(string, sizeof(string), "%s sold comp for $%d to %s", sendername, cashmade, SBizzInfo[i][sbDiscription]);
					printf("%s", string);
					PayLog(string);
					SBizzInfo[i][sbTakings] = SBizzInfo[i][sbTakings]-SBizzInfo[i][sbPayComp];
					if(PlayerHaul[tmpcar][pLoad] == 0 || PlayerHaul[tmpcar][pLoad] == 5)
					{
						PlayerInfo[playerid][pWA]++;
						if(PlayerInfo[playerid][pWA] >= 20)
						{
							PlayerInfo[playerid][pExp]++;
							PlayerInfo[playerid][pWA] = 0;
							SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
						}
					}
					if(PlayerHaul[tmpcar][pLoad] == 0)
					{
						GameTextForPlayer(playerid, "~r~Truck is empty, return to the stock house", 5000, 1);
						format(string, sizeof(string), "Cash Earned $%d", cashmade);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "Components: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
				}
				OnPropUpdate();
				return 1;
			}
		  }
		}
		GameTextForPlayer(playerid, "~r~To Far From A Business", 5000, 1);
		return 1;
	}
	
	if (strcmp(cmd, "/buytape", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new compcost = 4000;
		if(PlayerToPoint(10.0, playerid, 641.4462,-1344.0797,13.3) || PlayerToPoint(10.0, playerid, -1739.3683,856.1693,24.7) || PlayerToPoint(10.0, playerid, 2464.7307,1017.8648,10.6))
		{
			if(GetPlayerVehicleID(playerid) >= 254 && GetPlayerVehicleID(playerid) <= 256)
			{
				if(PlayerHaul[tmpcar][pLoad] < PlayerHaul[tmpcar][pCapasity])
				{
					new amount = PlayerHaul[tmpcar][pCapasity]-PlayerHaul[tmpcar][pLoad];
					new cost = amount*compcost;
					if(GetPlayerMoney(playerid) >= cost)
					{
						PlayerHaul[tmpcar][pLoad] = PlayerHaul[tmpcar][pCapasity];
						format(string, sizeof(string), "Videotapes: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						format(string, sizeof(string), "You Bought %d Videotapes For $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						GiveMoney(playerid,-cost);
						switch (tmpcar)
						{
						    case 254:
						    {
		  						 SBizzInfo[17][sbTakings] = SBizzInfo[17][sbTakings]+cost;
		  						 SBizzInfo[17][sbProd]--;
						    }
						    case 255:
						    {
						    	SBizzInfo[35][sbTakings] = SBizzInfo[35][sbTakings]+cost;
						    	SBizzInfo[35][sbProd]--;
						    }
						    case 256:
							{
								SBizzInfo[53][sbTakings] = SBizzInfo[53][sbTakings]+cost;
								SBizzInfo[53][sbProd]--;
							}
						}
					    OnPropUpdate();
						PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
						return 1;
					}
					else
					{
						format(string, sizeof(string), "You cant afford %d Videotapes at $%d", amount,cost);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
					}
				}
				else
				{
						format(string, sizeof(string), "Videotapes: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
						return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, TEAM_GROVE_COLOR, "This Vehicle Does Not Have Equipment For Video Recording");
			}
		}
	    return 1;
	}
	if(strcmp(cmd, "/remain", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		if(!IsANewsTruck(tmpcar))
		{
			GameTextForPlayer(playerid, "~r~You are not in a news van", 5000, 1);
			return 1;
		}
		format(string, sizeof(string), "Videotapes: %d/%d", PlayerHaul[tmpcar][pLoad],PlayerHaul[tmpcar][pCapasity]);
		SendClientMessage(playerid, TEAM_GROVE_COLOR, string);
	}
	
 	if(strcmp(cmd, "/hotspot", true) == 0)
	{
		gNewsSuspect = INVALID_PLAYER_ID;
		new counttmp = 0;
		new cotmpid[MAX_PLAYERS];
		new countid = 0;
		new tmpcar = GetPlayerVehicleID(playerid);
		if(!IsANewsTruck(tmpcar))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "you do not have this device");
			return 1;
		}
		for(new i = 0; i < MAX_PLAYERS; i++)
		{
			if (IsPlayerConnected(i))
			{
			    gNewsSuspect = i;
			    counttmp++;
			}
			for(new j = 0; j < MAX_PLAYERS; j++)
			{
			    if (IsPlayerConnected(gNewsSuspect) && IsPlayerConnected(j))
			    {
				 	if(EventsProxDetector(100.0, gNewsSuspect, j) && gNewsSuspect != j)
				 	{
				 	    cotmpid[gNewsSuspect] += countid;
	                    countid++;
					}
				}
			}
		}
		new maxcotmps = cotmpid[0];
  		if ((counttmp > 1) && (countid >= 3))
		{
		    for (new i = 0; i < counttmp+1; i++)
		    {
		        if (cotmpid[i] > maxcotmps)
		        {
		            gNewsSuspect = cotmpid[i];
		            maxcotmps = cotmpid[i];
		        }
		    }
		}
		if ((counttmp < 1) || (countid < 3))
		{
			GameTextForPlayer(playerid, "~w~There are no incidents to record for now.", 5000, 1);
			return 1;
		}
		new Float:sx, Float:sy, Float:sz;
		GetPlayerPos(gNewsSuspect, sx, sy, sz);
		SetPlayerCheckpoint(playerid,sx, sy, sz, 4.0);
		gPlayerCheckpointStatus[playerid] = CHECKPOINT_NEWS;
		GameTextForPlayer(playerid, "~w~Waypoint set ~r~Hot Spot", 5000, 1);
		return 1;
	}
	
	if(strcmp(cmd, "/enter", true) == 0)
	{
		for(new i = 0; i < sizeof(HouseInfo); i++)
		{
			if (PlayerToPoint(3, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]))
			{
				if(PlayerInfo[playerid][pPhousekey] == i || HouseInfo[i][hLock] == 0)
				{
					SetPlayerInterior(playerid,HouseInfo[i][hInt]);
					SetPlayerVirtualWorld(playerid,HouseInfo[i][hWorld]);
					SetPlayerPos(playerid,HouseInfo[i][hExitx],HouseInfo[i][hExity],HouseInfo[i][hExitz]);
					GameTextForPlayer(playerid, "~w~Welcome Home", 5000, 1);
					PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
					PlayerInfo[playerid][pLocal] = i;
				}
				else
				{
					GameTextForPlayer(playerid, "~r~Locked", 5000, 5);
				}
			}
		}
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]))
			{
				//printf("Found House :%d",i);
				if(PlayerInfo[playerid][pPbiskey] == i || GetPlayerMoney(playerid) >= BizzInfo[i][bEntcost] || (BizzInfo[i][bEntcost] > 20000 && PlayerInfo[playerid][pLevel] < 3))
				{
					if(PlayerInfo[playerid][pPbiskey] != i)
					{
						if(BizzInfo[i][bLock] == 1)
						{
							GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
							return 1;
						}
						if(BizzInfo[i][bProd] == 0)
						{
							GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
							return 1;
						}
						GiveMoney(playerid,-BizzInfo[i][bEntcost]);
						format(string, sizeof(string), "~r~-$%d~n~~w~type /exit~n~to get out~n~Type ~g~/buygun ~w~to buy weapons", BizzInfo[i][bEntcost]);
						BizzInfo[i][bTakings] = BizzInfo[i][bTakings]+BizzInfo[i][bEntcost];
						BizzInfo[i][bProd]--;
						OnPropUpdate();
						GameTextForPlayer(playerid, string, 5000, 3);
						if(i == 7 || i == 21 || i == 35) //casino
						{
							gSpentCash[playerid] = GetPlayerMoney(playerid);
						}
					}
					SetPlayerInterior(playerid,BizzInfo[i][bInt]);
					SetPlayerVirtualWorld(playerid,BizzInfo[i][bWorld]);
					SetPlayerPos(playerid,BizzInfo[i][bExitx],BizzInfo[i][bExity],BizzInfo[i][bExitz]);
					PlayerInfo[playerid][pInt] = BizzInfo[i][bInt];
					PlayerInfo[playerid][pLocal] = i+102;
					new dood[MAX_PLAYER_NAME];
					GetPlayerName(playerid, dood, sizeof(dood));
					format(string, sizeof(string), "%s payed $%d to enter biz %d", dood, BizzInfo[i][bEntcost], i);
					printf("%s", string);
					PayLog(string);
					//PlayerInfo[playerid][pLocal] = i;
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You dont have the cash", 5000, 1);
				}
			}
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
			if (PlayerToPoint(3, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				if(PlayerInfo[playerid][pPbiskey] == i || GetPlayerMoney(playerid) >= SBizzInfo[i][sbEntcost] || (SBizzInfo[i][sbEntcost] > 20000 && PlayerInfo[playerid][pLevel] < 3))
				{
					if(PlayerInfo[playerid][pPbiskey] != i)
					{
						if(SBizzInfo[i][sbLock] == 1)
						{
							GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
							return 1;
						}
						if(SBizzInfo[i][sbProd] == 0)
						{
							GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
							return 1;
						}
						if(i == 2 || i == 8 || i == 20 || i == 26 || i == 38 || i == 44) //planes school
						{
							SetVehicleParamsForPlayerEx(186,playerid,0,0);
							SetVehicleParamsForPlayerEx(187,playerid,0,0);
							SetVehicleParamsForPlayerEx(188,playerid,0,0);
							SetVehicleParamsForPlayerEx(189,playerid,0,0);
							SetVehicleParamsForPlayerEx(190,playerid,0,0);
							SetVehicleParamsForPlayerEx(191,playerid,0,0);
							PLicence[playerid] = 1;
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "Pilots Licence: You can now fly any plane");
						}
						if(i == 0) //parachute
						{

							SetPlayerInterior(playerid,1);
							SetPlayerPos(playerid,1.71875, 30.4062, 1200.34);
							PlayerInfo[i][pInt] = 0;
							gSkyDive[playerid] = 1;
						}
      					if(i == 18) //parachute SF
						{

							SetPlayerInterior(playerid,1);
							SetPlayerPos(playerid,1.71875, 30.4062, 1200.34);
							PlayerInfo[i][pInt] = 0;
							gSkyDive[playerid] = 2;
						}
            			if(i == 36) //parachute LS
						{

							SetPlayerInterior(playerid,1);
							SetPlayerPos(playerid,1.71875, 30.4062, 1200.34);
							PlayerInfo[i][pInt] = 0;
							gSkyDive[playerid] = 3;
						}
						if(i == 1 || i == 19 || i == 37) //wheele
						{
							//SetPlayerInterior(playerid,HouseInfo[i][hInt]);
							if (GetPlayerState(playerid) == 2)
							{
								new tmpcar = GetPlayerVehicleID(playerid);
								TelePos[playerid][0] = 0.0;
								TelePos[playerid][1] = 0.0;
								PlayerInfo[playerid][pLocal] = 10000;
								SetVehiclePos(tmpcar, -2724.0,217.9,4.1);
							}
							else
							{
								GameTextForPlayer(playerid, "~w~You must be in a Street Racer", 1000, 1);
								return 1;
							}
							Spectate[playerid] = 500;
							GameTextForPlayer(playerid, "~w~To Exit type ~r~/exit", 5000, 1);
							//PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
						}
						if(i == 3 || i == 7 || i == 21 || i == 25 || i == 39 || i == 43) //stealth school
						{
							Hidden[playerid] = 1;
							SetPlayerToTeamColor(playerid);
							//SetPlayerColor(playerid,COLOR_INVIS);
							GameTextForPlayer(playerid, "~w~Stealth Device~n~~g~Your icon is hidden", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "Stealth Active: Your icon is hidden.");
						}
						if(i == 4 || i == 22 || i == 40) //towcar school
						{
							GameTextForPlayer(playerid, "~w~breakdown service~n~~g~type /towcar", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /towcar.");
							return 1;
						}
						if(i == 5 || i == 23 || i == 41) //homeupgrade school
						{
							GameTextForPlayer(playerid, "~w~Home Supply~~g~type /houseupgrade", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /houseupgrade.");
							return 1;
						}
						if(i == 6 || i == 24 || i == 42) //sellcars school
						{
							GameTextForPlayer(playerid, "~w~Car Sales~n~~g~type /carupgrade", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /carupgrade.");
							return 1;
						}
						if(i == 9 || i == 10 || i == 27 || i == 28 || i == 45 || i == 46) //buy school
						{
							if (i == 9 || i == 10){ Locator[playerid] = 1; }
							if (i == 27 || i == 28){ Locator[playerid] = 2; }
							if (i == 45 || i == 46){ Locator[playerid] = 3; }
							GameTextForPlayer(playerid, "~w~Locator Device~n~~g~Your can locate best buys and sales", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "type /bestbuy or /bestsale");
						}
						if(i == 11 || i == 12 || i == 29 || i == 30 || i == 47 || i == 48) //buy school
						{
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "type /jointeam <teamid> to use");
							return 1;
						}
                        if(i == 14 || i == 32 || i == 50) //airlines
						{
							GameTextForPlayer(playerid, "~w~Airport ~n~You can go to other country~n~~g~type /air", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /air.");
							return 1;
						}
      					if(i == 15 || i == 33 || i == 51) //taxi cab
						{
							GameTextForPlayer(playerid, "~g~Taxi Business ~y~Servise~n~You can read info business~n~~g~type /infotaxi", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /needtaxi.");
							return 1;
						}
						if(i == 16 || i == 24 || i == 42)
						{
							GameTextForPlayer(playerid, "~r~Pay ~y~And ~b~Spray~n~~g~type /carcolor", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /carcolor.");
						    return 1;
						}
						if(i == 17 || i == 35 || i == 53)
						{
							GameTextForPlayer(playerid, "~r~San ~b~News~n~You can advertise your business in the news chat~n~~g~type /advert", 5000, 3);
							SendClientMessage(playerid, TEAM_GROVE_COLOR, "To use this service: type /advert.");
							return 1;
						}
						gBizTicket[playerid] = i;
						GiveMoney(playerid,-SBizzInfo[i][sbEntcost]);
						gSpentCash[playerid] = GetPlayerMoney(playerid);
						SBizzInfo[i][sbProd]--;
						SBizzInfo[i][sbTakings] = SBizzInfo[i][sbTakings]+SBizzInfo[i][sbEntcost];
						new dood[MAX_PLAYER_NAME];
						GetPlayerName(playerid, dood, sizeof(dood));
						format(string, sizeof(string), "%s payed $%d to enter sbiz %d", dood, SBizzInfo[i][sbEntcost], i);
						printf("%s", string);
						PayLog(string);
						OnPropUpdate();
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You dont have the cash", 5000, 1);
				}
			}
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
			if (PlayerToPoint(3, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
				if(PlayerInfo[playerid][pPbiskey] == i || GetPlayerMoney(playerid) >= StationInfo[i][stEntcost] || (StationInfo[i][stEntcost] > 20000 && PlayerInfo[playerid][pLevel] < 3))
				{
					if(PlayerInfo[playerid][pPbiskey] != i)
					{
						if(StationInfo[i][stLock] == 1)
						{
							GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
							return 1;
						}
						if(StationInfo[i][stProd] == 0)
						{
							GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
							return 1;
						}
      					GameTextForPlayer(playerid, "~g~Oil Tank ~y~Servise", 5000, 3);
						SendClientMessage(playerid, TEAM_GROVE_COLOR, "Command for this service: /buygas /fillcar.");
						GiveMoney(playerid,-StationInfo[i][stEntcost]);
						gSpentCash[playerid] = GetPlayerMoney(playerid);
						StationInfo[i][stTakings] = StationInfo[i][stTakings]+StationInfo[i][stEntcost];
						new dood[MAX_PLAYER_NAME];
						GetPlayerName(playerid, dood, sizeof(dood));
						format(string, sizeof(string), "%s payed $%d to enter sbiz %d", dood, StationInfo[i][stEntcost], i);
						printf("%s", string);
						PayLog(string);
						OnPropUpdate();
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You dont have the cash", 5000, 1);
				}
			}
		}
		return 1;
	}
	
	if(strcmp(cmd, "/exit", true) == 0)
	{
		if (PlayerToPoint(10, playerid,-2724.0,217.9,4.1))
		{
		    new tmpbiz;
		    new house = PlayerInfo[playerid][pPhousekey];
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				if ((house < 34) || (gBizTicket[playerid] == 1))
				{
					SetVehiclePos(tmpcar, 1519.2,-1474.4,9.1);//ls
					tmpbiz = 1;
				}
				else if ((house > 33 && house < 68) || (gBizTicket[playerid] == 19))
				{
        			SetVehiclePos(tmpcar, -2157.6,654.7,52.0);//sf
        			tmpbiz = 19;
				}
				else if ((house > 67 && house != 255) || (gBizTicket[playerid] == 37))
				{
				    SetVehiclePos(tmpcar, 1944.1,2160.3,10.4);//lv
				    tmpbiz = 37;
				}
			}
			else
			{
       			if ((house < 34) || (gBizTicket[playerid] == 1))
				{
					SetPlayerPos(playerid, 1519.2,-1474.4,9.1);//ls
					tmpbiz = 1;
				}
				else if ((house > 33 && house < 68) || (gBizTicket[playerid] == 19))
				{
        			SetPlayerPos(playerid, -2157.6,654.7,52.0);//sf
        			tmpbiz = 19;
				}
				else if ((house > 67 && house != 255) || (gBizTicket[playerid] == 37))
				{
				    SetPlayerPos(playerid, 1944.1,2160.3,10.4);//lv
				    tmpbiz = 37;
				}
				return 1;
			}
			new oldcash = gSpentCash[playerid];
			if(oldcash > 0)
			{
				new Total = GetPlayerMoney(playerid) - oldcash;
				printf("Total %d = GetPlayerMoney(playerid) %d - oldcash %d",Total,GetPlayerMoney(playerid),oldcash);
				new name[MAX_PLAYER_NAME];
				SBizzInfo[tmpbiz][sbTakings] = SBizzInfo[tmpbiz][sbTakings]+Total;//lv
				GetPlayerName(playerid, name, sizeof(name));
				format(string,128,"<< %s has left the modshop with $%d >>",name,Total);
				PayLog(string);
			}
			gSpentCash[playerid] = 0;
			TelePos[playerid][0] = 0.0;
			TelePos[playerid][1] = 0.0;
			Spectate[playerid] = 255;
			gBizTicket[playerid] = 255;
			PlayerInfo[playerid][pLocal] = 255;
		}
		new world = GetPlayerVirtualWorld(playerid);
		for(new i = 0; i <  sizeof(HouseInfo); i++)
		{
      		new town = 0;
		    if (PlayerInfo[playerid][pLocal] < 102)
		    {
				if (world == 1)
				{
					town = 0;
				}
				if (world == 2)
				{
					town = 34;
				}
			 	if (world == 3)
				{
					town = 68;
				}
			}
			//printf("House :%d",i+town);
			if (PlayerToPoint(3, playerid,HouseInfo[i+town][hExitx], HouseInfo[i+town][hExity], HouseInfo[i+town][hExitz]))
			{
				SetPlayerInterior(playerid,0);
				SetPlayerPos(playerid,HouseInfo[i+town][hEntrancex],HouseInfo[i+town][hEntrancey],HouseInfo[i+town][hEntrancez]);
				SetPlayerVirtualWorld(playerid,0);
				PlayerInfo[playerid][pInt] = 0;
				PlayerInfo[playerid][pLocal] = 255;
				if(HouseInfo[i+town][hHel] == 1)
				{
					new Float:tempheal;
					GetPlayerHealth(playerid,tempheal);
					if(tempheal < 100.0)
					{
						SetPlayerHealth(playerid,100.0);
					}
				}
				//i = sizeof(HouseInfo);
				return 1;
			}
		}
		for(new i = 0; i <  sizeof(BizzInfo); i++)
		{
        	new town = 0;
		    if (PlayerInfo[playerid][pLocal] >= 102)
		    {
				if (world == 1)
				{
					town = 0;
				}
				else if (world == 2)
				{
					town = 14;
				}
				else if (world == 3)
				{
					town = 28;
				}
			}
			//printf("Bizz :%d",i+town);
			if (PlayerToPoint(3, playerid,BizzInfo[i+town][bExitx], BizzInfo[i+town][bExity], BizzInfo[i+town][bExitz]))
			{
				SetPlayerInterior(playerid,0);
				PlayerInfo[playerid][pInt] = 0;
				SetPlayerPos(playerid,BizzInfo[i+town][bEntrancex],BizzInfo[i+town][bEntrancey],BizzInfo[i+town][bEntrancez]);
                SetPlayerVirtualWorld(playerid,0);
				PlayerInfo[playerid][pLocal] = 255;
				if(i == 7 && PlayerInfo[playerid][pPbiskey] != 7) //casino
				{
					new oldcash = gSpentCash[playerid];
					if(oldcash > 0)
					{
						new Total = GetPlayerMoney(playerid) - oldcash;
						printf("Total %d = GetPlayerMoney(playerid) %d - oldcash %d",Total,GetPlayerMoney(playerid),oldcash);
						new name[MAX_PLAYER_NAME];
						BizzInfo[i][bTakings] = BizzInfo[i][bTakings]+Total;
						GetPlayerName(playerid, name, sizeof(name));
						format(string,128,"<< %s has left the casino with $%d >>",name,Total);
						PayLog(string);
						gSpentCash[playerid] = 0;
					}
				}
				//i = sizeof(BizzInfo);
				return 1;
			}
		}
		if(GetPlayerVehicleID(playerid) >= 139 && GetPlayerVehicleID(playerid) <= 145)
		{
			TogglePlayerControllable(playerid, 1);
			RemovePlayerFromVehicle(playerid);
		}
		return 1;
	}
	
	if(strcmp(cmd, "/home", true) == 0)
	{
		if(PlayerInfo[playerid][pPhousekey] != 255)
		{
			SetPlayerCheckpoint(playerid,HouseInfo[PlayerInfo[playerid][pPhousekey]][hEntrancex], HouseInfo[PlayerInfo[playerid][pPhousekey]][hEntrancey], HouseInfo[PlayerInfo[playerid][pPhousekey]][hEntrancez], 4.0);
			GameTextForPlayer(playerid, "~w~Waypoint set ~r~Home", 5000, 1);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_HOME;
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are homeless", 5000, 1);
		}
		return 1;
	}
	if(strcmp(cmd, "/modcar", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
      	if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 1;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 19;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 68)
		{
			sbiz = 37;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			if (GetPlayerState(playerid) != 2 && tmpcar != house+1)
			{
				GameTextForPlayer(playerid, "~r~Not in your housecar", 5000, 1);
				return 1;
			}
			if(PlayerToPoint(2.0, playerid, HouseCarSpawns[tmpcar-1][0], HouseCarSpawns[tmpcar-1][1], HouseCarSpawns[tmpcar-1][2]))
			{
                GiveMoney(playerid,-1000);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+1000;//modshop buisness
				SBizzInfo[sbiz][sbProd]--;
				TelePos[playerid][0] = 0.0;
				TelePos[playerid][1] = 0.0;
				SetVehiclePos(tmpcar, 1040.6,-1021.0,31.7);
				gSpentCash[playerid] = GetPlayerMoney(playerid);
				Spectate[playerid] = 500;
				GameTextForPlayer(playerid, "~w~To Exit type ~r~/exit~n~-$1000", 5000, 1);
			//PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
				PlayerInfo[playerid][pLocal] = 10001;
			}
			else
			{
				GameTextForPlayer(playerid, "~w~You are not at your home", 5000, 1);
			}
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are not a home owner", 5000, 1);
		}
		return 1;
	}
	if(strcmp(cmd, "/modst", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
    	if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 1;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 19;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 67)
		{
			sbiz = 37;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			if (GetPlayerState(playerid) != 2 && tmpcar != house+1)
			{
				GameTextForPlayer(playerid, "~r~Not in your housecar", 5000, 1);
				return 1;
			}
			if(PlayerToPoint(2.0, playerid, HouseCarSpawns[tmpcar-1][0], HouseCarSpawns[tmpcar-1][1], HouseCarSpawns[tmpcar-1][2]))
			{
                GiveMoney(playerid,-1000);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+1000;//modshop buisness
				SBizzInfo[sbiz][sbProd]--;
				TelePos[playerid][0] = 0.0;
				TelePos[playerid][1] = 0.0;
				SetVehiclePos(tmpcar, -2720.5,217.5,4.1);
				gSpentCash[playerid] = GetPlayerMoney(playerid);
				Spectate[playerid] = 500;
				GameTextForPlayer(playerid, "~w~To Exit type ~r~/exit~n~-$1000", 5000, 1);
			//PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
				PlayerInfo[playerid][pLocal] = 10002;
			}
			else
			{
				GameTextForPlayer(playerid, "~w~You are not at your home", 5000, 1);
			}
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are not a home owner", 5000, 1);
		}
		return 1;
	}
	if(strcmp(cmd, "/modlr", true) == 0)
	{
		new tmpcar = GetPlayerVehicleID(playerid);
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
  		if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 1;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 19;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 68)
		{
			sbiz = 37;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			if (GetPlayerState(playerid) != 2 && tmpcar != house+1)
			{
				GameTextForPlayer(playerid, "~r~Not in your housecar", 5000, 1);
				return 1;
			}
			if(PlayerToPoint(2.0, playerid, HouseCarSpawns[tmpcar-1][0], HouseCarSpawns[tmpcar-1][1], HouseCarSpawns[tmpcar-1][2]))
			{
				GiveMoney(playerid,-1000);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+1000;//modshop buisness
				SBizzInfo[sbiz][sbProd]--;
				TelePos[playerid][0] = 0.0;
				TelePos[playerid][1] = 0.0;
				SetVehiclePos(tmpcar, 2644.6,-2044.9,13.3);
				gSpentCash[playerid] = GetPlayerMoney(playerid);
				Spectate[playerid] = 500;
				GameTextForPlayer(playerid, "~w~To Exit type ~r~/exit~n~-$1000", 5000, 1);
			//PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
				PlayerInfo[playerid][pLocal] = 10003;
			}
			else
			{
				GameTextForPlayer(playerid, "~w~You are not at your home", 5000, 1);
			}
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are not a home owner", 5000, 1);
		}
		return 1;
	}
	if(strcmp(cmd, "/towcar", true) == 0)
	{
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
        new sbiz;
		if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 4;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 22;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 68)
		{
			sbiz = 40;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			if(CarTow(house+1))
			{
    			format(string, sizeof(string), "~w~Car~n~~g~Towed Home~n~~r~$-%d", SBizzInfo[sbiz][sbEntcost]);
				GameTextForPlayer(playerid, string, 5000, 1);
				GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];//towcar buisness
				SBizzInfo[sbiz][sbProd]--;
			}
			else
			{
				GameTextForPlayer(playerid, "~w~Car is~n~in ~r~use", 5000, 1);
			}
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are not a home owner", 5000, 1);
		}
		return 1;
	}
	if(strcmp(cmd, "/fixcar", true) == 0)
	{
		new house = PlayerInfo[playerid][pPhousekey];
		GetPlayerName(playerid, playername, sizeof(playername));
		new sbiz;
      	if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 4;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 22;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 68)
		{
			sbiz = 40;
		}
		if (house != 255 && strcmp(playername, HouseInfo[PlayerInfo[playerid][pPhousekey]][hOwner], true) == 0)
		{
			if(SBizzInfo[sbiz][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
			if(CarRespawn(house+1))
			{
				format(string, sizeof(string), "~w~Car~n~~g~Repaired~n~~r~$-%d", SBizzInfo[sbiz][sbEntcost]);
				GameTextForPlayer(playerid, string, 5000, 1);
				GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];//towcar buisness
				SBizzInfo[sbiz][sbProd]--;
			}
			else
			{
				GameTextForPlayer(playerid, "~w~Car is~n~in ~r~use", 5000, 1);
			}
		}
		else
		{
			GameTextForPlayer(playerid, "~w~You are not a home owner", 5000, 1);
		}
		return 1;
	}
	// 		CreateVehicle(HouseInfo[h][hVec], HouseCarSpawns[h][0], HouseCarSpawns[h][1], HouseCarSpawns[h][2], HouseCarSpawns[h][3], HouseInfo[h][hVcol1], HouseInfo[h][hVcol2], -1);
	// 				SetVehiclePos(plo,plocx,plocy+4, plocz);
	
 	if(strcmp(cmd, "/stad", true) == 0)
	{
		if (PlayerToPoint(3, playerid,2695.5125,-1704.5510,11.8438))
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				//new intid = GetPlayerInterior(playerid);
				SetVehiclePos(tmpcar, -1415.9,1603.45,1066.48);
				LinkVehicleToInterior(tmpcar, 14);
			}
			else
			{
				SetPlayerPos(playerid, -1415.9,1603.45,1066.48);
			}
			SetPlayerInterior(playerid,14);
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You have been teleported");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Your too far away.");
		}
		return 1;
	}
	
	if (strcmp(cmd, "/dmweapon", true) == 0)
	{
		new gunid[16];
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			format(string, sizeof(string), "USAGE: /dmweapon [gunname]");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			SendClientMessage(playerid, COLOR_WHITE,"*** DM WEAPONS ***");
			SendClientMessage(playerid, COLOR_GRAD2,string);
			SendClientMessage(playerid, COLOR_GRAD3, "Weapons: default chainsaw sdpistol colt45 mp5 shotgun spas12");
			SendClientMessage(playerid, COLOR_GRAD3, "Weapons: deagle uzi sawnoff tec9 ak47 m4 rifle flamethrower");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			return 1;
		}
			strmid(gunid, tmp, 0, strlen(cmdtext), 255);
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
			{
				/*
				if (PlayerInfo[playerid][pLevel] >= 13 && (strcmp(gunid, "minigun", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "New Upgrade: You Will Now Spawn With A minigun");
					PlayerInfo[playerid][pGun6] = 38;
					ResetPlayerWeapons(playerid);
					SetPlayerWeapons(playerid);
					PlayerInfo[playerid][gPupgrade]--;
				}
				*/
				if ((strcmp(gunid, "flamethrower", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A flamethrower");
					dmweapon = 37;
				}
				else if ((strcmp(gunid, "rifle", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A rifle");
					dmweapon = 33;
				}
				else if ((strcmp(gunid, "m4", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With An m4");
					dmweapon = 31;
				}
				else if ((strcmp(gunid, "ak47", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With An ak47");
					dmweapon = 30;
				}
				else if ((strcmp(gunid, "Tec9", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A Tec9");
					dmweapon = 32;
				}
				else if ((strcmp(gunid, "sawnoff", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A sawnoff");
					dmweapon = 26;
				}
				else if ((strcmp(gunid, "uzi", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With An uzi");
					dmweapon = 28;
				}
				else if ((strcmp(gunid, "deagle", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A deagle");
					dmweapon = 24;
				}
				else if ((strcmp(gunid, "spas12", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players You Will Now Spawn With A spas12");
					dmweapon = 27;
				}
				else if ((strcmp(gunid, "shotgun", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With A shotgun");
					dmweapon = 25;
				}
				else if ((strcmp(gunid, "mp5", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With An mp5");
					dmweapon = 29;
				}
				else if ((strcmp(gunid, "colt45", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With A colt45");
					dmweapon = 22;
				}
				else if ((strcmp(gunid, "sdpistol", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With An sdpistol");
					dmweapon = 23;
				}
				else if ((strcmp(gunid, "chainsaw", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With A chainsaw");
					dmweapon = 9;
				}
				else if ((strcmp(gunid, "default", true, strlen(gunid)) == 0))
				{
					SendClientMessage(playerid, COLOR_GRAD6, "Players Will Now Spawn With There Own Weapons");
					dmweapon = 0;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD6, "   Unrecognized Weapon");
					return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD6, "   You Are Not An Admin");
				return 1;
			}
		return 1;
	}
	if(strcmp(cmd, "/startdm", true) == 0)
	{
		if(MissionActive == 0 || MissionActive == 4 || MissionActive == 8 || MissionActive == 12 || MissionActive == 16)
		{
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
			{
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) && gPlayerSpawned[i])
					{
						SendClientMessage(i, COLOR_YELLOW, "SMS: DeathMatch Starting Soon At The Red Marker, Sender: MOLE (555)");
						RingTone[i] = 20;
						SendClientMessage(i, COLOR_WHITE, "HINT: Go To The Red Marker And Wait For The DeathMatch To Start.");
						SetPlayerCheckpoint(i,gRandomDMSpawns[0][0],gRandomDMSpawns[0][1],gRandomDMSpawns[0][2], 4.0);
						GameTextForPlayer(i, "~w~Waypoint set ~r~DM", 5000, 1);
						gPlayerCheckpointStatus[i] = CHECKPOINT_DM;
					}
				}
			}
			else
			{
				GameTextForPlayer(playerid, "~w~You are not admin", 5000, 1);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "A mission is currently active");
		}
		return 1;
	}
//----------------------------------[BIZZ]-----------------------------------------------
 	if(strcmp(cmd, "/aplock", true) == 0)
	{
		for(new i = 0; i < sizeof(BizzInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,BizzInfo[i][bEntrancex], BizzInfo[i][bEntrancey], BizzInfo[i][bEntrancez]) || PlayerToPoint(3, playerid,BizzInfo[i][bExitx], BizzInfo[i][bExity], BizzInfo[i][bExitz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pAdmin] >= 105)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(BizzInfo[i][bLock] == 1)
					{
						BizzInfo[i][bLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(BizzInfo[i][bLock] == 0)
					{
						BizzInfo[i][bLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
  		for(new i = 0; i < sizeof(HouseInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]) || PlayerToPoint(3, playerid,HouseInfo[i][hExitx], HouseInfo[i][hExity], HouseInfo[i][hExitz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pAdmin] >= 105)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(HouseInfo[i][hLock] == 1)
					{
						HouseInfo[i][hLock] = 0;
						GameTextForPlayer(playerid, "~w~Door ~g~Unlocked", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(HouseInfo[i][hLock] == 0)
					{
						HouseInfo[i][hLock] = 1;
						GameTextForPlayer(playerid, "~w~Door ~r~Locked", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
		for(new i = 0; i < sizeof(SBizzInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,SBizzInfo[i][sbEntrancex], SBizzInfo[i][sbEntrancey], SBizzInfo[i][sbEntrancez]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pAdmin] >= 105)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(SBizzInfo[i][sbLock] == 1)
					{
						SBizzInfo[i][sbLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(SBizzInfo[i][sbLock] == 0)
					{
						SBizzInfo[i][sbLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
			//printf("House :%d  x:%f y:%f z:%f",i,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]);
			if (PlayerToPoint(3, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
				//printf("House :%d",i);
				if(PlayerInfo[playerid][pAdmin] >= 105)
				{
					//printf("pPhousekey :%d  hLock :%d",PlayerInfo[playerid][pPhousekey] ,HouseInfo[i][hLock]);
					if(StationInfo[i][stLock] == 1)
					{
						StationInfo[i][stLock] = 0;
						GameTextForPlayer(playerid, "~w~Bussiness ~g~Open", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
					if(StationInfo[i][stLock] == 0)
					{
						StationInfo[i][stLock] = 1;
						GameTextForPlayer(playerid, "~w~Bussiness ~r~Closed", 5000, 6);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~r~You Dont Have A Key", 5000, 6);
					return 1;
				}
			}
		}
	}
	
	if (strcmp(cmd, "/clearb", true) == 0)
    {
        if (gPlayerLogged[playerid] == 0)
        {
            SendClientMessage(playerid, COLOR_GRAD1, " SERVER: You Are Not Logged In");
        }
        else
        {
            PlayerInfo[playerid][pPbiskey] = 255;
            SendClientMessage(playerid, COLOR_GRAD1, " You've cleared in your account data about business");
        }
        return 1;
    }

	if(strcmp(cmd, "/buybiz", true) == 0)
	{
		new Float:oldposx, Float:oldposy, Float:oldposz;
		GetPlayerName(playerid, playername, sizeof(playername));
		GetPlayerPos(playerid, oldposx, oldposy, oldposz);
		if(PlayerInfo[playerid][pPbiskey] != 255)
		{
			SendClientMessage(playerid, COLOR_WHITE, "   You already own a business, type /sellbiz if you want to buy this one.");
			return 1;
		}
  		for(new s = 0; s < sizeof(StationInfo); s++)
		{
			if(PlayerToPoint(2.0, playerid, StationInfo[s][stEnterx], StationInfo[s][stEntery], StationInfo[s][stEnterz]) && StationInfo[s][stOwned] == 0)
			{
				if(PlayerInfo[playerid][pLevel] < StationInfo[s][stLevel])
				{
					format(string, sizeof(string), "You Must Be Level %d To Purchase This",StationInfo[s][stLevel]);
					SendClientMessage(playerid, COLOR_GRAD5, string);
					return 1;
				}
				if(GetPlayerMoney(playerid) > StationInfo[s][stValue])
				{
					PlayerInfo[playerid][pPbiskey] = s+200;
					StationInfo[s][stOwned] = 1;
					GetPlayerName(playerid, sendername, sizeof(sendername));
					strmid(StationInfo[s][stOwner], sendername, 0, strlen(sendername), 255);
					GiveMoney(playerid,-StationInfo[s][stValue]);
					PlayerPlayMusic(playerid);
					SendClientMessage(playerid, COLOR_WHITE, "Congratulations, On Your New Purchase.");
					SendClientMessage(playerid, COLOR_WHITE, "Type /help to review the new business help section.");
					DateProp(playerid);
					OnPropUpdate();
					OnClientUpdate(playerid);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
					return 1;
				}
			}
		}
		for(new b = 0; b < sizeof(SBizzInfo); b++)
		{
			if(PlayerToPoint(2.0, playerid, SBizzInfo[b][sbEntrancex], SBizzInfo[b][sbEntrancey], SBizzInfo[b][sbEntrancez]) && SBizzInfo[b][sbOwned] == 0)
			{
				if(PlayerInfo[playerid][pLevel] < SBizzInfo[b][sbLevel])
				{
					format(string, sizeof(string), "You Must Be Level %d To Purchase This",SBizzInfo[b][sbLevel]);
					SendClientMessage(playerid, COLOR_GRAD5, string);
					return 1;
				}
				if(GetPlayerMoney(playerid) > SBizzInfo[b][sbValue])
				{
					PlayerInfo[playerid][pPbiskey] = b+100;
					SBizzInfo[b][sbOwned] = 1;
					GetPlayerName(playerid, sendername, sizeof(sendername));
					strmid(SBizzInfo[b][sbOwner], sendername, 0, strlen(sendername), 255);
					GiveMoney(playerid,-SBizzInfo[b][sbValue]);
					PlayerPlayMusic(playerid);
					SendClientMessage(playerid, COLOR_WHITE, "Congratulations, On Your New Purchase.");
					SendClientMessage(playerid, COLOR_WHITE, "Type /help to review the new business help section.");
					DateProp(playerid);
					OnPropUpdate();
					OnClientUpdate(playerid);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
					return 1;
				}
			}
		}
		for(new b = 0; b < sizeof(BizzInfo); b++)
		{
			if(PlayerToPoint(2.0, playerid, BizzInfo[b][bEntrancex], BizzInfo[b][bEntrancey], BizzInfo[b][bEntrancez]) && BizzInfo[b][bOwned] == 0)
			{
				if(PlayerInfo[playerid][pLevel] < BizzInfo[b][bLevel])
				{
					format(string, sizeof(string), "You Must Be Level %d To Purchase This",BizzInfo[b][bLevel]);
					SendClientMessage(playerid, COLOR_GRAD5, string);
					return 1;
				}
				if(GetPlayerMoney(playerid) > BizzInfo[b][bValue])
				{
					PlayerInfo[playerid][pPbiskey] = b;
					BizzInfo[b][bOwned] = 1;
					GetPlayerName(playerid, sendername, sizeof(sendername));
					strmid(BizzInfo[b][bOwner], sendername, 0, strlen(sendername), 255);
					GiveMoney(playerid,-BizzInfo[b][bValue]);
					PlayerPlayMusic(playerid);
					SetPlayerInterior(playerid,BizzInfo[b][bInt]);
					SetPlayerVirtualWorld(playerid,BizzInfo[b][bWorld]);
					PlayerInfo[playerid][pInt] = BizzInfo[b][bInt];
					SetPlayerPos(playerid,BizzInfo[b][bExitx],BizzInfo[b][bExity],BizzInfo[b][bExitz]);
					GameTextForPlayer(playerid, "~w~Welcome~n~You can exit at any time by moving to this door and typing /exit", 5000, 3);
					PlayerInfo[playerid][pInt] = BizzInfo[b][bInt];
					PlayerInfo[playerid][pLocal] = b+102;
					SendClientMessage(playerid, COLOR_WHITE, "Congratulations, On Your New Purchase.");
					SendClientMessage(playerid, COLOR_WHITE, "Type /help to review the new business help section.");
					DateProp(playerid);
					OnPropUpdate();
					OnClientUpdate(playerid);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
					return 1;
				}
			}
		}
	}
	
	if(strcmp(cmd, "/asellbiz", true) == 0)
	{
		//if(PlayerToPoint(20.0, playerid, 515.91,-11.75,1001.57))
		GetPlayerName(playerid, playername, sizeof(playername));
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /asellbiz [bizid]");
			return 1;
		}
		new bouse = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
			BizzInfo[bouse][bHel] = 0;
			BizzInfo[bouse][bArm] = 0;
			BizzInfo[bouse][bLock] = 1;
			BizzInfo[bouse][bOwned] = 0;
			BizzInfo[bouse][bTakings] = 0;
			strmid(BizzInfo[bouse][bOwner], "The State", 0, strlen("The State"), 255);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~You have sold this property", BizzInfo[bouse][bValue]);
			GameTextForPlayer(playerid, string, 10000, 4);
			OnPropUpdate();
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You are not an admin.");
		}
		return 1;
	}
	if(strcmp(cmd, "/asellsbiz", true) == 0)
	{
		//if(PlayerToPoint(20.0, playerid, 515.91,-11.75,1001.57))
		GetPlayerName(playerid, playername, sizeof(playername));
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /asellsbiz [sbizid]");
			return 1;
		}
		new bouse = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
   			SBizzInfo[bouse][sbHel] = 0;
			SBizzInfo[bouse][sbArm] = 0;
			SBizzInfo[bouse][sbLock] = 1;
			SBizzInfo[bouse][sbOwned] = 0;
			SBizzInfo[bouse][sbTakings] = 0;
			strmid(SBizzInfo[bouse][sbOwner], "The State", 0, strlen("The State"), 255);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~You have sold this property", SBizzInfo[bouse][sbValue]);
			GameTextForPlayer(playerid, string, 10000, 4);
			OnPropUpdate();
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You are not an admin.");
		}
		return 1;
	}
 	if(strcmp(cmd, "/asellfuelst", true) == 0)
	{
		//if(PlayerToPoint(20.0, playerid, 515.91,-11.75,1001.57))
		GetPlayerName(playerid, playername, sizeof(playername));
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /asellfuelst [sbizid]");
			return 1;
		}
		new bouse = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
   			StationInfo[bouse][stHel] = 0;
			StationInfo[bouse][stArm] = 0;
			StationInfo[bouse][stLock] = 1;
			StationInfo[bouse][stOwned] = 0;
			StationInfo[bouse][stTakings] = 0;
			strmid(StationInfo[bouse][stOwner], "The State", 0, strlen("The State"), 255);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~You have sold this property", StationInfo[bouse][stValue]);
			GameTextForPlayer(playerid, string, 10000, 4);
			OnPropUpdate();
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You are not an admin.");
		}
		return 1;
	}

	if(strcmp(cmd, "/sellbiz", true) == 0)
	{
		GetPlayerName(playerid, playername, sizeof(playername));
		if(PlayerInfo[playerid][pPbiskey] == 255)
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a bizz.");
			return 1;
		}
    	if(PlayerInfo[playerid][pPbiskey] >= 200 && PlayerInfo[playerid][pPbiskey] < 255 && strcmp(playername, StationInfo[PlayerInfo[playerid][pPbiskey]-200][stOwner], true) == 0)
		{
			new bouse = PlayerInfo[playerid][pPbiskey]-200;
			StationInfo[bouse][stHel] = 0;
			StationInfo[bouse][stArm] = 0;
			StationInfo[bouse][stLock] = 1;
			StationInfo[bouse][stOwned] = 0;
			StationInfo[bouse][stTakings] = 0;
			GetPlayerName(playerid, sendername, sizeof(sendername));
			strmid(StationInfo[bouse][stOwner], "The State", 0, strlen("The State"), 255);
			GiveMoney(playerid,StationInfo[bouse][stValue]);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~Congratulations~n~ You have sold your property for ~n~~g~$%d", StationInfo[bouse][stValue]);
			GameTextForPlayer(playerid, string, 10000, 3);
			PlayerInfo[playerid][pPbiskey] = 255;
			OnPropUpdate();
			OnClientUpdate(playerid);
			return 1;
		}
		if(PlayerInfo[playerid][pPbiskey] >= 100 && strcmp(playername, SBizzInfo[PlayerInfo[playerid][pPbiskey]-100][sbOwner], true) == 0)
		{
			new bouse = PlayerInfo[playerid][pPbiskey]-100;
			SBizzInfo[bouse][sbHel] = 0;
			SBizzInfo[bouse][sbArm] = 0;
			SBizzInfo[bouse][sbLock] = 1;
			SBizzInfo[bouse][sbOwned] = 0;
			SBizzInfo[bouse][sbTakings] = 0;
			GetPlayerName(playerid, sendername, sizeof(sendername));
			strmid(SBizzInfo[bouse][sbOwner], "The State", 0, strlen("The State"), 255);
			GiveMoney(playerid,SBizzInfo[bouse][sbValue]);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~Congratulations~n~ You have sold your property for ~n~~g~$%d", SBizzInfo[bouse][sbValue]);
			GameTextForPlayer(playerid, string, 10000, 3);
			PlayerInfo[playerid][pPbiskey] = 255;
			OnPropUpdate();
			OnClientUpdate(playerid);
			return 1;
		}
		if(strcmp(playername, BizzInfo[PlayerInfo[playerid][pPbiskey]][bOwner], true) == 0)
		{
			new bouse = PlayerInfo[playerid][pPbiskey];
			BizzInfo[bouse][bHel] = 0;
			BizzInfo[bouse][bArm] = 0;
			BizzInfo[bouse][bLock] = 1;
			BizzInfo[bouse][bOwned] = 0;
			BizzInfo[bouse][bTakings] = 0;
			GetPlayerName(playerid, sendername, sizeof(sendername));
			strmid(BizzInfo[bouse][bOwner], "The State", 0, strlen("The State"), 255);
			GiveMoney(playerid,BizzInfo[bouse][bValue]);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~w~Congratulations~n~ You have sold your property for ~n~~g~$%d", BizzInfo[bouse][bValue]);
			GameTextForPlayer(playerid, string, 10000, 3);
			PlayerInfo[playerid][pPbiskey] = 255;
			OnPropUpdate();
			OnClientUpdate(playerid);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a business.");
		}
	}
	if (strcmp(cmd, "/bizinfo", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if(bouse == 255)
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't own a business.");
			return 1;
		}
		if (bouse >= 200 && bouse < 255)
		{
		   PrintStationInfo(playerid,bouse-200);
		}
		else if (bouse >= 100 && bouse < 200)
		{

			PrintSBizInfo(playerid,bouse-100);
		}
		else
		{
			PrintBizInfo(playerid,bouse);
		}
		return 1;
	}
	if(strcmp(cmd, "/bizfee", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bizfee [EntranceFee]");
		}
		if(strval(tmp) < 0)
		{
			SendClientMessage(playerid, COLOR_WHITE, "Minimum entrance is $0");
			return 1;
		}
		if (bouse >= 100 && bouse < 200)
		{

			SBizzInfo[bouse-100][sbEntcost] = strval(tmp);
			format(string, sizeof(string), "Entrance fee set to $%d", SBizzInfo[bouse-100][sbEntcost]);
		}
  		else if (bouse >= 200)
		{

			StationInfo[bouse-200][stEntcost] = strval(tmp);
			format(string, sizeof(string), "Entrance fee set to $%d", StationInfo[bouse-200][stEntcost]);
		}
		else
		{
			BizzInfo[bouse][bEntcost] = strval(tmp);
			format(string, sizeof(string), "Entrance fee set to $%d", BizzInfo[bouse][bEntcost]);
		}
		OnPropUpdate();
		SendClientMessage(playerid, COLOR_WHITE, string);
		return 1;
	}
	if(strcmp(cmd, "/pricemod", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /pricemod [percentage of base value (default %100)]");
			return 1;
		}
		if(strval(tmp) < 0)
		{
			SendClientMessage(playerid, COLOR_WHITE, "Minimum percentage is 0%");
			return 1;
		}
		if (bouse >= 100 && bouse < 200)
		{
			SBizzInfo[bouse-100][sbEntcost] = strval(tmp);
			format(string, sizeof(string), "You dont own a large business");
		}
		else if (bouse >= 200)
		{
			StationInfo[bouse-200][stEntcost] = strval(tmp);
			format(string, sizeof(string), "You dont own a large business");
		}
		else
		{
			BizzInfo[bouse][bPriceMod] = strval(tmp);
			format(string, sizeof(string), "Price percentage modifier set to %d%", BizzInfo[bouse][bPriceMod]);
		}
		OnPropUpdate();
		SendClientMessage(playerid, COLOR_WHITE, string);
		return 1;
	}
	if(strcmp(cmd, "/compprice", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /compprice [amount to pay per unit of components]");
		}
		if(strval(tmp) < 10000)
		{
			SendClientMessage(playerid, COLOR_WHITE, "Minimum amount is $10000");
			return 1;
		}
		if (bouse >= 100 && bouse < 200)
		{
			if(strval(tmp) > SBizzInfo[bouse-100][sbTakings])
			{
				SendClientMessage(playerid, COLOR_WHITE, "You dont have that much in your till.");
				return 1;
			}
			SBizzInfo[bouse-100][sbPayComp] = strval(tmp);
			format(string, sizeof(string), "Buying Components for $%d", SBizzInfo[bouse-100][sbPayComp]);
		}
		else if (bouse >= 200)
		{
			if(strval(tmp) > StationInfo[bouse-200][stTakings])
			{
				SendClientMessage(playerid, COLOR_WHITE, "You dont have that much in your till.");
				return 1;
			}
			StationInfo[bouse-200][stPayComp] = strval(tmp);
			format(string, sizeof(string), "Buying Components for $%d", StationInfo[bouse-200][stPayComp]);
		}
		else
		{
			if(strval(tmp) > BizzInfo[bouse][bTakings])
			{
				SendClientMessage(playerid, COLOR_WHITE, "You dont have that much in your till.");
				return 1;
			}
			BizzInfo[bouse][bPayComp] = strval(tmp);
			format(string, sizeof(string), "Buying Components for $%d", BizzInfo[bouse][bPayComp]);
		}
		OnPropUpdate();
		SendClientMessage(playerid, COLOR_WHITE, string);
		return 1;
	}
	if(strcmp(cmd, "/missionactive", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bizfee [EntranceFee]");
		}
		MissionActive = strval(tmp);
		new sstring[256];
		format(sstring, sizeof(sstring), "MissionActive = %d",MissionActive);
		SendClientMessage(playerid, COLOR_GRAD1, sstring);
		return 1;
	}
	if(strcmp(cmd, "/bizname", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (PlayerInfo[playerid][pAdmin] < 104)
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "   You can't own a large business");
			return 1;
		}
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bizname [Name](dont use ,)");
		}
		if (bouse >= 100)
		{
			strmid(SBizzInfo[bouse-100][sbDiscription], result, 0, 64, 255);
			format(string, sizeof(string), "Buisness name set to %s",SBizzInfo[bouse-100][sbDiscription]);
		}
		else
		{
			strmid(BizzInfo[bouse][bDiscription], result, 0, 64, 255);
			format(string, sizeof(string), "Buisness name set to %s",BizzInfo[bouse][bDiscription]);
		}
			OnPropUpdate();
			SendClientMessage(playerid, COLOR_WHITE, string);
			return 1;
	}
	if(strcmp(cmd, "/bizwithdraw", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			if (bouse >= 100 && bouse < 200)
			{
				format(string, sizeof(string), "  You Have $%d in your till.", SBizzInfo[bouse-100][sbTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			else if (bouse >= 200)
			{
				format(string, sizeof(string), "  You Have $%d in your till.", StationInfo[bouse-200][stTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			else
			{
				format(string, sizeof(string), "  You Have $%d in your till.", BizzInfo[bouse][bTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bizwithdraw [amount]");
			return 1;
		}
		new cashdeposit = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bizwithdraw [amount]");
			return 1;
		}
		if (bouse >= 100 && bouse < 200)
		{
			if(cashdeposit > SBizzInfo[bouse-100][sbTakings] || cashdeposit < 1)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
				return 1;
			}
		}
		else if (bouse >= 200)
		{
			if(cashdeposit > StationInfo[bouse-200][stTakings] || cashdeposit < 1)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
				return 1;
			}
		}
		else
		{
			if (cashdeposit > BizzInfo[bouse][bTakings] || cashdeposit < 1)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
				return 1;
			}
		}
		if (bouse >= 100 && bouse < 200)
		{
			if(!PlayerToPoint(100, playerid,SBizzInfo[bouse-100][sbEntrancex],SBizzInfo[bouse-100][sbEntrancey],SBizzInfo[bouse-100][sbEntrancez]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,cashdeposit);
				SBizzInfo[bouse-100][sbTakings]=SBizzInfo[bouse-100][sbTakings]-cashdeposit;
				format(string, sizeof(string), "  You Have Withdrawn $%d from your till Total: $%d ", cashdeposit,SBizzInfo[bouse-100][sbTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
		else if (bouse >= 200)
		{
			if(!PlayerToPoint(100, playerid,StationInfo[bouse-200][stEnterx],StationInfo[bouse-200][stEntery],StationInfo[bouse-200][stEnterz]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,cashdeposit);
				StationInfo[bouse-200][stTakings]=StationInfo[bouse-200][stTakings]-cashdeposit;
				format(string, sizeof(string), "  You Have Withdrawn $%d from your till Total: $%d ", cashdeposit,StationInfo[bouse-200][stTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
		else
		{
			if (!PlayerToPoint(100, playerid,BizzInfo[bouse][bExitx],BizzInfo[bouse][bExity],BizzInfo[bouse][bExitz]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,cashdeposit);
				BizzInfo[bouse][bTakings]=BizzInfo[bouse][bTakings]-cashdeposit;
				format(string, sizeof(string), "  You Have Withdrawn $%d from your till Total: $%d ", cashdeposit,BizzInfo[bouse][bTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
	}
	if(strcmp(cmd, "/bizbank", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
		if (bouse == 255)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			if (bouse >= 100 && bouse < 200)
			{
				format(string, sizeof(string), "  You Have $%d in your till.", SBizzInfo[bouse-100][sbTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			else if (bouse >= 200)
			{
                format(string, sizeof(string), "  You Have $%d in your till.", StationInfo[bouse-200][stTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			else
			{
				format(string, sizeof(string), "  You Have $%d in your till.", BizzInfo[bouse][bTakings]);
				SendClientMessage(playerid, COLOR_GRAD3, string);
			}
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bizbank [amount]");
			return 1;
		}
		new cashdeposit = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /bizbank [amount]");
			SendClientMessage(playerid, COLOR_GRAD3, string);
			return 1;
		}
		if (cashdeposit > GetPlayerMoney(playerid) || cashdeposit < 1)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much");
			return 1;
		}
		if (bouse >= 100 && bouse < 200)
		{
			if(!PlayerToPoint(100, playerid,SBizzInfo[bouse-100][sbEntrancex],SBizzInfo[bouse-100][sbEntrancey],SBizzInfo[bouse-100][sbEntrancez]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,-cashdeposit);
				SBizzInfo[bouse-100][sbTakings]=SBizzInfo[bouse-100][sbTakings]+cashdeposit;
				format(string, sizeof(string), "  You Have Banked $%d to your till Total: $%d ", cashdeposit,SBizzInfo[bouse-100][sbTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
  		else if (bouse >= 200)
		{
			if(!PlayerToPoint(100, playerid,StationInfo[bouse-200][stEnterx],StationInfo[bouse-200][stEntery],StationInfo[bouse-200][stEnterz]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,-cashdeposit);
				StationInfo[bouse-200][stTakings]=StationInfo[bouse-200][stTakings]+cashdeposit;
				format(string, sizeof(string), "  You Have Banked $%d to your till Total: $%d ", cashdeposit,StationInfo[bouse-200][stTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
		else
		{
			if (!PlayerToPoint(100, playerid,BizzInfo[bouse][bExitx],BizzInfo[bouse][bExity],BizzInfo[bouse][bExitz]))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "   You are to far from your business");
				return 1;
			}
			else
			{
				GiveMoney(playerid,-cashdeposit);
				BizzInfo[bouse][bTakings]=BizzInfo[bouse][bTakings]+cashdeposit;
				format(string, sizeof(string), "  You Have Banked $%d to your till Total: $%d ", cashdeposit,BizzInfo[bouse][bTakings]);
				OnPropUpdate();
				SendClientMessage(playerid, COLOR_YELLOW, string);
				return 1;
			}
		}
	}
	if(strcmp(cmd, "/bizupgrade", true) == 0)
	{
		new bouse = PlayerInfo[playerid][pPbiskey];
  		new sbiz;
        if (PlayerInfo[playerid][pPhousekey] < 34)
		{
			sbiz = 5;
		}
		else if (PlayerInfo[playerid][pPhousekey] > 34 && PlayerInfo[playerid][pPhousekey] < 68)
		{
			sbiz = 21;
		}
  		else if (PlayerInfo[playerid][pPhousekey] > 68)
		{
			sbiz = 37;
		}
		if (bouse >= 100 && bouse < 200 || bouse >= 200)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You don't own a large business");
			return 1;
		}
		if (PlayerInfo[playerid][pInt] != BizzInfo[bouse][bInt])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You must be in your business");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bizupgrade [item number]");
			SendClientMessage(playerid, COLOR_GRAD2, "|_______ Home Supplys _______|");
			SendClientMessage(playerid, COLOR_GRAD3, "| 1: health Pickup $50000");
			SendClientMessage(playerid, COLOR_GRAD4, "| 2: Armour Pickup $100000");
			return 1;
		}
		new item = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bizupgrade [item number]");
			SendClientMessage(playerid, COLOR_GRAD2, "|_______ Home Supplys _______|");
			SendClientMessage(playerid, COLOR_GRAD3, "| 1: health Pickup $50000");
			SendClientMessage(playerid, COLOR_GRAD4, "| 2: Armour Pickup $100000");
			return 1;
		}
		switch (item)
		{
			case 1:
			{
				if(PlayerInfo[playerid][pLevel] < 5)
				{
					SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 5 To Purchase This");
					return 1;
				}
				if(GetPlayerMoney(playerid) < 50000)
				{
					SendClientMessage(playerid, COLOR_GRAD5, "You Don't have The Cash To Purchase This");
					return 1;
				}
				BizzInfo[bouse][bHel] = 1;
				GiveMoney(playerid,-50000);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+50000;//heal buisness
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			}
			case 2:
			{
				if (PlayerInfo[playerid][pLevel] < 8)
				{
					SendClientMessage(playerid, COLOR_GRAD5, "You Must Be Level 8 To Purchase This");
					return 1;
				}
				if(GetPlayerMoney(playerid) < 100000)
				{
					SendClientMessage(playerid, COLOR_GRAD5, "You Don't have The Cash To Purchase This");
					return 1;
				}
				BizzInfo[bouse][bArm] = 1;
				GiveMoney(playerid,-100000);
				SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+100000;//heal buisness
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			}
		}
			OnPropUpdate();
			OnClientUpdate(playerid);
			SendClientMessage(playerid, COLOR_GRAD5, "Your Shoppers Can Now Use /heal.");
			return 1;
	}
//----------------------------------[JOB]-----------------------------------------------

	if(strcmp(cmd, "/job", true) == 0)
	{
		if (gTeam[playerid] >= 3)
		{
			SendClientMessage(playerid, COLOR_YELLOW, objstore);
		}
		else if (gTeam[playerid] == 2)
		{
			SendClientMessage(playerid, COLOR_DBLUE, cbjstore);
		}
		return 1;
	}
//----------------------------------[KILL PLAYER]------------------------------------------------------------------
	if(strcmp(cmd, "/killp", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /killp [playerid]");
				return 1;
			}
			giveplayerid = strval(tmp);
			if (IsPlayerConnected(giveplayerid))
			{
				GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
				GetPlayerName(playerid, sendername, sizeof(sendername));
				SetPlayerHealth(giveplayerid,0);
				format(string, sizeof(string), "AdmCmd: Admin %s Killed You!",sendername);
				SendClientMessage(playerid, COLOR_RED,string);
			}
			else
			{
				format(string, sizeof(string), "AdmCmd: %d is not an active player", giveplayerid);
				SendClientMessage(playerid, COLOR_RED, string);
			}
		}
		else
		{
	    	SendClientMessage(playerid, COLOR_RED, "AdmCmd: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/kill", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		SetPlayerHealth(playerid, 0.0);
		//OnPlayerDeath(playerid, INVALID_PLAYER_ID, 255);
		return 1;
	}
	
	if(!strcmp("/pm", cmdtext, true))
	{
	    SendClientMessage(playerid, COLOR_GRAD1, "INFO: Personal messages always disabled");
	    SendClientMessage(playerid, COLOR_GRAD2, "HINT: Use cellphone for private conversation");
	    return 1;
	}
//----------------------------------[GOD]--------------------------------------------------------------------------
if(strcmp(cmdtext, "/allgod", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
		   for(new i=0; i<MAX_PLAYERS; i++)
	       {
              god[i] = 1;
		      SetPlayerHealth(i,100000);
		   }
	 	   format(string, sizeof(string), "AdmCmd: God Powers Granted",sendername);
     	   SendClientMessage(playerid, COLOR_YELLOW,string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmdtext, "/allnotgod", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
		    for(new i=0; i<MAX_PLAYERS; i++)
		    {
	           SetPlayerHealth(i,50);
	           god[i] = 0;
	        }
	 	    format(string, sizeof(string), "AdmCmd: God Powers Removed",sendername);
     	    SendClientMessage(playerid, COLOR_YELLOW,string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/god", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid)) {
		tmp = strtok(cmdtext, idx);

		if(!strlen(tmp)) {
			SendClientMessage(playerid, COLOR_WHITE, "AdmCmd: /god [Playerid]");
			return 1;
		}
		giveplayerid = strval(tmp);

		if (IsPlayerConnected(giveplayerid)) {
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			god[giveplayerid] = 1;
			SetPlayerHealth(giveplayerid, 99999.0);
			SetPlayerArmour(giveplayerid, 9999999.0);
			//SetPlayerDisabledWeapons(giveplayerid,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) Made %s God(HealthWise)(id: %d).", sendername,playerid,giveplayer,giveplayerid);
			printf(string);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) is now invincible.", giveplayer,giveplayerid);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) made you invincible.", sendername,playerid);
			SendClientMessage(giveplayerid, COLOR_RED, string);
		}
		else
		{
			format(string, sizeof(string), "AdmCmd:%d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_RED, string);
		}

		return 1;
	}
	if(strcmp(cmd, "/ungod", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid)) {
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp)) {
			SendClientMessage(playerid, COLOR_WHITE, "AdmCmd: /ungod [Playerid]");
			return 1;
		}
		giveplayerid = strval(tmp);
		if (IsPlayerConnected(giveplayerid)) {
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			SetPlayerHealth(giveplayerid, 98.0);
			SetPlayerArmour(giveplayerid, 98.0);
			god[giveplayerid] = 0;
			//SetPlayerDisabledWeapons(giveplayerid,26);//WEAPON_SAWEDOFF);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) Made %s Not God(HealthWise)(id: %d).", sendername,playerid,giveplayer,giveplayerid);
			printf(string);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) is now not invincible.", giveplayer,giveplayerid);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "AdmCmd:%s (id: %d) made you not invincible.", sendername,playerid);
			SendClientMessage(giveplayerid, COLOR_RED, string);
		}
		else {
			format(string, sizeof(string), "AdmCmd:%d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_RED, string);
		}
		return 1;
	}
//-----------------------------------[ARMOUR]-----------------------------------------------------------------------
	if (strcmp(cmdtext, "/armour", true) == 0)
	{
        if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
        {
            SetPlayerArmour(playerid,100.0);
            PlayerPlaySound(playerid, 1084, 0.0, 0.0, 0.0);
            GetPlayerName(playerid, giveplayer, sizeof(giveplayer));
            SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You restored your armor");
            //format(string,sizeof(string),"AdmCmd: %s restored his armor", giveplayer);
			//SendClientMessageToAll(COLOR_RED, string);
        }
        else
        {
            SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
        }
        return 1;
    }
    
	if(strcmp(cmd, "/givearmour", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givearmour [playerid/PartOfName] [armour]");
			return 1;
		}
		new playa;
		new armour;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		armour = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerArmour(playa, armour);
			printf("AdmCmd: %s gave %s %d Armour",sendername,  giveplayer, armour);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
 	if(strcmp(cmd, "/givehealthveh", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givehealthveh [playerid/PartOfName] [health]");
			return 1;
		}
		new playa;
		new vhealth;
		new vehicleid;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		vhealth = strval(tmp);
		vehicleid = GetPlayerVehicleID(playa);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetVehicleHealth(vehicleid, vhealth);
			printf("AdmCmd: %s gave %s %d car health",sendername,  giveplayer, vhealth);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
  	if(strcmp(cmd, "/setstars", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setstars [playerid/PartOfName] [stars]");
			return 1;
		}
		new playa;
		new wantedstars;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		wantedstars = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerWantedLevel(playa, wantedstars);
			printf("AdmCmd: %s set  %s wanted level to %d ",sendername,  giveplayer, wantedstars);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
   	if(strcmp(cmd, "/getstars", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /getstars [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new wantedstars;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			wantedstars = GetPlayerWantedLevel(playa);
			format(string,sizeof(string),"%s have %d wanted stars", giveplayer, wantedstars);
			SendClientMessage(playerid, COLOR_WHITE, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if (strcmp(cmd, "/wantedp", true) == 0)
	{
		if (gTeam[playerid] == TEAM_BLUE || PlayerInfo[playerid][pAdmin] >= 101 || IsPlayerAdmin(playerid))
		{
			new thatname[24];
			for(new i = 0; i < MAX_PLAYERS; i++)
			{
			  /*if(GetPlayerWantedLevel(i) < 1 && IsPlayerConnected(i))
			  {
	             SendClientMessage(playerid, COLOR_GRAD1, "SERVER: No such wanted player");
				 return 1;
	          }*/
				if (GetPlayerWantedLevel(i) > 0  && IsPlayerConnected(i))
				{
					new pscore = Score[i];
					new pwanted = GetPlayerWantedLevel(i);
					GetPlayerName(i,thatname,sizeof(thatname));
					format(string,sizeof(string),"Name: %s, Kills: %d, Wanted Stars: %d", thatname, pscore, pwanted);
					SendClientMessage(playerid, COLOR_WHITE, string);
					return 1;
				}
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
			 
 
//-----------------------------------[HEAL]-------------------------------------------------------------------------
	if(strcmp(cmd, "/hp", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /hp [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:health;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if(PlayerInfo[playa][pAdmin] >= 101 || IsPlayerAdmin(playa))
		{
		   SendClientMessage(playerid, COLOR_RED, "SERVER: This command blocked for this player");
		   return 1;
		}
		else
		{
		GetPlayerHealth(playa, health);
		format(string, sizeof(string), "%s have %.1f health",giveplayer, health);
		SendClientMessageToAll(COLOR_DBLUE, string);
		}
		return 1;
	}
	
	if(strcmp(cmdtext, "/healall", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 104)
	    {
			for(new i = 0; i < MAX_PLAYERS; i++)
			{
				if (IsPlayerConnected(i))
				{
					SetPlayerHealth(i, 100.0);
					GetPlayerName(i, sendername, sizeof(sendername));
					format(string, sizeof(string), "You are healed by %s", sendername);
					GameTextForAll(string, 3000, 4);
				}
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmdtext, "/armourall", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 104)
	    {
			for(new i = 0; i < MAX_PLAYERS; i++)
			{
				if (IsPlayerConnected(i))
				{
					SetPlayerArmour(i, 100.0);
					GetPlayerName(i, sendername, sizeof(sendername));
					format(string, sizeof(string), "You got the armor from %s", sendername);
					GameTextForAll(string, 3000, 4);
				}
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

	if (strcmp(cmdtext, "/ahp", true) == 0)
	{
	    if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
	  	{
			gHealPlayer[playerid] = 1;
			SetPlayerHealth(playerid, 100.0);
			PlayerPlaySound(playerid, 1084, 0.0, 0.0, 0.0);
		}
        return 1;
    }

	if (strcmp(cmd, "/heal", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new location = PlayerInfo[playerid][pLocal];
		if(!strlen(tmp))
		{
			if(location != 255)
			{
				if(location < 102)
				{
					if(HouseInfo[location][hArm] == 1)
					{
						format(string, sizeof(string), "* %s have been healed to 100 armour.", sendername);
						ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
					    SetPlayerArmour(playerid, 100);
					}
					else
					{
						format(string, sizeof(string), "This place does not have armour upgrades");
						SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
					}
					if(HouseInfo[location][hHel] == 1)
					{
						new Float:tempheal;
						GetPlayerHealth(playerid,tempheal);
						if ( tempheal < 100.0)
						{
							SetPlayerHealth(playerid,100.0);
							PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
							format(string, sizeof(string), "You have been healed to 100 health");
							SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
						}
						else
						{
							SendClientMessage(playerid, TEAM_GREEN_COLOR,"You are alredy healed to 100");
						}
					}
					else
					{
						format(string, sizeof(string), "This place does not have healing upgrades");
						SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
					}
					return 1;
				}
				else
				{
					if(BizzInfo[location-102][bArm] == 1)
					{
						format(string, sizeof(string), "* %s put's on body armour.", sendername);
						ProxDetector(30.0, playerid, string, COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE,COLOR_PURPLE);
						SetPlayerArmour(playerid, 100);
					}
					else
					{
						format(string, sizeof(string), "This place does not have armour upgrades");
						SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
					}
					if(BizzInfo[location-102][bHel] == 1)
					{
						new Float:tempheal;
						GetPlayerHealth(playerid,tempheal);
						if ( tempheal < 100.0)
						{
							SetPlayerHealth(playerid,100.0);
							PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
							format(string, sizeof(string), "You have been healed to 100 health");
							SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
						}
						else
						{
							SendClientMessage(playerid, TEAM_GREEN_COLOR,"You are alredy healed to 100");
						}
					}
					else
					{
						format(string, sizeof(string), "This place does not have healing upgrades");
						SendClientMessage(playerid, TEAM_GREEN_COLOR,string);
					}
					return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /heal [playerid/PartOfName]");
				return 1;
			}
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if (giveplayerid == playerid)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   You can not heal yourself!");
			return 1;
		}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			new giveambu = GetPlayerVehicleID(giveplayerid);
			new playambu = GetPlayerVehicleID(playerid);
			if (gTeam[playerid] == TEAM_CYAN)//model
			{
				if ((playambu >= 129 && playambu <= 131) && (playambu == giveambu))
				{
					new Float:tempheal;
					GetPlayerHealth(giveplayerid,tempheal);
					if ( tempheal >= 150.0)
					{
						SendClientMessage(playerid, TEAM_GREEN_COLOR,"   That person is fully healed.");
						return 1;
					}
					format(string, sizeof(string), "~y~You healed ~n~~w~%s~n~~g~$%d", giveplayer,mediccharge);
					//printf("AdmCmd: %s has jailed %s.", sendername, giveplayer);
					GiveMoney(playerid,mediccharge);
					GiveMoney(giveplayerid,-mediccharge);
					GameTextForPlayer(playerid, string, 5000, 1);
					SetPlayerHealth(giveplayerid,150.0);
					PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
					PlayerPlaySound(giveplayerid, 1150, 0.0, 0.0, 0.0);
					if(gTeam[giveplayerid] == TEAM_CYAN)
					{
						format(string, sizeof(string), "You have been healed to 150 health -$ free",mediccharge);
						SendClientMessage(giveplayerid, TEAM_GREEN_COLOR,string);
						return 1;
					}
					else
					{
						format(string, sizeof(string), "You have been healed to 150 health -$%d",mediccharge);
						SendClientMessage(giveplayerid, TEAM_GREEN_COLOR,string);
						PlayerInfo[playerid][pWA]++;
						if(PlayerInfo[playerid][pWA] >= 20)
						{
							PlayerInfo[playerid][pExp]++;
							PlayerInfo[playerid][pWA] = 0;
							SendClientMessage(playerid, COLOR_YELLOW, "You are getting stronger Exp +1");
						}
					}

				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD1, "   one of you is not in the ambulance!");
					return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
				return 1;
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
//--------------------------------[ORBIT]---------------------------------------------------------------|
	if(strcmp(cmd, "/orbit", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /orbit [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:shealth;
		new Float:slx, Float:sly, Float:slz;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
            gOrbitPlayer[playa] = 1;
			GetPlayerHealth(playa, shealth);
			SetPlayerHealth(playa, shealth-5);
			GetPlayerPos(playa, slx, sly, slz);
			SetPlayerPos(playa, slx, sly, slz+500000);
			PlaySoundAll(playa, 1130, slx, sly, slz+5);
			printf("AdmCmd: %s orbited %s",sendername,  giveplayer);
			format(string, sizeof(string), "AdmCmd: %s was sent into orbit by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd,"/unorbit",true)==0 && PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid)){
		new playa;
	    tmp=strtok(cmdtext,idx);
	    if(!strlen(tmp))
	    {
	        SendClientMessage(playerid,COLOR_GRAD2,"USAGE: /unorbit [plyerid/part of name]");
	        return 1;
	    }
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
 }
if(IsPlayerConnected(playa)){
			new Float:slx, Float:sly, Float:slz;
			GetPlayerPos(playa,slx,sly,slz);
			SetPlayerPos(playa,slx,sly,1350);
			GivePlayerWeapon(playerid,46,1);
			gOrbitPlayer[playa] = 0;
			//format(string,sizeof(string),);
	    }
	    else{SendClientMessage(playerid,COLOR_GRAD2,"Player does not exist");}

		return 1;
	}
//------------------------------------[VILLAGE BIZ]---------------------------------------------------------------------|
	if(strcmp(cmd, "/bagt", true) == 0)
	{
		if (!PlayerToPoint(100, playerid,501.980987, -69.150199, 998.834960))//centerpoint 24-7
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are not in a 24-7");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /bagt [item number]");
			SendClientMessage(playerid, COLOR_GREEN, "|_______ 24-7 _______|");
			SendClientMessage(playerid, COLOR_GRAD1, "| 1: Cell Phone $500");
			SendClientMessage(playerid, COLOR_GRAD2, "| 2: CD Player $1000");
			SendClientMessage(playerid, COLOR_GRAD3, "| 3: Phone Book $500");
			SendClientMessage(playerid, COLOR_GRAD4, "| 4: Camera $500");
			SendClientMessage(playerid, COLOR_GRAD5, "| 5: Vehicle Key $5000");
			SendClientMessage(playerid, COLOR_GRAD5, "| 6: Vehicle Lock $10000");
			SendClientMessage(playerid, COLOR_GRAD5, "| 7: San Andreas Map $1000");
			SendClientMessage(playerid, COLOR_GREEN, "|----------------------------------|");
			return 1;
		}
		new item = strval(tmp);
		if(BizzInfo[17][bProd] == 0)
		{
			GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
			return 1;
		}
		if (item == 1 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			new randphone = 1000 + random(8999);//minimum 1000  max 9999
			PlayerInfo[playerid][pPnumber] = randphone;
			format(string, sizeof(string), "Mobile Phone Purchased Your New Number Is %d", randphone);
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_GRAD5, "You Can Check This Anytime By Typing /level");
			SendClientMessage(playerid, COLOR_WHITE, "HINT: You can now type /help to see your cell phone commands.");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 2 && GetPlayerMoney(playerid) > 1000)
		{
			GiveMoney(playerid,-1000);
			BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+1000;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
            CDPlayer[playerid]=1;
   			format(string, sizeof(string), "CD Player Purchased You Can Look Up Any Players Number");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /music.");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 3 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			gPhoneBook[playerid] = 1;
			format(string, sizeof(string), "Phone Book Purchased You Can Look Up Any Players Number");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /number <id/name>.");
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
  		if (item == 4 && GetPlayerMoney(playerid) > 500)
		{
			GiveMoney(playerid,-500);
			BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+500;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			GivePlayerWeapon(playerid, 43, 50);
			format(string, sizeof(string), "Camera Purchased You Can Photo Any Players");
			SendClientMessage(playerid, COLOR_GRAD4, string);
			format(string, sizeof(string), "~r~-$%d", 500);
			GameTextForPlayer(playerid, string, 5000, 1);
			return 1;
		}
		if (item == 5 && GetPlayerMoney(playerid) > 5000)
		{
			if (gLastCar[playerid] != 0)
			{
				if(HireCar[playerid] != -1)
				{
					gCarLock[HireCar[playerid]] = 0;
					UnLockCar(HireCar[playerid]);
					HireCar[playerid] = -1;
				}
				GiveMoney(playerid,-5000);
				BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+5000;
				BizzInfo[17][bProd]--;
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				HireCar[playerid] = gLastCar[playerid];
				format(string, sizeof(string), "Key Purchased You Can Lock Your Last Vehicle.");
				SendClientMessage(playerid, COLOR_GRAD4, string);
				SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /lock ");
				format(string, sizeof(string), "~r~-$%d", 5000);
				GameTextForPlayer(playerid, string, 5000, 1);
			}
			else
			{
				SendClientMessage(playerid, COLOR_WHITE, "You Don't Have A Vehicle To Fit It To");
			}
			return 1;
		}
		if (item == 6 && GetPlayerMoney(playerid) > 5000)
		{
			if(PlayerInfo[playerid][pPhousekey] != 255)
			{
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) == 1 && HireCar[PlayerInfo[playerid][pPhousekey]+1])
					{
						HireCar[i] = -1;
					}
				}
				GiveMoney(playerid,-10000);
				BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+10000;
				BizzInfo[17][bProd]--;
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				format(string, sizeof(string), "New Lock's Purchased.");
				SendClientMessage(playerid, COLOR_GRAD4, string);
				SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /lock ");
				format(string, sizeof(string), "~r~-$%d", 10000);
				GameTextForPlayer(playerid, string, 5000, 1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
		}
		return 1;
	}
 	if (item == 7 && GetPlayerMoney(playerid) > 1000)
		{
				gMap[playerid] = 1;
				GiveMoney(playerid,-1000);
				BizzInfo[17][bTakings] = BizzInfo[17][bTakings]+1000;
				BizzInfo[17][bProd]--;
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				format(string, sizeof(string), "San Andreas Map Purchased.");
				SendClientMessage(playerid, COLOR_GRAD4, string);
				SendClientMessage(playerid, COLOR_WHITE, "HINT: Type /map ");
				format(string, sizeof(string), "~r~-$%d", 10000);
				GameTextForPlayer(playerid, string, 5000, 1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE, "You don't have the cash for that");
		    return 1;
	    }
   }


	if(strcmp(cmd, "/map", true) == 0 && gMap[playerid] == 1)
	{
		new map[4];
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			format(string, sizeof(string), "USAGE: /map [number]");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			SendClientMessage(playerid, COLOR_GRAD2,string);
			SendClientMessage(playerid, COLOR_GRAD3, "(on) Show all icons on map");
			SendClientMessage(playerid, COLOR_GRAD3, "(off) Map icons off ");
			SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
			return 1;
		}
		strmid(map, tmp, 0, strlen(cmdtext), 255);
		if ((strcmp(map, "on", true, strlen(map)) == 0))
		{
		    SendClientMessage(playerid, COLOR_GRAD6, "Bank icons enabled on map");
		    SetPlayerMapIcon(playerid,4, 1685.7010, -2238.9878, 13.5469, 5, 0 );//LS AIRPORT
		    SetPlayerMapIcon(playerid,5, 1172.7814, -1323.2966, 15.4008, 22, 0 );//LS HOSPITAL
		    SetPlayerMapIcon(playerid,6, 1553.6995, -1676.3978, 16.1953, 30, 0 );//LS POLICE DEP.
		    SetPlayerMapIcon(playerid,7, 1045.7717, -1021.0801, 41.9142, 27, 0 );//LS TRANSF
		    SetPlayerMapIcon(playerid,8, 1872.4092,-1683.7690,58.2204, 48, 0 );//LS CLUB
      		SetPlayerMapIcon(playerid,9, -1410.0344,-284.8498,25.4375, 5, 0 );//SF AIRPORT
			SetPlayerMapIcon(playerid,10, -2665.0537, 638.9373, 14.4531, 22, 0 );//SF HOSPITAL
			SetPlayerMapIcon(playerid,11, -1615.4689, 703.4023, 48.9375, 30, 0 );//SF POLICE
			SetPlayerMapIcon(playerid,12, -2715.9470, 217.1238, 4.3492, 27, 0 );//SF WCC
			SetPlayerMapIcon(playerid,13, -2653.7292, 1415.4403, 27.9688, 48, 0 );//SF CLUB
			SetPlayerMapIcon(playerid,14, 1666.2941, 1447.7584, 27.0245, 5, 0 );//LV AIRPORT
			SetPlayerMapIcon(playerid,15, 1607.3296, 1815.9568, 27.0245, 22, 0 );//LV HOSPITAL
			SetPlayerMapIcon(playerid,16, 2277.3008, 2457.3555, 38.6837, 30, 0 );//LV POLICE DEP.
			SetPlayerMapIcon(playerid,17, 2386.9011, 1048.3019, 10.8203, 27, 0 );//LV TRANSF
			SetPlayerMapIcon(playerid,18, 2506.9089, 1226.1328, 20.3070, 48, 0 );//LV CLUB
		}
		else if ((strcmp(map, "off", true, strlen(map)) == 0))
		{
			SendClientMessage(playerid, COLOR_GRAD6, "Map icons off");
			for (new i = 4; i < 19; i++)
			{
				RemovePlayerMapIcon(playerid, i);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD6, "   Unrecognized Option.");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/music", true) == 0 && CDPlayer[playerid] == 1)
	{
	    if(IsPlayerConnected(playerid))
	    {
		        new x_nr[256];
				x_nr = strtok(cmdtext, idx);
				if(!strlen(x_nr)) {
					SendClientMessage(playerid, COLOR_WHITE, "|__________________ Music __________________|");
					SendClientMessage(playerid, COLOR_WHITE, "USAGE: /music [name]");
			  		SendClientMessage(playerid, COLOR_GREY, "Available names: On, Off, Next");
					SendClientMessage(playerid, COLOR_WHITE, "|___________________________________________|");
					return 1;
				}
			    if(strcmp(x_nr,"on",true) == 0)
				{
				    new channel = music[playerid];
				    GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~g~CD Player On", 5000, 5);
				    PlayerPlaySound(playerid, songs[channel][0], 0.0, 0.0, 0.0);
				}
	            else if(strcmp(x_nr,"off",true) == 0)
				{
				    GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~r~CD Player Off", 5000, 5);
				    PlayerFixRadio(playerid);
				}
				else if(strcmp(x_nr,"next",true) == 0)
				{
				    if(music[playerid] == 0) { music[playerid] = 1; }
				    else if(music[playerid] == 1) { music[playerid] = 2; }
				    else if(music[playerid] == 2) { music[playerid] = 3; }
				    else if(music[playerid] == 3) { music[playerid] = 4; }
				    else if(music[playerid] == 4) { music[playerid] = 5; }
				    else if(music[playerid] == 5) { music[playerid] = 6; }
				    else if(music[playerid] == 6) { music[playerid] = 0; }
				    new channel = music[playerid];
				    PlayerPlaySound(playerid, songs[channel][0], 0.0, 0.0, 0.0);
				}
				else
				{
				    SendClientMessage(playerid, COLOR_GREY, "   Unknown music command !");
				    return 1;
				}
			}
			else
			{
			    SendClientMessage(playerid, COLOR_GREY, "   You don't have a CD-Player !");
			    return 1;
	    }
	    return 1;
	}

/*
	if(strcmp(cmd, "/sellcar", true) == 0)
	{
		if (!PlayerToPoint(3, playerid,SBizzInfo[50][sbEntrancex], SBizzInfo[50][sbEntrancey], SBizzInfo[50][sbEntrancez]))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   You are far from businesses");
			return 1;
		}
  		if(SBizzInfo[50][sbLock] == 1)
		{
		GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
		return 1;
		}
		if (GetPlayerState(playerid)==1)
        {
        SendClientMessage(playerid,COLOR_YELLOW,"This command you should write in the car.");
        return 1;
        }
			if(SBizzInfo[50][sbProd] == 0)
			{
				GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
				return 1;
			}
				GameTextForPlayer(playerid, "~w~You~n~~g~sellcar", 5000, 1);
				GiveMoney(playerid, 10000);
				SetVehicleToRespawn(GetPlayerVehicleID(playerid));
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				SBizzInfo[50][sbTakings] = SBizzInfo[50][sbTakings]+10000;//
				SBizzInfo[50][sbProd]--;
		return 1;
	}
*/
//-------------------------------------------[AIRWAYS]----------------------------------------------------------------------------|
	if(strcmp(cmd, "/air", true) == 0)
	{
        new sbiz;
		if (PlayerToPoint(3, playerid,SBizzInfo[14][sbEntrancex], SBizzInfo[14][sbEntrancey], SBizzInfo[14][sbEntrancez]))
		{
			sbiz = 14;
		}
		else if(PlayerToPoint(3, playerid,SBizzInfo[32][sbEntrancex], SBizzInfo[32][sbEntrancey], SBizzInfo[32][sbEntrancez]))
		{
		    sbiz = 32;
		}
  		else if(PlayerToPoint(3, playerid,SBizzInfo[50][sbEntrancex], SBizzInfo[50][sbEntrancey], SBizzInfo[50][sbEntrancez]))
		{
		    sbiz = 50;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You are not close to airport");
			return 1;
		}
		if(GetPlayerMoney(playerid) < SBizzInfo[sbiz][sbEntcost])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cant afford this");
			return 1;
		}
		if (GetPlayerState(playerid) == 2)
		{
	         SendClientMessage(playerid, COLOR_GRAD1, "You must be on foot");
	         return 1;
		}
		if(SBizzInfo[sbiz][sbLock] == 1)
		{
			GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
            SendClientMessage(playerid, COLOR_GREEN, "|_______ Air Lines_______|");
			SendClientMessage(playerid, COLOR_WHITE, "USAGE: /air [town id]");
            SendClientMessage(playerid, COLOR_WHITE, "1.LS - Los Santos");
            SendClientMessage(playerid, COLOR_WHITE, "2.SF - San Fiero");
            SendClientMessage(playerid, COLOR_WHITE, "3.LV - Las Venturas");
			SendClientMessage(playerid, COLOR_GREEN, "|----------------------------------|");
			return 1;
		}
		new item = strval(tmp);
				if(SBizzInfo[sbiz][sbProd] == 0)
		{
			GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
			return 1;
		}
		if (item == 1 && GetPlayerMoney(playerid) > SBizzInfo[sbiz][sbEntcost])
		{
			GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];//Air buisness
			SBizzInfo[sbiz][sbProd]--;
			SetPlayerPos(playerid, 1685.7216,-2238.1912,13.5469);
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~r~-$%d", 5000);
			GameTextForPlayer(playerid, "~w~You~n~~g~Flying to Los Santos", 5000, 1);
			return 1;
            }
        if (item == 2 && GetPlayerMoney(playerid) > SBizzInfo[sbiz][sbEntcost])
		{
			GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];//Air buisness
			SBizzInfo[sbiz][sbProd]--;
           	SetPlayerPos(playerid, -1421.4572,-287.2532,14.1484);
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~r~-$%d", 5000);
			GameTextForPlayer(playerid, "~w~You~n~~g~Flying to San Fiero", 5000, 1);
			return 1;
		}
        if (item == 3 && GetPlayerMoney(playerid) > SBizzInfo[sbiz][sbEntcost])
		    {
			GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];//Air buisness
			SBizzInfo[sbiz][sbProd]--;
			SetPlayerPos(playerid, 1663.8275,1472.5382,10.7813);
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			format(string, sizeof(string), "~r~-$%d", 5000);
			GameTextForPlayer(playerid, "~w~You~n~~g~Flying to Las Venturas", 5000, 1);
			return 1;
		}
		return 1;
	}
//-----------------------------------[ADMINS FUN]-------------------------------------------------------------------------
	if(strcmp(cmd,"/world",true)==0 && PlayerInfo[playerid][pAdmin]>=105)
	{
	    tmp = strtok(cmdtext,idx);
		SetPlayerVirtualWorld(playerid,strval(tmp));
	    return 1;
	}
	if(strcmp(cmd,"/cworld",true)==0)
	{
		new world=GetPlayerVirtualWorld(playerid);
		format(string,sizeof(string),"You are in world %d",world);
		SendClientMessage(playerid,COLOR_YELLOW,string);
	    return 1;
	}
 	if(strcmp(cmd, "/setworld", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setworld [playerid/PartOfName] [number]");
			return 1;
		}
		new playa;
		new world;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		world = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
            SetPlayerVirtualWorld(playa,world);
			printf("AdmCmd: %s set world %s to %d",sendername,  giveplayer, world);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/ba", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
		    SendClientMessageToAll(COLOR_GRAD1,"You're banned from the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/lo", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
		    SendClientMessageToAll(COLOR_GRAD1,"Lost connection to the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
    }

    if(strcmp(cmd, "/er", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			SendClientMessageToAll(COLOR_GRAD1,"Error.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/reljoin", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
		    SendClientMessageToAll(COLOR_GRAD1,"*** [TDM]Relax has Joined the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/relleft", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			SendClientMessageToAll(COLOR_GRAD1,"*** [TDM]Relax has left the server.(Leaving)");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/reltime", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
	   	    SendClientMessageToAll(COLOR_GRAD1,"*** [TDM]Relax has left the server.(timeout)");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/relkick", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
		    SendClientMessageToAll(COLOR_GRAD1,"*** [TDM]Relax has left the server.(Kicked)");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/kickedrel", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
            SendClientMessageToAll(COLOR_RED,"AdmCmd: [TDM]Relax has been Kicked by FoxTrot (Reason: Beasteality)");
		    SendClientMessageToAll(COLOR_GRAD1,"*** [TDM]Relax has left the server.(Kicked)");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmd, "/devsjoined", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			SendClientMessageToAll(COLOR_GRAD1,"*** littlewhitey has joined the server.");
			SendClientMessageToAll(COLOR_GRAD1,"*** Y_Less has joined the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
  	}
  
    if(strcmp(cmd, "/warning", true) == 0)
	{
  		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /warning [playerid] [text]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
  		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /warning [playerid] [text]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			format(string, sizeof(string), "ADMCENTER: %s", result);
			SendClientMessage(playa, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[8ball]-----------------------------------------------
	if(strcmp(cmd, "/8ball", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /8ball [8ball text]");
			return 1;
		}
		format(string, sizeof(string), "%s, Sender: 8 Ball (555)",result);
		if (gTeam[playerid] < 3){SendClientMessage(playerid, COLOR_YELLOW, string);}
		SendEnemyMessage(COLOR_YELLOW, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gPlayerSpawned[i])
			{
				if(gTeam[i] >= 3)
				{
					RingTone[i] =20;
				}
			}
		}
		printf("8 Ball: %s", result);
		return 1;
	}
	
//-------------------------------------------[ICONS]------------------------------------------------------|
if(strcmp(cmdtext, "/iconall", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
		for(new i=0; i<MAX_PLAYERS; i++) SetPlayerColor(i,0xFFFFFFFF);
		for(new i=1; i<MAX_PLAYERS; i++) ShowNameTags(i);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
if(strcmp(cmdtext, "/noiconall", true) == 0) {
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
		for(new i=0; i<MAX_PLAYERS; i++) SetPlayerColor(i,0x0000FF00);
		for(new i=0; i<MAX_PLAYERS; i++) ShowNameTags(i);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmdtext, "/noicon", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
	{
		SetPlayerColor(playerid,0x0000FF00);
		ShowNameTags(0);
        return 1;
	}
	if(strcmp(cmdtext, "/icon", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
	{
		SetPlayerColor(playerid,0x0000FFFF);
		ShowNameTags(1);
		return 1;
	}
	if (strcmp(cmdtext, "/iconcolors", true)==0 && PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
	{
		SendClientMessage(playerid, COLOR_GREEN,"Available commands:");
		SendClientMessage(playerid, COLOR_YELLOW,"/magenta, /medgreen, /lightred, /darkmagenta, /lightblue,");
		SendClientMessage(playerid, COLOR_YELLOW,"/darkpurple, /lightbrown, /pink, /orange, /violet");
		SendClientMessage(playerid, COLOR_YELLOW,"/lightcyan, /red, /lightbluegreen, /gold, /grayblue");
		SendClientMessage(playerid, COLOR_YELLOW,"/bluegreen, /neutralblue, /white, /wipe, /lemon, /lightgreen");
		return 1;
	}
	if(strcmp(cmdtext, "/magenta", true) == 0)
	{
		SetPlayerColor(playerid, 0xA587DE0BA354);
		return 1;
	}
	if(strcmp(cmdtext, "/medgreen", true) == 0)
	{
		SetPlayerColor(playerid, 0x9CDE7180);
		return 1;
	}

	if(strcmp(cmdtext, "/lightred", true) == 0)
	{
		SetPlayerColor(playerid, 0xFF99AADD);
		return 1;
	}

	if(strcmp(cmd, "/darkmagenta", true) == 0)
	{
		SetPlayerColor(playerid, 0xA7105DEF);
		return 1;
	}


    if(strcmp(cmdtext, "/lightblue", true) == 0)
	{
		SetPlayerColor(playerid, 0x33CCFFAA);
		return 1;
	}


    if(strcmp(cmdtext, "/lightgreen", true) == 0)
	{
		SetPlayerColor(playerid, 0x24FF0AB9);
		return 1;
	}


    if(strcmp(cmdtext, "/lemon", true) == 0)
	{
		SetPlayerColor(playerid, 0xDDDD2357);
		return 1;
	}


    if(strcmp(cmdtext, "/orangered", true) == 0)
	{
		SetPlayerColor(playerid, 0xE9370DFC);
		return 1;
	}


    if(strcmp(cmdtext, "/yellow", true) == 0)
	{
		SetPlayerColor(playerid, 0xFFFF00AA);
		return 1;
	}


    if(strcmp(cmdtext, "/darkgreen", true) == 0)
	{
		SetPlayerColor(playerid, 0x12900BBF);
		return 1;
	}


    if(strcmp(cmdtext, "/medblue", true) == 0)
	{
		SetPlayerColor(playerid, 0x63AFF00A);
		return 1;
	}


    if(strcmp(cmdtext, "/darkpurple", true) == 0)
	{
		SetPlayerColor(playerid, 0x800080AA);
		return 1;
	}


    if(strcmp(cmdtext, "/lightbrown", true) == 0)
	{
		SetPlayerColor(playerid, 0x99934EFA);
		return 1;
	}


    if(strcmp(cmdtext, "/pink", true) == 0)
	{
		SetPlayerColor(playerid, 0xFF66FFAA);
		return 1;
	}
	
    if(strcmp(cmdtext, "/smithpink", true) == 0)
	{
		SetPlayerColor(playerid, 0xFF1493FF);
		return 1;
	}

    if(strcmp(cmdtext, "/orange", true) == 0)
	{
		SetPlayerColor(playerid, 0xFF9900AA);
		return 1;
	}


    if(strcmp(cmdtext, "/black", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) && IsPlayerConnected(playerid) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			SetPlayerColor(playerid, 0x00000000);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}


    if(strcmp(cmdtext, "/violet", true) == 0)
	{
		SetPlayerColor(playerid, 0x9955DEEE);
		return 1;
	}


    if(strcmp(cmdtext, "/lightcyan", true) == 0)
	{
		SetPlayerColor(playerid, 0xAAFFCC33);
		return 1;
	}


    if(strcmp(cmdtext, "/red", true) == 0)
	{
		SetPlayerColor(playerid, 0xAA3333AA);
		return 1;
	}

    if(strcmp(cmdtext, "/red2", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
			SetPlayerColor(playerid, 0xFF0000AA);
			format(string,sizeof(string),"~r~Kill the red markers!", nick, msg);
			GameTextForAll(string,5000,1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

    if(strcmp(cmdtext, "/lightbluegreen", true) == 0)
	{
		SetPlayerColor(playerid, 0x0FFDD349);
		return 1;
	}

    if(strcmp(cmdtext, "/gold", true) == 0)
	{
		SetPlayerColor(playerid, 0xDEAD4370);
		return 1;
	}

    if(strcmp(cmdtext, "/grayblue", true) == 0)
	{
		SetPlayerColor(playerid, 0x8D8DFFAA);
		return 1;
	}

    if(strcmp(cmdtext, "/bluegreen", true) == 0)
	{
		SetPlayerColor(playerid, 0x46BBAA00);
		return 1;
	}


    if(strcmp(cmdtext, "/neutralblue", true) == 0)
	{
		SetPlayerColor(playerid, 0xABCDEF01);
		return 1;
	}

    if(strcmp(cmdtext, "/white", true) == 0)
	{
		SetPlayerColor(playerid, 0xFFFFFFAA);
		return 1;
	}
	
    if(strcmp(cmd, "/invis", true) == 0)
    {
        tmp = strtok(cmdtext,idx);
        if (!strlen(tmp))
        {
            SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /invis [status]");
            return 1;
        }
        new invstatus = strval(tmp);
        if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
        {
	        for (new i = 0; i < MAX_PLAYERS; i++)
	   		{
	   		    if(IsPlayerConnected(i))
	   		    {
			   		ShowPlayerNameTagForPlayer(i, playerid, invstatus);
			    }
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
        return 1;
    }
//-------------------------------------------[LOTTO]----------------------------------------------------|
	if(strcmp(cmd, "/lotto", true) == 0)
	{
		tmp = strtok(cmdtext,idx);
		//new string[256];
		if(!strlen(cmd) || strval(tmp) < 1 || strval(tmp) > 250)
		{
			SendClientMessage(playerid,COLOR_LIGHTBLUE,"SYNTAX: /lotto [ticketnumber] (make it 1-250)");
			format(string, sizeof(string), "XP Lotto Pool of %d", gLottoPool);
			SendClientMessage(playerid, COLOR_YELLOW, string);
			return 1;
		}
		if(PlayerInfo[playerid][pExp] <= 0)
		{
			SendClientMessage(playerid,COLOR_LIGHTBLUE,"You do not have any XP to bet.");
			return 1;
		}
		if(gLottoTicket[playerid] == 0)
		{
			gLottoTicket[playerid] = strval(tmp);
			PlayerInfo[playerid][pExp]--;
			format(string,sizeof(string),"You paid 1 xp for lottery ticket with the number %d",strval(tmp));
			SendClientMessage(playerid, COLOR_LIGHTBLUE, string);
			gLottoPool++;
			return 1;
		}
		else
		{
			format(string,sizeof(string),"XP Lotto Pool of %d",gLottoPool);
			SendClientMessage(playerid,COLOR_YELLOW,string);
			format(string,sizeof(string),"You have a lottery ticket number %d",gLottoTicket[playerid]);
			SendClientMessage(playerid,COLOR_LIGHTBLUE,string);
		}
		return 1;
	}
	
	if(strcmp(cmd, "/lottopool", true) == 0)
	{
	    if(IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] >= 105)
	    {
		    tmp = strtok(cmdtext,idx);
		    gLottoPool = strval(tmp);
		}
	    return 1;
	}
	
	if(strcmp(cmd, "/forcelotto", true) == 0)
	{
	    if(IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] >= 105)
	    {
			gLottoTime = 0;
			LottoTime();
		}
		return 1;
	}
//-------------------------------------------[SERVER CONTROL]-------------------------------------------|
	if(strcmp(cmdtext,"/lockserver",true) == 0)
	{
	 	if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
	  	{
			glocked = 1;
	   	    SendClientMessage(playerid, COLOR_RED, "AdmCmd: The Server has been Locked, No incoming players may join.");
		}
	}
	if(strcmp(cmdtext,"/unlockserver",true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			glocked = 0;
			SendClientMessage(playerid, COLOR_DGREEN, "AdmCmd: The Server has been UnLocked, incoming players may join.");
		}
	}
	if(strcmp(cmdtext,"/lockserverban",true) == 0)
	{
 		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
  		{
   			gblocked = 1;
    	    SendClientMessage(playerid, COLOR_RED, "AdmCmd: The Server has been BanLocked, incoming players WILL BE BANNED ON SIGHT.");
		}
	}
	if(strcmp(cmdtext,"/unlockserverban",true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			gblocked = 0;
			SendClientMessage(playerid, COLOR_DGREEN, "AdmCmd: The Server has been UnLocked, incoming players may join.");
		}
	}
	if(strcmp(cmdtext,"/lockrcon",true) == 0)
	{
 		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
  		{
   			gHacked = 1;
    	    SendClientMessage(playerid, COLOR_RED, "AdmCmd: The Server has been BanLocked, incoming players WILL BE BANNED ON SIGHT.");
		}
	}
	if(strcmp(cmdtext,"/unlockrcon",true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			gHacked = 0;
			SendClientMessage(playerid, COLOR_DGREEN, "AdmCmd: The Server has been UnLocked, incoming players may join.");
		}
	}
	if(strcmp(cmd, "/servername", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));

	    tmp = strtok(cmdtext, idx);
	    if(!strlen(tmp)) return SendClientMessage(playerid, COLOR_RED,"USAGE: /servername [newname]");
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] >= 106)
		{
			format(tmp,sizeof(tmp),"hostname %s",cmdtext[11]);
			SendRconCommand(tmp);
			GetPlayerName(playerid, sendername, sizeof(sendername));
			format(string, sizeof(string), "AdmCMD: %s(%i) changed the name server to: %s",sendername, playerid, cmdtext[11]);
			SendClientMessageToAll(COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
	    return 1;
	}
	
	if(strcmp(cmd, "/mapname", true) == 0)
	{
 		GetPlayerName(playerid, sendername, sizeof(sendername));
	    tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED,"USAGE: /mapname [newname]");
			return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] >= 106)
		{
			format(tmp,sizeof(tmp),"mapname %s",cmdtext[8]);
			SendRconCommand(tmp);
			GetPlayerName(playerid, sendername, sizeof(sendername));
			format(string, sizeof(string), "AdmCMD: %s(%i) changed map name to: %s",sendername, playerid, cmdtext[8]);
			SendClientMessageToAll(COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}
	
 	if(strcmp(cmd, "/reloadbans", true) == 0)
	{
	    GetPlayerName(playerid, sendername, sizeof(sendername));
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] >= 106)
		{
			SendClientMessage(playerid, COLOR_RED, "  Ban list successfully updated.");
			SendRconCommand("reloadbans");
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}
	
	if(strcmp(cmd, "/reloadlogs", true) == 0)
	{
	    GetPlayerName(playerid, sendername, sizeof(sendername));
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] == 106)
		{
			SendRconCommand("reloadlogs");
			SendClientMessage(playerid, COLOR_RED, "  Server logfile successfully updated.");
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}
	
	if(strcmp(cmd, "/loadfs", true) == 0)
	{
	    tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /loadfs [text]");
			return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] == 106)
		{
				format(string,sizeof(string),"loadfs %s",tmp);
				SendRconCommand(string);
				format(string,sizeof(string),"AdmCMD: if this FS exists, then %s.amx is loaded",tmp);
				SendClientMessage(playerid,COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}

	if(strcmp(cmd,"/unloadfs",true) == 0)
	{
	    tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /unloadfs [text]");
			return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] == 106)
		{
			format(string,sizeof(string),"unloadfs %s",tmp);
			SendRconCommand(string);
			format(string,sizeof(string),"AdmCMD: if this FS loaded, then %s.amx unloaded",tmp);
			SendClientMessage(playerid,COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}
	
 	if(strcmp(cmd,"/reloadfs",true) == 0)
	{
	    tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /reloadfs [text]");
			return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] == 106)
		{
			format(string,sizeof(string),"reloadfs %s",tmp);
			SendRconCommand(string);
			format(string,sizeof(string),"AdmCMD: if this FS exists, then %s.amx reloaded",tmp);
			SendClientMessage(playerid,COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}

	if(strcmp(cmd,"/changemode",true) == 0)
	{
	    GetPlayerName(playerid, sendername, sizeof(sendername));

	    tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /changemode [mode name]");
			return 1;
		}
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
		    return 1;
		}
		if(PlayerInfo[playerid][pAdmin] == 106)
		{
			format(string,sizeof(string),"changemode %s",tmp);
			SendRconCommand(string);
			format(string,sizeof(string),"AdmCMD: Changing of gamemode to %s...",tmp);
			SendClientMessage(playerid,COLOR_YELLOW,string);
		}
		else
	    {
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
	    }
		return 1;
	}
	
	if (strcmp(cmd, "/players", true) == 0)
	{
	    format(string,sizeof(string),"Server Information: %d/%d", numplayers, GetMaxPlayers());
		SendClientMessage(playerid,TEAM_VAGOS_COLOR,string);
  		SendClientMessage(playerid, COLOR_GRAD1, "Players Online:");
  		SendClientMessage(playerid, COLOR_GRAD2, "Score[Kills]        Player[Nick]");
		//for(new i = 0; i <= MAX_PLAYERS; i++)
		for(new i = 0; i <= 5; i++)
		{
			if(IsPlayerConnected(i))
			{
				GetPlayerName(i, sendername, sizeof(sendername));
				format(string, 256, "[%d]        [%s]", Score[i], sendername);
				SendClientMessage(playerid, COLOR_GRAD2, string);
			}
		}
		return 1;
	}
	
	if (strcmp(cmd, "/spree", true) == 0)
	{
  		SendClientMessage(playerid, TEAM_VAGOS_COLOR, "Better Spree Players:");
  		SendClientMessage(playerid, COLOR_GRAD2, "Score[Kills]        Player[Nick]");
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gSpreeStatus[i] != 0)
			{
				GetPlayerName(i, sendername, sizeof(sendername));
				format(string, 256, "[%d]        [%s]", gSpree[i], sendername);
				SendClientMessage(playerid, COLOR_GRAD2, string);
			}
		}
		return 1;
	}
  
	if (strcmp(cmd, "/acheck", true) == 0)
	{
	    tmp = strtok(cmdtext, idx);
		if (!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /acheck [playerid]");
			return 1;
		}
		new playa = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			if (PlayerInfo[playa][pAdmin] > 101 && IsPlayerConnected(playerid))
			{
				format(string, sizeof(string), "AdmNote: %s is Admin Level %d", giveplayer,  PlayerInfo[playa][pAdmin]);
				SendClientMessage(playerid, COLOR_RED, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You are not authorized to use that command!");
		}
		return 1;
	}
//-----------------------------------[PLAYER INFO]----------------------------------------------------
	if(!strcmp(cmd,"/decode",true))
	{
	    tmp=strtok(cmdtext,idx);
	    Decript(tmp);
	    format(string,sizeof(string),"%s is the password",tmp);
	    SendClientMessage(playerid,COLOR_RED,string);
	    return 1;
	}
	
	if(strcmp(cmd, "/force", true) == 0)
	{
	    GetPlayerName(playerid, sendername, sizeof(sendername));

		tmp = strtok(cmdtext, idx);
		if	(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GREEN, "USAGE: /force [playerid]");
			return 1;
		}
		giveplayerid = strval(tmp);
		GetPlayerName(playerid, sendername, sizeof(sendername));
		GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
		if (gPlayerLogged[playerid] == 0)
		{
		    SendClientMessage(playerid, COLOR_RED, "  You are not logged in");
			return 1;
		}
  		if(PlayerInfo[playerid][pAdmin] >= 106)
		{
			if(IsPlayerConnected(giveplayerid))
			{
				format(string, sizeof(string), "AdmCMD: You made %s(%i) to change skin", giveplayer, giveplayerid);
				SendClientMessage(playerid, COLOR_YELLOW, string);
				SetPlayerHealth(giveplayerid, 0.0);
				ForceClassSelection(giveplayerid);
				format(string, sizeof(string), "AdmCMD: %s(%i) change skin", sendername, playerid);
				SendClientMessage(giveplayerid, COLOR_YELLOW, string);
			}
			else
			{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_RED, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/seepms", true) == 0)
	{
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 106)
		{
			if (PlayerInfo[playerid][pPMs] == 0)
			{
				GetPlayerName(playerid, sendername, sizeof(sendername));
				PlayerInfo[playerid][pPMs] = 1;
				format(string, sizeof(string), "AdmChat: %s(%i) is now able to watch PM players.", sendername, playerid);
				SendAdminMessage(COLOR_YELLOW, string);
			}
			else
			{
                GetPlayerName(playerid, sendername, sizeof(sendername));
		 		PlayerInfo[playerid][pPMs] = 0;
				format(string, sizeof(string), "AdmChat: %s(%i) now can not watch PM players.", sendername, playerid);
				SendAdminMessage(COLOR_YELLOW, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_RED, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	/*if(strcmp(cmd, "/getip", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
	{
			tmp = strtok(cmdtext, idx);

			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_RED, "USAGE: /getip [playerid]");
				return 1;
			}

			giveplayerid = strval(tmp);
   			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			if(IsPlayerConnected(giveplayerid))
			{
			    new IP[256];
			   	GetPlayerIp(giveplayerid,IP,256);
				format(string,sizeof(string),"IP Adress[%d]: %s",giveplayerid,IP);
				SendClientMessage(playerid,COLOR_GREEN,string);
				return 1;
			}
			else
			{
				SendClientMessage(playerid,COLOR_RED,"Invalid player id");
			}
			return 1;
		}
		*/
	if (strcmp(cmd, "/getip", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /getip [playerid]");
				return 1;
		}
		giveplayerid = strval(tmp);
   		GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if(IsPlayerConnected(giveplayerid))
		{
			/*new playerip[15];
			GetPlayerIp(giveplayerid, playerip, sizeof(playerip));
			if (strcmp(PlayerInfo[giveplayerid][pIp], playerip, false) == 0)
			{
			    PlayerInfo[giveplayerid][pIp] = playerip;
			}*/
			format(string,sizeof(string),"IP Adress %s[%d]: [%s]", giveplayer, giveplayerid, PlayerInfo[giveplayerid][pIp]);
			SendClientMessage(playerid,COLOR_GREEN,string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid,COLOR_RED,"ADMCENTER: Invalid player id");
		}
		return 1;
	}
		
		if(strcmp(cmd, "/getping", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
		{
			tmp = strtok(cmdtext, idx);

			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_RED, "USAGE: /getping [playerid]");
				return 1;
			}

			giveplayerid = strval(tmp);

   			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));

			if(IsPlayerConnected(giveplayerid))
			{
				format(string,sizeof(string),"Ping[%d]: %d",giveplayerid,GetPlayerPing(giveplayerid));
				SendClientMessage(playerid,COLOR_GREEN,string);
				return 1;
			}
			else
			{
				SendClientMessage(playerid,COLOR_RED,"Invalid player id");
   				return 1;
			}

		}
//-------------------------------------------[CONTROL STATS PLAYER]-------------------------------------|
	if(strcmp(cmd, "/resweapon", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_RED, "USAGE: /resweapon [playerid]");
			return 1;
		}
		giveplayerid = strval(tmp);
   		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
  		{
			if(IsPlayerConnected(giveplayerid) && giveplayerid != INVALID_PLAYER_ID)
			{
			   	ResetPlayerWeapons(giveplayerid);
		   		GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
				GetPlayerName(playerid, sendername, sizeof(sendername));
				format(string,sizeof(string),"AdmCmd: %s (id %d) has removed all weapon of %s (id %d)",sendername,playerid,giveplayer,giveplayerid);
				SendClientMessageToAll(COLOR_RED,string);
				format(string,sizeof(string),"AdmCmd: You have removed all weapons of %s (id %d)",giveplayer,giveplayerid);
				SendClientMessage(playerid,COLOR_GREEN,string);
			}
			else
			{
			    format(string, sizeof(string), "%d is not an active player", giveplayerid);
			    SendClientMessage(playerid, COLOR_GRAD1, string);
			    return 1;
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD2, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/warn", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /warn [playerid] [Reason]");
			return 1;
		}
		if(!cmdtext[7])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /warn [playerid]");
		}
		new playa = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
  		{
			format(string, sizeof(string), "AdmCmd: %s Warned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s has been Warned by %s (Reason: %s).",giveplayer ,sendername,cmdtext[7]);
			SendClientMessageToAll(COLOR_RED, string);
			PlayerPlaySound(giveplayerid, 1052, 0.0, 0.0, 0.0);
			PlayerInfo[playa][pWarnL]++;
			BanLog(string);
			if(PlayerInfo[playa][pWarnL] >= 5)
			{
				SendClientMessage(playa, COLOR_RED, "AdmCmd: Your Warning Level has Reach The Maximum, You Have Been Muted!");
				Mute[playa] = 1;
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You are not authorized to use that command!");
		}
		return 1;
 	}
//-------------------------------------------[REPORT]---------------------------------------------------|
 	if(strcmp(cmd, "/m2a", true) == 0 || strcmp(cmd, "/report", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /report [playerid] [reason]");
			SendClientMessage(playerid, COLOR_GRAD2, "Example reason: Teleport, No-Reload, Spamming, and other abuse.");
			return 1;
		}
        new playa = strval(tmp);
        GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /report [playerid] [reason]");
			SendClientMessage(playerid, COLOR_GRAD2, "Example reason: Teleport, No-Reload, Spamming, and other abuse.");
			return 1;
		}
		if(IsPlayerConnected(playa))
		{
		   format(string, sizeof(string), "Report From %s: %s[%d] %s", sendername, giveplayer, playa, result);
		   //format(string, sizeof(string), "Message: %s",result);
		   SendReportMessage(COLOR_YELLOW, string);
		   SendClientMessage(playerid, COLOR_GRAD2, "Report Sent.");
		   printf(string);
		   ReportLog(string);
		}
		else
		{
            SendClientMessage(playerid, COLOR_GRAD2, "  No Such Player.");
        }
		return 1;
	}
//-----------------------------------[Weather]-------------------------------------------
	if(strcmp(cmd, "/weather", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /weather [weatherid]");
			return 1;
		}
		new newweather = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
		   	SetWeather(newweather);
   		   	printf("[DEBUG] Weather have been changed to [%d]",newweather);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
//-------------------------------------------[VEHICLE CONTROL]-------------------------------------------|
   if(strcmp(cmd, "/fillcar", true) == 0)
	{
		cmd = strtok(cmdtext,idx);
		new str[86],v = GetPlayerVehicleID(playerid);
		new dif = gMaxFuel-vFuel[v];
		if(!strlen(cmd))
		{
		    SendClientMessage(playerid,COLOR_GREY,"USAGE: /fillcar [gallons]");
			return 1;
		}
		if(dif < strval(cmd))
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You do not have that much fuel to use, please select a lower amount.");
			return 1;
		}
  		if(GetPlayerState(playerid) != 2)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You must be in the driver seat of a vehicle to fill it.");
			return 1;
		}
		for(new i = 0; i < sizeof(StationInfo); i++)
        {
			if (PlayerToPoint(10.0, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
	    		vFuel[v]+=strval(cmd);
	    		GiveMoney(playerid,-strval(cmd)*10);
	    		StationInfo[i][stProd]-=strval(cmd);
	    		StationInfo[i][stTakings] = StationInfo[i][stTakings]+(strval(cmd)*10);
			    format(str,sizeof(str),"You have used %d gallons of your fuel to fillup a vehicle. You have %d gallons remaining.",strval(cmd),FuelInfo[playerid][Fuel]);
			    SendClientMessage(playerid,COLOR_DGREEN,str);
				FuelText(playerid);
			}
		}
		return 1;
	}
	
    if(strcmp(cmd, "/fill", true) == 0)
	{
		cmd = strtok(cmdtext,idx);
		new str[86];
		new v = GetPlayerVehicleID(playerid);
		new dif = gMaxFuel-vFuel[v];
		if(!strlen(cmd))
		{
		    SendClientMessage(playerid,COLOR_GREY,"USAGE: /fill [gallons]");
			return 1;
		}
  		if(dif < strval(cmd))
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You do not have that much fuel to use, please select a lower amount.");
			return 1;
		}
		if(FuelInfo[playerid][Fuel] < strval(cmd))
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You do not have that much fuel to use, please select a lower amount.");
			return 1;
		}
		if(FuelInfo[playerid][Fuel] == 0)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You do not have any fuel on hand. Please buy some fuel to use it.");
			return 1;
		}
		if(GetPlayerState(playerid) != 2)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You must be in the driver seat of a vehicle to fill it.");
			return 1;
		}
		vFuel[v]+=strval(cmd);
		FuelInfo[playerid][Fuel]-=strval(cmd);
		format(str,sizeof(str),"You have used %d gallons of your fuel to fillup a vehicle. You have %d gallons remaining.",strval(cmd),FuelInfo[playerid][Fuel]);
		SendClientMessage(playerid,COLOR_DGREEN,str);
        FuelText(playerid);
		return 1;
	}
	
	if(strcmp(cmd, "/buygas", true) == 0)
	{
		cmd = strtok(cmdtext,idx);
		new dif = gMaxFuel-FuelInfo[playerid][Fuel];
		if(!strlen(cmd))
		{
		    SendClientMessage(playerid,COLOR_GREY,"USAGE: /buygas [amount]");
			return 1;
		}
		if(strval(cmd) > dif)
		{
   		    format(string,sizeof(string),"You cant buy fuel more than max. You can buy %d gallon.",dif);
		    SendClientMessage(playerid,COLOR_WHITE,string);
			return 1;
		}
		if(FuelInfo[playerid][Fuel] > 20)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You may not carry more than 20 gallons of fuel with you at any time.");
		    return 1;
		}
		if(GetPlayerMoney(playerid) < strval(cmd) * 10)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You do not have enough money to buy that much fuel. Try a smaller amount.");
		    return 1;
		}
		if(GetPlayerState(playerid) != 1)
		{
		    SendClientMessage(playerid,COLOR_WHITE,"You must not be inside the car to buy fuel.");
		    return 1;
		}
  		for(new i = 0; i < sizeof(StationInfo); i++)
		{
  			if (PlayerToPoint(40.0, playerid,StationInfo[i][stEnterx], StationInfo[i][stEntery], StationInfo[i][stEnterz]))
			{
			    FuelInfo[playerid][Fuel]+=strval(cmd);
			    GiveMoney(playerid,-strval(cmd)*10);
			    format(string,sizeof(string),"You have bought %d gallons of fuel worth $%d, use /fill to use the fuel.",strval(cmd),strval(cmd)*2);
			    SendClientMessage(playerid,COLOR_DGREEN,string);
			    StationInfo[i][stProd]-=strval(cmd);
			    StationInfo[i][stTakings] = StationInfo[i][stTakings]+(strval(cmd)*10);
				return 1;
		    }
		}
		return 1;
	}
	
/* if(strcmp(cmd, "/cfuel", true) == 0)
 {
 		if(GetPlayerState(playerid) == 2)
		{
		    new v = GetPlayerVehicleID(playerid);
      		if(!IsAPlane(v) && !IsABike(v))
      		{
            format(tmp, sizeof(tmp), "FUEL:%d",vFuel[v]);
            SendClientMessage(playerid,0xAA3333AA,tmp);
            }
        }
   return 1;
 }*/
 
  if (strcmp(cmdtext, "/cup", true) == 0)
  {
      if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
	  {
          new VehicleID, Float:X, Float:Y, Float:Z;
          GetPlayerPos(playerid, X, Y, Z);
          VehicleID = GetPlayerVehicleID(playerid);
          SetVehiclePos(VehicleID, X, Y, Z);
          SetVehicleZAngle(VehicleID, 0);
		  SetVehicleHealth(VehicleID, 1000);
		  SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You repaired your vehicle");
      }
      else
	  {
         SendClientMessage(playerid, COLOR_GRAD1, "SERVER: you are not authorized to use that command!");
      }
      return 1;
  }

  
  if(strcmp(cmdtext, "/cvec", true) == 0)
  {
	 //new vstring[256];
	 //new vehcount = GetVehicleCount();
	 //GetPlayerName(playerid, sendername, sizeof(sendername));
	 if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 106)
	 {
	     for(new c = 1; c < MAX_VEHICLES; c++)
         {
	         SetVehicleToRespawn(c);
	         //format(vstring, sizeof(vstring), "AmdCmd: You respawn %d vehicles", vehcount);
	         //SendClientMessage(playerid, COLOR_RED, string);
		     //format(vstring, sizeof(vstring), "AmdCmd: %s respawn all vehicles", sendername);
		     //format(vstring, sizeof(vstring), "AmdCmd: %s respawn %d vehicles", sendername, vehcount);
		     //SendClientMessageToAll(COLOR_RED, string);
         }
     }
     else
	 {
         SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
     }
	 return 1;
  }

  if(strcmp(cmdtext, "/clearv", true) == 0)
  {
      if(IsPlayerInAnyVehicle(playerid))
      {
		  new tmpcar = GetPlayerVehicleID(playerid);
		  for(new i = 0; i < MAX_PLAYERS; i++)
		  {
	          SetVehicleParamsForPlayerEx(tmpcar, i, 0, 0);
	      }
	      SetVehicleToRespawn(tmpcar);
		  SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You respawn your car");
	  }
	  else
	  {
	      SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You must be in vehicle");
	  }
      return 1;
  }
//-------------------------------------------[COMMANDS ADMIN]-------------------------------------------|
/*if( strcmp( cmd, "/hidepm", true ) == 0 )
	{
	if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 3)
	    HidePM[ playerid ] = 1;
	    SendClientMessage( playerid, COLOR_YELLOW, "You won't recieve other player's PM messages anymore." );
	    return 1;
	}
	if( strcmp( cmd, "/showpm", true ) == 0 )
	{
    if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
	    HidePM[ playerid ] = 0;
	    SendClientMessage( playerid, COLOR_YELLOW, "You will now see other player's PM messages again." );
	    return 1;
	}*/
	if(strcmp(cmd, "/chkmon", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(cmd))
		{
			SendClientMessage(playerid,COLOR_YELLOW,"Usage: /chkmon [playerid]");
			return 1;
		}
		if(PlayerInfo[playerid][pAdmin] < 102)
		{
			SendClientMessage(playerid,COLOR_YELLOW,"You are not an admin, prepare to be vanquished!");
			return 1;
		}
		new pid;
		if(IsStringAName(tmp))
		{
			pid = GetPlayerID(tmp);
		}
		else
		{
			pid = strval(tmp);
		}
		if(!IsPlayerConnected(pid))
		{
			SendClientMessage(playerid,COLOR_YELLOW,"The given player is not connected!");
			return 1;
		}
		new player[24];
		GetPlayerName(pid,player,sizeof(player));
		format(string,sizeof(string),"Player %s has $%d of which $%d is unhacked.",player,GetPlayerMoney(pid),gMon[pid]);
		SendClientMessage(playerid, COLOR_RED, string);
		return 1;
	}
	
 	if(strcmp(cmd, "/chkmodel", true) == 0)
	{
		if(IsPlayerInAnyVehicle(playerid))
		{
			format(string,sizeof(string),"Vehicle model: %d",GetVehicleModel(GetPlayerVehicleID(playerid)));
			SendClientMessage(playerid,COLOR_GREEN,string);
		}
	}
	
	if(strcmp(cmd, "/chkvecs", true) == 0)
	{
	    new vecs;
	    for(new i = 0; i < MAX_VEHICLES; i++)
	    {
            if(GetVehicleModel(i) > 399 && GetVehicleModel(i) < 612)
			{
				vecs++;
			}
	    }
	    format(string,sizeof(string),"there are %d vehicles in this gamemode",vecs);
	    SendClientMessage(playerid,COLOR_GREEN,string);
	    return 1;
	}
	
	if(strcmp(cmd, "/chkmodels", true) == 0)
	{
	    new vehicles, models[212], model, check;
	   	for(new i = 0; i < MAX_VEHICLES; i++)
		{
	    	model = GetVehicleModel(i);
	    	for(new j = 0; j < sizeof(models); j++)
			{
				if(models[j] == model)
				{
					check=1;
				}//j=sizeof(models);}
 			}
 			if(check == 0)
			 {
 				models[vehicles] = model;
 				vehicles++;
		 		//models[i]=model;
 			}
 			else
			{
 				check = 0;
 			}
			//else{check=0};} FYI, trying this will crash your compiler
	    }
	    if(vehicles == 0)
		{
			SendClientMessage(playerid, COLOR_YELLOW, "You fudged the bucket");
			return 1;
		}
	    format(string,sizeof(string),"There are %d different vehicle models in this gamemode",vehicles);
	    SendClientMessage(playerid,COLOR_YELLOW,string);
	    return 1;
	}
//------------------------------------[GUNS]------------------------------------------------------------------------------|
	if(strcmp(cmd, "/pguns", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /pguns [playerid/all]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else if (strcmp(tmp,"all", true) == 0 && (PlayerInfo[playerid][pAdmin]>=105 || IsPlayerAdmin(playerid)))
		{
			for(new i = 0; i < MAX_PLAYERS; i++)
			{
			  	if (IsPlayerConnected(i))
				{
					GivePlayerWeapon(i, 37, 1000);
					GivePlayerWeapon(i, 32, 1000);
					GivePlayerWeapon(i, 27, 1000);
					GivePlayerWeapon(i, 22, 1000);
					GivePlayerWeapon(i, 31, 1000);
					GivePlayerWeapon(i, 33, 1000);
					SendClientMessage(i, 0xFFFF00AA,"You have received the Ammu-Nation armory deal. Happy killing from Ammunation!");
					SetPlayerHealth(i, 150.0);
			  	}
			}
			SendClientMessageToAll(COLOR_YELLOW,"Everyone has received guns. Good luck, and have fun!");
			return 1;
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
		{
		 	GivePlayerWeapon(playa, 37, 1000);
			GivePlayerWeapon(playa, 32, 1000);
		 	GivePlayerWeapon(playa, 27, 1000);
			GivePlayerWeapon(playa, 22, 1000);
		 	GivePlayerWeapon(playa, 31, 1000);
		 	GivePlayerWeapon(playa, 33, 1000);
		 	SendClientMessage(playa, 0xFFFF00AA,"You have received the Ammu-Nation armory deal. Happy killing from Ammunation!");
   			SetPlayerHealth(playa, 150.0);
			printf("AdmCmd: %s Gave guns and health to %s", sendername,giveplayer);
			format(string, sizeof(string), "AdmCmd: %s Gave guns and health to %s", sendername,giveplayer);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
    if (strcmp(cmdtext, "/myguns", true) == 0)
	{
		if (PlayerInfo[playerid][pKills] >= 24)
		{
			GivePlayerWeapon(playerid, 37, 1000);
			GivePlayerWeapon(playerid, 32, 1000);
			GivePlayerWeapon(playerid, 27, 1000);
			GivePlayerWeapon(playerid, 22, 1000);
			GivePlayerWeapon(playerid, 31, 1000);
			GivePlayerWeapon(playerid, 33, 1000);
		    GiveMoney(playerid, -10000);
		    SendClientMessage(playerid, 0xFFFF00AA,"You just bought the Ammu-Nation armory deal. Happy killing from Ammunation!");
		 	SetPlayerColor(playerid, 0xFF0000AA);
		 	SetPlayerHealth(giveplayerid, 50.0);
			FlashTime[playerid] = 1200;
			format(string,sizeof(string),"~w~kill the ~r~red ~w~player!", nick, msg);
			GameTextForAll(string,5000,1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You do not have 25 or more kills to use that command!");
		}
		return 1;
	}
	
    if (strcmp(cmdtext, "/mygunsa", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
			GivePlayerWeapon(playerid, 37, 1000);
			GivePlayerWeapon(playerid, 32, 1000);
			GivePlayerWeapon(playerid, 27, 1000);
			GivePlayerWeapon(playerid, 22, 1000);
			GivePlayerWeapon(playerid, 31, 1000);
			GivePlayerWeapon(playerid, 33, 1000);
			GiveMoney(playerid, -10000);
			SendClientMessage(playerid, 0xFFFF00AA,"You just bought the Ammu-Nation armory deal. happy killing from Ammunation!");
			SetPlayerColor(playerid, 0xFF0000AA);
			SetPlayerHealth(giveplayerid, 50.0);
			FlashTime[playerid] = 1200;
			format(string,sizeof(string),"~r~Kill the red marker.!", nick, msg);
			GameTextForAll(string,5000,1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: you do not have 25 or more kills to use that command!");
		}
		return 1;
	}

//----------------------------------[ADMINADMIN]-----------------------------------------------
if(strcmp(cmd, "/news", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /mole [mole text]");
			return 1;
		}
		format(string, sizeof(string), "NEWSFLASH: %s",result);
		if (gTeam[playerid] < 3){SendClientMessage(playerid, COLOR_PURPLE, string);}
		SendEnemyMessage(COLOR_PURPLE, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gPlayerSpawned[i])
			{
				if(gTeam[i] >= 3)
				{
					RingTone[i] =20;
				}
			}
		}
		printf("NEWSFLASH: %s", result);
		return 1;
	}


//----------------------------------[mole]-----------------------------------------------
	if(strcmp(cmd, "/mole", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /mole [mole text]");
			return 1;
		}
		format(string, sizeof(string), "SMS: %s, Sender: MOLE (555)",result);
		if (gTeam[playerid] < 3){SendClientMessage(playerid, COLOR_YELLOW, string);}
		SendEnemyMessage(COLOR_YELLOW, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gPlayerSpawned[i])
			{
				if(gTeam[i] >= 3)
				{
					RingTone[i] =20;
				}
			}
		}
		printf("MOLE: %s", result);
		return 1;
	}
	
 	if(strcmp(cmd, "/announce", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /mole [mole text]");
			return 1;
		}
		format(string, sizeof(string), "SERVER: %s",result);
		SendClientMessageToAll(COLOR_YELLOW, string);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && gPlayerSpawned[i])
			{
				if(gTeam[i] >= 3)
				{
					RingTone[i] = 20;
				}
			}
		}
		printf("SERVER: %s", result);
		return 1;
	}
//----------------------------------[HQ]-----------------------------------------------
	if(strcmp(cmd, "/hq", true) == 0 && PlayerInfo[playerid][pAdmin] >= 104)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /hq [hq text]");
			return 1;
		}
		format(string, sizeof(string), "HQ: %s, over", result);
		if (gTeam[playerid] != 2 ){SendClientMessage(playerid, COLOR_DBLUE, string);}
		SendTeamBeepMessage(2, COLOR_DBLUE, string);
		printf("HQ: %s", result);
		return 1;
	}
//----------------------------------[RECON]-----------------------------------------------
	if(strcmp(cmd, "/bigears", true) == 0 && PlayerInfo[playerid][pAdmin] >= 102)
	{
		if (!BigEar[playerid])
		{
			BigEar[playerid] = 1;
			SendClientMessage(playerid, COLOR_GRAD2, "   Your Ears Have Grown");
		}
		else if (BigEar[playerid])
		{
			(BigEar[playerid] = 0);
			SendClientMessage(playerid, COLOR_GRAD2, "   Your Ears Have Shrank");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/id", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /recon [playerid/PON/off]");
			return 1;
		}
		new target;
		if(IsStringAName(tmp))
		{
			target = GetPlayerID(tmp);
		}
		else
		{
			target = strval(tmp);
		}
		new sstring[256];
		GetPlayerName(target, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "ID: (%d) %s",target,giveplayer);
		SendClientMessage(playerid, COLOR_GRAD1, sstring);
		return 1;
	}
	
	if(strcmp(cmd, "/tv", true) == 0 || strcmp(cmd, "/recon", true) == 0)
	{
		new house;
		if(Unspec[playerid][sLocal] == 255)
		{
			house = PlayerInfo[playerid][pLocal];
		}
		else
		{
			house = Unspec[playerid][sLocal];
		}
		if(PlayerInfo[playerid][pAdmin] < 101)
		{
			if(house == 255)
			{
				GameTextForPlayer(playerid, "~r~There is no tv here", 5000, 1);
				return 1;
			}
		}
		//printf("house has tv %d",HouseInfo[house][hHealthx]);
		TVMode[playerid] = 0;
		Unspec[playerid][sCam] = 2;
		if(Spectate[playerid] == 255 && PlayerInfo[playerid][pLocal] != 255 || Spectate[playerid] == 255 && PlayerInfo[playerid][pAdmin] > 0)
		{
			GetPlayerPos(playerid, Unspec[playerid][sPx], Unspec[playerid][sPy], Unspec[playerid][sPz]);
			Unspec[playerid][sPint] = PlayerInfo[playerid][pInt];
			Unspec[playerid][sLocal] = PlayerInfo[playerid][pLocal];
			PlayerInfo[playerid][pLocal] = 255;
			SetPlayerVirtualWorld(playerid, 0);
			gTeam[playerid] = 0;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			if(HouseInfo[house][hHealthx] != 1)
			{
				GameTextForPlayer(playerid, "~r~Upgrade not installed", 5000, 1);
				return 1;
			}
			TVMode[playerid] = 1;
			Spectate[playerid] = lastkiller;
			GameTextForPlayer(playerid, "~w~                True~n~                   ~b~Crime", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("off", tmp, true, strlen(tmp)) == 0)
		{
			Spectate[playerid] = 253;
			GameTextForPlayer(playerid, "~w~                TV~n~~r~                Off", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("door", tmp, true, strlen(tmp)) == 0)
		{
			if(HouseInfo[house][hHealthy] != 1)
			{
				GameTextForPlayer(playerid, "~r~DoorCam not installed", 5000, 1);
				return 1;
			}
			if(PlayerInfo[playerid][pLocal] == 255 && Unspec[playerid][sLocal] == 255 )
			{
				GameTextForPlayer(playerid, "~r~no can do", 5000, 1);
				return 1;
			}
			house = Unspec[playerid][sLocal];
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
					if(PlayerToPoint(20.0, i, HouseInfo[house][hEntrancex], HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]))
					{
						Unspec[playerid][sCam] = 10;
						Spectate[playerid] = i;
						GameTextForPlayer(playerid, "~b~Door~r~Cam~n~~w~Type /tv off~n~to exit", 5000, 1);
						PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
						return 1;
					}
				}
			}
			if(Unspec[playerid][sCam] != 10)
			{
				GameTextForPlayer(playerid, "~w~No one is at the door", 5000, 1);
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
			}
			return 1;
		}
		if(strcmp("dm", tmp, true, strlen(tmp)) == 0)
		{
			if(HouseInfo[house][hHealthz] != 1)
			{
				GameTextForPlayer(playerid, "~r~No subscription", 5000, 1);
				return 1;
			}
			if(MissionActive != 17 || DmHiPlayer == INVALID_PLAYER_ID)
			{
				GameTextForPlayer(playerid, "~g~No DeathMatchs~n~~w~On TV now", 5000, 1);
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
				return 1;
			}
			TVMode[playerid] = 11;
			Spectate[playerid] = DmHiPlayer;
			GameTextForPlayer(playerid, "~r~                D~w~MTV", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("race", tmp, true, strlen(tmp)) == 0)
		{
			if(HouseInfo[house][hArmourx] != 1)
			{
				GameTextForPlayer(playerid, "~r~No subscription", 5000, 1);
				return 1;
			}
			if(MissionActive < 4 || MissionActive > 7)
			{
				GameTextForPlayer(playerid, "~g~No Races~n~~w~On TV now", 5000, 1);
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
				return 1;
			}
			TVMode[playerid] = 21;
			RaceSpec(playerid);
			GameTextForPlayer(playerid, "~w~                S~b~R~n~~r~                TV", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("pen", tmp, true, strlen(tmp)) == 0)
		{
			if(HouseInfo[house][hArmoury] != 1)
			{
				GameTextForPlayer(playerid, "~r~No subscription", 5000, 1);
				return 1;
			}
			if(gPublicEnemy == 255)
			{
				GameTextForPlayer(playerid, "~g~No Public Enemys~n~~w~On TV now", 5000, 1);
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
				return 1;
			}
			TVMode[playerid] = 31;
			PenDelay(playerid);
			GameTextForPlayer(playerid, "~p~                PEN~n~                ~w~TV", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("speed", tmp, true, strlen(tmp)) == 0)
		{
			if(Speeder == 255)
			{
				GameTextForPlayer(playerid, "~g~No Speeders ~n~~w~On TV now", 5000, 1);
				PlayerInfo[playerid][pLocal] = Unspec[playerid][sLocal];
				return 1;
			}
			TVMode[playerid] = 41;
			SpeedDelay(playerid);
			GameTextForPlayer(playerid, "~y~                Speed~n~                ~w~TV", 5000, 6);
			PlayerPlaySound(playerid, 1145, 0.0, 0.0, 0.0);
			return 1;
		}
		if(strcmp("foot", tmp, true, strlen(tmp)) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
		{
			Spectate[playerid] = lastkiller;
		}
		if(strcmp("next", tmp, true, strlen(tmp)) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
					if(i > Spectate[playerid] && Spectate[playerid] != 255 && PlayerInfo[i][pLevel] <= 2)
					{
						new Float:health;
						GetPlayerHealth(i, health);
						Spectate[playerid] = i;
						new sstring[256];
						GetPlayerName(i, giveplayer, sizeof(giveplayer));
						new cash =  GetPlayerMoney(i);
						format(sstring, sizeof(sstring), "Recon: (%d) %s $%d H:%.1f ",i,giveplayer,cash,health);
						SendClientMessage(playerid, COLOR_GREEN, sstring);
						return 1;
					}
				}
			}
		}
		if(strcmp("prev", tmp, true, strlen(tmp)) == 0 && PlayerInfo[playerid][pAdmin] >= 101)
		{
			for(new i = MAX_PLAYERS; i >= 0; i--)
			{
				if(IsPlayerConnected(i) && gPlayerSpawned[i])
				{
					if(i < Spectate[playerid] && Spectate[playerid] != 255 && PlayerInfo[i][pLevel] <= 2)
					{
						new Float:health;
						GetPlayerHealth(i, health);
						Spectate[playerid] = i;
						new sstring[256];
						GetPlayerName(i, giveplayer, sizeof(giveplayer));
						new cash =  GetPlayerMoney(i);
						format(sstring, sizeof(sstring), "Recon: (%d) %s $%d H:%.1f",i,giveplayer,cash,health);
						SendClientMessage(playerid, COLOR_GREEN, sstring);
						return 1;
					}
				}
			}
		}
		if(house == 255)
		{
			if(PlayerInfo[playerid][pAdmin] < 101)
			{
				GameTextForPlayer(playerid, "~r~Upgrade not installed", 5000, 1);
				return 1;
			}
		}
		else
		{
			if(HouseInfo[house][hArmourz] != 1 && PlayerInfo[playerid][pAdmin] < 101)
			{
				GameTextForPlayer(playerid, "~r~Upgrade not installed", 5000, 1);
				return 1;
			}
		}
		if(IsStringAName(tmp))
		{
			Spectate[playerid] = GetPlayerID(tmp);
		}
		else
		{
			Spectate[playerid] = strval(tmp);
		}
		if(IsPlayerConnected(Spectate[playerid]))
		{
			if(Hidden[Spectate[playerid]] != 1 && PlayerInfo[playerid][pAdmin] < 101)
			{
				SendClientMessage(playerid, COLOR_GREEN, "Target is masked");
			}
			new Float:health;
			GetPlayerHealth(Spectate[playerid], health);
			new sstring[256];
			GetPlayerName(Spectate[playerid], giveplayer, sizeof(giveplayer));
			new cash =  GetPlayerMoney(Spectate[playerid]);
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
			{
				format(sstring, sizeof(sstring), "Recon: (%d) %s $%d H:%.0f",Spectate[playerid],giveplayer,cash,health);
			}
			else
			{
				format(sstring, sizeof(sstring), "UAV: (%d) %s",Spectate[playerid],giveplayer);
			}
			SendClientMessage(playerid, COLOR_GREEN, sstring);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GREEN, "Target is not available");
		}
		return 1;
	}
//----------------------------------[SPAWN]-----------------------------------------------

	if(strcmp(cmd, "/spawn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerRandomSpawn(playerid);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/spawn2", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SpawnPlayer(playerid);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/spawn3", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			OnPlayerSpawn(playerid);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/pen", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerCriminal(playerid,255, "Armed Robbery",1,1);
			gPlayerMission[playerid] = 1;
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/penid", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /penid [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			SetPlayerCriminal(playa,255, "Armed Robbery",1,1);
			gPlayerMission[playa] = 1;
			printf("AdmCmd: %s made %s Public Enemy",sendername,  giveplayer);
			format(string, sizeof(string), "AdmCmd: %s made %s Public Enemy", sendername,giveplayer);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[PAYDAY]-----------------------------------------------

	if(strcmp(cmd, "/payday", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			PayDay();
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/incmis", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			gRaceLeader=1;
			gFightLeader=1;
			SendClientMessage(playerid, COLOR_GRAD1, "Playercount Incrementeted");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[TEST]-----------------------------------------------

	if(strcmp(cmd, "/test", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new sstring[256];
			new playambu = GetPlayerVehicleID(playerid);
			new vehcount = GetVehicleCount();
			new vehmodamount = GetVehicleModelCount();
			format(sstring, sizeof(sstring), "currentpickups = %d gFighters = %d gFightLeader = %d dmtimer = %d DmHiScore = %d",pickups ,gFighters ,gFightLeader,dmtimer,DmHiScore);
			SendClientMessage(playerid, COLOR_GRAD1, sstring);
			format(sstring, sizeof(sstring), "currentcar = %d locked[%d] stealcar = %d stealcardest = %d MissionActive = %d",playambu,gCarLock[playambu],stealcar,stealcardest,MissionActive);
			SendClientMessage(playerid, COLOR_GRAD1, sstring);
			format(sstring, sizeof(sstring), "amountveh = %d amountmodelsveh = %d", vehcount, vehmodamount);
            SendClientMessage(playerid, COLOR_GRAD1, sstring);
			//GetPlayerVehicleID(playerid);
			/*
			for(new i = 0; i <= 24; i++)
			{
				format(sstring, sizeof(sstring), "currentpickups = %d", pickups);
				print(sstring);
			}

			//SetSpawnInfo(playerid, 2, 153, 0.0, 0.0, 0.0, 0.1, -1, -1, -1, -1, -1, -1);
		   // SpawnPlayer(playerid);
			if (CopCheck(playerid))
			{
				print("yes you are a cop");
			}
			else
			{
				print("not a cop cop");
			}
		    //printf("johnsid = %d",GetPlayerID("John_"));
			//SetPlayerCriminal(playerid,255, "Armed Robbery",1,0);
			//GameTextForPlayer(playerid, string, 5000, 1);
			//SendClientMessage(playerid, COLOR_GRAD1, string);
			*/
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/patch", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
		    for (new s = 0; s < sizeof(StationInfo); s++)
		    {
          		StationInfo[s][stProd] = StationInfo[s][stProdCap];
				StationInfo[s][stComp] = StationInfo[s][stCompCap];
				StationInfo[s][stPayComp] = 10000;
          		StationInfo[s][stHel] = 0;
				StationInfo[s][stArm] = 0;
				StationInfo[s][stLock] = 1;
				StationInfo[s][stOwned] = 0;
				strmid(StationInfo[s][stOwner], "The State", 0, strlen("The State"), 255);
		    }
		    for(new i = 0; i < sizeof(SBizzInfo); i++)
		    {
				if (i == 1 || i == 12 || i == 19 || i == 30 || i == 37 || i == 48)
				{
					SBizzInfo[i][sbPayComp] = 20000;
				}
				else
				{
				    SBizzInfo[i][sbPayComp] = 10000;
				}
			    SBizzInfo[i][sbProd] = SBizzInfo[i][sbProdCap];
				SBizzInfo[i][sbComp] = SBizzInfo[i][sbCompCap];
    			SBizzInfo[i][sbHel] = 0;
				SBizzInfo[i][sbArm] = 0;
				SBizzInfo[i][sbLock] = 1;
				SBizzInfo[i][sbOwned] = 0;
				strmid(SBizzInfo[i][sbOwner], "The State", 0, strlen("The State"), 255);
			}
			
			for(new i = 0; i < sizeof(BizzInfo); i++)
			{
			    new eq;
			    if (i < 14) { eq = 0; } else if(i > 13 && i < 28) { eq = 14; }
			    else if(i > 27) { eq = 28; }
			    if((i == 0+eq) || (i == 4+eq) || (i == 5+eq) || (i == 9+eq))
			    {
			        BizzInfo[i][bPayComp] = 12000;
			    }
			    else if((i == 2+eq) || (i == 7+eq))
			    {
			        BizzInfo[i][bPayComp] = 11000;
			    }
			    else if(i == 11+eq)
			    {
			        BizzInfo[i][bPayComp] = 10020;
			    }
			    else if((i == 12+eq) || (i == 13+eq))
			    {
			        BizzInfo[i][bPayComp] = 10010;
			    }
			    else
			    {
			        BizzInfo[i][bPayComp] = 10000;
			    }
			    BizzInfo[i][bProd] = BizzInfo[i][bProdCap];
				BizzInfo[i][bComp] = BizzInfo[i][bCompCap];
    			BizzInfo[i][bHel] = 0;
				BizzInfo[i][bArm] = 0;
				BizzInfo[i][bLock] = 1;
				BizzInfo[i][bOwned] = 0;
				strmid(BizzInfo[i][bOwner], "The State", 0, strlen("The State"), 255);
				format(string, sizeof(string),"Reset %d/%d Property Completed",i+1, sizeof(BizzInfo));
				SendClientMessage(playerid, COLOR_DBLUE, string);
			}
			for (new h = 0; h < sizeof(HouseInfo); h++)
			{
       			HouseInfo[h][hHel] = 0;
				HouseInfo[h][hArm] = 0;
				HouseInfo[h][hHealthx] = 0;
				HouseInfo[h][hHealthy] = 0;
				HouseInfo[h][hHealthz] = 0;
				HouseInfo[h][hArmourx] = 0;
				HouseInfo[h][hArmoury] = 0;
				HouseInfo[h][hArmourz] = 0;
				HouseInfo[h][hLock] = 1;
				HouseInfo[h][hOwned] = 0;
				HouseInfo[h][hVec] = 418;
				HouseInfo[h][hVcol1] = -1;
				HouseInfo[h][hVcol2] = -1;
				strmid(HouseInfo[h][hOwner], "The State", 0, strlen("The State"), 255);
			}
			OnPropUpdate();
			/*
				SBizzInfo[0][sbProd] = 50;SBizzInfo[0][sbProdCap] = 500;SBizzInfo[0][sbComp] = 2;SBizzInfo[0][sbCompCap] = 10;SBizzInfo[0][sbProdCost] = 10;SBizzInfo[0][sbPayComp] = 10000;
				SBizzInfo[1][sbProd] = 50;SBizzInfo[1][sbProdCap] = 500;SBizzInfo[1][sbComp] = 4;SBizzInfo[1][sbCompCap] = 16;SBizzInfo[1][sbProdCost] = 4;SBizzInfo[1][sbPayComp] = 11000;
				SBizzInfo[2][sbProd] = 50;SBizzInfo[2][sbProdCap] = 240;SBizzInfo[2][sbComp] = 5;SBizzInfo[2][sbCompCap] = 20;SBizzInfo[2][sbProdCost] = 2;SBizzInfo[2][sbPayComp] = 12000;
				SBizzInfo[3][sbProd] = 50;SBizzInfo[3][sbProdCap] = 500;SBizzInfo[3][sbComp] = 3;SBizzInfo[3][sbCompCap] = 10;SBizzInfo[3][sbProdCost] = 7;SBizzInfo[3][sbPayComp] = 10000;
				SBizzInfo[4][sbProd] = 50;SBizzInfo[4][sbProdCap] = 500;SBizzInfo[4][sbComp] = 6;SBizzInfo[4][sbCompCap] = 10;SBizzInfo[4][sbProdCost] = 10;SBizzInfo[4][sbPayComp] = 11000;
				SBizzInfo[5][sbProd] = 50;SBizzInfo[5][sbProdCap] = 100;SBizzInfo[5][sbComp] = 4;SBizzInfo[5][sbCompCap] = 20;SBizzInfo[5][sbProdCost] = 1;SBizzInfo[5][sbPayComp] = 12000;
				SBizzInfo[6][sbProd] = 50;SBizzInfo[6][sbProdCap] = 100;SBizzInfo[6][sbComp] = 5;SBizzInfo[6][sbCompCap] = 20;SBizzInfo[6][sbProdCost] = 1;SBizzInfo[6][sbPayComp] = 10000;

				BizzInfo[0][bProd] = 50;BizzInfo[0][bProdCap] = 500;BizzInfo[0][bComp] = 6;BizzInfo[0][bCompCap] = 18;BizzInfo[0][bProdCost] = 2;BizzInfo[0][bPayComp] = 12000;
				BizzInfo[1][bProd] = 50;BizzInfo[1][bProdCap] = 500;BizzInfo[1][bComp] = 4;BizzInfo[1][bCompCap] = 10;BizzInfo[1][bProdCost] = 3;BizzInfo[1][bPayComp] = 10000;
				BizzInfo[2][bProd] = 50;BizzInfo[2][bProdCap] = 500;BizzInfo[2][bComp] = 5;BizzInfo[2][bCompCap] = 10;BizzInfo[2][bProdCost] = 4;BizzInfo[2][bPayComp] = 11000;
				BizzInfo[3][bProd] = 50;BizzInfo[3][bProdCap] = 500;BizzInfo[3][bComp] = 3;BizzInfo[3][bCompCap] = 10;BizzInfo[3][bProdCost] = 5;BizzInfo[3][bPayComp] = 10000;
				BizzInfo[4][bProd] = 50;BizzInfo[4][bProdCap] = 100;BizzInfo[4][bComp] = 6;BizzInfo[4][bCompCap] = 0;BizzInfo[4][bProdCost] = 0;BizzInfo[4][bPayComp] = 12000;
				BizzInfo[5][bProd] = 50;BizzInfo[5][bProdCap] = 100;BizzInfo[5][bComp] = 5;BizzInfo[5][bCompCap] = 0;BizzInfo[5][bProdCost] = 0;BizzInfo[5][bPayComp] = 12000;
				BizzInfo[6][bProd] = 50;BizzInfo[6][bProdCap] = 220;BizzInfo[6][bComp] = 4;BizzInfo[6][bCompCap] = 10;BizzInfo[6][bProdCost] = 10;BizzInfo[6][bPayComp] = 10000;
				BizzInfo[7][bProd] = 50;BizzInfo[7][bProdCap] = 100;BizzInfo[7][bComp] = 3;BizzInfo[7][bCompCap] = 0;BizzInfo[7][bProdCost] = 0;BizzInfo[7][bPayComp] = 11000;
				BizzInfo[8][bProd] = 50;BizzInfo[8][bProdCap] = 100;BizzInfo[8][bComp] = 6;BizzInfo[8][bCompCap] = 20;BizzInfo[8][bProdCost] = 1;BizzInfo[8][bPayComp] = 10000;
				BizzInfo[9][bProd] = 50;BizzInfo[9][bProdCap] = 100;BizzInfo[9][bComp] = 4;BizzInfo[9][bCompCap] = 20;BizzInfo[9][bProdCost] = 1;BizzInfo[9][bPayComp] = 12000;
				BizzInfo[10][bProd] = 50;BizzInfo[10][bProdCap] = 100;BizzInfo[10][bComp] = 3;BizzInfo[10][bCompCap] = 20;BizzInfo[10][bProdCost] = 1;BizzInfo[10][bPayComp] = 10000;
				BizzInfo[11][bProd] = 50;BizzInfo[11][bProdCap] = 500;BizzInfo[11][bComp] = 4;BizzInfo[11][bCompCap] = 10;BizzInfo[11][bProdCost] = 3;BizzInfo[11][bPayComp] = 10020;
				BizzInfo[12][bProd] = 50;BizzInfo[12][bProdCap] = 500;BizzInfo[12][bComp] = 5;BizzInfo[12][bCompCap] = 10;BizzInfo[12][bProdCost] = 4;BizzInfo[12][bPayComp] = 10010;

				BizzInfo[4][bProd] = 50;BizzInfo[4][bProdCap] = 100;BizzInfo[4][bComp] = 6;BizzInfo[4][bCompCap] = 10;BizzInfo[4][bProdCost] = 5;BizzInfo[4][bPayComp] = 12000;
				BizzInfo[5][bProd] = 50;BizzInfo[5][bProdCap] = 100;BizzInfo[5][bComp] = 5;BizzInfo[5][bCompCap] = 10;BizzInfo[5][bProdCost] = 5;BizzInfo[5][bPayComp] = 12000;
				BizzInfo[7][bProd] = 50;BizzInfo[7][bProdCap] = 100;BizzInfo[7][bComp] = 3;BizzInfo[7][bCompCap] = 10;BizzInfo[7][bProdCost] = 5;BizzInfo[7][bPayComp] = 11000;

				BizzInfo[0][bPriceMod] = 100;BizzInfo[1][bPriceMod] = 100;BizzInfo[2][bPriceMod] = 100;
				BizzInfo[3][bPriceMod] = 100;BizzInfo[4][bPriceMod] = 100;BizzInfo[5][bPriceMod] = 100;
				BizzInfo[6][bPriceMod] = 100;BizzInfo[7][bPriceMod] = 100;BizzInfo[8][bPriceMod] = 100;
				BizzInfo[9][bPriceMod] = 100;BizzInfo[10][bPriceMod] = 100;BizzInfo[11][bPriceMod] = 100;BizzInfo[12][bPriceMod] = 100;
				*/
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/patch2", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
		    for(new i = 0; i < sizeof(HouseInfo); i++)
		    {
		        if (i < 34)
				{
					HouseInfo[i][hWorld] = 1;
				}
		        else if ((i > 33) && (i < 68))
				{
					HouseInfo[i][hWorld] = 2;
				}
		        else if (i > 67)
				{
					HouseInfo[i][hWorld] = 3;
				}
		    }
		    OnPropUpdate();
 		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[TEST]-----------------------------------------------
	if(strcmp(cmd, "/testcam", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
					new Float:plx,Float:ply,Float:plz;
					new Float:clx,Float:cly,Float:clz;
						GetPlayerPos(playerid, plx, ply, plz);
						clx = plx;
						cly = ply+2;
						clz = plz+0.2;
						plz = plz+0.6;
						SetPlayerFacingAngle(playerid, 0.0);
						SetPlayerCameraPos(playerid,clx, cly, clz);
						SetPlayerCameraLookAt(playerid,plx, ply, plz);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/prop", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			LoadProperty();
			LoadBizz();
			LoadSBizz();
			SendClientMessage(playerid, COLOR_GRAD1, "   Property Reloaded");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/tmppos", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			LoadTmp();
			SendClientMessage(playerid, COLOR_GRAD1, "   TmpPos Reloaded");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[UNCON]-----------------------------------------------

	if(strcmp(cmd, "/uncon", true) == 0)
	{

		SetCamBack(playerid);
		return 1;
	}
//------------------------------[ADMIN CHAT CONTROL]------------------------------------------
/*    if(strcmp(cmd, "/makesay", true) == 0)
	{
	        if (PlayerInfo[playerid][pAdmin] <= 105)
			{
			    SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
			    return 1;
			}
			tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /makesay [playerid] [text]");
			return 1;
		}
		new plo;
		if(IsStringAName(tmp))
		{
			plo = GetPlayerID(tmp);
		}
		else
		{
			plo = strval(tmp);
		}
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /makesay [playerid] [text]");
			return 1;
		}
		if (IsPlayerConnected(plo))
		{
		    new teamcolor;
			new tmpcolor = GetPlayerTeamColor(plo, teamcolor);
            GetPlayerName(plo, sendername, sizeof(sendername));
			format(string, sizeof(string), "%s: %s", sendername, result);
			SendClientMessageToAll(tmpcolor,string);
	    }
        else
        {
			format(string, sizeof(string), "   %d is not an active player.", plo);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
		}
*/
  	if(strcmp(cmd, "/fakemyname", true) == 0 || strcmp(cmd, "/fmn", true) == 0)
	{
 	    if (!IsPlayerAdmin(playerid) && PlayerInfo[playerid][pAdmin] <= 105)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		    return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fmn [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if (IsPlayerConnected(playa))
		{
            FakeSay[playerid] = playa;
			format(string, sizeof(string), "AdmCmd: %s was disguised under %s ID:%d",sendername,  giveplayer, playa);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was disguised under %s",sendername,  giveplayer);
			//SendClientMessageToAll(COLOR_RED, string);
			SendClientMessage(playerid, COLOR_RED, string);
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", playa);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}

   	if(strcmp(cmd, "/fakeoff", true) == 0)
	{
        if(FakeSay[playerid] == -1)
        {
           SendClientMessage(playerid, COLOR_RED, "AdmCmd: You aren't fake player");
           return 1;
        }
        new fakeid = FakeSay[playerid];
		GetPlayerName(fakeid, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 105)
		{
			format(string, sizeof(string), "AdmCmd: %s was undisguised under %s ID:%d",sendername,  giveplayer, fakeid);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was disguised under %s",sendername,  giveplayer);
			//SendClientMessageToAll(COLOR_RED, string);
			SendClientMessage(playerid, COLOR_RED, string);
			FakeSay[playerid] = -1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------------[CHAT CONTROL]------------------------------------------------------------------
	if(strcmp(cmdtext, "/clearchat", true) == 0)
	{
	    for (new a = 1; a <= 10; a++)
	    {
	        SendClientMessage(playerid,0xAFAFAFAA,"\n");
	    }
    	return 1;
	}

	if(strcmp(cmdtext, "/clearchp", true) == 0)
	{
		if (!IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 101)
			SendClientMessage(playerid, 0xFF0000FF, "This command is for admins only!");

		else
		{
			for (new j = 1; j <= 40; j++) SendClientMessageToAll(0, "\n");
			SendClientMessageToAll(0xFFFF00FF,"Chat has been cleared by an admin!");
			for (new j = 1; j <=  9; j++) SendClientMessageToAll(0, "\n");
		}

		return 1;
	}
//-------------------------------[Logout]--------------------------------------------------------------------------
	if (strcmp(cmd, "/logout", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			OnClientUpdate(playerid);
			gPlayerLogged[playerid] = 0;
			SendClientMessage(playerid, COLOR_GRAD1, "   It is now safe to quit.");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if (strcmp(cmd, "/logoutpl", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /logoutpl [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			OnClientUpdate(giveplayerid);
			gPlayerLogged[giveplayerid] = 0;
			SendClientMessage(playerid, COLOR_GRAD1, "   player was logged out.");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
//-------------------------------[Logoutall]--------------------------------------------------------------------------
	if (strcmp(cmd, "/logoutall", true) ==0 )
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					OnClientUpdate(i);
					gPlayerLogged[i] = 0;
				}
			}
			SendClientMessage(playerid, COLOR_GRAD1, "   All Players Logged out.");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
//--------------------------------------------------------------------------------------
//----------------------------------[cnn]-----------------------------------------------
	if(strcmp(cmd, "/cnn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			GetPlayerName(playerid, sendername, sizeof(sendername));
			new length = strlen(cmdtext);
			while ((idx < length) && (cmdtext[idx] <= ' '))
			{
				idx++;
			}
			new offset = idx;
			new result[64];
			while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
			{
				result[idx - offset] = cmdtext[idx];
				idx++;
			}
			result[idx - offset] = EOS;
			if(!strlen(result))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cnn [cnn textformat ~n~=Newline ~r~=Red ~g~=Green ~b~=Blue ~w~=White ~y~=Yellow]");
				return 1;
			}
			format(string, sizeof(string), "~g~%s: ~w~%s",sendername,result);
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					GameTextForPlayer(i, string, 5000, 6);
				}
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if(strcmp(cmd, "/cnnn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			new txtid;
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cnnn <type> ");
				return 1;
			}
			txtid = strval(tmp);
			if(txtid == 2)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "You can not select 2");
				return 1;
			}
			new length = strlen(cmdtext);
			while ((idx < length) && (cmdtext[idx] <= ' '))
			{
				idx++;
			}
			new offset = idx;
			new result[64];
			while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
			{
				result[idx - offset] = cmdtext[idx];
				idx++;
			}
			result[idx - offset] = EOS;
			if(!strlen(result))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cnnn <type> [cnnc textformat ~n~=Newline ~r~=Red ~g~=Green ~b~=Blue ~w~=White ~y~=Yellow]");
				return 1;
			}
			format(string, sizeof(string), "~w~%s",result);
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					GameTextForPlayer(i, string, 5000, txtid);
				}
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	
 	if(strcmp(cmd, "/vcn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new length = strlen(cmdtext);
			while ((idx < length) && (cmdtext[idx] <= ' '))
			{
				idx++;
			}
			new offset = idx;
			new result[64];
			while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
			{
				result[idx - offset] = cmdtext[idx];
				idx++;
			}
			result[idx - offset] = EOS;
			if(!strlen(result))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /vcn [text]");
				SendClientMessage(playerid, COLOR_GRAD2, "COLOR SYNTAXIS: ~r~ Red, ~b~ Blue, ~y~ Yellow, ~g~ Green");
				SendClientMessage(playerid, COLOR_GRAD3, "~w~ White, ~p~ Purple");
				return 1;
			}
			format(string, sizeof(string), "~r~NEWS: ~w~%s",result);
			gNewsSender = playerid;
			SendTextDrawMessageToAll(string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
  	if(strcmp(cmd, "/ann", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
		    GetPlayerName(playerid, sendername, sizeof(sendername));
			new length = strlen(cmdtext);
			while ((idx < length) && (cmdtext[idx] <= ' '))
			{
				idx++;
			}
			new offset = idx;
			new result[64];
			while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
			{
				result[idx - offset] = cmdtext[idx];
				idx++;
			}
			result[idx - offset] = EOS;
			if(!strlen(result))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /ann [text]");
				SendClientMessage(playerid, COLOR_GRAD2, "COLOR SYNTAXIS: ~r~ Red, ~b~ Blue, ~y~ Yellow, ~g~ Green");
				SendClientMessage(playerid, COLOR_GRAD3, "~w~ White, ~p~ Purple");
				return 1;
			}
   		    if (admnewsend == 0)
		    {
		        SendClientMessage(playerid, COLOR_GRAD1, "SERVER: Wait a clean line");
		        return 1;
		    }
			format(string, sizeof(string), "~r~%s: ~w~%s",sendername, result);
			GameTextDrawForAll(string, 5000, 1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if (strcmp(cmd, "/newshide", true) == 0)
	{
	    if (gNewsHide[playerid] == 0)
	    {
	        gNewsHide[playerid] = 1;
	        SendClientMessage(playerid, COLOR_GRAD1, "News chat disabled");
			HideTextDrawChat(playerid, true);
	    }
	    else if (gNewsHide[playerid] == 1)
	    {
            gNewsHide[playerid] = 0;
	        SendClientMessage(playerid, COLOR_GRAD1, "News chat enabled");
	        HideTextDrawChat(playerid, false);
	        
	    }
	    return 1;
	}
//------------------------------------[INFORMATION]-----------------------------|
 	if(strcmp(cmd, "/add", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			//tmp = strtok(cmdtext, idx);
			//new txtid;
			/*if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /add <type> ");
				return 1;
			}*/
			advertimer = SetTimer("OnPlayerAdvertisement", 1000, 1);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	
  	if(strcmp(cmd, "/deladd", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			if(AddSec != 0)
			{
			   KillTimer(advertimer);
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	
//---------------------------------------[IGNORE MESSAGE]-------------------------------------|
 	if(strcmp(cmd, "/ignoremsg", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ignoremsg [ignoreid] [text]");
			return 1;
		}
		new plo;
		if(IsStringAName(tmp))
		{
			plo = GetPlayerID(tmp);
		}
		else
		{
			plo = strval(tmp);
		}
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ignoremsg [ignoreid] [text]");
			return 1;
		}
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
		{
		    if (IsPlayerConnected(plo))
		    {
			    format(string, sizeof(string), "ADMIN: %s",result);
			    SendClientMessageToAllOthers(plo, COLOR_WHITE, string);
		    }
	        else
	        {
				format(string, sizeof(string), "   %d is not an active player.", plo);
				SendClientMessage(playerid, COLOR_GRAD1, string);
			}
		}
		else
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

//[ADMIN]______________________________________________________________________________
//-----------------------------------[JAIL]-------------------------------------------------------------------------
	if(strcmp(cmd, "/ajail", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ajail [playerid/PartOfName] [seconds]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
			//printf("stringnameid %d",giveplayerid);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ajail [playerid/PartOfName] [seconds]");
			return 1;
		}
		new time = strval(tmp);

		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
			{
				SetPlayerInterior(giveplayerid,6);
				PlayerInfo[giveplayerid][pInt] = 6;
                SetPlayerPos(giveplayerid,264.395200,77.564040,1001.039000);
				format(string, sizeof(string), "   You have sent %s(player: %d) to jail.", giveplayer,giveplayerid);
				//printf("AdmCmd: %s has jailed %s.", sendername, giveplayer);
				SendClientMessage(playerid, COLOR_GRAD1, string);
				SendClientMessage(giveplayerid, COLOR_GRAD1,"   You have been jailed for misconduct.");
				PlayJailSound(1153 , 1154, 2000,264.395200, 77.564040, 1001.039000);
				JailTime[giveplayerid] = time+10;
				//TogglePlayerControllable(giveplayerid, 0);
				return 1;
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
				return 1;
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/jail", true) == 0)
	{
     tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /jail");
			return 1;
		}
		giveplayerid = strval(tmp);
		if(JailTime[giveplayerid] > 0 || gTeam[giveplayerid] != 4)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   That person can't be jailed right now.");
			printf("JailTime[giveplayerid](%d) gTeam[giveplayerid](%d)",JailTime[giveplayerid],gTeam[giveplayerid]);
			return 1;
		}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			if (gTeam[playerid] == TEAM_BLUE)
			{
				if (TestDistance(playerid,giveplayerid,264.395200,77.564040,1001.039000,7))
				{
					//print("DEBUG Distancetested");
					new slice = ((PlayerInfo[giveplayerid][pLevel]*deathcost)+(1000)); //1k +your level
					SetPlayerPos(giveplayerid,264.395200,77.564040,1001.039000);
					GiveMoney(playerid, slice);
					GiveMoney(giveplayerid, -slice);
					PlayJailSound(1165 , 1166, 2000,264.395200, 77.564040, 1001.039000);
					format(string, sizeof(string), "~r~Suspect ~w~Detained~n~You Get ~g~$%d", slice);
					GameTextForPlayer(playerid, string, 5000, 1);
					format(string, sizeof(string), "~r~JAIL~n~~w~You Are fined ~n~~r~$%d", -slice);
					GameTextForPlayer(giveplayerid, string, 5000, 1);
					PlayerPlayMusic(playerid);
					JailTime[giveplayerid] = jailtime;
					SetPlayerFree(giveplayerid,playerid,"Serving Prison Sentence",0,0);
					if(FlashTime[giveplayerid] == 0){FlashTime[giveplayerid] = 10;}
					//TogglePlayerControllable(giveplayerid, 0);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD1, "   one of you is to far away from a jail cell!");
					return 1;
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
				return 1;
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
//----------------------------------[UNJAIL]-----------------------------------------------
	if(strcmp(cmd, "/unjail", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /unjail [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
			{
				SetPlayerInterior(giveplayerid,6);
				PlayerInfo[playerid][pInt] = 6;
                SetPlayerPos(giveplayerid,268.3,77.4,1001.0);
				format(string, sizeof(string), "   You have released %s(player: %d) from jail.", giveplayer,giveplayerid);
				//printf("AdmCmd: %s has jailed %s.", sendername, giveplayer);
				SendClientMessage(playerid, COLOR_GRAD1, string);
				SetPlayerWeapons(playerid);
				SendClientMessage(giveplayerid, COLOR_GRAD1,"   You have paid your debt to society.");
				PlayJailSound(1165 , 1166, 2000,264.395200, 77.564040, 1001.039000);
				JailTime[giveplayerid] = 10;
				//TogglePlayerControllable(giveplayerid, 0);
				return 1;
			}
			/*
			else if (gTeam[playerid] == TEAM_BLUE)
			{
				if (TestDistance(playerid,giveplayerid,264.395200,77.564040,1001.039000,7))
				{
					SetPlayerPos(giveplayerid,268.3,77.4,1001.0);
					format(string, sizeof(string), "   You have released %s(player: %d) from jail.", giveplayer,giveplayerid);
					//printf("AdmCmd: %s has jailed %s.", sendername, giveplayer);
					SendClientMessage(playerid, COLOR_GRAD1, string);
					SetPlayerWeapons(playerid);
					SendClientMessage(giveplayerid, COLOR_GRAD1,"   You have paid your debt to society.");
					PlayJailSound(1165 , 1166, 1000,264.395200, 77.564040, 1001.039000);
					//TogglePlayerControllable(giveplayerid, 0);
					return 1;
				}
				else
				{
					SendClientMessage(playerid, COLOR_GRAD1, "   one of you is to far away from a jail cell!");
					return 1;
				}
			}
			*/
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
				return 1;
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}

//----------------------------------[TOD]-----------------------------------------------

	if(strcmp(cmd, "/tod", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /tod [timeofday] (0-23)");
			return 1;
		}
		new hour;
		hour = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
            SetWorldTime(hour);
			format(string, sizeof(string), "   Time set to %d Hours.", hour);
			BroadCast(COLOR_GRAD1, string);
		}
		/*
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		*/
		return 1;
	}
//-----------------------------------editstat---------------------------------------
	if(strcmp(cmd, "/setstat", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /setstat [playerid/PartOfName] [statcode] [amount]");
			SendClientMessage(playerid, COLOR_GRAD4, "|1 Level |2 SpawnHealth |3 SpawnArmour |4 UpgradePoints |5 Model ");
			SendClientMessage(playerid, COLOR_GRAD3, "|6 BankAccount |7 PhoneNumber |8 ExpPoints ");
			SendClientMessage(playerid, COLOR_GRAD2, "|9 HouseKey |10 BizKey |11 CB |12 HW |13 SR |14 BF |15 WA |16 PEN");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /setstat [playerid/PartOfName] [statcode] [amount]");
			SendClientMessage(playerid, COLOR_GRAD4, "|1 Level |2 SpawnHealth |3 SpawnArmour |4 UpgradePoints");
			SendClientMessage(playerid, COLOR_GRAD3, "|5 Model |6 BankAccount |7 PhoneNumber");
			SendClientMessage(playerid, COLOR_GRAD2, "|8 ExpPoints |9 HouseKey |10 BizKey");
			return 1;
		}
		new stat;
		stat = strval(tmp);
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /setstat [playerid/PartOfName] [statcode] [amount]");
			SendClientMessage(playerid, COLOR_GRAD4, "|1 Level |2 SpawnHealth |3 SpawnArmour |4 UpgradePoints");
			SendClientMessage(playerid, COLOR_GRAD3, "|5 Model |6 BankAccount |7 PhoneNumber");
			SendClientMessage(playerid, COLOR_GRAD2, "|8 ExpPoints |9 HouseKey |10 BizKey");
			return 1;
		}
		new amount;
		amount = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			switch (stat)
			{
				case 1:
				{
					PlayerInfo[giveplayerid][pLevel] = amount;
					format(string, sizeof(string), "   The Player Was Set To Level %d", amount);
				}
				case 2:
				{
					PlayerInfo[giveplayerid][pSHealth] = amount;
					format(string, sizeof(string), "   The Player Was Set To %d Spawnhealth ", amount);
				}
    			case 3:
				{
					PlayerInfo[giveplayerid][pSArmour] = amount;
					format(string, sizeof(string), "   The Player Was Set To %d Spawnarmour ", amount);
				}
				case 4:
				{
					PlayerInfo[giveplayerid][gPupgrade] = amount;
					format(string, sizeof(string), "   The Player Was Set To %d Upgrade Points", amount);
				}
				case 5:
				{
					PlayerInfo[giveplayerid][pModel] = amount;
					format(string, sizeof(string), "   The Player Was Set To Model %d", amount);
				}
				case 6:
				{
					PlayerInfo[giveplayerid][pAccount] = amount;
					format(string, sizeof(string), "   The Player Account Was Set To $%d", amount);
				}
				case 7:
				{
					PlayerInfo[giveplayerid][pPnumber] = amount;
					format(string, sizeof(string), "   The Player Phone Number Was Set To %d", amount);
				}
				case 8:
				{
					PlayerInfo[giveplayerid][pExp] = amount;
					format(string, sizeof(string), "   The Player Exp Points Were Set To %d", amount);
				}
				case 9:
				{
					PlayerInfo[giveplayerid][pPhousekey] = amount;
					format(string, sizeof(string), "   The Player House Key Was Set To %d", amount);
				}
				case 10:
				{
					PlayerInfo[giveplayerid][pPbiskey] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
				case 11:
				{
					PlayerInfo[giveplayerid][pCB] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
				case 12:
				{
					PlayerInfo[giveplayerid][pHW] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
				case 13:
				{
					PlayerInfo[giveplayerid][pSR] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
        		case 14:
				{
					PlayerInfo[giveplayerid][pBF] = amount;
					format(string, sizeof(string), "AdmCmd: %s has Set %s Briefcase to %d.", sendername, giveplayer, amount);
					printf("AdmCmd: %s has Set %s Briefcase to %d.", sendername, giveplayer, amount);
				}
				case 15:
				{
					PlayerInfo[giveplayerid][pWA] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
				case 16:
				{
					PlayerInfo[giveplayerid][pPEN] = amount;
					format(string, sizeof(string), "   The Player Business Key Was Set To %d", amount);
				}
				default:
				{
					format(string, sizeof(string), "   Invalid Stat Code", amount);
				}

			}
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[SETINT]-----------------------------------------------
	if(strcmp(cmd, "/setint", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setint [interiorid]");
			return 1;
		}
		new intid;
		intid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			SetPlayerInterior(playerid,intid);
			PlayerInfo[playerid][pInt] = intid;
			format(string, sizeof(string), "   interiorid %d.", intid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/setintp", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setintp [playerid] [interior]");
			return 1;
		}
		new playa;
		new intid;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
  		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setintp [playerid] [interior]");
			return 1;
		}
		intid = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
  		    if (IsPlayerConnected(playa))
		    {
			    SetPlayerInterior(playa, intid);
		        PlayerInfo[playa][pInt] = intid;
		        format(string, sizeof(string), "AdmCmd: %s set %s to interior %d",sendername,  giveplayer, intid);
                printf(string);
                format(string, sizeof(string), "AdmCmd: %s change your interior to %d",sendername, intid);
			    SendClientMessage(playa, COLOR_GRAD1, string);
       		}
		    else
		    {
			    SendClientMessage(playerid, COLOR_GRAD1, "   No Such Player.");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
//-----------------------------------------[X-DIVE]--------------------------------------------------------
	if(strcmp(cmd, "/skydive", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			GetPlayerPos(playerid, rx, ry, rz);
			if (IsPlayerConnected(playerid))
			{
				GivePlayerWeapon(playerid, 46, 0);
				SetPlayerPos(playerid,rx, ry, rz+1500);
				SendClientMessage(playerid, COLOR_WHITE, "GO!! GO!! GO!!");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

if(strcmp(cmdtext, "/dive", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			if(IsPlayerInAnyVehicle(playerid)) {
		        new Float:X;
				new Float:Y;
				new Float:Z;
		        new VehicleID;
		        GetPlayerPos(playerid, X, Y, Z);
		        VehicleID = GetPlayerVehicleID(playerid);
				SetVehiclePos(VehicleID, X, Y, Z + 800.00);
				GivePlayerWeapon(playerid,46,1);
			}
			else {
				new Float:X;
				new Float:Y;
				new Float:Z;
				GetPlayerPos(playerid, X, Y, Z);
				SetPlayerPos(playerid, X, Y, Z + 800.00);
				GivePlayerWeapon(playerid,46,1);
				GameTextForPlayer(playerid, "~w~Don't forget to pull out your parachute :D",8000,5);
			}
			return 1;
		}
    }

if(strcmp(cmd, "/tendive", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /tendive [1][2][3][5][6][7][8][9][10]");
			return 1;
		}
		new para1;
		new para2;
		new para3;
		new para4;
		new para5;
		new para6;
		new para7;
		new para8;
		new para9;
		new para10;
		para1 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para2 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para3 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para4 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para5 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para6 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para7 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para8 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para9 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para10 = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 && IsPlayerConnected(playerid))
		{
			if (IsPlayerConnected(para1)){ GivePlayerWeapon(para1, 46, 0); SetPlayerPos(para1,-1753.8,884.6,1350.0);SetPlayerInterior(para1,0);PlayerInfo[para1][pInt] = 0;SendClientMessage(para1, COLOR_WHITE, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para2)) && (para2>0)) { GivePlayerWeapon(para2, 46, 0); SetPlayerPos(para2,-1753.8,884.6,1350.0);SetPlayerInterior(para2,0);PlayerInfo[para2][pInt] = 0;SendClientMessage(para2, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para3)) && (para3>0)) { GivePlayerWeapon(para3, 46, 0); SetPlayerPos(para3,-1753.8,884.6,1350.0);SetPlayerInterior(para3,0);PlayerInfo[para3][pInt] = 0;SendClientMessage(para3, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para4)) && (para4>0)) { GivePlayerWeapon(para4, 46, 0); SetPlayerPos(para4,-1753.8,884.6,1350.0);SetPlayerInterior(para4,0);PlayerInfo[para4][pInt] = 0;SendClientMessage(para4, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para5)) && (para4>0)) { GivePlayerWeapon(para4, 46, 0); SetPlayerPos(para4,-1753.8,884.6,1350.0);SetPlayerInterior(para4,0);PlayerInfo[para4][pInt] = 0;SendClientMessage(para4, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para6)) && (para2>0)) { GivePlayerWeapon(para2, 46, 0); SetPlayerPos(para2,-1753.8,884.6,1350.0);SetPlayerInterior(para2,0);PlayerInfo[para2][pInt] = 0;SendClientMessage(para2, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para7)) && (para3>0)) { GivePlayerWeapon(para3, 46, 0); SetPlayerPos(para3,-1753.8,884.6,1350.0);SetPlayerInterior(para3,0);PlayerInfo[para3][pInt] = 0;SendClientMessage(para3, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para8)) && (para4>0)) { GivePlayerWeapon(para4, 46, 0); SetPlayerPos(para4,-1753.8,884.6,1350.0);SetPlayerInterior(para4,0);PlayerInfo[para4][pInt] = 0;SendClientMessage(para4, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para9)) && (para3>0)) { GivePlayerWeapon(para3, 46, 0); SetPlayerPos(para3,-1753.8,884.6,1350.0);SetPlayerInterior(para3,0);PlayerInfo[para3][pInt] = 0;SendClientMessage(para3, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para10)) && (para4>0)) { GivePlayerWeapon(para4, 46, 0); SetPlayerPos(para4,-1753.8,884.6,1350.0);SetPlayerInterior(para4,0);PlayerInfo[para4][pInt] = 0;SendClientMessage(para4, COLOR_RED, "GO!! GO!! GO!!");}

		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}

if(strcmp(cmd, "/fourdive", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fourdive [playerid1] [playerid2] [playerid3] [playerid4]");
			return 1;
		}
		new para1;
		new para2;
		new para3;
		new para4;
		para1 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para2 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para3 = strval(tmp);
		tmp = strtok(cmdtext, idx);
		para4 = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			if (IsPlayerConnected(para1)){ GivePlayerWeapon(para1, 46, 0); SetPlayerPos(para1,1536.0, -1360.0, 1350.0);SetPlayerInterior(para1,0);PlayerInfo[para1][pInt] = 0;SendClientMessage(para1, COLOR_WHITE, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para2)) && (para2>0)) { GivePlayerWeapon(para2, 46, 0); SetPlayerPos(para2,1536.0, -1345.0, 1350.0);SetPlayerInterior(para2,0);PlayerInfo[para2][pInt] = 0;SendClientMessage(para2, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para3)) && (para3>0)) { GivePlayerWeapon(para3, 46, 0); SetPlayerPos(para3,1552.0, -1345.0, 1350.0);SetPlayerInterior(para3,0);PlayerInfo[para3][pInt] = 0;SendClientMessage(para3, COLOR_RED, "GO!! GO!! GO!!");}
			if ((IsPlayerConnected(para4)) && (para4>0)) { GivePlayerWeapon(para4, 46, 0); SetPlayerPos(para4,1552.0, -1360.0, 1350.0);SetPlayerInterior(para4,0);PlayerInfo[para4][pInt] = 0;SendClientMessage(para4, COLOR_RED, "GO!! GO!! GO!!");}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
    if(strcmp(cmd,"/gravity",true)==0)
	{
	    if(IsPlayerConnected(playerid))
	    {
	        if(PlayerInfo[playerid][pAdmin] < 105)
	        {
	            SendClientMessage(playerid, COLOR_GREY, "   You are not an Admin !");
	            return 1;
	        }
	        tmp = strtok(cmdtext, idx);
	        if(!strlen(tmp)) {
	            SendClientMessage(playerid, COLOR_WHITE, "USAGE: /gravity [value Default: 0.008]");
	            return 1;
			}
			new Float:gravity;
			floatstr(tmp);
			SetGravity(gravity);
			format(string, sizeof(string), "* Gravity changed to %f.",gravity);
			SendClientMessage(playerid, COLOR_LIGHTBLUE, string);
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/aalarm", true) == 0)
	{
		if(gAAlert[playerid] == 0)
		{
			gAAlert[playerid] = 1;
			SendClientMessage(playerid,COLOR_BLUE,"You have turned your anti cheat alerts on");
			return 1;
		}
		if(gAAlert[playerid] == 1)
		{
			gAAlert[playerid] = 0;
			SendClientMessage(playerid,COLOR_BLUE,"You have turned your anti cheat alerts off");
			return 1;
		}
	}
	
	if(strcmp(cmd, "/acreset", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			for(new i = 0; i<MAX_PLAYERS; i++)
			{
				gMon[i] = GetPlayerMoney(i);
			}
		}
		return 1;
	}
//----------------------------------[MAKEADMIN]------------------------------------------------

	if(strcmp(cmd, "/giveadmin", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /giveadmin [playerid/PartOfName] [level(1-3)]");
			return 1;
		}
		new para1;
		new level;
		if(IsStringAName(tmp))
		{
			para1 = GetPlayerID(tmp);
		}
		else
		{
			para1 = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		level = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			GetPlayerName(para1, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			PlayerInfo[para1][pAdmin] = level;
			printf("AdmCmd: %s has promoted %s to a level %d admin.", sendername, giveplayer, level);
			format(string, sizeof(string), "   You have been promoted to a level %d admin by %s", level, sendername);
			SendClientMessage(para1, COLOR_GRAD1, string);
			format(string, sizeof(string), "   You have promoted %s to a level %d admin.", giveplayer,level);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/makepadmin", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /makepadmin [playerid/PartOfName] [level 1-105]");
			return 1;
		}
		new para1;
		new level;
		if(IsStringAName(tmp))
		{
			para1 = GetPlayerID(tmp);
		}
		else
		{
			para1 = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		level = strval(tmp);
		if ((IsPlayerAdmin(playerid)))
		{
			GetPlayerName(para1, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			PlayerInfo[para1][pAdmin] = level;
			printf("=[ AdmCmd: %s has promoted %s to a level %d Admin.", sendername, giveplayer, level);
			format(string, sizeof(string), "AdmCmd: You have been promoted to a level %d Admin by %s", level, sendername);
			SendClientMessage(para1, COLOR_RED, string);
			format(string, sizeof(string), "AdmCmd: You have promoted %s to a level %d Admin.", giveplayer,level);
			SendClientMessage(playerid, COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[MAKEADMIN]------------------------------------------------
	if(strcmp(cmd, "/makeraceman", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /makeraceman [playerid/PartOfName] [on 1 off 0)]");
			return 1;
		}
		new para1;
		new level;
		if(IsStringAName(tmp))
		{
			para1 = GetPlayerID(tmp);
		}
		else
		{
			para1 = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		level = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			GetPlayerName(para1, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			gRaceGuy[para1] = level;
			printf("AdmCmd: %s has promoted %s to Race Creator.", sendername, giveplayer, level);
			format(string, sizeof(string), "   You have been promoted to Race Creator by %s", sendername);
			SendClientMessage(para1, COLOR_GRAD1, string);
			SendClientMessage(para1, COLOR_WHITE, "HINT: You can now type /help to see your race editing commands.");
			format(string, sizeof(string), "   You have promoted %s to Race Creator.", giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);

		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[setteam]------------------------------------------------
	if(strcmp(cmd, "/setteam", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /setteam [playerid/PartOfName] [team 1(civ) - 2(cop)]");
			return 1;
		}
		new para1;
		new level;
		if(IsStringAName(tmp))
		{
			para1 = GetPlayerID(tmp);
		}
		else
		{
			para1 = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		level = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			GetPlayerName(para1, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			PlayerInfo[para1][pTeam] = level;
			//OnClientUpdate(para1);
			gTeam[para1] = level;
			SetPlayerWeapons(para1);
			SetPlayerRandomSpawn(para1);
			//gPlayerSpawned[para1] = 0;
			//OnPlayerSpawn(para1);
			ClearCrime(para1);
			if (gPublicEnemy == para1)
			{
				gPublicEnemy = INVALID_PLAYER_ID;
				KillTimer(offhook);
	    	}
			printf("AdmCmd: %s has switched %s to team %d.", sendername, giveplayer, level);
			format(string, sizeof(string), "   You have been switched to team %d by %s", level, sendername);
			SendClientMessage(para1, COLOR_GRAD1, string);
			format(string, sizeof(string), "   You have switched %s to team %d.", giveplayer,level);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/jointeam", true) == 0)
	{
        new sbiz;
		if (PlayerToPoint(3, playerid,SBizzInfo[11][sbEntrancex], SBizzInfo[11][sbEntrancey], SBizzInfo[11][sbEntrancez]))
		{
			sbiz = 11;
		}
		else if (PlayerToPoint(3, playerid,SBizzInfo[12][sbEntrancex], SBizzInfo[12][sbEntrancey], SBizzInfo[12][sbEntrancez]))
		{
			sbiz = 12;
		}
  		else if (PlayerToPoint(3, playerid,SBizzInfo[29][sbEntrancex], SBizzInfo[29][sbEntrancey], SBizzInfo[29][sbEntrancez]))
		{
			sbiz = 29;
		}
  		else if (PlayerToPoint(3, playerid,SBizzInfo[30][sbEntrancex], SBizzInfo[30][sbEntrancey], SBizzInfo[30][sbEntrancez]))
		{
			sbiz = 30;
		}
    	else if (PlayerToPoint(3, playerid,SBizzInfo[47][sbEntrancex], SBizzInfo[47][sbEntrancey], SBizzInfo[47][sbEntrancez]))
		{
			sbiz = 47;
		}
    	else if (PlayerToPoint(3, playerid,SBizzInfo[48][sbEntrancex], SBizzInfo[48][sbEntrancey], SBizzInfo[48][sbEntrancez]))
		{
			sbiz = 48;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You are not close to a team store");
			return 1;
		}
		if(GetPlayerMoney(playerid) < SBizzInfo[sbiz][sbEntcost] || (SBizzInfo[sbiz][sbEntcost] > 20000 && PlayerInfo[playerid][pLevel] < 3))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cant afford this");
			return 1;
		}
		if(SBizzInfo[sbiz][sbLock] == 1)
		{
			GameTextForPlayer(playerid, "~r~Closed", 5000, 1);
			return 1;
		}
		if(SBizzInfo[sbiz][sbProd] == 0)
		{
			GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /jointeam [team 1(medic) - 2(cop)]");
			return 1;
		}
		new level = strval(tmp);
		if (level > 0 && level < 12)
		{
			if (gPublicEnemy == playerid)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "You cant change team now");
				return 1;
	    	}
			GetPlayerName(playerid, sendername, sizeof(sendername));
			PlayerInfo[playerid][pTeam] = level;
			gTeam[playerid] = level;
			ClearCrime(playerid);
			SetPlayerToTeamColor(playerid);
			format(string, sizeof(string), "%s, You have been switched to team %d", sendername, level);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			GiveMoney(playerid,-SBizzInfo[sbiz][sbEntcost]);
			SBizzInfo[sbiz][sbProd]--;
			SBizzInfo[sbiz][sbTakings] = SBizzInfo[sbiz][sbTakings]+SBizzInfo[sbiz][sbEntcost];
			new dood[MAX_PLAYER_NAME];
			GetPlayerName(playerid, dood, sizeof(dood));
			format(string, sizeof(string), "%s payed $%d to enter sbiz %d", dood, SBizzInfo[sbiz][sbEntcost], sbiz);
			printf("%s", string);
			PayLog(string);
			OnPropUpdate();
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "There is no team for that number");
		}
		return 1;
	}
//----------------------------------[GETTO]----------------------------------------------
	if(strcmp(cmd, "/gettols", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gettols [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playa) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playa);
				SetVehiclePos(tmpcar, 1529.6,-1691.2,13.3);
				TelePos[playa][0] = 0.0;TelePos[playa][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playa, 1529.6,-1691.2,13.3);
			}
   			format(string, sizeof(string), "SERVER: You teleported %s to Los Santos", giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			format(string, sizeof(string), "SERVER: You have been teleported to Los Santos by %s", sendername);
			SendClientMessage(playa, COLOR_GRAD1, string);
			SetPlayerInterior(playa,0);
			PlayerInfo[playa][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/gettolv", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gettolv [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playa) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playa);
				SetVehiclePos(tmpcar, 1699.2, 1435.1, 10.7);
				TelePos[playa][0] = 0.0;TelePos[playa][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playa, 1699.2,1435.1, 10.7);
			}
   			format(string, sizeof(string), "SERVER: You teleported %s to Las Venturas", giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			format(string, sizeof(string), "SERVER: You have been teleported to Las Venturas by %s", sendername);
			SendClientMessage(playa, COLOR_GRAD1, string);
			SetPlayerInterior(playa,0);
			PlayerInfo[playa][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/gettosf", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gettosf [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playa) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playa);
				SetVehiclePos(tmpcar, -1714.1,687.8,24.74);
				TelePos[playa][0] = 0.0;TelePos[playa][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playa, -1714.1,687.8,24.74);
			}
   			format(string, sizeof(string), "SERVER: You teleported %s to San Fierro", giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			format(string, sizeof(string), "SERVER: You have been teleported to San Fierro by %s", sendername);
			SendClientMessage(playa, COLOR_GRAD1, string);
			SetPlayerInterior(playa,0);
			PlayerInfo[playa][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}

 	if(strcmp(cmd, "/gettofc", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gettofc [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playa) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playa);
				SetVehiclePos(tmpcar, -193.1481,1109.1437,19.7834);
				TelePos[playa][0] = 0.0;TelePos[playa][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playa, -193.1481,1109.1437,19.7834);
			}
   			format(string, sizeof(string), "SERVER: You teleported %s to Fort Carson", giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			format(string, sizeof(string), "SERVER: You have been teleported to Fort Carson by %s", sendername);
			SendClientMessage(playa, COLOR_GRAD1, string);
			SetPlayerInterior(playa,0);
			PlayerInfo[playa][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[GOTO]-----------------------------------------------
	if(strcmp(cmd, "/gotols", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, 1529.6,-1691.2,13.3);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, 1529.6,-1691.2,13.3);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You have been teleported to Los Santos");
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/gotolv", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, 1699.2, 1435.1, 10.7);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, 1699.2,1435.1, 10.7);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You have been teleported to Las Venturas");
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/gotosf", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, -1714.1,687.8,24.74);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, -1714.1,687.8,24.74);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You have been teleported to San Fierro");
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/gotofc", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, -193.1481,1109.1437,19.7834);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, -193.1481,1109.1437,19.7834);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: You have been teleported to Fort Carson");
			SetPlayerInterior(playerid,0);
			PlayerInfo[playerid][pInt] = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/gotocar", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /gotocar [carid]");
			return 1;
		}
		new testcar = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			new Float:cwx2,Float:cwy2,Float:cwz2;
			GetVehiclePos(testcar, cwx2, cwy2, cwz2);
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, cwx2, cwy2, cwz2);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, cwx2, cwy2, cwz2);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
			SetPlayerInterior(playerid,0);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/mark", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			GetPlayerPos(playerid, TeleportDest[playerid][0],TeleportDest[playerid][1],TeleportDest[playerid][2]);
			SendClientMessage(playerid, COLOR_GRAD1, "   teleporter destination set");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	return 1;
	}
	if(strcmp(cmd, "/gotomark", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, TeleportDest[playerid][0],TeleportDest[playerid][1],TeleportDest[playerid][2]);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid, TeleportDest[playerid][0],TeleportDest[playerid][1],TeleportDest[playerid][2]);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
			SetPlayerInterior(playerid,0);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	return 1;
	}
	if(strcmp(cmd, "/gotoin", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, 1416.107000,0.268620,1000.926000);
			}
			else
			{
				SetPlayerPos(playerid, 1416.107000,0.268620,1000.926000);
			}
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
			SetPlayerInterior(playerid,1);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	return 1;
	}
	if(strcmp(cmd, "/gotostad", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				//new intid = GetPlayerInterior(playerid);
				SetVehiclePos(tmpcar, -1435.75, -652.664, 1054.94);
			}
			else
			{
				SetPlayerPos(playerid, -1435.75, -652.664, 1054.94);
			}
			SetPlayerInterior(playerid,4);
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/gotojet", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar, 1.71875, 30.4062, 1200.34);
			}
			else
			{
				SetPlayerPos(playerid, 1.71875, 30.4062, 1200.34);
			}
			SetPlayerInterior(playerid,1);
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	return 1;
	}
	
	if(strcmp(cmd, "/goto", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "AdmCmd:: /goto [playerid/PartOfName]");
			return 1;
		}
		new Float:plocx,Float:plocy,Float:plocz;
		new plo;
		if(IsStringAName(tmp))
		{
			plo = GetPlayerID(tmp);
		}
		else
		{
			plo = strval(tmp);
		}
		if (IsPlayerConnected(plo))
		{
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
			{
				if(Spectate[playerid] != 255)
				{
					Spectate[playerid] = 256;
				}
				GetPlayerPos(plo, plocx, plocy, plocz);
				new intid = GetPlayerInterior(plo);
   				SetPlayerInterior(playerid,intid);
   				SetPlayerVirtualWorld(playerid,GetPlayerVirtualWorld(plo));
				PlayerInfo[playerid][pInt] = intid;
				PlayerInfo[playerid][pLocal] = PlayerInfo[plo][pLocal];

				/*if(plocz > 530.0 && PlayerInfo[plo][pInt] == 0) //the highest land point in sa = 526.8
				{
					SetPlayerInterior(playerid,1);
					PlayerInfo[playerid][pInt] = 1;
				}*/
				if (GetPlayerState(playerid) == 2)
				{
					new tmpcar = GetPlayerVehicleID(playerid);
					SetVehiclePos(tmpcar, plocx, plocy+4, plocz);
					TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
				}
				else
				{
					SetPlayerPos(playerid,plocx,plocy+2, plocz);
				}
				SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd:You have been teleported");
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", plo);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/gotop", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gotop [posid]");
			return 1;
		}
			new tmppo;
			tmppo = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			if (GetPlayerState(playerid) == 2)
			{
				new tmpcar = GetPlayerVehicleID(playerid);
				SetVehiclePos(tmpcar,Teletmp[tmppo][pTmpposx], Teletmp[tmppo][pTmpposy], Teletmp[tmppo][pTmpposz]);
				TelePos[playerid][0] = 0.0;TelePos[playerid][1] = 0.0;
			}
			else
			{
				SetPlayerPos(playerid,Teletmp[tmppo][pTmpposx], Teletmp[tmppo][pTmpposy], Teletmp[tmppo][pTmpposz]);
			}
			PlayerInfo[playerid][pInt] = Teletmp[tmppo][pTmpint];
			SetPlayerInterior(playerid,Teletmp[tmppo][pTmpint]);
			format(string, sizeof(string), "TmpPos Location: %d",tmppo);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if (strcmp(cmd, "/gotohide", true) == 0)
	{
	    tmp = strtok(cmdtext,idx);
	    if (!strlen(tmp))
	    {
	        SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /gotohide [location id]");
			return 1;
	    }
		new location = strval(tmp);
	    if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 104)
	    {
			switch (location)
			{
			    case 1:
			    {
			        SetPlayerInterior(playerid, 1);
           			SetPlayerPos(playerid, -2042.42,178.59,28.84);
					format(string, sizeof(string), "~b~San Fierro ~n~~r~Dorehty Garage~n~%d",location);
			    }
			    case 2:
			    {
       			    SetPlayerInterior(playerid, 0);
           			SetPlayerPos(playerid, -1685.636474,1035.476196,45.210937);
					format(string, sizeof(string), "~b~San Fierro ~n~~r~Bomb Shop~n~%d",location);
			    }
       			case 3:
			    {
       			    SetPlayerInterior(playerid, 6);
           			SetPlayerPos(playerid, 435.271331,-80.958938,999.554687);
					format(string, sizeof(string), "~g~Los Santos ~n~~r~Secret valley diner~n~%d",location);
			    }
			    case 4:
			    {
			        SetPlayerInterior(playerid, 5);
			        SetPlayerPos(playerid, 454.973937,-110.104995,1000.077209);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Gant bridge diner~n~%d",location);
			    }
       			case 5:
			    {
			        SetPlayerInterior(playerid, 18);
			        SetPlayerPos(playerid, -227.027999,1401.229980,27.765625);
			        format(string, sizeof(string), "~g~Fort Carson ~n~~r~Lil' probe inn~n~%d",location);
			    }
              	case 6:
			    {
			        SetPlayerInterior(playerid, 5);
			        SetPlayerPos(playerid, 1267.663208,-781.323242,1091.906250);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Madd Doggs mansion~n~%d",location);
			    }
                case 7:
			    {
			        SetPlayerInterior(playerid, 2);
			        SetPlayerPos(playerid, 2454.717041,-1700.871582,1013.515197);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Ryders house~n~%d",location);
			    }
                case 8:
			    {
			        SetPlayerInterior(playerid, 1);
			        SetPlayerPos(playerid, 2169.461181,1618.798339,999.976562);
			        format(string, sizeof(string), "~y~Las Venturas ~n~~r~Catigula's basement~n~%d",location);
			    }
                case 9:
			    {
			        SetPlayerInterior(playerid, 10);
			        SetPlayerPos(playerid, 1889.953369,1017.438293,31.882812);
			        format(string, sizeof(string), "~y~Las Venturas ~n~~r~FDC Janitors room~n~%d",location);
			    }
                case 10:
			    {
			        SetPlayerInterior(playerid, 14);
			        SetPlayerPos(playerid, -1861.936889,54.908092,1061.143554);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Airport baggage reclaim~n~%d",location);
			    }
                case 11:
			    {
			        SetPlayerInterior(playerid, 14);
			        SetPlayerPos(playerid, -1827.147338,7.207417,1061.143554);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Airport ticket desk~n~%d",location);
			    }
                case 12:
			    {
			        SetPlayerInterior(playerid, 12);
			        SetPlayerPos(playerid, 444.646911,508.239044,1001.419494);
			        format(string, sizeof(string), "~y~Las Venturas ~n~~r~Budget inn motel room~n~%d",location);
			    }
                case 13:
			    {
			        SetPlayerInterior(playerid, 18);
			        SetPlayerPos(playerid, 1726.18,-1641.00,20.23);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Atruim ~n~%d",location);
			    }
                case 14:
			    {
			        SetPlayerInterior(playerid, 5);
			        SetPlayerPos(playerid, 318.564971,1118.209960,1083.882812);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Crack den ~n~%d",location);
			    }
		     	case 15:
			    {
			        SetPlayerInterior(playerid, 2);
			        SetPlayerPos(playerid, 2567.52,-1294.59,1063.25);
			        format(string, sizeof(string), "~g~Los Santos ~n~~r~Crack Laboratory ~n~%d",location);
			    }
			    case 16:
			    {
			        SetPlayerInterior(playerid, 12);
					SetPlayerPos(playerid, 2324.33,-1144.79,1050.71);
					format(string, sizeof(string), "~g~Los Santos ~n~~r~Large modern unused Safehouse ~n~%d",location);
			    }
       			default:
				{
					format(string, sizeof(string), "   Invalid Location ID", location);
				}
			}
			GameTextForPlayer(playerid, string, 5000, 1);
	    }
	    return 1;
	}
//----------------------------------[GETALL]------------------------------------------------
	if(strcmp(cmd, "/getall", true) == 0)
	{
		for(new i = 0; i < MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
 			{
				new Float:x,Float:y,Float:z;
				GetPlayerPos(playerid,x,y,z);
				if(i == playerid) return 1;
			    SetPlayerPos(i,x+random(10),y+random(10),z);
			    new player[24];
				GetPlayerName(playerid,player,24);
			    format(string,sizeof(string)," Admin %s teleported everybody to he/she.",player);
			    SendClientMessageToAll(COLOR_GREY,string);
			    return 1;
			}
		}
		return 1;
	}
//----------------------------------[GETHERE]-----------------------------------------------
	if(strcmp(cmd, "/gethere", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gethere [playerid/PartOfName]");
			return 1;
		}
		new Float:plocx,Float:plocy,Float:plocz;
		new plo;
		if(IsStringAName(tmp))
		{
			plo = GetPlayerID(tmp);
		}
		else
		{
			plo = strval(tmp);
		}
		if (IsPlayerConnected(plo))
		{
			if ((IsPlayerAdmin(plo)))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: Ask the admin to goto you.");
				return 1;
			}
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
			{
				GetPlayerPos(playerid, plocx, plocy, plocz);
				new intid = GetPlayerInterior(playerid);
   				SetPlayerInterior(plo,intid);
   				SetPlayerVirtualWorld(plo,GetPlayerVirtualWorld(playerid));
				PlayerInfo[playerid][pInt] = intid;
				PlayerInfo[plo][pLocal] = PlayerInfo[playerid][pLocal];
				if(GetPlayerState(plo)==PLAYER_STATE_DRIVER)
				{
				    SetVehiclePos(GetPlayerVehicleID(plo),plocx,plocy+3,plocz);
				    //LinkVehicleToInterior(GetPlayerVehicleID(plo),intid);
				}
				else
				{
					SetPlayerPos(plo,plocx,plocy+2, plocz);
				}
				SendClientMessage(plo, COLOR_GRAD1, "AdmCmd: You have been teleported");
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", plo);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/gethereall", true) == 0)
	{
  		if (PlayerInfo[playerid][pAdmin] < 106 && IsPlayerConnected(playerid))
		{
		    SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		    return 1;
		}
		new Float:plocx,Float:plocy,Float:plocz;
		for (new i = 0; i < MAX_PLAYERS; i++)
		{
		    if (IsPlayerConnected(i) && i != playerid)
		    {
			    if ((IsPlayerAdmin(i)))
			    {
				    SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: Ask the admin to goto you.");
				    return 1;
			    }
				GetPlayerPos(playerid, plocx, plocy, plocz);
				new intid = GetPlayerInterior(playerid);
				SetPlayerInterior(i,intid);
				SetPlayerVirtualWorld(i,GetPlayerVirtualWorld(playerid));
				PlayerInfo[playerid][pInt] = intid;
				PlayerInfo[i][pLocal] = PlayerInfo[playerid][pLocal];
				if(GetPlayerState(i) == PLAYER_STATE_DRIVER)
				{
				    SetVehiclePos(GetPlayerVehicleID(i),plocx,plocy+3,plocz);
				}
				else
				{
					SetPlayerPos(i,plocx,plocy+2, plocz);
				}
				SendClientMessage(i, COLOR_GRAD1, "AdmCmd: You have been teleported");
		    }
		}
		return 1;
 	}
	
	if(strcmp(cmd, "/getcar", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /gethere [carid]");
			return 1;
		}
		new Float:plocx,Float:plocy,Float:plocz;
		new plo;
		plo = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			GetPlayerPos(playerid, plocx, plocy, plocz);
			SetVehiclePos(plo,plocx,plocy+4, plocz);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[GiveGun]------------------------------------------------
	if(strcmp(cmd, "/givegun", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givegun [playerid/PartOfName] [weaponid(eg. 46 = Parachute)] [ammo]");
			//SendClientMessage(playerid, COLOR_RED, "Warning: Invalid WeaponID's will crash the server");
			return 1;
		}
		new playa;
		new gun;
		new ammo;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		gun = strval(tmp);
		tmp = strtok(cmdtext, idx);
		ammo = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
            AllowSpecWeapon[playa] = 1;
			GivePlayerWeapon(playa, gun, ammo);
			printf("AdmCmd: %s gave %s Weapon %d",sendername,  giveplayer, gun);

		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[GiveHealth]------------------------------------------------
	if(strcmp(cmd, "/givehealth", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givehealth [playerid/PartOfName] [health]");
			return 1;
		}
		new playa;
		new health;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		health = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
            gHealPlayer[playa] = 1;
			SetPlayerHealth(playa, health);
			printf("AdmCmd: %s gave %s %d Health",sendername,  giveplayer, health);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[GiveHealth]------------------------------------------------
	if(strcmp(cmd, "/checkup", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givehealth [playerid/PartOfName] [health]");
			return 1;
		}
		new playa;
		new Float:oldhealth;
		new Float:newhealth;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		GetPlayerHealth(playerid, oldhealth);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			SetPlayerHealth(playa, 10.0);
			GetPlayerHealth(playa, newhealth);
			if(newhealth != 10.0)
			{
				printf("AdmCmd: cheatfound");
			}
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//native GetPlayerHealth(playerid, &Float:health);
//native SetPlayerHealth(playerid, Float:health);
//----------------------------------[GiveMoney]------------------------------------------------
	if(strcmp(cmd, "/givemoney", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			//SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givemoney [playerid/PartOfName] [money]");
			return 1;
		}
		new playa;
		new money;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		money = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			ResetPlayerMoney(playa);
			GiveMoney(playa, money);
			printf("AdmCmd: %s set %s to $%d",sendername,  giveplayer, money);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
//------------------------------------[Give Commands]---------------------------|
	if (strcmp(cmd, "/givevec", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givevec [playerid] [vehicleid]");
			return 1;
		}
		new playa;
		new car;
  		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /givevec [playerid] [vehicleid]");
			return 1;
		}
		car = strval(tmp);
		if(car < 400 || car > 611)
		{
			SendClientMessage(playerid, COLOR_GREY, "   Vehicle Number can't be below 400 or above 611 !");
			return 1;
		}
		if(IsPlayerConnected(playa))
		{
 			GetPlayerName(playa, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
			{
				new weaponid = strval(tmp);
				new Float:px, Float:py, Float:pz, Float:pa;
				GetPlayerFacingAngle(playa, pa);
				GetPlayerPos(playa, px, py, pz);
				new coordsstring[256];
				format(coordsstring, 256, "CreateVehicle(%d, %.1f,%.1f,%.1f,%.1f,-1,-1,-1);\n", weaponid, px, py, pz ,pa);
				printf("AdmCmd:vech: %d was spawned", weaponid);
				new vecid = CreateVehicle(weaponid, px, py, pz, pa,-1,-1,-1);
   				new world = GetPlayerVirtualWorld(playa);
				new intid = GetPlayerInterior(playa);
				SetVehicleVirtualWorld(vecid, world);
				LinkVehicleToInterior(vecid, intid);
				//PutPlayerInVehicle(playa, vecid, 0);
				new File:hFile;
				hFile = fopen("coords.txt", io_append);
				fwrite(hFile, coordsstring);
				fclose(hFile);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", playa);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
//-----------------------------------[Slap]-----------------------------------------------
	if(strcmp(cmd, "/tslap", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /tslap [playerid/PartOfName]");
			return 1;
		}
  		new playa;
		new Float:shealth;
		new Float:slx, Float:sly, Float:slz;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			GetPlayerHealth(playa, shealth);
			SetPlayerHealth(playa, shealth-15);
			GetPlayerPos(playa, slx, sly, slz);
			SetPlayerPos(playa, slx, sly, slz+15);
			PlaySoundAll(playa, 1130, slx, sly, slz+5);
			printf("AdmCmd: %s triple slapped %s",sendername,  giveplayer);
			format(string, sizeof(string), "AdmCmd: %s was triple slapped by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(!strcmp(cmd,"/slapcar",true) && (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin]>=103)){
		tmp=strtok(cmdtext,idx);
		new playa;
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /slapcar [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		if(IsPlayerInAnyVehicle(playa)){new vec=GetPlayerVehicleID(playa);new Float:x,Float:y,Float:z;GetPlayerPos(playa,x,y,z);SetVehiclePos(vec,x,y,z+10);}
	    return 1;
	}
	
	if(strcmp(cmd, "/slap", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /slap [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:shealth;
		new Float:slx, Float:sly, Float:slz;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			GetPlayerHealth(playa, shealth);
			SetPlayerHealth(playa, shealth-5);
			GetPlayerPos(playa, slx, sly, slz);
			SetPlayerPos(playa, slx, sly, slz+5);
			PlaySoundAll(playa, 1130, slx, sly, slz+5);
			printf("AdmCmd: %s slapped %s",sendername,  giveplayer);
			format(string, sizeof(string), "AdmCmd: %s was slapped by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/blockcmd", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /blockcmd [playerid/PartOfName]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
		      if(IsPlayerAdmin(playa) || PlayerInfo[playa][pAdmin] >= 105)
		      {
				 SendClientMessage(playerid, COLOR_RED,"AdmCmd: You can't block cmd for admin player");
				 return 1;
		      }
			  if(BlockCmd[playa] == 0)
			  {
				 BlockCmd[playa] = 1;
				 printf("AdmCmd: %s silenced %s",sendername,  giveplayer);
				 format(string, sizeof(string), "AdmCmd: %s was blocked cmd by %s",giveplayer ,sendername);
				 SendClientMessageToAll(COLOR_RED, string);
			  }
			  else
			  {
				 BlockCmd[playa] = 0;
				 printf("AdmCmd: %s unsilenced %s",sendername,  giveplayer);
				 format(string, sizeof(string), "AdmCmd: %s was blocked cmd by %s",giveplayer ,sendername);
				 SendClientMessageToAll(COLOR_RED, string);
			  }
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Slap]------------------------------------------------
	if(strcmp(cmd, "/sslap", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sslap [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:shealth;
		new Float:slx, Float:sly, Float:slz;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			GetPlayerHealth(playa, shealth);
			SetPlayerHealth(playa, shealth-5);
			GetPlayerPos(playa, slx, sly, slz);
			SetPlayerPos(playa, slx, sly, slz+5);
			PlaySoundAll(playa, 1130, slx, sly, slz+5);

			format(string, sizeof(string), "AdmCmd: %s Silent Slaps %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was Silently Slap",giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/mute", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /slap [playerid/PartOfName]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			if(Mute[playa] == 0)
			{
				Mute[playa] = 1;
				printf("AdmCmd: %s silenced %s",sendername,  giveplayer);
				format(string, sizeof(string), "AdmCmd: %s was silenced by %s",giveplayer ,sendername);
				SendClientMessageToAll(COLOR_RED, string);
			}
			else
			{
				Mute[playa] = 0;
				printf("AdmCmd: %s unsilenced %s",sendername,  giveplayer);
				format(string, sizeof(string), "AdmCmd: %s was unsilenced by %s",giveplayer ,sendername);
				SendClientMessageToAll(COLOR_RED, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Slap]------------------------------------------------
	if(strcmp(cmd, "/ss", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ss [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:shealth;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			GetPlayerHealth(playa, shealth);
			format(string, sizeof(string), "AdmCmd: %s has %.2f health",giveplayer ,shealth);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			printf(string);
			SetPlayerHealth(playa, shealth-40);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Slap]------------------------------------------------
	if(strcmp(cmd, "/sc", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sc [playerid/PartOfName]");
			return 1;
		}
		new playa;
		new Float:shealth;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			GetPlayerHealth(playa, shealth);
			format(string, sizeof(string), "AdmCmd: %s has %f health",giveplayer ,shealth);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			printf(string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//-----------------------------------[Fuck]-----------------------------------------------
	if(strcmp(cmd, "/fuck", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fuck [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			Fuck(playa);
			format(string, sizeof(string), "AdmCmd: %s Fucked %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was fucked by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Kick]------------------------------------------------
	if(strcmp(cmd, "/kick", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /kick [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 105)
		{
			Kick(playa);
			format(string, sizeof(string), "AdmCmd: %s Kicked %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was kicked by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/rkick", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /rkick [playerid] [reason]");
			return 1;
		}
        new playa = strval(tmp);
        GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /rkick [playerid] [reason]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
		    KickEx(playa, result);
			format(string, sizeof(string), "AdmCmd: %s Kicked %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was kicked by %s (Reason: %s)",giveplayer ,sendername, result);
			SendClientMessageToAll(COLOR_RED, string);
			BanLog(string);
	    }
        else
        {
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

   if(strcmp(cmdtext, "/kickall", true) == 0)
	{
		for(new i = 0;i < MAX_PLAYERS;i++)
		{
		    if(IsPlayerConnected(i) == 1 && IsPlayerAdmin(playerid))
		    {
		        Kick(i);
			}
		}
		SendClientMessage(playerid, COLOR_RED,"AdmCmd:All Players Have Been Kicked From the Server!");
		return 1;
	}
	
 	if(strcmp(cmd, "/skick", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /skick [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			Kick(playa);
			format(string, sizeof(string), "AdmCmd: %s Kicked %s",sendername,  giveplayer);
			printf("%s",string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
//-----------------[FAKE KICK AND BAN BY Relax inspired by PTERIX]-----------------------------------

	if(strcmp(cmd, "/fkick", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fkick [playerid]");
			return 1;
		}
		new playa;
		if(IsNumeric(tmp)){
		    playa = strval(tmp);
		}
		else if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
		    //finish later
			return 1;
		}
		if(!cmdtext[7])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fkick [playerid]");
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			format(string, sizeof(string), "AdmCmd: %s Kicked %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s has been Kicked by %s (Reason: %s)",giveplayer ,sendername, cmdtext[7]);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "*** %s has left the Server. (Kicked)",giveplayer);
			SendClientMessageToAll(COLOR_GRAD1, string);
			SendClientMessage(playa,COLOR_GRAD1,"Lost connection to the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}

	if(strcmp(cmd, "/fban", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fban [playerid]");
			return 1;
		}
/*		if(IsNumeric(tmp){
		    playa = strval(tmp);
		}*/
		if(!cmdtext[7])
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /fban [playerid]");
		}
		new playa = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
  		{
			if(PlayerInfo[playa][pAdmin] > 102)
			{
				format(string, sizeof(string), "AdmNote: %s is Admin level %d",playa,  PlayerInfo[playa][pAdmin]);
				SendClientMessage(playerid,COLOR_RED, string);
				return 0;
			}
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s has been Banned by %s. (Reason: %s)",giveplayer ,sendername,cmdtext[7]);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "*** %s has left the Server. (Kicked)",giveplayer);
			SendClientMessageToAll(COLOR_GRAD1, string);
			SendClientMessage(playa,COLOR_GRAD1,"Lost connection to the server.");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			if(PlayerInfo[playa][pAdmin] > 102)
			{
				format(string, sizeof(string), "AdmNote: %s is Admin level %d",playa,  PlayerInfo[playa][pAdmin]);
				SendClientMessage(playerid,COLOR_RED, string);
				return 0;
			}
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s has been Banned by %s. (Reason: %s)",giveplayer ,sendername,cmdtext[7]);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "*** %s has left the Server. (Kicked)",giveplayer);
			SendClientMessageToAll(COLOR_GRAD1, string);
			SendClientMessageToAll(COLOR_GRAD1,"Lost connection to the server.");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid))
		{
			if(PlayerInfo[playa][pAdmin] > 102)
			{
				format(string, sizeof(string), "AdmNote: %s is Admin Level %d",playa,  PlayerInfo[playa][pAdmin]);
				SendClientMessage(playerid,COLOR_RED, string);
				return 0;
			}
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s has been Banned by %s. (Reason: %s)",giveplayer ,sendername,cmdtext[7]);
			SendClientMessageToAll(COLOR_RED, string);
			format(string, sizeof(string), "*** %s has left the Server. (Kicked)",giveplayer);
			SendClientMessageToAll(COLOR_GRAD1, string);
			SendClientMessageToAll(COLOR_GRAD1,"Lost connection to the server.");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "AdmCmd: you are not authorized to use that command!");
		}
		return 1;
	}

//----------------------------------[Freeze]------------------------------------------------
	if(strcmp(cmd, "/freeze", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /freeze [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		if(PlayerInfo[playa][pAdmin] > 0)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "Admins can not be frozen");
			return 1;
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			TogglePlayerControllable(playa, 0);
			format(string, sizeof(string), "AdmCmd: %s Freezes %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was Frozen by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

//----------------------------------[Freeze]------------------------------------------------
	if(strcmp(cmd, "/sf", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sf [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			TogglePlayerControllable(playa, 0);
			format(string, sizeof(string), "AdmCmd: %s SFreezes %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was SFrozen",giveplayer);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Thaw]------------------------------------------------
	if(strcmp(cmd, "/thaw", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /thaw [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			TogglePlayerControllable(playa, 1);
			format(string, sizeof(string), "AdmCmd: %s Thaw %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was Thawed by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Ban]------------------------------------------------
if(strcmp(cmdtext, "/banall", true) == 0)
	{
		for(new i = 0;i < MAX_PLAYERS;i++)
		{
		    if(IsPlayerConnected(i) == 1 && IsPlayerAdmin(playerid))
		    {
		        Ban(i);
		        SendClientMessage(playerid,COLOR_RED,"AdmCmd: All Players have been Banned from the Server!");
			}
		}
		return 1;
	}
	if(strcmp(cmd, "/ban", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ban [playerid]");
			return 1;
		}
		new playa = strval(tmp);
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 105)
		{
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was Owned by %s",giveplayer ,sendername);
			PlayerInfo[playa][pAdmin] = PlayerInfo[playa][pLevel];
   			PlayerInfo[playa][pLevel] = -999;
			SendClientMessageToAll(COLOR_RED, string);
			Ban(playa);
			BanLog(string);
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was banned by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
			PlayerInfo[playa][pAdmin] = PlayerInfo[playa][pLevel];
			PlayerInfo[playa][pLevel] = -999;
			Ban(playa);
			BanLog(string);
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
		{
			if(PlayerInfo[playa][pLevel] > 2)
			{
				format(string, sizeof(string), "AdmNote: %s is level %d",playa,  PlayerInfo[playa][pLevel]);
				SendClientMessage(playerid,COLOR_RED, string);
				return 1;
			}
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was banned by %s",giveplayer ,sendername);
			SendClientMessageToAll(COLOR_RED, string);
			PlayerInfo[playa][pAdmin] = PlayerInfo[playa][pLevel];
			PlayerInfo[playa][pLevel] = -999;
			Ban(playa);
			BanLog(string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
 	
	if(strcmp(cmd, "/rban", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /rban [playerid] [reason]");
			return 1;
		}
        new playa = strval(tmp);
        GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /rban [playerid] [reason]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			format(string, sizeof(string), "AdmCmd: %s Banned %s",sendername,  giveplayer);
			printf("%s",string);
			format(string, sizeof(string), "AdmCmd: %s was banned by %s (Reason: %s)",giveplayer ,sendername, result);
			SendClientMessageToAll(COLOR_RED, string);
			PlayerInfo[playa][pAdmin] = PlayerInfo[playa][pLevel];
			PlayerInfo[playa][pLevel] = -999;
			BanEx(playa, result);
			BanLog(string);
	    }
        else
        {
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[Ban]------------------------------------------------
	if(strcmp(cmd, "/sban", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sban [playerid]");
			return 1;
		}
		new playa;
		if(IsStringAName(tmp))
		{
			playa = GetPlayerID(tmp);
		}
		else
		{
			playa = strval(tmp);
		}
		GetPlayerName(playa, giveplayer, sizeof(giveplayer));
		GetPlayerName(playerid, sendername, sizeof(sendername));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			PlayerInfo[playa][pAdmin] = PlayerInfo[playa][pLevel];
			PlayerInfo[playa][pLevel] = -999;
			Ban(playa);
			format(string, sizeof(string), "AdmCmd: %s Silently Banned %s",sendername,  giveplayer);
			printf("%s",string);
			BanLog(string);
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}


//----------------------------------[Mod]------------------------------------------------
	if(strcmp(cmd, "/amod", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /amod [carmodid] 1034~1041");
			return 1;
		}
		new playa;
		playa = strval(tmp);
		new modcar = GetPlayerVehicleID(playerid);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 106)
		{
			AddVehicleComponent(modcar, playa);
			if (gdebug){printf("DEBUG modcar = %d mod = %d", modcar, playa);}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//-----------------------------------[COUNTDOWN]----------------------------------------------
	if (strcmp(cmd, "/cd", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101) {
	    if (cdto == 1)
	    {
		    SendClientMessage(playerid,COLOR_GREY,"A countdown is already in progress. Please wait for it to finish.");
			return 1;
	    }
		else if (cdto == 0) {
			cd_seconds = strval(strtok(cmdtext,idx));
			Countdown = 1;
			cd_timer = SetTimer("AdminCountdown",1000,1);
			cdto = 1;
			return 1;
		}
  	    if(cd_seconds <= 3 || cd_seconds > 60 || !strlen(cmd))
	    {
	        SendClientMessage(playerid,COLOR_GREY,"USAGE: /cd [seconds:3-60]");
	        return 1;
	    }
	}
	if(strcmp(cmdtext, "/stopcd", true) == 0 && PlayerInfo[playerid][pAdmin] >= 101 && IsPlayerConnected(playerid)) {
		if (Countdown == 1)
		{
    	    Countdown = 0;
			KillTimer(cd_timer);
			cdto = 0;
			GetPlayerName(playerid,pname,sizeof(pname));
    	    format(string,sizeof(string),"~r~countdown stopped by ~w~%s",pname);
			GameTextForAll(string,3000,4);
			SendClientMessage(playerid,COLOR_GREY,"Countdown stopped.");
        	return 1;
    	}
    	else
    	{
        	SendClientMessage(playerid,COLOR_GREY,"No countdown to stop");
        	return 1;
    	}
	}
//----------------------------------[EndRound]-----------------------------------------------

	if(strcmp(cmd, "/endround", true) == 0)
	{
  if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			GameModeInitExitFunc();
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}

	if (strcmp(cmd, "/cendround", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
	{
	Endround();
	return 1;

}
  if(strcmp(cmdtext, "/sendround", true) == 0 && PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid)) {
   		if (Countdown == 1)
    	{
        	Countdown = 0;
        	KillTimer(cd_timer);
        	for(new i=0; i<MAX_PLAYERS; i++)
        	{
            	if (IsPlayerConnected(i))
            	{
             	   TogglePlayerControllable(i,1);
            	}
        	}
        	//new pname[24];
			GetPlayerName(playerid,pname,sizeof(pname));
        	format(string,sizeof(string),"~r~countdown stopped by ~w~%s",pname);
        	GameTextForAll(string,3000,4);
        	SendClientMessage(playerid,COLOR_GREY,"Countdown stopped.");
        	return 1;
    	}
    	else
    	{
       		SendClientMessage(playerid,COLOR_GREY,"No countdown to stop");
        	return 1;
    	}
	}
//----------------------------------[EndRound]-----------------------------------------------

//----------------------------------[GMX]-----------------------------------------------

	if(strcmp(cmd, "/gmx", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			GameModeExit();
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//----------------------------------[mission]-----------------------------------------------

	if(strcmp(cmd, "/mission", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			PrePlayerNewMission();
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/missionstop", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			MissionActive = 0;
			CheckpointReset();
			RaceCheckpointReset();
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					SetVehicleParamsForPlayerEx(stealcar,i,0,0);
				}
			}
			SendClientMessage(playerid, COLOR_GRAD1, "   missions stopped type /mission to restart");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//-------------------------------[mission-on\off]-------------------------------
	if(strcmp(cmd, "/alloff", true) == 0)
	{
	    if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin]>=105){
	        deathmatch=0;
	        hotwire=0;
			briefcase=0;
			streetrace=0;
			cashbox = 0;
			format(string, sizeof(string), "cb: %d bc:%d sr:%d hw:%d dm:%d", cashbox,briefcase,streetrace,hotwire,deathmatch);
			SendClientMessage(playerid, COLOR_GRAD1, string);
	    }
	}
	if(strcmp(cmd, "/allon", true) == 0)
	{
	    if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin]>=105){
	        deathmatch= 1;
	        hotwire= 1;
			briefcase= 1;
			streetrace= 1;
			cashbox = 1;
			format(string, sizeof(string), "cb: %d bc:%d sr:%d hw:%d dm:%d", cashbox,briefcase,streetrace,hotwire,deathmatch);
			SendClientMessage(playerid, COLOR_GRAD1, string);
	    }
	}
///<----------------------------[customrace]-------------------
	if (strcmp(cmd, "/sp", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /sp [1(resets)/2/3/4]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new idx2 = strval(tmp);
			if(idx2 == 1)
			{
				new idx3 = 1;
				while (idx3 < sizeof(gRandomDMSpawns))
				{
					GetPlayerPos(playerid, gRandomDMSpawns[idx3][0], gRandomDMSpawns[idx3][1], gRandomDMSpawns[idx3][2]);
					idx3++;
				}
				gDMWbounds[0] = 50000000.0;gDMWbounds[1] = -50000000.0;gDMWbounds[2] = 50000000.0;gDMWbounds[3] = -50000000.0;
			}
			GetPlayerPos(playerid, gRandomDMSpawns[idx2][0], gRandomDMSpawns[idx2][1], gRandomDMSpawns[idx2][2]);
			format(string, sizeof(string), "DM Spawnpoint %d Set!",idx2);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			SetPlayerCheckpoint(playerid,gRandomDMSpawns[idx2][0], gRandomDMSpawns[idx2][1], gRandomDMSpawns[idx2][2],4);
			PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
			return 1;
		}
		else
		{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/cam", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cam [1/2/3/4]");
			return 1;
		}
		Unspec[playerid][sCam] = strval(tmp);
		format(string, sizeof(string), "Switching to cam %d",Unspec[playerid][sCam]);
		SendClientMessage(playerid, COLOR_GRAD1, string);
		return 1;
	}
	if (strcmp(cmd, "/dmn", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new Float:tmp1,Float:tmp2;
			GetPlayerPos(playerid, tmp1,gDMWbounds[2], tmp2);
			format(string, sizeof(string), "DM Northpoint Set!");
			SendClientMessage(playerid, COLOR_GRAD1, string);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			SetPlayerCheckpoint(playerid,tmp1,gDMWbounds[2], tmp2,4.0);
			PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
			return 1;
		}
		else
		{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/dms", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new Float:tmp1,Float:tmp2;
			GetPlayerPos(playerid, tmp1,gDMWbounds[3], tmp2);
			format(string, sizeof(string), "DM Southpoint Set!");
			SendClientMessage(playerid, COLOR_GRAD1, string);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			SetPlayerCheckpoint(playerid,tmp1,gDMWbounds[3], tmp2,4.0);
			PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
			return 1;
		}
		else
		{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/dme", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new Float:tmp1,Float:tmp2;
			GetPlayerPos(playerid, gDMWbounds[0],tmp1, tmp2);
			format(string, sizeof(string), "DM Eastpoint Set!");
			SendClientMessage(playerid, COLOR_GRAD1, string);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			SetPlayerCheckpoint(playerid,gDMWbounds[0],tmp1, tmp2,4.0);
			PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
			return 1;
		}
		else
		{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/dmw", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new Float:tmp1,Float:tmp2;
			GetPlayerPos(playerid, gDMWbounds[1],tmp1, tmp2);
			format(string, sizeof(string), "DM Westpoint Set!");
			SendClientMessage(playerid, COLOR_GRAD1, string);
			gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
			SetPlayerCheckpoint(playerid,gDMWbounds[1],tmp1, tmp2,4.0);
			PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
			return 1;
		}
		else
		{
				SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/savedm", true)==0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /savedm [dmname]");
				return 1;
			}
			SaveDM(playerid,tmp);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/loaddm", true)==0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /loaddm [dmname]");
				return 1;
			}
			LoadDM(playerid,tmp);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/stopdm", true)==0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			gFighters=0;
			gFightLeader=0;
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					if(gPlayerFighter[i] == 1)
					{
						gPlayerFighter[i] = 0;
						TogglePlayerControllable(i, 1);
						SetPlayerRandomSpawn(i);
						//SetPlayerWorldBounds(i,500000.0,-500000.0,500000.0,-500000.0);
					}
				}
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/laps", true) == 0)
	{
		if(MissionActive > 5 && MissionActive < 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cannot edit during a race");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /laps <amount>");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new cpid = strval(tmp);
			RaceInfo[rLaps]	= cpid;
			SendClientMessage(playerid, COLOR_GRAD2, "Laps Set");
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/cp", true) == 0)
	{
		if(MissionActive > 5 && MissionActive < 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cannot edit during a race");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cp [1/2/3/4]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new cpid = strval(tmp);
			if(cpid == 1)
			{
				GetPlayerPos(playerid, RaceInfo[rStartx], RaceInfo[rStarty], RaceInfo[rStartz]);
				SendClientMessage(playerid, COLOR_GRAD1, "Race Waypoint 1 Set!");
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
				SetPlayerRaceCheckpoint(playerid,0,RaceInfo[rStartx], RaceInfo[rStarty], RaceInfo[rStartz],RaceInfo[rStartx], RaceInfo[rStarty], RaceInfo[rStartz], 8);
				PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
				return 1;
			}
			else if(cpid == 2)
			{
				GetPlayerPos(playerid, RaceInfo[rMidx], RaceInfo[rMidy], RaceInfo[rMidz]);
				SendClientMessage(playerid, COLOR_GRAD1, "Race Waypoint 2 Set!");
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
				SetPlayerRaceCheckpoint(playerid,0,RaceInfo[rMidx], RaceInfo[rMidy], RaceInfo[rMidz],RaceInfo[rMidx], RaceInfo[rMidy], RaceInfo[rMidz], 8);
				PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
				return 1;
			}
			else if(cpid == 3)
			{
				GetPlayerPos(playerid,RaceInfo[rMid2x], RaceInfo[rMid2y], RaceInfo[rMid2z]);
				SendClientMessage(playerid, COLOR_GRAD1, "Race Waypoint 3 Set!");
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
				SetPlayerRaceCheckpoint(playerid,0,RaceInfo[rMid2x], RaceInfo[rMid2y], RaceInfo[rMid2z],RaceInfo[rMid2x], RaceInfo[rMid2y], RaceInfo[rMid2z], 8);
				PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
				return 1;
			}
			else
			{
				GetPlayerPos(playerid,RaceInfo[rEndx], RaceInfo[rEndy], RaceInfo[rEndz]);
				SendClientMessage(playerid, COLOR_GRAD1, "Race Waypoint 4 Set!");
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
				SetPlayerRaceCheckpoint(playerid,0,RaceInfo[rEndx], RaceInfo[rEndy], RaceInfo[rEndz],RaceInfo[rEndx], RaceInfo[rEndy], RaceInfo[rEndz], 8);
				PlayerPlaySound(playerid, 1150, 0.0, 0.0, 0.0);
				rsx = RaceInfo[rStartx];rsy = RaceInfo[rStarty];rsz =RaceInfo[rStartz];
				rmx = RaceInfo[rMidx];rmy = RaceInfo[rMidy];rmz = RaceInfo[rMidz];
				rm2x = RaceInfo[rMid2x];rm2y = RaceInfo[rMid2y];rm2z = RaceInfo[rMid2z];
				rex = RaceInfo[rEndx];rey = RaceInfo[rEndy];rez = RaceInfo[rEndz];
				randomrace = 0;
			//	return 1;
			}
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/startrace", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			MissionActive = 0;
			if (gdebug){print("DEBUG MissionActive = 0");}
			CheckpointReset();
			RaceCheckpointReset();
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i))
				{
					//SetVehicleParamsForPlayerEx(stealcar,playerid,0,0);
					LapCount[i] = 0;
					StartTime[i] = 0;
					LapTime[i] = 0;
				}
				if(stealcar != -1)
				{
					SetVehicleParamsForPlayerEx(stealcar,i,0,0);
					SetVehicleToRespawn(stealcar);
					stealcar = -1;
				}
			}
			MissionActive = 5;
			if (gdebug){print("DEBUG MissionActive = 5");}
			gRaceFin = 0;
			gRaceMid = 0;
			gRaceMid2 = 0;
			gRaceEnd = 0;
			gLaps = 0;
			KillTimer(raceendtimer);
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					if (gTeam[i] >= 3)
					{
						JobGive(i);
					}
				}
			}
			SendClientMessage(playerid, COLOR_GRAD1, "Race Started");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/randomrace", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			if(randomrace == 1)
			{
				randomrace = 0;
				SendClientMessage(playerid, COLOR_GRAD2, "Random races disabled");
				rsx = RaceInfo[rStartx];rsy = RaceInfo[rStarty];rsz =RaceInfo[rStartz];
				rmx = RaceInfo[rMidx];rmy = RaceInfo[rMidy];rmz = RaceInfo[rMidz];
				rm2x = RaceInfo[rMid2x];rm2y = RaceInfo[rMid2y];rm2z = RaceInfo[rMid2z];
				rex = RaceInfo[rEndx];rey = RaceInfo[rEndy];rez = RaceInfo[rEndz];
			}
			else if(randomrace == 0)
			{
				randomrace = 1;
				SendClientMessage(playerid, COLOR_GRAD2, "Random races enabled");
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if(strcmp(cmd, "/setrace", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new racename[64];
			new name[64];
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /setrace [racename] [position-1-2-3-4]");
				format(string, sizeof(string), "Race List (1. %s) (2. %s) (3. %s) (4. %s) ",Races[0],Races[1],Races[2],Races[3]);
				SendClientMessage(playerid, COLOR_GREEN,string);
				format(string, sizeof(string), "Race List (5. %s) (6. %s) (7. %s) (8. %s) ",Races[4],Races[5],Races[6],Races[7]);
				SendClientMessage(playerid, COLOR_GREEN,string);
				return 1;
			}
			strmid(name, tmp, 0, strlen(tmp), 255);
			format(racename, sizeof(racename), "races/%s.race",name);
			new File: file = fopen(racename, io_read);
			if (!file)
			{
				SendClientMessage(playerid, COLOR_GREEN,"File not found");
				return 1;
			}
			fclose(file);
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /setrace [racename] [position-1-2-3-4]");
				return 1;
			}
			new raceid = strval(tmp)-1;
			racelist = strval(tmp);
			strmid(Races[raceid], name, 0, strlen(name), 255);
			format(string, sizeof(string), "New List (1. %s) (2. %s) (3. %s) (4. %s) ",Races[0],Races[1],Races[2],Races[3]);
			SendClientMessage(playerid, COLOR_GREEN,string);
			format(string, sizeof(string), "New List (5. %s) (6. %s) (7. %s) (8. %s) ",Races[4],Races[5],Races[6],Races[7]);
			SendClientMessage(playerid, COLOR_GREEN,string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if(strcmp(cmd, "/racelist", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			if(racelist == 0)
			{
				racelist = 1;
				SendClientMessage(playerid, COLOR_GRAD2, "Race List Enabled");
				format(string, sizeof(string), "Race List (1. %s) (2. %s) (3. %s) (4. %s) ",Races[0],Races[1],Races[2],Races[3]);
				SendClientMessage(playerid, COLOR_GREEN,string);
				format(string, sizeof(string), "New List (5. %s) (6. %s) (7. %s) (8. %s) ",Races[4],Races[5],Races[6],Races[7]);
				SendClientMessage(playerid, COLOR_GREEN,string);
			}
			else if(racelist != 0)
			{
				racelist = 0;
				SendClientMessage(playerid, COLOR_GRAD2, "Race List Disabled");
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if(strcmp(cmd, "/footmode", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			if(nocarcash == 1)
			{
				nocarcash = 0;
				SendClientMessage(playerid, COLOR_GRAD2, "Cashbox car mode");
			}
			else if(nocarcash == 0)
			{
				nocarcash = 1;
				SendClientMessage(playerid, COLOR_GRAD2, "Cashbox foot mode");
			}
			return 1;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
	}
	if (strcmp(cmd, "/racedelay", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /racedelay [seconds]");
			format(string, 256, "Race Delay is set to %d seconds", racedelay/1000);
			SendClientMessage(playerid, COLOR_GRAD2, string);
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			new weaponid = strval(tmp);
			if(weaponid > 240 || weaponid < 10)
			{
				SendClientMessage(playerid, COLOR_GRAD2, "Minimum is 10 Maximum is 240");
				return 1;
			}
			racedelay = weaponid*1000;
			format(string, 256, "Race Delay set to %d seconds", weaponid);
			SendClientMessage(playerid, COLOR_GRAD2, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/saverace", true)==0)
	{
		if(MissionActive > 5 && MissionActive < 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cannot edit during a race");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /saverace [racename]");
				return 1;
			}
			SaveRace(playerid,tmp);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/loadrace", true)==0)
	{
		if(MissionActive > 5 && MissionActive < 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cannot edit during a race");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 || PlayerInfo[playerid][pAdmin] == -1 || gRaceGuy[playerid])
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /loadrace [racename](disables racelist)");
				return 1;
			}
			LoadRace(playerid,tmp);
			racelist = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
 	if (strcmp(cmd, "/racecreator", true) == 0)
	{
		if(MissionActive < 5 || MissionActive >= 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You can edit only during the race");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /racecreator [newname]");
				return 1;
			}
   			strmid(RaceInfo[rName], tmp, 0, strlen(tmp), 255);
			EditRace(playerid, CurrentRace);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
  	if (strcmp(cmd, "/resetrace", true) == 0)
	{
		if(MissionActive > 5 && MissionActive < 8)
		{
			SendClientMessage(playerid, COLOR_GRAD2, "You cannot edit during a race");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			new senderid = INVALID_PLAYER_ID;
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /resetrace [racename]");
				return 1;
			}
			LoadRace(senderid, tmp);
   			strmid(RaceInfo[rBest], "none", 0, strlen("none"), 255);
            RaceInfo[rBestms] = 0;
			EditRace(playerid, tmp);
			racelist = 0;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
 	if (strcmp(cmd, "/unwarn", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /unwarnplayer [playername]");
				return 1;
			}
			if(!LoadPlayer(playerid,tmp))
			{
				return 1;
			}
			if(PLlayerInfo[playerid][plWarnL] < 5)
			{
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: that player is not banned for warn!");
				return 1;
			}
			else
			{
				PLlayerInfo[playerid][plAdmin] = 0;
				PLlayerInfo[playerid][plWarnL] = 0;
				SavePlayer(playerid,tmp);
				SendClientMessage(playerid, COLOR_RED, "ADMCENTER: Unwarn Successful!");
    			printf("ADMCENTER: %s has Unwarned Player %s.", sendername, giveplayerid);
				BanLog(string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
	if (strcmp(cmd, "/unban", true)==0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /unbanplayer [playername]");
				return 1;
			}
			if(!LoadPlayer(playerid,tmp))
			{
				return 1;
			}
			if(PLlayerInfo[playerid][plAdmin] == 0)
			{
				SendClientMessage(playerid, COLOR_GRAD1, "that player is not banned!");
				return 1;
			}
			else
			{
				PLlayerInfo[playerid][plLevel] = PLlayerInfo[playerid][plAdmin];
				PLlayerInfo[playerid][plAdmin] = 0;
				SavePlayer(playerid,tmp);
				SendClientMessage(playerid, COLOR_RED, "AdmCmd: Unban Successful!");
    			printf("AdmCmd: %s has Unbanned Player %s.", sendername, giveplayerid);
				BanLog(string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
 	if (strcmp(cmd, "/deletepl", true)==0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /deleteplayer [playername]");
				return 1;
			}
			format(string, sizeof(string), "accounts/%s.cer", tmp);
			fremove(string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/loadpl", true)==0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /loadplayer [playername]");
				return 1;
			}
			LoadPlayer(playerid,tmp);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/savepl", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			tmp = strtok(cmdtext, idx);
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /saveplayer [playername]");
				return 1;
			}
			SavePlayer(playerid,tmp);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
//<-----------------------------[SpawnWeapon]-----------------------------------------------------------------------
	if (strcmp(cmd, "/drop", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /drop [weaponid]");
			SendClientMessage(playerid, COLOR_GRAD1, "[331 - Brass Knuckles][333 - Golf Club][334 - Night Stick][335 - Knife][336 - Baseball Bat][337 - Shovel][338 - Pool cue]");
			SendClientMessage(playerid, COLOR_GRAD1, "[338 - Katana][341 - Chainsaw][321 - Purple Dildo][322 - White Dildo][323 - Long White Dildo][324 - White Dildo 2]");
			SendClientMessage(playerid, COLOR_GRAD1, "[325 - Flowers][326 - Cane][342 - Grenades][343 - Tear Gas][344 - Molotovs][345 - Missile (crashy?)][346 - Pistol]");
			SendClientMessage(playerid, COLOR_GRAD1, "[347 - Silenced Pistol][348 - Desert Eagle][349 - Shotgun][350 - Sawn Off Shotgun][351 - Combat Shotgun]");
			SendClientMessage(playerid, COLOR_GRAD1, "[352 - Micro Uzi (Mac 10)][353 - MP5][354 - AK47 Hydra Flare][355 - M4 AK47][372 - Tec9][357 - Rifle]");
			SendClientMessage(playerid, COLOR_GRAD1, "[359 - RPG][360 - Missile Launcher][361 - Flame Thrower][362 - Minigun][363 - Sachet Charges]");
			SendClientMessage(playerid, COLOR_GRAD1, "[358 - Sniper Rifle][364 - Detonator][365 - Spray Paint][366 - Fire Extinguisher][367 - Camera]");
			SendClientMessage(playerid, COLOR_GRAD1, "[368 - Nightvision Goggles][369 - Thermal Goggles][371 - Parachute]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new weaponid = strval(tmp);
			new Float:px, Float:py, Float:pz;
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "AddStaticPickup(%d, 2, %.1f,%.1f,%.1f);\n", weaponid, px, py, pz);
			printf("AdmCmd:%d was spawned", weaponid);
			AddStaticPickup(weaponid, 15, px, py, pz, 0);
			pickups++;
			new File:hFile;
			hFile = fopen("coords.txt", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);
		}
		else
		{
			//SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
 	if(strcmp(cmd, "/pos", true) == 0)
	{
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_YELLOW, "USAGE: /pos [comment]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new Float:px, Float:py, Float:pz;
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "%.1f,%.1f,%.1f // %s\n", px, py, pz,result);
			new File:hFile;
			hFile = fopen("pos.txt", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);

		}
		return 1;
	}
	
  	if(strcmp(cmd, "/vehpos", true) == 0)
	{
     	tmp = strtok(cmdtext, idx);
     	new carid;
	    if (!strlen(tmp))
	    {
            SendClientMessage(playerid, COLOR_YELLOW, "USAGE: /vehpos [carid] [comment]");
	        return 1;
	    }
	    carid = strval(tmp);
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
		    format(result, sizeof(result), "vehicleid %d", carid);
			//SendClientMessage(playerid, COLOR_YELLOW, "USAGE: /vehpos [carid] [comment]");
			//return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new Float:posx, Float:posy, Float:posz, Float:zangle;
			new modelid = GetVehicleModel(carid);
			GetVehiclePos(carid, posx, posy, posz);
			GetVehicleZAngle(carid, zangle);
			new coordsstring[256];
			format(coordsstring, 256, "%d, %.3f,%.3f,%.3f,%.1f // %s\n", modelid, posx, posy, posz, zangle, result);
			new File:hFile;
			hFile = fopen("pos.txt", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);

		}
		return 1;
	}
	
 	if(strcmp(cmd, "/nearcar", true) == 0)
	{
	    for (new i = 0; i < MAX_VEHICLES; i++)
	    {
		    if (PlayerToVehicle(10.0, playerid, i))
		    {
				format(string, sizeof(string), "Vehicle ID: %d", i);
				SendClientMessage(playerid, COLOR_YELLOW, string);
		    }
		}
	    return 1;
	}
	

	
	if(strcmp(cmd, "/addcop", true) == 0)
	{
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_YELLOW, "USAGE: /addcop [copname]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102 || PlayerInfo[playerid][pAdmin] == -2)
		{
			new Float:px, Float:py, Float:pz;
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "%s\n",result);
			new File:hFile;
			hFile = fopen("cops.cfg", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);
			SendClientMessage(playerid, COLOR_GRAD1, "   The Player was added to the cop list");
		}
		return 1;
	}
	if(strcmp(cmd, "/addmed", true) == 0)
	{
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_YELLOW, "USAGE: /addmed [copname]");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102 || PlayerInfo[playerid][pAdmin] == -3)
		{
			new Float:px, Float:py, Float:pz;
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "%s\n",result);
			new File:hFile;
			hFile = fopen("meds.cfg", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);
			SendClientMessage(playerid, COLOR_GRAD1, "   The Player was added to the paramedic list");
		}
		return 1;
	}
//<-----------------------------[SpawnVehicle]-----------------------------------------------------------------------
   if (strcmp(cmd, "/eliza", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /eliza [vehicleid]");
			return 1;
		}
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 106)
		{
				new weaponid = strval(tmp);
    			if(weaponid < 400 || weaponid > 611)
			    {
			       SendClientMessage(playerid, COLOR_GREY, "   Vehicle Number can't be below 400 or above 611 !");
			       return 1;
			    }
				new Float:px, Float:py, Float:pz, Float:pa;
				new vecid;
				GetPlayerFacingAngle(playerid,pa);
				GetPlayerPos(playerid, px, py, pz);
				new coordsstring[256];
				format(coordsstring, 256, "CreateVehicle(%d, %.1f,%.1f,%.1f,%.1f,-1,-1,-1);\n", weaponid, px, py, pz ,pa);
				printf("AdmCmd:vech: %d was spawned", weaponid);
				vecid=CreateVehicle(weaponid, px, py, pz, pa,-1,-1,-1);
				PutPlayerInVehicle(playerid,vecid,0);
				new world=GetPlayerVirtualWorld(playerid);
				new intid=GetPlayerInterior(playerid);
				SetVehicleVirtualWorld(vecid,world);
				LinkVehicleToInterior(vecid,intid);
				new File:hFile;
				hFile = fopen("coords.txt", io_append);
				fwrite(hFile, coordsstring);
				fclose(hFile);
				format(coordsstring,sizeof(coordsstring),"	You were placed in vehicle %d",vecid);
				SendClientMessage(playerid,COLOR_YELLOW,coordsstring);
				//VecSpawn[playerid] = vecid;
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
	if (strcmp(cmd, "/vec", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /vec [vehicleid]");
			return 1;
		}
  		new car;
		car = strval(tmp);
		if(car < 400 || car > 611)
		{
			SendClientMessage(playerid, COLOR_GREY, "   Vehicle Number can't be below 400 or above 611 !");
			return 1;
		}
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 104)
		{
			new weaponid = strval(tmp);
			new Float:px, Float:py, Float:pz, Float:pa;
			GetPlayerFacingAngle(playerid,pa);
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "CreateVehicle(%d, %.1f,%.1f,%.1f,%.1f,-1,-1,-1);\n", weaponid, px, py, pz ,pa);
			printf("AdmCmd:vech: %d was spawned", weaponid);
			new vecid = CreateVehicle(weaponid, px, py, pz, pa,-1,-1,-1);
   			new world = GetPlayerVirtualWorld(playerid);
			new intid = GetPlayerInterior(playerid);
			SetVehicleVirtualWorld(vecid,world);
			LinkVehicleToInterior(vecid,intid);
			new File:hFile;
			hFile = fopen("coords.txt", io_append);
			fwrite(hFile, coordsstring);
			fclose(hFile);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
 	if(strcmp(cmd, "/veh", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /veh [carid] [color1] [color2]");
			return 1;
		}
		new car;
		car = strval(tmp);
		if(car < 400 || car > 611) { SendClientMessage(playerid, COLOR_GREY, "   Vehicle Number can't be below 400 or above 611 !"); return 1; }
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /veh [carid] [color1] [color2]");
			return 1;
		}
		new color1;
		color1 = strval(tmp);
		if(color1 < 0 || color1 > 126) { SendClientMessage(playerid, COLOR_GREY, "   Color Number can't be below 0 or above 126 !"); return 1; }
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /veh [carid] [color1] [color2]");
			return 1;
		}
		if (IsPlayerConnected(playerid) || PlayerInfo[playerid][pAdmin] > 104)
		{
			new color2;
			color2 = strval(tmp);
			if(color2 < 0 || color2 > 126) { SendClientMessage(playerid, COLOR_GREY, "   Color Number can't be below 0 or above 126 !"); return 1; }
			new Float:X,Float:Y,Float:Z;
			GetPlayerPos(playerid, X,Y,Z);
			new carid = CreateVehicle(car, X,Y,Z, 0.0, color1, color2, 60000);
			carid = GetVehicleModel(carid);
			format(string, sizeof(string), "   Vehicle %d spawned.", carid);
			SendClientMessage(playerid, COLOR_GREY, string);
		}
		else
		{
  			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
    if (strcmp(cmd, "/angel", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /angel [vehicleid]");
			return 1;
		}
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
		{
			new weaponid = strval(tmp);
			new Float:px, Float:py, Float:pz, Float:pa;
			GetPlayerFacingAngle(playerid,pa);
			GetPlayerPos(playerid, px, py, pz);
			new coordsstring[256];
			format(coordsstring, 256, "CreateVehicle(%d, %.1f,%.1f,%.1f,%.1f,-1,-1,-1);\n", weaponid, px, py, pz ,pa);
			printf("AdmCmd:vech: %d was spawned", weaponid);
			CreateVehicle(weaponid, px, py, pz, pa,-1,-1,30);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
//-------------------------------------------------------------------------------------------------------
  	if (strcmp(cmdtext, "/vehrep", true) == 0)
  	{
		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 103)
		{
        	if(IsPlayerInAnyVehicle(playerid))
        	{
            	RepairVehicle(GetPlayerVehicleID(playerid));
            	SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You repaired your vehicle");
        	}
		}
        else
        {
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: you are not authorized to use that command!");
		}
		return 1;
    }

	if(strcmp(cmd, "/vehfix", true) == 0 || strcmp(cmd, "/fixveh", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] > 104)
		{
			if(IsPlayerInAnyVehicle(playerid))
			{
				SetVehicleHealth(GetPlayerVehicleID(playerid), 1000.0);
		    	SendClientMessage(playerid, COLOR_GREY, "AdmCmd: Vehicle repaired!");
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/vehfixp", true) == 0 || strcmp(cmd, "/fixvehp", true) == 0)
	{
 		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /vehfixp [playerid]");
			return 1;
		}
		new fixplaya = strval(tmp);
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] > 104)
		{
			if(IsPlayerInAnyVehicle(fixplaya) && IsPlayerConnected(fixplaya))
			{
				SetVehicleHealth(GetPlayerVehicleID(fixplaya), 1000.0);
                GetPlayerName(fixplaya, giveplayer, sizeof(giveplayer));
				GetPlayerName(playerid, sendername, sizeof(sendername));
				format(string, sizeof(string), "AdmCmd: %s vehicle(%d) is repaired", giveplayer, GetPlayerVehicleID(fixplaya));
				SendClientMessage(playerid, COLOR_GREY, string);
				format(string, sizeof(string), "AdmCmd: %s repaired your vehicle", sendername);
				SendClientMessage(fixplaya, COLOR_GREY, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/vehlink", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 101)
		{
            if (GetPlayerState(playerid) == 2)
			{
            	new intid = GetPlayerInterior(playerid);
            	new tmpcar = GetPlayerVehicleID(playerid);
            	LinkVehicleToInterior(tmpcar, intid);
		    	format(string, sizeof(string), "ADMCENTER: Vehicle id %d  was link to interior %d", tmpcar, intid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
	    return 1;
	}
	
  	if(strcmp(cmd, "/destroymycar", true) == 0)
	{
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
		{
			new plvehid = GetPlayerVehicleID(playerid);
  			DestroyVehicle(plvehid);
		    format(string, sizeof(string), "ADMCENTER: Vehicle ID %d destroyed", plvehid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/vehdel", true) == 0)
	{
   		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /vehdel [vehicleid]");
			SendClientMessage(playerid, COLOR_RED, "WARNING: Error will lead crash server!");
			return 1;
		}
		new tmpveh = strval(tmp);
		new maxveh = GetVehicleCount();
		if(tmpveh > maxveh || tmpveh < 0)
		{
		   format(string, sizeof(string), "ADMCENTER: Vehicle id %d does not exist!", tmpveh);
		   SendClientMessage(playerid, COLOR_GRAD1, string);
		   return 1;
		}
		if(IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 105)
		{
		    DestroyVehicle(tmpveh);
		    format(string, sizeof(string), "ADMCENTER: Vehicle id %d  destroyed", tmpveh);
			SendClientMessage(playerid, COLOR_GREY, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
		}
	    return 1;
	}
	
   	if(strcmp(cmd, "/vehcol", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] < 101)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /vehcol [color1] [color2]");
			return 1;
		}
		new color1;
		color1 = strval(tmp);
		if(color1 < 0 || color1 > 126)
		{
			SendClientMessage(playerid, COLOR_GREY, "   Vehicle color can not be less than 0 or more 126!");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /vehcol [color1] [color2]");
			return 1;
		}
		new color2;
		color2 = strval(tmp);
		if(color2 < 0 || color2 > 126)
		{
			SendClientMessage(playerid, COLOR_GREY, "   Vehicle color can not be less than 0 or more 126!");
			return 1;
		}
		if(IsPlayerInAnyVehicle(playerid))
		{
			new veh = GetPlayerVehicleID(playerid);
			ChangeVehicleColor(veh, color1, color2);
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/paintjob", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] <= 104)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "SERVER: You are not authorized to use that command!");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /paintjob [num]");
			return 1;
		}
  		new paintjob = strval(tmp);
		/*if(paintjob < 0 || paintjob > 10)
		{
			SendClientMessage(playerid, COLOR_GREY, "    vehicle paintjob can not be less than 0 and more than 10!");
		    return 1;
        }*/
		new veh = GetPlayerVehicleID(playerid);
        OnVehiclePaintjob(playerid, veh, paintjob);
		return 1;
	}
	
 	if(strcmp(cmd, "/entercar", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /entercar [carid]");
			return 1;
		}
		new testcar = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
            PutPlayerInVehicle(playerid, testcar, 0);
			SendClientMessage(playerid, COLOR_GRAD1, "   You have been teleported");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/entercarpassenger", true) == 0 || (strcmp(cmd, "/entercarp", true) == 0))
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /entercarp [carid]");
			return 1;
		}
		new testcar = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			PutPlayerInVehicle(playerid, testcar, 1);
			SendClientMessage(playerid, COLOR_GREEN, "AdmCmd:You have been teleported");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "Server:you are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/remove", true) == 0)
    {
	   if(PlayerInfo[playerid][pAdmin] < 101)
	   {
          SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
       }
	   new vehicleid = GetPlayerVehicleID(playerid);
	   for(new i = 0; i < MAX_PLAYERS; i++)
	   {
	   if(IsPlayerConnected(i))
	   {
	       if(GetPlayerState(i) == 3 && GetPlayerVehicleID(i) == vehicleid)
	       {
		      RemovePlayerFromVehicle(i);
	       }
	       else
	       {
			  SendClientMessage(playerid, COLOR_GRAD1, "You haven't passenger");
		   }
         }
	   }
	return 1;
    }

 	if(strcmp(cmd, "/removep", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "AdmCmd:: /removep [playerid/PartOfName]");
			return 1;
		}
		new plo;
		if(IsStringAName(tmp))
		{
			plo = GetPlayerID(tmp);
		}
		else
		{
			plo = strval(tmp);
		}
		if (IsPlayerConnected(plo))
		{
			if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 101)
			{
				if(GetPlayerState(plo) == 3)
	            {
                   RemovePlayerFromVehicle(plo);
                   GetPlayerName(plo, giveplayer, sizeof(giveplayer));
                   GetPlayerName(playerid, sendername, sizeof(sendername));
                   format(string,sizeof(string), "ADMIN-CENTER: You remove passenger %s from vehicle", giveplayer);
                   SendClientMessage(playerid, COLOR_RED, string);
                   format(string,sizeof(string), "SERVER: You removed by %s from vehicle", sendername);
                   SendClientMessage(plo, COLOR_RED, string);
                }
				else if (GetPlayerState(plo) == 2)
				{
                   RemovePlayerFromVehicle(plo);
                   GetPlayerName(plo, giveplayer, sizeof(giveplayer));
                   GetPlayerName(playerid, sendername, sizeof(sendername));
                   format(string,sizeof(string), "ADMIN-CENTER: You remove driver %s from vehicle", giveplayer);
                   SendClientMessage(playerid, COLOR_RED, string);
                   format(string,sizeof(string), "SERVER: You removed by %s from vehicle", sendername);
                   SendClientMessage(plo, COLOR_RED, string);
				}
				else
				{
					SendClientMessage(playerid, COLOR_RED, "ADMIN-CENTER: This Player State On Foot");
				}
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
			}
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", plo);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}

 	if(strcmp(cmd,"/eject",true) == 0)
	{
		tmp = strtok(cmdtext, idx);
	//	new haha = strval(tmp);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid,COLOR_YELLOW,"Invalid ID");
			return 1;
		}
 		new pid;
		if(IsStringAName(tmp))
		{
			pid = GetPlayerID(tmp);
		}
		else
		{
			pid = strval(tmp);
		}
		if(GetPlayerVehicleID(playerid)==GetPlayerVehicleID(pid))
		{
			RemovePlayerFromVehicle(pid);
		}
		return 1;
	}

	if(strcmp(cmd, "/joincar", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /joincar [playerid]");
			return 1;
		}
		if(!IsNumeric(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
			return 1;
		}
		else
		{
		    giveplayerid = strval(tmp);
		}
		PutPlayerInVehicle(playerid, GetPlayerVehicleID(giveplayerid), 1);
	    return 1;
	}

	if(strcmp(cmd, "/joinp", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /joinpl [playerid]");
			return 1;
		}
		if(!IsNumeric(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
			return 1;
		}
		else
		{
		    giveplayerid = strval(tmp);
		}
		PutPlayerInVehicle(giveplayerid, GetPlayerVehicleID(playerid), 1);
	    return 1;
	}
	
	if(strcmp(cmd, "/enterveh", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 106)
		{
			for(new i = 0; i < MAX_VEHICLES; i++)
			{
                if(PlayerToVehicle(5.0, playerid, i))
                {
                	PutPlayerInVehicle(playerid, i, 0);
					format(string, sizeof(string), "SERVER: You entered into vehicle %d", i);
				    SendClientMessage(playerid, COLOR_GRAD1, string);
				    return 1;
				}
			}
		}
  		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}
		return 1;
	}
//<-----------------------------[PlaySound]-----------------------------------------------------------------------
	if (strcmp(cmd, "/ps", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /ps [soundid] eg. (1052 - 1058)(1020 - 1022), 1035");
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 102)
		{
			for(new i = 0; i <= MAX_PLAYERS; i++)
			{
				if(IsPlayerConnected(i) == 1)
				{
					PlayerPlaySound(i, weaponid, 0.0, 0.0, 0.0);
				}
			}
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//<-----------------------------[PlaySound]-----------------------------------------------------------------------
	if (strcmp(cmd, "/admins", true) == 0)
	{
		SendClientMessage(playerid, COLOR_GRAD1, "Admins Online:");
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1 && PlayerInfo[i][pAdmin] >= 101 && PlayerInfo[i][pAdmin] <= 105)
			{
				GetPlayerName(i, sendername, sizeof(sendername));
				format(string, 256, "Admin: %s", sendername);
				SendClientMessage(playerid, COLOR_GRAD2, string);
			}
		}
		return 1;
	}
//<-----------------------------[cashbox]-----------------------------------------------------------------------
	if (strcmp(cmd, "/cashbox", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /cashbox [0-1] This mission on 1 off 0");
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			cashbox=weaponid;
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//<-----------------------------[streetrace]-----------------------------------------------------------------------
	if (strcmp(cmd, "/streetrace", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /streetrace [0-1] This mission on 1 off 0");
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			streetrace=weaponid;
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//------------------------------------[hotwire]-----------------------------------------------------------------------
	if (strcmp(cmd, "/hotwire", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /hotwire [0-1] This mission on 1 off 0");
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			hotwire=weaponid;
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//-----------------------------------------[deathmatch]-------------------------------------------------------------------------
	if (strcmp(cmd, "/deathmatch", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /deathmatch [0-1] This mission on 1 off 0");
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			deathmatch=weaponid;
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//----------------------------------------[briefcase]---------------------------------------------------------------------------
 	if (strcmp(cmd, "/briefcase", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: /briefcase [0-1] This mission on 1 off 0");
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			return 1;
		}
		new weaponid = strval(tmp);
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
		{
			briefcase=weaponid;
			format(string, sizeof(string), "cb:%d sr:%d hw:%d dm:%d bf:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "   you are not authorized to use that command!");
		}

		return 1;
	}
//---------------------------------------[racenight]-------------------------------------------------------------------------------
	if (strcmp(cmd, "/racenight", true) == 0)
	{
		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103 && IsPlayerConnected(playerid))
		{
			cashbox= 0;
			hotwire= 0;
			deathmatch= 0;
			streetrace= 1;
			briefcase= 0;
            SetWorldTime(0);
			format(string, sizeof(string), "Settings now bc:%d sr:%d hw:%d dm:%d", cashbox,streetrace,hotwire,deathmatch,briefcase);
			SendClientMessage(playerid, COLOR_GRAD1, string);
			format(string,sizeof(string),"~y~Welcome to ~w~R~r~ace ~w~N~r~ight");
        	GameTextForAll(string,4000,4);

		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		}

		return 1;
	}
//----------------------------------[HELP]-----------------------------------------------
	if(strcmp(cmd, "/help", true) == 0)
	{
  		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
	    SendClientMessage(playerid, COLOR_GRAD1,"*** ACCOUNT *** /regnick /login /changenick /changepass /level /buylevel /upgrade /buyexp");
		SendClientMessage(playerid, COLOR_GRAD2,"*** GENERAL *** /pay /charity /time /buy /votekick /vote /unrentcar /givekey /switchkey /id");
		SendClientMessage(playerid, COLOR_GRAD2,"*** GENERAL *** /date /resetupgrades(100k) /betrace /betdm /bets /buygun /bestbuy /bestsale");
  		SendClientMessage(playerid, COLOR_GRAD3,"*** CHAT *** (/w)hisper (/o)oc (/s)hout (/l)ocal (/ad)vertise /me /togooc");
		SendClientMessage(playerid, COLOR_GRAD4,"*** BANK *** /balance /withdraw /deposit /wiretransfer /loan, ATM Only: /balance /withdraw");
		SendClientMessage(playerid, COLOR_GRAD3,"*** OTHER *** /rules /objective /needtaxi /hp");
		SendClientMessage(playerid, COLOR_GRAD3,"*** OTHER *** /hw /cb /dm /srace /afk /back");
		if (gTeam[playerid] == 2)
		{
			SendClientMessage(playerid, COLOR_GRAD5, "*** SAPD *** (/r)adio (/d)epartments (/m)egaphone (/su)spect /mdc /free /jail /duty /lock");
		}
		if (gTeam[playerid] == 1)
		{
			SendClientMessage(playerid, COLOR_GRAD5, "*** SAMD *** (/r)adio (/d)epartments /heal /lock");
		}
		if (PlayerInfo[playerid][pAdmin] >= 1)
		{
			SendClientMessage(playerid, COLOR_GRAD6, "*** ADMIN *** (/a)dmin (/ah)elp");
		}
		if (PlayerInfo[playerid][pAdmin] == -1 || PlayerInfo[playerid][pAdmin] >= 3 || gRaceGuy[playerid])
		{
			SendClientMessage(playerid, COLOR_GRAD6, "*** RACE EDIT *** /cp /racedelay /laps /randomrace /racelist /setrace /saverace /loadrace");
		}
		SendClientMessage(playerid, COLOR_GRAD6,"*** OTHER *** /cellphonehelp /househelp /renthelp /businesshelp /animlist /serverinfo");
		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
		//SendHelpMessage(playerid, 1);
		return 1;
 }
//------------------------------------------------------------------------------------------------------

	if(strcmp(cmd, "/needtaxi", true) == 0 || strcmp(cmd, "/nt", true) == 0)
	{
		GetPlayerName(playerid, sendername, sizeof(sendername));
		new length = strlen(cmdtext);
		while ((idx < length) && (cmdtext[idx] <= ' '))
		{
			idx++;
		}
		new offset = idx;
		new result[64];
		while ((idx < length) && ((idx - offset) < (sizeof(result) - 1)))
		{
			result[idx - offset] = cmdtext[idx];
			idx++;
		}
		result[idx - offset] = EOS;
		if(!strlen(result))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "USAGE: (/needtaxi(/nt) [Location]");
			return 1;
		}
		if ((noooc) && (PlayerInfo[playerid][pAdmin] < 101))
		{
			SendClientMessage(playerid, COLOR_GRAD2, "   the taxi channel has been disabled by admin");
			return 1;
		}
	    format(string, sizeof(string), "%s needs a taxi at  %s  Call %d for more info and paying's",  sendername, result, PlayerInfo[playerid][pPnumber]);
		OOCOff(COLOR_YELLOW,string);
		if (PlayerInfo[playerid][pAdmin] < 101)
		{
			SetTimer("AddsOn", addtimer, 0);adds = 0;
		}
		printf("%s", string);
		return 1;
	}
//----------------------------------[HELP]-----------------------------------------------
	if(strcmp(cmd, "/rules", true) == 0)
	{
		SendClientMessage(playerid, COLOR_YELLOW,"PLEASE READ THESE RULES, THANKS.");
	    SendClientMessage(playerid, COLOR_RED,"KICKABLE OFFENCES: Spamming, Race start killing, Constant Flaming, Bug Abuse & DB Abuse (THE SAWNOFF BUG IS ALLOWED)");
		SendClientMessage(playerid, COLOR_RED,"BANNABLE OFFENCES: Cheating, Constant Spamming, Impostering Admins & Ignoring Rules");
		SendClientMessage(playerid, COLOR_WHITE,"OTHER THINGS: There are other things admins may do to you, Jail, Freeze, Slap etc");
  		SendClientMessage(playerid, COLOR_WHITE,"/admins to find out whos on, if you need more info ask.");
		SendClientMessage(playerid, COLOR_YELLOW,"CURRENT ADMINS: [TDM]Relax, [TDM]NeSs, [TDM]Terror, [TDM]Fi[DJ]eY");
		SendClientMessage(playerid, COLOR_YELLOW,"CURRENT ADMINS: [TDM]AmAtOr, [TDM]Sandic & SR_PTERIX");
		return 1;
	}
		
//-------------------------------------------

	if(strcmp(cmd, "/objective", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Game Objective ]-------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"In this server its all about doing missions, getting experience points and leveling up.. ");
	    SendClientMessage(playerid, COLOR_GRAD1,"MISSIONS: You got 4 Different missions called, hotwire, deathmatch cashbox and streetrace");
		SendClientMessage(playerid, COLOR_GRAD1,"For more info about missions type /hw /dm /cb and /srace ");
		SendClientMessage(playerid, COLOR_GRAD1,"EXPERIENCE: You Can earn experience-points by doing missions, example: if you win a streetrace,");
  		SendClientMessage(playerid, COLOR_GRAD1,"you will get 1/4 streetrace point, if you got 4/4 you will get 1 xp, same with other missions, and kills");
  		SendClientMessage(playerid, COLOR_GRAD1," PEN1: pen1 means 'Public Enemy Number One' When you win a missions you will become pen1, and have to  evade death");
  		SendClientMessage(playerid, COLOR_GRAD1,"for 6 minutes, this means that if you win a mission and afther that die within 6 minutes you wont get youre xp");
 		if (gTeam[playerid] == 2)

		return 1;
		}

//---------------------------------------------

	if(strcmp(cmd, "/hw", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Hotwire ]-------------------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"The Hotwire mission work like this, you will get a message saying WAYPOINT SET: THE CAR in the bottom right of the screen ");
	    SendClientMessage(playerid, COLOR_GRAD1,"Afther that there will appeare a yellow icon on youre radar which is the car (hotwire)");
		SendClientMessage(playerid, COLOR_GRAD1,"Go to it, steal the car and bring it to the red marker what will appeare afther you got in the car");
		SendClientMessage(playerid, COLOR_GRAD1,"if you done that youre job is complete and you will become PEN1 (look in /objective) to see what that means");
 		if (gTeam[playerid] == 2)

		return 1;
		}

//------------------------------------------

	if(strcmp(cmd, "/cb", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Cashbox ]-------------------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"The Cashbox mission works like this, you will get a message saying WAYPOINT SET: CASHBOX in the bottom right of the screen ");
	    SendClientMessage(playerid, COLOR_GRAD1,"Afther that there will appeare a red marker on the map which is the cashbox, pick it up and bring it to the red marker");
		SendClientMessage(playerid, COLOR_GRAD1,"also called 'Safehouse'");
		SendClientMessage(playerid, COLOR_GRAD1,"if you done that youre job is complete and you will become PEN1 (look in /objective) to see what that means");
 		if (gTeam[playerid] == 2)

		return 1;
		}
//---------------------------------------

	if(strcmp(cmd, "/dm", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Deathmatch ]-------------------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"The Deathmatch mission works like this, you will get a message saying WAYPOINT SET: DEATHMATCH in the bottom right of the screen ");
	    SendClientMessage(playerid, COLOR_GRAD1,"Afther that there will appeare a red marker on the map which is the deathmatch-checkpoint go in and wait for the DM to start ");
		SendClientMessage(playerid, COLOR_GRAD1,"If you win the deathmatch youre job is complete and you will become PEN1 (look in /objective) to see what that means");
 		if (gTeam[playerid] == 2)

		return 1;
		}

//-----------------------------------------

	if(strcmp(cmd, "/srace", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Streetrace ]-------------------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"The Streetrace mission works like this, you will get a message saying WAYPOINT SET: STREETRACE in the bottom right of the screen ");
	    SendClientMessage(playerid, COLOR_GRAD1,"Afther that there will appeare a red marker on the map which is the streetrace-checkpoint go in and wait for the race to start ");
		SendClientMessage(playerid, COLOR_GRAD1,"If you win the streetrace youre job is complete and you will become PEN1 (look in /objective) to see what that means");
 		if (gTeam[playerid] == 2)

		return 1;
		}

//-----------------------------------------

	if(strcmp(cmd, "/bf", true) == 0)
	{
		SendClientMessage(playerid, COLOR_WHITE,"---------------------------------[ Briefcase ]-------------------------------------------------");
		SendClientMessage(playerid, COLOR_GRAD1,"The Briefcase mission works like this, you will get a message saying WAYPOINT SET: INFORMATOR in the bottom right of the screen ");
	    SendClientMessage(playerid, COLOR_GRAD1,"When you arrive at the red marker informer on the phone tells you to pick up your lost businessman case");
		SendClientMessage(playerid, COLOR_GRAD1,"usually briefcase lies near a bus ostnovki");
		SendClientMessage(playerid, COLOR_GRAD1,"if you done that youre job is complete and you will become PEN1 (look in /objective) to see what that means");
 		if (gTeam[playerid] == 2)

		return 1;
		}


		
//----------------------------------[HELP]----------------------------------------------------------------
	if(strcmp(cmd, "/cellphonehelp", true) == 0)
	{
		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
		if (PlayerInfo[playerid][pPnumber] > 0)
		{
			SendClientMessage(playerid, COLOR_WHITE,"*** HELP *** type a command for more help");
			SendClientMessage(playerid, COLOR_GRAD3,"*** CELLPHONE *** (/c)all 'eg: /call 911' /sms (/p)ickup (/h)angup /number");
			SendClientMessage(playerid, COLOR_GRAD4,"*** OTHER *** /help /househelp /renthelp /businesshelp");
		}
		else
		{
			SendClientMessage(playerid, COLOR_WHITE,"You can buy a cell phone in any 24-7");
		}
		return 1;
	}
	if(strcmp(cmd, "/househelp", true) == 0)
	{
		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
		SendClientMessage(playerid, COLOR_WHITE,"*** HOUSE HELP *** type a command for more help");
		SendClientMessage(playerid, COLOR_GRAD3,"*** HOUSE *** /enter /exit /lock /home /heal /houseupgrade (/hu) /setrentable /tv (off/dm/race/pen/door)");
		SendClientMessage(playerid, COLOR_GRAD3,"*** HOUSE *** /carupgrade /carcolor /evictall /towcar /fixcar /modcar /modst /modlr /setrent /evict /housewithdraw");
		SendClientMessage(playerid, COLOR_GRAD4,"*** OTHER *** /cellphonehelp /help /renthelp /businesshelp");
		return 1;
	}
	if(strcmp(cmd, "/renthelp", true) == 0)
	{
		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
		SendClientMessage(playerid, COLOR_WHITE,"*** RENTING HELP *** type a command for more help");
		SendClientMessage(playerid, COLOR_GRAD3,"*** RENT *** /unrent /enter /exit /lock /home");
		SendClientMessage(playerid, COLOR_GRAD4,"*** OTHER *** /cellphonehelp /househelp /help /businesshelp");
		return 1;
	}
	if(strcmp(cmd, "/businesshelp", true) == 0)
	{
		SendClientMessage(playerid, COLOR_GREEN,"_______________________________________");
		SendClientMessage(playerid, COLOR_WHITE,"*** BUSINESS HELP *** type a command for more help");
		SendClientMessage(playerid, COLOR_GRAD3,"*** BUSINESS *** /bizinfo /compprice /pricemod /bizfee");
		SendClientMessage(playerid, COLOR_GRAD4,"*** BUSINESS *** /enter /exit /lock /sellbiz /bizwithdraw /bizupgrade");
		SendClientMessage(playerid, COLOR_GRAD4,"*** OTHER *** /cellphonehelp /househelp /renthelp /help");
		return 1;
	}
	if(strcmp(cmd, "/serverinfo", true) == 0)
	{
   		SendClientMessage(playerid, COLOR_GREEN, "|___________________ SERVER INFO __________________|");
		SendClientMessage(playerid, COLOR_GRAD1, " There written the most important thing about server");
		SendClientMessage(playerid, COLOR_GRAD2, " /version /rules /admins /players /help");
        SendClientMessage(playerid, COLOR_GREEN, "|------------------------------------------------------------------------------|");
		return 1;
	}
 	if(strcmp(cmd, "/version", true) == 0)
	{
  		SendClientMessage(playerid, TEAM_VAGOS_COLOR,"*** SCRIPT *** - Public Enemy: LS-SF-LV v4.0.1"); //version
        SendClientMessage(playerid, TEAM_VAGOS_COLOR,"*** CREATORS *** - [TDM]Relax, FJ, [TDM]Terror, SR_PTERIX");
        SendClientMessage(playerid, TEAM_VAGOS_COLOR,"*** CO-DEV'S *** - [TDM]Prime, [ACF]OKStyle, [TDM]Kosmos, [TDM]Rasum");
		return 1;
	}
 	if(strcmp(cmd, "/adminlevels", true) == 0 || strcmp(cmd, "/al", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            SendClientMessage(playerid, COLOR_GREEN,"|___________ ADMIN LEVELS _________|");
            SendClientMessage(playerid, COLOR_GRAD3,"This is the Configuration of Admin Levels.");
			SendClientMessage(playerid, COLOR_GRAD1,"Level 101 Moderator -");
			SendClientMessage(playerid, COLOR_GRAD2,"Level 102 Basic - ");
			SendClientMessage(playerid, COLOR_GRAD3,"Level 103 Manager - ");
			SendClientMessage(playerid, COLOR_GRAD4,"Level 104 Elite Admin - Lvl 105 Hidden ");
			SendClientMessage(playerid, COLOR_GRAD5,"Level 106 Rcon Admin- ");
			SendClientMessage(playerid, COLOR_GRAD6,"Level 107 Admin Supervisor - ");
			SendClientMessage(playerid, COLOR_GREEN,"---------------------------------------------------------------------------------");
			return 1;
        }
	}
	if(strcmp(cmd, "/ahelp", true) == 0 || strcmp(cmd, "/ah", true) == 0)
	{
 		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            SendClientMessage(playerid, COLOR_RED,"|__________________ADMIN HELP__________________|");
            SendClientMessage(playerid, COLOR_GRAD1,"Type a Command for Admin Control Sub Menus");
			SendClientMessage(playerid, COLOR_GRAD2,"/acon /missionhelp /movehelp /supervisorhelp");
			SendClientMessage(playerid, COLOR_GRAD3,"/scripthelp /funhelp /dmhelp /al /vehiclehelp");
			SendClientMessage(playerid, COLOR_GRAD4,"/playerhelp /rconhelp");
            SendClientMessage(playerid, COLOR_RED,"------------------------------------------------------------------------------------");
            return 1;
		}
	}
	if(strcmp(cmd, "/supervisorhelp", true) == 0 || strcmp(cmd, "/suh", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
            SendClientMessage(playerid, COLOR_RED,"|___________SUPERVISOR HELP_________|");
            SendClientMessage(playerid, COLOR_GRAD1,"This is the Supervisor Control Panel");
            SendClientMessage(playerid, COLOR_GRAD2,"/makepadmin /giveadmin /rban /rkick");
            SendClientMessage(playerid, COLOR_GRAD3,"/acheck /skick /sban /giveperm /acreset");
			SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You Are Not a Server Supervisor");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/funhelp", true) == 0 || strcmp(cmd, "/suh", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            SendClientMessage(playerid, COLOR_RED,"|___________FUNNY COMMANDS_________|");
            SendClientMessage(playerid, COLOR_GRAD3,"Type a Command for Admin Control Sub Menus");
            SendClientMessage(playerid, COLOR_GRAD3,"/er /ba /devsjoined /kickedrel /reljoin /relleft");
            SendClientMessage(playerid, COLOR_GRAD3,"/reltime /relkick /lo /fban /fkick");
			SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You Are Not a Server Supervisor");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/movehelp", true) == 0 || strcmp(cmd, "/moh", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            SendClientMessage(playerid, COLOR_RED,"|___________MOVEMENT CONTROLL_________|");
			SendClientMessage(playerid, COLOR_RED,"Administrator Command list: Movement");
			SendClientMessage(playerid, COLOR_GRAD1,"/fly /up /dn /lt /rt /goto /gotofc");
			SendClientMessage(playerid, COLOR_GRAD1,"/gotols /gotosf /gotolv");
            SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/scripthelp", true) == 0 || strcmp(cmd, "/sh", true) == 0)
	{

		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
            SendClientMessage(playerid, COLOR_RED,"|__________SCRIPT CONTROLL__________|");
			SendClientMessage(playerid, COLOR_RED,"Scripting Command list: Scripting Development");
			SendClientMessage(playerid, COLOR_GRAD1,"Commands - /test/incmis/patch/editprod/testcam");
			SendClientMessage(playerid, COLOR_GRAD1,"/prop/tmppos/drop/pos/loadpl/savepl/chkmodels");
			SendClientMessage(playerid, COLOR_GRAD1,"/chkmon /chkvecs /chkpercent /chkmodel");
            SendClientMessage(playerid, COLOR_RED,"---------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
	if(strcmp(cmd, "/missionhelp", true) == 0 || strcmp(cmd, "/mh", true) == 0)
	{
		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
            SendClientMessage(playerid, COLOR_RED,"_____________MISSION CONTROLL_____________");
			SendClientMessage(playerid, COLOR_RED,"Administrator Command list: Commands for Missions");
			SendClientMessage(playerid, COLOR_GRAD1,"/startrace /randomrace /racelist /footmode /racedelay");
			SendClientMessage(playerid, COLOR_GRAD1,"/racedelay /saverace /racenight  /loadrace /cashbox");
			SendClientMessage(playerid, COLOR_GRAD1,"/resetrace /racecreator /startdm /streetrace /sr");
            SendClientMessage(playerid, COLOR_GRAD1,"/hotwire /hw /deathmatch /dm /dmweapon /bf /briefcase");
            SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	if(strcmp(cmd, "/acon", true) == 0 || strcmp(cmd, "/ac", true) == 0)
	{
		SendClientMessage(playerid, COLOR_RED,"|_____________ADMIN FEATURES_____________|");
		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
			SendClientMessage(playerid, COLOR_GRAD1,"Admin 101: /admin/amess/am/kick/ban/stats/ajail/unjail/getcar/ss/sc/black/red/slap/orbit/mute/thaw/freeze/getip/getping/recon");
  		}
		if (PlayerInfo[playerid][pAdmin] >= 102)
		{
   			SendClientMessage(playerid, COLOR_GRAD2,"Admin 102:  /warn/goto/setteam/skydive/cnn/setintp/cnnn/dive/bigears/ps/addcop/addmed/ahp");
  		}
		if (PlayerInfo[playerid][pAdmin] >= 103)
		{
			SendClientMessage(playerid, COLOR_GRAD3,"Admin 103:  /mark/gotomark/gotojet/gotols/gotop/gethere/makeraceman/sban/house/biz/sbiz/noooc/togooc");
            SendClientMessage(playerid, COLOR_GRAD3,"/gotolv/gotosf/mark/gotomark/gotoin/gotostad/clearchat/gotocar/tod/sslap/cendround/sendround");
		}
		if (PlayerInfo[playerid][pAdmin] >= 104)
		{
			 SendClientMessage(playerid, COLOR_GRAD4,"Admin 104: /setstat/tendive/fourdive/skydive/givegun/edithousecar/bizname/god/ungod/unban/allgod/allnotgod");
		     SendClientMessage(playerid, COLOR_GRAD4,"/givehealth/givemoney/killp/pguns/logoutall/healall/upgradep/logout/editlevel/spawn/spawn2/spawn3/payday/endround");
             SendClientMessage(playerid, COLOR_GRAD4,"/logoutpl/checkup/asellhouse/asellbiz/asellsbiz/8ball/hq/gmx/mission/missionstop/kickall/iconcolors/chkpercent/setstars");
		}
		if (IsPlayerAdmin(playerid))
		{
			SendClientMessage(playerid, COLOR_GRAD5,"Rcon Admin: /giveadmin/unlockserver/lockserver/banall/iconall/noiconall/noicon/icon/rcon [view server commands].");
		}
		SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------------");
		return 1;
	}
	
   	if(strcmp(cmd, "/rconhelp", true) == 0 || strcmp(cmd, "/rconhelp", true) == 0)
	{

		if (IsPlayerAdmin(playerid) || PlayerInfo[playerid][pAdmin] >= 106)
		{
            SendClientMessage(playerid, COLOR_RED,"|__________SERVER CONTROLL__________|");
			SendClientMessage(playerid, COLOR_RED,"Rcon Administrator Command list: Server Controll ");
			SendClientMessage(playerid, COLOR_GRAD1,"Commands - /servername /mapname /reloadbans /loadfs /unloadfs");
			SendClientMessage(playerid, COLOR_GRAD1,"/changemode /gravity /reloadfs /unlockserver /lockserver /giveadmin");
			SendClientMessage(playerid, COLOR_GRAD1,"/iconall /noiconall /noicon /icon");
            SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
  	if(strcmp(cmd, "/playerhelp", true) == 0 || strcmp(cmd, "/plhelp", true) == 0)
	{

		if (PlayerInfo[playerid][pAdmin] >= 101)
		{
            SendClientMessage(playerid, COLOR_RED,"|__________PLAYER CONTROLL__________|");
			SendClientMessage(playerid, COLOR_RED,"Administrator Command list: Plyaer Controll");
			SendClientMessage(playerid, COLOR_GRAD1,"Commands - /sslap /slap /tslap /resweapon /warn /addcop /addmed");
			SendClientMessage(playerid, COLOR_GRAD1,"/setstat /setname /setintp /setworld /setstars /getstars");
			SendClientMessage(playerid, COLOR_GRAD1,"/orbit /mute /thaw /freeze /recon /getip /getping");
			SendClientMessage(playerid, COLOR_GRAD1,"/gettols /gettolv /gettosf /gettofc /gethere");
			SendClientMessage(playerid, COLOR_GRAD1,"/blockcmd /ignoremsg /force /upgradep");
            SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/vehiclehelp", true) == 0 || strcmp(cmd, "/vh", true) == 0)
	{

		if (PlayerInfo[playerid][pAdmin] >= 105)
		{
            SendClientMessage(playerid, COLOR_RED,"|__________VEHICLE CONTROLL__________|");
			SendClientMessage(playerid, COLOR_RED,"Administrator Command list: Vehicle Controll");
			SendClientMessage(playerid, COLOR_GRAD1,"Commands - /vehfix /vehcol /veh /vehlist /vec /removep /remove");
			SendClientMessage(playerid, COLOR_GRAD1,"/eject /eliza /entercarp /joincar /angel /entercarp /entercar");
			SendClientMessage(playerid, COLOR_GRAD1,"/paintjob /amod /cup /vehfixp /vehdel /destroymycar /joinp");
			SendClientMessage(playerid, COLOR_GRAD1,"/vehrep /vstats /avstats /slapcar /speedboost");
            SendClientMessage(playerid, COLOR_RED,"-------------------------------------------------------------------------------------");
  		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1,"SERVER: You are not authorized to use that command!");
		}
		return 1;
	}
	
 	if(strcmp(cmd, "/vehlist", true) == 0)
  	{
   		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /vehlist [number page]");
			return 1;
		}
		new itemlist = strval(tmp);
		if(PlayerInfo[playerid][pAdmin] <= 102)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "ADMCENTER: You are not authorized to use that command!");
		    return 1;
		}
		if(itemlist == 1)
		{
	    	SendClientMessage(playerid, COLOR_GRAD1, "[400 landstal][401 bravura][402 buffalo][403 linerun][404 peren][405 sentinel][406 dumper][407 firetruk][408 trash]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[409 stretch][410 manana][411 infernus][412 voodoo][413 pony][414 mule][415 cheetah][416 ambulan][417 leviathn]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[418 moonbeam][419 esperant][420 taxi][421 washing][422 bobcat][423 mrwhoop][424 bfinject][425 hunter][426 premier]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[427 enforcer][428 securica][429 banshee][430 predator][431 bus][432 rhino][433 barracks][434 hotknife][435 artict1]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[436 previon][437 coach][438 cabbie][439 stallion][440 rumpo][441 rcbandit][442 romero][443 packer][444 monster]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[445 admiral][446 squalo][447 seaspar][448 pizzaboy][449 tram][450 artict2][451 turismo][452 speeder][453 reefer]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[454 tropic][455 flatbed][456 yankee][457 caddy][458 solair][459 topfun][460 skimmer][461 pcj600][462 faggio]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[463 freeway][464 rcbaron][465 rcraider][466 glendale][467 oceanic][469 sparrow][470 patriot][471 quad][472 coastg]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[473 dinghy][474 hermes][475 sabre][476 rustler][468 sanchez][477 zr350][479 regina][481 bmx][482 burrito][483 camper]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[484 marquis][485 baggage][486 dozer][487 maverick][488 vcnmav][480 comet][489 rancher][490 fbiranch][491 virgo]");
		}
		else if(itemlist == 2)
		{
	    	SendClientMessage(playerid, COLOR_GRAD1, "[492 greenwoo][493 jetmax][494 hotring][495 sandking][496 blistac][478 walton][497 polmav][498 boxville][499 benson]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[500 mesa][501 rcgoblin][502 hotrina][503 hotrinb][504 bloodra][505 rnchlure][506 supergt][507 elegant][508 journey]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[509 bike][510 mtbike][511 beagle][512 cropdust][513 stunt][514 petro][515 rdtrain][516 nebula][517 majestic]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[518 buccanee][519 shamal][520 hydra][521 fcr900][522 nrg500][523 copbike][524 cement][525 towtruck][526 fortune]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[527 cadrona][528 fbitruck][529 willard][530 forklift][531 tractor][532 combine][533 feltzer][534 remingtn]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[535 slamvan][536 blade][537 freight][538 streak][539 vortex][540 vincent][541 bullet][542 clover][543 sadler]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[544 firela][545 hustler][546 intruder][547 primo][548 cargobob][549 tampa][550 sunrise][551 merit][552 utility]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[553 nevada][554 yosemite][555 windsor][556 monstera][557 monsterb][558 uranus][559 jester][560 sultan][561 stratum]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[562 elegy][563 raindanc][564 rctiger][565 flash][566 tahoma][567 savanna][568 bandito][569 freiflat][570 streakc]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[571 kart][572 mower][573 duneride][574 sweeper][575 broadway][576 tornado][577 at400][578 dft30][579 huntley]");
		}
  		else if(itemlist == 3)
		{
	    	SendClientMessage(playerid, COLOR_GRAD1, "[580 stafford][581 bf400][582 newsvan][583 tug][584 petrotr][585 emperor][586 wayfarer][587 euros][588 hotdog]");
        	SendClientMessage(playerid, COLOR_GRAD1, "[589 club][590 freibox][591 artict3][592 androm][593 dodo][594 rccam][595 launch][596 copcarla][597 copcarsf]");
			SendClientMessage(playerid, COLOR_GRAD1, "[598 copcarvg][599 copcarru][600 picador][601 swatvan][602 alpha][603 phoenix][604 glenshit][605 sadlshit][606 bagboxa]");
			SendClientMessage(playerid, COLOR_GRAD1, "[607 bagboxb][608 tugstair][609 boxburg][610 farmtr1][611 utiltr1]");
		}
		else
		{
			SendClientMessage(playerid, COLOR_GRAD1, "Unrecognized Option");
		}
		return 1;
	}
//-----------------------------------------------------------------------------------------------------------------------------------------------|
	if(strcmp(cmd, "/contract", true) == 0) //no finnish
	{
		if(PlayerInfo[playerid][pLevel] < 3)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "This Feature Is Disabled Due To Abuse.");
			return 1;
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /contract [playerid/PartOfName] [amount]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /contract [playerid/PartOfName] [amount]");
			return 1;
		}
		moneys = strval(tmp);
		if (IsPlayerConnected(giveplayerid))
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			playermoney = GetPlayerMoney(playerid);
			if (moneys > 0 && playermoney >= moneys)
			{
				GiveMoney(playerid, (0 - moneys));
				Contract[giveplayerid] = Contract[giveplayerid]+moneys;
				format(string, sizeof(string), "%s has placed a contract on %s,for $%d.",sendername, giveplayer, moneys);
				PayLog(string);
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				BroadCast(COLOR_YELLOW, string);
			}
			else
			{
				SendClientMessage(playerid, COLOR_GRAD1, "   Invalid transaction amount.");
			}
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/votekick", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /votekick [playerid/PartOfName]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if(IsPlayerAdmin(giveplayerid) || PlayerInfo[giveplayerid][pAdmin] >= 103)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "Administrators can not be Vote Kicked");
			return 1;
		}
		if (IsPlayerConnected(giveplayerid) && gPlayerSpawned[giveplayerid] == 1)
		{
			GetPlayerName(giveplayerid, giveplayer, sizeof(giveplayer));
			GetPlayerName(playerid, sendername, sizeof(sendername));
			VoteKick[giveplayerid] = 1;
			KickVote[giveplayerid] = 1;
			format(string, sizeof(string), "[VOTEKICK] %s has started a vote to kick %s, type /vote %d to vote yes [VOTEKICK]",sendername, giveplayer,giveplayerid);
			PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
			BroadCast(COLOR_RED, string);
		}
		else
		{
				format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
				SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
	if(strcmp(cmd, "/vote", true) == 0)
	{
		tmp = strtok(cmdtext, idx);
		if(!strlen(tmp))
		{
			SendClientMessage(playerid, COLOR_GRAD1, "USAGE: /vote [playerid]");
			return 1;
		}
		if(IsStringAName(tmp))
		{
			giveplayerid = GetPlayerID(tmp);
		}
		else
		{
			giveplayerid = strval(tmp);
		}
		if (VoteKick[giveplayerid] == 0)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "There is no vote in progress on this player");
			return 1;
		}
		if (LastVote[playerid] == giveplayerid)
		{
			SendClientMessage(playerid, COLOR_GRAD1, "You can only vote once on a player");
			return 1;
		}
		if (IsPlayerConnected(giveplayerid))
		{
			KickVote[giveplayerid]++;
			LastVote[playerid] = giveplayerid;
			SendClientMessage(playerid, COLOR_GRAD1, "Your vote has been counted, Thank you for voting");
		}
		else
		{
			format(string, sizeof(string), "   %d is not an active player.", giveplayerid);
			SendClientMessage(playerid, COLOR_GRAD1, string);
		}
		return 1;
	}
return 1;
}
//------------------------------------------------------------------------------------------------------
stock HouseLevel(playerid)
{
	new h = PlayerInfo[playerid][pPhousekey];
	if(h == 255)
	{
		return 0;
	}
	if(h <= 4)
	{
		return 1;
	}
	if(h >= 5 && h <= 9)
	{
		return 2;
	}
	if(h >= 10 && h <= 18)
	{
		return 3;
	}
	if(h >= 19 && h <= 22)
	{
		return 4;
	}
	if(h >= 23 && h <= 25)
	{
		return 5;
	}
	if(h == 26)
	{
		return 6;
	}
	if(h == 27)
	{
		return 7;
	}
	if(h >= 28 && h <= 31)
	{
		return 7;
	}
	return 0;
}

stock CHouseLevel(houseid)
{
	if(houseid <= 4)
	{
		return 3;
	}
	if(houseid >= 29 && houseid <= 30)
	{
		return 4;
	}
	if(houseid >= 5 && houseid <= 9)
	{
		return 5;
	}
	if(houseid >= 10 && houseid <= 18 || houseid == 28)
	{
		return 7;
	}
	if(houseid >= 19 && houseid <= 22)
	{
		return 8;
	}
	if(houseid >= 23 && houseid <= 25)
	{
		return 9;
	}
	if(houseid == 26)
	{
		return 10;
	}
	if(houseid == 27)
	{
		return 11;
	}
	if(houseid >= 28 && houseid <= 31)
	{
		return 12;
	}
	return 0;
}

public Encript(string[])
{
	for(new x=0; x < strlen(string); x++)
	  {
		  string[x] += (3^x) * (x % 15);
		  if(string[x] > (0xff))
		  {
			  string[x] -= 256;
		  }
	  }
	return 1;
}

public Decript(string[])
{
	if (gdebug){printf("DEBUG string = %s", string);}
	for(new x=0; x < strlen(string); x++)
	  {
		  string[x] -= (3^x) * (x % 15);
		  if(string[x] > (0xff))
		  {
			  string[x] -= 256;
		  }
	  }
	if (gdebug){printf("DEBUG decript = %s", string);}
	return 1;
}

public ProxDetector(Float:radi, playerid, string[],col1,col2,col3,col4,col5)
{
	if (gdebug >= 3){printf("DEBUG ProxDetector()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy, Float:tempposz;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	//radi = 2.0; //Trigger Radius
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(!BigEar[i])
			{
				GetPlayerPos(i, posx, posy, posz);
				tempposx = (oldposx -posx);
				tempposy = (oldposy -posy);
				tempposz = (oldposz -posz);
				//printf("DEBUG: X:%f Y:%f Z:%f",posx,posy,posz);
				if (((tempposx < radi/16) && (tempposx > -radi/16)) && ((tempposy < radi/16) && (tempposy > -radi/16)) && ((tempposz < radi/16) && (tempposz > -radi/16)))
				{
					SendClientMessage(i, col1, string);
				}
				else if (((tempposx < radi/8) && (tempposx > -radi/8)) && ((tempposy < radi/8) && (tempposy > -radi/8)) && ((tempposz < radi/8) && (tempposz > -radi/8)))
				{
					SendClientMessage(i, col2, string);
				}
				else if (((tempposx < radi/4) && (tempposx > -radi/4)) && ((tempposy < radi/4) && (tempposy > -radi/4)) && ((tempposz < radi/4) && (tempposz > -radi/4)))
				{
					SendClientMessage(i, col3, string);
				}
				else if (((tempposx < radi/2) && (tempposx > -radi/2)) && ((tempposy < radi/2) && (tempposy > -radi/2)) && ((tempposz < radi/2) && (tempposz > -radi/2)))
				{
					SendClientMessage(i, col4, string);
				}
				else if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
				{
					SendClientMessage(i, col5, string);
				}
			}
			else
			{
				SendClientMessage(i, col1, string);
			}
		}
	}
	return 1;
}

public CrimInRange(Float:radi, playerid,copid)
{
	//if (gdebug >= 0){printf("DEBUG CrimProxDetector()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	GetPlayerPos(copid, posx, posy, posz);
	tempposx = (oldposx -posx);
	tempposy = (oldposy -posy);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)))
	{
		return 1;
	}
	return 0;
}

public CrimProxDetector(Float:radi, playerid,col1,col2,col3,col4,col5,col6,col7,col8,col9,col10)
{
	//if (gdebug >= 3){printf("DEBUG CrimProxDetector()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy;
	new count;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	for(count = 10; count >= 0; count=count-1)
	{
		//printf("counter = %d",count);
		for(new i = 0; i <= MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) == 1 && gTeam[i] == 2 && FlashTime[i] == 0)
			{
				GetPlayerPos(i, posx, posy, posz);
				tempposx = (oldposx -posx);
				tempposy = (oldposy -posy);
				if (((tempposx < radi/count) && (tempposx > -radi/count)) && ((tempposy < radi/count) && (tempposy > -radi/count)))
				{
					//printf("DEBUG: player %d has at range %d",i,count);
					if (count == 10) {SetPlayerColor(playerid,col1);return 1;}
					else if (count == 9) {SetPlayerColor(playerid,col1);return 1;}
					else if (count == 8) {SetPlayerColor(playerid,col2);return 1;}
					else if (count == 7) {SetPlayerColor(playerid,col3);return 1;}
					else if (count == 6) {SetPlayerColor(playerid,col4);return 1;}
					else if (count == 5) {SetPlayerColor(playerid,col5);return 1;}
					else if (count == 4) {SetPlayerColor(playerid,col6);return 1;}
					else if (count == 3) {SetPlayerColor(playerid,col7);return 1;}
					else if (count == 2) {SetPlayerColor(playerid,col8);return 1;}
					else if (count == 1) {SetPlayerColor(playerid,col9);return 1;}
					else {SetPlayerColor(playerid,col10);return 1;}
				}

			}
		}
	}
	return 1;
}



public ProxDetectorS(Float:radi, playerid, targetid)
{
	if (gdebug >= 3){printf("DEBUG ProxDetectorS()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy, Float:tempposz;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	//radi = 2.0; //Trigger Radius
	GetPlayerPos(targetid, posx, posy, posz);
	tempposx = (oldposx -posx);
	tempposy = (oldposy -posy);
	tempposz = (oldposz -posz);
	//printf("DEBUG: X:%f Y:%f Z:%f",posx,posy,posz);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
	{
		return 1;
	}
	return 0;
}

stock EventsProxDetector(Float:radi, playerid, targetid)
{
	//if (gdebug >= 0){printf("DEBUG EventsProxDetector()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	GetPlayerPos(targetid, posx, posy, posz);
	tempposx = (oldposx -posx);
	tempposy = (oldposy -posy);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)))
	{
		return 1;
	}
	return 0;
}

stock EventsProxDetectorV(Float:radi, victeamid, vehicleid)
{
	//if (gdebug >= 0){printf("DEBUG EventsProxDetector()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy;
	GetPlayerPos(victeamid, oldposx, oldposy, oldposz);
	GetVehiclePos(vehicleid, posx, posy, posz);
	tempposx = (oldposx -posx);
	tempposy = (oldposy -posy);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)))
	{
		return 1;
	}
	return 0;
}

public SpreeDetector(playerid, killerid)
{
	new string[256];
    new killername[MAX_PLAYER_NAME];
    gSpree[killerid]++;
	new spree = gSpree[killerid];
	if(gSpree[playerid] != 0) { gSpree[playerid] = 0; }
	switch(spree)
	{
		case 5:
        {
	       	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
			SendClientMessageToAll(COLOR_RED, string);
 			//SetPlayerWantedLevel(killerid, 1);
			SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $10000");
        	SendClientMessage(killerid,COLOR_RED, "Higher number of kills in a row will unlock weapons and more cash");
			GiveMoney(killerid, 10000);
			gSpreeStatus[killerid] = 1;
		}
		case 10:
        {
        	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
		    SendClientMessageToAll(COLOR_RED, string);
		    //SetPlayerWantedLevel(killerid,2);
        	SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $20000");
        	SendClientMessage(killerid,COLOR_RED, "Higher number of kills in a row will unlock weapons and more cash");
			GiveMoney(killerid, 20000);
			gSpreeStatus[killerid] = 1;
		}
		case 15:
        {
        	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
			//format(string, sizeof(string), "%s will now get 30 combat shotgun ammo", killername);
		    SendClientMessageToAll(COLOR_RED, string);
		    //SetPlayerWantedLevel(killerid, 3);
	        SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $30000");
			GiveMoney(killerid, 30000);
			gSpreeStatus[killerid] = 1;
		}
		case 20:
        {
        	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
			//format(string, sizeof(string), "%s will now get 10 grenades", killername);
	   		SendClientMessageToAll(COLOR_RED, string);
	   		//SetPlayerWantedLevel(killerid, 4);
	        SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $40000");
			GiveMoney(killerid, 40000);
			gSpreeStatus[killerid] = 1;
		}
		case 25:
        {
        	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
      		//format(string, sizeof(string), "%s will now get 50 sniper rifle ammo and 50 percent armour", killername);
		    SendClientMessageToAll(COLOR_RED, string);
		    //SetPlayerWantedLevel(killerid, 5);
	        SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $50000");
			GiveMoney(killerid, 50000);
			gSpreeStatus[killerid] = 1;
		}
		case 30:
        {
        	GetPlayerName(killerid, killername, sizeof(killername));
			format(string, sizeof(string), "Killing Spree [%s] has %d Kills in a row", killername, spree);
		    //format(string, sizeof(string), "%s will now get 10 rocket launcher ammo and 75 percent armour", killername);
		    SendClientMessageToAll(COLOR_RED, string);
		    //SetPlayerWantedLevel(killerid, 6);
	        SendClientMessage(killerid,COLOR_RED, "Money Aquired from killing spree $100000");
			GiveMoney(killerid, 100000);
			gSpreeStatus[killerid] = 1;
		}
		default:
		{
		    gSpreeStatus[killerid] = 0;
		}
	}
	return 0;
}

public PlayerToPoint(Float:radi, playerid, Float:x, Float:y, Float:z)
{
	if (gdebug >= 3){printf("DEBUG ProxDetectorS()");}
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy, Float:tempposz;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	tempposx = (oldposx -x);
	tempposy = (oldposy -y);
	tempposz = (oldposz -z);
	//printf("DEBUG: X:%f Y:%f Z:%f",posx,posy,posz);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
	{
		return 1;
	}
	return 0;
}

public PlayerToVehicle(Float:radi, playerid, vehicleid)
{
	if (gdebug >= 3){printf("DEBUG ProxDetectorV()");}
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy, Float:tempposz;
	new Float:vehx, Float:vehy, Float:vehz;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	GetVehiclePos(vehicleid, vehx, vehy, vehz);
	tempposx = (oldposx -vehx);
	tempposy = (oldposy -vehy);
	tempposz = (oldposz -vehz);
	//printf("DEBUG: X:%f Y:%f Z:%f",posx,posy,posz);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
	{
		return 1;
	}
	return 0;
}

public TestDistance(playerid,giveplayerid,Float:tarx,Float:tary,Float:tarz,Float:radi)
{
	if (gdebug >= 3){printf("DEBUG TestDistance()");}
	new Float:posx, Float:posy, Float:posz;
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new Float:tempposx, Float:tempposy, Float:tempposz;
	GetPlayerPos(playerid, oldposx, oldposy, oldposz);
	//radi = 2.0; //Trigger Radius
	GetPlayerPos(giveplayerid, posx, posy, posz);
	tempposx = (tarx -oldposx);
	tempposy = (tary -oldposy);
	tempposz = (tarz -oldposz);
	//printf("DEBUG: X:%f Y:%f Z:%f",posx,posy,posz);
	if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
	{
		if (gdebug >= 2){printf("DEBUG TestDistance2()");}
		tempposx = (tarx -posx);
		tempposy = (tary -posy);
		tempposz = (tarz -posz);
		if (((tempposx < radi) && (tempposx > -radi)) && ((tempposy < radi) && (tempposy > -radi)) && ((tempposz < radi) && (tempposz > -radi)))
		{
			if (gdebug >= 2){printf("DEBUG TestDistance3()");}
			return 1;
		}
	}
	else
	{
		return 0;
	}
	return 0;
}

public PlayerInArea()
{
	new Float:x, Float:y, Float:z;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			GetPlayerPos(i, x, y, z);
			//printf("DEBUGpia: X:%f Y:%f Z:%f",x, y, z);
			if(x<=2720.00 && x>=1220.00 && y<=2600.00 && y>=850.00 && z<=1100.0 && z>=900.0 || PlayerToPoint(2.0, i, 1119.0,-1.7,1000.6))
			{
				new string[64];
				format(string, sizeof(string), "~r~Closed");
				GameTextForPlayer(i, string, 5000, 6);
				SetPlayerInterior(i,12);
				PlayerInfo[i][pInt] = 12;
				SetPlayerPos(i,1022.599975,-1123.699951,23.799999);
			}
		}
	}
	return 1;
}

public PlayerInArena()
{
	new Float:x, Float:y, Float:z;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			GetPlayerPos(i, x, y, z);
			if((gPlayerFighter[i] != 1 && PlayerInfo[i][pAdmin] < 101 && Spectate[i] == 255))
			{
				if(x<=gDMWbounds[0]+50 && x>=gDMWbounds[1]-50 && y<=gDMWbounds[2]+50 && y>=gDMWbounds[3]-50)
				{
					GameTextForPlayer(i, "~w~Warning You Are Approaching A~n~~r~Restricted Area~n~~w~Turn back or be shot", 5000, 6);
				}
				if(x<=gDMWbounds[0]+25 && x>=gDMWbounds[1]-25 && y<=gDMWbounds[2]+25 && y>=gDMWbounds[3]-25)
				{
					SetPlayerHealth(i, 0.0);
				}
			}
			if(gPlayerFighter[i])
			{
				if(x>gDMWbounds[0])
				{
					SetPlayerPos(i, gDMWbounds[0], y,z); // Warp the player
					GameTextForPlayer(i, "~w~You cannot leave~n~~r~DEATHMATCH", 5000, 6);
				}
				if(x<gDMWbounds[1])
				{
					SetPlayerPos(i, gDMWbounds[1], y,z); // Warp the player
					GameTextForPlayer(i, "~w~You cannot leave~n~~r~DEATHMATCH", 5000, 6);
				}
				if(y>gDMWbounds[2])
				{
					SetPlayerPos(i, x,gDMWbounds[2],z); // Warp the player
					GameTextForPlayer(i, "~w~You cannot leave~n~~r~DEATHMATCH", 5000, 6);
				}
				if(y<gDMWbounds[3])
				{
					SetPlayerPos(i, x,gDMWbounds[3],z); // Warp the player
					GameTextForPlayer(i, "~w~You cannot leave~n~~r~DEATHMATCH", 5000, 6);
				}
			}
		}
	}
	return 1;
}

public PenInArea()
{
	new Float:x, Float:y, Float:z;
		if(gPublicEnemy != 255)
		{
			GetPlayerPos(gPublicEnemy, x, y, z);
			if(z>900.0)
			{
				new house = PlayerInfo[gPublicEnemy][pLocal];
				GameTextForPlayer(gPublicEnemy, "~w~There is nowhere to hide", 5000, 1);
				SetPlayerInterior(gPublicEnemy,0);
				PlayerInfo[gPublicEnemy][pInt] = 0;
				PlayerInfo[gPublicEnemy][pLocal] = 255;
				if(house > 102 && house != 255)
				{
					SetPlayerPos(gPublicEnemy, BizzInfo[house-102][bEntrancex], BizzInfo[house-102][bEntrancey],BizzInfo[house-102][bEntrancez]); // Warp the player
				}
				else if(house < 102 && house != 255)
				{
					SetPlayerPos(gPublicEnemy, HouseInfo[house][hEntrancex], HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]); // Warp the player
				}
				else
				{
					SetPlayerPos(gPublicEnemy, 1350.1,-1279.1,13.3); // Warp the player to amunation
				}
				SetPlayerVirtualWorld(gPublicEnemy,0);
			}
			if(z <= -0.5)
			{
				GameTextForPlayer(gPublicEnemy, "~w~Public Enemy Can Not Swim", 5000, 1);
				SetPlayerHealth(gPublicEnemy,0.0);
			}
			if(x == PenPos[0] && y == PenPos[1] && z == PenPos[2])
			{
				for(new i = 0; i <= MAX_PLAYERS; i++)
				{
					if(IsPlayerConnected(i) && gTeam[i] == 2 && CrimInRange(5.0, gPublicEnemy,i))
					{
						SetPlayerHealth(gPublicEnemy, 0.0);
						OnPlayerDeath(gPublicEnemy, i, 0);
					}
				}
			}
			PenPos[0] = x ;PenPos[1]= y;PenPos[2]= z;
		}
	return 1;
}

public CustomPickups()
{
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new string[128];
	new playername[MAX_PLAYER_NAME];
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			GetPlayerPos(i, oldposx, oldposy, oldposz);
			new tmpcar = GetPlayerVehicleID(i);
			/*
			if(gPlayerSpawned[i] && PlayerToPoint(10.0, i, 1520.1,-1473.2,9.2))
			{
				new string[128];
				format(string, sizeof(string), "~w~Wheel Arch Angels~n~Type ~g~/enter ~w~to use");
				GameTextForPlayer(i, string, 5000, 3);
			}
			*/
			if(oldposx!=0.0 && oldposy!=0.0 && oldposz!=0.0)
			{
				for(new h = 0; h < sizeof(SBizzInfo); h++)
				{
					if(IsATruck(tmpcar) && PlayerToPoint(10.0, i, SBizzInfo[h][sbEntrancex], SBizzInfo[h][sbEntrancey], SBizzInfo[h][sbEntrancez]))
					{
						format(string, sizeof(string), "~w~%s~n~~r~Components Required~w~: %d~n~~g~Paying~w~: $%d~n~~g~Funds: ~w~: $%d",SBizzInfo[h][sbDiscription],(SBizzInfo[h][sbCompCap]-SBizzInfo[h][sbComp]),SBizzInfo[h][sbPayComp],SBizzInfo[h][sbTakings]);
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
					if(PlayerToPoint(2.0, i, SBizzInfo[h][sbEntrancex], SBizzInfo[h][sbEntrancey], SBizzInfo[h][sbEntrancez]))
					{
						if(SBizzInfo[h][sbOwned] == 1)
						{
							format(string, sizeof(string), "~w~%s~w~~n~Owner : %s~n~Entrance Fee : ~g~$%d ~w~Level : %d ~n~to enter type /enter",SBizzInfo[h][sbDiscription],SBizzInfo[h][sbOwner],SBizzInfo[h][sbEntcost],SBizzInfo[h][sbLevel]);
						}
						else
						{
							format(string, sizeof(string), "~w~%s~w~~n~This Business is for sale~n~Cost: ~g~$%d ~w~Level : %d ~n~to buy this Business type /buybiz",SBizzInfo[h][sbDiscription],SBizzInfo[h][sbValue],SBizzInfo[h][sbLevel]);
						}
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
				}
    			for(new s = 0; s < sizeof(StationInfo); s++)
				{
					if(IsAFuelTruck(tmpcar) && PlayerToPoint(10.0, i, StationInfo[s][stEnterx], StationInfo[s][stEntery], StationInfo[s][stEnterz]))
					{
						format(string, sizeof(string), "~w~%s~n~~r~Components Required~w~: %d~n~~g~Paying~w~: $%d~n~~g~Funds: ~w~: $%d",StationInfo[s][stDiscription],(StationInfo[s][stCompCap]-StationInfo[s][stComp]),StationInfo[s][stPayComp],StationInfo[s][stTakings]);
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
					if(PlayerToPoint(2.0, i, StationInfo[s][stEnterx], StationInfo[s][stEntery], StationInfo[s][stEnterz]))
					{
						if(StationInfo[s][stOwned] == 1)
						{
							format(string, sizeof(string), "~w~%s~w~~n~Owner : %s~n~Entrance Fee : ~g~$%d ~w~Level : %d ~n~to enter type /enter",StationInfo[s][stDiscription],StationInfo[s][stOwner],StationInfo[s][stEntcost],StationInfo[s][stLevel]);
						}
						else
						{
							format(string, sizeof(string), "~w~%s~w~~n~This Business is for sale~n~Cost: ~g~$%d ~w~Level : %d ~n~to buy this Business type /buybiz",StationInfo[s][stDiscription],StationInfo[s][stValue],StationInfo[s][stLevel]);
						}
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
				}
				for(new h = 0; h < sizeof(HouseInfo); h++)
				{
				    new id = 20;
				    new p = h;
        			if(PlayerToPoint(250.0, i, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez]))
					{
					    if (h > 34 && h < 68){ p = h-34; } else if (h > 67){ p = h - 68; }
					    GetPlayerName(i, playername, sizeof(playername));
						if (strcmp(playername, HouseInfo[h][hOwner], true) == 0)
						{
					    	SetPlayerMapIcon(i, id+p, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez], 35, 0);
						}
						else
						{
						    SetPlayerMapIcon(i, id+p, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez], 31, 0);
						}
					}
					else
					{
					    RemovePlayerMapIcon(i, id+p);
					}
					if(PlayerToPoint(2.0, i, HouseInfo[h][hEntrancex], HouseInfo[h][hEntrancey], HouseInfo[h][hEntrancez]))
					{
						if(HouseInfo[h][hOwned] == 1)
						{
							if(HouseInfo[h][hRentabil] == 0)
							{
								format(string, sizeof(string), "~w~This House is owned by~n~%s~n~Level : %d",HouseInfo[h][hOwner],HouseInfo[h][hLevel]);
							}
							else
							{
								format(string, sizeof(string), "~w~This House is owned by~n~%s~n~Rent: $%d Level : %d~n~Type /rentroom to rent a room",HouseInfo[h][hOwner],HouseInfo[h][hRent],HouseInfo[h][hLevel]);
							}
							GameTextForPlayer(i, string, 5000, 3);
							return 1;
						}
						else
						{
							format(string, sizeof(string), "~w~This House is for sale~n~Discription: %s ~n~Cost: ~g~$%d~n~~w~ Level : %d~n~to buy this house type /buyhouse",HouseInfo[h][hDiscription],HouseInfo[h][hValue],HouseInfo[h][hLevel]);
						}
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
				}
    			for(new s = 0; s < sizeof(SaveInfo); s++)
				{
					if(PlayerToPoint(1.0, i, SaveInfo[s][sEnterx], SaveInfo[s][sEntery], SaveInfo[s][sEnterz]))
					{
	       		        OnClientUpdate(i);
              			GameTextForPlayer(i,  "~r~Progress saved ~g~successfully!", 5000, 1);
			            PlayerInfo[i][pSaves] = PlayerInfo[i][pSaves]+1;
						return 1;
					}
				}
				for(new h = 0; h < sizeof(BizzInfo); h++)
				{
					if(IsATruck(tmpcar) && PlayerToPoint(10.0, i, BizzInfo[h][bEntrancex], BizzInfo[h][bEntrancey], BizzInfo[h][bEntrancez]))
					{
						format(string, sizeof(string), "~w~%s~n~~r~Components Required~w~: %d~n~~g~Paying~w~: $%d~n~~g~Funds: ~w~: $%d",BizzInfo[h][bDiscription],(BizzInfo[h][bCompCap]-BizzInfo[h][bComp]),BizzInfo[h][bPayComp],BizzInfo[h][bTakings]);
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
					if(PlayerToPoint(2.0, i, BizzInfo[h][bEntrancex], BizzInfo[h][bEntrancey], BizzInfo[h][bEntrancez]))
					{
						if(BizzInfo[h][bOwned] == 1)
						{
							format(string, sizeof(string), "~w~%s~w~~n~Owner : %s~n~Entrance Fee : ~g~$%d ~w~Level : %d ~n~to enter type /enter",BizzInfo[h][bDiscription],BizzInfo[h][bOwner],BizzInfo[h][bEntcost],BizzInfo[h][bLevel]);
						}
						else
						{
							format(string, sizeof(string), "~w~%s~w~~n~This Business is for sale~n~Cost: ~g~$%d ~w~Level : %d ~n~to buy this Business type /buybiz",BizzInfo[h][bDiscription],BizzInfo[h][bValue],BizzInfo[h][bLevel]);
						}
						GameTextForPlayer(i, string, 5000, 3);
						return 1;
					}
				}
			}
		}
	}
	return 1;
}

public IdleKick()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && PlayerInfo[i][pAdmin] < 101)
		{
			GetPlayerPos(i, PlayerPos[i][0], PlayerPos[i][1], PlayerPos[i][2]);
			//printf("player %d\n x = %f\n y = %f\n z = %f\n x2 = %f\n y2 = %f\n z2 = %f\n",i, PlayerPos[i][0],PlayerPos[i][1],PlayerPos[i][2],PlayerPos[i][3],PlayerPos[i][4],PlayerPos[i][5]);
			if(PlayerPos[i][0] == PlayerPos[i][3] && PlayerPos[i][1] == PlayerPos[i][4] && PlayerPos[i][2] == PlayerPos[i][5])
			{
				Kick(i);
			}
			PlayerPos[i][3] = PlayerPos[i][0];
			PlayerPos[i][4] = PlayerPos[i][1];
			PlayerPos[i][5] = PlayerPos[i][2];
		}
	}
}

public AntiCamp()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(SafeTime[i] > 0)
			{
				SafeTime[i]--;
			}
			if(SafeTime[i] == 1)
			{
				if(gPlayerAccount[i] == 1 && gPlayerLogged[i] == 0)
				{
					SendClientMessage(i, COLOR_WHITE, "HINT: You can now login by typing /login <password>");
					//Kick(i);
				}
			}
		}
	}
}

public AntiTeleport()
{
	new plname[MAX_PLAYER_NAME];
	new string[256];
	new Float:maxspeed = 175.0;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) && GetPlayerState(i) >= 0 && GetPlayerState(i) <= 3)
		{
			GetPlayerPos(i, TelePos[i][3], TelePos[i][4], TelePos[i][5]);
			if(TelePos[i][5] > 550.0)
			{
				TelePos[i][0] = 0.0;
				TelePos[i][1] = 0.0;
			}
			//printf("player %d\n x = %f\n y = %f\n z = %f\n x2 = %f\n y2 = %f\n z2 = %f\n",i, PlayerPos[i][0],PlayerPos[i][1],PlayerPos[i][2],PlayerPos[i][3],PlayerPos[i][4],PlayerPos[i][5]);
			if(TelePos[i][0] != 0.0)
			{
				new Float:xdist = TelePos[i][3]-TelePos[i][0];
				new Float:ydist = TelePos[i][4]-TelePos[i][1];
				new Float:sqxdist = xdist*xdist;
				new Float:sqydist = ydist*ydist;
				new Float:distance = (sqxdist+sqydist)/31;
				gDisTravel[i] += floatround(distance);
				if (gTaxiPas[i] != 0)
				{
				    gTaxiTravel[i] += floatround(distance);
					gTaxiPrice[i] = gTaxiTravel[i]*TAXI_COAST;
				}//passenger travel cost in taxi cab
				if(gSpeedo[i] == 2 && GetPlayerState(i) == PLAYER_STATE_DRIVER)
				{
					if(distance <10)
					{
						//format(string, 256, "~n~~n~~n~~n~~n~~n~~n~~g~mph :   ~w~%.0f",distance);
						format(string, 256, "~g~mph :   ~w~%.0f",distance);
					}
					if(distance > 10 && distance < 100)
					{
						//format(string, 256, "~n~~n~~n~~n~~n~~n~~n~~g~mph :  ~w~%.0f",distance);
						format(string, 256, "~g~mph :  ~w~%.0f",distance);
					}
					if(distance > 100)
					{
						//format(string, 256, "~n~~n~~n~~n~~n~~n~~n~~g~mph : ~w~%.0f",distance);
						format(string, 256, "~g~mph : ~w~%.0f",distance);
					}
					//GameTextForPlayer(i, string, 2000, 5);
					GameTextForPlayer(i, string, 2000, 1);
				}
				if(distance > maxspeed  && GetPlayerState(i) == PLAYER_STATE_DRIVER)
				{
					new tmpcar = GetPlayerVehicleID(i);
					if(!IsAPlane(tmpcar) && gSpeedBoost[i] == 0)
					{
						GetPlayerName(i, plname, sizeof(plname));
						format(string, 256, "AdmWarning: [%d]%s %.0f mph",i,plname,distance);
						Speeder = i;
						ABroadCast(COLOR_YELLOW,string,1);
					}
				}
			}
			if(TelePos[i][5] < 550.0 && TelePos[i][3] != 0.0)
			{
				TelePos[i][0] = TelePos[i][3];
				TelePos[i][1] = TelePos[i][4];
			}
		}
	}
}


public RaceSpec(playerid)
{
	new tmplaps;
	new bestracer;
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && LapCount[i] > 0)
		{
			if(LapCount[i] > tmplaps)
			{
				bestracer = i;
				tmplaps = LapCount[i];
			}
		}
	}
	if(Spectate[playerid] != bestracer)
	{
		new sstring[256];
		new giveplayer[MAX_PLAYER_NAME];
		GetPlayerName(bestracer, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "~w~%s",giveplayer);
		GameTextForPlayer(playerid, sstring, 5000, 1);
		Spectate[playerid] = bestracer;
	}
	return 1;
}

public BestPlayer(playerid)
{
	new bestplayer;
	bestplayer = lastkiller;
	if(gSuperCop != INVALID_PLAYER_ID)
	{
		bestplayer = gSuperCop;
	}
	if(Spectate[playerid] != bestplayer)
	{
		new sstring[256];
		new giveplayer[MAX_PLAYER_NAME];
		GetPlayerName(bestplayer, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "~w~%s",giveplayer);
		GameTextForPlayer(playerid, sstring, 5000, 1);
		Spectate[playerid] = bestplayer;
	}
	return 1;
}

public PenDelay(playerid)
{
	new bestplayer;
	new sstring[256];
	bestplayer = gPublicEnemy;
	if(bestplayer == INVALID_PLAYER_ID)
	{
		TVMode[playerid] = 1;
		GameTextForPlayer(playerid, "~w~                True~n~                   ~b~Crime", 5000, 6);
		BestPlayer(playerid);
		return 1;
	}
	if(Spectate[playerid] != bestplayer)
	{
		new giveplayer[MAX_PLAYER_NAME];
		GetPlayerName(bestplayer, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "~p~Starring ~n~~w~%s",giveplayer);
		GameTextForPlayer(playerid, sstring, 5000, 1);
		Spectate[playerid] = bestplayer;
	}
	return 1;
}

public SpeedDelay(playerid)
{
	new bestplayer;
	new sstring[256];
	bestplayer = Speeder;
	if(bestplayer == INVALID_PLAYER_ID)
	{
		TVMode[playerid] = 1;
		GameTextForPlayer(playerid, "~w~                True~n~                   ~b~Crime", 5000, 6);
		BestPlayer(playerid);
		return 1;
	}
	if(Spectate[playerid] != bestplayer)
	{
		new giveplayer[MAX_PLAYER_NAME];
		GetPlayerName(bestplayer, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "~p~Starring ~n~~w~%s",giveplayer);
		GameTextForPlayer(playerid, sstring, 5000, 1);
		Spectate[playerid] = bestplayer;
	}
	return 1;
}


public DMPlayer(playerid)
{
	new bestplayer;
	bestplayer = DmHiPlayer;
	if(bestplayer == INVALID_PLAYER_ID)
	{
		TVMode[playerid] = 1;
		GameTextForPlayer(playerid, "~w~                True~n~                   ~b~Crime", 5000, 6);
		BestPlayer(playerid);
		return 1;
	}
	if(Spectate[playerid] != bestplayer)
	{
		new sstring[256];
		new giveplayer[MAX_PLAYER_NAME];
		GetPlayerName(bestplayer, giveplayer, sizeof(giveplayer));
		format(sstring, sizeof(sstring), "~w~%s~n~  score:~r~ %d",giveplayer,DmScore[bestplayer]);
		GameTextForPlayer(playerid, sstring, 5000, 1);
		Spectate[playerid] = bestplayer;
	}
	return 1;
}

public InHouse()
{
	new Float:oldposx, Float:oldposy, Float:oldposz;
	new string[256];
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			if(PlayerInfo[i][pLocal] != 255)
			{
				new house = PlayerInfo[i][pLocal];
				GetPlayerPos(i, oldposx, oldposy, oldposz);
				if(oldposz != 0.0)
				{
					if(oldposz < 600.0)
					{
						//new string[64];
						//format(string, sizeof(string), "~w~rexit");
						new tmpbiz = gBizTicket[i];
						new housekey = PlayerInfo[i][pPhousekey];
						if(house == 10000)
						{
							if (!PlayerToPoint(6, i,-2724.0,217.9,4.1))
							{
								if (GetPlayerState(i) == 2)
								{
									new tmpcar = GetPlayerVehicleID(i);
					         		if (tmpbiz == 1)
									{
										SetVehiclePos(tmpcar, 1519.2,-1474.4,9.1);//ls
									}
									else if (tmpbiz == 19)
									{
					        			SetVehiclePos(tmpcar, -2157.6,654.7,52.0);//sf
									}
									else if (tmpbiz == 37)
									{
									    SetVehiclePos(tmpcar, 1944.1,2160.3,10.4);//lv
									}
									SetVehicleZAngle(tmpcar, 270.0);
								}
								else
								{
					         		if (tmpbiz == 1)
									{
										SetPlayerPos(i, 1519.2,-1474.4,9.1);//ls
									}
									else if (tmpbiz == 19)
									{
					        			SetPlayerPos(i, -2157.6,654.7,52.0);//sf
									}
									else if (tmpbiz == 37)
									{
									    SetPlayerPos(i, 1944.1,2160.3,10.4);//lv
									}
								}
								new oldcash = gSpentCash[i];
								new Total = GetPlayerMoney(i) - oldcash;
								printf("Total %d = GetPlayerMoney(playerid) %d - oldcash %d",Total,GetPlayerMoney(i),oldcash);
								new name[MAX_PLAYER_NAME];
								SBizzInfo[tmpbiz][sbTakings] = SBizzInfo[tmpbiz][sbTakings]-Total;//lv
								GetPlayerName(i, name, sizeof(name));
								format(string,128,"<< %s has left the modshop with $%d >>",name,Total);
								PayLog(string);
								gSpentCash[i] = 0;
								TelePos[i][0] = 0.0;
								TelePos[i][1] = 0.0;
								PlayerInfo[i][pLocal] = 255;
								SetPlayerInterior(i,0);
								SetPlayerVirtualWorld(i,0);
								PlayerInfo[i][pInt] = 0;
								Spectate[i] = 255;
								gBizTicket[i] = 255;
							}
						}
						if(house > 10000)
						{
							new tmpcar = GetPlayerVehicleID(i);
							if (!PlayerToPoint(6, i,1040.6,-1021.0,31.7) && house == 10001 ||!PlayerToPoint(6, i,-2720.5,217.5,4.1) && house == 10002 ||!PlayerToPoint(6, i,2644.6,-2044.9,13.3) && house == 10003)
							{
								if (GetPlayerState(i) == 2)
								{
									SetVehiclePos(tmpcar, HouseCarSpawns[tmpcar-1][0], HouseCarSpawns[tmpcar-1][1], HouseCarSpawns[tmpcar-1][2]);
									SetVehicleZAngle(tmpcar, HouseCarSpawns[tmpcar-1][3]);
								}
								else
								{
									SetPlayerPos(i, HouseCarSpawns[tmpcar-1][0], HouseCarSpawns[tmpcar-1][1], HouseCarSpawns[tmpcar-1][2]);
								}
								new oldcash = gSpentCash[i];
								new Total = GetPlayerMoney(i) - oldcash;
								printf("Total %d = GetPlayerMoney(playerid) %d - oldcash %d",Total,GetPlayerMoney(i),oldcash);
								new name[MAX_PLAYER_NAME];
        					    if (housekey < 34)
								{
									tmpbiz = 1;
								}
								else if (housekey > 33 && housekey < 68)
								{
					        		tmpbiz = 19;
								}
								else if (housekey > 67)
								{
									tmpbiz = 37;
								}
								SBizzInfo[tmpbiz][sbTakings] = SBizzInfo[tmpbiz][sbTakings]-Total;
								GetPlayerName(i, name, sizeof(name));
								format(string,128,"<< %s has left the homemodshop with $%d >>",name,Total);
								PayLog(string);
								gSpentCash[i] = 0;
								TelePos[i][0] = 0.0;
								TelePos[i][1] = 0.0;
								PlayerInfo[i][pLocal] = 255;
								SetPlayerInterior(i,0);
								SetPlayerVirtualWorld(i,0);
								PlayerInfo[i][pInt] = 0;
								Spectate[i] = 255;
							}
						}
						if(house >= 102 && house != 10000)
						{
							if(house == 7+1000 && PlayerInfo[i][pPbiskey] != 7) //casino) //casino
							{
								new oldcash = gSpentCash[i];
								new Total = GetPlayerMoney(i) - oldcash;
								printf("Total %d = GetPlayerMoney(playerid) %d - oldcash %d",Total,GetPlayerMoney(i),oldcash);
								new name[MAX_PLAYER_NAME];
		        				new casinob[3] = {7,21,35};
								new randa = random(sizeof(casinob));
								new bizranda = casinob[randa];
								BizzInfo[bizranda][bTakings] = BizzInfo[bizranda][bTakings]-Total;
								GetPlayerName(i, name, sizeof(name));
								format(string,128,"<< %s has left the casino with $%d >>",name,Total);
								PayLog(string);
								gSpentCash[i] = 0;
							}
							SetPlayerPos(i, BizzInfo[house-102][bEntrancex], BizzInfo[house-102][bEntrancey],BizzInfo[house-102][bEntrancez]); // Warp the player
							PlayerInfo[i][pLocal] = 255;
							SetPlayerInterior(i,0);
							SetPlayerVirtualWorld(i,0);
							PlayerInfo[i][pInt] = 0;
						}
						else if(house < 102 && house != 10000)
						{
							SetPlayerPos(i, HouseInfo[house][hEntrancex], HouseInfo[house][hEntrancey],HouseInfo[house][hEntrancez]); // Warp the player
							PlayerInfo[i][pLocal] = 255;
							SetPlayerInterior(i,0);
							SetPlayerVirtualWorld(i,0);
							PlayerInfo[i][pInt] = 0;
						}
					}
				}
			}
		}
	}
	return 1;
}

stock IsValidChars(string[])
{
	new character[256];
	new found = 0;
	new foundchar[256];
	for(new i = 0; i < strlen(string); i++)
	{
		strmid(character, string, i, i+1, 2);
		for(new j = 0; j < MAX_ALLOWED_CHARS; j++)
		{
			tmps1 = allowedchars[j];
			if(strcmp(hash(character), hash(tmps1), false) == 0)
			{
				found += 1;
				foundchar = tmps1;
			}
		}
	}
	if (found != strlen(string))
	{
		//SendClientMessage(playerid, COLOR_GRAD1,"Illegal character(s) used. Use [0-1], [a-z], [A-Z] or [!@#$%^&*()-[];:,.<>?/]");
		return 0;
	}
	return 1;
}

public IsStringAName(string[])
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			new testname[MAX_PLAYER_NAME];
			GetPlayerName(i, testname, sizeof(testname));
			//printf("IsS:testname = %s : string = %s",testname,string);
			if(strcmp(testname, string, true, strlen(string)) == 0)
			{
				//printf("TRUE IsS:testname = %s : string = %s",testname,string);
				return 1;
			}
		}
	}
	return 0;
}

public GetPlayerID(string[])
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			new testname[MAX_PLAYER_NAME];
			GetPlayerName(i, testname, sizeof(testname));
			//printf("GetP:testname = %s : string = %s",testname,string);
			if(strcmp(testname, string, true, strlen(string)) == 0)
			{
				//printf("TRUE GetP:testname = %s : string = %s playerid %d",testname,string, i);
				return i;
			}
		}
	}
	return INVALID_PLAYER_ID;
}

public OnPlayerText(playerid, text[])
{
	if(Mute[playerid] == 1)
	{
		SendClientMessage(playerid, TEAM_CYAN_COLOR, "You cannot speak, you have been silenced");
		return 0;
	}
	if(Message[playerid] == 1)
    {
        SendClientMessage(playerid, COLOR_RED, "Don't flood!");
        return 0;
    }
    else
    {
        Message[playerid] = 1;
        SetTimerEx("ResetPlayerMessage",senttime*1000,0,"d",playerid);
    }
	if(Mobile[playerid] != 255)
	{
		new string [128];
		new sendername[MAX_PLAYER_NAME];
		new idx;
		new tmp[MAX_PLAYER_NAME];
		tmp = strtok(text, idx);
		GetPlayerName(playerid, sendername, sizeof(sendername));
		format(string, sizeof(string), "%s Says (cellphone): %s", sendername, text);
		ProxDetector(20.0, playerid, string,COLOR_FADE1,COLOR_FADE2,COLOR_FADE3,COLOR_FADE4,COLOR_FADE5);
		//printf("callers line %d called %d caller %d",Mobile[Mobile[playerid]],Mobile[playerid],playerid);
		if(Mobile[playerid] == 914)
		{
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, TEAM_CYAN_COLOR, "Dispatch: Sorry I don't understand?");
				return 0;
			}
				new turner[MAX_PLAYER_NAME];
				new wanted[128];
				GetPlayerName(playerid, turner, sizeof(turner));
				SendClientMessage(playerid, TEAM_CYAN_COLOR, "Dispatch: We have alerted all units in the area.");
				SendClientMessage(playerid, TEAM_CYAN_COLOR, "Thank you for reporting this incident");
				format(wanted, sizeof(wanted), "Dispatch: All Units IA: Caller: %s",turner);
				SendTeamBeepMessage(1, TEAM_CYAN_COLOR, wanted);
				format(wanted, sizeof(wanted), "Dispatch: Incident: %s",text);
				SendTeamMessage(1, TEAM_CYAN_COLOR, wanted);
				if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
		}
		if(Mobile[playerid] == 913)
		{
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: Sorry i dont understand?");
				return 0;
			}
			if ((strcmp("no", tmp, true, strlen(tmp)) == 0) && (strlen(tmp) == strlen("no")))
			{
				new turner[MAX_PLAYER_NAME];
				new wanted[128];
				GetPlayerName(playerid, turner, sizeof(turner));
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: We have alerted all units in the area.");
				SendClientMessage(playerid, COLOR_DBLUE, "Thank you for reporting this crime");
				format(wanted, sizeof(wanted), "HQ: All Units APB: Reporter: %s",turner);
				SendTeamBeepMessage(2, COLOR_DBLUE, wanted);
				format(wanted, sizeof(wanted), "HQ: Crime: %s, Suspect: Unknown",PlayerCrime[playerid][pAccusing]);
				SendTeamMessage(2, COLOR_DBLUE, wanted);
				if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
			}
			new badguy;
			if(IsStringAName(tmp))
			{
				badguy = GetPlayerID(tmp);
			}
			else
			{
				badguy = strval(tmp);
			}
			if (gTeam[badguy] == 2 || gTeam[badguy] == 1)
			{
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: You will have to contact internal affairs. This is an emergency line");
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
			}
			if (gTeam[badguy] >= 4)
			{
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: Units are already assigned to that case");
				SendClientMessage(playerid, COLOR_DBLUE, "Thank you for reporting this crime");
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
			}
			if (badguy == playerid)
			{
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: Dont Fool Around, This is an emergency line.");
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
			}
			if (IsPlayerConnected(badguy))
			{
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: We have alerted all units in the area.");
				SendClientMessage(playerid, COLOR_DBLUE, "Thank you for reporting this crime");
				SetPlayerCriminal(badguy,playerid, PlayerCrime[playerid][pAccusing],0,0);
				if(FlashTime[badguy] == 0){FlashTime[playerid] = 10;}
				if(FlashTime[playerid] == 0){FlashTime[playerid] = 10;}
				SendClientMessage(playerid, COLOR_GRAD2, "   They Hung Up...");
				Mobile[playerid] = 255;
				return 0;
			}
			else
			{
				format(string, sizeof(string), "Police HQ: I have no Information on %s, are you shure thats the right name?",tmp);
				SendClientMessage(playerid, COLOR_DBLUE, string);
				return 0;
			}
		}
		if(Mobile[playerid] == 912)
		{
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: Sorry i dont understand?");
				return 0;
			}
				strmid(PlayerCrime[playerid][pAccusing], text, 0, strlen(text), 255);
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: If you know the assailant's name or part of it say it now or just say no.");
				Mobile[playerid] = 913;
				return 0;
		}
		if(Mobile[playerid] == 911)
		{
			if(!strlen(tmp))
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: Sorry i dont understand, police or paramedic?");
				return 0;
			}
			else if ((strcmp("police", tmp, true, strlen(tmp)) == 0) && (strlen(tmp) == strlen("police")))
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: I am patching you to  Police HQ, please hold.");
				Mobile[playerid] = 912;
				SendClientMessage(playerid, COLOR_DBLUE, "Police HQ: Please give me a short description of the crime.");
				return 0;
			}
			else if ((strcmp("paramedic", tmp, true, strlen(tmp)) == 0) && (strlen(tmp) == strlen("paramedic")))
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: I am patching you to  Paramedic HQ, please hold.");
				Mobile[playerid] = 914;
				SendClientMessage(playerid, TEAM_CYAN_COLOR, "Dispatch: Please give me a short description of the Incident.");
				return 0;
			}
			else
			{
				SendClientMessage(playerid, COLOR_ALLDEPT, "EMERGENCY: Sorry i dont understand, police or paramedic?");
				return 0;
			}
		}
		if(IsPlayerConnected(Mobile[playerid]) == 1 && Mobile[Mobile[playerid]] == playerid)
		{
			SendClientMessage(Mobile[playerid], COLOR_YELLOW,string);
		}
		else
		{
			SendClientMessage(playerid, COLOR_YELLOW,"Theres nobody there");
		}
		return 0;
	}
	if (realchat)
	{
		new string [128];
		new sendername[MAX_PLAYER_NAME];
		GetPlayerName(playerid, sendername, sizeof(sendername));
		format(string, sizeof(string), "%s Says %s", sendername, text);
		ProxDetector(20.0, playerid, string,COLOR_FADE1,COLOR_FADE2,COLOR_FADE3,COLOR_FADE4,COLOR_FADE5);
		return 0;
	}
    new string[256];
    new namepl[MAX_PLAYER_NAME];
    new fakeid = FakeSay[playerid];
    if(fakeid != -1)
	{
	   GetPlayerName(fakeid,namepl,sizeof(namepl));
   	   new teamcolor;
	   new tmpcolor = GetPlayerTeamColor(fakeid, teamcolor);
	   format(string, sizeof(string), "%s: %s", namepl, text);
	   SendClientMessageToAll(tmpcolor,string);
	   return 0;
	}
	SetPlayerChatBubble(playerid, text, COLOR_GREEN, 100.0, 10000);
    GetPlayerName(playerid,namepl,sizeof(namepl));
	format(string, sizeof(string), "%s: %s", namepl, text);
	ChatLog(string);
	return 1;
}

public SetCamBack(playerid)
{
	new Float:plocx,Float:plocy,Float:plocz;
	GetPlayerPos(playerid, plocx, plocy, plocz);
	SetPlayerPos(playerid, -1863.15, -21.6598, 1060.15); // Warp the player
	SetPlayerInterior(playerid,14);
	//SetPlayerPos(playerid, plocx, plocy, plocz); // Warp the player
	//SetPlayerInterior(playerid,0);
}

public FixHour(hour)
{
	//if (gdebug >= 2){printf("DEBUG FixHour(%d)",hour);}
	hour = timeshift+hour;
	if (hour < 0)
	{
		hour = hour+24;
	}
	else if (hour > 23)
	{
		hour = hour-24;
	}
	shifthour = hour;
	return 1;
}

stock NormalizeString(str[])
{
	new j = strlen(str);

	str[0] = toupper(str[0]);

	for (new i = 1; i < j; i++)
	{
		switch (str[i])
		{
			case 'A'..'Z'	: str[i] = tolower(str[i]);
			case '?', '?'	: str[i] = 'a';
			case '?'	: str[i] = 'e';
			case '?'	: str[i] = 'n';
			case '?'	: str[i] = 'o';
			case '?'	: str[i] = 'u';
		}
	}

	if ( str[j-1] != '.' && str[j-1] != '!' && str[j-1] != '?' )
		strins(str, ".", j, 0);

	return str;
}


public AddsOn()
{
	if (gdebug >= 2){printf("DEBUG AddsOn()");}
	adds=1;
	return 1;
}

hash(str2[])
{
	new tmpdasdsa[256];
	tmpdasdsa[0]=0;
	valstr(tmpdasdsa,num_hash(str2));
	return tmpdasdsa;
}

num_hash(buf[])
 {
	new length=strlen(buf);
    new s1 = 1;
    new s2 = 0;
    new n;
    for (n=0; n<length; n++)
    {
       s1 = (s1 + buf[n]) % 65521;
       s2 = (s2 + s1)     % 65521;
    }
    return (s2 << 16) + s1;
}
public RaceCheckpointReset()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			DisablePlayerRaceCheckpoint(i);
			gPlayerLapStatus[i] = 0;
			gPlayerCheckpointStatus[i] = CHECKPOINT_NONE;
		}
	}

}

public SetAllPlayerRaceCheckpoint(Float:allx, Float:ally, Float:allz, Float:radi, num)
{
	//if (gdebug >= 1){printf("DEBUG SetAllPlayerCheckpoint()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			SetPlayerRaceCheckpoint(i,0,allx,ally,allz,allx,ally,allz, radi);
			if (num != 255)
			{
				gPlayerCheckpointStatus[i] = num;
			}
		}
	}

}

public OnPlayerEnterRaceCheckpoint(playerid)
{
	new string[128];
	new name[MAX_PLAYER_NAME];

	switch (gPlayerCheckpointStatus[playerid])
	{
	case CHECKPOINT_SR1START:
		    {
			//	if (gdebug){print("DEBUG CHECKPOINT_SR1START");}
				if (GetPlayerState(playerid) != 2)
				{
					return 1;
				}
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				if (gTeam[playerid] >= 3)
				{
					new tmpcar = GetPlayerVehicleID(playerid);
					if(IsAPlane(tmpcar))
					{
						GameTextForPlayer(playerid, "~w~No aircraft allowed in the race", 2000, 6);
						return 1;
					}
					if (MissionActive == 5)// first to arrive
					{
						gRaceLeader++;
					//	if (gdebug){printf("gRaceLeader %d",gRaceLeader);}
						if (gRaceLeader == 1)
						{
							format(string, sizeof(string), "~r~Wait For More Racers");
							GameTextForPlayer(playerid, string, 2000, 6);
							gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
							DisablePlayerRaceCheckpoint(playerid);
							return 1;
						}
						else if (gRaceLeader == 2)
						{
							gRaceLeader = 0;
							if (gdebug){printf("gRaceLeader %d",gRaceLeader);}
							format(string, sizeof(string), "Hurry %d Seconds To Race Start!",racedelay/1000);
							RingTone[playerid] = 20;
							SendEnemyMessage(COLOR_WHITE, string);
							format(string, sizeof(string), "~r~Wait Here For Racers");
							gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
							GameTextForPlayer(playerid, string, 2000, 6);
						}
						SetTimer("RaceDelay", racedelay, 0);
						DisablePlayerRaceCheckpoint(playerid);
						MissionActive = 6;
						if (gdebug){print("DEBUG MissionActive = 6");}
					}
					else if (MissionActive == 6) //late arrivels
					{
					//	if (gdebug){print("DEBUG waiting");}
						DisablePlayerRaceCheckpoint(playerid);
						gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
					}
				}
				else
				{
					GameTextForPlayer(playerid, "~w~Patrol This Area~n~ For Suspects", 5000, 1);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_NONE;
					return 1;
				}
		    }
		case CHECKPOINT_SRA:
		    {
			//	if (gdebug){print("DEBUG CHECKPOINT_SRA");}
				if (GetPlayerState(playerid) != 2)
				{
					return 1;
				}
				new tmpcar = GetPlayerVehicleID(playerid);
				if(IsAPlane(tmpcar))
				{
					GameTextForPlayer(playerid, "~w~No aircraft allowed in the race", 2000, 6);
					return 1;
				}
				if (StartTime[playerid] == 0)
				{
					StartTime[playerid] = Gtickcount;
					if(gTeam[playerid] == 3)
					{
						SetPlayerCriminal(playerid,255, "Street Racing",0,0);
						//if(FlashTime[playerid] == 0){FlashTime[playerid] = 60;}
					}
				}
				LapCount[playerid]++;
				gRaceEnd++;
				if(LapCount[playerid] > gLaps)
				{
					gLaps = LapCount[playerid];
					gRaceEnd = 1;
				}
				if(RaceInfo[rLaps] != 0)
				{
					if(gLaps != (RaceInfo[rLaps]+1) && gLaps > 1)
					{
						//RaceDebug(playerid);
						if(gLaps == 2)
						{
							for(new i = 0; i <= MAX_PLAYERS; i++)
							{
								if(IsPlayerConnected(i) && gTeam[i] == 2)
								{
									format(cbjstore, sizeof(cbjstore), "HQ: 911 10-14 Set Up A RoadBlock At The Red Marker.");
									SendClientMessage(i, COLOR_DBLUE, cbjstore);
									RingTone[i] = 20;
									SetPlayerCheckpoint(i,rm2x,rm2y,rm2z, 8.0);
								}
							}
							RaceTime[playerid] = Gtickcount;
						}
						if (gRaceEnd == 1 && LapCount[playerid] == gLaps)
						{
							if (LapCount[playerid] > 2)
							{
							    RaceTime[playerid] = Gtickcount;
							    pos1time = RaceTime[playerid] - LapTime[playerid];
							}
							else
							{
							    pos1time = RaceTime[playerid] - StartTime[playerid];
							}
							LapTime[playerid] = Gtickcount;
							ConvertTicks(pos1time);
							GetPlayerName(playerid, name, sizeof(name));
							format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~is in 1st Place T: %d:%d:%d", name,cmins,csecs,cmils);
							//BroadCast(COLOR_WHITE, string);
							SendTextDrawMessageToAll(string);
							format(string, sizeof(string), "~w~Lap %d/%d~n~~g~1st Place ~n~~y~T: %d:%d:%d",gLaps,RaceInfo[rLaps],cmins,csecs,cmils);
							SetAllCopCheckpoint(rex,rey,rez, 8.0);
						}
						else if (gRaceEnd == 2 && LapCount[playerid] == gLaps)
						{
							if (LapCount[playerid] > 2)
							{
							    RaceTime[playerid] = Gtickcount;
							    pos2time = RaceTime[playerid] - LapTime[playerid];
							}
							else
							{
							    pos2time = RaceTime[playerid] - StartTime[playerid];
							}
							LapTime[playerid] = Gtickcount;
							new splittime = pos2time - pos1time;
							ConvertTicks(splittime);
							GetPlayerName(playerid, name, sizeof(name));
							format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~is in 2nd Place T: +%d:%d:%d", name,cmins,csecs,cmils);
							//BroadCast(COLOR_WHITE, string);
							SendTextDrawMessageToAll(string);
							ConvertTicks(pos2time);
							format(string, sizeof(string), "~w~Lap %d/%d~n~~g~2nd Place ~n~~y~T: %d:%d:%d",gLaps,RaceInfo[rLaps],cmins,csecs,cmils);
						}
						else if (gRaceEnd == 3 && LapCount[playerid] == gLaps)
						{
							if (LapCount[playerid] > 2)
							{
							    RaceTime[playerid] = Gtickcount;
							    pos3time = RaceTime[playerid] - LapTime[playerid];
							}
							else
							{
							    pos3time = RaceTime[playerid] - StartTime[playerid];
							}
							LapTime[playerid] = Gtickcount;
							new splittime = pos3time - pos1time;
							ConvertTicks(splittime);
							GetPlayerName(playerid, name, sizeof(name));
							format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~is in 3rd Place T: +%d:%d:%d", name,cmins,csecs,cmils);
                            SendTextDrawMessageToAll(string);
							//BroadCast(COLOR_WHITE, string);
							ConvertTicks(pos3time);
							format(string, sizeof(string), "~w~Lap %d/%d~n~~g~3rd Place ~n~~y~T: %d:%d:%d",gLaps,RaceInfo[rLaps],cmins,csecs,cmils);
						}
						else
						{
							format(string, sizeof(string), "~w~Lap %d/%d",LapCount[playerid],RaceInfo[rLaps]);
						}
						GameTextForPlayer(playerid, string, 5000, 1);
					}
					else if(gLaps == (RaceInfo[rLaps]+1) && gLaps > 1)
					{
						if (gRaceEnd == 1)
						{
							DisablePlayerRaceCheckpoint(playerid);
							PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
						//	if (gdebug){print("DEBUG RACE OVER");}
							RewardCalc(playerid,1000,10000);
							GetPlayerName(playerid, name, sizeof(name));
							GiveMoney(playerid, reward);
							preward = reward;
							PlayerPlayMusic(playerid);
							format(string, sizeof(string), "~g~YOU WIN~n~~w~Your winnings are ~n~~g~$%d", reward);
							GameTextForPlayer(playerid, string, 5000, 0);
							BroadCast(COLOR_WHITE, "RACENEWS: The Race Will End In 120 secs");
							RaceTime[playerid] = Gtickcount;
							pos1time = RaceTime[playerid] - StartTime[playerid];
							ConvertTicks(pos1time);
							GetPlayerName(playerid, name, sizeof(name));
							raceendtimer = SetTimer("RaceEnd", 120000, 0);
							if(RaceInfo[rBestms] > pos1time || RaceInfo[rBestms] == 0)
							{
								RaceInfo[rBestms] = pos1time;
								strmid(RaceInfo[rBest],name, 0, strlen(name), 255);
								BestTime(CurrentRace);
								format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~Just Won a StreetRace For $%d",name,reward);
								//BroadCast(COLOR_WHITE, string);
								SendTextDrawMessageToAll(string);
								format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~Has Set A New Best Time In %s T: %d:%d:%d", name,CurrentRace,cmins,csecs,cmils);
								//BroadCast(COLOR_WHITE, string);
								SendTextDrawMessageToAll(string);
							}
							else
							{
								format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~Just Won a StreetRace For $%d T: %d:%d:%d", name,reward,cmins,csecs,cmils);
								//BroadCast(COLOR_WHITE, string);
								SendTextDrawMessageToAll(string);
							}
							SetPlayerCriminal(playerid,255, "Street Racing",1,1);
							gPlayerMission[playerid] = 2;
							BetWinner(playerid,1);
							return 1;
						}
						if (gRaceEnd == 2)
						{
                            DisablePlayerRaceCheckpoint(playerid);
							PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
						//	if (gdebug){print("DEBUG RACE OVER");}
							reward = preward/2;
							GetPlayerName(playerid, name, sizeof(name));
							GiveMoney(playerid, reward);
							PlayerPlayMusic(playerid);
							format(string, sizeof(string), "~g~2nd place~n~~w~Your winnings are ~n~~g~$%d", reward);
							GameTextForPlayer(playerid, string, 5000, 6);
							RaceTime[playerid] = Gtickcount;
							pos3time = RaceTime[playerid] - StartTime[playerid];
							new splittime = pos3time - pos1time;
							ConvertTicks(splittime);
							GetPlayerName(playerid, name, sizeof(name));
							format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~Just Came 2nd a StreetRace For $%d T: +%d:%d:%d", name,reward,cmins,csecs,cmils);
							//BroadCast(COLOR_WHITE, string);
							SendTextDrawMessageToAll(string);
							return 1;
						}
						if (gRaceEnd == 3)
						{
							CheckpointReset();
							RaceCheckpointReset();
							PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
						//	if (gdebug){print("DEBUG RACE OVER");}
							reward = preward/3;
							GetPlayerName(playerid, name, sizeof(name));
							GiveMoney(playerid, reward);
							PlayerPlayMusic(playerid);
							format(string, sizeof(string), "~g~3rd place~n~~w~Your winnings are ~n~~g~$%d", reward);
							GameTextForPlayer(playerid, string, 5000, 6);
							RaceTime[playerid] = Gtickcount;
							pos2time = RaceTime[playerid] - StartTime[playerid];
							new splittime = pos2time - pos1time;
							ConvertTicks(splittime);
							GetPlayerName(playerid, name, sizeof(name));
							format(string, sizeof(string), "~g~RACENEWS: ~r~%s ~w~Just Came 3rd a StreetRace For $%d T: +%d:%d:%d", name,reward,cmins,csecs,cmils);
							//BroadCast(COLOR_WHITE, string);
							SendTextDrawMessageToAll(string);
							KillTimer(raceendtimer);
							RaceEnd();
							return 1;
						}
					}
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					SetPlayerRaceCheckpoint(playerid,0,rmx,rmy,rmz,rm2x,rm2y,rm2z, 8.0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRB;
				}
				if(RaceInfo[rLaps] == 0 && LapCount[playerid] == 1)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					SetPlayerRaceCheckpoint(playerid,0,rmx,rmy,rmz,rm2x,rm2y,rm2z, 8.0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRB;
				}
		    }
		case CHECKPOINT_SRB:
		    {
				if (GetPlayerState(playerid) != 2)
				{
					return 1;
				}
				new tmpcar = GetPlayerVehicleID(playerid);
				if(IsAPlane(tmpcar))
				{
					GameTextForPlayer(playerid, "~w~No aircraft allowed in the race", 2000, 6);
					return 1;
				}
				if(gRaceMid != 1 && LapCount[playerid] > gLaps)
				{
					gRaceMid = 1;
				}
			//	if (gdebug){print("DEBUG CHECKPOINT_SRB");}
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				SetPlayerRaceCheckpoint(playerid,0,rm2x,rm2y,rm2z,rex,rey,rez, 8.0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRC;
				gRaceMid++;
			//	if (gdebug){printf("gRaceLeader %d",gRaceLeader);}
		    }
		case CHECKPOINT_SRC:
		    {
				if (GetPlayerState(playerid) != 2)
				{
					return 1;
				}
				new tmpcar = GetPlayerVehicleID(playerid);
				if(IsAPlane(tmpcar))
				{
					GameTextForPlayer(playerid, "~w~No aircraft allowed in the race", 2000, 6);
					return 1;
				}
				if(gRaceMid2 != 1 && LapCount[playerid] > gLaps)
				{
					gRaceMid2 = 1;
				}
			//	if (gdebug){print("DEBUG CHECKPOINT_SRB");}
				PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
				SetPlayerRaceCheckpoint(playerid,0,rex,rey,rez,rsx,rsy,rsz, 8.0);
				gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRD;
				gRaceMid2++;
			//	if (gdebug){printf("gRaceLeader %d",gRaceLeader);}
		    }
		case CHECKPOINT_SRD:
		    {
				if (GetPlayerState(playerid) != 2)
				{
					return 1;
				}
				new tmpcar = GetPlayerVehicleID(playerid);
				if(IsAPlane(tmpcar))
				{
					GameTextForPlayer(playerid, "~w~No aircraft allowed in the race", 2000, 6);
					return 1;
				}
				if(gRaceFin != 1 && LapCount[playerid] > gLaps)
				{
					gRaceFin = 1;
				}
			//	if (gdebug){print("DEBUG CHECKPOINT_SRC");}
				gRaceFin++;
				if(RaceInfo[rLaps] > 0)
				{
					PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					SetPlayerRaceCheckpoint(playerid,1,rsx,rsy,rsz,rsx,rsy,rsz, 8.0);
					gPlayerCheckpointStatus[playerid] = CHECKPOINT_SRA;
					SetAllCopCheckpoint(rex,rey,rez, 8.0);
				}
				if(RaceInfo[rLaps] == 0)
				{
					if (gRaceFin == 1)
					{
						DisablePlayerCheckpoint(playerid);
						PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					//	if (gdebug){print("DEBUG RACE OVER");}
						RewardCalc(playerid,1000,10000);
						GetPlayerName(playerid, name, sizeof(name));
						GiveMoney(playerid, reward);
						preward = reward;
						PlayerPlayMusic(playerid);
      					format(string, sizeof(string), "~g~YOU WIN~n~~w~Your winnings are ~n~~g~$%d", reward);
						//RaceCheckpointReset();
      					DisablePlayerRaceCheckpoint(playerid);
						//format(string, sizeof(string), "~g~YOU WIN~n~~w~Your winnings are ~n~~g~$%d", reward);
						GameTextForPlayer(playerid, string, 5000, 0);
						BroadCast(COLOR_WHITE, "RACENEWS: The Race Will End In 120 secs");
						RaceTime[playerid] = Gtickcount;
						pos1time = RaceTime[playerid] - StartTime[playerid];
						ConvertTicks(pos1time);
						GetPlayerName(playerid, name, sizeof(name));
						raceendtimer = SetTimer("RaceEnd", 120000, 0);
						if(RaceInfo[rBestms] > pos1time || RaceInfo[rBestms] == 0)
						{
							RaceInfo[rBestms] = pos1time;
							strmid(RaceInfo[rBest],name, 0, strlen(name), 255);
							BestTime(CurrentRace);
							format(string, sizeof(string), "RACENEWS: %s Just Won a StreetRace For $%d",name,reward);
							BroadCast(COLOR_WHITE, string);
							format(string, sizeof(string), "RACENEWS: %s Has Set A New Best Time In %s T: %d:%d:%d", name,CurrentRace,cmins,csecs,cmils);
							BroadCast(COLOR_WHITE, string);
						}
						else
						{
							format(string, sizeof(string), "RACENEWS: %s Just Won a StreetRace For $%d T: %d:%d:%d", name,reward,cmins,csecs,cmils);
							BroadCast(COLOR_WHITE, string);
						}
						SetPlayerCriminal(playerid,255, "Street Racing",1,1);
						gPlayerMission[playerid] = 2;
						BetWinner(playerid,1);
					}
					else if (gRaceFin == 2)
					{
						DisablePlayerCheckpoint(playerid);
						PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					//	if (gdebug){print("DEBUG RACE OVER");}
						reward = preward/2;
						GetPlayerName(playerid, name, sizeof(name));
						GiveMoney(playerid, reward);
						PlayerPlayMusic(playerid);
                        format(string, sizeof(string), "~g~2nd place~n~~w~Your winnings are ~n~~g~$%d", reward);
						//RaceCheckpointReset();
						DisablePlayerRaceCheckpoint(playerid);
						GameTextForPlayer(playerid, string, 5000, 6);
						RaceTime[playerid] = Gtickcount;
						pos3time = RaceTime[playerid] - StartTime[playerid];
						new splittime = pos3time - pos1time;
						ConvertTicks(splittime);
						GetPlayerName(playerid, name, sizeof(name));
						format(string, sizeof(string), "RACENEWS: %s Just Came 2nd a StreetRace For $%d T: +%d:%d:%d", name,reward,cmins,csecs,cmils);
						BroadCast(COLOR_WHITE, string);
					}
					else if (gRaceFin == 3)
					{
						CheckpointReset();
						RaceCheckpointReset();
						PlayerPlaySound(playerid, 1058, 0.0, 0.0, 0.0);
					//	if (gdebug){print("DEBUG RACE OVER");}
						reward = preward/3;
						GetPlayerName(playerid, name, sizeof(name));
						GiveMoney(playerid, reward);
						PlayerPlayMusic(playerid);
						format(string, sizeof(string), "~g~3rd place~n~~w~Your winnings are ~n~~g~$%d", reward);
						DisablePlayerRaceCheckpoint(playerid);
						//RaceCheckpointReset();
						GameTextForPlayer(playerid, string, 5000, 6);
						RaceTime[playerid] = Gtickcount;
						pos2time = RaceTime[playerid] - StartTime[playerid];
						new splittime = pos2time - pos1time;
						ConvertTicks(splittime);
						GetPlayerName(playerid, name, sizeof(name));
						format(string, sizeof(string), "RACENEWS: %s Just Came 3rd a StreetRace For $%d T: +%d:%d:%d", name,reward,cmins,csecs,cmils);
						BroadCast(COLOR_WHITE, string);
						KillTimer(raceendtimer);
						RaceEnd();
					}
				}
		    }
		    }
	return 1;
}

public OnPlayerSelectedMenuRow(playerid, row)
{
	if(GetPlayerMenu(playerid) == RentCarB)
	{
		new string[256];
		switch(row)
		{
			case 0:
			{
				new hirefee = HireCost(GetPlayerVehicleID(playerid));
				if(GetPlayerVehicleID(playerid) >= 192 && GetPlayerVehicleID(playerid) <= 194)
				{
					if(BizzInfo[9][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[9][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[9][bEntcost]);
					BizzInfo[9][bTakings] = BizzInfo[9][bTakings]+BizzInfo[9][bEntcost];
					BizzInfo[9][bProd]--;
				}
				if(GetPlayerVehicleID(playerid) >= 195 && GetPlayerVehicleID(playerid) <= 197)
				{
					if(BizzInfo[8][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[8][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[8][bEntcost]);
					BizzInfo[8][bTakings] = BizzInfo[8][bTakings]+BizzInfo[8][bEntcost];
					BizzInfo[8][bProd]--;
				}
 				if(GetPlayerVehicleID(playerid) >= 198 && GetPlayerVehicleID(playerid) <= 200)
				{
					if(BizzInfo[22][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[22][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[22][bEntcost]);
					BizzInfo[22][bTakings] = BizzInfo[22][bTakings]+BizzInfo[22][bEntcost];
					BizzInfo[22][bProd]--;
				}
				if(GetPlayerVehicleID(playerid) >= 201 && GetPlayerVehicleID(playerid) <= 203)
				{
					if(BizzInfo[23][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[23][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[23][bEntcost]);
					BizzInfo[23][bTakings] = BizzInfo[23][bTakings]+BizzInfo[23][bEntcost];
					BizzInfo[23][bProd]--;
				}
				if(GetPlayerVehicleID(playerid) >= 204 && GetPlayerVehicleID(playerid) <= 206)
				{
					if(BizzInfo[37][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[37][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[37][bEntcost]);
					BizzInfo[37][bTakings] = BizzInfo[37][bTakings]+BizzInfo[37][bEntcost];
					BizzInfo[37][bProd]--;
				}
				if(GetPlayerVehicleID(playerid) >= 207 && GetPlayerVehicleID(playerid) <= 209)
				{
					if(BizzInfo[36][bProd] == 0)
					{
						GameTextForPlayer(playerid, "~r~Out Of Stock", 5000, 1);
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					if (GetPlayerMoney(playerid) <  BizzInfo[36][bEntcost])
					{
						SendClientMessage(playerid, COLOR_GRAD2, "   You dont have that much cash");
						TogglePlayerControllable(playerid, 1);
						RemovePlayerFromVehicle(playerid);
						return 1;
					}
					GiveMoney(playerid,-BizzInfo[36][bEntcost]);
					BizzInfo[36][bTakings] = BizzInfo[36][bTakings]+BizzInfo[36][bEntcost];
					BizzInfo[36][bProd]--;
				}
				if(HireCar[playerid] != -1)
				{
					gCarLock[HireCar[playerid]] = 0;
					UnLockCar(HireCar[playerid]);
				}
				HireCar[playerid] = GetPlayerVehicleID(playerid);
				OnPropUpdate();
				PlayerPlaySound(playerid, 1052, 0.0, 0.0, 0.0);
				format(string, sizeof(string), "~w~We hope you enjoy ~n~the use of this car~n~To lock or unlock your car~n~type ~g~/lock~n~~w~please drive safely",hirefee);
				TogglePlayerControllable(playerid, 1);
				GameTextForPlayer(playerid, string, 5000, 3);
			}
            case 1:
			{
                TogglePlayerControllable(playerid, 1);
				RemovePlayerFromVehicle(playerid);
			}
				//next
		}
	}

	if (GetPlayerMenu(playerid) == RentCarC)
	{
		switch(row)
		{
			case 0:
			{
                TogglePlayerControllable(playerid, 1);
			}
            case 1:
			{
                TogglePlayerControllable(playerid, 1);
				RemovePlayerFromVehicle(playerid);
			}
				//next
		}
	}
	return 1;
}

public OnPlayerExitedMenu(playerid)
{
    if(GetPlayerVehicleID(playerid) >= 192 && GetPlayerVehicleID(playerid) <= 209)
	{
		RemovePlayerFromVehicle(playerid);
	}
	TogglePlayerControllable(playerid, 1);
	return 1;
}

public OnDialogResponse(playerid, dialogid, response, listitem, inputtext[])
{
//	new sendername[MAX_PLAYER_NAME];
	new string[128];
	new tmp2[256];
	if(dialogid == signindial)
	{
	    new tmppass[64];
		if(!response)
		{
			if(accountplay)
			{
				if (gdebug >=1){printf("accountplay");}
				return 1;
			}
			//format(sendername, sizeof(sendername), "Player[%d]", playerid);
			//SetPlayerName(playerid, sendername);
			gPlayerResponse[playerid] = 1;
			return 0;
		}
	    if(!strlen(inputtext))
	    {
	        format(string,sizeof(string),"Password does not match your name!\n\nPut correctly password");
        	ShowPlayerDialog(playerid,signindial,DIALOG_STYLE_INPUT,"Login Plase!",string,"Login","Cancel");
			return 1;
		}
  		strmid(tmppass, inputtext, 0, strlen(inputtext), 255);
		Encript(tmppass);
		if (gdebug){printf("DEBUG enterd %s", tmppass);}
		OnPlayerLogin(playerid,tmppass);
		gPlayerResponse[playerid] = 1;
	}
	else if (dialogid == signupdial)
	{
		if(!response)
		{
			if(accountplay)
			{
				if (gdebug >=1){printf("accountplay");}
				return 1;
			}
			gPlayerResponse[playerid] = 1;
			return 0;
		}
	    if(!strlen(inputtext))
	    {
	        format(string,sizeof(string),"\nContiune to register!");
        	ShowPlayerDialog(playerid,signupdial,DIALOG_STYLE_INPUT,"Register Plase!",string,"Register","Cancel");
			return 1;
		}
		if (strlen(inputtext) > 12)
		{
	        format(string,sizeof(string),"\nPassword must be less than 12 characters!");
        	ShowPlayerDialog(playerid,signupdial,DIALOG_STYLE_INPUT,"Register Plase!",string,"Register","Cancel");
			return 1;
		}
		format(tmp2, sizeof(tmp2), "/register %s", inputtext);
	    OnPlayerCommandText(playerid, tmp2);
	    gPlayerResponse[playerid] = 1;
	}
	return 1;
}

public OnPlayerInteriorChange(playerid, newinteriorid, oldinteriorid)
{
	new x = 0;
	while(x!=MAX_PLAYERS)
	{
	    if( IsPlayerConnected(x) &&	GetPlayerState(x) == PLAYER_STATE_SPECTATING &&
			gSpectateID[x] == playerid && gSpectateType[x] == SPEC_TYPE_PLAYER )
   		{
   		    SetPlayerInterior(x,newinteriorid);
		}
		x++;
	}
	PlayerInfo[playerid][pInt] = newinteriorid;
}

public SendReportMessage(color, string[])
{
	if (gdebug >= 1){printf("DEBUG SendReportMessage()");}
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1 && PlayerInfo[i][pAdmin] > 101)
		{
			SendClientMessage(i, color, string);
		}
	}
}

public ADBy(playerid, killerid, reason)
{
	if (!IsPlayerConnected(playerid)) return;
	if (!IsPlayerConnected(killerid)) return;
	if (gDriveBy[playerid] > 0) gDriveBy[playerid] = 0;
	new dbname[MAX_PLAYER_NAME];
	new killerstate = GetPlayerState(killerid);
	if(IsPlayerInAnyVehicle(killerid) && (!IsPlayerInAnyVehicle(playerid)) && (killerstate == PLAYER_STATE_DRIVER) && (reason != WEAPON_VEHICLE))
	{
		gDriveBy[killerid]++;
  		if((gDriveBy[killerid] < MAX_DRIVEBY) && (gDriveBy[killerid] > 2))
		{
    		SendClientMessage(killerid,COLOR_RED,"Don't drive-by abuse! It's supposed to destroy cars only!");
		}
		if(gDriveBy[killerid] >= MAX_DRIVEBY)
		{
			SendClientMessage(killerid,COLOR_RED,"You were kicked for drive-by abuse!");
			Kick(killerid);
			gDriveBy[killerid]= 0;
            GetPlayerName(killerid, dbname, sizeof(dbname));
        	new tempstr[MAX_STRING];
        	format(tempstr, sizeof (tempstr), "*** %s has been kicked for drive-by abuse!", dbname);
        	SendClientMessageToAll(COLOR_RED,tempstr);
		}
	}
	else
	{
		if(gDriveBy[killerid] > 0)
		{
			gDriveBy[killerid]--;
		}
	}
	return;
}

public LottoTime()
{
	new string[256];
	if(gLottoTime == 0)
	{
		gLotto = random(250)+1; // to test, should be 1 to 25
		//gLotto = random(2)+1; // to test, should be 1 to 2
		//format(string,sizeof(string),"Lottery: Winning lottery number is %d Thank you for playing!",gLotto);
		//SendClientMessageToAll(COLOR_YELLOW,string);
		format(string,sizeof(string),"~y~Lottery: ~w~Winning lottery number is ~r~%d ~w~Thank you for playing!",gLotto);
		SendTextDrawMessageToAll(string);
		for(new i = 0; i < MAX_PLAYERS; i++)
		{
			if(gLottoTicket[i] == gLotto)
			{
				gLottoWinners++;
				gLottoWinner[i] = 1;
			}
		}
		if(gLottoWinners == 0)
		{
			//format(string,sizeof(string),"Resault: No winners. Pool now %d",gLottoPool+1);
			//SendClientMessageToAll(COLOR_LIGHTBLUE,string);
			format(string,sizeof(string),"~b~Resault: ~w~No winners. Pool now ~r~%d",gLottoPool+1);
			SendTextDrawMessageToAll(string);
		}
		new winnername[24];
		if(gLottoWinners>0)
		{
			if(gLottoWinners>1){ gLottoPool=gLottoPool/gLottoWinners; }
			for(new i=0;i<MAX_PLAYERS;i++){
				if(gLottoWinner[i]==1){
					GetPlayerName(i,winnername,sizeof(winnername));
					//format(string,sizeof(string),"%s has won %d exp in Sanders' Lottery!",winnername,gLottoPool);
					//SendClientMessageToAll(COLOR_LIGHTBLUE,string);
					format(string,sizeof(string),"~y~%s has won ~r~%d exp in Sanders' Lottery!",winnername,gLottoPool);
					SendTextDrawMessageToAll(string);
					PlayerInfo[i][pExp]=PlayerInfo[i][pExp]+gLottoPool;
					PlayerInfo[i][pLottoXP]=gLottoPool;
				}
			}
			gLottoPool = 0;
		}
		for(new i = 0; i < MAX_PLAYERS; i++)
		{
			gLottoWinner[i] = 0;
			gLottoTicket[i] = 0;
		} //resets the tickets for everyone after each drawing.
		gLottoTime=9;
		gLottoPool++; //give a starting XP for next lotto
		gLottoWinners=0;
	}
	else{
		/*format(string,sizeof(string),"Lotto coming up in %d minutes! Type /lotto [number] to purchase a ticket!",gLottoTime);
		SendClientMessageToAll(COLOR_YELLOW,string);*/ //Re-Enable to let ppl know about it
		gLottoTime--;//I figure this will get rid of 1 minute
		//gLottoPool++;//Adds another XP to the pot ...INSANE!!! that means each one would be worth at least 9 XP!
	}
}

public OnPlayerDropBriefCase(playerid)
{
	if (gdebug >=1){printf("OnPlayerDropBriefCase %d",playerid);}
	new string[128];
	new dname[MAX_PLAYER_NAME];
	GetPlayerName(playerid, dname, sizeof(dname));
	format(string, sizeof(string), ":. %s Dropped The Briefcase! .:", dname);
	BroadCast(COLOR_RED, string);
	GetPlayerPos(playerid, cwx, cwy, cwz);
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if (IsPlayerConnected(i))
		{
				SetPlayerCheckpoint(i,cwx,cwy,cwz, 1.0);
				gPlayerCheckpointStatus[i] = CHECKPOINT_BFPICKUP;
		}
	}
	Briefcasepickup=CreatePickup(1210,3,cwx,cwy,cwz);
	MissionActive = 15;
	if (gdebug){print("DEBUG MissionActive = 15;");}
	return 1;
}

public OnPlayerPickUpPickup(playerid, pickupid)
{
	if(pickupid==Briefcasepickup)
	{
	DestroyPickup(Briefcasepickup);
	}
}

public Endround()
{
	new string[256];
	cd_seconds = 30;
    Countdown = 1;
    cd_timer = SetTimer("cd_endround",1000,1);
	SendClientMessageToAll(COLOR_RED,"AdmCmd: Server Will Restart Soon.");
	format(string,sizeof(string),"~B~Server Restart In 30");
	SetTimer("StopMusic", 6000, 0);
	GameTextForAll(string,5000,0);
}

public cd_endround()
{
    if(cd_seconds <= 0)
    {
        GameModeInitExitFunc();
        Countdown = 0;
        KillTimer(cd_timer);
    }
    else
    {
        new output[10];
        format(output, sizeof(output), "~r~%d", cd_seconds);
        GameTextForAll(output,3000,6);
    }
    cd_seconds = cd_seconds - 1;
    return;
}

public RefuseMiniJob(playerid)
{
	new infostring[128];//256
    new taxiname[MAX_PLAYER_NAME];
    GetPlayerName(playerid, taxiname, sizeof(taxiname));
	format(infostring, sizeof(infostring),"~r~You have refused ~w~to work taxi driver~n~ You brought ~r~%d~w~ passangers.", gTaxiLoad[playerid]);
	GameTextForPlayer(playerid, infostring, 3000, 4);
   	format(infostring, sizeof(infostring),"INFO: ~y~%s ~w~is no longer a ~y~taxi ~w~driver", taxiname);
	SendTextDrawMessageToAll(infostring);
	gTaxiDriver[playerid] = 0;
	for (new i = 0; i < MAX_PLAYERS; i++)
	{
		if  (gTaxiPas[i] == 1)
		{
			new total = gTaxiPrice[i];
			new pasvehid = GetPlayerVehicleID(i);
			playerid = gTaxiOwner[i];
			format(infostring, sizeof(infostring),"~w~You pay to ~g~%s ~n~~r~$%d~w~ for the ~r~taxi ~w~ride", taxiname, total);
			GameTextForPlayer(i, infostring, 3000, 4);
			format(infostring, sizeof(infostring),"~w~You get ~r~$%d~w~ ~n~for the ~r~taxi~w~ ride", total);
			GameTextForPlayer(playerid, infostring, 3000, 4);
			GiveMoney(i,-total);
			GiveMoney(playerid, total/2);
			gTaxiPas[i] = 0;
			gTaxiOwner[i] = -1;
			gTaxiLoad[playerid]--;
			gTaxiTravel[i] = 0;
            if(pasvehid >= 244 && pasvehid <= 246)
			{
				SBizzInfo[15][sbTakings] = SBizzInfo[15][sbTakings]+total/2;
			}
            else if(pasvehid >= 247 && pasvehid <= 249)
			{
				SBizzInfo[33][sbTakings] = SBizzInfo[33][sbTakings]+total/2;
			}
            else if(pasvehid >= 250 && pasvehid <= 253)
			{
				SBizzInfo[51][sbTakings] = SBizzInfo[51][sbTakings]+total/2;
			}
		}
	}
    gTaxiLoad[playerid] = 0;
}

stock AcceptMiniJob(playerid)
{
	new infostring[128];//256
	new drivername[MAX_PLAYER_NAME];
	GetPlayerName(playerid, drivername, sizeof(drivername));
	format(infostring, sizeof(infostring),"INFO: ~y~%s ~w~now is ~y~taxi ~w~driver", drivername);
	SendTextDrawMessageToAll(infostring);
    gTaxiDriver[playerid] = 1;
}

public OnPlayerKeyStateChange(playerid, newkeys, oldkeys)
{
    //if (gdebug >=1){printf("OnPlayerKeyStateChange %d %d %d",playerid, newkeys, oldkeys);}
	new plstate = GetPlayerState(playerid);
	switch (plstate)
	{
	    case PLAYER_STATE_DRIVER:
	    {
	        new Float:x, Float:y, Float:z;
	        new vehicleid = GetPlayerVehicleID(playerid);
	        new modelid = GetVehicleModel(vehicleid);
         	if((newkeys & KEY_SUBMISSION) && (modelid == 420))
			{
				if(gTaxiDriver[playerid] == 0)
				{
     				AcceptMiniJob(playerid);
				}
				else
				{
					RefuseMiniJob(playerid);
				}
			}
		   	if ((newkeys & KEY_FIRE) && (gSpeedBoost[playerid] == 1))
			{
			    new Float:speed;
			    GetVehicleSpeed(vehicleid, speed);
			    SetVehicleSpeed(vehicleid, speed+50.0);
			}
			if (newkeys & KEY_ANALOG_UP)
			{
	       		if ((IsPlayerAdmin(playerid)) || PlayerInfo[playerid][pAdmin] >= 103)
				{
		            RepairVehicle(GetPlayerVehicleID(playerid));
		        }
			}
   			if (newkeys & KEY_SECONDARY_ATTACK)
			{
				if (modelid == 283)
				{
				    //RemovePlayerFromVehicle(playerid);
				    GetVehiclePos(283, x, y, z);
  					SetPlayerPos(playerid, x, y+0.5, z+0.5);
				    SetCameraBehindPlayer(playerid);
				}
			}
	    }
		case PLAYER_STATE_ONFOOT:
	    {
	        new Float:x, Float:y, Float:z;
			if ((newkeys & KEY_JUMP) && (gJumpBoost[playerid] == 1))
			{
       			//GetPlayerVelocity(playerid, x, y, z);
				SetPlayerVelocity(playerid, x, y, z+4);
			}
			if (newkeys & KEY_SECONDARY_ATTACK)
			{
				if (PlayerToVehicle(4.0, playerid, 283))
				{
				    PutPlayerInVehicle(playerid, 283, 0);
				}
				for(new i = 0; i < sizeof(HouseInfo); i++)
				{
					if (PlayerToPoint(2, playerid,HouseInfo[i][hEntrancex], HouseInfo[i][hEntrancey], HouseInfo[i][hEntrancez]))
					{
						if(PlayerInfo[playerid][pPhousekey] == i || HouseInfo[i][hLock] == 0)
						{
							SetPlayerInterior(playerid,HouseInfo[i][hInt]);
							SetPlayerVirtualWorld(playerid,HouseInfo[i][hWorld]);
							SetPlayerPos(playerid,HouseInfo[i][hExitx],HouseInfo[i][hExity],HouseInfo[i][hExitz]);
							GameTextForPlayer(playerid, "~w~Welcome Home", 5000, 1);
							PlayerInfo[playerid][pInt] = HouseInfo[i][hInt];
							PlayerInfo[playerid][pLocal] = i;
						}
						else
						{
							GameTextForPlayer(playerid, "~r~Locked", 5000, 5);
						}
					}
				}
			}
			if ((newkeys & KEY_SPRINT) && (gSwimBoost[playerid] == 1))
			{
			    GetPlayerPos(playerid, x, y, z);
			    if (z <= -0.5)
			    {
					SetPlayerSpeed(playerid, 5.0);
				}
			}
	    }
	}
	return 1;
}
	
public OnGameModeExit()
{
	new nickfix[256];
    for(new i = 0; i < MAX_PLAYERS; i++)
	{
	    if (IsPlayerConnected(i))
	    {
	    	GetPlayerName(i,nickfix,sizeof(nickfix));
		    if(strfind(nickfix,"[AFK]",true,0)!=-1)
	    	{
	    	   strdel(nickfix, 0, 5);
			   SetPlayerName(i, nickfix);
	    	}

		}
	}
	for(new i = 0; i < MAX_CHAT_LINES; i++)
	{
	    TextDrawDestroy(gSanNews[i]);
	}
	GameModeExit();
	return 1;
}

public PingKick()
{
	for(new i = 0; i < MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(GetPlayerPing(i) > 600)
			{
			   pingkick[i]++;
			   if(pingkick[i] > 10)
			   {
			      Kick(i);
			   }
			}
			else
			{
			   pingkick[i] = 0;
			}
		}
	}
	return 1;
}

public AdminCountdown()
{
    if(cd_seconds <= 0)
    {
        GameTextForAll("~g~GO GO GO!",3000,4);
        Countdown = 0;
        KillTimer(cd_timer);
        cdto = 0;
    }
    else
    {
        new output[10];
        format(output, sizeof(output), "%d", cd_seconds);
        GameTextForAll(output,1001,4);
    }
    cd_seconds = cd_seconds - 1;
    return;
}

public OnPlayerPrivmsg(playerid, recieverid, text[])
{
		if(Mute[playerid] == 1)
		{
			SendClientMessage(playerid, TEAM_CYAN_COLOR, "You cannot speak, you have been silenced");
			return 0;
		}
	new string[256];
	new PlayerName[MAX_PLAYER_NAME];
	new RecName[MAX_PLAYER_NAME];
	GetPlayerName(recieverid, RecName, sizeof(RecName));
	GetPlayerName(playerid, PlayerName, sizeof(PlayerName));
	if(IsPlayerConnected(recieverid) && IsPlayerConnected(playerid))
	{
		format(string, sizeof(string), "AdmPM: PM from %s  %s: %s", PlayerName, RecName, text);
	 	for(new i = 0; i < MAX_PLAYERS; i++)
		{
			if(IsPlayerConnected(i) && PlayerInfo[i][pAdmin] >= 106 && i != playerid && i != recieverid)
			{
			    if(PlayerInfo[i][pPMs] == 1)
			    {
					SendClientMessage(i,  TEAM_CYAN_COLOR, string);
				}
			}
		}
	    if(recieverid != playerid)
	    {
			GetPlayerName(playerid, PlayerName, sizeof(PlayerName));
			GetPlayerName(recieverid, RecName, sizeof(RecName));
			//GameTextForPlayer(playerid, "~n~~n~~n~~n~~n~~n~~n~~n~~n~~y~PM ~r~SENT~y~.", 3000, 3);
			//GameTextForPlayer(recieverid, "~n~~n~~n~~n~~n~~n~~n~~n~~n~~y~ PM ~r~RECEIVED~y~.", 3000, 3);
			PlayerPlaySound(playerid,1057,0.0,0.0,0.0);
			PlayerPlaySound(recieverid,1057,0.0,0.0,0.0);
			format(string, sizeof(string), "# PM from %s(%i): %s", PlayerName, playerid, text);
			SendClientMessage(recieverid, TEAM_CYAN_COLOR, string);
			format(string, sizeof(string), "# PM to %s(%i): %s", RecName, recieverid, text);
			SendClientMessage(playerid, TEAM_CYAN_COLOR, string);
		}
	}
	else
	{
		format(string, sizeof(string), " %i is not an active player.", recieverid);
		SendClientMessage(playerid, TEAM_CYAN_COLOR, string);
	}
	return 0;

}

public ResetPlayerMessage(playerid)
{
    Message[playerid] = 0;
}

/*public PenTimeCheck()
{
for (new i = 0; i < MAX_PLAYERS; i++){
     if(IsPlayerConnected(i) && gPublicEnemy == i)
     {
	          if(gPensec[i] == 0)
	          {
	             gPenmin[i]--;
                 gPensec[i] = 59;
			  }
			  else
			  {
			     gPensec[i]--;
			  }
              PenText(i);
    }
    }
return 1;
}*/

/*public PenTimeCheck()
{
for (new i = 0; i < MAX_PLAYERS; i++)
{
     if(IsPlayerConnected(i) && gPublicEnemy == i)
     {
         if(gPensec[i] > 0)
         {
             gPensec[i]--;
         }
         else
         {
             gPensec[i] = 59;
         }
         PenText(i);
      }
      if(gPensec[i] == 0)
      {
          gPenmin[i]--;
      }
}
return 1;
}*/

public FuelText(playerid)
{
 	if (gFuel[playerid] == 0)
	{
	    new tmp[255];
	    new v = GetPlayerVehicleID(playerid);
		DistroyFuel(playerid);
	    format(tmp, sizeof(tmp), "FUEL:%d",vFuel[v]);
        TextDrawFuel[playerid] = TextDrawCreate(546.000000,23.000000,tmp);//501.000000,99.000000
        TextDrawAlignment(TextDrawFuel[playerid],0);
        TextDrawBackgroundColor(TextDrawFuel[playerid],0x000000ff);
        TextDrawFont(TextDrawFuel[playerid],3);
        TextDrawLetterSize(TextDrawFuel[playerid],0.599999,2.100000);
        TextDrawColor(TextDrawFuel[playerid],0xffffffff);
        TextDrawSetOutline(TextDrawFuel[playerid],1);
        TextDrawSetProportional(TextDrawFuel[playerid],1);
        TextDrawSetShadow(TextDrawFuel[playerid],1);
     	TextDrawShowForPlayer(playerid,TextDrawFuel[playerid]);
     	FuelUse[playerid] = 1;
    }
    return 1;
}

public DistroyFuel(playerid)
{
       if(FuelUse[playerid] == 1)
       {
	       TextDrawDestroy(TextDrawFuel[playerid]);
	       FuelUse[playerid] = 0;
       }
       return 1;
}

public CurrentFuel(playerid)
{
	for(new i = 0; i<MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
			if(GetPlayerState(i) == 2)
			{
			    //new str[36];
			    //new tmp[255];
			    new v = GetPlayerVehicleID(i);
	      		if(!IsAPlane(v) && !IsABike(v) && !IsATrain(v))
	      		{
		        	GetPlayerPos(i, TelePos[i][3], TelePos[i][4], TelePos[i][5]);
					if(TelePos[i][5] > 550.0)
					{
						TelePos[i][0] = 0.0;
						TelePos[i][1] = 0.0;
					}
					if(TelePos[i][0] != 0.0)
					{
						new Float:xdist = TelePos[i][3]-TelePos[i][0];
						new Float:ydist = TelePos[i][4]-TelePos[i][1];
						new Float:sqxdist = xdist*xdist;
						new Float:sqydist = ydist*ydist;
						new Float:distance = (sqxdist+sqydist)/31;
						if(distance > 0)
						{
						    if (distance < 60)
						    {
				            	vFuel[v]--;
				            }
				            else
				            {
				                vFuel[v]-=2;
				            }
				            //format(tmp, sizeof(tmp), "FUEL:%d",vFuel[v]);
				            if (vFuel[v] >= 0)
				            {
				            	FuelText(i);
				            }
						}
					}
				    /*if(vFuel[v] > 60 && vFuel[v] > 60)
					{
						format(str,sizeof(str),"~n~~n~~n~~n~~n~~n~~b~Fuel:~g~ %d%%",vFuel[v]);
						GameTextForPlayer(i,str,1200,5);
					}
					if(vFuel[v] < 60 && vFuel[v] > 30)
					{
						format(str,sizeof(str),"~n~~n~~n~~n~~n~~n~~b~Fuel:~y~ %d%%",vFuel[v]);
						GameTextForPlayer(i,str,1200,5);
					}
					if(vFuel[v] < 30 && vFuel[v] > 0)
					{
						format(str,sizeof(str),"~n~~n~~n~~n~~n~~n~~b~Fuel:~r~ %d%%",vFuel[v]);
						GameTextForPlayer(i,str,1200,5);
					}*/
					if(vFuel[v] < 1)
					{
						SendClientMessage(i, COLOR_RED, "The fuel tank is empty. Go to the nearest gas station and type /buygas");
						RemovePlayerFromVehicle(i);
						vFuel[v] = 0;
					}
				}
			}
		}
	}
}

/*public FillFuel()
{
	for(new i = 0; i < MAX_PLAYERS; i++) if(IsPlayerConnected(i))
	{
	    if(GetPlayerState(i) == 2)
	    {
	        new v = GetPlayerVehicleID(i);
	        if(vFuel[v] > 0)
			{
				vFuel[v]-=1;
			}
			else
			{
				RemovePlayerFromVehicle(i);
				for(new j = 0; j < MAX_PLAYERS; j++)
				{
					SetVehicleParamsForPlayerEx(v,j,0,1);
				}
			}
	    }
	}
}*/

public OnVehicleSpawn(vehicleid)
{
    vFuel[vehicleid] = random(50)+50;
	return 1;
}

public OnVehicleDeath(vehicleid, killerid)
{
    vFuel[vehicleid] = 100;
	return 1;
}

public VehStateCheck()
{
	for(new i = 0; i < MAX_PLAYERS; i++)
	{
		if (IsPlayerInAnyVehicle(i) && IsPlayerConnected(i) && VehStats[i] == 2)
	    {
			new Float:health,vehicleid = GetPlayerVehicleID(i),string[256],Float:value,Float:distance,Float:x,Float:y,Float:z;
   			GetPlayerPos(i, x, y, z);
            distance = floatsqroot(floatpower(floatabs(floatsub(x,VehPos[i][vsX])),2)+floatpower(floatabs(floatsub(y,VehPos[i][vsY])),2)+floatpower(floatabs(floatsub(z,VehPos[i][vsZ])),2));
            value = floatround(distance * 11000);
			GetVehicleHealth(vehicleid,health);
			if (health >= 900 && health <= 1000)
			{
				format(string, sizeof(string), "~n~~n~~n~~n~~n~~n~~n~~n~~r~Vehicle: ~g~%s~n~~r~Health: ~g~~h~Fine(%.0f)~n~~r~MPH: ~g~%d ~b~~h~~h~/ ~r~KPH: ~g~%d",VehicleName[GetVehicleModel(vehicleid)-400],health,floatround(value/2200),floatround(value/1400));
				GameTextForPlayer(i,string,850,3);
			}
			else if (health >= 600 && health < 900)
			{
				format(string, sizeof(string), "~n~~n~~n~~n~~n~~n~~n~~n~~r~Vehicle: ~g~%s~n~~r~Health: ~y~Good(%.0f)~n~~r~MPH: ~g~%d ~b~~h~~h~/ ~r~KPH: ~g~%d",VehicleName[GetVehicleModel(vehicleid)-400],health,floatround(value/2200),floatround(value/1400));
				GameTextForPlayer(i,string,850,3);
			}
			else if (health >= 301 && health < 600)
			{
				format(string, sizeof(string), "~n~~n~~n~~n~~n~~n~~n~~n~~r~Vehicle: ~g~%s~n~~r~Health: ~r~~h~~h~Bad(%.0f)~n~~r~MPH: ~g~%d ~b~~h~~h~/ ~r~KPH: ~g~%d",VehicleName[GetVehicleModel(vehicleid)-400],health,floatround(value/2200),floatround(value/1400));
				GameTextForPlayer(i,string,850,3);
			}
			else if (health >= 0 && health < 301)
			{
				format(string, sizeof(string), "~n~~n~~n~~n~~n~~n~~n~~n~~r~Vehicle: ~g~%s~n~~r~Health: ~r~~h~boom~n~~r~MPH: ~g~%d ~b~~h~~h~/ ~r~KPH: ~g~%d",VehicleName[GetVehicleModel(vehicleid)-400],floatround(value/2200),floatround(value/1400));
				GameTextForPlayer(i,string,850,3);
			}
			VehPos[i][vsX] = x;
            VehPos[i][vsY] = y;
            VehPos[i][vsZ] = z;
    	}
	}
	return 1;
}

public WantedLevel()
{
	for (new i = 0; i < MAX_PLAYERS; i++)
	{
		if (IsPlayerConnected(i))
		{
			new wl = GetPlayerWantedLevel(i);
			PlayerInfo[i][pWantedlevel] = wl;
			if (wl <= 1)
			{
				SetPlayerWantedLevel(i, 0);
				PlayerInfo[i][pWantedlevel] = 0;
			}
		}
	}
}

IsNumeric(const string[])
{
	for (new i = 0, j = strlen(string); i < j; i++)
	{
	    if (string[i] > '9' || string[i] < '0') return 0;
	}
	return 1;
}

public Fuck(playerid)
{
			SetPlayerPos(playerid,-1119.63,-1908.58,75.99);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 1000, 0);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 2000, 1);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 3000, 2);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 4000, 3);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 5000, 4);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 6000, 5);
			GameTextForPlayer(playerid, "!$$%&'()*+,-./01~!@#$^&*()_-+={[}]:;'<,>.?/", 7000, 6);
}

public OnVehiclePaintjob(playerid, vehicleid, paintjobid)
{
	new string[256];
	format(string,sizeof(string),"Vehicle PaintJob %d",paintjobid);
	for(new i=0;i<MAX_PLAYERS;i++)
	{
	    if(IsPlayerConnected(i) && IsPlayerInAnyVehicle(i) && GetPlayerVehicleID(i) == vehicleid)
		{
            ChangeVehiclePaintjob(vehicleid, paintjobid);
			SendClientMessage(i,COLOR_LIGHTBLUE,string);
		}
	}
//	SendClientMessage(0,COLOR_LIGHTBLUE,string);
	return 1;
}


public OnVehicleRespray(playerid, vehicleid, color1, color2)
{
	new string[256];
	format(string,sizeof(string),"Vehicle Respray Colors %d %d",color1,color2);
	for(new i=0;i<MAX_PLAYERS;i++)
	{
	    if(IsPlayerConnected(i) && IsPlayerInAnyVehicle(i) && GetPlayerVehicleID(i) == vehicleid)
		{
			ChangeVehicleColor(vehicleid, color1, color2);
			SendClientMessage(i,COLOR_BLUE,string);
		}
	}
//	SendClientMessage(0,COLOR_BLUE,string);
	return 1;
}

public OnVehicleMod(playerid, vehicleid, componentid)
{
	new string[256];
	format(string,sizeof(string),"Vehicle componentid %d",componentid);
	for(new i=0;i<MAX_PLAYERS;i++)
	{
	    if(IsPlayerConnected(i) && IsPlayerInAnyVehicle(i) && GetPlayerVehicleID(i) == vehicleid)
		{
			AddVehicleComponent(vehicleid, componentid);
			SendClientMessage(i,COLOR_BLUE,string);
		}
	}
//	printf("Component added %d",componentid);
	return 1;
}

stock SetVehicleTyre(vehicleid, bool:status) // By relax
{
    new panels, doors, lights, tires;
    GetVehicleDamageStatus(vehicleid, panels, doors, lights, tires);
    if(status == true)
	{
		tires = encode_tires(0, 0, 0, 0);
	}
	else
	{
	    tires = encode_tires(1, 1, 1, 1);
	}
    UpdateVehicleDamageStatus(vehicleid, panels, doors, lights, tires);
    return 1;
}

stock SetVehicleLights(vehicleid, bool:status) // By relax
{
    new panels, doors, lights, tires;
    GetVehicleDamageStatus(vehicleid, panels, doors, lights, tires);
    if(status == true)
	{
		lights = encode_lights(0, 0, 0, 0);
	}
	else
	{
	    lights = encode_lights(1, 1, 1, 1);
	}
    UpdateVehicleDamageStatus(vehicleid, panels, doors, lights, tires);
    return 1;
}

stock encode_lights(light1, light2, light3, light4)
{
    return light1 | (light2 << 1) | (light3 << 2) | (light4 << 3);
}

stock encode_tires(tire1, tire2, tire3, tire4)
{
	return tire1 | (tire2 << 1) | (tire3 << 2) | (tire4 << 3);
}

/*public CheckWeapons()
{
	for(new i = 0; i < MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i))
		{
		    new weapon;
		    new kstring[128];
		    new cheatname[MAX_PLAYER_NAME];
		    weapon = GetPlayerWeapon(i);
		    if(AllowSpecWeapon[i] == 0)
		    {
		    switch (weapon)
		    {
		        case 34:
		        {
                    GetPlayerName(i, cheatname, sizeof(cheatname));
                    format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has Sniper Gun",i,cheatname);
				    ABroadCast(COLOR_YELLOW,kstring,1);
                    //BanEx(i,"Sniper Cheat");
				}
				case 35:
				{
				    GetPlayerName(i, cheatname, sizeof(cheatname));
				    format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has RPG System",i,cheatname);
				    ABroadCast(COLOR_YELLOW,kstring,1);
                    //BanEx(i,"RPG System Cheat");
				}
				case 36:
				{
				    GetPlayerName(i, cheatname, sizeof(cheatname));
				    format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has Bazooka",i,cheatname);
				    ABroadCast(COLOR_YELLOW,kstring,1);
	                //BanEx(i,"Bazooka Cheat");
				}
				case 37:
				{
				     GetPlayerName(i, cheatname, sizeof(cheatname));
				     format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has Flamemover",i,cheatname);
				     ABroadCast(COLOR_YELLOW,kstring,1);
	                 //BanEx(i,"Flamemover Cheat");
				}
				case 38:
				{
				    GetPlayerName(i, cheatname, sizeof(cheatname));
				    format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has Minigun",i,cheatname);
				    ABroadCast(COLOR_YELLOW,kstring,1);
                    //BanEx(i,"Minigun Cheat");
				}
				case 40:
				{
				    GetPlayerName(i, cheatname, sizeof(cheatname));
				    format(kstring, sizeof(kstring), "WARNING: Player [%d]%s Has Bomb Place",i,cheatname);
				    ABroadCast(COLOR_YELLOW,kstring,1);
	                //BanEx(i,"Bomb Place Cheat");
				}
		}//switch
	   }//if
	  }
	}//for
	return 1;
}*/

public AntiImmortal()
{
  	new Float:health;
  	new kstring[128];
  	for(new i = 0; i < MAX_PLAYERS; i++)
  	{
  	    if (IsPlayerConnected(i) == 1)
  	    {
	      	GetPlayerHealth(i, health);
		  	if(health > 150)
		  	{
		     	if((gHealPlayer[i] == 0) && (god[i] == 0))
	         	{
	            	new cheatname[MAX_PLAYER_NAME];
					GetPlayerName(i, cheatname, sizeof(cheatname));
					format(kstring, sizeof(kstring), "WARNING: Player %s[%d] Has %.1f Health", cheatname, i, health);
					ABroadCast(COLOR_RED,kstring,1);
					SetPlayerHealth(i, 0.0);
			 	}
		  	}
		}
   	}
   	return 1;
}

stock OnPlayerAdvertisement()
{
	for(new i = 0; i <= MAX_PLAYERS; i++)
	{
		if(IsPlayerConnected(i) == 1)
		{
			GameTextForPlayer(i, "~y~Visit web site ~r~www.pen1.com", 500, 1);
			AddSec--;
			if(AddSec == 0)
			{
			   KillTimer(advertimer);
			}
		}
	}
}

stock KickEx(kickerid, reason[])
{
	new string[128];
	new giveplayer[MAX_PLAYER_NAME];
	GetPlayerName(kickerid, giveplayer, sizeof(giveplayer));
	format(string, sizeof string,"%s has been kicked (Reason: %s)", giveplayer, reason);
	//SendClientMessageToAll(COLOR_RED, string);
	print(string);
	Kick(kickerid);
}

stock GetUserName(playerid)
{
    new string[MAX_PLAYER_NAME];
    GetPlayerName(playerid, string, sizeof(string));
    for(new i = 0; i < sizeof(string); i++)
    {
        if (string[i] == '_')
        {
             string[i] = ' ';
        }
    }
    return string;
}

stock GetVehicleCount()
{
    new count, model;
    for ( new v; v < MAX_VEHICLES; v ++ )
    {
        model = GetVehicleModel( v );
        if ( model > 399 && model < 612 ) count ++;
    }
    return count;
}

stock GetVehicleModelCount()
{
    new model[250], nummodel;
    for (new i = 1; i < GetVehicleCount()+1; i++)
	{
         model[GetVehicleModel(i)-400]++;
    }
    for (new iv = 0; iv < 250; iv++)
	{
         if (model[iv]!=0)
		 {
             nummodel++;
		 }
	}
    return nummodel;
}

stock GiveMoney(playerid,amount)
{
	gMon[playerid]+=amount;
	return GivePlayerMoney(playerid,amount);
}

public CashCheck()
{
	for (new i = 0; i < MAX_PLAYERS; i++)
	{
		/*if(gMon[i] < GetPlayerMoney(i))
		{
			CashReport(i);
		}*/
		if(IsPlayerConnected(i))
		{
		
			if ((gMon[i] < GetPlayerMoney(i)) && ((GetPlayerMoney(i)-gMon[i]) > 1200))
			{
				CashReport(i);
				gMon[i] = GetPlayerMoney(i);//not fixed
			}
			else if ((gMon[i] < GetPlayerMoney(i)) && ((GetPlayerMoney(i)-gMon[i]) < 1200))
			{
				gMon[i] = GetPlayerMoney(i);//not fixed
			}
  		}
  	}
	return 1;
}

stock CashReport(playerid)
{
	new mcheater[24],str[100];
	new chmoney = GetPlayerMoney(playerid)-gMon[playerid];
	GetPlayerName(playerid, mcheater, sizeof(mcheater));
	format(str, sizeof(str), "Cheater detected: Player [%s] id:[%d] using cash[%d]", mcheater, playerid, chmoney);
	for(new i = 0; i < MAX_PLAYERS; i++)
	{
		if((PlayerInfo[i][pAdmin] >= 106 || IsPlayerAdmin(i)) && gAAlert[i]!=0)
		{
			SendClientMessage(i,COLOR_YELLOW,str);
			//gMon[i] = GetPlayerMoney(i);//not fixed
		}
	}
	GiveMoney(playerid, -chmoney);
}

public ScrollScan()
{
	new string[256];
	new scrollername[MAX_PLAYER_NAME];
	for(new p = 0; p < MAX_PLAYERS; p++)
	{
	    if(IsPlayerConnected(p))
	    {
			if(OldWeapon[p] != GetPlayerWeapon(p))
			{
				if(PrevWeapon[p] == GetPlayerWeapon(p))
				{
					GetPlayerName(p, scrollername, sizeof(scrollername));
				    format(string,sizeof(string),"ADMCENTER: Player %s [ID: %d] scrolling weapons", scrollername, p);
					//SendClientMessageToAll(0xFF0000AA,string);
					ABroadCast(COLOR_YELLOW, string, 106);
				}
				PrevWeapon[p] = OldWeapon[p];
				OldWeapon[p] = GetPlayerWeapon(p);
			}
			else
			{
				OldWeapon[p] = GetPlayerWeapon(p);
				PrevWeapon[p] = -1;
			}
		}
	}
}

stock SetVehicleParamsForPlayerEx(vehicleid, playerid, objective, doorslocked)
{
	SetVehicleParamsForPlayer(vehicleid, playerid, objective, doorslocked);
	VehicleObjective[vehicleid][0] = objective;
	VehicleObjective[vehicleid][1] = doorslocked;
}

public OnVehicleStreamIn(vehicleid, forplayerid)
{
	SetVehicleParamsForPlayer(vehicleid, forplayerid, VehicleObjective[vehicleid][0], VehicleObjective[vehicleid][1]);
}

public GetVehicleMaxSeats(vehicleid)
{
	new modelid = GetVehicleModel(vehicleid);
	if(modelid < 400 || modelid > 611)
	{
		return 0;
	}
	return VehSeats[modelid-400];
}

stock GetVehicleSpeed(vehicleid, &Float:speed)
{
	new Float:vehsX, Float:vehsY, Float:vehsZ;
	GetVehicleVelocity(vehicleid, vehsX, vehsY, vehsZ);
	speed = floatsqroot(vehsX*vehsX + vehsY*vehsY + vehsZ*vehsZ)*200;
}

stock SetVehicleSpeed(vehicleid, Float:speed)
{
	new Float:vehsX, Float:vehsY, Float:vehsZ, Float:angle;
	GetVehicleZAngle(vehicleid, angle);
	speed = speed/200;
	vehsX = speed * floatsin(-angle, degrees);
	vehsY = speed * floatcos(-angle, degrees);
	SetVehicleVelocity(vehicleid, vehsX, vehsY, vehsZ);
}

stock SetPlayerSpeed(playerid, Float:speed)
{
	new Float:vehsX, Float:vehsY, Float:vehsZ, Float:angle;
	GetPlayerFacingAngle(playerid, angle);
	speed = speed/2;
	vehsX = speed * floatsin(-angle, degrees);
	vehsY = speed * floatcos(-angle, degrees);
	SetPlayerVelocity(playerid, vehsX, vehsY, vehsZ);
}
/*
public PutCameraBehindPlayer(playerid)
{
	new Float:plcx, Float:plcy, Float:plcz, Float:plczangle;
	GetPlayerPos(playerid, plcx, plcy, plcz);
	GetPlayerFacingAngle(playerid, plczangle);
	if(plczangle >= 0 && plczangle <= 44.999999)
    {
	   SetPlayerCameraPos(playerid, plcx,plcy-2,plcz);
	   SetPlayerCameraLookAt(playerid, plcx,plcy,plcz);
	}
	if(plczangle >= 45 && plczangle <= 134.999999)
    {
	   SetPlayerCameraPos(playerid, plcx+2,plcy,plcz);
	   SetPlayerCameraLookAt(playerid, plcx,plcy,plcz);
    }
	if(plczangle >= 135 && plczangle <= 224.999999)
    {
   	   SetPlayerCameraPos(playerid, plcx,plcy+2,plcz);
       SetPlayerCameraLookAt(playerid, plcx,plcy,plcz);
	}
	if(plczangle >= 225 && plczangle <= 314.999999)
    {
	   SetPlayerCameraPos(playerid, plcx-2,plcy,plcz);
	   SetPlayerCameraLookAt(playerid, plcx,plcy,plcz);
	}
	if(plczangle >= 315 && plczangle <= 359.999999)
    {
	   SetPlayerCameraPos(playerid, plcx,plcy-2,plcz);
	   SetPlayerCameraLookAt(playerid, plcx,plcy,plcz);
	}
	return 1;
}

public IsVehicleUsed(vehicleid)
{
     for(new a = 0; a <= MAX_PLAYERS; a++)
	 {
        if(IsPlayerInVehicle(a,vehicleid))
		{
               return 1;
        }
     }
     return 0;
}

public OnPlayerWeaponChange(playerid, oldweapon, newweapon)
{
}

public OnPlayerAmmoChange(playerid, oldammo, newammo)
{
}

public OnPlayerHealthChange(playerid, Float:oldhealth, Float:newhealth)
{
}

public OnPlayerArmourChange(playerid, Float:oldarmour, Float:newarmour)
{
}

public OnPlayerMoneyChange(playerid, oldmoney, newmoney)
{
}

public OnPlayerWeaponSlotChange(playerid, slot, oldweapon, newweapon)
{
}
*/

/*stock IsPlayerDisconnected(playerid)
{
     if(!IsPlayerConnected(playerid))
     {
           return true;
     }
     else
     {
           return false;
     }
}

stock GetVehicleDriver(vehicleid)
{
    for(new i; i<MAX_PLAYERS; i++)
    {
        if(IsPlayerInVehicle(i, vehicleid) && GetPlayerState(i) == 2)
        {
            return i;
        }
    }
    return -1;
}

stock GetPlayersInVehicle(vehicleid)
{
    new amount = 0;
    for(new i = 0; i < GetMaxPlayers(); i++)
    {
        if(!IsPlayerConnected(i) || !IsPlayerInVehicle(i,vehicleid))
            continue;
        amount++;
    }
    return amount;
}

stock IsAnyTrailerAttachedToVehicle( vehicleid )
{
    switch ( GetVehicleModel( GetVehicleTrailer( vehicleid ) ) )
    {
        case 435, 450, 591, 606, 607, 610, 569, 590, 584, 570, 608, 611: return true;
    }

    return false;
}

stock GivePlayerVehicle(playerid, vehicleid)
{
	if(!IsPlayerInAnyVehicle(playerid) && vehicleid > 399 && vehicleid < 612)
	{
		new Float:x, Float:y, Float:z, Float:a, vehicle;
		GetPlayerPos(playerid, x, y, z);
		GetPlayerFacingAngle(playerid, a);
		vehicle = CreateVehicle(vehicleid, x, y, z, a, -1, -1, 50000);
		PutPlayerInVehicle(playerid, vehicle, 0);
	}
}*/

/*stock GetDistancePlayerToVehicle(playerid, vehicleid)
{
	new Float:x1,Float:y1,Float:z1,Float:x2,Float:y2,Float:z2;
	new Float:tmpdis;
	GetPlayerPos(playerid,x1,y1,z1);
	GetVehiclePos(vehicleid,x2,y2,z2);
	tmpdis = floatsqroot(floatpower(floatabs(floatsub(x2,x1)),2)+floatpower(floatabs(floatsub(y2,y1)),2)+floatpower(floatabs(floatsub(z2,z1)),2));
	return floatround(tmpdis);
}

stock GetDistanceBetweenVehicles(vehicleid, vehicleid2)
{
	new Float:x1,Float:y1,Float:z1,Float:x2,Float:y2,Float:z2;
	new Float:tmpdis;
	GetVehiclePos(vehicleid,x1,y1,z1);
	GetVehiclePos(vehicleid2,x2,y2,z2);
	tmpdis = floatsqroot(floatpower(floatabs(floatsub(x2,x1)),2)+floatpower(floatabs(floatsub(y2,y1)),2)+floatpower(floatabs(floatsub(z2,z1)),2));
	return floatround(tmpdis);
}

stock GetDistanceBetweenPlayers(playerid, playerid2)
{
	new Float:x1,Float:y1,Float:z1,Float:x2,Float:y2,Float:z2;
	new Float:tmpdis;
	GetPlayerPos(playerid,x1,y1,z1);
	GetPlayerPos(playerid2,x2,y2,z2);
	tmpdis = floatsqroot(floatpower(floatabs(floatsub(x2,x1)),2)+floatpower(floatabs(floatsub(y2,y1)),2)+floatpower(floatabs(floatsub(z2,z1)),2));
	return floatround(tmpdis);
}

stock GetObjectToPlayerDistance(playerid, objectid) //By me, Credits: Whoever made GetDistanceBetweenPlayers
{
	new Float:ox, Float:oy, Float:oz, Float:px, Float:py, Float:pz;
	new Float:distance;
	GetObjectPos(objectid, ox, oy, oz);
	GetPlayerPos(playerid, px, py, pz);
	distance = floatsqroot(floatpower(floatabs(floatsub(ox, px)),2)+floatpower(floatabs(floatsub(oy, py)),2)+floatpower(floatabs(floatsub(oz, pz)),2));
	return floatround(distance);
}

stock GetPlayerVehicleModel(playerid)
{
	new vehicleid = GetPlayerVehicleID(playerid);
	new model = GetVehicleModel(vehicleid);
	return model;
}

stock Float:GetPlayerDistanceToVehicle(playerid, vehicleid)
{
    new Float:pos[3];
    GetVehiclePos(vehicleid, pos[0], pos[1], pos[2]);
    return GetPlayerDistanceToPoint(playerid, pos[0], pos[1], pos[2]);
}

public StringTextReplace(string[128], find[128], replace[128])
{
	new pos;
	while((pos = strfind(string, find, true)) != -1)
	{
		strdel(string, pos, pos + strlen(find));
		strins(string, replace, pos);
	}
	return string;
}

stock IsPlayerInCube(playerid, xmin, ymin, zmin, xmax, ymax, zmax)
{
   new Float:x, Float:y, Float:z;
   GetPlayerPos(playerid, x, y, z);
   if( x > xmin && y > ymin && z > zmin && x < xmax && y < ymax && z < zmax) return 1;
   return 0;
}


*/

stock FixChars(string[])
{
	for (new i = 0; i < strlen(string); i++)
	{
		if (string[i] < 0)
		{
			string[i] += 256;
		}
	}
}

public OnPlayerUpdate(playerid)
{
	if(!IsPlayerConnected(playerid)) return 0;



	// No weapons in interiors
	if(GetPlayerInterior(playerid) != 0 && GetPlayerWeapon(playerid) != 0) {
	    SetPlayerArmedWeapon(playerid,0); // fists
	    return 0; // no syncing until they change their weapon
	}

	// Don't allow minigun
	if(GetPlayerWeapon(playerid) == WEAPON_MINIGUN) {
	    Kick(playerid);
	    return 0;
	}
	//Don't allow sawnoff
 	if(GetPlayerWeapon(playerid) == WEAPON_SAWEDOFF) {
	    SetPlayerArmedWeapon(playerid,0);
	    return 0;
	}

	// No jetpacks allowed
	if(GetPlayerSpecialAction(playerid) == SPECIAL_ACTION_USEJETPACK) {
	    Kick(playerid);
	    return 0;
	}

	return 1;
}
